
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS `accept_estimates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `accept_estimates` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `estimate_id` int unsigned NOT NULL,
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `signature` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `accept_estimates_company_id_foreign` (`company_id`),
  KEY `accept_estimates_estimate_id_foreign` (`estimate_id`),
  CONSTRAINT `accept_estimates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `accept_estimates_estimate_id_foreign` FOREIGN KEY (`estimate_id`) REFERENCES `estimates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `accept_estimates` WRITE;
/*!40000 ALTER TABLE `accept_estimates` DISABLE KEYS */;
/*!40000 ALTER TABLE `accept_estimates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `application_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `application_sources` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `application_source` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `application_sources` WRITE;
/*!40000 ALTER TABLE `application_sources` DISABLE KEYS */;
INSERT INTO `application_sources` VALUES (1,'Linkedin','2024-02-13 04:03:20','2024-02-13 04:03:20'),(2,'Facebook','2024-02-13 04:03:20','2024-02-13 04:03:20'),(3,'Instagram','2024-02-13 04:03:20','2024-02-13 04:03:20'),(4,'Twitter','2024-02-13 04:03:20','2024-02-13 04:03:20'),(5,'Other','2024-02-13 04:03:20','2024-02-13 04:03:20');
/*!40000 ALTER TABLE `application_sources` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `appreciations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `appreciations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `award_id` bigint unsigned NOT NULL,
  `award_to` int unsigned NOT NULL,
  `award_date` date NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `summary` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `appreciations_company_id_foreign` (`company_id`),
  KEY `appreciations_award_id_foreign` (`award_id`),
  KEY `appreciations_award_to_foreign` (`award_to`),
  KEY `appreciations_added_by_foreign` (`added_by`),
  CONSTRAINT `appreciations_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `appreciations_award_id_foreign` FOREIGN KEY (`award_id`) REFERENCES `awards` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `appreciations_award_to_foreign` FOREIGN KEY (`award_to`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `appreciations_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `appreciations` WRITE;
/*!40000 ALTER TABLE `appreciations` DISABLE KEYS */;
INSERT INTO `appreciations` VALUES (1,1,7,20,'2024-02-09',NULL,NULL,18,NULL,NULL),(2,1,16,19,'2024-02-09',NULL,NULL,19,NULL,NULL),(3,1,14,2,'2024-02-09',NULL,NULL,18,NULL,NULL),(4,1,8,19,'2024-02-09',NULL,NULL,21,NULL,NULL),(5,1,17,1,'2024-02-09',NULL,NULL,19,NULL,NULL),(6,1,10,23,'2024-02-09',NULL,NULL,17,NULL,NULL),(7,1,13,18,'2024-02-09',NULL,NULL,2,NULL,NULL),(8,1,7,2,'2024-02-09',NULL,NULL,19,NULL,NULL),(9,1,15,20,'2024-02-09',NULL,NULL,22,NULL,NULL),(10,1,16,23,'2024-02-09',NULL,NULL,21,NULL,NULL);
/*!40000 ALTER TABLE `appreciations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `asset_lending_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `asset_lending_history` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `asset_id` bigint unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `lender_id` int unsigned NOT NULL,
  `returner_id` int unsigned DEFAULT NULL,
  `date_given` datetime NOT NULL,
  `return_date` datetime DEFAULT NULL,
  `date_of_return` datetime DEFAULT NULL,
  `notes` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `asset_lending_history_asset_id_foreign` (`asset_id`),
  KEY `asset_lending_history_user_id_foreign` (`user_id`),
  KEY `asset_lending_history_lender_id_foreign` (`lender_id`),
  KEY `asset_lending_history_returner_id_foreign` (`returner_id`),
  KEY `asset_lending_history_company_id_foreign` (`company_id`),
  CONSTRAINT `asset_lending_history_asset_id_foreign` FOREIGN KEY (`asset_id`) REFERENCES `assets` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `asset_lending_history_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `asset_lending_history_lender_id_foreign` FOREIGN KEY (`lender_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `asset_lending_history_returner_id_foreign` FOREIGN KEY (`returner_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `asset_lending_history_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `asset_lending_history` WRITE;
/*!40000 ALTER TABLE `asset_lending_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `asset_lending_history` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `asset_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `asset_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `asset_settings` WRITE;
/*!40000 ALTER TABLE `asset_settings` DISABLE KEYS */;
INSERT INTO `asset_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:16','2024-02-13 04:03:16');
/*!40000 ALTER TABLE `asset_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `asset_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `asset_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `asset_types_company_id_foreign` (`company_id`),
  CONSTRAINT `asset_types_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `asset_types` WRITE;
/*!40000 ALTER TABLE `asset_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `asset_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `assets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `asset_type_id` bigint unsigned DEFAULT NULL,
  `serial_number` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `status` enum('lent','available','non-functional','lost','damaged','under-maintenance') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'available',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `assets_asset_type_id_foreign` (`asset_type_id`),
  KEY `assets_serial_number_index` (`serial_number`),
  KEY `assets_added_by_foreign` (`added_by`),
  KEY `assets_last_updated_by_foreign` (`last_updated_by`),
  KEY `assets_company_id_foreign` (`company_id`),
  CONSTRAINT `assets_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `assets_asset_type_id_foreign` FOREIGN KEY (`asset_type_id`) REFERENCES `asset_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `assets_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `assets_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `assets` WRITE;
/*!40000 ALTER TABLE `assets` DISABLE KEYS */;
/*!40000 ALTER TABLE `assets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `attendance_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attendance_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `auto_clock_in` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `auto_clock_in_location` enum('office','home') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'office',
  `office_start_time` time NOT NULL,
  `office_end_time` time NOT NULL,
  `halfday_mark_time` time DEFAULT NULL,
  `late_mark_duration` tinyint NOT NULL,
  `clockin_in_day` int NOT NULL DEFAULT '1',
  `employee_clock_in_out` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `office_open_days` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '[1,2,3,4,5]',
  `ip_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `radius` int DEFAULT NULL,
  `radius_check` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `ip_check` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `alert_after` int DEFAULT NULL,
  `alert_after_status` tinyint(1) NOT NULL DEFAULT '1',
  `save_current_location` tinyint(1) NOT NULL DEFAULT '0',
  `default_employee_shift` bigint unsigned DEFAULT '1',
  `week_start_from` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `allow_shift_change` tinyint(1) NOT NULL DEFAULT '1',
  `show_clock_in_button` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `monthly_report` tinyint(1) NOT NULL DEFAULT '0',
  `monthly_report_roles` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `attendance_settings_company_id_foreign` (`company_id`),
  KEY `attendance_settings_default_employee_shift_foreign` (`default_employee_shift`),
  CONSTRAINT `attendance_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `attendance_settings_default_employee_shift_foreign` FOREIGN KEY (`default_employee_shift`) REFERENCES `employee_shifts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `attendance_settings` WRITE;
/*!40000 ALTER TABLE `attendance_settings` DISABLE KEYS */;
INSERT INTO `attendance_settings` VALUES (1,1,'no','office','09:00:00','18:00:00',NULL,20,1,'yes','[1,2,3,4,5]',NULL,NULL,'no','no',NULL,0,0,2,'1',1,'no','2024-02-13 04:03:35','2024-02-13 04:03:35',0,NULL);
/*!40000 ALTER TABLE `attendance_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `attendances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `attendances` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `location_id` bigint unsigned DEFAULT NULL,
  `clock_in_time` datetime NOT NULL,
  `clock_out_time` datetime DEFAULT NULL,
  `clock_in_ip` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `clock_out_ip` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `working_from` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'office',
  `late` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `half_day` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `latitude` decimal(10,8) DEFAULT NULL,
  `longitude` decimal(11,8) DEFAULT NULL,
  `shift_start_time` datetime DEFAULT NULL,
  `shift_end_time` datetime DEFAULT NULL,
  `employee_shift_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `work_from_type` enum('home','office','other') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'other',
  `overwrite_attendance` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  PRIMARY KEY (`id`),
  KEY `attendances_company_id_foreign` (`company_id`),
  KEY `attendances_user_id_foreign` (`user_id`),
  KEY `attendances_location_id_foreign` (`location_id`),
  KEY `attendances_clock_in_time_index` (`clock_in_time`),
  KEY `attendances_clock_out_time_index` (`clock_out_time`),
  KEY `attendances_added_by_foreign` (`added_by`),
  KEY `attendances_last_updated_by_foreign` (`last_updated_by`),
  KEY `attendances_employee_shift_id_foreign` (`employee_shift_id`),
  CONSTRAINT `attendances_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `attendances_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `attendances_employee_shift_id_foreign` FOREIGN KEY (`employee_shift_id`) REFERENCES `employee_shifts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `attendances_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `attendances_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `company_addresses` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `attendances_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `attendances` WRITE;
/*!40000 ALTER TABLE `attendances` DISABLE KEYS */;
INSERT INTO `attendances` VALUES (1,1,1,NULL,'2024-01-27 10:45:00','2024-01-27 13:45:00','160.112.65.110','160.112.65.110','office','yes','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-02 22:47:48',NULL,'other','no'),(2,1,2,NULL,'2024-02-08 11:07:00','2024-02-08 16:07:00','119.2.42.161','119.2.42.161','office','no','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-08 19:06:29',NULL,'other','no'),(3,1,14,NULL,'2024-01-08 13:00:00','2024-01-08 16:00:00','33.53.216.29','33.53.216.29','office','yes','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-17 10:49:16',NULL,'other','no'),(4,1,15,NULL,'2024-02-09 10:00:00','2024-02-09 18:00:00','29.147.167.19','29.147.167.19','office','no','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-28 07:46:55',NULL,'other','no'),(5,1,16,NULL,'2024-01-20 12:00:00','2024-01-20 16:00:00','26.8.253.244','26.8.253.244','office','yes','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-22 19:47:16',NULL,'other','no'),(6,1,17,NULL,'2024-01-15 12:00:00','2024-01-15 13:00:00','148.103.224.114','148.103.224.114','office','no','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-01 05:35:54',NULL,'other','no'),(7,1,18,NULL,'2024-02-10 09:00:00','2024-02-10 16:00:00','134.235.168.123','134.235.168.123','office','yes','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-05 13:01:49',NULL,'other','no'),(8,1,19,NULL,'2024-01-28 12:40:00','2024-01-28 20:40:00','145.74.228.167','145.74.228.167','office','yes','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-09 09:25:01',NULL,'other','no'),(9,1,20,NULL,'2024-01-22 12:00:00','2024-01-22 14:00:00','196.39.157.172','196.39.157.172','office','no','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-05 20:14:12',NULL,'other','no'),(10,1,21,NULL,'2024-01-18 10:00:00','2024-01-18 12:00:00','118.211.33.131','118.211.33.131','office','no','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-24 07:12:37',NULL,'other','no'),(11,1,22,NULL,'2024-01-16 09:00:00','2024-01-16 16:00:00','101.151.79.59','101.151.79.59','office','yes','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-04 22:08:48',NULL,'other','no'),(12,1,23,NULL,'2024-01-22 11:40:00','2024-01-22 17:40:00','27.219.72.9','27.219.72.9','office','no','no',1,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-05 06:58:30',NULL,'other','no');
/*!40000 ALTER TABLE `attendances` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `award_icons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `award_icons` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `award_icons` WRITE;
/*!40000 ALTER TABLE `award_icons` DISABLE KEYS */;
INSERT INTO `award_icons` VALUES (1,'Trophy','trophy','2024-02-13 04:03:34','2024-02-13 04:03:34'),(2,'Thumbs Up','hand-thumbs-up','2024-02-13 04:03:34','2024-02-13 04:03:34'),(3,'Award','award','2024-02-13 04:03:34','2024-02-13 04:03:34'),(4,'Book','book','2024-02-13 04:03:34','2024-02-13 04:03:34'),(5,'Gift','gift','2024-02-13 04:03:34','2024-02-13 04:03:34'),(6,'Watch','watch','2024-02-13 04:03:34','2024-02-13 04:03:34'),(7,'Cup','cup-hot','2024-02-13 04:03:34','2024-02-13 04:03:34'),(8,'Puzzle','puzzle','2024-02-13 04:03:34','2024-02-13 04:03:34'),(9,'Plane','airplane','2024-02-13 04:03:34','2024-02-13 04:03:34'),(10,'Money','piggy-bank','2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `award_icons` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `awards`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `awards` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `award_icon_id` bigint unsigned DEFAULT NULL,
  `summary` text COLLATE utf8mb4_unicode_ci,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `color_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `awards_company_id_foreign` (`company_id`),
  KEY `awards_award_icon_id_foreign` (`award_icon_id`),
  CONSTRAINT `awards_award_icon_id_foreign` FOREIGN KEY (`award_icon_id`) REFERENCES `award_icons` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `awards_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `awards` WRITE;
/*!40000 ALTER TABLE `awards` DISABLE KEYS */;
INSERT INTO `awards` VALUES (1,1,'Best Team Player',5,NULL,'active','#387B1C',NULL,NULL),(2,1,'Most Innovative Project',7,NULL,'active','#387B1C',NULL,NULL),(3,1,'Best Technical Solution',4,NULL,'active','#FF3838',NULL,NULL),(4,1,'Best Customer Service',7,NULL,'active','#282E33',NULL,NULL),(5,1,'Employee of the Month',6,NULL,'active','#7B1C2E',NULL,NULL),(6,1,'Best Mentor',8,NULL,'active','#3DADDD',NULL,NULL),(7,1,'Top Sales Performer',1,NULL,'active','#495E67',NULL,NULL),(8,1,'Best Project Manager',1,NULL,'active','#495E67',NULL,NULL),(9,1,'Top Code Contributor',4,NULL,'active','#387B1C',NULL,NULL),(10,1,'Most Improved Employee',2,NULL,'active','#7B1C2E',NULL,NULL),(11,1,'Best New Hire',5,NULL,'active','#FF3838',NULL,NULL),(12,1,'Best Presentation',4,NULL,'active','#282E33',NULL,NULL),(13,1,'Best Quality Control',7,NULL,'active','#282E33',NULL,NULL),(14,1,'Best Technical Writer',10,NULL,'active','#FF3838',NULL,NULL),(15,1,'Most Valuable Employee',5,NULL,'active','#FF3838',NULL,NULL),(16,1,'Employee of the month',1,NULL,'active','#387B1C',NULL,NULL),(17,1,'Star Performer Award',6,NULL,'active','#495E67',NULL,NULL);
/*!40000 ALTER TABLE `awards` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `bank_accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bank_accounts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `contact_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `opening_balance` double(15,2) DEFAULT NULL,
  `bank_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `bank_balance` double(16,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bank_accounts_company_id_foreign` (`company_id`),
  KEY `bank_accounts_currency_id_foreign` (`currency_id`),
  KEY `bank_accounts_added_by_foreign` (`added_by`),
  KEY `bank_accounts_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `bank_accounts_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_accounts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `bank_accounts_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_accounts_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `bank_accounts` WRITE;
/*!40000 ALTER TABLE `bank_accounts` DISABLE KEYS */;
INSERT INTO `bank_accounts` VALUES (1,1,'bank','Primary Account','Ratke-Ernser','4244689702','current',1,'719.255.0774',34295.00,NULL,1,NULL,NULL,252427.00,'2024-02-13 04:03:36','2024-02-13 04:03:37'),(2,1,'bank','Secondary Account','Christiansen LLC','381990729626','current',1,'+16105103014',25679.00,NULL,1,NULL,NULL,231904.00,'2024-02-13 04:03:36','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `bank_accounts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `bank_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bank_transactions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  `payment_id` int unsigned DEFAULT NULL,
  `invoice_id` int unsigned DEFAULT NULL,
  `expense_id` int unsigned DEFAULT NULL,
  `amount` double(15,2) DEFAULT NULL,
  `type` enum('Cr','Dr') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Cr',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `memo` text COLLATE utf8mb4_unicode_ci,
  `transaction_relation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_related_to` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` text COLLATE utf8mb4_unicode_ci,
  `transaction_date` date DEFAULT NULL,
  `bank_balance` double(16,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `purchase_payment_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bank_transactions_company_id_foreign` (`company_id`),
  KEY `bank_transactions_bank_account_id_foreign` (`bank_account_id`),
  KEY `bank_transactions_payment_id_foreign` (`payment_id`),
  KEY `bank_transactions_invoice_id_foreign` (`invoice_id`),
  KEY `bank_transactions_expense_id_foreign` (`expense_id`),
  KEY `bank_transactions_added_by_foreign` (`added_by`),
  KEY `bank_transactions_last_updated_by_foreign` (`last_updated_by`),
  KEY `bank_transactions_purchase_payment_id_foreign` (`purchase_payment_id`),
  CONSTRAINT `bank_transactions_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_expense_id_foreign` FOREIGN KEY (`expense_id`) REFERENCES `expenses` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_invoice_id_foreign` FOREIGN KEY (`invoice_id`) REFERENCES `invoices` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_payment_id_foreign` FOREIGN KEY (`payment_id`) REFERENCES `payments` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `bank_transactions_purchase_payment_id_foreign` FOREIGN KEY (`purchase_payment_id`) REFERENCES `purchase_vendor_payments` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `bank_transactions` WRITE;
/*!40000 ALTER TABLE `bank_transactions` DISABLE KEYS */;
INSERT INTO `bank_transactions` VALUES (1,1,1,NULL,NULL,NULL,34295.00,'Cr',NULL,NULL,NULL,'bank',NULL,'bank-account-created','2024-02-13',34295.00,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL),(2,1,2,NULL,NULL,NULL,25679.00,'Cr',NULL,NULL,NULL,'bank',NULL,'bank-account-created','2024-02-13',25679.00,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL),(3,1,2,1,1,NULL,26693.00,'Cr',NULL,NULL,NULL,'payment','1','payment-credited','2024-02-05',52372.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(4,1,2,2,2,NULL,29998.00,'Cr',NULL,NULL,NULL,'payment','2','payment-credited','2024-02-01',82370.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(5,1,1,3,3,NULL,63359.00,'Cr',NULL,NULL,NULL,'payment','3','payment-credited','2024-02-07',97654.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(6,1,1,4,4,NULL,28888.00,'Cr',NULL,NULL,NULL,'payment','4','payment-credited','2024-02-10',126542.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(7,1,2,5,8,NULL,28684.00,'Cr',NULL,NULL,NULL,'payment','5','payment-credited','2024-02-10',111054.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(8,1,1,6,10,NULL,48780.00,'Cr',NULL,NULL,NULL,'payment','6','payment-credited','2024-02-07',175322.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(9,1,1,7,11,NULL,36245.00,'Cr',NULL,NULL,NULL,'payment','7','payment-credited','2024-02-10',211567.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(10,1,2,8,12,NULL,42448.00,'Cr',NULL,NULL,NULL,'payment','8','payment-credited','2024-02-09',153502.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(11,1,2,9,13,NULL,37578.00,'Cr',NULL,NULL,NULL,'payment','9','payment-credited','2024-02-01',191080.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(12,1,1,10,14,NULL,40860.00,'Cr',NULL,NULL,NULL,'payment','10','payment-credited','2024-02-11',252427.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(13,1,2,11,19,NULL,40824.00,'Cr',NULL,NULL,NULL,'payment','11','payment-credited','2024-02-13',231904.00,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL);
/*!40000 ALTER TABLE `bank_transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `blacklist_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blacklist_emails` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `blacklist_emails` WRITE;
/*!40000 ALTER TABLE `blacklist_emails` DISABLE KEYS */;
/*!40000 ALTER TABLE `blacklist_emails` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `blacklist_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `blacklist_ips` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `blacklist_ips` WRITE;
/*!40000 ALTER TABLE `blacklist_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `blacklist_ips` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_categories_company_id_foreign` (`company_id`),
  CONSTRAINT `client_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_categories` WRITE;
/*!40000 ALTER TABLE `client_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_contacts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `contact_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_contacts_company_id_foreign` (`company_id`),
  KEY `client_contacts_user_id_foreign` (`user_id`),
  KEY `client_contacts_added_by_foreign` (`added_by`),
  KEY `client_contacts_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `client_contacts_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_contacts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_contacts_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_contacts_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_contacts` WRITE;
/*!40000 ALTER TABLE `client_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_contacts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_details` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `company_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `shipping_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `postal_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `office` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `linkedin` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `facebook` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `skype` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gst_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category_id` bigint unsigned DEFAULT NULL,
  `sub_category_id` bigint unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `company_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `quickbooks_client_id` int DEFAULT NULL,
  `electronic_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `electronic_address_scheme` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_details_company_id_foreign` (`company_id`),
  KEY `client_details_user_id_foreign` (`user_id`),
  KEY `client_details_category_id_foreign` (`category_id`),
  KEY `client_details_sub_category_id_foreign` (`sub_category_id`),
  KEY `client_details_added_by_foreign` (`added_by`),
  KEY `client_details_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `client_details_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_details_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `client_categories` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_details_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_details_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_details_sub_category_id_foreign` FOREIGN KEY (`sub_category_id`) REFERENCES `client_sub_categories` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_details_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_details` WRITE;
/*!40000 ALTER TABLE `client_details` DISABLE KEYS */;
INSERT INTO `client_details` VALUES (1,1,3,'Mills, Lemke and Tillman','30769 Lynch Green Suite 983\nHauckton, CT 60157',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35',NULL,NULL,NULL),(2,1,4,'Kirlin-Harber','86285 Rowe Lock\nJasthaven, MT 71257',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(3,1,5,'Bailey, Turner and Reinger','909 Bobbie Alley\nZacheryborough, CT 46958',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(4,1,6,'Botsford-Stiedemann','98666 Viviane Burg Apt. 619\nEast Viviennefort, VT 59986',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(5,1,7,'Greenfelder Group','1524 Fabiola Mountains Suite 545\nRodriguezmouth, WV 96720-1776',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(6,1,8,'Bahringer, Franecki and White','636 Kuhn Trail Apt. 627\nHayesside, OR 39279',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(7,1,9,'Murazik-Kunde','804 Bayer Mews Suite 565\nWest Mylesside, LA 98084-4408',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(8,1,10,'Ferry, Windler and Bernier','56208 Tyra Keys\nSashaport, WY 83381-4873',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(9,1,11,'Metz, King and Ledner','20495 Kunde Fords\nEast Lillian, MA 68390',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(10,1,12,'Sanford Inc','920 Jordane Park Apt. 807\nEast Melyssaside, MD 72936',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL),(11,1,13,'Lakin, Dibbert and Torp','9831 Wolf Lodge\nSigridton, OK 72169-5364',NULL,NULL,NULL,NULL,NULL,'https://worksuite.biz',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,NULL,NULL);
/*!40000 ALTER TABLE `client_details` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_docs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_docs` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `filename` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_docs_company_id_foreign` (`company_id`),
  KEY `client_docs_user_id_foreign` (`user_id`),
  KEY `client_docs_added_by_foreign` (`added_by`),
  KEY `client_docs_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `client_docs_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_docs_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_docs_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_docs_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_docs` WRITE;
/*!40000 ALTER TABLE `client_docs` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_docs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `member_id` int unsigned DEFAULT NULL,
  `is_client_show` tinyint(1) NOT NULL DEFAULT '0',
  `ask_password` tinyint(1) NOT NULL DEFAULT '0',
  `details` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_notes_company_id_foreign` (`company_id`),
  KEY `client_notes_client_id_foreign` (`client_id`),
  KEY `client_notes_member_id_foreign` (`member_id`),
  KEY `client_notes_added_by_foreign` (`added_by`),
  KEY `client_notes_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `client_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_notes_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_notes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `client_notes_member_id_foreign` FOREIGN KEY (`member_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_notes` WRITE;
/*!40000 ALTER TABLE `client_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_sub_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_sub_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_id` bigint unsigned NOT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_sub_categories_company_id_foreign` (`company_id`),
  KEY `client_sub_categories_category_id_foreign` (`category_id`),
  CONSTRAINT `client_sub_categories_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `client_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_sub_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_sub_categories` WRITE;
/*!40000 ALTER TABLE `client_sub_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_sub_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `client_user_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `client_user_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `client_note_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `client_user_notes_company_id_foreign` (`company_id`),
  KEY `client_user_notes_user_id_foreign` (`user_id`),
  KEY `client_user_notes_client_note_id_foreign` (`client_note_id`),
  CONSTRAINT `client_user_notes_client_note_id_foreign` FOREIGN KEY (`client_note_id`) REFERENCES `client_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_user_notes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `client_user_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `client_user_notes` WRITE;
/*!40000 ALTER TABLE `client_user_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `client_user_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `companies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `companies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `app_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_phone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `logo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `login_background` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `website` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `timezone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Asia/Kolkata',
  `date_format` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'd-m-Y',
  `date_picker_format` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dd-mm-yyyy',
  `year_starts_from` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `moment_format` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'DD-MM-YYYY',
  `time_format` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'h:i a',
  `locale` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `latitude` decimal(10,8) NOT NULL DEFAULT '26.91243360',
  `longitude` decimal(11,8) NOT NULL DEFAULT '75.78727090',
  `leaves_start_from` enum('joining_date','year_start') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'joining_date',
  `active_theme` enum('default','custom') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `last_updated_by` int unsigned DEFAULT NULL,
  `google_map_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `task_self` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `rounded_theme` tinyint(1) NOT NULL DEFAULT '1',
  `logo_background_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ffffff',
  `header_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#1D82F5',
  `before_days` int NOT NULL,
  `after_days` int NOT NULL,
  `on_deadline` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `default_task_status` int unsigned DEFAULT NULL,
  `dashboard_clock` tinyint(1) NOT NULL DEFAULT '1',
  `ticket_form_google_captcha` tinyint(1) NOT NULL DEFAULT '0',
  `lead_form_google_captcha` tinyint(1) NOT NULL DEFAULT '0',
  `taskboard_length` int NOT NULL DEFAULT '10',
  `datatable_row_limit` int NOT NULL DEFAULT '10',
  `favicon` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auth_theme` enum('dark','light') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'light',
  `auth_theme_text` enum('dark','light') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dark',
  `light_logo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sidebar_logo_style` enum('square','full') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'square',
  `allow_client_signup` tinyint(1) NOT NULL,
  `admin_client_signup_approval` tinyint(1) NOT NULL,
  `google_calendar_status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'inactive',
  `google_client_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_client_secret` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_calendar_verification_status` enum('verified','non_verified') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'non_verified',
  `google_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `token` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `hash` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `last_login` datetime DEFAULT NULL,
  `rtl` tinyint(1) NOT NULL DEFAULT '0',
  `show_new_webhook_alert` tinyint(1) NOT NULL DEFAULT '0',
  `pm_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pm_last_four` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `employee_can_export_data` tinyint(1) NOT NULL DEFAULT '1',
  `headers` text COLLATE utf8mb4_unicode_ci,
  `register_ip` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `companies_currency_id_foreign` (`currency_id`),
  KEY `companies_last_updated_by_foreign` (`last_updated_by`),
  KEY `companies_default_task_status_foreign` (`default_task_status`),
  CONSTRAINT `companies_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `companies_default_task_status_foreign` FOREIGN KEY (`default_task_status`) REFERENCES `taskboard_columns` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `companies_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `companies` WRITE;
/*!40000 ALTER TABLE `companies` DISABLE KEYS */;
INSERT INTO `companies` VALUES (1,'Worksuite','Worksuite','company@email.com','1234567891',NULL,NULL,'Your Company address here','https://worksuite.biz',1,'Asia/Kolkata','d-m-Y','dd-mm-yyyy','1','DD-MM-YYYY','h:i a','en',26.91243360,75.78727090,'joining_date','default','active',NULL,NULL,'yes',1,'#ffffff','#1D82F5',0,0,'yes',1,1,0,0,10,10,NULL,'light','dark',NULL,'square',0,0,'inactive',NULL,NULL,'non_verified',NULL,NULL,NULL,'46eb307fd2519c196c88b2aef47bf1a4','2024-02-13 04:03:34','2024-02-13 04:03:35',NULL,0,0,NULL,NULL,1,'{\n    \"host\": [\n        \"worksuite-new.test\"\n    ],\n    \"user-agent\": [\n        \"Symfony\"\n    ],\n    \"accept\": [\n        \"text\\/html,application\\/xhtml+xml,application\\/xml;q=0.9,*\\/*;q=0.8\"\n    ],\n    \"accept-language\": [\n        \"en-us,en;q=0.5\"\n    ],\n    \"accept-charset\": [\n        \"ISO-8859-1,utf-8;q=0.7,*;q=0.7\"\n    ]\n}','127.0.0.1');
/*!40000 ALTER TABLE `companies` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `company_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `company_addresses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `country_id` int unsigned DEFAULT NULL,
  `address` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  `tax_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `latitude` decimal(10,8) DEFAULT NULL,
  `longitude` decimal(11,8) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `company_addresses_company_id_foreign` (`company_id`),
  KEY `company_addresses_country_id_foreign` (`country_id`),
  CONSTRAINT `company_addresses_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `company_addresses_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `company_addresses` WRITE;
/*!40000 ALTER TABLE `company_addresses` DISABLE KEYS */;
INSERT INTO `company_addresses` VALUES (1,1,NULL,'Your Company address here',1,NULL,NULL,'Worksuite','2024-02-13 04:03:34','2024-02-13 04:03:34',NULL,NULL);
/*!40000 ALTER TABLE `company_addresses` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contract_discussions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contract_discussions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `contract_id` bigint unsigned NOT NULL,
  `from` int unsigned NOT NULL,
  `message` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contract_discussions_company_id_foreign` (`company_id`),
  KEY `contract_discussions_contract_id_foreign` (`contract_id`),
  KEY `contract_discussions_from_foreign` (`from`),
  KEY `contract_discussions_added_by_foreign` (`added_by`),
  KEY `contract_discussions_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `contract_discussions_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contract_discussions_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_discussions_contract_id_foreign` FOREIGN KEY (`contract_id`) REFERENCES `contracts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_discussions_from_foreign` FOREIGN KEY (`from`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_discussions_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contract_discussions` WRITE;
/*!40000 ALTER TABLE `contract_discussions` DISABLE KEYS */;
/*!40000 ALTER TABLE `contract_discussions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contract_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contract_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `contract_id` bigint unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contract_files_company_id_foreign` (`company_id`),
  KEY `contract_files_user_id_foreign` (`user_id`),
  KEY `contract_files_contract_id_foreign` (`contract_id`),
  KEY `contract_files_added_by_foreign` (`added_by`),
  KEY `contract_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `contract_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contract_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_files_contract_id_foreign` FOREIGN KEY (`contract_id`) REFERENCES `contracts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contract_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contract_files` WRITE;
/*!40000 ALTER TABLE `contract_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `contract_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contract_renews`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contract_renews` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `renewed_by` int unsigned NOT NULL,
  `contract_id` bigint unsigned NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contract_renews_company_id_foreign` (`company_id`),
  KEY `contract_renews_renewed_by_foreign` (`renewed_by`),
  KEY `contract_renews_contract_id_foreign` (`contract_id`),
  KEY `contract_renews_added_by_foreign` (`added_by`),
  KEY `contract_renews_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `contract_renews_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contract_renews_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_renews_contract_id_foreign` FOREIGN KEY (`contract_id`) REFERENCES `contracts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_renews_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contract_renews_renewed_by_foreign` FOREIGN KEY (`renewed_by`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contract_renews` WRITE;
/*!40000 ALTER TABLE `contract_renews` DISABLE KEYS */;
/*!40000 ALTER TABLE `contract_renews` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contract_signs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contract_signs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `contract_id` bigint unsigned NOT NULL,
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `signature` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `place` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contract_signs_contract_id_foreign` (`contract_id`),
  KEY `contract_signs_company_id_foreign` (`company_id`),
  CONSTRAINT `contract_signs_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_signs_contract_id_foreign` FOREIGN KEY (`contract_id`) REFERENCES `contracts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contract_signs` WRITE;
/*!40000 ALTER TABLE `contract_signs` DISABLE KEYS */;
/*!40000 ALTER TABLE `contract_signs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contract_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contract_templates` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `contract_template_number` bigint DEFAULT NULL,
  `company_id` int unsigned DEFAULT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `amount` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `contract_type_id` bigint unsigned NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `contract_detail` longtext COLLATE utf8mb4_unicode_ci,
  `added_by` int NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contract_templates_company_id_foreign` (`company_id`),
  KEY `contract_templates_contract_type_id_foreign` (`contract_type_id`),
  KEY `contract_templates_currency_id_foreign` (`currency_id`),
  CONSTRAINT `contract_templates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_templates_contract_type_id_foreign` FOREIGN KEY (`contract_type_id`) REFERENCES `contract_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contract_templates_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contract_templates` WRITE;
/*!40000 ALTER TABLE `contract_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `contract_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contract_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contract_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contract_types_company_id_foreign` (`company_id`),
  CONSTRAINT `contract_types_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contract_types` WRITE;
/*!40000 ALTER TABLE `contract_types` DISABLE KEYS */;
INSERT INTO `contract_types` VALUES (1,1,'Employment contract',NULL,NULL),(2,1,'Service contract',NULL,NULL),(3,1,'Construction contract',NULL,NULL),(4,1,'Sales contract',NULL,NULL),(5,1,'Lease contract',NULL,NULL),(6,1,'Purchase agreement',NULL,NULL),(7,1,'Partnership agreement',NULL,NULL),(8,1,'Non-disclosure agreement',NULL,NULL),(9,1,'Non-compete agreement',NULL,NULL),(10,1,'Joint venture agreement',NULL,NULL),(11,1,'Franchise agreement',NULL,NULL),(12,1,'Loan agreement',NULL,NULL),(13,1,'License agreement',NULL,NULL),(14,1,'Consulting agreement',NULL,NULL),(15,1,'Distribution agreement',NULL,NULL),(16,1,'Supply agreement',NULL,NULL),(17,1,'Indemnification agreement',NULL,NULL),(18,1,'Guarantee agreement',NULL,NULL),(19,1,'Insurance contract',NULL,NULL),(20,1,'Agency agreement',NULL,NULL),(21,1,'Master service agreement',NULL,NULL),(22,1,'Subcontractor agreement',NULL,NULL),(23,1,'Operating agreement',NULL,NULL),(24,1,'Shareholders agreement',NULL,NULL),(25,1,'Employee handbook',NULL,NULL),(26,1,'Independent contractor agreement',NULL,NULL),(27,1,'Subscription agreement',NULL,NULL),(28,1,'Software license agreement',NULL,NULL),(29,1,'Terms of use',NULL,NULL),(30,1,'Privacy policy',NULL,NULL),(31,1,'End-user license agreement',NULL,NULL),(32,1,'Service level agreement',NULL,NULL),(33,1,'Maintenance agreement',NULL,NULL),(34,1,'Support agreement',NULL,NULL),(35,1,'Professional services agreement',NULL,NULL),(36,1,'Statement of work',NULL,NULL),(37,1,'Memorandum of understanding',NULL,NULL),(38,1,'Letter of intent',NULL,NULL),(39,1,'Memorandum of agreement',NULL,NULL);
/*!40000 ALTER TABLE `contract_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contracts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contracts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `contract_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `original_contract_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned NOT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `subject` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `original_amount` decimal(15,2) NOT NULL,
  `contract_type_id` bigint unsigned DEFAULT NULL,
  `start_date` date NOT NULL,
  `original_start_date` date NOT NULL,
  `end_date` date DEFAULT NULL,
  `original_end_date` date DEFAULT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `contract_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alternate_address` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contract_note` text COLLATE utf8mb4_unicode_ci,
  `cell` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `office` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `postal_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contract_detail` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `currency_id` int unsigned DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `company_sign` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sign_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contracts_company_id_foreign` (`company_id`),
  KEY `contracts_client_id_foreign` (`client_id`),
  KEY `contracts_contract_type_id_foreign` (`contract_type_id`),
  KEY `contracts_added_by_foreign` (`added_by`),
  KEY `contracts_last_updated_by_foreign` (`last_updated_by`),
  KEY `contracts_currency_id_foreign` (`currency_id`),
  KEY `contracts_project_id_foreign` (`project_id`),
  CONSTRAINT `contracts_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contracts_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contracts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contracts_contract_type_id_foreign` FOREIGN KEY (`contract_type_id`) REFERENCES `contract_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contracts_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `contracts_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `contracts_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contracts` WRITE;
/*!40000 ALTER TABLE `contracts` DISABLE KEYS */;
INSERT INTO `contracts` VALUES (1,'CONT#001','001',1,13,NULL,'Oh! won\'t she be.','589',589.00,36,'2024-02-02','2024-02-02','2024-03-13','2024-03-13','Tempora et illum unde natus dolor est quo consequatur. Et tempora quod dolorum deserunt vero qui nulla. Aspernatur harum explicabo voluptas possimus eaque voluptatem.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'March Hare. \'It was the only difficulty was, that if something wasn\'t done about it while the Mouse in the last few minutes it puffed away without being seen, when she was shrinking rapidly; so she began nibbling at the Footman\'s head: it just missed her. Alice caught the baby joined):-- \'Wow!.',1,NULL,'63d9e7587e486cfe1a39b573cfa7a4df',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(2,'CONT#002','002',1,10,NULL,'An obstacle that.','968',968.00,8,'2024-01-25','2024-01-25','2024-04-13','2024-04-13','Cupiditate occaecati vero quaerat dignissimos voluptatem laboriosam nesciunt. Expedita sunt sit eos. Sint laudantium nulla repellendus asperiores est qui similique.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'King, the Queen, and Alice, were in custody and under sentence of execution. Then the Queen left off, quite out of a large piece out of breath, and said \'No, never\') \'--so you can have no idea what a wonderful dream it had been. But her sister kissed her, and the cool fountains. CHAPTER VIII. The.',1,NULL,'9993055b3f34035611446e420387fe5e',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(3,'CONT#003','003',1,13,NULL,'Mock Turtle. \'She.','128',128.00,19,'2024-01-17','2024-01-17','2024-05-13','2024-05-13','Blanditiis tempora maiores nisi numquam tenetur est. Reiciendis quod quia eius laborum veritatis eligendi eos. In ea sint distinctio deleniti voluptatibus. Veritatis aut cumque et placeat consequuntur.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Alice said very politely, \'if I had not got into a chrysalis--you will some day, you know--and then after that into a pig, my dear,\' said Alice, who had been looking at the picture.) \'Up, lazy thing!\' said Alice, looking down with one finger for the hot day made her draw back in a dreamy sort of.',1,NULL,'f03d8e7d78c9d81aec02a89a1f05affe',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(4,'CONT#004','004',1,10,NULL,'I can find them.\'.','586',586.00,8,'2024-02-12','2024-02-12','2024-06-13','2024-06-13','Quo et sed et et in aperiam odit magni. Natus cupiditate ut itaque qui. Et quae aut quasi.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'I hadn\'t to bring but one; Bill\'s got the other--Bill! fetch it back!\' \'And who are THESE?\' said the March Hare. \'Exactly so,\' said the Caterpillar. Alice said to herself; \'I should like it put the Lizard as she tucked it away under her arm, and timidly said \'Consider, my dear: she is of yours.\"\'.',1,NULL,'9b9064c96fefa01696a1e19caf425ada',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(5,'CONT#005','005',1,4,NULL,'March Hare moved.','639',639.00,36,'2024-02-11','2024-02-11','2024-06-13','2024-06-13','Temporibus officia provident consequuntur omnis quod est. Quasi sit doloribus asperiores vero tempore beatae minima. Ea est laudantium recusandae. Perspiciatis quas quasi corporis.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Alice angrily. \'It wasn\'t very civil of you to sit down without being seen, when she heard a little now and then, \'we went to work very diligently to write this down on the top of it. Presently the Rabbit came near her, she began, rather timidly, saying to her usual height. It was so ordered about.',1,NULL,'2fadfd49d2d4bd66e1e914631dbc3087',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(6,'CONT#006','006',1,4,NULL,'If they had at the.','390',390.00,9,'2024-02-11','2024-02-11','2024-03-13','2024-03-13','Nostrum ducimus ab aut qui. Consectetur dolorem nostrum minima omnis nesciunt.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'FENDER, (WITH ALICE\'S LOVE). Oh dear, what nonsense I\'m talking!\' Just then she heard the Queen shouted at the March Hare: she thought it would not join the dance? Will you, won\'t you, will you join the dance? Will you, won\'t you, won\'t you, will you, won\'t you join the dance? Will you, won\'t you.',1,NULL,'8ef4bb8e7cd410bb3913066e6dcad2a4',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(7,'CONT#007','007',1,5,NULL,'Hatter instead!\'.','1000',1000.00,4,'2024-02-01','2024-02-01','2024-07-13','2024-07-13','Accusamus ut qui impedit et. Delectus optio et ducimus sint similique quae quis. Omnis et minus quod consequatur enim distinctio accusantium consequatur. Iusto quia eaque debitis qui harum distinctio sequi. Incidunt nesciunt animi unde voluptatem natus omnis.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'I wonder?\' As she said to itself \'The Duchess! The Duchess! Oh my fur and whiskers! She\'ll get me executed, as sure as ferrets are ferrets! Where CAN I have ordered\'; and she grew no larger: still it was her turn or not. So she called softly after it, and they lived at the Lizard as she did not.',1,NULL,'3a5084396f48968c18e636583dd324eb',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(8,'CONT#008','008',1,7,NULL,'By the time when.','100',100.00,32,'2024-02-07','2024-02-07','2024-05-13','2024-05-13','Rerum ut amet ut voluptatem optio neque earum. Recusandae voluptatem quod blanditiis repellat dolor quae et. In non nemo ullam nisi id.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'The Cat seemed to think that very few things indeed were really impossible. There seemed to think about stopping herself before she had accidentally upset the milk-jug into his plate. Alice did not answer, so Alice ventured to ask. \'Suppose we change the subject,\' the March Hare was said to.',1,NULL,'d78da3e359dbeba110bf2b5155c20d3d',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(9,'CONT#009','009',1,8,NULL,'It did so indeed.','324',324.00,6,'2024-01-17','2024-01-17','2024-03-13','2024-03-13','Est ullam voluptas et autem qui et. Neque nam repellendus id nemo ab officiis magni. Exercitationem eligendi suscipit saepe aut recusandae voluptates minima alias.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Hatter went on, \'What\'s your name, child?\' \'My name is Alice, so please your Majesty!\' the soldiers remaining behind to execute the unfortunate gardeners, who ran to Alice as he spoke, \'we were trying--\' \'I see!\' said the Hatter, and, just as well as pigs, and was in the lock, and to stand on.',1,NULL,'833641f92f95d06e14d39f80786dbafc',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(10,'CONT#010','010',1,13,NULL,'However, at last.','804',804.00,4,'2024-02-05','2024-02-05','2024-03-13','2024-03-13','Porro ea repellendus vero id laboriosam deleniti eius. Corporis qui ut officia ea quaerat soluta aut unde. Sit repudiandae amet recusandae amet.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'By the use of this pool? I am very tired of this. I vote the young man said, \'And your hair has become very white; And yet I don\'t want YOU with us!\"\' \'They were learning to draw,\' the Dormouse indignantly. However, he consented to go from here?\' \'That depends a good thing!\' she said to herself.',1,NULL,'75786a5bbe25ad3c02bcae397a1a7d1a',1,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL);
/*!40000 ALTER TABLE `contracts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `conversation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `conversation` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_one` int unsigned NOT NULL,
  `user_two` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `conversation_company_id_foreign` (`company_id`),
  KEY `conversation_user_one_foreign` (`user_one`),
  KEY `conversation_user_two_foreign` (`user_two`),
  CONSTRAINT `conversation_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `conversation` WRITE;
/*!40000 ALTER TABLE `conversation` DISABLE KEYS */;
/*!40000 ALTER TABLE `conversation` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `conversation_reply`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `conversation_reply` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `conversation_id` int unsigned NOT NULL,
  `reply` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `conversation_reply_company_id_foreign` (`company_id`),
  KEY `conversation_reply_conversation_id_foreign` (`conversation_id`),
  KEY `conversation_reply_user_id_foreign` (`user_id`),
  CONSTRAINT `conversation_reply_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `conversation_reply_conversation_id_foreign` FOREIGN KEY (`conversation_id`) REFERENCES `conversation` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `conversation_reply_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `conversation_reply` WRITE;
/*!40000 ALTER TABLE `conversation_reply` DISABLE KEYS */;
/*!40000 ALTER TABLE `conversation_reply` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `iso` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `nicename` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `iso3` char(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `numcode` smallint DEFAULT NULL,
  `phonecode` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=254 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` VALUES (1,'AF','AFGHANISTAN','Afghanistan','AFG',4,93),(2,'AL','ALBANIA','Albania','ALB',8,355),(3,'DZ','ALGERIA','Algeria','DZA',12,213),(4,'AS','AMERICAN SAMOA','American Samoa','ASM',16,1684),(5,'AD','ANDORRA','Andorra','AND',20,376),(6,'AO','ANGOLA','Angola','AGO',24,244),(7,'AI','ANGUILLA','Anguilla','AIA',660,1264),(8,'AQ','ANTARCTICA','Antarctica',NULL,NULL,0),(9,'AG','ANTIGUA AND BARBUDA','Antigua and Barbuda','ATG',28,1268),(10,'AR','ARGENTINA','Argentina','ARG',32,54),(11,'AM','ARMENIA','Armenia','ARM',51,374),(12,'AW','ARUBA','Aruba','ABW',533,297),(13,'AU','AUSTRALIA','Australia','AUS',36,61),(14,'AT','AUSTRIA','Austria','AUT',40,43),(15,'AZ','AZERBAIJAN','Azerbaijan','AZE',31,994),(16,'BS','BAHAMAS','Bahamas','BHS',44,1242),(17,'BH','BAHRAIN','Bahrain','BHR',48,973),(18,'BD','BANGLADESH','Bangladesh','BGD',50,880),(19,'BB','BARBADOS','Barbados','BRB',52,1246),(20,'BY','BELARUS','Belarus','BLR',112,375),(21,'BE','BELGIUM','Belgium','BEL',56,32),(22,'BZ','BELIZE','Belize','BLZ',84,501),(23,'BJ','BENIN','Benin','BEN',204,229),(24,'BM','BERMUDA','Bermuda','BMU',60,1441),(25,'BT','BHUTAN','Bhutan','BTN',64,975),(26,'BO','BOLIVIA','Bolivia','BOL',68,591),(27,'BA','BOSNIA AND HERZEGOVINA','Bosnia and Herzegovina','BIH',70,387),(28,'BW','BOTSWANA','Botswana','BWA',72,267),(29,'BV','BOUVET ISLAND','Bouvet Island',NULL,NULL,0),(30,'BR','BRAZIL','Brazil','BRA',76,55),(31,'IO','BRITISH INDIAN OCEAN TERRITORY','British Indian Ocean Territory',NULL,NULL,246),(32,'BN','BRUNEI DARUSSALAM','Brunei Darussalam','BRN',96,673),(33,'BG','BULGARIA','Bulgaria','BGR',100,359),(34,'BF','BURKINA FASO','Burkina Faso','BFA',854,226),(35,'BI','BURUNDI','Burundi','BDI',108,257),(36,'KH','CAMBODIA','Cambodia','KHM',116,855),(37,'CM','CAMEROON','Cameroon','CMR',120,237),(38,'CA','CANADA','Canada','CAN',124,1),(39,'CV','CAPE VERDE','Cape Verde','CPV',132,238),(40,'KY','CAYMAN ISLANDS','Cayman Islands','CYM',136,1345),(41,'CF','CENTRAL AFRICAN REPUBLIC','Central African Republic','CAF',140,236),(42,'TD','CHAD','Chad','TCD',148,235),(43,'CL','CHILE','Chile','CHL',152,56),(44,'CN','CHINA','China','CHN',156,86),(45,'CX','CHRISTMAS ISLAND','Christmas Island',NULL,NULL,61),(46,'CC','COCOS (KEELING) ISLANDS','Cocos (Keeling) Islands',NULL,NULL,672),(47,'CO','COLOMBIA','Colombia','COL',170,57),(48,'KM','COMOROS','Comoros','COM',174,269),(49,'CG','CONGO','Congo','COG',178,242),(50,'CD','CONGO, THE DEMOCRATIC REPUBLIC OF THE','Congo, the Democratic Republic of the','COD',180,242),(51,'CK','COOK ISLANDS','Cook Islands','COK',184,682),(52,'CR','COSTA RICA','Costa Rica','CRI',188,506),(53,'CI','COTE D\'IVOIRE','Cote D\'Ivoire','CIV',384,225),(54,'HR','CROATIA','Croatia','HRV',191,385),(55,'CU','CUBA','Cuba','CUB',192,53),(56,'CY','CYPRUS','Cyprus','CYP',196,357),(57,'CZ','CZECH REPUBLIC','Czech Republic','CZE',203,420),(58,'DK','DENMARK','Denmark','DNK',208,45),(59,'DJ','DJIBOUTI','Djibouti','DJI',262,253),(60,'DM','DOMINICA','Dominica','DMA',212,1767),(61,'DO','DOMINICAN REPUBLIC','Dominican Republic','DOM',214,1809),(62,'EC','ECUADOR','Ecuador','ECU',218,593),(63,'EG','EGYPT','Egypt','EGY',818,20),(64,'SV','EL SALVADOR','El Salvador','SLV',222,503),(65,'GQ','EQUATORIAL GUINEA','Equatorial Guinea','GNQ',226,240),(66,'ER','ERITREA','Eritrea','ERI',232,291),(67,'EE','ESTONIA','Estonia','EST',233,372),(68,'ET','ETHIOPIA','Ethiopia','ETH',231,251),(69,'FK','FALKLAND ISLANDS (MALVINAS)','Falkland Islands (Malvinas)','FLK',238,500),(70,'FO','FAROE ISLANDS','Faroe Islands','FRO',234,298),(71,'FJ','FIJI','Fiji','FJI',242,679),(72,'FI','FINLAND','Finland','FIN',246,358),(73,'FR','FRANCE','France','FRA',250,33),(74,'GF','FRENCH GUIANA','French Guiana','GUF',254,594),(75,'PF','FRENCH POLYNESIA','French Polynesia','PYF',258,689),(76,'TF','FRENCH SOUTHERN TERRITORIES','French Southern Territories',NULL,NULL,0),(77,'GA','GABON','Gabon','GAB',266,241),(78,'GM','GAMBIA','Gambia','GMB',270,220),(79,'GE','GEORGIA','Georgia','GEO',268,995),(80,'DE','GERMANY','Germany','DEU',276,49),(81,'GH','GHANA','Ghana','GHA',288,233),(82,'GI','GIBRALTAR','Gibraltar','GIB',292,350),(83,'GR','GREECE','Greece','GRC',300,30),(84,'GL','GREENLAND','Greenland','GRL',304,299),(85,'GD','GRENADA','Grenada','GRD',308,1473),(86,'GP','GUADELOUPE','Guadeloupe','GLP',312,590),(87,'GU','GUAM','Guam','GUM',316,1671),(88,'GT','GUATEMALA','Guatemala','GTM',320,502),(89,'GN','GUINEA','Guinea','GIN',324,224),(90,'GW','GUINEA-BISSAU','Guinea-Bissau','GNB',624,245),(91,'GY','GUYANA','Guyana','GUY',328,592),(92,'HT','HAITI','Haiti','HTI',332,509),(93,'HM','HEARD ISLAND AND MCDONALD ISLANDS','Heard Island and Mcdonald Islands',NULL,NULL,0),(94,'VA','HOLY SEE (VATICAN CITY STATE)','Holy See (Vatican City State)','VAT',336,39),(95,'HN','HONDURAS','Honduras','HND',340,504),(96,'HK','HONG KONG','Hong Kong','HKG',344,852),(97,'HU','HUNGARY','Hungary','HUN',348,36),(98,'IS','ICELAND','Iceland','ISL',352,354),(99,'IN','INDIA','India','IND',356,91),(100,'ID','INDONESIA','Indonesia','IDN',360,62),(101,'IR','IRAN, ISLAMIC REPUBLIC OF','Iran, Islamic Republic of','IRN',364,98),(102,'IQ','IRAQ','Iraq','IRQ',368,964),(103,'IE','IRELAND','Ireland','IRL',372,353),(104,'IL','ISRAEL','Israel','ISR',376,972),(105,'IT','ITALY','Italy','ITA',380,39),(106,'JM','JAMAICA','Jamaica','JAM',388,1876),(107,'JP','JAPAN','Japan','JPN',392,81),(108,'JO','JORDAN','Jordan','JOR',400,962),(109,'KZ','KAZAKHSTAN','Kazakhstan','KAZ',398,7),(110,'KE','KENYA','Kenya','KEN',404,254),(111,'KI','KIRIBATI','Kiribati','KIR',296,686),(112,'KP','KOREA, DEMOCRATIC PEOPLE\'S REPUBLIC OF','Korea, Democratic People\'s Republic of','PRK',408,850),(113,'KR','KOREA, REPUBLIC OF','Korea, Republic of','KOR',410,82),(114,'KW','KUWAIT','Kuwait','KWT',414,965),(115,'KG','KYRGYZSTAN','Kyrgyzstan','KGZ',417,996),(116,'LA','LAO PEOPLE\'S DEMOCRATIC REPUBLIC','Lao People\'s Democratic Republic','LAO',418,856),(117,'LV','LATVIA','Latvia','LVA',428,371),(118,'LB','LEBANON','Lebanon','LBN',422,961),(119,'LS','LESOTHO','Lesotho','LSO',426,266),(120,'LR','LIBERIA','Liberia','LBR',430,231),(121,'LY','LIBYAN ARAB JAMAHIRIYA','Libyan Arab Jamahiriya','LBY',434,218),(122,'LI','LIECHTENSTEIN','Liechtenstein','LIE',438,423),(123,'LT','LITHUANIA','Lithuania','LTU',440,370),(124,'LU','LUXEMBOURG','Luxembourg','LUX',442,352),(125,'MO','MACAO','Macao','MAC',446,853),(126,'MK','MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF','Macedonia, the Former Yugoslav Republic of','MKD',807,389),(127,'MG','MADAGASCAR','Madagascar','MDG',450,261),(128,'MW','MALAWI','Malawi','MWI',454,265),(129,'MY','MALAYSIA','Malaysia','MYS',458,60),(130,'MV','MALDIVES','Maldives','MDV',462,960),(131,'ML','MALI','Mali','MLI',466,223),(132,'MT','MALTA','Malta','MLT',470,356),(133,'MH','MARSHALL ISLANDS','Marshall Islands','MHL',584,692),(134,'MQ','MARTINIQUE','Martinique','MTQ',474,596),(135,'MR','MAURITANIA','Mauritania','MRT',478,222),(136,'MU','MAURITIUS','Mauritius','MUS',480,230),(137,'YT','MAYOTTE','Mayotte',NULL,NULL,269),(138,'MX','MEXICO','Mexico','MEX',484,52),(139,'FM','MICRONESIA, FEDERATED STATES OF','Micronesia, Federated States of','FSM',583,691),(140,'MD','MOLDOVA, REPUBLIC OF','Moldova, Republic of','MDA',498,373),(141,'MC','MONACO','Monaco','MCO',492,377),(142,'MN','MONGOLIA','Mongolia','MNG',496,976),(143,'MS','MONTSERRAT','Montserrat','MSR',500,1664),(144,'MA','MOROCCO','Morocco','MAR',504,212),(145,'MZ','MOZAMBIQUE','Mozambique','MOZ',508,258),(146,'MM','MYANMAR','Myanmar','MMR',104,95),(147,'NA','NAMIBIA','Namibia','NAM',516,264),(148,'NR','NAURU','Nauru','NRU',520,674),(149,'NP','NEPAL','Nepal','NPL',524,977),(150,'NL','NETHERLANDS','Netherlands','NLD',528,31),(151,'AN','NETHERLANDS ANTILLES','Netherlands Antilles','ANT',530,599),(152,'NC','NEW CALEDONIA','New Caledonia','NCL',540,687),(153,'NZ','NEW ZEALAND','New Zealand','NZL',554,64),(154,'NI','NICARAGUA','Nicaragua','NIC',558,505),(155,'NE','NIGER','Niger','NER',562,227),(156,'NG','NIGERIA','Nigeria','NGA',566,234),(157,'NU','NIUE','Niue','NIU',570,683),(158,'NF','NORFOLK ISLAND','Norfolk Island','NFK',574,672),(159,'MP','NORTHERN MARIANA ISLANDS','Northern Mariana Islands','MNP',580,1670),(160,'NO','NORWAY','Norway','NOR',578,47),(161,'OM','OMAN','Oman','OMN',512,968),(162,'PK','PAKISTAN','Pakistan','PAK',586,92),(163,'PW','PALAU','Palau','PLW',585,680),(164,'PS','PALESTINIAN TERRITORY, OCCUPIED','Palestinian Territory, Occupied',NULL,NULL,970),(165,'PA','PANAMA','Panama','PAN',591,507),(166,'PG','PAPUA NEW GUINEA','Papua New Guinea','PNG',598,675),(167,'PY','PARAGUAY','Paraguay','PRY',600,595),(168,'PE','PERU','Peru','PER',604,51),(169,'PH','PHILIPPINES','Philippines','PHL',608,63),(170,'PN','PITCAIRN','Pitcairn','PCN',612,0),(171,'PL','POLAND','Poland','POL',616,48),(172,'PT','PORTUGAL','Portugal','PRT',620,351),(173,'PR','PUERTO RICO','Puerto Rico','PRI',630,1787),(174,'QA','QATAR','Qatar','QAT',634,974),(175,'RE','REUNION','Reunion','REU',638,262),(176,'RO','ROMANIA','Romania','ROM',642,40),(177,'RU','RUSSIAN FEDERATION','Russian Federation','RUS',643,7),(178,'RW','RWANDA','Rwanda','RWA',646,250),(179,'SH','SAINT HELENA','Saint Helena','SHN',654,290),(180,'KN','SAINT KITTS AND NEVIS','Saint Kitts and Nevis','KNA',659,1869),(181,'LC','SAINT LUCIA','Saint Lucia','LCA',662,1758),(182,'PM','SAINT PIERRE AND MIQUELON','Saint Pierre and Miquelon','SPM',666,508),(183,'VC','SAINT VINCENT AND THE GRENADINES','Saint Vincent and the Grenadines','VCT',670,1784),(184,'WS','SAMOA','Samoa','WSM',882,684),(185,'SM','SAN MARINO','San Marino','SMR',674,378),(186,'ST','SAO TOME AND PRINCIPE','Sao Tome and Principe','STP',678,239),(187,'SA','SAUDI ARABIA','Saudi Arabia','SAU',682,966),(188,'SN','SENEGAL','Senegal','SEN',686,221),(189,'CS','SERBIA AND MONTENEGRO','Serbia and Montenegro',NULL,NULL,381),(190,'SC','SEYCHELLES','Seychelles','SYC',690,248),(191,'SL','SIERRA LEONE','Sierra Leone','SLE',694,232),(192,'SG','SINGAPORE','Singapore','SGP',702,65),(193,'SK','SLOVAKIA','Slovakia','SVK',703,421),(194,'SI','SLOVENIA','Slovenia','SVN',705,386),(195,'SB','SOLOMON ISLANDS','Solomon Islands','SLB',90,677),(196,'SO','SOMALIA','Somalia','SOM',706,252),(197,'ZA','SOUTH AFRICA','South Africa','ZAF',710,27),(198,'GS','SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS','South Georgia and the South Sandwich Islands',NULL,NULL,0),(199,'ES','SPAIN','Spain','ESP',724,34),(200,'LK','SRI LANKA','Sri Lanka','LKA',144,94),(201,'SD','SUDAN','Sudan','SDN',736,249),(202,'SR','SURINAME','Suriname','SUR',740,597),(203,'SJ','SVALBARD AND JAN MAYEN','Svalbard and Jan Mayen','SJM',744,47),(204,'SZ','SWAZILAND','Swaziland','SWZ',748,268),(205,'SE','SWEDEN','Sweden','SWE',752,46),(206,'CH','SWITZERLAND','Switzerland','CHE',756,41),(207,'SY','SYRIAN ARAB REPUBLIC','Syrian Arab Republic','SYR',760,963),(208,'TW','TAIWAN, PROVINCE OF CHINA','Taiwan, Province of China','TWN',158,886),(209,'TJ','TAJIKISTAN','Tajikistan','TJK',762,992),(210,'TZ','TANZANIA, UNITED REPUBLIC OF','Tanzania, United Republic of','TZA',834,255),(211,'TH','THAILAND','Thailand','THA',764,66),(212,'TL','TIMOR-LESTE','Timor-Leste',NULL,NULL,670),(213,'TG','TOGO','Togo','TGO',768,228),(214,'TK','TOKELAU','Tokelau','TKL',772,690),(215,'TO','TONGA','Tonga','TON',776,676),(216,'TT','TRINIDAD AND TOBAGO','Trinidad and Tobago','TTO',780,1868),(217,'TN','TUNISIA','Tunisia','TUN',788,216),(218,'TR','TURKEY','Turkey','TUR',792,90),(219,'TM','TURKMENISTAN','Turkmenistan','TKM',795,7370),(220,'TC','TURKS AND CAICOS ISLANDS','Turks and Caicos Islands','TCA',796,1649),(221,'TV','TUVALU','Tuvalu','TUV',798,688),(222,'UG','UGANDA','Uganda','UGA',800,256),(223,'UA','UKRAINE','Ukraine','UKR',804,380),(224,'AE','UNITED ARAB EMIRATES','United Arab Emirates','ARE',784,971),(225,'GB','UNITED KINGDOM','United Kingdom','GBR',826,44),(226,'US','UNITED STATES','United States','USA',840,1),(227,'UM','UNITED STATES MINOR OUTLYING ISLANDS','United States Minor Outlying Islands',NULL,NULL,1),(228,'UY','URUGUAY','Uruguay','URY',858,598),(229,'UZ','UZBEKISTAN','Uzbekistan','UZB',860,998),(230,'VU','VANUATU','Vanuatu','VUT',548,678),(231,'VE','VENEZUELA','Venezuela','VEN',862,58),(232,'VN','VIET NAM','Viet Nam','VNM',704,84),(233,'VG','VIRGIN ISLANDS, BRITISH','Virgin Islands, British','VGB',92,1284),(234,'VI','VIRGIN ISLANDS, U.S.','Virgin Islands, U.s.','VIR',850,1340),(235,'WF','WALLIS AND FUTUNA','Wallis and Futuna','WLF',876,681),(236,'EH','WESTERN SAHARA','Western Sahara','ESH',732,212),(237,'YE','YEMEN','Yemen','YEM',887,967),(238,'ZM','ZAMBIA','Zambia','ZMB',894,260),(239,'ZW','ZIMBABWE','Zimbabwe','ZWE',716,263),(240,'RS','SERBIA','Serbia','SRB',688,381),(241,'AP','ASIA PACIFIC REGION','Asia / Pacific Region','0',0,0),(242,'ME','MONTENEGRO','Montenegro','MNE',499,382),(243,'AX','ALAND ISLANDS','Aland Islands','ALA',248,358),(244,'BQ','BONAIRE, SINT EUSTATIUS AND SABA','Bonaire, Sint Eustatius and Saba','BES',535,599),(245,'CW','CURACAO','Curacao','CUW',531,599),(246,'GG','GUERNSEY','Guernsey','GGY',831,44),(247,'IM','ISLE OF MAN','Isle of Man','IMN',833,44),(248,'JE','JERSEY','Jersey','JEY',832,44),(249,'XK','KOSOVO','Kosovo','---',0,381),(250,'BL','SAINT BARTHELEMY','Saint Barthelemy','BLM',652,590),(251,'MF','SAINT MARTIN','Saint Martin','MAF',663,590),(252,'SX','SINT MAARTEN','Sint Maarten','SXM',534,1),(253,'SS','SOUTH SUDAN','South Sudan','SSD',728,211);
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `credit_note_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `credit_note_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `credit_note_item_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `credit_note_item_images_credit_note_item_id_foreign` (`credit_note_item_id`),
  CONSTRAINT `credit_note_item_images_credit_note_item_id_foreign` FOREIGN KEY (`credit_note_item_id`) REFERENCES `credit_note_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `credit_note_item_images` WRITE;
/*!40000 ALTER TABLE `credit_note_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `credit_note_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `credit_note_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `credit_note_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `credit_note_id` int unsigned NOT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('item','discount','tax') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` int NOT NULL,
  `unit_price` double(30,2) NOT NULL,
  `amount` double(30,2) NOT NULL,
  `taxes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `credit_note_items_credit_note_id_foreign` (`credit_note_id`),
  KEY `credit_note_items_unit_id_foreign` (`unit_id`),
  KEY `credit_note_items_product_id_foreign` (`product_id`),
  CONSTRAINT `credit_note_items_credit_note_id_foreign` FOREIGN KEY (`credit_note_id`) REFERENCES `credit_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `credit_note_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `credit_note_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `credit_note_items` WRITE;
/*!40000 ALTER TABLE `credit_note_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `credit_note_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `credit_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `credit_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `cn_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `original_credit_note_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_id` int unsigned DEFAULT NULL,
  `issue_date` date NOT NULL,
  `due_date` date NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `discount_type` enum('percent','fixed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `sub_total` double(15,2) NOT NULL,
  `total` double(15,2) NOT NULL,
  `adjustment_amount` double(30,2) DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `status` enum('closed','open') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `recurring` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `billing_frequency` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `billing_interval` int DEFAULT NULL,
  `billing_cycle` int DEFAULT NULL,
  `file` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_original_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `calculate_tax` enum('after_discount','before_discount') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `credit_notes_company_id_foreign` (`company_id`),
  KEY `credit_notes_project_id_foreign` (`project_id`),
  KEY `credit_notes_client_id_foreign` (`client_id`),
  KEY `credit_notes_currency_id_foreign` (`currency_id`),
  KEY `credit_notes_added_by_foreign` (`added_by`),
  KEY `credit_notes_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `credit_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `credit_notes_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `credit_notes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `credit_notes_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `credit_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `credit_notes_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `credit_notes` WRITE;
/*!40000 ALTER TABLE `credit_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `credit_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `currencies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `currency_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency_symbol` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exchange_rate` double DEFAULT NULL,
  `is_cryptocurrency` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `usd_price` double DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `currency_position` enum('left','right','left_with_space','right_with_space') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'left',
  `no_of_decimal` int unsigned NOT NULL,
  `thousand_separator` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `decimal_separator` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `currencies_company_id_foreign` (`company_id`),
  CONSTRAINT `currencies_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `currencies` WRITE;
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
INSERT INTO `currencies` VALUES (1,1,'Dollars','$','USD',1,'no',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34','left',2,',','.'),(2,1,'Pounds','£','GBP',1,'no',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34','left',2,',','.'),(3,1,'Euros','€','EUR',1,'no',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34','left',2,',','.'),(4,1,'Rupee','₹','INR',1,'no',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34','left',2,',','.');
/*!40000 ALTER TABLE `currencies` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `currency_format_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `currency_format_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `currency_position` enum('left','right','left_with_space','right_with_space') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'left',
  `no_of_decimal` int unsigned NOT NULL,
  `thousand_separator` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `decimal_separator` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `currency_format_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `currency_format_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `currency_format_settings` WRITE;
/*!40000 ALTER TABLE `currency_format_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `currency_format_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `custom_field_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_field_groups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `model` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `custom_field_groups_company_id_foreign` (`company_id`),
  KEY `custom_field_groups_model_index` (`model`),
  CONSTRAINT `custom_field_groups_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `custom_field_groups` WRITE;
/*!40000 ALTER TABLE `custom_field_groups` DISABLE KEYS */;
INSERT INTO `custom_field_groups` VALUES (1,1,'Client','App\\Models\\ClientDetails'),(2,1,'Employee','App\\Models\\EmployeeDetails'),(3,1,'Project','App\\Models\\Project'),(4,1,'Invoice','App\\Models\\Invoice'),(5,1,'Estimate','App\\Models\\Estimate'),(6,1,'Task','App\\Models\\Task'),(7,1,'Expense','App\\Models\\Expense'),(8,1,'Lead','App\\Models\\Lead'),(9,1,'Deal','App\\Models\\Deal'),(10,1,'Product','App\\Models\\Product'),(11,1,'Ticket','App\\Models\\Ticket'),(12,1,'Time Log','App\\Models\\ProjectTimeLog'),(13,1,'Contract','App\\Models\\Contract');
/*!40000 ALTER TABLE `custom_field_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_fields` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `custom_field_group_id` int unsigned DEFAULT NULL,
  `label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `required` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `values` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `export` tinyint(1) DEFAULT '0',
  `visible` enum('true','false') COLLATE utf8mb4_unicode_ci DEFAULT 'false',
  PRIMARY KEY (`id`),
  KEY `custom_fields_company_id_foreign` (`company_id`),
  KEY `custom_fields_custom_field_group_id_foreign` (`custom_field_group_id`),
  CONSTRAINT `custom_fields_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `custom_fields_custom_field_group_id_foreign` FOREIGN KEY (`custom_field_group_id`) REFERENCES `custom_field_groups` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `custom_fields` WRITE;
/*!40000 ALTER TABLE `custom_fields` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_fields` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `custom_fields_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_fields_data` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` int unsigned NOT NULL,
  `model_id` int unsigned NOT NULL,
  `model` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(10000) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `custom_fields_data_custom_field_id_foreign` (`custom_field_id`),
  KEY `custom_fields_data_model_index` (`model`),
  CONSTRAINT `custom_fields_data_custom_field_id_foreign` FOREIGN KEY (`custom_field_id`) REFERENCES `custom_fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `custom_fields_data` WRITE;
/*!40000 ALTER TABLE `custom_fields_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_fields_data` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `custom_link_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `custom_link_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `link_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `url` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `can_be_viewed_by` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `custom_link_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `custom_link_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `custom_link_settings` WRITE;
/*!40000 ALTER TABLE `custom_link_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `custom_link_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cyber_securities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cyber_securities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `max_retries` int NOT NULL DEFAULT '3',
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lockout_time` int NOT NULL DEFAULT '2',
  `max_lockouts` int NOT NULL DEFAULT '3',
  `extended_lockout_time` int NOT NULL DEFAULT '1',
  `reset_retries` int NOT NULL DEFAULT '24',
  `alert_after_lockouts` int NOT NULL DEFAULT '2',
  `user_timeout` int NOT NULL DEFAULT '10',
  `ip_check` tinyint(1) NOT NULL DEFAULT '0',
  `ip` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `unique_session` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cyber_securities` WRITE;
/*!40000 ALTER TABLE `cyber_securities` DISABLE KEYS */;
INSERT INTO `cyber_securities` VALUES (1,3,NULL,2,3,1,24,2,10,0,NULL,0,'2024-02-13 04:03:33','2024-02-13 04:03:33');
/*!40000 ALTER TABLE `cyber_securities` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cyber_security_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cyber_security_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cyber_security_settings` WRITE;
/*!40000 ALTER TABLE `cyber_security_settings` DISABLE KEYS */;
INSERT INTO `cyber_security_settings` VALUES (1,NULL,NULL,NULL,1,NULL,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `cyber_security_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `widget_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '1',
  `dashboard_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widgets_company_id_foreign` (`company_id`),
  CONSTRAINT `dashboard_widgets_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=83 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
INSERT INTO `dashboard_widgets` VALUES (1,1,'total_clients',1,'admin-dashboard',NULL,NULL),(2,1,'total_employees',1,'admin-dashboard',NULL,NULL),(3,1,'total_projects',1,'admin-dashboard',NULL,NULL),(4,1,'total_unpaid_invoices',1,'admin-dashboard',NULL,NULL),(5,1,'total_hours_logged',1,'admin-dashboard',NULL,NULL),(6,1,'total_pending_tasks',1,'admin-dashboard',NULL,NULL),(7,1,'total_today_attendance',1,'admin-dashboard',NULL,NULL),(8,1,'total_unresolved_tickets',1,'admin-dashboard',NULL,NULL),(9,1,'recent_earnings',1,'admin-dashboard',NULL,NULL),(10,1,'settings_leaves',1,'admin-dashboard',NULL,NULL),(11,1,'new_tickets',1,'admin-dashboard',NULL,NULL),(12,1,'overdue_tasks',1,'admin-dashboard',NULL,NULL),(13,1,'pending_follow_up',1,'admin-dashboard',NULL,NULL),(14,1,'project_activity_timeline',1,'admin-dashboard',NULL,NULL),(15,1,'user_activity_timeline',1,'admin-dashboard',NULL,NULL),(16,1,'timelogs',1,'admin-dashboard',NULL,NULL),(17,1,'total_clients',1,'admin-client-dashboard',NULL,NULL),(18,1,'total_leads',1,'admin-client-dashboard',NULL,NULL),(19,1,'total_lead_conversions',1,'admin-client-dashboard',NULL,NULL),(20,1,'total_contracts_generated',1,'admin-client-dashboard',NULL,NULL),(21,1,'total_contracts_signed',1,'admin-client-dashboard',NULL,NULL),(22,1,'client_wise_earnings',1,'admin-client-dashboard',NULL,NULL),(23,1,'client_wise_timelogs',1,'admin-client-dashboard',NULL,NULL),(24,1,'lead_vs_status',1,'admin-client-dashboard',NULL,NULL),(25,1,'lead_vs_source',1,'admin-client-dashboard',NULL,NULL),(26,1,'latest_client',1,'admin-client-dashboard',NULL,NULL),(27,1,'recent_login_activities',1,'admin-client-dashboard',NULL,NULL),(28,1,'total_deals',1,'admin-client-dashboard',NULL,NULL),(29,1,'total_paid_invoices',1,'admin-finance-dashboard',NULL,NULL),(30,1,'total_expenses',1,'admin-finance-dashboard',NULL,NULL),(31,1,'total_earnings',1,'admin-finance-dashboard',NULL,NULL),(32,1,'total_pending_amount',1,'admin-finance-dashboard',NULL,NULL),(33,1,'invoice_overview',1,'admin-finance-dashboard',NULL,NULL),(34,1,'estimate_overview',1,'admin-finance-dashboard',NULL,NULL),(35,1,'proposal_overview',1,'admin-finance-dashboard',NULL,NULL),(36,1,'earnings_by_client',1,'admin-finance-dashboard',NULL,NULL),(37,1,'earnings_by_projects',1,'admin-finance-dashboard',NULL,NULL),(38,1,'total_unpaid_invoices',1,'admin-finance-dashboard',NULL,NULL),(39,1,'total_leaves_approved',1,'admin-hr-dashboard',NULL,NULL),(40,1,'total_new_employee',1,'admin-hr-dashboard',NULL,NULL),(41,1,'total_employee_exits',1,'admin-hr-dashboard',NULL,NULL),(42,1,'average_attendance',1,'admin-hr-dashboard',NULL,NULL),(43,1,'department_wise_employee',1,'admin-hr-dashboard',NULL,NULL),(44,1,'designation_wise_employee',1,'admin-hr-dashboard',NULL,NULL),(45,1,'gender_wise_employee',1,'admin-hr-dashboard',NULL,NULL),(46,1,'role_wise_employee',1,'admin-hr-dashboard',NULL,NULL),(47,1,'leaves_taken',1,'admin-hr-dashboard',NULL,NULL),(48,1,'late_attendance_mark',1,'admin-hr-dashboard',NULL,NULL),(49,1,'headcount',1,'admin-hr-dashboard',NULL,NULL),(50,1,'joining_vs_attrition',1,'admin-hr-dashboard',NULL,NULL),(51,1,'birthday',1,'admin-hr-dashboard',NULL,NULL),(52,1,'total_today_attendance',1,'admin-hr-dashboard',NULL,NULL),(53,1,'total_project',1,'admin-project-dashboard',NULL,NULL),(54,1,'total_hours_logged',1,'admin-project-dashboard',NULL,NULL),(55,1,'total_overdue_project',1,'admin-project-dashboard',NULL,NULL),(56,1,'status_wise_project',1,'admin-project-dashboard',NULL,NULL),(57,1,'pending_milestone',1,'admin-project-dashboard',NULL,NULL),(58,1,'total_tickets',1,'admin-ticket-dashboard',NULL,NULL),(59,1,'total_unassigned_ticket',1,'admin-ticket-dashboard',NULL,NULL),(60,1,'type_wise_ticket',1,'admin-ticket-dashboard',NULL,NULL),(61,1,'status_wise_ticket',1,'admin-ticket-dashboard',NULL,NULL),(62,1,'channel_wise_ticket',1,'admin-ticket-dashboard',NULL,NULL),(63,1,'new_tickets',1,'admin-ticket-dashboard',NULL,NULL),(64,1,'profile',1,'private-dashboard',NULL,NULL),(65,1,'shift_schedule',1,'private-dashboard',NULL,NULL),(66,1,'birthday',1,'private-dashboard',NULL,NULL),(67,1,'notices',1,'private-dashboard',NULL,NULL),(68,1,'tasks',1,'private-dashboard',NULL,NULL),(69,1,'projects',1,'private-dashboard',NULL,NULL),(70,1,'my_task',1,'private-dashboard',NULL,NULL),(71,1,'my_calender',1,'private-dashboard',NULL,NULL),(72,1,'week_timelog',1,'private-dashboard',NULL,NULL),(73,1,'leave',1,'private-dashboard',NULL,NULL),(74,1,'lead',1,'private-dashboard',NULL,NULL),(75,1,'work_from_home',1,'private-dashboard',NULL,NULL),(76,1,'appreciation',1,'private-dashboard',NULL,NULL),(77,1,'work_anniversary',1,'private-dashboard',NULL,NULL),(78,1,'ticket',1,'private-dashboard',NULL,NULL),(79,1,'notice_period_duration',1,'private-dashboard',NULL,NULL),(80,1,'probation_date',1,'private-dashboard',NULL,NULL),(81,1,'contract_date',1,'private-dashboard',NULL,NULL),(82,1,'internship_date',1,'private-dashboard',NULL,NULL);
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `database_backup_cron_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `database_backup_cron_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'inactive',
  `hour_of_day` time DEFAULT NULL,
  `backup_after_days` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delete_backup_after_days` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `database_backup_cron_settings` WRITE;
/*!40000 ALTER TABLE `database_backup_cron_settings` DISABLE KEYS */;
INSERT INTO `database_backup_cron_settings` VALUES (1,'inactive','00:00:00','0','0');
/*!40000 ALTER TABLE `database_backup_cron_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `database_backups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `database_backups` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `database_backups` WRITE;
/*!40000 ALTER TABLE `database_backups` DISABLE KEYS */;
/*!40000 ALTER TABLE `database_backups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `deal_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deal_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `deal_id` bigint unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `filename` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_files_user_id_foreign` (`user_id`),
  KEY `lead_files_added_by_foreign` (`added_by`),
  KEY `lead_files_last_updated_by_foreign` (`last_updated_by`),
  KEY `deal_files_deal_id_foreign` (`deal_id`),
  CONSTRAINT `deal_files_deal_id_foreign` FOREIGN KEY (`deal_id`) REFERENCES `deals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `deal_files` WRITE;
/*!40000 ALTER TABLE `deal_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `deal_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `deal_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deal_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `details` longtext COLLATE utf8mb4_unicode_ci,
  `deal_id` bigint unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deal_notes_last_updated_by_foreign` (`last_updated_by`),
  KEY `deal_notes_added_by_foreign` (`added_by`),
  KEY `deal_notes_deal_id_foreign` (`deal_id`),
  CONSTRAINT `deal_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `deal_notes_deal_id_foreign` FOREIGN KEY (`deal_id`) REFERENCES `deals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `deal_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `deal_notes` WRITE;
/*!40000 ALTER TABLE `deal_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `deal_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `deals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deals` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `column_priority` int NOT NULL DEFAULT '0',
  `lead_pipeline_id` bigint unsigned DEFAULT NULL,
  `pipeline_stage_id` int unsigned DEFAULT NULL,
  `lead_id` int unsigned DEFAULT NULL,
  `close_date` date DEFAULT NULL,
  `agent_id` bigint unsigned DEFAULT NULL,
  `next_follow_up` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `value` double(30,2) DEFAULT '0.00',
  `note` longtext COLLATE utf8mb4_unicode_ci,
  `hash` text COLLATE utf8mb4_unicode_ci,
  `currency_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deals_company_id_foreign` (`company_id`),
  KEY `deals_lead_pipeline_id_foreign` (`lead_pipeline_id`),
  KEY `deals_pipeline_stage_id_foreign` (`pipeline_stage_id`),
  KEY `deals_lead_id_foreign` (`lead_id`),
  KEY `deals_added_by_foreign` (`added_by`),
  KEY `deals_last_updated_by_foreign` (`last_updated_by`),
  KEY `leads_agent_id_foreign` (`agent_id`),
  KEY `leads_currency_id_foreign` (`currency_id`),
  CONSTRAINT `deals_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `deals_agent_id_foreign` FOREIGN KEY (`agent_id`) REFERENCES `lead_agents` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `deals_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `deals_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `deals_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `deals_lead_id_foreign` FOREIGN KEY (`lead_id`) REFERENCES `leads` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `deals_lead_pipeline_id_foreign` FOREIGN KEY (`lead_pipeline_id`) REFERENCES `lead_pipelines` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `deals_pipeline_stage_id_foreign` FOREIGN KEY (`pipeline_stage_id`) REFERENCES `pipeline_stages` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `deals` WRITE;
/*!40000 ALTER TABLE `deals` DISABLE KEYS */;
INSERT INTO `deals` VALUES (1,1,'Test Lead',0,1,4,1,NULL,1,'yes',98467.00,'Quas consectetur, tempor incidunt, aliquid voluptatem, velit mollit et illum, adipisicing ea officia aliquam placeat','2edeb467263302bdd3212961d0a7726d',1,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,1,'Quidem ut incidunt.',0,1,4,1,NULL,2,'yes',76255.00,'Alice whispered to the table to measure herself by it, and found in it a violent shake at the place of the reeds--the rattling teacups would change (she knew) to the dance. So they sat down, and.','bc0dcb1ba2d36e568e2294dc1bf14ec5',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,1,'Aliquam quos.',0,1,1,1,NULL,1,'yes',48925.00,'He looked at her, and said, without opening its eyes, for it now, I suppose, by being drowned in my life!\' She had quite forgotten the words.\' So they got their tails in their proper places--ALL,\'.','aedb9a5dbe618073b4e81dd32c897765',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,1,'Similique et illum.',0,1,6,1,NULL,2,'yes',79939.00,'Alice. \'Did you speak?\' \'Not I!\' he replied. \'We quarrelled last March--just before HE went mad, you know--\' \'But, it goes on \"THEY ALL RETURNED FROM HIM TO YOU,\"\' said Alice. \'Oh, don\'t bother ME,\'.','e5859e79284d62b953727d201c349984',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,1,'Consequatur quo provident.',0,1,6,1,NULL,3,'yes',93712.00,'I am so VERY much out of court! Suppress him! Pinch him! Off with his head!\' or \'Off with their fur clinging close to her feet, they seemed to think that there was no \'One, two, three, and away,\'.','adc898b8c4caf230f86c222f43588110',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,1,'Accusantium ipsam aliquam aperiam.',0,1,6,1,NULL,1,'yes',36862.00,'He got behind Alice as she picked her way through the doorway; \'and even if I shall only look up and leave the court; but on second thoughts she decided to remain where she was, and waited. When the.','cdd7fffd3b912f634623dae9afaea032',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,1,'Consectetur eveniet.',0,1,1,1,NULL,2,'yes',6311.00,'And so she took courage, and went back to the croquet-ground. The other guests had taken his watch out of the treat. When the procession came opposite to Alice, and sighing. \'It IS the use of a.','a18548589110bcf72da2b4de910c12e0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,1,'Occaecati enim assumenda sed.',0,1,5,1,NULL,1,'yes',53982.00,'I have ordered\'; and she felt a very truthful child; \'but little girls eat eggs quite as much as serpents do, you know.\' \'I don\'t even know what they\'re about!\' \'Read them,\' said the Dormouse; \'VERY.','1d4af29ff0d034e0be1a0ac1c94a8428',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,1,'Porro labore eaque.',0,1,6,1,NULL,1,'yes',48532.00,'I\'ve seen that done,\' thought Alice. \'Now we shall have some fun now!\' thought Alice. \'Now we shall get on better.\' \'I\'d rather not,\' the Cat again, sitting on the ground as she was ever to get her.','b6e67b1fa00906dd1adc64c42ad35b19',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,1,'Ut dolores non.',0,1,4,1,NULL,3,'yes',99904.00,'Alice looked round, eager to see what was coming. It was the BEST butter,\' the March Hare. \'I didn\'t know it to her head, and she went back to the Hatter. \'I told you butter wouldn\'t suit the.','fa69cfc90e493b4736f2dfe900ca9fc2',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,1,'Voluptate delectus sapiente.',0,1,3,1,NULL,1,'yes',69597.00,'Don\'t let me hear the words:-- \'I speak severely to my right size to do that,\' said the Gryphon: \'I went to the porpoise, \"Keep back, please: we don\'t want to stay in here any longer!\' She waited.','058728851a621194981f599026c90815',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `deals` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `designations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `designations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `designations_company_id_foreign` (`company_id`),
  KEY `designations_added_by_foreign` (`added_by`),
  KEY `designations_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `designations_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `designations_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `designations_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `designations` WRITE;
/*!40000 ALTER TABLE `designations` DISABLE KEYS */;
INSERT INTO `designations` VALUES (1,1,'Trainee',NULL,NULL,NULL,NULL,NULL),(2,1,'Senior',NULL,NULL,NULL,NULL,NULL),(3,1,'Junior',NULL,NULL,NULL,NULL,NULL),(4,1,'Team Lead',NULL,NULL,NULL,NULL,NULL),(5,1,'Project Manager',NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `designations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `devices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `devices` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `device_id` bigint unsigned NOT NULL,
  `registration_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `details` varchar(1000) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `devices_user_id_foreign` (`user_id`),
  CONSTRAINT `devices_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `devices` WRITE;
/*!40000 ALTER TABLE `devices` DISABLE KEYS */;
/*!40000 ALTER TABLE `devices` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discussion_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `discussion_categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `order` int NOT NULL DEFAULT '1',
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discussion_categories_company_id_foreign` (`company_id`),
  CONSTRAINT `discussion_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discussion_categories` WRITE;
/*!40000 ALTER TABLE `discussion_categories` DISABLE KEYS */;
INSERT INTO `discussion_categories` VALUES (1,1,1,'General','#3498DB','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `discussion_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discussion_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `discussion_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `discussion_id` int unsigned DEFAULT NULL,
  `discussion_reply_id` int unsigned DEFAULT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discussion_files_company_id_foreign` (`company_id`),
  KEY `discussion_files_user_id_foreign` (`user_id`),
  KEY `discussion_files_discussion_id_foreign` (`discussion_id`),
  KEY `discussion_files_discussion_reply_id_foreign` (`discussion_reply_id`),
  CONSTRAINT `discussion_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussion_files_discussion_id_foreign` FOREIGN KEY (`discussion_id`) REFERENCES `discussions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussion_files_discussion_reply_id_foreign` FOREIGN KEY (`discussion_reply_id`) REFERENCES `discussion_replies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussion_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discussion_files` WRITE;
/*!40000 ALTER TABLE `discussion_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `discussion_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discussion_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `discussion_replies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `discussion_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `body` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discussion_replies_discussion_id_foreign` (`discussion_id`),
  KEY `discussion_replies_user_id_foreign` (`user_id`),
  KEY `discussion_replies_company_id_foreign` (`company_id`),
  CONSTRAINT `discussion_replies_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussion_replies_discussion_id_foreign` FOREIGN KEY (`discussion_id`) REFERENCES `discussions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussion_replies_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discussion_replies` WRITE;
/*!40000 ALTER TABLE `discussion_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `discussion_replies` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discussions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `discussions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `discussion_category_id` int unsigned DEFAULT '1',
  `project_id` int unsigned DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT '#232629',
  `user_id` int unsigned NOT NULL,
  `pinned` tinyint(1) NOT NULL DEFAULT '0',
  `closed` tinyint(1) NOT NULL DEFAULT '0',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `last_reply_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `best_answer_id` int unsigned DEFAULT NULL,
  `last_reply_by_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discussions_discussion_category_id_foreign` (`discussion_category_id`),
  KEY `discussions_project_id_foreign` (`project_id`),
  KEY `discussions_user_id_foreign` (`user_id`),
  KEY `discussions_best_answer_id_foreign` (`best_answer_id`),
  KEY `discussions_last_reply_by_id_foreign` (`last_reply_by_id`),
  KEY `discussions_added_by_foreign` (`added_by`),
  KEY `discussions_last_updated_by_foreign` (`last_updated_by`),
  KEY `discussions_company_id_foreign` (`company_id`),
  CONSTRAINT `discussions_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `discussions_best_answer_id_foreign` FOREIGN KEY (`best_answer_id`) REFERENCES `discussion_replies` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `discussions_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussions_discussion_category_id_foreign` FOREIGN KEY (`discussion_category_id`) REFERENCES `discussion_categories` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `discussions_last_reply_by_id_foreign` FOREIGN KEY (`last_reply_by_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `discussions_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `discussions_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `discussions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discussions` WRITE;
/*!40000 ALTER TABLE `discussions` DISABLE KEYS */;
/*!40000 ALTER TABLE `discussions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `e_invoice_company_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `e_invoice_company_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `electronic_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `electronic_address_scheme` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `e_invoice_company_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `e_invoice_company_id_scheme` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `e_invoice_company_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `e_invoice_company_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `e_invoice_company_settings` WRITE;
/*!40000 ALTER TABLE `e_invoice_company_settings` DISABLE KEYS */;
INSERT INTO `e_invoice_company_settings` VALUES (1,1,NULL,NULL,NULL,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `e_invoice_company_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `e_invoice_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `e_invoice_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `e_invoice_settings` WRITE;
/*!40000 ALTER TABLE `e_invoice_settings` DISABLE KEYS */;
INSERT INTO `e_invoice_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `e_invoice_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `email_notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `email_notification_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `setting_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `send_email` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `send_slack` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `send_push` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `send_twilio` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  PRIMARY KEY (`id`),
  KEY `email_notification_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `email_notification_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `email_notification_settings` WRITE;
/*!40000 ALTER TABLE `email_notification_settings` DISABLE KEYS */;
INSERT INTO `email_notification_settings` VALUES (1,1,NULL,'2024-02-13 04:11:15','new-expenseadded-by-admin','New Expense/Added by Admin','yes','no','no','no'),(2,1,NULL,'2024-02-13 04:11:15','new-expenseadded-by-member','New Expense/Added by Member','yes','no','no','no'),(3,1,NULL,'2024-02-13 04:11:15','expense-status-changed','Expense Status Changed','yes','no','no','no'),(4,1,NULL,'2024-02-13 04:11:15','new-support-ticket-request','New Support Ticket Request','yes','no','no','no'),(5,1,NULL,'2024-02-13 04:11:15','new-leave-application','New Leave Application','yes','no','no','no'),(6,1,NULL,'2024-02-13 04:11:15','task-completed','Task Completed','yes','no','no','no'),(7,1,NULL,'2024-02-13 04:11:15','invoice-createupdate-notification','Invoice Create/Update Notification','yes','no','no','no'),(8,1,NULL,'2024-02-13 04:11:15','discussion-reply','Discussion Reply','yes','no','no','no'),(9,1,NULL,'2024-02-13 04:11:15','new-product-purchase-request','New Product Purchase Request','yes','no','no','no'),(10,1,NULL,'2024-02-13 04:11:15','lead-notification','Lead notification','yes','no','no','no'),(11,1,NULL,NULL,'order-createupdate-notification','Order Create/Update Notification','no','no','no','no'),(12,1,NULL,NULL,'user-join-via-invitation','User Join via Invitation','no','no','no','no'),(13,1,NULL,NULL,'follow-up-reminder','Follow Up Reminder','no','no','no','no'),(14,1,NULL,'2024-02-13 04:11:15','user-registrationadded-by-admin','User Registration/Added by Admin','yes','no','no','no'),(15,1,NULL,'2024-02-13 04:11:15','employee-assign-to-project','Employee Assign to Project','yes','no','no','no'),(16,1,NULL,NULL,'new-notice-published','New Notice Published','no','no','no','no'),(17,1,NULL,'2024-02-13 04:11:15','user-assign-to-task','User Assign to Task','yes','no','no','no'),(18,1,NULL,'2024-02-13 04:11:15','birthday-notification','Birthday notification','yes','yes','no','no'),(19,1,NULL,'2024-02-13 04:11:15','payment-notification','Payment Notification','yes','no','no','no'),(20,1,NULL,'2024-02-13 04:11:15','appreciation-notification','Employee Appreciation','yes','no','no','no'),(21,1,NULL,NULL,'holiday-notification','Holiday Notification','no','no','no','no'),(22,1,NULL,'2024-02-13 04:11:15','estimate-notification','Estimate Notification','yes','no','no','no'),(23,1,NULL,'2024-02-13 04:11:15','event-notification','Event Notification','yes','no','no','no'),(24,1,NULL,'2024-02-13 04:11:15','message-notification','Message Notification','yes','no','no','no'),(25,1,NULL,'2024-02-13 04:11:15','project-mention-notification','Project Mention Notification','yes','no','no','no'),(26,1,NULL,'2024-02-13 04:11:15','task-mention-notification','Task Mention','yes','no','no','no'),(27,1,NULL,'2024-02-13 04:11:15','shift-assign-notification','Shift Assign Notification','yes','no','no','no');
/*!40000 ALTER TABLE `email_notification_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `emergency_contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `emergency_contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `relation` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `emergency_contacts_company_id_foreign` (`company_id`),
  KEY `emergency_contacts_user_id_foreign` (`user_id`),
  KEY `emergency_contacts_added_by_foreign` (`added_by`),
  KEY `emergency_contacts_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `emergency_contacts_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `emergency_contacts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `emergency_contacts_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `emergency_contacts_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `emergency_contacts` WRITE;
/*!40000 ALTER TABLE `emergency_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `emergency_contacts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_details` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `employee_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `hourly_rate` double DEFAULT NULL,
  `slack_username` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `department_id` int unsigned DEFAULT NULL,
  `designation_id` bigint unsigned DEFAULT NULL,
  `joining_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `last_date` date DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `attendance_reminder` date DEFAULT NULL,
  `date_of_birth` date DEFAULT NULL,
  `calendar_view` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `about_me` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `reporting_to` int unsigned DEFAULT NULL,
  `contract_end_date` date DEFAULT NULL,
  `internship_end_date` date DEFAULT NULL,
  `employment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marriage_anniversary_date` date DEFAULT NULL,
  `marital_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'single',
  `notice_period_end_date` date DEFAULT NULL,
  `notice_period_start_date` date DEFAULT NULL,
  `probation_end_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `employee_details_employee_id_company_id_unique` (`employee_id`,`company_id`),
  UNIQUE KEY `employee_details_slack_username_company_id_unique` (`slack_username`,`company_id`),
  KEY `employee_details_company_id_foreign` (`company_id`),
  KEY `employee_details_user_id_foreign` (`user_id`),
  KEY `employee_details_department_id_foreign` (`department_id`),
  KEY `employee_details_designation_id_foreign` (`designation_id`),
  KEY `employee_details_added_by_foreign` (`added_by`),
  KEY `employee_details_last_updated_by_foreign` (`last_updated_by`),
  KEY `employee_details_reporting_to_foreign` (`reporting_to`),
  CONSTRAINT `employee_details_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_details_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_details_department_id_foreign` FOREIGN KEY (`department_id`) REFERENCES `teams` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_details_designation_id_foreign` FOREIGN KEY (`designation_id`) REFERENCES `designations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_details_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_details_reporting_to_foreign` FOREIGN KEY (`reporting_to`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_details_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_details` WRITE;
/*!40000 ALTER TABLE `employee_details` DISABLE KEYS */;
INSERT INTO `employee_details` VALUES (1,1,1,'EMP-1','35193 Jeromy Walks\nSouth Ronaldoshire, KY 93364-9775',75,NULL,5,1,'2023-05-13 04:03:35',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,2,'EMP-2','40110 Crystel Isle\nPort Katherineberg, CA 53400',31,NULL,4,3,'2023-05-13 04:03:35',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,14,'EMP-3','97716 Konopelski Bridge\nWest Baron, NH 42424',47,NULL,2,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(4,1,15,'EMP-4','7369 Jamel Extension Suite 524\nCamylleville, FL 61967-9703',97,NULL,1,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(5,1,16,'EMP-5','285 Lakin Trafficway\nPort Eddieberg, FL 61294-6906',90,NULL,4,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(6,1,17,'EMP-6','8183 Bernier Courts\nPort Carlos, AL 07532',64,NULL,3,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(7,1,18,'EMP-7','50738 Jacobs Pine Apt. 854\nSouth Florencio, MN 15379-5706',25,NULL,2,5,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(8,1,19,'EMP-8','866 D\'Amore Bypass\nSeamusburgh, KS 50275-7378',50,NULL,3,2,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(9,1,20,'EMP-9','9997 Tatyana Pine\nPort Gardnertown, SC 30724-2231',75,NULL,5,5,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(10,1,21,'EMP-10','79865 Schulist Crescent Apt. 681\nFadelchester, AR 48752',96,NULL,2,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(11,1,22,'EMP-11','70180 Hegmann Brook Apt. 636\nHoegerburgh, NY 40828',81,NULL,4,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(12,1,23,'EMP-12','774 Hoyt Drive Suite 107\nMcDermotttown, WV 07986',42,NULL,3,3,'2023-05-13 04:03:36',NULL,NULL,NULL,NULL,NULL,'task,events,holiday,tickets,leaves','I am super human',NULL,NULL,NULL,NULL,NULL,'single',NULL,NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:36');
/*!40000 ALTER TABLE `employee_details` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_docs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_docs` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `filename` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_docs_company_id_foreign` (`company_id`),
  KEY `employee_docs_user_id_foreign` (`user_id`),
  KEY `employee_docs_added_by_foreign` (`added_by`),
  KEY `employee_docs_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `employee_docs_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_docs_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_docs_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_docs_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_docs` WRITE;
/*!40000 ALTER TABLE `employee_docs` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_docs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_leave_quotas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_leave_quotas` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `leave_type_id` int unsigned NOT NULL,
  `no_of_leaves` double NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_leave_quotas_user_id_foreign` (`user_id`),
  KEY `employee_leave_quotas_leave_type_id_foreign` (`leave_type_id`),
  CONSTRAINT `employee_leave_quotas_leave_type_id_foreign` FOREIGN KEY (`leave_type_id`) REFERENCES `leave_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_leave_quotas_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_leave_quotas` WRITE;
/*!40000 ALTER TABLE `employee_leave_quotas` DISABLE KEYS */;
INSERT INTO `employee_leave_quotas` VALUES (1,1,1,5,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,2,5,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,3,5,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,2,1,5,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,2,2,5,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(6,2,3,5,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(7,14,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(8,14,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(9,14,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(10,15,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(11,15,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(12,15,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(13,16,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(14,16,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(15,16,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(16,17,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(17,17,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(18,17,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(19,18,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(20,18,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(21,18,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(22,19,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(23,19,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(24,19,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(25,20,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(26,20,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(27,20,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(28,21,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(29,21,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(30,21,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(31,22,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(32,22,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(33,22,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(34,23,1,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(35,23,2,5,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(36,23,3,5,'2024-02-13 04:03:36','2024-02-13 04:03:36');
/*!40000 ALTER TABLE `employee_leave_quotas` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_monthly_salaries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_monthly_salaries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `annual_salary` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `basic_salary` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fixed_allowance` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `basic_value_type` enum('fixed','ctc_percent') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` enum('initial','increment','decrement') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'initial',
  `date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `allow_generate_payroll` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`id`),
  KEY `employee_monthly_salaries_user_id_foreign` (`user_id`),
  CONSTRAINT `employee_monthly_salaries_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_monthly_salaries` WRITE;
/*!40000 ALTER TABLE `employee_monthly_salaries` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_monthly_salaries` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_payroll_cycles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_payroll_cycles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `payroll_cycle_id` bigint unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_payroll_cycles_payroll_cycle_id_foreign` (`payroll_cycle_id`),
  KEY `employee_payroll_cycles_user_id_foreign` (`user_id`),
  KEY `employee_payroll_cycles_company_id_foreign` (`company_id`),
  CONSTRAINT `employee_payroll_cycles_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_payroll_cycles_payroll_cycle_id_foreign` FOREIGN KEY (`payroll_cycle_id`) REFERENCES `payroll_cycles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_payroll_cycles_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_payroll_cycles` WRITE;
/*!40000 ALTER TABLE `employee_payroll_cycles` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_payroll_cycles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_salary_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_salary_groups` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `salary_group_id` bigint unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_salary_groups_salary_group_id_foreign` (`salary_group_id`),
  KEY `employee_salary_groups_user_id_foreign` (`user_id`),
  CONSTRAINT `employee_salary_groups_salary_group_id_foreign` FOREIGN KEY (`salary_group_id`) REFERENCES `salary_groups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `employee_salary_groups_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_salary_groups` WRITE;
/*!40000 ALTER TABLE `employee_salary_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_salary_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_shift_change_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_shift_change_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `shift_schedule_id` bigint unsigned NOT NULL,
  `employee_shift_id` bigint unsigned NOT NULL,
  `status` enum('waiting','accepted','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `reason` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_shift_change_requests_company_id_foreign` (`company_id`),
  KEY `employee_shift_change_requests_shift_schedule_id_foreign` (`shift_schedule_id`),
  KEY `employee_shift_change_requests_employee_shift_id_foreign` (`employee_shift_id`),
  CONSTRAINT `employee_shift_change_requests_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_shift_change_requests_employee_shift_id_foreign` FOREIGN KEY (`employee_shift_id`) REFERENCES `employee_shifts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_shift_change_requests_shift_schedule_id_foreign` FOREIGN KEY (`shift_schedule_id`) REFERENCES `employee_shift_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_shift_change_requests` WRITE;
/*!40000 ALTER TABLE `employee_shift_change_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_shift_change_requests` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_shift_schedules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_shift_schedules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `date` date NOT NULL,
  `employee_shift_id` bigint unsigned NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `shift_start_time` datetime DEFAULT NULL,
  `shift_end_time` datetime DEFAULT NULL,
  `remarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_shift_schedules_user_id_foreign` (`user_id`),
  KEY `employee_shift_schedules_date_index` (`date`),
  KEY `employee_shift_schedules_employee_shift_id_foreign` (`employee_shift_id`),
  KEY `employee_shift_schedules_added_by_foreign` (`added_by`),
  KEY `employee_shift_schedules_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `employee_shift_schedules_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_shift_schedules_employee_shift_id_foreign` FOREIGN KEY (`employee_shift_id`) REFERENCES `employee_shifts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_shift_schedules_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `employee_shift_schedules_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=241 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_shift_schedules` WRITE;
/*!40000 ALTER TABLE `employee_shift_schedules` DISABLE KEYS */;
INSERT INTO `employee_shift_schedules` VALUES (1,1,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,1,'2024-02-02',3,NULL,NULL,'2024-02-02 22:00:00','2024-02-02 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,1,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,1,'2024-02-04',4,NULL,NULL,'2024-02-04 08:00:00','2024-02-04 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,1,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,1,'2024-02-06',4,NULL,NULL,'2024-02-06 08:00:00','2024-02-06 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,1,'2024-02-07',2,NULL,NULL,'2024-02-07 09:00:00','2024-02-07 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,1,'2024-02-08',4,NULL,NULL,'2024-02-08 08:00:00','2024-02-08 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,1,'2024-02-09',4,NULL,NULL,'2024-02-09 08:00:00','2024-02-09 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,1,'2024-02-10',2,NULL,NULL,'2024-02-10 09:00:00','2024-02-10 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,1,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,1,'2024-02-12',4,NULL,NULL,'2024-02-12 08:00:00','2024-02-12 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,1,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,1,'2024-02-14',2,NULL,NULL,'2024-02-14 09:00:00','2024-02-14 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,1,'2024-02-15',2,NULL,NULL,'2024-02-15 09:00:00','2024-02-15 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,1,'2024-02-16',3,NULL,NULL,'2024-02-16 22:00:00','2024-02-16 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,1,'2024-02-17',4,NULL,NULL,'2024-02-17 08:00:00','2024-02-17 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,1,'2024-02-18',2,NULL,NULL,'2024-02-18 09:00:00','2024-02-18 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,1,'2024-02-19',3,NULL,NULL,'2024-02-19 22:00:00','2024-02-19 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,1,'2024-02-20',4,NULL,NULL,'2024-02-20 08:00:00','2024-02-20 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(21,2,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(22,2,'2024-02-02',3,NULL,NULL,'2024-02-02 22:00:00','2024-02-02 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(23,2,'2024-02-03',4,NULL,NULL,'2024-02-03 08:00:00','2024-02-03 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(24,2,'2024-02-04',4,NULL,NULL,'2024-02-04 08:00:00','2024-02-04 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(25,2,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,2,'2024-02-06',3,NULL,NULL,'2024-02-06 22:00:00','2024-02-06 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,2,'2024-02-07',3,NULL,NULL,'2024-02-07 22:00:00','2024-02-07 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,2,'2024-02-08',2,NULL,NULL,'2024-02-08 09:00:00','2024-02-08 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,2,'2024-02-09',2,NULL,NULL,'2024-02-09 09:00:00','2024-02-09 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,2,'2024-02-10',4,NULL,NULL,'2024-02-10 08:00:00','2024-02-10 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,2,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,2,'2024-02-12',4,NULL,NULL,'2024-02-12 08:00:00','2024-02-12 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,2,'2024-02-13',3,NULL,NULL,'2024-02-13 22:00:00','2024-02-13 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,2,'2024-02-14',2,NULL,NULL,'2024-02-14 09:00:00','2024-02-14 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,2,'2024-02-15',4,NULL,NULL,'2024-02-15 08:00:00','2024-02-15 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,2,'2024-02-16',4,NULL,NULL,'2024-02-16 08:00:00','2024-02-16 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,2,'2024-02-17',2,NULL,NULL,'2024-02-17 09:00:00','2024-02-17 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,2,'2024-02-18',4,NULL,NULL,'2024-02-18 08:00:00','2024-02-18 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,2,'2024-02-19',3,NULL,NULL,'2024-02-19 22:00:00','2024-02-19 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,2,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,14,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,14,'2024-02-02',4,NULL,NULL,'2024-02-02 08:00:00','2024-02-02 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,14,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,14,'2024-02-04',3,NULL,NULL,'2024-02-04 22:00:00','2024-02-04 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,14,'2024-02-05',3,NULL,NULL,'2024-02-05 22:00:00','2024-02-05 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,14,'2024-02-06',4,NULL,NULL,'2024-02-06 08:00:00','2024-02-06 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,14,'2024-02-07',3,NULL,NULL,'2024-02-07 22:00:00','2024-02-07 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,14,'2024-02-08',3,NULL,NULL,'2024-02-08 22:00:00','2024-02-08 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,14,'2024-02-09',2,NULL,NULL,'2024-02-09 09:00:00','2024-02-09 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,14,'2024-02-10',2,NULL,NULL,'2024-02-10 09:00:00','2024-02-10 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(51,14,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(52,14,'2024-02-12',4,NULL,NULL,'2024-02-12 08:00:00','2024-02-12 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(53,14,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(54,14,'2024-02-14',2,NULL,NULL,'2024-02-14 09:00:00','2024-02-14 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(55,14,'2024-02-15',3,NULL,NULL,'2024-02-15 22:00:00','2024-02-15 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(56,14,'2024-02-16',3,NULL,NULL,'2024-02-16 22:00:00','2024-02-16 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(57,14,'2024-02-17',3,NULL,NULL,'2024-02-17 22:00:00','2024-02-17 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(58,14,'2024-02-18',2,NULL,NULL,'2024-02-18 09:00:00','2024-02-18 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(59,14,'2024-02-19',3,NULL,NULL,'2024-02-19 22:00:00','2024-02-19 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(60,14,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(61,15,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(62,15,'2024-02-02',2,NULL,NULL,'2024-02-02 09:00:00','2024-02-02 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(63,15,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(64,15,'2024-02-04',4,NULL,NULL,'2024-02-04 08:00:00','2024-02-04 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(65,15,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(66,15,'2024-02-06',3,NULL,NULL,'2024-02-06 22:00:00','2024-02-06 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(67,15,'2024-02-07',2,NULL,NULL,'2024-02-07 09:00:00','2024-02-07 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(68,15,'2024-02-08',4,NULL,NULL,'2024-02-08 08:00:00','2024-02-08 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(69,15,'2024-02-09',4,NULL,NULL,'2024-02-09 08:00:00','2024-02-09 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(70,15,'2024-02-10',3,NULL,NULL,'2024-02-10 22:00:00','2024-02-10 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(71,15,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(72,15,'2024-02-12',4,NULL,NULL,'2024-02-12 08:00:00','2024-02-12 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(73,15,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(74,15,'2024-02-14',2,NULL,NULL,'2024-02-14 09:00:00','2024-02-14 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(75,15,'2024-02-15',2,NULL,NULL,'2024-02-15 09:00:00','2024-02-15 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(76,15,'2024-02-16',2,NULL,NULL,'2024-02-16 09:00:00','2024-02-16 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(77,15,'2024-02-17',2,NULL,NULL,'2024-02-17 09:00:00','2024-02-17 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(78,15,'2024-02-18',2,NULL,NULL,'2024-02-18 09:00:00','2024-02-18 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(79,15,'2024-02-19',4,NULL,NULL,'2024-02-19 08:00:00','2024-02-19 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(80,15,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(81,16,'2024-02-01',3,NULL,NULL,'2024-02-01 22:00:00','2024-02-01 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(82,16,'2024-02-02',3,NULL,NULL,'2024-02-02 22:00:00','2024-02-02 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(83,16,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(84,16,'2024-02-04',3,NULL,NULL,'2024-02-04 22:00:00','2024-02-04 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(85,16,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(86,16,'2024-02-06',4,NULL,NULL,'2024-02-06 08:00:00','2024-02-06 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(87,16,'2024-02-07',4,NULL,NULL,'2024-02-07 08:00:00','2024-02-07 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(88,16,'2024-02-08',3,NULL,NULL,'2024-02-08 22:00:00','2024-02-08 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(89,16,'2024-02-09',2,NULL,NULL,'2024-02-09 09:00:00','2024-02-09 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(90,16,'2024-02-10',4,NULL,NULL,'2024-02-10 08:00:00','2024-02-10 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(91,16,'2024-02-11',4,NULL,NULL,'2024-02-11 08:00:00','2024-02-11 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(92,16,'2024-02-12',2,NULL,NULL,'2024-02-12 09:00:00','2024-02-12 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(93,16,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(94,16,'2024-02-14',2,NULL,NULL,'2024-02-14 09:00:00','2024-02-14 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(95,16,'2024-02-15',4,NULL,NULL,'2024-02-15 08:00:00','2024-02-15 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(96,16,'2024-02-16',2,NULL,NULL,'2024-02-16 09:00:00','2024-02-16 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(97,16,'2024-02-17',2,NULL,NULL,'2024-02-17 09:00:00','2024-02-17 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(98,16,'2024-02-18',2,NULL,NULL,'2024-02-18 09:00:00','2024-02-18 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(99,16,'2024-02-19',3,NULL,NULL,'2024-02-19 22:00:00','2024-02-19 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(100,16,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(101,17,'2024-02-01',4,NULL,NULL,'2024-02-01 08:00:00','2024-02-01 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(102,17,'2024-02-02',2,NULL,NULL,'2024-02-02 09:00:00','2024-02-02 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(103,17,'2024-02-03',4,NULL,NULL,'2024-02-03 08:00:00','2024-02-03 17:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(104,17,'2024-02-04',2,NULL,NULL,'2024-02-04 09:00:00','2024-02-04 18:00:00',NULL,'','2024-02-13 04:03:37','2024-02-13 04:03:37'),(105,17,'2024-02-05',2,NULL,NULL,'2024-02-05 09:00:00','2024-02-05 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(106,17,'2024-02-06',4,NULL,NULL,'2024-02-06 08:00:00','2024-02-06 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(107,17,'2024-02-07',3,NULL,NULL,'2024-02-07 22:00:00','2024-02-07 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(108,17,'2024-02-08',4,NULL,NULL,'2024-02-08 08:00:00','2024-02-08 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(109,17,'2024-02-09',3,NULL,NULL,'2024-02-09 22:00:00','2024-02-09 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(110,17,'2024-02-10',4,NULL,NULL,'2024-02-10 08:00:00','2024-02-10 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(111,17,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(112,17,'2024-02-12',2,NULL,NULL,'2024-02-12 09:00:00','2024-02-12 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(113,17,'2024-02-13',3,NULL,NULL,'2024-02-13 22:00:00','2024-02-13 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(114,17,'2024-02-14',3,NULL,NULL,'2024-02-14 22:00:00','2024-02-14 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(115,17,'2024-02-15',4,NULL,NULL,'2024-02-15 08:00:00','2024-02-15 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(116,17,'2024-02-16',3,NULL,NULL,'2024-02-16 22:00:00','2024-02-16 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(117,17,'2024-02-17',4,NULL,NULL,'2024-02-17 08:00:00','2024-02-17 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(118,17,'2024-02-18',4,NULL,NULL,'2024-02-18 08:00:00','2024-02-18 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(119,17,'2024-02-19',2,NULL,NULL,'2024-02-19 09:00:00','2024-02-19 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(120,17,'2024-02-20',4,NULL,NULL,'2024-02-20 08:00:00','2024-02-20 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(121,18,'2024-02-01',3,NULL,NULL,'2024-02-01 22:00:00','2024-02-01 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(122,18,'2024-02-02',2,NULL,NULL,'2024-02-02 09:00:00','2024-02-02 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(123,18,'2024-02-03',3,NULL,NULL,'2024-02-03 22:00:00','2024-02-03 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(124,18,'2024-02-04',3,NULL,NULL,'2024-02-04 22:00:00','2024-02-04 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(125,18,'2024-02-05',2,NULL,NULL,'2024-02-05 09:00:00','2024-02-05 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(126,18,'2024-02-06',2,NULL,NULL,'2024-02-06 09:00:00','2024-02-06 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(127,18,'2024-02-07',4,NULL,NULL,'2024-02-07 08:00:00','2024-02-07 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(128,18,'2024-02-08',3,NULL,NULL,'2024-02-08 22:00:00','2024-02-08 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(129,18,'2024-02-09',3,NULL,NULL,'2024-02-09 22:00:00','2024-02-09 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(130,18,'2024-02-10',4,NULL,NULL,'2024-02-10 08:00:00','2024-02-10 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(131,18,'2024-02-11',4,NULL,NULL,'2024-02-11 08:00:00','2024-02-11 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(132,18,'2024-02-12',2,NULL,NULL,'2024-02-12 09:00:00','2024-02-12 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(133,18,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(134,18,'2024-02-14',4,NULL,NULL,'2024-02-14 08:00:00','2024-02-14 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(135,18,'2024-02-15',2,NULL,NULL,'2024-02-15 09:00:00','2024-02-15 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(136,18,'2024-02-16',3,NULL,NULL,'2024-02-16 22:00:00','2024-02-16 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(137,18,'2024-02-17',3,NULL,NULL,'2024-02-17 22:00:00','2024-02-17 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(138,18,'2024-02-18',3,NULL,NULL,'2024-02-18 22:00:00','2024-02-18 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(139,18,'2024-02-19',3,NULL,NULL,'2024-02-19 22:00:00','2024-02-19 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(140,18,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(141,19,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(142,19,'2024-02-02',2,NULL,NULL,'2024-02-02 09:00:00','2024-02-02 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(143,19,'2024-02-03',3,NULL,NULL,'2024-02-03 22:00:00','2024-02-03 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(144,19,'2024-02-04',3,NULL,NULL,'2024-02-04 22:00:00','2024-02-04 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(145,19,'2024-02-05',3,NULL,NULL,'2024-02-05 22:00:00','2024-02-05 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(146,19,'2024-02-06',3,NULL,NULL,'2024-02-06 22:00:00','2024-02-06 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(147,19,'2024-02-07',2,NULL,NULL,'2024-02-07 09:00:00','2024-02-07 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(148,19,'2024-02-08',2,NULL,NULL,'2024-02-08 09:00:00','2024-02-08 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(149,19,'2024-02-09',3,NULL,NULL,'2024-02-09 22:00:00','2024-02-09 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(150,19,'2024-02-10',2,NULL,NULL,'2024-02-10 09:00:00','2024-02-10 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(151,19,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(152,19,'2024-02-12',3,NULL,NULL,'2024-02-12 22:00:00','2024-02-12 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(153,19,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(154,19,'2024-02-14',3,NULL,NULL,'2024-02-14 22:00:00','2024-02-14 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(155,19,'2024-02-15',3,NULL,NULL,'2024-02-15 22:00:00','2024-02-15 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(156,19,'2024-02-16',2,NULL,NULL,'2024-02-16 09:00:00','2024-02-16 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(157,19,'2024-02-17',2,NULL,NULL,'2024-02-17 09:00:00','2024-02-17 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(158,19,'2024-02-18',4,NULL,NULL,'2024-02-18 08:00:00','2024-02-18 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(159,19,'2024-02-19',3,NULL,NULL,'2024-02-19 22:00:00','2024-02-19 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(160,19,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(161,20,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(162,20,'2024-02-02',4,NULL,NULL,'2024-02-02 08:00:00','2024-02-02 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(163,20,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(164,20,'2024-02-04',4,NULL,NULL,'2024-02-04 08:00:00','2024-02-04 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(165,20,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(166,20,'2024-02-06',2,NULL,NULL,'2024-02-06 09:00:00','2024-02-06 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(167,20,'2024-02-07',3,NULL,NULL,'2024-02-07 22:00:00','2024-02-07 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(168,20,'2024-02-08',4,NULL,NULL,'2024-02-08 08:00:00','2024-02-08 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(169,20,'2024-02-09',3,NULL,NULL,'2024-02-09 22:00:00','2024-02-09 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(170,20,'2024-02-10',2,NULL,NULL,'2024-02-10 09:00:00','2024-02-10 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(171,20,'2024-02-11',3,NULL,NULL,'2024-02-11 22:00:00','2024-02-11 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(172,20,'2024-02-12',4,NULL,NULL,'2024-02-12 08:00:00','2024-02-12 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(173,20,'2024-02-13',3,NULL,NULL,'2024-02-13 22:00:00','2024-02-13 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(174,20,'2024-02-14',3,NULL,NULL,'2024-02-14 22:00:00','2024-02-14 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(175,20,'2024-02-15',2,NULL,NULL,'2024-02-15 09:00:00','2024-02-15 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(176,20,'2024-02-16',3,NULL,NULL,'2024-02-16 22:00:00','2024-02-16 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(177,20,'2024-02-17',4,NULL,NULL,'2024-02-17 08:00:00','2024-02-17 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(178,20,'2024-02-18',3,NULL,NULL,'2024-02-18 22:00:00','2024-02-18 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(179,20,'2024-02-19',4,NULL,NULL,'2024-02-19 08:00:00','2024-02-19 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(180,20,'2024-02-20',2,NULL,NULL,'2024-02-20 09:00:00','2024-02-20 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(181,21,'2024-02-01',2,NULL,NULL,'2024-02-01 09:00:00','2024-02-01 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(182,21,'2024-02-02',2,NULL,NULL,'2024-02-02 09:00:00','2024-02-02 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(183,21,'2024-02-03',3,NULL,NULL,'2024-02-03 22:00:00','2024-02-03 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(184,21,'2024-02-04',3,NULL,NULL,'2024-02-04 22:00:00','2024-02-04 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(185,21,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(186,21,'2024-02-06',4,NULL,NULL,'2024-02-06 08:00:00','2024-02-06 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(187,21,'2024-02-07',2,NULL,NULL,'2024-02-07 09:00:00','2024-02-07 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(188,21,'2024-02-08',4,NULL,NULL,'2024-02-08 08:00:00','2024-02-08 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(189,21,'2024-02-09',2,NULL,NULL,'2024-02-09 09:00:00','2024-02-09 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(190,21,'2024-02-10',3,NULL,NULL,'2024-02-10 22:00:00','2024-02-10 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(191,21,'2024-02-11',4,NULL,NULL,'2024-02-11 08:00:00','2024-02-11 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(192,21,'2024-02-12',4,NULL,NULL,'2024-02-12 08:00:00','2024-02-12 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(193,21,'2024-02-13',3,NULL,NULL,'2024-02-13 22:00:00','2024-02-13 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(194,21,'2024-02-14',2,NULL,NULL,'2024-02-14 09:00:00','2024-02-14 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(195,21,'2024-02-15',3,NULL,NULL,'2024-02-15 22:00:00','2024-02-15 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(196,21,'2024-02-16',4,NULL,NULL,'2024-02-16 08:00:00','2024-02-16 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(197,21,'2024-02-17',4,NULL,NULL,'2024-02-17 08:00:00','2024-02-17 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(198,21,'2024-02-18',4,NULL,NULL,'2024-02-18 08:00:00','2024-02-18 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(199,21,'2024-02-19',4,NULL,NULL,'2024-02-19 08:00:00','2024-02-19 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(200,21,'2024-02-20',2,NULL,NULL,'2024-02-20 09:00:00','2024-02-20 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(201,22,'2024-02-01',4,NULL,NULL,'2024-02-01 08:00:00','2024-02-01 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(202,22,'2024-02-02',4,NULL,NULL,'2024-02-02 08:00:00','2024-02-02 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(203,22,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(204,22,'2024-02-04',4,NULL,NULL,'2024-02-04 08:00:00','2024-02-04 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(205,22,'2024-02-05',4,NULL,NULL,'2024-02-05 08:00:00','2024-02-05 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(206,22,'2024-02-06',2,NULL,NULL,'2024-02-06 09:00:00','2024-02-06 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(207,22,'2024-02-07',3,NULL,NULL,'2024-02-07 22:00:00','2024-02-07 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(208,22,'2024-02-08',4,NULL,NULL,'2024-02-08 08:00:00','2024-02-08 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(209,22,'2024-02-09',4,NULL,NULL,'2024-02-09 08:00:00','2024-02-09 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(210,22,'2024-02-10',4,NULL,NULL,'2024-02-10 08:00:00','2024-02-10 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(211,22,'2024-02-11',3,NULL,NULL,'2024-02-11 22:00:00','2024-02-11 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(212,22,'2024-02-12',3,NULL,NULL,'2024-02-12 22:00:00','2024-02-12 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(213,22,'2024-02-13',4,NULL,NULL,'2024-02-13 08:00:00','2024-02-13 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(214,22,'2024-02-14',4,NULL,NULL,'2024-02-14 08:00:00','2024-02-14 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(215,22,'2024-02-15',2,NULL,NULL,'2024-02-15 09:00:00','2024-02-15 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(216,22,'2024-02-16',4,NULL,NULL,'2024-02-16 08:00:00','2024-02-16 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(217,22,'2024-02-17',3,NULL,NULL,'2024-02-17 22:00:00','2024-02-17 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(218,22,'2024-02-18',3,NULL,NULL,'2024-02-18 22:00:00','2024-02-18 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(219,22,'2024-02-19',4,NULL,NULL,'2024-02-19 08:00:00','2024-02-19 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(220,22,'2024-02-20',3,NULL,NULL,'2024-02-20 22:00:00','2024-02-20 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(221,23,'2024-02-01',4,NULL,NULL,'2024-02-01 08:00:00','2024-02-01 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(222,23,'2024-02-02',4,NULL,NULL,'2024-02-02 08:00:00','2024-02-02 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(223,23,'2024-02-03',2,NULL,NULL,'2024-02-03 09:00:00','2024-02-03 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(224,23,'2024-02-04',3,NULL,NULL,'2024-02-04 22:00:00','2024-02-04 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(225,23,'2024-02-05',2,NULL,NULL,'2024-02-05 09:00:00','2024-02-05 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(226,23,'2024-02-06',4,NULL,NULL,'2024-02-06 08:00:00','2024-02-06 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(227,23,'2024-02-07',3,NULL,NULL,'2024-02-07 22:00:00','2024-02-07 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(228,23,'2024-02-08',3,NULL,NULL,'2024-02-08 22:00:00','2024-02-08 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(229,23,'2024-02-09',3,NULL,NULL,'2024-02-09 22:00:00','2024-02-09 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(230,23,'2024-02-10',4,NULL,NULL,'2024-02-10 08:00:00','2024-02-10 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(231,23,'2024-02-11',2,NULL,NULL,'2024-02-11 09:00:00','2024-02-11 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(232,23,'2024-02-12',3,NULL,NULL,'2024-02-12 22:00:00','2024-02-12 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(233,23,'2024-02-13',3,NULL,NULL,'2024-02-13 22:00:00','2024-02-13 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(234,23,'2024-02-14',3,NULL,NULL,'2024-02-14 22:00:00','2024-02-14 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(235,23,'2024-02-15',3,NULL,NULL,'2024-02-15 22:00:00','2024-02-15 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(236,23,'2024-02-16',3,NULL,NULL,'2024-02-16 22:00:00','2024-02-16 06:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(237,23,'2024-02-17',4,NULL,NULL,'2024-02-17 08:00:00','2024-02-17 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(238,23,'2024-02-18',2,NULL,NULL,'2024-02-18 09:00:00','2024-02-18 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(239,23,'2024-02-19',2,NULL,NULL,'2024-02-19 09:00:00','2024-02-19 18:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38'),(240,23,'2024-02-20',4,NULL,NULL,'2024-02-20 08:00:00','2024-02-20 17:00:00',NULL,'','2024-02-13 04:03:38','2024-02-13 04:03:38');
/*!40000 ALTER TABLE `employee_shift_schedules` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_shifts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_shifts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `shift_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `shift_short_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `office_start_time` time NOT NULL,
  `office_end_time` time NOT NULL,
  `halfday_mark_time` time DEFAULT NULL,
  `late_mark_duration` tinyint NOT NULL,
  `clockin_in_day` tinyint NOT NULL,
  `office_open_days` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `early_clock_in` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_shifts_company_id_foreign` (`company_id`),
  CONSTRAINT `employee_shifts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_shifts` WRITE;
/*!40000 ALTER TABLE `employee_shifts` DISABLE KEYS */;
INSERT INTO `employee_shifts` VALUES (1,1,'Day Off','DO','#E8EEF3','00:00:00','00:00:00',NULL,0,0,'','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(2,1,'General Shift','GS','#99C7F1','09:00:00','18:00:00',NULL,20,2,'[\"1\",\"2\",\"3\",\"4\",\"5\"]','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(3,1,'Night Shift','NS','#4d4c4c','22:00:00','06:00:00','01:00:00',15,1,'[\"1\",\"2\",\"3\",\"4\",\"5\"]','2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(4,1,'Day Shift','DS','#ff0000','08:00:00','17:00:00','13:30:00',15,1,'[\"1\",\"2\",\"3\",\"4\",\"5\"]','2024-02-13 04:03:37','2024-02-13 04:03:37',NULL);
/*!40000 ALTER TABLE `employee_shifts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_skills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_skills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `skill_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_skills_company_id_foreign` (`company_id`),
  KEY `employee_skills_user_id_foreign` (`user_id`),
  KEY `employee_skills_skill_id_foreign` (`skill_id`),
  CONSTRAINT `employee_skills_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_skills_skill_id_foreign` FOREIGN KEY (`skill_id`) REFERENCES `skills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_skills_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_skills` WRITE;
/*!40000 ALTER TABLE `employee_skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_skills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_teams` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `team_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_teams_company_id_foreign` (`company_id`),
  KEY `employee_teams_team_id_foreign` (`team_id`),
  KEY `employee_teams_user_id_foreign` (`user_id`),
  CONSTRAINT `employee_teams_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_teams_team_id_foreign` FOREIGN KEY (`team_id`) REFERENCES `teams` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `employee_teams_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_teams` WRITE;
/*!40000 ALTER TABLE `employee_teams` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_teams` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `employee_variable_salaries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `employee_variable_salaries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `monthly_salary_id` bigint unsigned NOT NULL,
  `variable_component_id` bigint unsigned NOT NULL,
  `variable_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `employee_variable_salaries_monthly_salary_id_foreign` (`monthly_salary_id`),
  KEY `employee_variable_salaries_variable_component_id_foreign` (`variable_component_id`),
  CONSTRAINT `employee_variable_salaries_monthly_salary_id_foreign` FOREIGN KEY (`monthly_salary_id`) REFERENCES `employee_monthly_salaries` (`id`) ON DELETE CASCADE,
  CONSTRAINT `employee_variable_salaries_variable_component_id_foreign` FOREIGN KEY (`variable_component_id`) REFERENCES `salary_components` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `employee_variable_salaries` WRITE;
/*!40000 ALTER TABLE `employee_variable_salaries` DISABLE KEYS */;
/*!40000 ALTER TABLE `employee_variable_salaries` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `estimate_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estimate_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `estimate_item_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `estimate_item_images_estimate_item_id_foreign` (`estimate_item_id`),
  CONSTRAINT `estimate_item_images_estimate_item_id_foreign` FOREIGN KEY (`estimate_item_id`) REFERENCES `estimate_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `estimate_item_images` WRITE;
/*!40000 ALTER TABLE `estimate_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `estimate_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `estimate_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estimate_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `estimate_id` int unsigned NOT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(30,2) NOT NULL,
  `unit_price` double(30,2) NOT NULL,
  `amount` double(30,2) NOT NULL,
  `taxes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `estimate_items_estimate_id_foreign` (`estimate_id`),
  KEY `estimate_items_unit_id_foreign` (`unit_id`),
  KEY `estimate_items_product_id_foreign` (`product_id`),
  CONSTRAINT `estimate_items_estimate_id_foreign` FOREIGN KEY (`estimate_id`) REFERENCES `estimates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimate_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `estimate_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `estimate_items` WRITE;
/*!40000 ALTER TABLE `estimate_items` DISABLE KEYS */;
INSERT INTO `estimate_items` VALUES (1,1,'item 1',NULL,'item',1.00,500.00,500.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(2,1,'item 2',NULL,'item',1.00,700.00,700.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(3,2,'item 3',NULL,'item',2.00,1200.00,2400.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(4,2,'item 4',NULL,'item',1.00,1700.00,1700.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL);
/*!40000 ALTER TABLE `estimate_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `estimate_template_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estimate_template_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `estimate_template_item_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `estimate_template_item_images_company_id_foreign` (`company_id`),
  KEY `estimate_template_item_images_estimate_template_item_id_foreign` (`estimate_template_item_id`),
  CONSTRAINT `estimate_template_item_images_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimate_template_item_images_estimate_template_item_id_foreign` FOREIGN KEY (`estimate_template_item_id`) REFERENCES `estimate_template_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `estimate_template_item_images` WRITE;
/*!40000 ALTER TABLE `estimate_template_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `estimate_template_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `estimate_template_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estimate_template_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `estimate_template_id` bigint unsigned NOT NULL,
  `hsn_sac_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('item','discount','tax') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double NOT NULL,
  `unit_price` double NOT NULL,
  `amount` double NOT NULL,
  `item_summary` text COLLATE utf8mb4_unicode_ci,
  `taxes` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `estimate_template_items_company_id_foreign` (`company_id`),
  KEY `estimate_template_items_estimate_template_id_foreign` (`estimate_template_id`),
  KEY `estimate_template_items_unit_id_foreign` (`unit_id`),
  KEY `estimate_template_items_product_id_foreign` (`product_id`),
  CONSTRAINT `estimate_template_items_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimate_template_items_estimate_template_id_foreign` FOREIGN KEY (`estimate_template_id`) REFERENCES `estimate_templates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimate_template_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `estimate_template_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `estimate_template_items` WRITE;
/*!40000 ALTER TABLE `estimate_template_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `estimate_template_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `estimate_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estimate_templates` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sub_total` double NOT NULL,
  `total` double NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `discount_type` enum('percent','fixed') COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount` double NOT NULL,
  `invoice_convert` tinyint(1) NOT NULL DEFAULT '0',
  `status` enum('declined','accepted','waiting') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `note` mediumtext COLLATE utf8mb4_unicode_ci,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `calculate_tax` enum('after_discount','before_discount') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `client_comment` text COLLATE utf8mb4_unicode_ci,
  `signature_approval` tinyint(1) NOT NULL DEFAULT '1',
  `hash` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `estimate_templates_company_id_foreign` (`company_id`),
  KEY `estimate_templates_currency_id_foreign` (`currency_id`),
  KEY `estimate_templates_added_by_foreign` (`added_by`),
  KEY `estimate_templates_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `estimate_templates_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `estimate_templates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimate_templates_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimate_templates_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `estimate_templates` WRITE;
/*!40000 ALTER TABLE `estimate_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `estimate_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `estimates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `estimates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned NOT NULL,
  `estimate_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `original_estimate_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `valid_till` date NOT NULL,
  `sub_total` double(30,2) NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `discount_type` enum('percent','fixed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `total` double(30,2) NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `status` enum('declined','accepted','waiting','sent','draft','canceled') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `note` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `send_status` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `calculate_tax` enum('after_discount','before_discount') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `last_viewed` timestamp NULL DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `estimates_estimate_number_company_id_unique` (`estimate_number`,`company_id`),
  KEY `estimates_company_id_foreign` (`company_id`),
  KEY `estimates_client_id_foreign` (`client_id`),
  KEY `estimates_currency_id_foreign` (`currency_id`),
  KEY `estimates_added_by_foreign` (`added_by`),
  KEY `estimates_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `estimates_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `estimates_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimates_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `estimates_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `estimates` WRITE;
/*!40000 ALTER TABLE `estimates` DISABLE KEYS */;
INSERT INTO `estimates` VALUES (1,1,3,'EST#001','001','2022-02-03',1200.00,0,'percent',1200.00,1,'waiting',NULL,NULL,1,NULL,NULL,'4787494cce95c902b05e09d7bc315b7f','after_discount','2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(2,1,3,'EST#002','002','2022-02-10',4100.00,0,'percent',4100.00,1,'waiting',NULL,NULL,1,NULL,NULL,'3b4e702830d677f6a40e925ea8e00b06','after_discount','2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL);
/*!40000 ALTER TABLE `estimates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `event_attendees`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `event_attendees` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `event_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `event_attendees_company_id_foreign` (`company_id`),
  KEY `event_attendees_user_id_foreign` (`user_id`),
  KEY `event_attendees_event_id_foreign` (`event_id`),
  CONSTRAINT `event_attendees_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `event_attendees_event_id_foreign` FOREIGN KEY (`event_id`) REFERENCES `events` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `event_attendees_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `event_attendees` WRITE;
/*!40000 ALTER TABLE `event_attendees` DISABLE KEYS */;
INSERT INTO `event_attendees` VALUES (1,1,15,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,1,17,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,1,20,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,1,22,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,1,18,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,1,23,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,1,21,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,1,1,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,1,22,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,1,1,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,1,16,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,1,23,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,1,18,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,1,15,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,1,21,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,1,20,3,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,1,20,4,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,1,22,4,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,1,14,4,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,1,19,4,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(21,1,16,4,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(22,1,2,4,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(23,1,22,5,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(24,1,1,5,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(25,1,15,5,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,1,20,5,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,1,16,5,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,1,18,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,1,14,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,1,16,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,1,20,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,1,21,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,1,22,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,1,23,6,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,1,17,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,1,23,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,1,16,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,1,18,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,1,19,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,1,21,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,1,20,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,1,15,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,1,2,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,1,22,7,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,1,23,8,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,1,19,8,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,1,22,8,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,1,18,8,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,1,2,8,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,1,16,9,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(51,1,14,9,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(52,1,20,9,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(53,1,15,9,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(54,1,2,9,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(55,1,22,9,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(56,1,15,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(57,1,18,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(58,1,17,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(59,1,14,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(60,1,22,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(61,1,1,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(62,1,19,10,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(63,1,2,10,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `event_attendees` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `event_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `event_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `event_id` int unsigned NOT NULL,
  `filename` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `event_files_company_id_foreign` (`company_id`),
  KEY `event_files_event_id_foreign` (`event_id`),
  KEY `event_files_added_by_foreign` (`added_by`),
  KEY `event_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `event_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `event_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `event_files_event_id_foreign` FOREIGN KEY (`event_id`) REFERENCES `events` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `event_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `event_files` WRITE;
/*!40000 ALTER TABLE `event_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `event_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `events` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int unsigned DEFAULT NULL,
  `company_id` int unsigned DEFAULT NULL,
  `event_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `label_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `where` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `start_date_time` datetime NOT NULL,
  `end_date_time` datetime NOT NULL,
  `repeat` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `repeat_every` int DEFAULT NULL,
  `repeat_cycles` int DEFAULT NULL,
  `repeat_type` enum('day','week','month','year') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'day',
  `send_reminder` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `remind_time` int DEFAULT NULL,
  `remind_type` enum('day','hour','minute') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'day',
  `event_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `events_company_id_foreign` (`company_id`),
  KEY `events_added_by_foreign` (`added_by`),
  KEY `events_last_updated_by_foreign` (`last_updated_by`),
  KEY `events_parent_id_foreign` (`parent_id`),
  CONSTRAINT `events_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `events_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `events_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `events_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `events` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `events` WRITE;
/*!40000 ALTER TABLE `events` DISABLE KEYS */;
INSERT INTO `events` VALUES (1,NULL,1,'Sed explicabo.','#800080','17144 Brent Roads Apt. 418\nRaphaellechester, WY 93834-8688','Qui reprehenderit qui explicabo quisquam voluptate assumenda distinctio. Veritatis asperiores fugit modi esse expedita repellendus. Autem est rerum expedita qui consequuntur repudiandae in.','2024-01-21 23:53:49','2024-01-21 23:53:49','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,NULL,1,'Libero sequi sed.','#0000A0','6113 Kory Ports\nLehnerborough, TN 64791-8005','Quos quo ea natus placeat blanditiis. Tenetur quia voluptatem vitae id. A et ut neque recusandae enim. Nemo accusantium ut modi doloribus omnis molestiae.','2024-02-07 03:31:31','2024-02-07 03:31:31','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,NULL,1,'Tenetur voluptates.','#808000','2573 Frederique Ridges Suite 557\nLaronport, OK 31356','Maxime voluptatibus sunt non qui sed. Dolorum ad accusantium non distinctio. Totam autem dolorem ipsam vel. Et aspernatur accusamus totam ratione qui voluptas. Architecto et ut veritatis quidem.','2024-02-06 10:12:44','2024-02-06 10:12:44','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,NULL,1,'Repellendus et.','#1d82f5','5899 Hegmann Fields Apt. 853\nWest Gregtown, VA 99021-2450','Libero dolore accusamus perferendis et aut quo sapiente. Delectus ab debitis cupiditate quas et sunt. Inventore quas omnis sequi et vero quam aliquam.','2024-01-29 11:30:13','2024-01-29 11:30:13','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,NULL,1,'Suscipit voluptatem.','#808000','560 Quinton Bridge\nFabianfort, ME 23716','Eos aspernatur accusamus quia perspiciatis error. Sint omnis iusto repellendus culpa voluptas. A et est blanditiis rerum consequuntur. Dolor blanditiis provident fuga occaecati esse ipsam.','2024-01-16 18:53:37','2024-01-16 18:53:37','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,NULL,1,'Velit in et est.','#000000','814 Rogahn Crest\nLake Watsonside, DC 27975-2055','Maiores excepturi qui voluptatem aut exercitationem. Voluptatem et et cumque atque totam voluptatem. Nulla sed nesciunt quia voluptas. Sed vero ut dolorem quam quod.','2024-01-13 21:36:25','2024-01-13 21:36:25','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,NULL,1,'Sunt cum voluptatem.','#800080','962 Major Oval Apt. 375\nSouth Kaydenfurt, AR 98943-9749','Voluptas ipsam quibusdam explicabo nobis doloribus odit. Et quae et eligendi asperiores. Placeat culpa voluptatum voluptas quia.','2024-02-04 09:33:41','2024-02-04 09:33:41','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,NULL,1,'Voluptatibus.','#0000A0','58772 Raquel Shoal\nNew Ayla, AZ 67686-0936','Laboriosam quia aut et ducimus officiis minima non aliquam. Rerum voluptates voluptatem nihil similique nemo labore.','2024-01-15 12:52:01','2024-01-15 12:52:01','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,NULL,1,'Libero tempora.','#800080','816 Parker Prairie\nWest Dustin, IA 93361-6292','Voluptate necessitatibus autem illum et tempora ut eligendi accusamus. Similique fugit et enim adipisci. Accusantium nihil sunt culpa maxime.','2024-01-15 14:41:53','2024-01-15 14:41:53','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,NULL,1,'Voluptate excepturi.','#000000','217 West Stravenue\nSouth Tiara, CT 98371-2192','Laborum tenetur excepturi voluptatem saepe voluptatem cum. Libero nulla dolorum ea nemo quae voluptatem. Ex voluptas voluptatem quibusdam quam. Et optio ipsa aut.','2024-01-18 00:20:24','2024-01-18 00:20:24','no',NULL,NULL,'day','no',NULL,'day',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `events` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `expenses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expenses` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `purchase_date` date NOT NULL,
  `purchase_from` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `price` double(30,2) NOT NULL,
  `currency_id` int unsigned NOT NULL,
  `default_currency_id` int unsigned DEFAULT NULL,
  `exchange_rate` double DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `bill` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `status` enum('pending','approved','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `can_claim` tinyint(1) NOT NULL DEFAULT '1',
  `category_id` bigint unsigned DEFAULT NULL,
  `expenses_recurring_id` bigint unsigned DEFAULT NULL,
  `created_by` int unsigned DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `approver_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expenses_company_id_foreign` (`company_id`),
  KEY `expenses_currency_id_foreign` (`currency_id`),
  KEY `expenses_user_id_foreign` (`user_id`),
  KEY `expenses_category_id_foreign` (`category_id`),
  KEY `expenses_expenses_recurring_id_foreign` (`expenses_recurring_id`),
  KEY `expenses_created_by_foreign` (`created_by`),
  KEY `expenses_added_by_foreign` (`added_by`),
  KEY `expenses_last_updated_by_foreign` (`last_updated_by`),
  KEY `expenses_approver_id_foreign` (`approver_id`),
  KEY `expenses_bank_account_id_foreign` (`bank_account_id`),
  KEY `expenses_default_currency_id_foreign` (`default_currency_id`),
  CONSTRAINT `expenses_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_approver_id_foreign` FOREIGN KEY (`approver_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `expenses_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `expenses_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_default_currency_id_foreign` FOREIGN KEY (`default_currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_expenses_recurring_id_foreign` FOREIGN KEY (`expenses_recurring_id`) REFERENCES `expenses_recurring` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `expenses` WRITE;
/*!40000 ALTER TABLE `expenses` DISABLE KEYS */;
INSERT INTO `expenses` VALUES (1,1,'Ipsa beatae.','2024-01-04','Pennsylvania',316.00,1,NULL,1,NULL,NULL,16,'approved',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(2,1,'Ipsam et nostrum ut.','2024-01-16','North Carolina',701.00,1,NULL,1,NULL,NULL,16,'pending',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(3,1,'Nam doloremque.','2024-01-14','Washington',700.00,1,NULL,1,NULL,NULL,16,'approved',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(4,1,'Cumque repellat.','2024-02-10','Montana',233.00,1,NULL,1,NULL,NULL,16,'pending',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(5,1,'Corporis in ipsa.','2024-01-26','Arkansas',309.00,1,NULL,1,NULL,NULL,16,'rejected',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(6,1,'Magnam magnam.','2024-02-04','Kentucky',622.00,1,NULL,1,NULL,NULL,16,'pending',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(7,1,'Minima ducimus.','2024-01-24','Missouri',995.00,1,NULL,1,NULL,NULL,16,'rejected',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(8,1,'Similique aut.','2024-02-06','Michigan',689.00,1,NULL,1,NULL,NULL,16,'pending',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(9,1,'Repellendus.','2024-02-13','California',873.00,1,NULL,1,NULL,NULL,16,'approved',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(10,1,'Et dolores iste.','2024-01-19','Alaska',713.00,1,NULL,1,NULL,NULL,16,'rejected',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL);
/*!40000 ALTER TABLE `expenses` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `expenses_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expenses_category` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expenses_category_company_id_foreign` (`company_id`),
  KEY `expenses_category_added_by_foreign` (`added_by`),
  KEY `expenses_category_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `expenses_category_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_category_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_category_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `expenses_category` WRITE;
/*!40000 ALTER TABLE `expenses_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `expenses_category` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `expenses_category_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expenses_category_roles` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `expenses_category_id` bigint unsigned DEFAULT NULL,
  `role_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expenses_category_roles_company_id_foreign` (`company_id`),
  KEY `expenses_category_roles_expenses_category_id_foreign` (`expenses_category_id`),
  KEY `expenses_category_roles_role_id_foreign` (`role_id`),
  CONSTRAINT `expenses_category_roles_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_category_roles_expenses_category_id_foreign` FOREIGN KEY (`expenses_category_id`) REFERENCES `expenses_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_category_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `expenses_category_roles` WRITE;
/*!40000 ALTER TABLE `expenses_category_roles` DISABLE KEYS */;
/*!40000 ALTER TABLE `expenses_category_roles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `expenses_recurring`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `expenses_recurring` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_id` bigint unsigned DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `created_by` int unsigned DEFAULT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `day_of_month` int DEFAULT '1',
  `day_of_week` int DEFAULT '1',
  `payment_method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rotation` enum('monthly','weekly','bi-weekly','quarterly','half-yearly','annually','daily') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `billing_cycle` int DEFAULT NULL,
  `issue_date` date NOT NULL,
  `next_expense_date` date DEFAULT NULL,
  `unlimited_recurring` tinyint(1) NOT NULL DEFAULT '0',
  `price` double NOT NULL,
  `bill` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `purchase_from` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `immediate_expense` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expenses_recurring_company_id_foreign` (`company_id`),
  KEY `expenses_recurring_category_id_foreign` (`category_id`),
  KEY `expenses_recurring_currency_id_foreign` (`currency_id`),
  KEY `expenses_recurring_project_id_foreign` (`project_id`),
  KEY `expenses_recurring_user_id_foreign` (`user_id`),
  KEY `expenses_recurring_created_by_foreign` (`created_by`),
  KEY `expenses_recurring_added_by_foreign` (`added_by`),
  KEY `expenses_recurring_last_updated_by_foreign` (`last_updated_by`),
  KEY `expenses_recurring_bank_account_id_foreign` (`bank_account_id`),
  CONSTRAINT `expenses_recurring_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `expenses_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `expenses_recurring_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `expenses_recurring` WRITE;
/*!40000 ALTER TABLE `expenses_recurring` DISABLE KEYS */;
/*!40000 ALTER TABLE `expenses_recurring` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `file_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `file_storage` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `path` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` int unsigned NOT NULL,
  `storage_location` enum('local','aws_s3','digitalocean','wasabi','minio') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'local',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `file_storage_company_id_foreign` (`company_id`),
  CONSTRAINT `file_storage_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `file_storage` WRITE;
/*!40000 ALTER TABLE `file_storage` DISABLE KEYS */;
/*!40000 ALTER TABLE `file_storage` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `file_storage_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `file_storage_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `filesystem` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `auth_keys` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `status` enum('enabled','disabled') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disabled',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `file_storage_settings` WRITE;
/*!40000 ALTER TABLE `file_storage_settings` DISABLE KEYS */;
INSERT INTO `file_storage_settings` VALUES (1,'local',NULL,'enabled','2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `file_storage_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `flags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `flags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `capital` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `continent` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=267 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `flags` WRITE;
/*!40000 ALTER TABLE `flags` DISABLE KEYS */;
INSERT INTO `flags` VALUES (1,'Kabul','af','Asia','Afghanistan'),(2,'Mariehamn','ax','Europe','Aland Islands'),(3,'Tirana','al','Europe','Albania'),(4,'Algiers','dz','Africa','Algeria'),(5,'Pago Pago','as','Oceania','American Samoa'),(6,'Andorra la Vella','ad','Europe','Andorra'),(7,'Luanda','ao','Africa','Angola'),(8,'The Valley','ai','North America','Anguilla'),(9,'','aq','','Antarctica'),(10,'St. John\'s','ag','North America','Antigua and Barbuda'),(11,'Buenos Aires','ar','South America','Argentina'),(12,'Yerevan','am','Asia','Armenia'),(13,'Oranjestad','aw','South America','Aruba'),(14,'Georgetown','ac','Africa','Ascension Island'),(15,'Canberra','au','Oceania','Australia'),(16,'Vienna','at','Europe','Austria'),(17,'Baku','az','Asia','Azerbaijan'),(18,'Nassau','bs','North America','Bahamas'),(19,'Manama','bh','Asia','Bahrain'),(20,'Dhaka','bd','Asia','Bangladesh'),(21,'Bridgetown','bb','North America','Barbados'),(22,'Minsk','by','Europe','Belarus'),(23,'Brussels','be','Europe','Belgium'),(24,'Belmopan','bz','North America','Belize'),(25,'Porto-Novo','bj','Africa','Benin'),(26,'Hamilton','bm','North America','Bermuda'),(27,'Thimphu','bt','Asia','Bhutan'),(28,'Sucre','bo','South America','Bolivia'),(29,'Kralendijk','bq','South America','Bonaire, Sint Eustatius and Saba'),(30,'Sarajevo','ba','Europe','Bosnia and Herzegovina'),(31,'Gaborone','bw','Africa','Botswana'),(32,'','bv','','Bouvet Island'),(33,'Brasília','br','South America','Brazil'),(34,'Diego Garcia','io','Asia','British Indian Ocean Territory'),(35,'Bandar Seri Begawan','bn','Asia','Brunei Darussalam'),(36,'Sofia','bg','Europe','Bulgaria'),(37,'Ouagadougou','bf','Africa','Burkina Faso'),(38,'Bujumbura','bi','Africa','Burundi'),(39,'Praia','cv','Africa','Cabo Verde'),(40,'Phnom Penh','kh','Asia','Cambodia'),(41,'Yaoundé','cm','Africa','Cameroon'),(42,'Ottawa','ca','North America','Canada'),(43,'','ic','','Canary Islands'),(44,'','es-ct','','Catalonia'),(45,'George Town','ky','North America','Cayman Islands'),(46,'Bangui','cf','Africa','Central African Republic'),(47,'','cefta','','Central European Free Trade Agreement'),(48,'','ea','','Ceuta & Melilla'),(49,'N\'Djamena','td','Africa','Chad'),(50,'Santiago','cl','South America','Chile'),(51,'Beijing','cn','Asia','China'),(52,'Flying Fish Cove','cx','Asia','Christmas Island'),(53,'','cp','','Clipperton Island'),(54,'West Island','cc','Asia','Cocos (Keeling) Islands'),(55,'Bogotá','co','South America','Colombia'),(56,'Moroni','km','Africa','Comoros'),(57,'Avarua','ck','Oceania','Cook Islands'),(58,'San José','cr','North America','Costa Rica'),(59,'Zagreb','hr','Europe','Croatia'),(60,'Havana','cu','North America','Cuba'),(61,'Willemstad','cw','South America','Curaçao'),(62,'Nicosia','cy','Europe','Cyprus'),(63,'Prague','cz','Europe','Czech Republic'),(64,'Yamoussoukro','ci','Africa','Côte d\'Ivoire'),(65,'Kinshasa','cd','Africa','Democratic Republic of the Congo'),(66,'Copenhagen','dk','Europe','Denmark'),(67,'','dg','','Diego Garcia'),(68,'Djibouti','dj','Africa','Djibouti'),(69,'Roseau','dm','North America','Dominica'),(70,'Santo Domingo','do','North America','Dominican Republic'),(71,'Quito','ec','South America','Ecuador'),(72,'Cairo','eg','Africa','Egypt'),(73,'San Salvador','sv','North America','El Salvador'),(74,'London','gb-eng','Europe','England'),(75,'Malabo','gq','Africa','Equatorial Guinea'),(76,'Asmara','er','Africa','Eritrea'),(77,'Tallinn','ee','Europe','Estonia'),(78,'Lobamba, Mbabane','sz','Africa','Eswatini'),(79,'Addis Ababa','et','Africa','Ethiopia'),(80,'','eu','','Europe'),(81,'Stanley','fk','South America','Falkland Islands'),(82,'Tórshavn','fo','Europe','Faroe Islands'),(83,'Palikir','fm','Oceania','Federated States of Micronesia'),(84,'Suva','fj','Oceania','Fiji'),(85,'Helsinki','fi','Europe','Finland'),(86,'Paris','fr','Europe','France'),(87,'Cayenne','gf','South America','French Guiana'),(88,'Papeete','pf','Oceania','French Polynesia'),(89,'Saint-Pierre, Réunion','tf','Africa','French Southern Territories'),(90,'Libreville','ga','Africa','Gabon'),(91,'','es-ga','','Galicia'),(92,'Banjul','gm','Africa','Gambia'),(93,'Tbilisi','ge','Asia','Georgia'),(94,'Berlin','de','Europe','Germany'),(95,'Accra','gh','Africa','Ghana'),(96,'Gibraltar','gi','Europe','Gibraltar'),(97,'Athens','gr','Europe','Greece'),(98,'Nuuk','gl','North America','Greenland'),(99,'St. George\'s','gd','North America','Grenada'),(100,'Basse-Terre','gp','North America','Guadeloupe'),(101,'Hagåtña','gu','Oceania','Guam'),(102,'Guatemala City','gt','North America','Guatemala'),(103,'Saint Peter Port','gg','Europe','Guernsey'),(104,'Conakry','gn','Africa','Guinea'),(105,'Bissau','gw','Africa','Guinea-Bissau'),(106,'Georgetown','gy','South America','Guyana'),(107,'Port-au-Prince','ht','North America','Haiti'),(108,'','hm','','Heard Island and McDonald Islands'),(109,'Vatican City','va','Europe','Holy See'),(110,'Tegucigalpa','hn','North America','Honduras'),(111,'Hong Kong','hk','Asia','Hong Kong'),(112,'Budapest','hu','Europe','Hungary'),(113,'Reykjavik','is','Europe','Iceland'),(114,'New Delhi','in','Asia','India'),(115,'Jakarta','id','Asia','Indonesia'),(116,'Tehran','ir','Asia','Iran'),(117,'Baghdad','iq','Asia','Iraq'),(118,'Dublin','ie','Europe','Ireland'),(119,'Douglas','im','Europe','Isle of Man'),(120,'Jerusalem','il','Asia','Israel'),(121,'Rome','it','Europe','Italy'),(122,'Kingston','jm','North America','Jamaica'),(123,'Tokyo','jp','Asia','Japan'),(124,'Saint Helier','je','Europe','Jersey'),(125,'Amman','jo','Asia','Jordan'),(126,'Astana','kz','Asia','Kazakhstan'),(127,'Nairobi','ke','Africa','Kenya'),(128,'South Tarawa','ki','Oceania','Kiribati'),(129,'Pristina','xk','Europe','Kosovo'),(130,'Kuwait City','kw','Asia','Kuwait'),(131,'Bishkek','kg','Asia','Kyrgyzstan'),(132,'Vientiane','la','Asia','Laos'),(133,'Riga','lv','Europe','Latvia'),(134,'Beirut','lb','Asia','Lebanon'),(135,'Maseru','ls','Africa','Lesotho'),(136,'Monrovia','lr','Africa','Liberia'),(137,'Tripoli','ly','Africa','Libya'),(138,'Vaduz','li','Europe','Liechtenstein'),(139,'Vilnius','lt','Europe','Lithuania'),(140,'Luxembourg City','lu','Europe','Luxembourg'),(141,'Macau','mo','Asia','Macau'),(142,'Antananarivo','mg','Africa','Madagascar'),(143,'Lilongwe','mw','Africa','Malawi'),(144,'Kuala Lumpur','my','Asia','Malaysia'),(145,'Malé','mv','Asia','Maldives'),(146,'Bamako','ml','Africa','Mali'),(147,'Valletta','mt','Europe','Malta'),(148,'Majuro','mh','Oceania','Marshall Islands'),(149,'Fort-de-France','mq','North America','Martinique'),(150,'Nouakchott','mr','Africa','Mauritania'),(151,'Port Louis','mu','Africa','Mauritius'),(152,'Mamoudzou','yt','Africa','Mayotte'),(153,'Mexico City','mx','North America','Mexico'),(154,'Chișinău','md','Europe','Moldova'),(155,'Monaco','mc','Europe','Monaco'),(156,'Ulaanbaatar','mn','Asia','Mongolia'),(157,'Podgorica','me','Europe','Montenegro'),(158,'Little Bay, Brades, Plymouth','ms','North America','Montserrat'),(159,'Rabat','ma','Africa','Morocco'),(160,'Maputo','mz','Africa','Mozambique'),(161,'Naypyidaw','mm','Asia','Myanmar'),(162,'Windhoek','na','Africa','Namibia'),(163,'Yaren District','nr','Oceania','Nauru'),(164,'Kathmandu','np','Asia','Nepal'),(165,'Amsterdam','nl','Europe','Netherlands'),(166,'Nouméa','nc','Oceania','New Caledonia'),(167,'Wellington','nz','Oceania','New Zealand'),(168,'Managua','ni','North America','Nicaragua'),(169,'Niamey','ne','Africa','Niger'),(170,'Abuja','ng','Africa','Nigeria'),(171,'Alofi','nu','Oceania','Niue'),(172,'Kingston','nf','Oceania','Norfolk Island'),(173,'Pyongyang','kp','Asia','North Korea'),(174,'Skopje','mk','Europe','North Macedonia'),(175,'Belfast','gb-nir','Europe','Northern Ireland'),(176,'Saipan','mp','Oceania','Northern Mariana Islands'),(177,'Oslo','no','Europe','Norway'),(178,'Muscat','om','Asia','Oman'),(179,'Islamabad','pk','Asia','Pakistan'),(180,'Ngerulmud','pw','Oceania','Palau'),(181,'Panama City','pa','North America','Panama'),(182,'Port Moresby','pg','Oceania','Papua New Guinea'),(183,'Asunción','py','South America','Paraguay'),(184,'Lima','pe','South America','Peru'),(185,'Manila','ph','Asia','Philippines'),(186,'Adamstown','pn','Oceania','Pitcairn'),(187,'Warsaw','pl','Europe','Poland'),(188,'Lisbon','pt','Europe','Portugal'),(189,'San Juan','pr','North America','Puerto Rico'),(190,'Doha','qa','Asia','Qatar'),(191,'Brazzaville','cg','Africa','Republic of the Congo'),(192,'Bucharest','ro','Europe','Romania'),(193,'Moscow','ru','Europe','Russia'),(194,'Kigali','rw','Africa','Rwanda'),(195,'Saint-Denis','re','Africa','Réunion'),(196,'Gustavia','bl','North America','Saint Barthélemy'),(197,'Jamestown','sh','Africa','Saint Helena, Ascension and Tristan da Cunha'),(198,'Basseterre','kn','North America','Saint Kitts and Nevis'),(199,'Castries','lc','North America','Saint Lucia'),(200,'Marigot','mf','North America','Saint Martin'),(201,'Saint-Pierre','pm','North America','Saint Pierre and Miquelon'),(202,'Kingstown','vc','North America','Saint Vincent and the Grenadines'),(203,'Apia','ws','Oceania','Samoa'),(204,'San Marino','sm','Europe','San Marino'),(205,'São Tomé','st','Africa','Sao Tome and Principe'),(206,'Riyadh','sa','Asia','Saudi Arabia'),(207,'Edinburgh','gb-sct','Europe','Scotland'),(208,'Dakar','sn','Africa','Senegal'),(209,'Belgrade','rs','Europe','Serbia'),(210,'Victoria','sc','Africa','Seychelles'),(211,'Freetown','sl','Africa','Sierra Leone'),(212,'Singapore','sg','Asia','Singapore'),(213,'Philipsburg','sx','North America','Sint Maarten'),(214,'Bratislava','sk','Europe','Slovakia'),(215,'Ljubljana','si','Europe','Slovenia'),(216,'Honiara','sb','Oceania','Solomon Islands'),(217,'Mogadishu','so','Africa','Somalia'),(218,'Pretoria','za','Africa','South Africa'),(219,'King Edward Point','gs','Antarctica','South Georgia and the South Sandwich Islands'),(220,'Seoul','kr','Asia','South Korea'),(221,'Juba','ss','Africa','South Sudan'),(222,'Madrid','es','Europe','Spain'),(223,'Sri Jayawardenepura Kotte, Colombo','lk','Asia','Sri Lanka'),(224,'Ramallah','ps','Asia','State of Palestine'),(225,'Khartoum','sd','Africa','Sudan'),(226,'Paramaribo','sr','South America','Suriname'),(227,'Longyearbyen','sj','Europe','Svalbard and Jan Mayen'),(228,'Stockholm','se','Europe','Sweden'),(229,'Bern','ch','Europe','Switzerland'),(230,'Damascus','sy','Asia','Syria'),(231,'Taipei','tw','Asia','Taiwan'),(232,'Dushanbe','tj','Asia','Tajikistan'),(233,'Dodoma','tz','Africa','Tanzania'),(234,'Bangkok','th','Asia','Thailand'),(235,'Dili','tl','Asia','Timor-Leste'),(236,'Lomé','tg','Africa','Togo'),(237,'Nukunonu, Atafu,Tokelau','tk','Oceania','Tokelau'),(238,'Nukuʻalofa','to','Oceania','Tonga'),(239,'Port of Spain','tt','South America','Trinidad and Tobago'),(240,'','ta','','Tristan da Cunha'),(241,'Tunis','tn','Africa','Tunisia'),(242,'Ankara','tr','Asia','Turkey'),(243,'Ashgabat','tm','Asia','Turkmenistan'),(244,'Cockburn Town','tc','North America','Turks and Caicos Islands'),(245,'Funafuti','tv','Oceania','Tuvalu'),(246,'Kampala','ug','Africa','Uganda'),(247,'Kiev','ua','Europe','Ukraine'),(248,'Abu Dhabi','ae','Asia','United Arab Emirates'),(249,'London','gb','Europe','United Kingdom'),(250,'','un','','United Nations'),(251,'Washington, D.C.','um','North America','United States Minor Outlying Islands'),(252,'Washington, D.C.','us','North America','United States of America'),(253,'','xx','','Unknown'),(254,'Montevideo','uy','South America','Uruguay'),(255,'Tashkent','uz','Asia','Uzbekistan'),(256,'Port Vila','vu','Oceania','Vanuatu'),(257,'Caracas','ve','South America','Venezuela'),(258,'Hanoi','vn','Asia','Vietnam'),(259,'Road Town','vg','North America','Virgin Islands (British)'),(260,'Charlotte Amalie','vi','North America','Virgin Islands (U.S.)'),(261,'Cardiff','gb-wls','Europe','Wales'),(262,'Mata-Utu','wf','Oceania','Wallis and Futuna'),(263,'Laayoune','eh','Africa','Western Sahara'),(264,'Sana\'a','ye','Asia','Yemen'),(265,'Lusaka','zm','Africa','Zambia'),(266,'Harare','zw','Africa','Zimbabwe');
/*!40000 ALTER TABLE `flags` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gdpr_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gdpr_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `enable_gdpr` tinyint(1) NOT NULL DEFAULT '0',
  `show_customer_area` tinyint(1) NOT NULL DEFAULT '0',
  `show_customer_footer` tinyint(1) NOT NULL DEFAULT '0',
  `top_information_block` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `enable_export` tinyint(1) NOT NULL DEFAULT '0',
  `data_removal` tinyint(1) NOT NULL DEFAULT '0',
  `lead_removal_public_form` tinyint(1) NOT NULL DEFAULT '0',
  `terms_customer_footer` tinyint(1) NOT NULL DEFAULT '0',
  `terms` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `policy` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `public_lead_edit` tinyint(1) NOT NULL DEFAULT '0',
  `consent_customer` tinyint(1) NOT NULL DEFAULT '0',
  `consent_leads` tinyint(1) NOT NULL DEFAULT '0',
  `consent_block` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gdpr_settings` WRITE;
/*!40000 ALTER TABLE `gdpr_settings` DISABLE KEYS */;
INSERT INTO `gdpr_settings` VALUES (1,0,0,0,NULL,0,0,0,0,NULL,NULL,0,0,0,NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `gdpr_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gitlab_employees`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_employees` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `gitlab_user_id` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gitlab_employees_user_id_foreign` (`user_id`),
  KEY `gitlab_employees_company_id_foreign` (`company_id`),
  CONSTRAINT `gitlab_employees_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `gitlab_employees_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gitlab_employees` WRITE;
/*!40000 ALTER TABLE `gitlab_employees` DISABLE KEYS */;
/*!40000 ALTER TABLE `gitlab_employees` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gitlab_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_global_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gitlab_global_settings` WRITE;
/*!40000 ALTER TABLE `gitlab_global_settings` DISABLE KEYS */;
INSERT INTO `gitlab_global_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:20','2024-02-13 04:03:20');
/*!40000 ALTER TABLE `gitlab_global_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gitlab_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_projects` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `gitlab_project_id` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gitlab_projects_project_id_foreign` (`project_id`),
  KEY `gitlab_projects_user_id_foreign` (`user_id`),
  CONSTRAINT `gitlab_projects_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `gitlab_projects_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gitlab_projects` WRITE;
/*!40000 ALTER TABLE `gitlab_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `gitlab_projects` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gitlab_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `personal_access_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `feed_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gitlab_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gitlab_settings_user_id_foreign` (`user_id`),
  KEY `gitlab_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `gitlab_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `gitlab_settings_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gitlab_settings` WRITE;
/*!40000 ALTER TABLE `gitlab_settings` DISABLE KEYS */;
INSERT INTO `gitlab_settings` VALUES (1,NULL,NULL,NULL,NULL,'2024-02-13 04:03:16','2024-02-13 04:03:16',NULL);
/*!40000 ALTER TABLE `gitlab_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gitlab_task_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_task_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `fetch_interval` int NOT NULL,
  `fetch_interval_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `labels_exclude` text COLLATE utf8mb4_unicode_ci,
  `allow_close_issue` tinyint(1) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gitlab_task_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `gitlab_task_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gitlab_task_settings` WRITE;
/*!40000 ALTER TABLE `gitlab_task_settings` DISABLE KEYS */;
INSERT INTO `gitlab_task_settings` VALUES (1,1,1,'',NULL,0,0,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `gitlab_task_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `gitlab_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gitlab_tasks` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `task_id` int unsigned NOT NULL,
  `gitlab_task_id` int NOT NULL,
  `gitlab_task_iid` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `assignee_ids` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gitlab_tasks_task_id_foreign` (`task_id`),
  CONSTRAINT `gitlab_tasks_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `gitlab_tasks` WRITE;
/*!40000 ALTER TABLE `gitlab_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `gitlab_tasks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `global_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `global_app_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `light_logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `login_background` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo_background_color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `header_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#1D82F5',
  `sidebar_logo_style` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'square',
  `locale` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `hash` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_code` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `last_license_verified_at` timestamp NULL DEFAULT NULL,
  `google_recaptcha_status` enum('active','deactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `google_recaptcha_v2_status` enum('active','deactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `google_recaptcha_v2_site_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `google_recaptcha_v2_secret_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `google_recaptcha_v3_status` enum('active','deactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `google_recaptcha_v3_site_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `google_recaptcha_v3_secret_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `app_debug` tinyint(1) NOT NULL DEFAULT '0',
  `currency_converter_key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency_key_version` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'free',
  `date_format` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'd-m-Y',
  `time_format` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'h:i a',
  `moment_format` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'DD-MM-YYYY',
  `timezone` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Asia/Kolkata',
  `rtl` tinyint(1) NOT NULL DEFAULT '0',
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hide_cron_message` tinyint(1) NOT NULL DEFAULT '0',
  `system_update` tinyint(1) NOT NULL DEFAULT '1',
  `show_review_modal` tinyint(1) NOT NULL DEFAULT '1',
  `last_cron_run` timestamp NULL DEFAULT NULL,
  `favicon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auth_theme` enum('dark','light') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'light',
  `auth_theme_text` enum('dark','light') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dark',
  `session_driver` enum('file','database') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'file',
  `allowed_file_types` text COLLATE utf8mb4_unicode_ci,
  `allowed_file_size` int NOT NULL DEFAULT '10',
  `allow_max_no_of_files` int NOT NULL DEFAULT '10',
  `datatable_row_limit` int NOT NULL DEFAULT '10',
  `show_update_popup` tinyint(1) NOT NULL DEFAULT '1',
  `sign_up_terms` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `terms_link` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `google_map_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `google_calendar_status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'inactive',
  `google_client_id` text COLLATE utf8mb4_unicode_ci,
  `google_client_secret` text COLLATE utf8mb4_unicode_ci,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `global_settings` WRITE;
/*!40000 ALTER TABLE `global_settings` DISABLE KEYS */;
INSERT INTO `global_settings` VALUES (1,'Worksuite',NULL,NULL,NULL,NULL,'#1D82F5','square','en','f04cb14d70f7517b649b732c0a938dbc',NULL,NULL,NULL,NULL,'deactive','deactive',NULL,NULL,'deactive',NULL,NULL,0,'','free','d-m-Y','h:i a','DD-MM-YYYY','Asia/Kolkata',0,NULL,0,1,1,NULL,NULL,'light','dark','file','image/*,application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/docx,application/pdf,text/plain,application/msword,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,application/zip,application/x-zip-compressed, application/x-compressed, multipart/x-zip,.xlsx,video/x-flv,video/mp4,application/x-mpegURL,video/MP2T,video/3gpp,video/quicktime,video/x-msvideo,video/x-ms-wmv,application/sla,.stl',10,10,10,1,'no',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34',NULL,'inactive',NULL,NULL,NULL);
/*!40000 ALTER TABLE `global_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `google_calendar_modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `google_calendar_modules` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `lead_status` tinyint(1) NOT NULL DEFAULT '0',
  `leave_status` tinyint(1) NOT NULL DEFAULT '0',
  `invoice_status` tinyint(1) NOT NULL DEFAULT '0',
  `contract_status` tinyint(1) NOT NULL DEFAULT '0',
  `task_status` tinyint(1) NOT NULL DEFAULT '0',
  `event_status` tinyint(1) NOT NULL DEFAULT '0',
  `holiday_status` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `google_calendar_modules_company_id_foreign` (`company_id`),
  CONSTRAINT `google_calendar_modules_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `google_calendar_modules` WRITE;
/*!40000 ALTER TABLE `google_calendar_modules` DISABLE KEYS */;
INSERT INTO `google_calendar_modules` VALUES (1,1,0,0,0,0,0,0,0,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `google_calendar_modules` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `holidays`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `holidays` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `date` date NOT NULL,
  `occassion` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `holidays_company_id_foreign` (`company_id`),
  KEY `holidays_date_index` (`date`),
  KEY `holidays_added_by_foreign` (`added_by`),
  KEY `holidays_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `holidays_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `holidays_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `holidays_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `holidays` WRITE;
/*!40000 ALTER TABLE `holidays` DISABLE KEYS */;
/*!40000 ALTER TABLE `holidays` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` int unsigned NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `filename` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_files_invoice_id_foreign` (`invoice_id`),
  KEY `invoice_files_added_by_foreign` (`added_by`),
  KEY `invoice_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `invoice_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_files_invoice_id_foreign` FOREIGN KEY (`invoice_id`) REFERENCES `invoices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_files` WRITE;
/*!40000 ALTER TABLE `invoice_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `invoice_item_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_item_images_invoice_item_id_foreign` (`invoice_item_id`),
  CONSTRAINT `invoice_item_images_invoice_item_id_foreign` FOREIGN KEY (`invoice_item_id`) REFERENCES `invoice_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_item_images` WRITE;
/*!40000 ALTER TABLE `invoice_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `invoice_id` int unsigned NOT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(30,2) NOT NULL,
  `unit_price` double(30,2) NOT NULL,
  `amount` double(30,2) NOT NULL,
  `taxes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_items_invoice_id_foreign` (`invoice_id`),
  KEY `invoice_items_unit_id_foreign` (`unit_id`),
  KEY `invoice_items_product_id_foreign` (`product_id`),
  CONSTRAINT `invoice_items_invoice_id_foreign` FOREIGN KEY (`invoice_id`) REFERENCES `invoices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_items` WRITE;
/*!40000 ALTER TABLE `invoice_items` DISABLE KEYS */;
INSERT INTO `invoice_items` VALUES (1,1,'omnis',NULL,'item',1.00,1349.00,1349.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(2,1,'dignissimos',NULL,'item',16.00,1584.00,25344.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(3,2,'voluptatem',NULL,'item',12.00,1624.00,19488.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(4,2,'placeat',NULL,'item',10.00,1051.00,10510.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(5,3,'cumque',NULL,'item',17.00,1744.00,29648.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(6,3,'nemo',NULL,'item',17.00,1983.00,33711.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(7,4,'quae',NULL,'item',15.00,1804.00,27060.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(8,4,'veritatis',NULL,'item',1.00,1828.00,1828.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(9,5,'voluptatem',NULL,'item',12.00,1210.00,14520.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(10,5,'voluptatibus',NULL,'item',5.00,1209.00,6045.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(11,6,'possimus',NULL,'item',5.00,1412.00,7060.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(12,6,'placeat',NULL,'item',15.00,1738.00,26070.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(13,7,'sit',NULL,'item',16.00,1045.00,16720.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(14,7,'numquam',NULL,'item',19.00,1148.00,21812.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(15,8,'sequi',NULL,'item',4.00,1968.00,7872.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(16,8,'quibusdam',NULL,'item',11.00,1892.00,20812.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(17,9,'voluptas',NULL,'item',3.00,1099.00,3297.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(18,9,'amet',NULL,'item',9.00,1355.00,12195.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(19,10,'non',NULL,'item',15.00,1469.00,22035.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(20,10,'nesciunt',NULL,'item',15.00,1783.00,26745.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(21,11,'facilis',NULL,'item',1.00,1125.00,1125.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(22,11,'aliquam',NULL,'item',20.00,1756.00,35120.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(23,12,'vero',NULL,'item',20.00,1169.00,23380.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(24,12,'nulla',NULL,'item',14.00,1362.00,19068.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(25,13,'quod',NULL,'item',8.00,1780.00,14240.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(26,13,'ratione',NULL,'item',14.00,1667.00,23338.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(27,14,'et',NULL,'item',18.00,1570.00,28260.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(28,14,'doloribus',NULL,'item',12.00,1050.00,12600.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(29,15,'eum',NULL,'item',3.00,1023.00,3069.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(30,15,'necessitatibus',NULL,'item',7.00,1583.00,11081.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(31,16,'aliquam',NULL,'item',8.00,1813.00,14504.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(32,16,'quibusdam',NULL,'item',8.00,1228.00,9824.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(33,17,'aut',NULL,'item',5.00,1178.00,5890.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(34,17,'consequatur',NULL,'item',3.00,1066.00,3198.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(35,18,'error',NULL,'item',6.00,1351.00,8106.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(36,18,'vel',NULL,'item',15.00,1275.00,19125.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(37,19,'voluptatibus',NULL,'item',18.00,1183.00,21294.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(38,19,'distinctio',NULL,'item',15.00,1302.00,19530.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(39,20,'sint',NULL,'item',5.00,1462.00,7310.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(40,20,'ea',NULL,'item',4.00,1165.00,4660.00,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL);
/*!40000 ALTER TABLE `invoice_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_recurring`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_recurring` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `created_by` int unsigned DEFAULT NULL,
  `issue_date` date NOT NULL,
  `next_invoice_date` date DEFAULT NULL,
  `due_date` date NOT NULL,
  `sub_total` double NOT NULL DEFAULT '0',
  `total` double NOT NULL DEFAULT '0',
  `discount` double NOT NULL DEFAULT '0',
  `discount_type` enum('percent','fixed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `file` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_original_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `show_shipping_address` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `day_of_month` int DEFAULT '1',
  `day_of_week` int DEFAULT '1',
  `payment_method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rotation` enum('monthly','weekly','bi-weekly','quarterly','half-yearly','annually','daily') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `billing_cycle` int DEFAULT NULL,
  `client_can_stop` tinyint(1) NOT NULL DEFAULT '1',
  `unlimited_recurring` tinyint(1) NOT NULL DEFAULT '0',
  `deleted_at` datetime DEFAULT NULL,
  `shipping_address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `calculate_tax` enum('after_discount','before_discount') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `immediate_invoice` tinyint(1) NOT NULL DEFAULT '0',
  `bank_account_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_recurring_company_id_foreign` (`company_id`),
  KEY `invoice_recurring_currency_id_foreign` (`currency_id`),
  KEY `invoice_recurring_project_id_foreign` (`project_id`),
  KEY `invoice_recurring_client_id_foreign` (`client_id`),
  KEY `invoice_recurring_user_id_foreign` (`user_id`),
  KEY `invoice_recurring_created_by_foreign` (`created_by`),
  KEY `invoice_recurring_added_by_foreign` (`added_by`),
  KEY `invoice_recurring_last_updated_by_foreign` (`last_updated_by`),
  KEY `invoice_recurring_bank_account_id_foreign` (`bank_account_id`),
  CONSTRAINT `invoice_recurring_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_recurring` WRITE;
/*!40000 ALTER TABLE `invoice_recurring` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_recurring` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_recurring_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_recurring_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `invoice_recurring_item_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_recurring_item_images_invoice_recurring_item_id_foreign` (`invoice_recurring_item_id`),
  CONSTRAINT `invoice_recurring_item_images_invoice_recurring_item_id_foreign` FOREIGN KEY (`invoice_recurring_item_id`) REFERENCES `invoice_recurring_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_recurring_item_images` WRITE;
/*!40000 ALTER TABLE `invoice_recurring_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_recurring_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_recurring_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_recurring_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `invoice_recurring_id` bigint unsigned NOT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` double NOT NULL,
  `unit_price` double NOT NULL,
  `amount` double NOT NULL,
  `taxes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `item_summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_recurring_items_invoice_recurring_id_foreign` (`invoice_recurring_id`),
  KEY `invoice_recurring_items_unit_id_foreign` (`unit_id`),
  KEY `invoice_recurring_items_product_id_foreign` (`product_id`),
  CONSTRAINT `invoice_recurring_items_invoice_recurring_id_foreign` FOREIGN KEY (`invoice_recurring_id`) REFERENCES `invoice_recurring` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoice_recurring_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_recurring_items` WRITE;
/*!40000 ALTER TABLE `invoice_recurring_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `invoice_recurring_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoice_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `invoice_prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `invoice_number_separator` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `invoice_digit` int unsigned NOT NULL DEFAULT '3',
  `estimate_prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'EST',
  `estimate_number_separator` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `estimate_digit` int unsigned NOT NULL DEFAULT '3',
  `credit_note_prefix` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'CN',
  `credit_note_number_separator` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `credit_note_digit` int unsigned NOT NULL DEFAULT '3',
  `contract_prefix` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'CONT',
  `contract_number_separator` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `contract_digit` int unsigned NOT NULL DEFAULT '3',
  `order_prefix` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'ODR',
  `order_number_separator` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `order_digit` int unsigned NOT NULL DEFAULT '3',
  `template` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `due_after` int NOT NULL,
  `invoice_terms` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `other_info` text COLLATE utf8mb4_unicode_ci,
  `estimate_terms` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `gst_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_gst` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `logo` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hsn_sac_code_show` tinyint(1) NOT NULL DEFAULT '0',
  `locale` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'en',
  `send_reminder` int NOT NULL DEFAULT '0',
  `reminder` enum('after','every') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `send_reminder_after` int NOT NULL DEFAULT '0',
  `tax_calculation_msg` tinyint(1) NOT NULL DEFAULT '0',
  `show_status` tinyint(1) NOT NULL DEFAULT '1',
  `authorised_signatory` tinyint(1) NOT NULL DEFAULT '0',
  `authorised_signatory_signature` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_project` int NOT NULL DEFAULT '0',
  `show_client_name` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `show_client_email` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `show_client_phone` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `show_client_company_address` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `show_client_company_name` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `invoice_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_settings` WRITE;
/*!40000 ALTER TABLE `invoice_settings` DISABLE KEYS */;
INSERT INTO `invoice_settings` VALUES (1,1,'INV','#',3,'EST','#',3,'CN','#',3,'CONT','#',3,'ODR','#',3,'invoice-5',15,'Thank you for your business.',NULL,NULL,NULL,'no',NULL,0,'en',0,NULL,0,0,1,0,NULL,0,'yes','yes','yes','yes','yes','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `invoice_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `invoices` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `invoice_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `original_invoice_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `issue_date` date NOT NULL,
  `due_date` date NOT NULL,
  `sub_total` double(30,2) NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `discount_type` enum('percent','fixed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `total` double(30,2) NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `default_currency_id` int unsigned DEFAULT NULL,
  `exchange_rate` double DEFAULT NULL,
  `status` enum('paid','unpaid','partial','canceled','draft') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unpaid',
  `recurring` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `billing_cycle` int DEFAULT NULL,
  `billing_interval` int DEFAULT NULL,
  `billing_frequency` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_original_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `credit_note` tinyint(1) NOT NULL DEFAULT '0',
  `show_shipping_address` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `estimate_id` int unsigned DEFAULT NULL,
  `send_status` tinyint(1) NOT NULL DEFAULT '1',
  `due_amount` double NOT NULL DEFAULT '0',
  `parent_id` int unsigned DEFAULT NULL,
  `invoice_recurring_id` bigint unsigned DEFAULT NULL,
  `created_by` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `calculate_tax` enum('after_discount','before_discount') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `company_address_id` bigint unsigned DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `custom_invoice_number` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_status` enum('1','0') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `offline_method_id` int unsigned DEFAULT NULL,
  `transaction_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  `last_viewed` timestamp NULL DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quickbooks_invoice_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `invoices_invoice_number_company_id_unique` (`invoice_number`,`company_id`),
  UNIQUE KEY `invoices_transaction_id_unique` (`transaction_id`),
  KEY `invoices_company_id_foreign` (`company_id`),
  KEY `invoices_project_id_foreign` (`project_id`),
  KEY `invoices_client_id_foreign` (`client_id`),
  KEY `invoices_order_id_foreign` (`order_id`),
  KEY `invoices_due_date_index` (`due_date`),
  KEY `invoices_currency_id_foreign` (`currency_id`),
  KEY `invoices_estimate_id_foreign` (`estimate_id`),
  KEY `invoices_parent_id_foreign` (`parent_id`),
  KEY `invoices_invoice_recurring_id_foreign` (`invoice_recurring_id`),
  KEY `invoices_created_by_foreign` (`created_by`),
  KEY `invoices_added_by_foreign` (`added_by`),
  KEY `invoices_last_updated_by_foreign` (`last_updated_by`),
  KEY `invoices_company_address_id_foreign` (`company_address_id`),
  KEY `invoices_bank_account_id_foreign` (`bank_account_id`),
  KEY `invoices_default_currency_id_foreign` (`default_currency_id`),
  KEY `payments_offline_method_id_foreign` (`offline_method_id`),
  CONSTRAINT `invoices_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoices_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoices_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoices_company_address_id_foreign` FOREIGN KEY (`company_address_id`) REFERENCES `company_addresses` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoices_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoices_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `invoices_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoices_default_currency_id_foreign` FOREIGN KEY (`default_currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoices_estimate_id_foreign` FOREIGN KEY (`estimate_id`) REFERENCES `estimates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoices_invoice_recurring_id_foreign` FOREIGN KEY (`invoice_recurring_id`) REFERENCES `invoice_recurring` (`id`) ON DELETE SET NULL,
  CONSTRAINT `invoices_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoices_offline_method_id_foreign` FOREIGN KEY (`offline_method_id`) REFERENCES `offline_payment_methods` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoices_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `invoices_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `invoices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `invoices_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoices` WRITE;
/*!40000 ALTER TABLE `invoices` DISABLE KEYS */;
INSERT INTO `invoices` VALUES (1,1,1,13,NULL,'INV#001','001','2024-01-30','2024-02-09',26693.00,0,'percent',26693.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'f169afeba16daf681705d0fb6a574454','after_discount',1,NULL,'INV#001','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(2,1,1,13,NULL,'INV#002','002','2024-01-19','2024-01-29',29998.00,0,'percent',29998.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'f2c1476d69c1291bcafd4b3b34a20a7e','after_discount',1,NULL,'INV#002','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(3,1,2,7,NULL,'INV#003','003','2024-01-28','2024-02-07',63359.00,0,'percent',63359.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'704eade99fb7d2219ceb0736c67fd8c6','after_discount',1,NULL,'INV#003','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(4,1,2,7,NULL,'INV#004','004','2024-01-02','2024-01-12',28888.00,0,'percent',28888.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'1d8bdbb8330277d021486faf110a4157','after_discount',1,NULL,'INV#004','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(5,1,2,7,NULL,'INV#005','005','2024-01-25','2024-02-04',20565.00,0,'percent',20565.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,20565,NULL,NULL,NULL,NULL,NULL,'a4a6bd7cd4cf31033550946fa3306404','after_discount',1,NULL,'INV#005','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(6,1,3,7,NULL,'INV#006','006','2024-01-05','2024-01-15',33130.00,0,'percent',33130.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,33130,NULL,NULL,NULL,NULL,NULL,'ba9f12d95cf19d1b409182dc0900d960','after_discount',1,NULL,'INV#006','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(7,1,3,7,NULL,'INV#007','007','2024-01-07','2024-01-17',38532.00,0,'percent',38532.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,38532,NULL,NULL,NULL,NULL,NULL,'7071dc3b0f2ee2189d0f33a822133a65','after_discount',1,NULL,'INV#007','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(8,1,3,7,NULL,'INV#008','008','2024-01-09','2024-01-19',28684.00,0,'percent',28684.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'ebed3b4c0bae5c8c13ec8970577745fe','after_discount',1,NULL,'INV#008','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(9,1,4,9,NULL,'INV#009','009','2024-01-16','2024-01-26',15492.00,0,'percent',15492.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,15492,NULL,NULL,NULL,NULL,NULL,'8884bd29896a8a5765acb0c4427f91e4','after_discount',1,NULL,'INV#009','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(10,1,5,4,NULL,'INV#010','010','2024-01-06','2024-01-16',48780.00,0,'percent',48780.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'d93cad2f1e8d3f40a16cae4696752139','after_discount',1,NULL,'INV#010','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(11,1,5,4,NULL,'INV#011','011','2024-01-07','2024-01-17',36245.00,0,'percent',36245.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'610c512beabf69578b185815ce3111ab','after_discount',1,NULL,'INV#011','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(12,1,5,4,NULL,'INV#012','012','2024-01-30','2024-02-09',42448.00,0,'percent',42448.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'67b0de60d5a0fcf18fa33437de3aa230','after_discount',1,NULL,'INV#012','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(13,1,6,9,NULL,'INV#013','013','2024-01-09','2024-01-19',37578.00,0,'percent',37578.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'ef32005494b09fac250e1e12060563a8','after_discount',1,NULL,'INV#013','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(14,1,7,13,NULL,'INV#014','014','2024-01-09','2024-01-19',40860.00,0,'percent',40860.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'054da7d5d9f16bc48481cac4aa003d75','after_discount',1,NULL,'INV#014','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(15,1,8,3,NULL,'INV#015','015','2024-01-13','2024-01-23',14150.00,0,'percent',14150.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,14150,NULL,NULL,NULL,NULL,NULL,'b5ee750bb06d695e0948554565170cb0','after_discount',1,NULL,'INV#015','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(16,1,9,11,NULL,'INV#016','016','2024-01-17','2024-01-27',24328.00,0,'percent',24328.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,24328,NULL,NULL,NULL,NULL,NULL,'4724798959150aa9ba4aab7c315c90d9','after_discount',1,NULL,'INV#016','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(17,1,9,11,NULL,'INV#017','017','2024-01-17','2024-01-27',9088.00,0,'percent',9088.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,9088,NULL,NULL,NULL,NULL,NULL,'5ad8cbc6ece028c2622b2ae6ee863f38','after_discount',1,NULL,'INV#017','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(18,1,9,11,NULL,'INV#018','018','2024-01-27','2024-02-06',27231.00,0,'percent',27231.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,27231,NULL,NULL,NULL,NULL,NULL,'c27a07729778cd41feae9201affb0cb5','after_discount',1,NULL,'INV#018','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL,NULL,NULL),(19,1,10,13,NULL,'INV#019','019','2024-01-19','2024-01-29',40824.00,0,'percent',40824.00,1,1,1,'paid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,0,NULL,NULL,NULL,NULL,NULL,'3fd18b8503e9cb22078d67cb7c6deded','after_discount',1,NULL,'INV#019','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL),(20,1,10,13,NULL,'INV#020','020','2024-01-18','2024-01-28',11970.00,0,'percent',11970.00,1,1,1,'unpaid','no',NULL,NULL,NULL,NULL,NULL,NULL,0,'no',NULL,1,11970,NULL,NULL,NULL,NULL,NULL,'2f2800fe155b8e30a5230b39ca485ec0','after_discount',1,NULL,'INV#020','0',NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL,NULL,NULL);
/*!40000 ALTER TABLE `invoices` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `issues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `issues` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `status` enum('pending','resolved') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `issues_company_id_foreign` (`company_id`),
  KEY `issues_user_id_foreign` (`user_id`),
  KEY `issues_project_id_foreign` (`project_id`),
  CONSTRAINT `issues_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `issues_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `issues_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `issues` WRITE;
/*!40000 ALTER TABLE `issues` DISABLE KEYS */;
/*!40000 ALTER TABLE `issues` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `job_batches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `job_batches` (
  `id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `total_jobs` int NOT NULL,
  `pending_jobs` int NOT NULL,
  `failed_jobs` int NOT NULL,
  `failed_job_ids` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `cancelled_at` int DEFAULT NULL,
  `created_at` int NOT NULL,
  `finished_at` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `job_batches` WRITE;
/*!40000 ALTER TABLE `job_batches` DISABLE KEYS */;
/*!40000 ALTER TABLE `job_batches` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `job_interview_stages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `job_interview_stages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_id` bigint unsigned NOT NULL,
  `recruit_interview_stage_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `job_interview_stages_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `jis_recruit_interview_stage_id_foreign` (`recruit_interview_stage_id`),
  CONSTRAINT `jis_recruit_interview_stage_id_foreign` FOREIGN KEY (`recruit_interview_stage_id`) REFERENCES `recruit_interview_stages` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `job_interview_stages_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `job_interview_stages` WRITE;
/*!40000 ALTER TABLE `job_interview_stages` DISABLE KEYS */;
/*!40000 ALTER TABLE `job_interview_stages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `knowledge_base_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `knowledge_base_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `knowledge_base_id` int unsigned NOT NULL,
  `filename` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `knowledge_base_files_company_id_foreign` (`company_id`),
  KEY `knowledge_base_files_knowledge_base_id_foreign` (`knowledge_base_id`),
  KEY `knowledge_base_files_added_by_foreign` (`added_by`),
  KEY `knowledge_base_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `knowledge_base_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `knowledge_base_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `knowledge_base_files_knowledge_base_id_foreign` FOREIGN KEY (`knowledge_base_id`) REFERENCES `knowledge_bases` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `knowledge_base_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `knowledge_base_files` WRITE;
/*!40000 ALTER TABLE `knowledge_base_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `knowledge_base_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `knowledge_bases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `knowledge_bases` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `to` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'employee',
  `heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category_id` int unsigned DEFAULT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `knowledge_bases_company_id_foreign` (`company_id`),
  KEY `knowledge_bases_category_id_foreign` (`category_id`),
  CONSTRAINT `knowledge_bases_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `knowledge_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `knowledge_bases_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `knowledge_bases` WRITE;
/*!40000 ALTER TABLE `knowledge_bases` DISABLE KEYS */;
/*!40000 ALTER TABLE `knowledge_bases` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `knowledge_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `knowledge_categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `knowledge_categories_company_id_foreign` (`company_id`),
  CONSTRAINT `knowledge_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `knowledge_categories` WRITE;
/*!40000 ALTER TABLE `knowledge_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `knowledge_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `language_pack_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_pack_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `language_pack_settings` WRITE;
/*!40000 ALTER TABLE `language_pack_settings` DISABLE KEYS */;
INSERT INTO `language_pack_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `language_pack_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `language_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `language_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `language_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('enabled','disabled') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `flag_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `language_settings` WRITE;
/*!40000 ALTER TABLE `language_settings` DISABLE KEYS */;
INSERT INTO `language_settings` VALUES (1,'en','English','enabled',NULL,NULL,'en'),(2,'ar','Arabic','disabled',NULL,NULL,'sa'),(3,'bg','Bulgarian','disabled',NULL,NULL,'bg'),(4,'th','Thai','disabled',NULL,NULL,'th'),(5,'sr','Serbian','disabled',NULL,NULL,'rs'),(6,'ka','Georgian','disabled',NULL,NULL,'ge'),(7,'de','German','disabled',NULL,NULL,'de'),(8,'es','Spanish','disabled',NULL,NULL,'es'),(9,'et','Estonian','disabled',NULL,NULL,'et'),(10,'fa','Farsi','disabled',NULL,NULL,'ir'),(11,'fr','French','disabled',NULL,NULL,'fr'),(12,'ja','Japanese','disabled',NULL,NULL,'jp'),(13,'el','Greek','disabled',NULL,NULL,'gr'),(14,'hi','Hindi','disabled',NULL,NULL,'in'),(15,'id','Indonesian','disabled',NULL,NULL,'id'),(16,'it','Italian','disabled',NULL,NULL,'it'),(17,'nl','Dutch','disabled',NULL,NULL,'nl'),(18,'pl','Polish','disabled',NULL,NULL,'pl'),(19,'pt','Portuguese','disabled',NULL,NULL,'pt'),(20,'pt-br','Portuguese (Brazil)','disabled',NULL,NULL,'br'),(21,'ro','Romanian','disabled',NULL,NULL,'ro'),(22,'ru','Russian','disabled',NULL,NULL,'ru'),(23,'tr','Turkish','disabled',NULL,NULL,'tr'),(24,'vi','Vietnamese','disabled',NULL,NULL,'vn'),(25,'zh-CN','Chinese (S)','disabled',NULL,NULL,'cn'),(26,'zh-TW','Chinese (T)','disabled',NULL,NULL,'cn'),(27,'sq','Albanian','disabled',NULL,NULL,'al');
/*!40000 ALTER TABLE `language_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_agents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_agents` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `status` enum('enabled','disabled') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enabled',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_agents_company_id_foreign` (`company_id`),
  KEY `lead_agents_user_id_foreign` (`user_id`),
  KEY `lead_agents_added_by_foreign` (`added_by`),
  KEY `lead_agents_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `lead_agents_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_agents_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_agents_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_agents_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_agents` WRITE;
/*!40000 ALTER TABLE `lead_agents` DISABLE KEYS */;
INSERT INTO `lead_agents` VALUES (1,1,19,'enabled',NULL,NULL,NULL,NULL),(2,1,16,'enabled',NULL,NULL,NULL,NULL),(3,1,17,'enabled',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `lead_agents` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_category` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_category_company_id_foreign` (`company_id`),
  KEY `lead_category_added_by_foreign` (`added_by`),
  KEY `lead_category_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `lead_category_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_category_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_category_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_category` WRITE;
/*!40000 ALTER TABLE `lead_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `lead_category` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_custom_forms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_custom_forms` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `custom_fields_id` int unsigned DEFAULT NULL,
  `field_display_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_order` int NOT NULL,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_custom_forms_company_id_foreign` (`company_id`),
  KEY `lead_custom_forms_custom_fields_id_foreign` (`custom_fields_id`),
  KEY `lead_custom_forms_added_by_foreign` (`added_by`),
  KEY `lead_custom_forms_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `lead_custom_forms_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_custom_forms_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_custom_forms_custom_fields_id_foreign` FOREIGN KEY (`custom_fields_id`) REFERENCES `custom_fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_custom_forms_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_custom_forms` WRITE;
/*!40000 ALTER TABLE `lead_custom_forms` DISABLE KEYS */;
INSERT INTO `lead_custom_forms` VALUES (1,1,NULL,'Name','name',1,'active',1,NULL,NULL,NULL,NULL),(2,1,NULL,'Email','email',2,'active',0,NULL,NULL,NULL,NULL),(3,1,NULL,'Company Name','company_name',3,'active',0,NULL,NULL,NULL,NULL),(4,1,NULL,'Website','website',4,'active',0,NULL,NULL,NULL,NULL),(5,1,NULL,'Address','address',5,'active',0,NULL,NULL,NULL,NULL),(6,1,NULL,'Mobile','mobile',6,'active',0,NULL,NULL,NULL,NULL),(7,1,NULL,'Message','message',7,'active',0,NULL,NULL,NULL,NULL),(8,1,NULL,'City','city',1,'active',0,NULL,NULL,NULL,NULL),(9,1,NULL,'State','state',2,'active',0,NULL,NULL,NULL,NULL),(10,1,NULL,'Country','country',3,'active',0,NULL,NULL,NULL,NULL),(11,1,NULL,'Postal Code','postal_code',4,'active',0,NULL,NULL,NULL,NULL),(12,1,NULL,'Source','source',8,'active',0,NULL,NULL,NULL,NULL),(13,1,NULL,'Product','product',9,'active',0,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `lead_custom_forms` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_follow_up`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_follow_up` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `deal_id` bigint unsigned DEFAULT NULL,
  `remark` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `next_follow_up_date` datetime DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `send_reminder` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `remind_time` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `remind_type` enum('minute','hour','day') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_follow_up_added_by_foreign` (`added_by`),
  KEY `lead_follow_up_last_updated_by_foreign` (`last_updated_by`),
  KEY `lead_follow_up_deal_id_foreign` (`deal_id`),
  CONSTRAINT `lead_follow_up_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_follow_up_deal_id_foreign` FOREIGN KEY (`deal_id`) REFERENCES `deals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_follow_up_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_follow_up` WRITE;
/*!40000 ALTER TABLE `lead_follow_up` DISABLE KEYS */;
/*!40000 ALTER TABLE `lead_follow_up` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `lead_id` int unsigned DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `member_id` int unsigned DEFAULT NULL,
  `is_lead_show` tinyint(1) NOT NULL DEFAULT '0',
  `ask_password` tinyint(1) NOT NULL DEFAULT '0',
  `details` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_notes_lead_id_foreign` (`lead_id`),
  KEY `lead_notes_member_id_foreign` (`member_id`),
  KEY `lead_notes_added_by_foreign` (`added_by`),
  KEY `lead_notes_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `lead_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_notes_lead_id_foreign` FOREIGN KEY (`lead_id`) REFERENCES `leads` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_notes_member_id_foreign` FOREIGN KEY (`member_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_notes` WRITE;
/*!40000 ALTER TABLE `lead_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `lead_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_pipeline_stages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_pipeline_stages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `lead_pipeline_id` bigint unsigned DEFAULT NULL,
  `pipeline_stages_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_pipeline_stages_lead_pipeline_id_foreign` (`lead_pipeline_id`),
  KEY `lead_pipeline_stages_pipeline_stages_id_foreign` (`pipeline_stages_id`),
  CONSTRAINT `lead_pipeline_stages_lead_pipeline_id_foreign` FOREIGN KEY (`lead_pipeline_id`) REFERENCES `lead_pipelines` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_pipeline_stages_pipeline_stages_id_foreign` FOREIGN KEY (`pipeline_stages_id`) REFERENCES `pipeline_stages` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_pipeline_stages` WRITE;
/*!40000 ALTER TABLE `lead_pipeline_stages` DISABLE KEYS */;
/*!40000 ALTER TABLE `lead_pipeline_stages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_pipelines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_pipelines` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int NOT NULL DEFAULT '0',
  `label_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ff0000',
  `default` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_pipelines_company_id_foreign` (`company_id`),
  CONSTRAINT `lead_pipelines_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_pipelines` WRITE;
/*!40000 ALTER TABLE `lead_pipelines` DISABLE KEYS */;
INSERT INTO `lead_pipelines` VALUES (1,1,'Sales Pipeline','sales-pipeline',1,'#009EFF',1,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `lead_pipelines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_products` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `deal_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_products_product_id_foreign` (`product_id`),
  KEY `lead_products_deal_id_foreign` (`deal_id`),
  CONSTRAINT `lead_products_deal_id_foreign` FOREIGN KEY (`deal_id`) REFERENCES `deals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_products_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_products` WRITE;
/*!40000 ALTER TABLE `lead_products` DISABLE KEYS */;
/*!40000 ALTER TABLE `lead_products` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_sources` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lead_sources_type_company_id_unique` (`type`,`company_id`),
  KEY `lead_sources_company_id_foreign` (`company_id`),
  KEY `lead_sources_added_by_foreign` (`added_by`),
  KEY `lead_sources_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `lead_sources_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `lead_sources_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_sources_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_sources` WRITE;
/*!40000 ALTER TABLE `lead_sources` DISABLE KEYS */;
INSERT INTO `lead_sources` VALUES (1,1,'Email',NULL,NULL,NULL,NULL),(2,1,'Google',NULL,NULL,NULL,NULL),(3,1,'Facebook',NULL,NULL,NULL,NULL),(4,1,'Friend',NULL,NULL,NULL,NULL),(5,1,'Direct',NULL,NULL,NULL,NULL),(6,1,'Tv',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `lead_sources` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_status` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `priority` int NOT NULL,
  `default` tinyint(1) NOT NULL,
  `label_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ff0000',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lead_status_type_company_id_unique` (`type`,`company_id`),
  KEY `lead_status_company_id_foreign` (`company_id`),
  CONSTRAINT `lead_status_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_status` WRITE;
/*!40000 ALTER TABLE `lead_status` DISABLE KEYS */;
INSERT INTO `lead_status` VALUES (1,1,'pending',1,1,'#FFE700',NULL,NULL),(2,1,'in process',2,0,'#009EFF',NULL,NULL),(3,1,'done',3,0,'#1FAE07',NULL,NULL);
/*!40000 ALTER TABLE `lead_status` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `lead_user_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lead_user_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `lead_note_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `lead_user_notes_user_id_foreign` (`user_id`),
  KEY `lead_user_notes_lead_note_id_foreign` (`lead_note_id`),
  CONSTRAINT `lead_user_notes_lead_note_id_foreign` FOREIGN KEY (`lead_note_id`) REFERENCES `lead_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `lead_user_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `lead_user_notes` WRITE;
/*!40000 ALTER TABLE `lead_user_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `lead_user_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `leads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `leads` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `client_id` int DEFAULT NULL,
  `source_id` int DEFAULT NULL,
  `status_id` int DEFAULT NULL,
  `column_priority` int NOT NULL,
  `company_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `salutation` enum('mr','mrs','miss','dr','sir','madam') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cell` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `office` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `postal_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `category_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `leads_company_id_foreign` (`company_id`),
  KEY `leads_category_id_foreign` (`category_id`),
  KEY `leads_added_by_foreign` (`added_by`),
  KEY `leads_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `leads_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leads_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `lead_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leads_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `leads_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `leads` WRITE;
/*!40000 ALTER TABLE `leads` DISABLE KEYS */;
INSERT INTO `leads` VALUES (1,1,NULL,NULL,NULL,0,NULL,'https://worksuite.biz','Jaipur, India',NULL,'John Doe','testing@test.com','123456789',NULL,NULL,NULL,NULL,NULL,NULL,'Quas consectetur, tempor incidunt, aliquid voluptatem, velit mollit et illum, adipisicing ea officia aliquam placeat',NULL,NULL,NULL,'7a558bfa138210fb95ec1449185c1adc','2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `leads` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `leave_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `leave_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `leave_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `leave_files_company_id_foreign` (`company_id`),
  KEY `leave_files_user_id_foreign` (`user_id`),
  KEY `leave_files_leave_id_foreign` (`leave_id`),
  KEY `leave_files_added_by_foreign` (`added_by`),
  KEY `leave_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `leave_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leave_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `leave_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leave_files_leave_id_foreign` FOREIGN KEY (`leave_id`) REFERENCES `leaves` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `leave_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `leave_files` WRITE;
/*!40000 ALTER TABLE `leave_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `leave_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `leave_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `leave_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `manager_permission` enum('pre-approve','approved','cannot-approve') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pre-approve',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `leave_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `leave_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `leave_settings` WRITE;
/*!40000 ALTER TABLE `leave_settings` DISABLE KEYS */;
INSERT INTO `leave_settings` VALUES (1,1,'pre-approve','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `leave_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `leave_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `leave_types` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `type_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `no_of_leaves` int NOT NULL DEFAULT '5',
  `paid` tinyint(1) NOT NULL DEFAULT '1',
  `monthly_limit` int NOT NULL DEFAULT '0',
  `effective_after` int DEFAULT NULL,
  `effective_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `unused_leave` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `encashed` tinyint(1) NOT NULL,
  `allowed_probation` tinyint(1) NOT NULL,
  `allowed_notice` tinyint(1) NOT NULL,
  `gender` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marital_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `department` longtext COLLATE utf8mb4_unicode_ci,
  `designation` longtext COLLATE utf8mb4_unicode_ci,
  `role` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `leave_types_company_id_foreign` (`company_id`),
  CONSTRAINT `leave_types_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `leave_types` WRITE;
/*!40000 ALTER TABLE `leave_types` DISABLE KEYS */;
INSERT INTO `leave_types` VALUES (1,1,'Casual','#16813D',5,1,0,NULL,NULL,NULL,0,0,0,'[\"male\",\"female\",\"others\"]','[\"single\",\"married\",\"widower\",\"widow\",\"separate\",\"divorced\",\"engaged\"]','[1,2,3,4,5,6]','[1,2,3,4,5]','[1,2]',NULL,'2024-02-13 04:03:35'),(2,1,'Sick','#DB1313',5,1,0,NULL,NULL,NULL,0,0,0,'[\"male\",\"female\",\"others\"]','[\"single\",\"married\",\"widower\",\"widow\",\"separate\",\"divorced\",\"engaged\"]','[1,2,3,4,5,6]','[1,2,3,4,5]','[1,2]',NULL,'2024-02-13 04:03:35'),(3,1,'Earned','#B078C6',5,1,0,NULL,NULL,NULL,0,0,0,'[\"male\",\"female\",\"others\"]','[\"single\",\"married\",\"widower\",\"widow\",\"separate\",\"divorced\",\"engaged\"]','[1,2,3,4,5,6]','[1,2,3,4,5]','[1,2]',NULL,'2024-02-13 04:03:35');
/*!40000 ALTER TABLE `leave_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `leaves`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `leaves` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `leave_type_id` int unsigned NOT NULL,
  `unique_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `leave_date` date NOT NULL,
  `reason` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('approved','pending','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `reject_reason` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `paid` tinyint(1) NOT NULL DEFAULT '0',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `approved_by` int unsigned DEFAULT NULL,
  `approved_at` datetime DEFAULT NULL,
  `half_day_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `manager_status_permission` enum('pre-approve','approved') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `approve_reason` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `leaves_company_id_foreign` (`company_id`),
  KEY `leaves_user_id_foreign` (`user_id`),
  KEY `leaves_leave_type_id_foreign` (`leave_type_id`),
  KEY `leaves_leave_date_index` (`leave_date`),
  KEY `leaves_added_by_foreign` (`added_by`),
  KEY `leaves_last_updated_by_foreign` (`last_updated_by`),
  KEY `leaves_approved_by_foreign` (`approved_by`),
  CONSTRAINT `leaves_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leaves_approved_by_foreign` FOREIGN KEY (`approved_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leaves_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `leaves_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `leaves_leave_type_id_foreign` FOREIGN KEY (`leave_type_id`) REFERENCES `leave_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `leaves_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `leaves` WRITE;
/*!40000 ALTER TABLE `leaves` DISABLE KEYS */;
INSERT INTO `leaves` VALUES (1,1,15,1,NULL,'single','2024-02-06','Alice angrily. \'It wasn\'t very civil of you to sit down without being invited,\' said the Duchess. \'I make you grow taller, and the fan, and skurried away into the air. She did not dare to disobey.','approved',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(2,1,15,1,NULL,'single','2024-02-04','Why, there\'s hardly room for YOU, and no room to grow up any more if you\'d rather not.\' \'We indeed!\' cried the Mouse, turning to Alice again. \'No, I didn\'t,\' said Alice: \'she\'s so extremely--\' Just.','rejected',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(3,1,15,1,NULL,'single','2024-02-03','Duchess. \'I make you grow shorter.\' \'One side will make you dry enough!\' They all sat down at them, and considered a little startled when she looked down at them, and all dripping wet, cross, and.','approved',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(4,1,15,1,NULL,'single','2024-02-04','I used to come before that!\' \'Call the next witness was the first witness,\' said the Mock Turtle said: \'advance twice, set to work, and very neatly and simply arranged; the only difficulty was, that.','pending',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(5,1,15,1,NULL,'single','2024-02-04','King hastily said, and went in. The door led right into it. \'That\'s very important,\' the King and the poor little juror (it was Bill, the Lizard) could not stand, and she had felt quite strange at.','approved',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(6,1,15,1,NULL,'single','2024-02-07','Beautiful, beauti--FUL SOUP!\' \'Chorus again!\' cried the Gryphon, before Alice could not think of any use, now,\' thought poor Alice, that she was surprised to see what was going to give the hedgehog.','approved',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(7,1,15,1,NULL,'single','2024-02-10','Alice, as the whole pack of cards: the Knave of Hearts, carrying the King\'s crown on a branch of a globe of goldfish she had somehow fallen into a large mushroom growing near her, she began, rather.','rejected',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(8,1,15,1,NULL,'single','2024-02-07','Hatter, it woke up again as quickly as she went on, \'you throw the--\' \'The lobsters!\' shouted the Queen, pointing to Alice with one finger; and the King said to live. \'I\'ve seen hatters before,\' she.','rejected',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(9,1,15,1,NULL,'single','2024-02-06','I\'ve made up my mind about it; and the Queen, pointing to the voice of the house till she had somehow fallen into a tidy little room with a pair of the baby?\' said the Caterpillar called after her.','approved',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL),(10,1,15,1,NULL,'single','2024-01-04','Duck. \'Found IT,\' the Mouse in the window?\' \'Sure, it\'s an arm for all that.\' \'Well, it\'s got no business there, at any rate I\'ll never go THERE again!\' said Alice very humbly: \'you had got so much.','approved',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,NULL);
/*!40000 ALTER TABLE `leaves` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `letter_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `letter_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `letter_settings` WRITE;
/*!40000 ALTER TABLE `letter_settings` DISABLE KEYS */;
INSERT INTO `letter_settings` VALUES (1,NULL,NULL,NULL,1,NULL,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `letter_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `letter_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `letter_templates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `letter_templates_company_id_foreign` (`company_id`),
  CONSTRAINT `letter_templates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `letter_templates` WRITE;
/*!40000 ALTER TABLE `letter_templates` DISABLE KEYS */;
INSERT INTO `letter_templates` VALUES (1,1,'Joining Letter','\n                                       <p>                                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><div style=\"text-align: center;\">&nbsp;<b>Joining Letter</b></div>\n<br>\n<br><span style=\"font-size: 12px;\"><b>##EMPLOYEE_NAME##</b></span><br><span style=\"font-size: 12px;\"><b>##EMPLOYEE_ADDRESS##</b></span><br>\n<br>\nDate:&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_JOINING_DATE##</b></span><br>\n<br>\nDear&nbsp;<b style=\"font-size: 12px;\">##EMPLOYEE_NAME##</b>,<br>\n<br>\nThank you for joining ABC Pvt. Ltd. on<b>&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_JOINING_DATE##</span>&nbsp;</b>and accepting the position of<b>&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_DESIGNATION##</span></b>. We are pleased to have you on our team. This letter acknowledges that you have completed all the formalities for joining Froiden and have accepted the terms of job as described below:<br>\n<br>\nMonthly Compensation: XXXX INR<br><br>\nYou are expected to abide by the Company’s policies, ethics and principles during your employment. Looking forward to a healthy and productive employment relationship with you.<br>\n<br>\n<br>\n<br>\n_____________________________<br><span style=\"font-size: 12px;\">##SIGNATORY##</span><br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION##</span>&nbsp;–&nbsp;<span style=\"font-size: 12px;\">##SIGNATORY_DEPARTMENT##</span><br><span style=\"font-size: 12px;\">##COMPANY_NAME##</span><br>\n</p>\n','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(2,1,'Offer Letter','\n<p>       <br>\nJune 09, 2014<br><br><span style=\"font-size: 12px;\"><b>##EMPLOYEE_NAME##</b></span><br><span style=\"font-size: 12px;\">##EMPLOYEE_ADDRESS##<br></span><br>Dear<b>&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_NAME##,</span></b></p><p><br>\nFurther to our discussions, we are pleased to offer you a position in&nbsp;<span style=\"font-size: 12px;\"><b>##COMPANY_NAME## ,</b>&nbsp;</span><br>\nLIMITED.<br><br><b>\nPosition &amp; Joining:</b><br>\nYou shall be appointed as&nbsp;<span style=\"font-size: 12px;\">&nbsp;##EMPLOYEE_DESIGNATION##&nbsp;</span>&nbsp;with&nbsp;<span style=\"font-size: 12px;\">##COMPANY_NAME## </span>. You are expected to join<br>\non <b><u>XXXDATEXXX</u></b> at <b>XX<u>TIMEXX</u></b>&nbsp;at the following location to complete your joining formalities:<br><br><span style=\"font-size: 12px;\"><b>##CONTACT_ADDRESS##</b></span><br><br>\nAny change in the date of joining would be at the sole discretion of&nbsp;<span style=\"font-size: 12px;\">##COMPANY_NAME##</span>&nbsp;.Please confirm via<br>\ne-mail your exact date of joining at least 5 days in advance.<br><br><b>&nbsp;Working Hours:</b><br>\nThe work timing are at the sole discretion of the Management and would normally consist of a 45 hours’ work week. These are subject to change as per business requirements. Same numbers of work hours are expected even when you are on an assignment abroad, unless communicated otherwise by a Froiden entity. The general working hours will be 9:30 A.M. to 6:30 P.M, Monday through Friday, and half day upto 3.00 PM on Saturday with one hour break for lunch. Employees may also be expected to work in shifts based on business requirements.<br><br><b>\nPaid Casual Leave:</b><br>\nThe entitlement is for 10 casual leave in a year. Other terms and conditions will be applicable to you as per the prevailing Leave Policy.</p><p><b><br>\nSick Leave:</b><br>\nEmployees are provided a total of 5 sick leaves annually to enable proper health attention in case of sickness. These leaves are provided at the beginning of each year and are valid for that year only. They cannot be carried over.</p><p><br><b>\nNon-Disclosure:</b><br>\nDue to the proprietary nature of our products and services, all employees are expected to maintain the highest level of confidentiality and will be required to sign an agreement not to disclose any information with respect to&nbsp;<span style=\"font-size: 12px;\">##COMPANY_NAME##</span></p><p><b>Business Code of Conduct and Ethics:</b><br>\nAll employees are expected to maintain the highest level of ethical conduct and are required to sign our Code of Ethical Business Conduct I Conflict of Interest certificate. Any instance of improper conduct including but not limited to misconduct, gross negligence or abandonment of the position to which you have been appointed shall constitute sufficient grounds for immediate termination of your services without any notice or payment in lieu of.</p><p><b>Information Security:</b><br>\nAll employees are expected to maintain the confidentiality and integrity of the information assets and comply with the Information Security Policies. Employees are expected to maintain confidentiality of information residing in mobile computing devices such as portable laptops, notebooks, palmtops, other transportable computers and storage media. Employees are responsible for maintaining information security outside the premises of organization and outside the normal working hours.<br><b>\n</b></p><p><b>Notice for termination:</b><br>\nThe written notice required for termination of employment will be 1 months’ notice by either party. You would be required to serve the stipulated notice period and early release would be at the sole discretion of the Management. In case you leave your employment without giving requisite notice, no relieving letter will be issued and settlement of dues will be at the sole discretion of the Management. However, under Froiden Technologies disciplinary procedure your services can be terminated without any notice period.<br><b>\n</b></p><p><b>Service Agreement:</b><br>\nPost you are joining, should you accept any specialized training whether in India or abroad, you will be required to commit to serve Froiden technologies for a minimum period of 12 months as per the Froiden policy. You will be required to enter into a Service Agreement, as per Froiden Technologies’ policy on Training, supported with a Guarantee in the form and manner decided by Froiden .You are under no obligation to accept any training requiring a commitment to serve Froiden on your part .However, once accepted by you, it will be a binding contract.<br><b>\n</b></p><p><b>Non-Smoking Policy:</b><br>\nSmoking is prohibited in the office premises other than the specifically assigned zones, if any.<br>\n<br><b>\nSalary Details:</b><br>\nYou will be given <b><u>XXXSALARYXXX</u></b> per month as a salary .</p><p><br><b>\nJoining Requirements:</b><br>\nYou are required to contact HR department on the date you report for work as per terms of this letter at 9:30 A.M.<br>\nYou are required to submit a copy of the following documents for joining:<br>\n1. Photocopies of all educational certificates (Class X onwards)<br>\n2. Mark sheets I Consolidated mark sheets of all educational qualifications (Class X onwards) Three recent passport size photographs<br>\n3. Completed service agreement I guarantor\'s agreement if applicable to you<br>\n4. All relevant pages of your Passport, Driving License and PAN card<br>\n5. Last month Pay-slip of your last organization I Form 16 of the last financial year I Last month bank statement depicting salary credit from your last organization<br>\n6. Please bring originals of all documents which will be returned to you after verification except service agreement which will be retained by Froiden Technologies (if applicable).<br>\nThis offer/appointment is subject to the condition that you indemnify and also certify that all the information (like educational qualifications, work experience, past salary drawn and all other information) supplied by you to Froiden Technologies to get an employment with Froiden Technologies, is accurate and nothing has been given untrue. If it is later found that you had supplied inaccurate/untrue/false information, then Froiden Technologies reserves the right to terminate your services without any notice and seek appropriate damages or reimbursement of financial expenses incurred towards your training, relocation, any other allowances, etc. This is without prejudice to any other rights which Froiden Technologies may have against you.</p><p><br>\nFroiden Technologies reserves the right to change terms and the conditions of your employment and its policies and procedures at any time.<br>\nPlease sign a duplicate copy of this letter confirming your acceptance of the above terms and conditions of appointment and return it to us for office records.<br>\nWe are excited about your decision to join the company and wish you a long successful career with Froiden Technologies.<br>\n</p><p>Sincerely,<br><span style=\"font-size: 12px;\">##SIGNATORY##&nbsp;</span><br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION##&nbsp; -&nbsp; ##SIGNATORY_DEPARTMENT##</span><br><br></p><p><br><div style=\"text-align: center;\"><b>Read and Accepted</b></div>\n<br>\nDear&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span>,<br>\nAnnexure<br>\nPlease note that you must submit a copy of your Permanent Account Number (PAN) card on your date of joining at Froiden. By acknowledging this document, you undertake that you shall be solely responsible for any consequences arising due to non-submission of your PAN copy and Froiden shall not be responsible for the same, in any manner whatsoever.<br><br>\nDate:<br><span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span><br>Read and accepted</p>','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(3,1,'Increment Letter','<span style=\"font-size: 12px;\"><b>##EMPLOYEE_NAME##</b></span><br>\nEmployee ID:&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_ID##</b></span><br>\nDesignation:&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_DESIGNATION##</b></span><br>\nDate: <b><u>XXXX</u></b><br>\n<br>\nSubject: Salary increment <br>\n<br>\nDear&nbsp;<span style=\"font-size: 12px;\">&nbsp;##EMPLOYEE_NAME##</span>,<br>\n<br>\nCongratulations!<br>\nWe would like to gladly inform you that your salary will be increased by&nbsp;<b><u>XXXX</u></b> starting <b><u>XXXX</u></b> and your new salary will be <b><u>XXXX</u></b> This increase is the result your continuous contribution to the success of this company. We recognize your efforts and would like to reward you for that. <br>\n<br>\nWe also hope this will encourage you to perform even better. There is always room for improvement. <br>\nKeep up the good work. <br>\n<br>\n<br>\n__________________________<br><span style=\"font-size: 12px;\">##SIGNATORY##,<br></span><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION##</span>&nbsp;–&nbsp;<span style=\"font-size: 12px;\">##SIGNATORY_DEPARTMENT##</span><br><span style=\"font-size: 12px;\">##COMPANY_NAME##</span><br>\n\n','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(4,1,'Acceptance Letter','<p><br></p><p><div style=\"text-align: center;\"><b>Acceptance Letter</b></div>\n<br>\n<br><span style=\"font-size: 12px;\">##EMPLOYEE_JOINING_DATE##</span><br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION##</span>,<br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION## , ##SIGNATORY_DEPARTMENT##</span>,<br><br><span style=\"font-size: 12px;\">##COMPANY_NAME##,</span><br><span style=\"font-size: 12px;\">##CONTACT_ADDRESS##</span><br>\n<br>\nSubject: Acceptance Letter<br>\n<br>\nDear&nbsp;<span style=\"font-size: 12px;\">##SIGNATORY## </span>,<br>\n<br>\nI am pleased to accept your offer and I would like to inform you that I am joining the company from&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_JOINING_DATE##</span>&nbsp;as a<span style=\"font-size: 12px;\">##EMPLOYEE_DESIGNATION## i</span>n respect to your appointment letter dated XXOFFERLETTERDATEXXX As we discussed, my starting salary will be 9,000 per month. I understand and accept the conditions of employment that you explained in your appointment letter.<br>\n<br>\nThe position is ideally suited to my educational background and interests. I confidently feel that I can make a significant contribution to your company, and I am grateful for the opportunity you have given me. I humbly request you to accept my acceptance letter.<br>\n<br>\nRegards,<br>\n<br>\n<br><span style=\"font-size: 12px;\">##EMPLOYEE_NAME##&nbsp;</span><br>\n<br>\n</p>','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(5,1,'Welcome Letter','<p><br></p><p><div style=\"text-align: center;\"><b>Welcome Letter</b></div>\n<br>\n<br><span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span><br><span style=\"font-size: 12px;\">##EMPLOYEE_ADDRESS##</span><br>\n<br>\n<br>\nDate:&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_JOINING_DATE##</b></span><br>\n<br>\nDear&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span>, <br>\n<br>\nWe are extremely glad and happy as a corporation to welcome you to our company&nbsp;<span style=\"font-size: 12px;\">&nbsp;<b>##COMPANY_NAME##</b></span>&nbsp;from the&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_JOINING_DATE##</b>&nbsp;</span>onwards.<br>\nYou shall be filling the position with Software Developer in the technical department, and we wish to inform you that this is one of the most crucial job positions in our company. We are looking forward to see you prove us right in the decision to hire you over the other great applicants as far as qualifications and experience is concerned.<br>\n<br>\nOur company shall welcome you and I am sure you would be able to fit in comfortably. We hope you realize your duties and help us grow further as far as the success and development is concerned.<br>\nWelcome once again!<br>\n<br>\n<br>\n_____________________________<br><span style=\"font-size: 12px;\">##SIGNATORY##</span><br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION## - ##SIGNATORY_DEPARTMENT##&nbsp;</span><br><span style=\"font-size: 12px;\">&nbsp;##COMPANY_NAME##</span><br>\n<br>\n</p>\n','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(6,1,'Relieving and Experience Letter','\n<br>\n<br>\n<br>\n<br>\nDate:&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_EXIT_DATE##</span><br><div style=\"text-align: center;\"><b>Relieving Letter &amp; Experience Certificate&nbsp;</b></div><div style=\"text-align: center;\"><b><br></b></div>\nEmployee Name:&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span><br>\nEmployee Id:&nbsp;&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_ID##</span><br>\nDesignation:&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_DESIGNATION##</span>&nbsp;<br>\n<br>\n<br>\nDear&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span><br>\n<br>\nThis is in reference to our discussion on <b><u>XXXTERMINATIONLETTERDATEXXX</u></b><br>\nYou will be relived from your duties at the end of our official working hours on&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_EXIT_DATE##.</b></span><br>\nWe wish to express our sincere appreciation for your dedication &amp; hard work for the company during the period of your association from 15-Jan-2018 to 30-June-2018 with your last designation as Software Developer. <br>\nWe wish you good luck for all your future endeavours.<br>\n<br>\nRegards,<br><br><span style=\"font-size: 12px;\">##SIGNATORY##</span><br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION##&nbsp; - ##SIGNATORY_DEPARTMENT##</span><br>\n<span style=\"font-size: 12px;\">##COMPANY_NAME##</span><br>\n\n','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL),(7,1,'Excellent Attendance Letter','\n<br><div style=\"text-align: center;\"><b>Excellent Attendance Letter</b></div>\n<br>\n<br>\n<br><span style=\"font-size: 12px;\"><b>##EMPLOYEE_NAME##</b></span><br>\nEmployee ID:&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_ID##</b></span><br>\nPosition:&nbsp;<span style=\"font-size: 12px;\"><b>##EMPLOYEE_DESIGNATION##</b></span><br>\n<br>\nDate: XXXXCURRENT_DATEXXX<br>\n<br>\n<br>\nDear&nbsp;<span style=\"font-size: 12px;\">##EMPLOYEE_NAME##</span>,	<br>\n<br>\nThank you for your excellent attendance at work during the last 3 months. It is an honor and privilege to work with such a committed employee. The effort you put into your job is more than what is required and Froiden team is going to recognize you. You will receive a bonus as recognition for a well job done.  <br>\nThanks again for all that you do for our firm and keep up the great work.<br>\n<br>\n<br>\n <br>\n<br>\n_____________________________<br><span style=\"font-size: 12px;\">##SIGNATORY##</span><br><span style=\"font-size: 12px;\">##SIGNATORY_DESIGNATION##</span><br><span style=\"font-size: 12px;\">##COMPANY_NAME##</span><br>\n<br>\n\n\n','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL);
/*!40000 ALTER TABLE `letter_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `letters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `letters` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `template_id` int unsigned NOT NULL,
  `creator_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `top` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `right` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `left` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `bottom` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `letters_company_id_foreign` (`company_id`),
  KEY `letters_user_id_foreign` (`user_id`),
  KEY `letters_template_id_foreign` (`template_id`),
  KEY `letters_creator_id_foreign` (`creator_id`),
  CONSTRAINT `letters_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `letters_creator_id_foreign` FOREIGN KEY (`creator_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `letters_template_id_foreign` FOREIGN KEY (`template_id`) REFERENCES `letter_templates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `letters_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `letters` WRITE;
/*!40000 ALTER TABLE `letters` DISABLE KEYS */;
/*!40000 ALTER TABLE `letters` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `log_time_for`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `log_time_for` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `log_time_for` enum('project','task') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'project',
  `auto_timer_stop` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `approval_required` tinyint(1) NOT NULL,
  `tracker_reminder` tinyint(1) NOT NULL,
  `timelog_report` tinyint(1) NOT NULL,
  `daily_report_roles` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `time` time DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `log_time_for_company_id_foreign` (`company_id`),
  CONSTRAINT `log_time_for_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `log_time_for` WRITE;
/*!40000 ALTER TABLE `log_time_for` DISABLE KEYS */;
INSERT INTO `log_time_for` VALUES (1,1,'project','no',0,0,0,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35',NULL);
/*!40000 ALTER TABLE `log_time_for` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `login_expiries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `login_expiries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `expiry_date` date NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `login_expiries_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `login_expiries` WRITE;
/*!40000 ALTER TABLE `login_expiries` DISABLE KEYS */;
/*!40000 ALTER TABLE `login_expiries` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ltm_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ltm_translations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `status` int NOT NULL DEFAULT '0',
  `locale` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `group` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ltm_translations` WRITE;
/*!40000 ALTER TABLE `ltm_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `ltm_translations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `mention_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `mention_users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `task_comment_id` int unsigned DEFAULT NULL,
  `task_note_id` int unsigned DEFAULT NULL,
  `task_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `project_note_id` int unsigned DEFAULT NULL,
  `discussion_id` int unsigned DEFAULT NULL,
  `ticket_id` int unsigned DEFAULT NULL,
  `event_id` int unsigned DEFAULT NULL,
  `user_chat_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `discussion_reply_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mention_users_task_comment_id_foreign` (`task_comment_id`),
  KEY `mention_users_task_note_id_foreign` (`task_note_id`),
  KEY `mention_users_task_id_foreign` (`task_id`),
  KEY `mention_users_project_id_foreign` (`project_id`),
  KEY `mention_users_project_note_id_foreign` (`project_note_id`),
  KEY `mention_users_discussion_id_foreign` (`discussion_id`),
  KEY `mention_users_user_id_foreign` (`user_id`),
  KEY `mention_users_discussion_reply_id_foreign` (`discussion_reply_id`),
  KEY `mention_users_ticket_id_foreign` (`ticket_id`),
  KEY `mention_users_event_id_foreign` (`event_id`),
  KEY `mention_users_user_chat_id_foreign` (`user_chat_id`),
  CONSTRAINT `mention_users_discussion_id_foreign` FOREIGN KEY (`discussion_id`) REFERENCES `discussions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_discussion_reply_id_foreign` FOREIGN KEY (`discussion_reply_id`) REFERENCES `discussion_replies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_event_id_foreign` FOREIGN KEY (`event_id`) REFERENCES `events` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_project_note_id_foreign` FOREIGN KEY (`project_note_id`) REFERENCES `project_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_task_comment_id_foreign` FOREIGN KEY (`task_comment_id`) REFERENCES `task_comments` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_task_note_id_foreign` FOREIGN KEY (`task_note_id`) REFERENCES `task_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_ticket_id_foreign` FOREIGN KEY (`ticket_id`) REFERENCES `tickets` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_user_chat_id_foreign` FOREIGN KEY (`user_chat_id`) REFERENCES `users_chat` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `mention_users_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `mention_users` WRITE;
/*!40000 ALTER TABLE `mention_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `mention_users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `menu_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `main_menu` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `default_main_menu` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `setting_menu` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `default_setting_menu` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `menu_settings` WRITE;
/*!40000 ALTER TABLE `menu_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `menu_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `translate_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `route` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `module` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `setting_menu` tinyint(1) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `message_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `message_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `allow_client_admin` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `allow_client_employee` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `restrict_client` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `send_sound_notification` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `message_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `message_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `message_settings` WRITE;
/*!40000 ALTER TABLE `message_settings` DISABLE KEYS */;
INSERT INTO `message_settings` VALUES (1,1,'no','no','no','2024-02-13 04:03:35','2024-02-13 04:03:35',0);
/*!40000 ALTER TABLE `message_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=922 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_04_02_193005_create_translations_table',1),(2,'2014_10_12_000000_create_users_table',1),(3,'2014_10_12_100000_create_password_resets_table',1),(4,'2016_06_20_112951_create_user_chat_table',1),(5,'2017_03_23_110416_add_column_users_table',1),(6,'2017_03_23_111036_create_client_details_table',1),(7,'2017_03_23_112028_create_client_contacts_table',1),(8,'2017_03_23_112353_create_employee_details_table',1),(9,'2017_03_23_114438_create_organisation_settings_table',1),(10,'2017_03_23_122646_create_project_category_table',1),(11,'2017_03_23_123601_create_projects_table',1),(12,'2017_03_23_125424_create_project_members_table',1),(13,'2017_03_23_125625_create_project_time_logs_table',1),(14,'2017_03_23_130413_create_project_files_table',1),(15,'2017_03_24_051800_create_tasks_table',1),(16,'2017_03_24_054355_create_notices_table',1),(17,'2017_03_24_055005_create_conversation_table',1),(18,'2017_03_24_055539_create_conversation_reply_table',1),(19,'2017_03_24_055859_create_invoices_table',1),(20,'2017_03_24_060421_create_invoice_items_table',1),(21,'2017_03_24_060751_create_quotations_table',1),(22,'2017_03_24_061241_create_quotation_items_table',1),(23,'2017_03_24_061505_create_sticky_notes_table',1),(24,'2017_03_24_064541_create_issues_table',1),(25,'2017_03_29_123858_entrust_setup_tables',1),(26,'2017_04_04_193158_AddColumnsProjectFilesTable',1),(27,'2017_04_05_063103_change_clientid_projectid_invoice_table',1),(28,'2017_04_06_051401_add_discount_column_invoice_table',1),(29,'2017_04_06_054728_add_status_column_issues_table',1),(30,'2017_04_08_152902_add_total_hours_column_time_log_table',1),(31,'2017_04_18_095809_create_project_activity_table',1),(32,'2017_04_18_103815_create_user_activities_table',1),(33,'2017_04_19_101519_create_email_notification_settings_table',1),(34,'2017_04_20_185211_add_colour_column_sticky_notes_table',1),(35,'2017_04_28_114154_create_notifications_table',1),(36,'2017_05_03_131016_add_project_completion_field_projects',1),(37,'2017_05_03_174333_create_currencies_table',1),(38,'2017_05_05_124330_create_module_settings_table',1),(39,'2017_05_05_233111_add_status_column_invoices',1),(40,'2017_05_11_140502_add_currency_symbol_column_invoices',1),(41,'2017_05_11_170244_add_currency_id_column_organisation_settings_table',1),(42,'2017_05_22_172748_add_timezone_column_settings_table',1),(43,'2017_05_24_120216_create_smtp_settings_table',1),(44,'2017_05_31_112158_create_universal_search_table',1),(45,'2017_06_22_131112_add_locale_organisation_settings_table',1),(46,'2017_07_13_091922_add_calculate_task_progress_column_project_table',1),(47,'2017_07_20_093528_on_delete_setnull_timelog',1),(48,'2017_07_21_120958_create_theme_settings_table',1),(49,'2017_07_24_113657_add_link_color_column_theme_settings_table',1),(50,'2017_07_24_123050_add_login_background_organisation_settings_table',1),(51,'2017_07_27_101351_add_column_type_invoice_items_table',1),(52,'2017_07_28_102010_create_estimates_table',1),(53,'2017_07_28_103230_create_estimate_items_table',1),(54,'2017_08_04_064431_create_payments_table',1),(55,'2017_08_05_103940_create_payment_gateway_credential_table',1),(56,'2017_08_08_055908_add_enable_paypal_column_payment_gateway_table',1),(57,'2017_08_09_054230_create_expenses_table',1),(58,'2017_08_21_065430_add_exchange_rate_column_currency_table',1),(59,'2017_08_21_131318_create_invoice_setting_table',1),(60,'2017_08_22_055908_add_expense_email_setting_to_email_notification_setting_table',1),(61,'2017_08_28_110759_add_recurring_columns_in_invoice_table',1),(62,'2017_08_30_061016_add_plan_id_to_payments_table',1),(63,'2017_08_30_093400_create_settings_table',1),(64,'2017_08_30_123956_add_slack_username_column_employee_details_table',1),(65,'2017_08_30_133725_add_send_slack_column_email_notification_settings_table',1),(66,'2017_09_01_060715_add_stipe_column_to_payment_credentials_table',1),(67,'2017_09_01_090124_add_customer_id_column_to_payments_table',1),(68,'2017_09_02_084049_add_locale_column_users_table',1),(69,'2017_09_14_095429_create_ticket_reply_templates_table',1),(70,'2017_09_14_095815_create_ticket_types_table',1),(71,'2017_09_14_100400_create_ticket_groups_table',1),(72,'2017_09_14_100530_create_ticket_tag_list_table',1),(73,'2017_09_14_114900_create_ticket_channels_table',1),(74,'2017_09_14_115003_create_ticket_agent_groups_table',1),(75,'2017_09_14_115004_create_tickets_table',1),(76,'2017_09_14_115005_create_ticket_tags_table',1),(77,'2017_09_18_064917_add_status_column_ticket_agent_group_table',1),(78,'2017_09_24_101700_create_ticket_replies_table',1),(79,'2017_09_25_060229_drop_description_column_ticket_table',1),(80,'2017_09_25_072611_add_deleted_at_column_tickets',1),(81,'2017_09_25_072627_add_deleted_at_column_ticket_reply',1),(82,'2017_10_03_094922_ticket_notification_migration',1),(83,'2017_10_03_134003_add_latitude_longitude_column',1),(84,'2017_10_12_111741_create_attendance_setting_table',1),(85,'2017_10_13_051909_create_attendance_table',1),(86,'2017_10_26_051335_add_mail_from_email_column_smtp_settings_table',1),(87,'2017_10_26_112253_add_office_open_days_column_attendance_settings_table',1),(88,'2017_11_01_054603_add_columns_to_client_details',1),(89,'2017_11_02_045542_change_on_cascade_project_members',1),(90,'2017_11_07_054438_add_project_admin_column_project_table',1),(91,'2017_11_07_125619_remove_project_admin_role',1),(92,'2017_11_08_045549_make_project_id_nullable_tasks_table',1),(93,'2017_11_09_071318_create_taskboard_columns_table',1),(94,'2017_11_09_092817_add_column_tasks_table',1),(95,'2017_11_20_070830_create_custom_fields_table',1),(96,'2017_11_20_071758_create_custom_fields__data_table',1),(97,'2017_11_22_071535_create_events_table',1),(98,'2017_11_23_065323_add_cryptocurrency_columns',1),(99,'2017_11_24_103957_create_event_attendees_table',1),(100,'2017_12_07_034433_change cascade users in time log table',1),(101,'2017_12_12_071823_create_modules_table',1),(102,'2017_12_12_073501_add_module_id_column_permissions_table',1),(103,'2017_12_21_114839_change_upload_folder',1),(104,'2017_12_28_112910_create_leave_types_table',1),(105,'2017_12_30_184422_create_leaves_table',1),(106,'2018_01_02_122442_add_leaves_notification_setting',1),(107,'2018_01_05_062543_add_user_css_column_theme_settings',1),(108,'2018_01_09_180937_add_task_completed_notification_setting',1),(109,'2018_01_29_073527_create_message_setting_table',1),(110,'2018_04_12_100452_add_dropbox_link_column_project_files_table',1),(111,'2018_04_12_123243_create_file_storage_table',1),(112,'2018_04_13_072732_create_groups_table',1),(113,'2018_04_13_092757_create_employee_groups_table',1),(114,'2018_04_17_113657_set_attendance_late_column_default',1),(115,'2018_05_07_065407_alter_invoice_id_null_payments',1),(116,'2018_05_07_065557_add_currency_id_column_payments_table',1),(117,'2018_05_08_064539_add_note_column_invoices',1),(118,'2018_05_15_072536_add_project_id_column_payments',1),(119,'2018_05_28_094515_set_gateway_column_null_payments_table',1),(120,'2018_05_29_070343_change_completed_on_column_to_datetime',1),(121,'2018_05_29_114402_populate_file_storage_settings_table',1),(122,'2018_05_30_051128_add_google_url_to_project_files_table',1),(123,'2018_06_05_092136_create_sub_tasks_table',1),(124,'2018_06_06_091511_create_task_comments_table',1),(125,'2018_06_11_054204_create_push_subscriptions_table',1),(126,'2018_06_14_094059_create_taxes_table',1),(127,'2018_06_18_065034_add_tax_id_column_invoice_items_table',1),(128,'2018_06_18_071442_add_discount_column_invoice_items_table',1),(129,'2018_06_21_052408_change_default_taskboard_columns',1),(130,'2018_06_26_160023_add_leave_count_column_leave_types_table',1),(131,'2018_06_27_072813_add_leaves_start_from_column',1),(132,'2018_06_27_075233_add_joining_date_column',1),(133,'2018_06_27_113713_add_gender_column_users_table',1),(134,'2018_06_28_054604_add_client_view_task_column_project_table',1),(135,'2018_06_28_191256_create_language_settings_table',1),(136,'2018_06_29_060331_add_active_theme_column_settings',1),(137,'2018_06_29_081128_add_manual_timelog_column_project_timelog',1),(138,'2018_06_29_104709_seed_languages',1),(139,'2018_08_02_121259_add_minutes_column_time_log_table',1),(140,'2018_08_22_103829_add_leaves_module',1),(141,'2018_08_22_104302_add_leaves_permissions',1),(142,'2018_08_27_114329_add_module_list_in_module_settings',1),(143,'2018_08_30_065158_add_status_column_users_table',1),(144,'2018_08_31_095814_create_lead_table',1),(145,'2018_08_31_095815_create_lead_source_table',1),(146,'2018_08_31_095815_create_lead_status_table',1),(147,'2018_08_31_095816_create_lead_follow_up_table',1),(148,'2018_09_04_095158_alter_lead_table',1),(149,'2018_09_04_095816_add_lead_module',1),(150,'2018_09_05_102010_create_proposal_table',1),(151,'2018_09_05_113230_create_proposal_items_table',1),(152,'2018_09_07_051239_alter_lead_website_table',1),(153,'2018_09_15_174026_add_default_lead_settings',1),(154,'2018_09_17_045718_add_leads_permission',1),(155,'2018_09_19_091643_add_remarks_to_payments_table',1),(156,'2018_09_19_100708_create_products_table',1),(157,'2018_09_21_095816_create_offline_payment_method_table',1),(158,'2018_09_25_065158_alter_payment_table',1),(159,'2018_09_28_110029_create_log_time_for_table',1),(160,'2018_09_28_965158_alter_project_time_log_table',1),(161,'2018_10_08_091643_alter_project_table',1),(162,'2018_10_08_110029_create_lead_files_table',1),(163,'2018_10_10_110029_create_holidays_table',1),(164,'2018_10_10_123601_create_project_templates_table',1),(165,'2018_10_10_125424_create_project_template_members_table',1),(166,'2018_10_10_135816_add_holiday_module',1),(167,'2018_10_10_251800_create_project_template_tasks_table',1),(168,'2018_10_16_095816_add_holiday_module_detail',1),(169,'2018_10_17_081757_remove_config_datatable_file',1),(170,'2018_10_17_965158_alter_leads_address_table',1),(171,'2018_10_17_965168_alter_leads_phone_table',1),(172,'2018_10_18_091643_alter_attendance_setting_table',1),(173,'2018_10_19_045718_add_holidays_permission',1),(174,'2018_10_20_094413_add_products_module',1),(175,'2018_10_20_094504_add_products_permissions',1),(176,'2018_10_21_051239_alter_holiday_website_table',1),(177,'2018_10_24_071300_add_file_column_to_invoices_table',1),(178,'2018_10_24_965158_alter_employee_detail_table',1),(179,'2018_10_29_965158_alter_attendance_setting_default_table',1),(180,'2018_11_10_071300_alter_user_table',1),(181,'2018_11_10_122646_create_task_category_table',1),(182,'2018_11_30_965158_alter_invoice_item_table',1),(183,'2018_12_12_965158_alter_invoice_estimate_response_table',1),(184,'2018_12_14_094504_add_expenses_permissions',1),(185,'2018_12_14_194504_add_expenses_permissions_detail',1),(186,'2018_12_20_1065158_alter_company_setting_table',1),(187,'2018_12_20_965158_alter_estimate_quantity_table',1),(188,'2018_12_27_074504_check_verify_purchase_file',1),(189,'2018_12_28_075730_create_push_notification_settings_table',1),(190,'2018_12_28_082056_add_send_push_column_email_notification_table',1),(191,'2018_12_28_123245_add_onesignal_player_id_column_users_table',1),(192,'2019_01_02_1065158_alter_module_setting_table',1),(193,'2019_01_02_2065158_insert_module_setting_client_table',1),(194,'2019_01_04_110029_create_employee_docs_table',1),(195,'2019_01_21_1065158_alter_task_creator_table',1),(196,'2019_02_06_1065158_alter_attendance_check_table',1),(197,'2019_02_11_1065158_alter_log_time_for_table',1),(198,'2019_02_12_2065158_insert_module_setting_client_task_table',1),(199,'2019_02_13_110029_create_skills_table',1),(200,'2019_02_13_130029_create_employee_skills_table',1),(201,'2019_02_15_1065158_alter_employee_end_date_table',1),(202,'2019_02_15_1165158_alter_custom_status_table',1),(203,'2019_02_20_074848_create_jobs_table',1),(204,'2019_02_22_1165158_add_company_currency_api_google_api',1),(205,'2019_03_11_965158_alter_expenses_quantity_table',1),(206,'2019_04_03_965158_alter_project_deadline_table',1),(207,'2019_04_04_074848_alter_invoice_setting_table',1),(208,'2019_04_04_075848_alter_client_Details_table',1),(209,'2019_04_10_075848_alter_setting_task_table',1),(210,'2019_04_10_122921_add_weather_key_column',1),(211,'2019_04_12_100242_add_columns_projects_table',1),(212,'2019_04_15_115700_add_budget_columns_projects_table',1),(213,'2019_04_17_070105_create_project_milestones_table',1),(214,'2019_04_23_062017_add_item_summary_column_invoice_item_table',1),(215,'2019_04_23_083812_add_invoice_created_column_project_milestones_table',1),(216,'2019_04_23_101747_add_milestone_id_column_tasks_table',1),(217,'2019_06_04_180628_change_project_budget_field_type',1),(218,'2019_06_07_070913_add_tax_id_column_estimate_items_table',1),(219,'2019_06_07_080053_add_discount_column_estimates_table',1),(220,'2019_07_01_192543_change_size_price_in_double',1),(221,'2019_07_02_072314_add_description_column_products_table',1),(222,'2019_07_15_110127_add_project_id_column_in_expenses_table',1),(223,'2019_08_13_073129_update_settings_add_envato_key',1),(224,'2019_08_13_073129_update_settings_add_support_key',1),(225,'2019_08_16_080219_change_price_size_proposal',1),(226,'2019_08_17_072443_add_datepicker_format_column_in_settings',1),(227,'2019_08_19_000000_create_failed_jobs_table',1),(228,'2019_08_19_085009_add_google_recaptcha_columns_in_organisation_settings_table',1),(229,'2019_08_19_120826_add_app_debug_column_in_organisation_settings_table',1),(230,'2019_08_22_055908_add_invoice_email_setting_to_email_notification_setting_table',1),(231,'2019_08_22_121805_add_external_link_column_project_files_table',1),(232,'2019_08_26_120718_add_offline_method_id_column_payments_table',1),(233,'2019_08_28_081847_update_smtp_setting_verified',1),(234,'2019_08_29_140115_make_smtp_type_nullable',1),(235,'2019_08_30_102114_add_reminder_fields_in_events_table',1),(236,'2019_09_03_103533_add_razorpay_column',1),(237,'2019_09_04_115714_add_recurring_task_id_column_in_tasks_table',1),(238,'2019_09_05_061308_create_project_settings_table',1),(239,'2019_09_09_045256_add_estimate_number_column_in_estimates_table',1),(240,'2019_09_09_081030_add_rounded_theme_column',1),(241,'2019_09_09_115714_add_cron_job_message_hide_table',1),(242,'2019_09_10_1074848_create_designation_table',1),(243,'2019_09_10_111909_add_columns_in_invoice_settings_table',1),(244,'2019_09_10_115714_add_team_field_employee_table',1),(245,'2019_09_10_161408_create_credit_note_table',1),(246,'2019_09_10_161418_create_credit_note_item_table',1),(247,'2019_09_10_161428_add_credit_note_column_in_invoices_table',1),(248,'2019_09_14_074854_add_status_column_projects_table',1),(249,'2019_09_16_101138_create_gdpr_settings_table',1),(250,'2019_09_17_091214_create_removal_requests_table',1),(251,'2019_09_18_191957_add_payments_module_clients',1),(252,'2019_09_25_095015_create_removal_requests_lead_table',1),(253,'2019_09_25_183130_create_dashboard_widgets_table',1),(254,'2019_09_27_212735_add_timelog_module_clients',1),(255,'2019_10_04_101818_add_paypal_mode_in_payment_gateway_credentials_table',1),(256,'2019_10_10_115133_alter_status_column_in_estimates_table',1),(257,'2019_10_14_060314_create_accept_estimates_table',1),(258,'2019_10_14_090840_alter_project_id_column_in_invoices_table',1),(259,'2019_10_14_110606_add_estimate_id_column_in_invoices_table',1),(260,'2019_10_15_052931_create_contract_types_table',1),(261,'2019_10_15_052932_create_contracts_table',1),(262,'2019_10_15_084310_add_contract_module_in_module_settings',1),(263,'2019_10_15_115655_create_contract_signs_table',1),(264,'2019_10_15_120940_create_invoice_credit_note_pivot_table',1),(265,'2019_10_17_051544_create_contract_discussions_table',1),(266,'2019_10_18_045028_alter_credit_note_status_in_credit_notes_table',1),(267,'2019_10_21_130413_create_task_files_table',1),(268,'2019_10_21_230413_create_ticket_files_table',1),(269,'2019_10_22_063419_add_dependent_task_id_in_tasks_table',1),(270,'2019_10_23_122412_create_contract_renews_table',1),(271,'2019_10_24_045038_add_column_module_type_in_universal_search_table',1),(272,'2019_10_24_120220_add_origin_amount_column_in_contracts_table',1),(273,'2019_10_30_045045_add_column_invoice_item_table',1),(274,'2019_10_30_122412_create_lead_agent_table',1),(275,'2019_10_31_045055_add_column_credit_note_item_table',1),(276,'2019_10_31_045065_add_column_estimate_item_table',1),(277,'2019_11_01_045075_add_column_products_table',1),(278,'2019_11_01_142619_add_column_to_in_notices_table',1),(279,'2019_11_05_082637_add_client_id_in_invoices_table',1),(280,'2019_11_07_082637_add_purchase_allow_in_product_table',1),(281,'2019_11_12_054145_add_system_update_column_in_organisation_settings_table',1),(282,'2019_11_13_054155_add_employee_id_column_in_employee_details_table',1),(283,'2019_11_14_054145_add_discount_column_in_proposal_table',1),(284,'2019_11_14_064145_add_tax_column_in_proposal_item_table',1),(285,'2019_11_21_064155_add_task_module_in_module_setting_table',1),(286,'2019_12_01_115133_alter_invoice_status_table',1),(287,'2019_12_09_171149_make_taxes_nullable_propsal_items_table',1),(288,'2019_12_18_115133_alter_proposal_items_table',1),(289,'2019_12_19_115850_add_timelogs_client_modules',1),(290,'2019_12_20_143625_add_logo_background_color_column_settings_table',1),(291,'2020_01_09_100241_add_client_id_credit_note_table',1),(292,'2020_01_09_105514_set_default_status_credit_note_open',1),(293,'2020_01_09_121406_add_task_reminder_columns',1),(294,'2020_01_22_122009_add_is_private_column_tasks_table',1),(295,'2020_01_23_062328_create_task_history_table',1),(296,'2020_01_24_134008_add_default_task_status_column_organisation_settings',1),(297,'2020_01_27_122145_create_pusher_settings_table',1),(298,'2020_02_01_101914_update_settings_review',1),(299,'2020_02_04_061753_add_team_id_field_in_projects_table',1),(300,'2020_02_04_132100_add_contracts_permission',1),(301,'2020_02_10_093726_create_table_menu',1),(302,'2020_02_14_102832_create_task_users_table',1),(303,'2020_02_17_143257_add_slug_email_notification_table',1),(304,'2020_02_21_121956_update_storage_settings_to_local',1),(305,'2020_02_24_060416_update_invoice_setting_logo',1),(306,'2020_03_11_054833_add_shipping_address_field_in_client_details_table',1),(307,'2020_03_11_085729_add_show_shipping_field_in_invoices_table',1),(308,'2020_03_17_411909_alter_invocie_number_in_invoice_table',1),(309,'2020_03_19_112832_create_project_template_task_users_table',1),(310,'2020_03_20_2065158_insert_modules_setting_client_table',1),(311,'2020_03_23_185549_make_message_nullable_ticket_reply_table',1),(312,'2020_04_06_130331_create_discussion_categories_table',1),(313,'2020_04_06_132027_create_discussions_table',1),(314,'2020_04_06_133759_create_discussion_replies_table',1),(315,'2020_04_08_094325_add_best_answer_id_discussions_table',1),(316,'2020_04_08_125803_add_discussion_reply_email_notification_settings_table',1),(317,'2020_04_09_102411_add_last_reply_by_discussions_table',1),(318,'2020_04_12_2065158_insert_contract_employee_modules_setting_table',1),(319,'2020_04_14_144941_add_last_login_column_users_table',1),(320,'2020_04_20_083724_add_hourly_rate_project_timelogs',1),(321,'2020_04_20_114349_add_hourly_rate_project_members',1),(322,'2020_04_20_173833_add_project_id_value_for_tasks_timelogs',1),(323,'2020_04_23_124301_add_billable_column_tasks_table',1),(324,'2020_04_24_115049_add_approved_invoice_id_column_project_time_logs',1),(325,'2020_04_24_122510_add_approval_required_column_log_time_for',1),(326,'2020_05_13_070505_change_earning_by_minutes_timelogs',1),(327,'2020_05_13_113533_add_receipt_column_payments_table',1),(328,'2020_05_19_114539_add_custom_field_groups',1),(329,'2020_05_20_131017_change_project_team_id_cascade',1),(330,'2020_05_21_041143_create_social_auth_settings_table',1),(331,'2020_05_26_084027_add_column_expenses_table',1),(332,'2020_05_30_093624_add_send_status_column_invoices_table',1),(333,'2020_06_01_080620_add_send_status_column_estimates_table',1),(334,'2020_06_02_160923_add_email_notifications_column_users_table',1),(335,'2020_06_15_100530_create_task_tag_list_table',1),(336,'2020_06_15_116005_create_task_tags_table',1),(337,'2020_06_16_160933_alter_date_format_table',1),(338,'2020_06_20_030225_alter_task_tags_to_label_table',1),(339,'2020_06_26_131840_add_column_priority_column_leads_table',1),(340,'2020_06_29_141051_create_sessions_table',1),(341,'2020_07_06_171614_add_phone_country_code_column_users_table',1),(342,'2020_07_07_2065158_insert_module_setting_client_expense_payment_table',1),(343,'2020_07_08_2065258_enter_lead_status_id_table',1),(344,'2020_07_08_2931840_add_column_category_id_in_template_task_table',1),(345,'2020_07_15_112558_add_default_currency_projects',1),(346,'2020_07_16_583130_alter_dashboard_widgets_table',1),(347,'2020_07_21_583130_add_due_amount_column_in_invoice_table',1),(348,'2020_08_13_114705_set_task_category_id_column_null',1),(349,'2020_08_19_051839_create_employee_leave_quotas_table',1),(350,'2020_08_25_081839_add_columns_in_notices_table',1),(351,'2020_08_25_081839_alter_leads_value_table',1),(352,'2020_08_28_081839_add_columns_parent_in_invoice_table',1),(353,'2020_09_17_114705_set_credit_note_amount',1),(354,'2020_09_17_196005_create_task_notes_table',1),(355,'2020_09_18_104145_add_estimate_fields_tasks_table',1),(356,'2020_09_24_522646_create_expenses_category_table',1),(357,'2020_09_28_054230_create_expenses_recurring_table',1),(358,'2020_10_06_522646_create_product_category_table',1),(359,'2020_10_07_522646_create_pinned_table',1),(360,'2020_10_15_054230_create_invoice_recurring_table',1),(361,'2020_10_20_094043_add_dashboard_clock_column_organisation_setting_table',1),(362,'2020_10_29_111515_add_companylogo_address_column_in_contracts_table',1),(363,'2020_11_02_130413_create_contract_files_table',1),(364,'2020_11_17_115634_add_lead_custom_field_group',1),(365,'2020_11_18_065533_create_lead_custom_forms_table',1),(366,'2020_11_18_083624_add_city_state_to_client_details',1),(367,'2020_11_18_090244_add_city_state_to_leads_table',1),(368,'2020_11_19_063807_add_city_state_column_in_contracts_table',1),(369,'2020_11_19_091349_alter_country_cell_column_in_client_details',1),(370,'2020_11_20_104942_create_lead_category_table',1),(371,'2020_11_23_052427_add_category_id_column_in_leads_table',1),(372,'2020_11_25_114705_cancel_status_estimate',1),(373,'2020_11_27_092136_create_project_template_sub_tasks_table',1),(374,'2020_12_01_092136_create_notice_view_table',1),(375,'2020_12_02_055908_add_product_purchase_email_notification_setting_table',1),(376,'2020_12_03_065533_create_ticket_custom_forms_table',1),(377,'2020_12_04_114305_create_client_category_table',1),(378,'2020_12_08_075308_create_project_rating_table',1),(379,'2020_12_08_082101_add_paid_column_in_leave_types',1),(380,'2020_12_08_110140_add_paid_column_in_leaves_table',1),(381,'2020_12_21_072055_create_permission_types_table',1),(382,'2020_12_21_072058_create_user_permissions_table',1),(383,'2020_12_21_132255_add_user_permisisons',1),(384,'2020_12_22_071337_add_owned_by_added_by_last_updated_by_columns',1),(385,'2020_12_28_200000_add_two_factor_columns_to_users_table',1),(386,'2020_12_30_101513_add_owned_by_added_by_last_updated_by_columns_projects',1),(387,'2021_01_11_110041_add_owned_by_added_by_last_updated_by_columns_tasks',1),(388,'2021_01_18_084827_add_estimate_terms_column_invoice_settings',1),(389,'2021_01_19_060745_add_slug_new_product_purchase_in_email_notification_table',1),(390,'2021_01_29_152503_lead_custom_field_name_change',1),(391,'2021_02_05_055908_add_lead_proposal_email_setting',1),(392,'2021_02_05_114041_create_user_taskboard_settings_table',1),(393,'2021_02_08_115655_create_proposal_signs_table',1),(394,'2021_02_15_085425_modify_status_column_in_projects_table',1),(395,'2021_02_15_135533_alter_lead_custom_forms_table',1),(396,'2021_02_16_082106_add_mobile_column_in_tickets_table',1),(397,'2021_02_16_100313_add_added_by_last_updated_by_columns_to_events_table',1),(398,'2021_02_16_102604_add_added_by_last_updated_by_columns_to_products_table',1),(399,'2021_02_16_102906_add_added_by_last_updated_by_columns_to_notices_table',1),(400,'2021_02_17_122943_change_client_details_foreign_table',1),(401,'2021_02_19_102125_add_salutation_column_to_leads_table',1),(402,'2021_02_20_185545_add_owned_by_added_by_last_updated_by_columns_invoices',1),(403,'2021_02_22_101316_add_owned_by_added_by_last_updated_by_columns_payments',1),(404,'2021_02_23_173243_add_column_length_column',1),(405,'2021_02_24_084749_add_owned_by_added_by_last_updated_by_columns_estimates',1),(406,'2021_02_25_052941_add_owned_by_added_by_last_updated_by_columns_leads',1),(407,'2021_02_26_092320_create_currency_format_settings_table',1),(408,'2021_02_26_092817_add_sac_code_invoice_table',1),(409,'2021_02_27_070155_add_added_by_last_updated_by_columns_to_leaves_table',1),(410,'2021_02_28_095653_add_owned_by_added_by_last_updated_by_columns_expenses',1),(411,'2021_03_01_133056_create_user_leadboard_settings_table',1),(412,'2021_03_03_071758_add_owned_by_added_by_last_updated_by_columns_tinelogs',1),(413,'2021_03_03_130641_add_moment_format_column_settings_table',1),(414,'2021_03_04_060745_add_new_for_null_slug_email_notification_table',1),(415,'2021_03_08_022302_add_added_by_last_updated_by_columns_to_holidays_table',1),(416,'2021_03_09_123344_add_owned_by_added_by_last_updated_by_columns_contracts',1),(417,'2021_03_11_070400_update_contract_type_cascade',1),(418,'2021_03_15_112622_add_owned_by_added_by_last_updated_by_columns_attendance',1),(419,'2021_03_15_145533_add_last_cron_run_in_organisation_settings_table',1),(420,'2021_03_19_091501_add_favicon_in_organisation_settings_table',1),(421,'2021_03_19_123557_add_owned_by_added_by_last_updated_by_columns_tickets',1),(422,'2021_04_06_111105_sync_default_role_permission',1),(423,'2021_04_08_021853_add_owned_by_added_by_last_updated_by_columns_invoice_recurring',1),(424,'2021_04_14_080502_add_decription_column_in_proposals_table',1),(425,'2021_05_01_220324_add_dashboard_permissions',1),(426,'2021_05_03_055859_add_owned_by_added_by_last_updated_by_columns_credit_notes_table',1),(427,'2021_05_17_133302_reset_theme_default_colors',1),(428,'2021_05_26_102905_craete_client_notes_table',1),(429,'2021_05_30_174638_craete_project_notes_table',1),(430,'2021_05_31_050747_add_send_reminder_in_invoice_setting_table',1),(431,'2021_05_31_102117_task_share_unique_hash',1),(432,'2021_06_03_104606_add_owned_by_added_by_last_updated_by_columns_project_ratings',1),(433,'2021_06_07_132858_create_user_invitations_table',1),(434,'2021_06_08_072201_add_close_date_in_ticket_table',1),(435,'2021_06_09_101110_remove_visible_rating_employee_column_from_projects_table',1),(436,'2021_06_16_185748_add_dark_theme_column_users_table',1),(437,'2021_06_24_185748_add_column_payment_gateway_credentials_table',1),(438,'2021_06_29_104606_add_manage_project_template_permission',1),(439,'2021_07_07_093528_alter_userid_on_project_template_member',1),(440,'2021_07_20_102117_invoice_client_fix',1),(441,'2021_07_23_181545_add_status_column_to_slack_settings_table',1),(442,'2021_07_25_041851_add_report_permissions',1),(443,'2021_08_04_171200_add_mail_connection_column_email_settings',1),(444,'2021_08_06_085318_remove_on_delete_cascade_from_category_id_on_products_table',1),(445,'2021_08_10_081641_change_default_value_of_paypal_and_stripe_on_payment_gateway_credentials_table',1),(446,'2021_08_10_092728_add_allowed_permission_column_permissions_table',1),(447,'2021_08_10_092728_alter_allowed_permission_column_permissions_table',1),(448,'2021_08_13_094921_change_notification_notifications_table',1),(449,'2021_08_16_161256_set_discussion_category_id_null_on_category_delete',1),(450,'2021_08_17_095756_change_details_columns_type_to_longtext_on_client_note_and_project_note_tables',1),(451,'2021_08_19_174641_change_text_longtext',1),(452,'2021_08_20_100009_change_hourly_rate_double',1),(453,'2021_08_20_121027_add_dashboard_module_permission',1),(454,'2021_08_23_125630_create_orders_table',1),(455,'2021_08_26_120755_add_order_id_column_to_payments_table',1),(456,'2021_08_27_100840_add_order_id_to_invoices_table',1),(457,'2021_08_31_071303_add_failed_status_on_payments_table',1),(458,'2021_09_01_124609_add_order_module_and_permissions',1),(459,'2021_09_02_080343_add_hash_columns',1),(460,'2021_09_02_182736_add_notice_module_clients',1),(461,'2021_09_03_182020_add_default_permissions',1),(462,'2021_09_06_182020_change_dashboard_widget_name',1),(463,'2021_09_07_084452_delete_notices_module_from_client',1),(464,'2021_09_08_142150_add_payment_gateway_response_column_to_payment_table',1),(465,'2021_09_09_085024_add_taskboard_message_pusher_settings',1),(466,'2021_09_14_162221_add_payload_id_to_payments_table',1),(467,'2021_09_15_072728_copy_credit_notes_invoice_table_data_to_payments_table',1),(468,'2021_09_15_190915_add_column_calculate_tax',1),(469,'2021_09_17_115037_remove_credit_notes_invoice_table',1),(470,'2021_09_20_095509_alter_and_add_payment_gateways_credentials',1),(471,'2021_09_22_045939_change_subtask_in_notifications_table',1),(472,'2021_09_22_085009_change_google_recaptcha_columns_in_organisation_settings_table',1),(473,'2021_09_24_083220_add_currency_id_to_contracts_table',1),(474,'2021_09_24_100722_add_view_hourly_rate_permission',1),(475,'2021_09_29_071418_add_salutation_column_on_users_table',1),(476,'2021_09_29_075245_add_lead_status_change_permission',1),(477,'2021_09_30_130413_attendance_setting_alert',1),(478,'2021_10_01_074809_add_leave_change_permission',1),(479,'2021_10_03_190531_add_sidebar_logo_style_column_global_settings',1),(480,'2021_10_04_045942_add_2fa_columns_on_users_table',1),(481,'2021_10_04_130413_create_expenses_category_roles_table',1),(482,'2021_10_05_064140_change_date_null_in_task_table',1),(483,'2021_10_05_130413_custom_field_group_change_table',1),(484,'2021_10_06_130413_create_sub_task_files_table',1),(485,'2021_10_11_092617_add_session_driver_column_organisation_settings',1),(486,'2021_10_12_062814_change_authenticate_via_column',1),(487,'2021_10_12_073058_make_email_nullable_users_table',1),(488,'2021_10_12_121613_add_approve_reject_leaves_permissions',1),(489,'2021_10_13_103621_add_client_signup_columns_settings_table',1),(490,'2021_10_14_073904_add_admin_approval_column_users_table',1),(491,'2021_10_16_113306_add_two_factor_confirmed_column_users_table',1),(492,'2021_10_18_131815_allow_gender_null',1),(493,'2021_10_21_104332_add_employee_owned_permissions',1),(494,'2021_10_26_175349_change_ticket_permissions',1),(495,'2021_10_28_120427_add_recurring_columns_tasks',1),(496,'2021_11_11_145726_add_allowed_file_types_column',1),(497,'2021_11_13_063519_add_paystack_to_payment_gateway_credentials',1),(498,'2021_11_16_105840_change_product_sub_cat_relation',1),(499,'2021_11_17_111317_add_mollie_to_payment_gateway_credentials',1),(500,'2021_11_17_173210_create_company_addresses_table',1),(501,'2021_11_18_053337_add_tax_calculation_msg_to_invoice_settings_table',1),(502,'2021_11_19_115843_add_project_type_column_projects',1),(503,'2021_11_22_114532_move_gst_to_compane_address',1),(504,'2021_11_24_093356_add_payfast_to_payment_gateway_credentials',1),(505,'2021_11_24_093619_create_invoice_item_images_table',1),(506,'2021_11_25_134531_fix_timelog_time',1),(507,'2021_11_26_063416_add_authorize_to_payment_gateway_credentials',1),(508,'2021_11_29_060348_create_discussion_files_table',1),(509,'2021_11_30_063441_add_square_to_payment_gateway_credentials',1),(510,'2021_12_08_100451_add_image_column_to_products_table',1),(511,'2021_12_10_112406_add_permission_sync_column_users_table',1),(512,'2021_12_13_070928_add_proposal_items_images_table',1),(513,'2021_12_14_112039_add_location_column_company_addresses',1),(514,'2021_12_15_090905_create_recurring_invoice_item_images_table',1),(515,'2021_12_15_112911_add_recurring_expense_permission',1),(516,'2021_12_17_041814_create_job_batches_table',1),(517,'2021_12_20_053945_add_order_item_image_table',1),(518,'2021_12_21_044934_add_google_event_id_to_several_tables',1),(519,'2021_12_21_064709_add_title_field_in_client_contact_table',1),(520,'2021_12_21_121710_create_google_calendar_modules_table',1),(521,'2021_12_23_102347_change_clock_out_ip_make_nullable_to_attendances_table',1),(522,'2021_12_24_045226_add_paystack_mode_to_payment_gateway_credentials',1),(523,'2021_12_24_085109_add_save_location_column_attendance_settings',1),(524,'2021_12_27_065645_create_knowledgebase_categories_table',1),(525,'2021_12_27_090829_create_knowledge_bases_table',1),(526,'2021_12_28_112808_add_module_knowledgebase_and_permissions',1),(527,'2021_12_29_124232_add_lead_notes_table',1),(528,'2021_12_30_082542_add_added_by_column_knowledge_base_table',1),(529,'2022_01_03_090136_add_downloadable_to_products_table',1),(530,'2022_01_03_103014_create_database_backup_settings_table',1),(531,'2022_01_03_125020_add_product_id_to_order_items_table',1),(532,'2022_01_06_053854_set_product_description_to_nullable_in_products_table',1),(533,'2022_01_06_093627_add_default_permission_to_knowledge_bases_table',1),(534,'2022_01_11_104355_create_translate_settings_table',1),(535,'2022_01_13_080729_add_flutterwave_to_payment_gateway_credentials',1),(536,'2022_01_14_122713_add_change_role_permission',1),(537,'2022_01_15_055907_create_product_files_table',1),(538,'2022_01_19_112914_create_client_docs_table',1),(539,'2022_01_31_090302_add_missing_permissions_to_admin_role',1),(540,'2022_01_31_111358_change_reference_column_to_lead_notes_table',1),(541,'2022_02_01_104951_add_role_permissions_settings_permission',1),(542,'2022_02_01_113853_fix_permission_types',1),(543,'2022_02_03_065848_add_order_notification_to_email_notification_settings_table',1),(544,'2022_02_03_095618_change_quantity_type_in_order_items_table',1),(545,'2022_02_06_150726_add_product_custom_field_group',1),(546,'2022_02_07_175605_create_project_time_log_breaks_table',1),(547,'2022_02_09_084910_add_two_columns_in_sub_tasks_table',1),(548,'2022_02_10_083543_add_description_column_to_estimates_table',1),(549,'2022_02_11_182041_change_discussion_category_permission',1),(550,'2022_02_14_061344_add_birth_date_in_employee_detail_table',1),(551,'2022_02_14_101407_add_data_in_dashboard_widgets_table',1),(552,'2022_02_14_133011_remove_edit_project_file_permission',1),(553,'2022_02_14_180229_make_lead_email_nullable',1),(554,'2022_02_15_111216_update_notice_permissions',1),(555,'2022_02_15_151924_remove_product_file_permission',1),(556,'2022_02_16_063017_add_user_notification_to_email_notification_settings_table',1),(557,'2022_02_16_072041_remove_lead_file_permission',1),(558,'2022_02_16_173650_add_english_language',1),(559,'2022_02_17_083521_update_order_status_to_orders_table',1),(560,'2022_02_18_102942_create_emergency_contacts_table',1),(561,'2022_02_21_061830_add_emergency_contact_module_and_permission',1),(562,'2022_02_22_170153_add_item_summary_column_credit_note',1),(563,'2022_02_24_070325_add_allowed_file_size_global',1),(564,'2022_02_25_095712_add_discout_to_orders_table',1),(565,'2022_03_01_173825_add_approve_expense_permission',1),(566,'2022_03_03_024807_modify_signature_column_on_proposal_signs_table',1),(567,'2022_03_04_055054_add_few_fields_in_lead_follow_up_table',1),(568,'2022_03_07_053249_add_flutterwave_webhook_secret_hash_to_payment_gateway_credentials_table',1),(569,'2022_03_08_063640_add_added_by_and_updated_by_columns_to_ticket_agent_groups_table',1),(570,'2022_03_09_060457_add_several_fields_to_lead_custom_forms_table',1),(571,'2022_03_10_094321_add_unassigned_task_permission',1),(572,'2022_03_15_104220_add_several_fields_to_invoice_settings_table',1),(573,'2022_03_16_060139_add_missing_hash_in_invoices_table',1),(574,'2022_03_16_093939_change_chat_length',1),(575,'2022_03_22_101553_remove_html_tags_in_products',1),(576,'2022_03_28_081634_create_ticket_email_settings_table',1),(577,'2022_03_30_075758_add_imap_columns_tickets_table',1),(578,'2022_04_06_050532_create_files_table',1),(579,'2022_04_11_094350_add_company_address_id_to_orders_table',1),(580,'2022_04_20_173756_change_milestone_cost_limit',1),(581,'2022_04_21_074927_add_currency_key_version_column',1),(582,'2022_04_22_054036_add_view_earning_permission_timelogs',1),(583,'2022_04_22_102709_create_employee_shifts_table',1),(584,'2022_04_25_085447_ad_missing_admin_permissions',1),(585,'2022_05_03_180927_add_soft_delete_tax',1),(586,'2022_05_04_060741_fix_delete_cacade_recur_invoice',1),(587,'2022_05_06_065647_create_employee_shift_change_requests_table',1),(588,'2022_05_06_100620_add_location_column_in_attendance',1),(589,'2022_05_17_095236_add_show_clock_in_button_in_attendace_table',1),(590,'2022_05_23_062159_add_project_show_in_invoice_setting_table',1),(591,'2022_05_25_064410_add_column_employee_details_table',1),(592,'2022_05_25_072526_add_custom_fields_id_to_lead_custom_form_table',1),(593,'2022_05_27_002220_add_custom_fields_id_to_ticket_custom_form_table',1),(594,'2022_05_31_070019_add_ticket_to_custom_field_groups',1),(595,'2022_06_09_114831_add_view_shift_roster_permission',1),(596,'2022_06_13_084344_add_google_calender_status_to_users_table',1),(597,'2022_06_20_102221_add_private_dashboard_type_to_dashboard_widgets_table',1),(598,'2022_06_20_102234_add_date_in_project_milestones_table',1),(599,'2022_06_20_202945_add_shift_time_columns_attendance_table',1),(600,'2022_06_21_051915_add_reminder_and_send_reminder_after_column_to_invoice_settings_table',1),(601,'2022_06_22_072625_add_shift_time_columns_employee_shift_schedule_table',1),(602,'2022_06_23_124453_add_default_status_in_calendar_view_employee_details_table',1),(603,'2022_06_24_084953_add_project_id_column_to_task_label_list',1),(604,'2022_06_28_045956_add_column_to_message_setting_table',1),(605,'2022_07_01_063756_add_app_name_column_organisation_settings_table',1),(606,'2022_07_01_111241_add_parent_id_column_to_teams',1),(607,'2022_07_04_092625_change_date_format_in_organization_setting_table',1),(608,'2022_07_11_051015_add_timelog_to_cutom_field_groups',1),(609,'2022_07_13_115914_add_remark_column_shift',1),(610,'2022_07_13_191406_add_custom_invoice_number_column_invoices',1),(611,'2022_07_14_203040_remove_dashboards_employee_type',1),(612,'2022_07_19_144705_add_week_timelog_widget_setting_private_dashboard',1),(613,'2022_07_22_073943_update_settings_add_license_type',1),(614,'2022_07_24_115433_add_expense_report_permission',1),(615,'2022_07_25_122923_add_task_soft_delete',1),(616,'2022_07_25_141508_add_today_attendance_widget_hr_dashbaord',1),(617,'2022_07_28_043824_add_export_column_custom_fields_table',1),(618,'2022_07_28_175448_create_knowledge_base_files_table',1),(619,'2022_07_29_101111_add_indexes_to_table_columns',1),(620,'2022_08_01_104602_add_columns_to_employee_details',1),(621,'2022_08_02_113623_add_external_link_column_knowledge_base_files_table',1),(622,'2022_08_02_121434_add_timestamps_knowledge_base_files_table',1),(623,'2022_08_03_103344_add_auto_clock_in_column_to_attendance_settings_table',1),(624,'2022_08_04_075744_add_approved_columns_on_leaves',1),(625,'2022_08_04_122512_add_columns_in_leave_types',1),(626,'2022_08_04_184937_add_half_day_type_in_leaves_table',1),(627,'2018_01_01_000000_create_worksuite_new_table',1),(628,'2019_10_01_184956_create_salary_groups_table',2),(629,'2019_10_07_191322_create_salary_components_table',2),(630,'2019_10_07_192042_create_salary_tds_table_table',2),(631,'2019_10_10_114655_create_salary_group_components_table',2),(632,'2019_10_10_115749_create_employee_salary_groups_table',2),(633,'2019_10_18_095840_create_salary_slips_table',2),(634,'2019_10_18_111743_create_employee_monthly_salary_table',2),(635,'2019_10_22_124159_add_columns_salary_slips_table',2),(636,'2019_10_23_181854_create_payroll_settings_table',2),(637,'2019_10_30_121810_add_tds_column_salary_slips_table',2),(638,'2019_11_13_084620_add_gross_salary_column_salary_slips_table',2),(639,'2019_11_21_122601_add_purchase_code_column_payroll_settings_table',2),(640,'2019_12_14_000001_create_personal_access_tokens_table',2),(641,'2020_01_12_070130_create_asset_types_table',2),(642,'2020_01_12_070306_create_assets_table',2),(643,'2020_01_12_084528_create_asset_lending_history_table',2),(644,'2020_01_31_121040_api_settings',2),(645,'2020_02_01_085612_create_devices_table',2),(646,'2020_02_21_131850_create_gitlab_settings_table',2),(647,'2020_02_21_181854_create_asset_settings_table',2),(648,'2020_02_22_124237_create_gitlab_employees_table',2),(649,'2020_02_22_181854_add_column_image_in_assets_table',2),(650,'2020_02_25_132505_create_gitlab_projects_table',2),(651,'2020_02_26_120001_create_gitlab_task_settings_table',2),(652,'2020_02_27_095417_create_gitlab_tasks_table',2),(653,'2020_02_28_161803_add_asset_module_modules_table',2),(654,'2020_03_08_065037_add_lender_column',2),(655,'2020_04_09_071616_update_rest_setting_firebase',2),(656,'2020_07_07_085510_create_twilio_settings_table',2),(657,'2020_07_07_105427_add_send_twilio_column_email_notification_table',2),(658,'2020_09_01_051350_create_zoom_meetings_table',2),(659,'2020_09_01_074717_create_user_zoom_meeting_table',2),(660,'2020_09_07_100311_create_zoomsetting_table',2),(661,'2020_10_08_131930_create_zoom_module_permissions_and_module_setting',2),(662,'2020_10_22_074251_add_meeting_app_column_settings_table',2),(663,'2020_10_26_084054_add_columns_zoom_meetings_table',2),(664,'2020_11_06_042430_add_purchase_code_column_zoom_settings',2),(665,'2020_12_17_101924_create_zoom_category_table',2),(666,'2020_12_17_113841_add_category_id_zoom_meetings_table',2),(667,'2021_01_05_121040_application_settings',2),(668,'2021_06_16_123557_add_owned_by_columns_sms_settings',2),(669,'2021_08_11_123557_add_owned_by_columns_assets',2),(670,'2021_08_25_092728_alter_allowed_permission_column_in_asset_permissions_table',2),(671,'2021_08_25_092728_alter_allowed_permission_column_in_payroll_permissions_table',2),(672,'2021_08_28_123557_add_owned_by_columns_payrolls',2),(673,'2021_08_28_123557_add_owned_by_columns_zoom',2),(674,'2021_09_12_061155_payroll_custom_field_table',2),(675,'2021_09_15_123557_add_owned_by_columns_rest_api_settings',2),(676,'2021_09_21_073111_create_payroll_cycle_table',2),(677,'2021_09_21_081203_create_employee_payroll_cycle_table',2),(678,'2021_10_21_063316_add_allowed_permissions',2),(679,'2021_11_30_070320_create_recruit_skills',2),(680,'2021_12_13_165351_add_telegram_columns_settings',2),(681,'2022_02_16_124407_fix_payroll_permissions',2),(682,'2022_03_29_090843_create_sms_notification_settings_table',2),(683,'2022_04_05_075230_add_gitlab_modules',2),(684,'2022_04_20_170146_add_admin_permissions',2),(685,'2022_06_03_080042_add_user_id_gitlab_settings',2),(686,'2022_06_15_185250_add_user_id_gitlab_tasks',2),(687,'2022_07_04_111754_add_project_short_code_column_project_table',2),(688,'2022_07_14_063826_contract_templates',2),(689,'2022_07_18_082515_add_column_in_recruit_job_applications_table',2),(690,'2022_07_22_042424_create_proposal_templates_table',2),(691,'2022_08_03_101616_create_event_files_table',2),(692,'2022_08_12_000000_create_other_migration_till_date_table',2),(693,'2022_08_13_070443_add_task_unique_id_column_tasks_table',2),(694,'2022_08_18_071222_alter_in_salary_components_table',2),(695,'2022_08_18_120924_create_task_settings_table',2),(696,'2022_08_19_100314_add_leave_widget_in_dashboard_widget_table',2),(697,'2022_08_19_115209_create_project_status_settings_table',2),(698,'2022_08_22_104028_knowledge_heading_missing',2),(699,'2022_08_23_065943_change_status_type_projects_table',2),(700,'2022_08_24_093601_add_column_in_employee_monthly_salaries_table',2),(701,'2022_08_24_095802_create_employee_variable_commponent_salaries_table',2),(702,'2022_08_24_122345_add_lead_widget_in_dashboard_widget_table',2),(703,'2022_08_25_085025_add_other_location_to_attendances_table',2),(704,'2022_08_25_123713_add_work_from_home_widget_in_dashboard_widgets_table',2),(705,'2022_08_26_042542_remove_on_delete_cascade_from_invoice_recurring_id_to_invoices',2),(706,'2022_08_26_053139_add_parent_id_column_designation_table',2),(707,'2022_08_29_064339_add_added_by_to_project_template',2),(708,'2022_08_29_103443_add_flag_code_column_to_language_settings',2),(709,'2022_09_00_000000_create_company_table',2),(710,'2022_09_01_000000_add_company_id_in_all_table',2),(711,'2022_09_01_000000_create_gitlab_global_settings',2),(712,'2022_09_01_000000_create_payroll_global_settings',2),(713,'2022_09_01_000000_create_recruit_global_settings',2),(714,'2022_09_01_000000_create_zoom_global_settings',2),(715,'2022_09_01_060824_create_appreciations_table',2),(716,'2022_09_01_083053_create_global_settings_table',2),(717,'2022_09_02_000000_add_company_id_assets_module_table',2),(718,'2022_09_02_000000_add_company_id_gitlab_module_table',2),(719,'2022_09_02_000000_add_company_id_gitlab_setting_table',2),(720,'2022_09_02_000000_add_company_id_payroll_module_table',2),(721,'2022_09_02_000000_add_company_id_restapi_module_table',2),(722,'2022_09_02_000000_add_company_id_sms_module_table',2),(723,'2022_09_02_000000_add_company_id_zoom_module_table',2),(724,'2022_09_02_151515_create_flags_table',2),(725,'2022_09_05_064405_add_miro_board_column_in_project_table',2),(726,'2022_09_07_172743_add_lead_status_column_to_permissions',2),(727,'2022_09_13_075642_add_customised_permission_column',2),(728,'2022_09_13_075642_create_leave_settings_table',2),(729,'2022_09_15_051422_add_column_in_payroll_settings_table',2),(730,'2022_09_15_061628_create_recruit_job_category',2),(731,'2022_09_16_071005_add_headcount_and_joining_vs_attrition_widget_in_dashboard_widget_table',2),(732,'2022_09_16_105720_update_permission_of_client_and_employee_document',2),(733,'2022_09_19_124014_add_delete_approve_leave_in_permission_table',2),(734,'2022_09_20_045836_add_bank_account_module_in_module_table',2),(735,'2022_09_21_061658_add_column_weekly_in_salary_components_table',2),(736,'2022_09_23_053942_update_type_of_hsn_sac_code_to_proposal_template_items',2),(737,'2022_09_23_181722_add_approve_reason_column_to_leaves_table',2),(738,'2022_10_01_000000_add_company_id_recruit_module_table',2),(739,'2022_10_09_155207_add_custom_year_to_companies_table',2),(740,'2022_10_18_061658_add_column_fixed_salary_slip_table',2),(741,'2022_10_31_130459_order_with_order_number',2),(742,'2022_11_03_115958_add_auto_clock_in_location_to_attendance_settings_table',2),(743,'2022_11_16_122431_add_contract_note_to_contracts_table',2),(744,'2022_11_23_070556_show_new_webhook_alert',2),(745,'2022_11_24_071222_alter_currency_id_payroll_setting_table',2),(746,'2022_11_25_083742_add_company_id_for_null_values',2),(747,'2022_12_01_070705_create_leave_files_table',2),(748,'2022_12_05_062331_create_emoji_address_ticket_widget_table',2),(749,'2022_12_12_113800_add_wasabi_hash_test_payfast',2),(750,'2022_12_13_071454_add_currency_id_in_currency_format_table',2),(751,'2022_12_13_112213_add_new_fields_in_employee_details_table',2),(752,'2022_12_21_071222_add_currency_id_column_in_salary_slip_table',2),(753,'2022_12_28_112213_add_new_fields_in_companies_table',2),(754,'2022_12_29_061634_add_column_in_invoice_table',2),(755,'2022_12_29_084526_create_subscriptions_table',2),(756,'2022_12_30_045028_add_number_separator_to_invoice_settings_table',2),(757,'2022_12_30_090615_move_google_map_key',2),(758,'2023_01_01_071222_fix_currency_id_column_in_salary_slip_table',2),(759,'2023_01_01_071222_payroll_cycle_insert_users_table',2),(760,'2023_01_01_071222_salary_tds_company_table',2),(761,'2023_01_05_084453_add_column_in_log_time_table',2),(762,'2023_01_06_072523_create_zoom_meeting_notes_table',2),(763,'2023_01_09_162235_create_estimate_templates_table',2),(764,'2023_01_10_100953_create_custom_questions_table',2),(765,'2023_01_20_052539_create_unit_types_table',2),(766,'2023_01_23_082501_add_column_in_recruit_settings_table',2),(767,'2023_01_23_122023_add_column_in_invoice_recurring_table',2),(768,'2023_01_24_102526_add_secret_token_coloumn_in_zoom_setting_table',2),(769,'2023_01_31_072924_add_settings_to_email_notification_settings',2),(770,'2023_02_01_085841_add_company_sign_contracts_table',2),(771,'2023_02_02_112041_add_column_in_recruit_settings_table',2),(772,'2023_02_03_121345_create_recruit_salary_structure_table',2),(773,'2023_02_04_064358_create_lead_products_table',2),(774,'2023_02_07_122807_create_quick_books_settings_table',2),(775,'2023_02_09_083357_create_passprt_and_visa_table',2),(776,'2023_02_13_045833_add_report_column_in_log_time_table',2),(777,'2023_02_15_045950_add_unit_id_orders_table',2),(778,'2023_02_15_121548_add_data_in_ticket_custom_forms_table',2),(779,'2023_02_16_064145_create_zoom_notification_settings_table',2),(780,'2023_02_17_052112_add_permissions_for_lead_report',2),(781,'2023_02_27_081104_add_column_in_leave_type_table',2),(782,'2023_03_14_064145_create_zoom_notification_settings_1.table',2),(783,'2023_03_16_105629_add_manage_ticket_group_field_in_permission_table',2),(784,'2023_03_17_045842_lead_custom_field',2),(785,'2023_03_21_090422_add_order_prefix_in_invoice_settings_table',2),(786,'2023_03_21_095340_add_column_in_attendance_setting_table',2),(787,'2023_03_23_064221_add_country_phonecode_column_in_users_table',2),(788,'2023_03_24_073030_add_payment_columns_in_invoices_table',2),(789,'2023_03_24_081626_add_permission_for_sales_report',2),(790,'2023_03_29_072032_create_order_carts_table',2),(791,'2023_03_29_090137_create_custom_link_settings_table',2),(792,'2023_03_31_071222_expenses_id_column_in_salary_slip_table',2),(793,'2023_03_31_123237_fix_timelog_project_id',2),(794,'2023_04_03_132318_fix_invoice_units',2),(795,'2023_04_04_090201_add_column_fixed_allowance_in_employee_monthly_salaries_table',2),(796,'2023_04_04_101429_google_calendar_keys_move_to_global_settings',2),(797,'2023_04_11_083659_add_bank_column_in_recurring_invoice_table',2),(798,'2023_04_11_092420_add_overwrite_existing_attendance_column_in_attendances_table',2),(799,'2023_04_11_101429_task_hash_insert_in_task_table',2),(800,'2023_04_12_073033_add_contract_setting_permission',2),(801,'2023_04_14_110419_add_send_status_column_in_proposals_table',2),(802,'2023_04_17_085738_add_visible_column_in_custom_fields_table',2),(803,'2023_04_18_061829_add_file_column_in_employee_shift_schedules_table',2),(804,'2023_04_18_124728_create_mention_users_table',2),(805,'2023_04_19_100128_add_auth_theme_text_to_global_settings_table',2),(806,'2023_04_25_112258_add_column_in_recruit_interview_comments',2),(807,'2023_04_27_082330_create_invoice_files_table',2),(808,'2023_05_02_100907_fix_bug',2),(809,'2023_05_03_070320_create_vendor',2),(810,'2023_05_03_112230_add_role_and_permission_in_permission_table',2),(811,'2023_05_04_083334_add_early_clock_in_employee_shift_table',2),(812,'2023_05_16_083058_add_ids_in_mention_users_table',2),(813,'2023_05_16_083334_add_allow_max_file_to_global_settings_table',2),(814,'2023_05_16_085400_remove_translations',2),(815,'2023_05_16_114755_file_upload_to_s3',2),(816,'2023_05_19_070306_add_lost_status_table',2),(817,'2023_05_21_113800_add_minio_s3',2),(818,'2023_05_29_102526_add_account_id_coloumn_in_zoom_setting_table',2),(819,'2023_05_31_052844_add_user_chat_id_in_mention_users_table',2),(820,'2023_06_12_094139_fix_file_upload_to_s3',2),(821,'2023_06_12_094140_fix_file_upload_to_s3',2),(822,'2023_06_12_094141_fix_file_upload_to_s3',2),(823,'2023_06_23_044723_fix_user-permissions',2),(824,'2023_06_28_120547_alter_description_column_in_expenses_table',2),(825,'2023_07_10_064057_add_shift_assign_notification_setting',2),(826,'2023_07_13_113131_add_term_column_in_global_settings_table',2),(827,'2023_07_14_102505_product_files_timstamps',2),(828,'2023_07_20_165420_add_telegram_columns_settings',2),(829,'2023_09_04_050707_product_files',2),(830,'2023_09_05_111736_employee_can_export_data_tabled',2),(831,'2023_09_07_065608_porject_id_to_tickets_table',2),(832,'2023_09_12_062223_create_ticket_activities_table',2),(833,'2023_09_25_055948_add_column_for_number_with_prefix',2),(834,'2023_09_26_052956_fix_description_column',2),(835,'2023_09_29_143720_add_telegram_columns_settings',2),(836,'2023_10_09_114356_create_language_pack_settings_table',2),(837,'2023_10_12_043341_fix_estimate_item_images_column',2),(838,'2023_10_12_125041_fix_greek_language',2),(839,'2023_10_17_073008_create_universal_bundle_settings_table',2),(840,'2023_10_17_073008_create_webhooks_global_settings_table',2),(841,'2023_10_23_071216_create_purchase_management_settings',2),(842,'2023_10_25_073702_add_new_language_bg_and_id',2),(843,'2023_10_27_071930_repeat_event_parnet_id',2),(844,'2023_10_30_051415_create_qr_code_settings_table',2),(845,'2023_10_31_102848_add_email_to_global_setting',2),(846,'2023_11_02_094141_assets_notify_update_global_settings',2),(847,'2023_11_02_094141_gitlab_notify_update_global_settings',2),(848,'2023_11_02_094141_language_pack_notify_update_global_settings',2),(849,'2023_11_02_094141_payroll_notify_update_global_settings',2),(850,'2023_11_02_094141_purchase_notify_update_global_settings',2),(851,'2023_11_02_094141_recruit_notify_update_global_settings',2),(852,'2023_11_02_094141_restapi_notify_update_global_settings',2),(853,'2023_11_02_094141_sms_notify_update_global_settings',2),(854,'2023_11_02_094141_universal_notify_update_global_settings',2),(855,'2023_11_02_094141_zoom_notify_update_global_settings',2),(856,'2023_11_03_071005_create_e_invoice_settings_table',2),(857,'2023_11_03_071005_create_project_roadmap_settings_table',2),(858,'2023_11_03_114439_create_e_invoice_company_settings_table',2),(859,'2023_11_07_073008_create_webhooks_settings_table',2),(860,'2023_11_07_105245_add_country_in_bussiness_address',2),(861,'2023_11_08_073008_create_webhook_logs_table',2),(862,'2023_11_08_123050_add_e_invoice_column_to_client_details',2),(863,'2023_11_09_065716_alter_table_project_time_logs_change_memo',2),(864,'2023_11_09_083001_delete_clock_in_notification',2),(865,'2023_11_09_083125_create_webhooks_requests_table',2),(866,'2023_11_11_090216_create_cyber_security_settings_table',2),(867,'2023_11_15_041005_create_letter_global_settings_table',2),(868,'2023_11_15_050543_create_letter_templates_table',2),(869,'2023_11_15_081011_create_letters_table',2),(870,'2023_11_16_161803_add_letter_module_modules_table',2),(871,'2023_11_21_092115_add_webhooks_module',2),(872,'2023_11_21_112750_add_permissions_for_leave_reports',2),(873,'2023_11_22_082732_create_cyber_securities_table',2),(874,'2023_11_23_044655_create_blacklist_ips_table',2),(875,'2023_11_23_065925_alter_sign_date_contracts',2),(876,'2023_11_23_110035_create_blacklist_emails_table',2),(877,'2023_11_23_164003_create_login_expiries_table',2),(878,'2023_11_27_081917_add_email_verified_setting',2),(879,'2023_11_28_094141_assets_license_type_update_global_settings',2),(880,'2023_11_28_094141_e_invoice_license_type_update_global_settings',2),(881,'2023_11_28_094141_gitlab_license_type_update_global_settings',2),(882,'2023_11_28_094141_language_license_type_update_global_settings',2),(883,'2023_11_28_094141_project_r_license_type_update_global_settings',2),(884,'2023_11_28_094141_purchase_license_type_update_global_settings',2),(885,'2023_11_28_094141_rest_license_type_update_global_settings',2),(886,'2023_11_28_094141_sms_license_type_update_global_settings',2),(887,'2023_11_28_094141_universal_license_type_update_global_settings',2),(888,'2023_11_28_094141_webhooks_license_type_update_global_settings',2),(889,'2023_12_04_113645_add_other_information_to_invoice_settings_table',2),(890,'2023_12_05_062223_create_lead_contract_table',2),(891,'2023_12_19_091940_change_column_type_in_order_items_table',2),(892,'2023_12_19_091940_purchase_on_setting_table',2),(893,'2023_12_19_091940_purchased_on_assets_setting_table',2),(894,'2023_12_19_091940_purchased_on_einvoice_setting_table',2),(895,'2023_12_19_091940_purchased_on_gitlab_setting_table',2),(896,'2023_12_19_091940_purchased_on_language_setting_table',2),(897,'2023_12_19_091940_purchased_on_payroll_setting_table',2),(898,'2023_12_19_091940_purchased_on_projectroadmap_setting_table',2),(899,'2023_12_19_091940_purchased_on_purchase_setting_table',2),(900,'2023_12_19_091940_purchased_on_recruit_setting_table',2),(901,'2023_12_19_091940_purchased_on_rest_setting_table',2),(902,'2023_12_19_091940_purchased_on_sms_setting_table',2),(903,'2023_12_19_091940_purchased_on_universal_setting_table',2),(904,'2023_12_19_091940_purchased_on_webhooks_setting_table',2),(905,'2023_12_19_091940_purchased_on_zoom_setting_table',2),(906,'2023_12_26_100154_create_qr_code_data_table',2),(907,'2023_12_26_102738_add_project_column_in_orders_table',2),(908,'2023_12_29_110515_add_view_project_orders_field_in_permission_table',2),(909,'2024_01_11_060429_add_qrcode_module_permission',2),(910,'2024_01_11_113519_update_marital_status_enum',2),(911,'2024_01_12_121345_change_recruit_job_experience_table',2),(912,'2024_01_16_091940_add_company_id_to_webhooks_logs_table',2),(913,'2024_01_18_105833_create_view_purchase_settings_permission_in_permissions_table',2),(914,'2024_01_24_093636_remove_moduel_entry',2),(915,'2024_01_24_105920_add_column_sku_in_order_items_table',2),(916,'2024_01_29_052114_lead_changes',2),(917,'2024_02_02_082817_add_column_tax_name_in_client_details_table',2),(918,'2024_02_02_114946_lead-files_changes_for_deals',2),(919,'2024_02_02_213519_update_deal_followup',2),(920,'2024_02_07_213519_update_user_lead_board_setting',2),(921,'2024_02_07_213519_update_users_header_ip',2);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `module_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `module_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `module_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('admin','employee','client') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'admin',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `module_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `module_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=84 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `module_settings` WRITE;
/*!40000 ALTER TABLE `module_settings` DISABLE KEYS */;
INSERT INTO `module_settings` VALUES (1,1,'gitlab','active','admin','2024-02-13 04:03:18','2024-02-13 04:03:35'),(2,1,'gitlab','deactive','employee','2024-02-13 04:03:18','2024-02-13 04:03:35'),(3,1,'clients','active','admin',NULL,NULL),(4,1,'projects','active','admin',NULL,NULL),(5,1,'tickets','active','admin',NULL,NULL),(6,1,'invoices','active','admin',NULL,NULL),(7,1,'estimates','active','admin',NULL,NULL),(8,1,'events','active','admin',NULL,NULL),(9,1,'messages','active','admin',NULL,NULL),(10,1,'tasks','active','admin',NULL,NULL),(11,1,'timelogs','active','admin',NULL,NULL),(12,1,'contracts','active','admin',NULL,NULL),(13,1,'notices','active','admin',NULL,NULL),(14,1,'payments','active','admin',NULL,NULL),(15,1,'orders','active','admin',NULL,NULL),(16,1,'knowledgebase','active','admin',NULL,NULL),(17,1,'employees','active','admin',NULL,NULL),(18,1,'attendance','active','admin',NULL,NULL),(19,1,'expenses','active','admin',NULL,NULL),(20,1,'leaves','active','admin',NULL,NULL),(21,1,'leads','active','admin',NULL,NULL),(22,1,'holidays','active','admin',NULL,NULL),(23,1,'products','active','admin',NULL,NULL),(24,1,'reports','active','admin',NULL,NULL),(25,1,'settings','active','admin',NULL,NULL),(26,1,'bankaccount','active','admin',NULL,NULL),(27,1,'clients','active','employee',NULL,NULL),(28,1,'projects','active','employee',NULL,NULL),(29,1,'tickets','active','employee',NULL,NULL),(30,1,'invoices','active','employee',NULL,NULL),(31,1,'estimates','active','employee',NULL,NULL),(32,1,'events','active','employee',NULL,NULL),(33,1,'messages','active','employee',NULL,NULL),(34,1,'tasks','active','employee',NULL,NULL),(35,1,'timelogs','active','employee',NULL,NULL),(36,1,'contracts','active','employee',NULL,NULL),(37,1,'notices','active','employee',NULL,NULL),(38,1,'payments','active','employee',NULL,NULL),(39,1,'orders','active','employee',NULL,NULL),(40,1,'knowledgebase','active','employee',NULL,NULL),(41,1,'employees','active','employee',NULL,NULL),(42,1,'attendance','active','employee',NULL,NULL),(43,1,'expenses','active','employee',NULL,NULL),(44,1,'leaves','active','employee',NULL,NULL),(45,1,'leads','active','employee',NULL,NULL),(46,1,'holidays','active','employee',NULL,NULL),(47,1,'products','active','employee',NULL,NULL),(48,1,'reports','active','employee',NULL,NULL),(49,1,'settings','active','employee',NULL,NULL),(50,1,'bankaccount','active','employee',NULL,NULL),(51,1,'clients','active','client',NULL,NULL),(52,1,'projects','active','client',NULL,NULL),(53,1,'tickets','active','client',NULL,NULL),(54,1,'invoices','active','client',NULL,NULL),(55,1,'estimates','active','client',NULL,NULL),(56,1,'events','active','client',NULL,NULL),(57,1,'messages','active','client',NULL,NULL),(58,1,'tasks','active','client',NULL,NULL),(59,1,'timelogs','active','client',NULL,NULL),(60,1,'contracts','active','client',NULL,NULL),(61,1,'notices','active','client',NULL,NULL),(62,1,'payments','active','client',NULL,NULL),(63,1,'orders','active','client',NULL,NULL),(64,1,'knowledgebase','active','client',NULL,NULL),(65,1,'asset','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(66,1,'asset','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(67,1,'restapi','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(68,1,'sms','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(69,1,'letter','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(70,1,'letter','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(71,1,'qrcode','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(72,1,'qrcode','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(73,1,'purchase','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(74,1,'purchase','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(75,1,'payroll','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(76,1,'payroll','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(77,1,'recruit','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(78,1,'recruit','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(79,1,'webhooks','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(80,1,'webhooks','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(81,1,'zoom','active','admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(82,1,'zoom','active','employee','2024-02-13 04:03:35','2024-02-13 04:03:35'),(83,1,'zoom','active','client','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `module_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `modules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `modules` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `module_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `modules` WRITE;
/*!40000 ALTER TABLE `modules` DISABLE KEYS */;
INSERT INTO `modules` VALUES (1,'asset',NULL,'2024-02-13 04:03:16','2024-02-13 04:03:16'),(2,'zoom','User can view the meetings assigned to him as default even without any permission.','2024-02-13 04:03:16','2024-02-13 04:03:20'),(3,'restapi',NULL,'2024-02-13 04:03:17','2024-02-13 04:03:21'),(4,'sms',NULL,'2024-02-13 04:03:17','2024-02-13 04:03:17'),(5,'recruit',NULL,'2024-02-13 04:03:18','2024-02-13 04:03:18'),(6,'gitlab',NULL,'2024-02-13 04:03:18','2024-02-13 04:03:18'),(7,'payroll',NULL,'2024-02-13 04:03:21','2024-02-13 04:03:21'),(8,'purchase',NULL,'2024-02-13 04:03:31','2024-02-13 04:03:31'),(9,'letter',NULL,'2024-02-13 04:03:33','2024-02-13 04:03:33'),(10,'webhooks',NULL,'2024-02-13 04:03:33','2024-02-13 04:03:33'),(11,'leads',NULL,'2024-02-13 04:03:33','2024-02-13 04:03:33'),(12,'qrcode',NULL,'2024-02-13 04:03:33','2024-02-13 04:03:33'),(13,'clients',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(14,'employees',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(15,'projects','User can view the basic details of projects assigned to him even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(16,'attendance','User can view his own attendance even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(17,'tasks','User can view the tasks assigned to him even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(18,'estimates',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(19,'invoices',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(20,'payments',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(21,'timelogs',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(22,'tickets','User can view the tickets generated by him as default even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(23,'events','User can view the events to be attended by him as default even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(24,'notices',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(25,'leaves','User can view the leaves applied by him as default even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(26,'holidays',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(27,'products',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(28,'expenses','User can view and add(self expenses) the expenses as default even without any permission.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(29,'contracts','User can view all contracts','2024-02-13 04:03:34','2024-02-13 04:03:34'),(30,'reports','User can manage permission of particular report','2024-02-13 04:03:34','2024-02-13 04:03:34'),(31,'settings','User can manage settings','2024-02-13 04:03:34','2024-02-13 04:03:34'),(32,'dashboards',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(33,'orders',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(34,'knowledgebase',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(35,'bankaccount',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34'),(36,'messages',NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `modules` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notice_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notice_views` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `notice_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `read` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notice_views_company_id_foreign` (`company_id`),
  KEY `notice_views_notice_id_foreign` (`notice_id`),
  KEY `notice_views_user_id_foreign` (`user_id`),
  CONSTRAINT `notice_views_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `notice_views_notice_id_foreign` FOREIGN KEY (`notice_id`) REFERENCES `notices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `notice_views_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notice_views` WRITE;
/*!40000 ALTER TABLE `notice_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `notice_views` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notices` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `to` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'employee',
  `heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `department_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notices_company_id_foreign` (`company_id`),
  KEY `notices_department_id_foreign` (`department_id`),
  KEY `notices_added_by_foreign` (`added_by`),
  KEY `notices_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `notices_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `notices_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `notices_department_id_foreign` FOREIGN KEY (`department_id`) REFERENCES `teams` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `notices_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notices` WRITE;
/*!40000 ALTER TABLE `notices` DISABLE KEYS */;
INSERT INTO `notices` VALUES (1,1,'employee','And in she went. Once more she found she could remember them, all.','White Rabbit read:-- \'They told me you had been found and handed them round as prizes. There was a child,\' said the Pigeon; \'but if they do, why then they\'re a kind of rule, \'and vinegar that makes people hot-tempered,\' she went slowly after it: \'I never heard it muttering to himself in an impatient tone: \'explanations take such a long hookah, and taking not the smallest idea how confusing it is to France-- Then turn not pale, beloved snail, but come and join the dance? \"You can really have no sort of lullaby to it in her haste, she had expected: before she came suddenly upon an open place, with a kind of serpent, that\'s all you know the song, perhaps?\' \'I\'ve heard something like it,\' said Five, in a hurry: a large pool all round her head. Still she went on growing, and, as she spoke; \'either you or your head must be really offended. \'We won\'t talk about wasting IT. It\'s HIM.\' \'I don\'t quite understand you,\' she said, without opening its eyes, \'Of course, of course; just what I.',NULL,NULL,NULL,'2024-02-16 18:30:00','2024-02-13 04:03:37'),(2,1,'employee','Alice quietly said, just as she wandered about in the sea. But they.','An obstacle that came between Him, and ourselves, and it. Don\'t let me hear the name again!\' \'I won\'t have any rules in particular; at least, if there were no arches left, and all sorts of things, and she, oh! she knows such a rule at processions; \'and besides, what would be a person of authority over Alice. \'Stand up and went on in a low, timid voice, \'If you please, sir--\' The Rabbit Sends in a tone of great relief. \'Now at OURS they had settled down in a dreamy sort of circle, (\'the exact shape doesn\'t matter,\' it said,) and then treading on my tail. See how eagerly the lobsters to the company generally, \'You are old,\' said the Gryphon. \'We can do no more, whatever happens. What WILL become of you? I gave her answer. \'They\'re done with blacking, I believe.\' \'Boots and shoes under the window, she suddenly spread out her hand on the slate. \'Herald, read the accusation!\' said the Dormouse; \'VERY ill.\' Alice tried to get in?\' she repeated, aloud. \'I shall do nothing of the reeds--the.',NULL,NULL,NULL,'2024-02-13 18:30:00','2024-02-13 04:03:37'),(3,1,'employee','King said to herself, \'to be going messages for a long time with the.','I give you fair warning,\' shouted the Queen, pointing to Alice to herself, in a hurry. \'No, I\'ll look first,\' she said, without even waiting to put it more clearly,\' Alice replied very politely, \'for I can\'t take more.\' \'You mean you can\'t think! And oh, my poor little thing howled so, that Alice could see, as they were getting so thin--and the twinkling of the Shark, But, when the White Rabbit with pink eyes ran close by it, and yet it was in the face. \'I\'ll put a white one in by mistake; and if it likes.\' \'I\'d rather finish my tea,\' said the King in a rather offended tone, \'so I can\'t see you?\' She was moving them about as much use in knocking,\' said the Duchess. An invitation from the Gryphon, half to herself, and fanned herself with one finger for the immediate adoption of more energetic remedies--\' \'Speak English!\' said the Hatter, \'or you\'ll be asleep again before it\'s done.\' \'Once upon a neat little house, on the trumpet, and then nodded. \'It\'s no use denying it. I suppose.',NULL,NULL,NULL,'2024-02-16 18:30:00','2024-02-13 04:03:37'),(4,1,'employee','Then she went slowly after it: \'I never heard it muttering to itself.','Rabbit noticed Alice, as she added, \'and the moral of that is--\"Birds of a treacle-well--eh, stupid?\' \'But they were all shaped like ears and whiskers, how late it\'s getting!\' She was moving them about as curious as it settled down again, the cook till his eyes were looking over his shoulder as he found it so quickly that the poor little feet, I wonder who will put on his knee, and the little golden key, and when she looked down at once, in a natural way again. \'I should think you could see this, as she listened, or seemed to be a LITTLE larger, sir, if you like!\' the Duchess and the soldiers shouted in reply. \'Idiot!\' said the Cat. \'Do you take me for his housemaid,\' she said to herself, and once again the tiny hands were clasped upon her arm, that it was perfectly round, she came upon a little bottle that stood near. The three soldiers wandered about for some minutes. The Caterpillar and Alice could hardly hear the words:-- \'I speak severely to my boy, I beat him when he sneezes.',NULL,NULL,NULL,'2024-01-21 05:22:02','2024-02-13 04:03:37'),(5,1,'employee','I vote the young Crab, a little bottle that stood near. The three.','Cat again, sitting on a three-legged stool in the pool a little way out of its mouth open, gazing up into a conversation. \'You don\'t know the song, she kept fanning herself all the time he had come to the whiting,\' said Alice, quite forgetting that she ran off at once in a low, weak voice. \'Now, I give it up,\' Alice replied: \'what\'s the answer?\' \'I haven\'t the least notice of her hedgehog. The hedgehog was engaged in a melancholy tone. \'Nobody seems to be treated with respect. \'Cheshire Puss,\' she began, rather timidly, saying to herself what such an extraordinary ways of living would be as well go in ringlets at all; and I\'m sure I don\'t want to stay with it as you are; secondly, because she was dozing off, and that is rather a complaining tone, \'and they drew all manner of things--everything that begins with an M--\' \'Why with an anxious look at a king,\' said Alice. \'That\'s the first minute or two she stood looking at the sudden change, but she saw them, they set to work, and very.',NULL,NULL,NULL,'2024-02-13 18:30:00','2024-02-13 04:03:37'),(6,1,'employee','Cat; and this time it vanished quite slowly, beginning with the.','White Rabbit, who said in an offended tone, \'was, that the best cat in the sea, \'and in that poky little house, and have next to her. The Cat seemed to be executed for having missed their turns, and she went round the court with a melancholy air, and, after folding his arms and frowning at the bottom of a globe of goldfish she had grown so large in the trial one way of escape, and wondering whether she could have told you that.\' \'If I\'d been the whiting,\' said Alice, who was talking. \'How CAN I have done that?\' she thought. \'But everything\'s curious today. I think it so quickly that the poor child, \'for I never understood what it might end, you know,\' said Alice, very earnestly. \'I\'ve had nothing else to do, so Alice went on planning to herself in a hurry. \'No, I\'ll look first,\' she said, \'than waste it in large letters. It was all dark overhead; before her was another puzzling question; and as the Dormouse indignantly. However, he consented to go down--Here, Bill! the master says.',NULL,NULL,NULL,'2024-02-17 18:30:00','2024-02-13 04:03:37'),(7,1,'employee','However, this bottle does. I do so like that curious song about the.','I want to stay in here any longer!\' She waited for some time without hearing anything more: at last in the morning, just time to be listening, so she felt sure she would get up and throw us, with the Lory, who at last in the sea, some children digging in the newspapers, at the frontispiece if you hold it too long; and that he shook both his shoes on. \'--and just take his head mournfully. \'Not I!\' he replied. \'We quarrelled last March--just before HE went mad, you know--\' She had already heard her sentence three of the leaves: \'I should like to be executed for having missed their turns, and she could do to hold it. As soon as she could remember them, all these strange Adventures of hers would, in the other: he came trotting along in a Little Bill It was so ordered about in a very melancholy voice. \'Repeat, \"YOU ARE OLD, FATHER WILLIAM,\"\' said the Dodo. Then they both sat silent for a minute or two, and the cool fountains. CHAPTER VIII. The Queen\'s Croquet-Ground A large rose-tree.',NULL,NULL,NULL,'2024-02-08 10:37:48','2024-02-13 04:03:37'),(8,1,'employee','I am so VERY tired of swimming about here, O Mouse!\' (Alice thought.','Queen, turning purple. \'I won\'t!\' said Alice. \'Why not?\' said the King: \'however, it may kiss my hand if it makes rather a complaining tone, \'and they drew all manner of things--everything that begins with an M?\' said Alice. \'Why, there they lay on the same thing as \"I sleep when I was a child,\' said the Duchess, who seemed to rise like a frog; and both creatures hid their faces in their mouths. So they sat down and make THEIR eyes bright and eager with many a strange tale, perhaps even with the glass table as before, \'It\'s all about it!\' Last came a little pattering of feet on the whole place around her became alive with the tarts, you know--\' \'What did they draw the treacle from?\' \'You can draw water out of the evening, beautiful Soup! Beau--ootiful Soo--oop! Beau--ootiful Soo--oop! Soo--oop of the March Hare. \'It was the BEST butter,\' the March Hare and the Hatter went on, \'and most of \'em do.\' \'I don\'t think they play at all for any of them. However, on the bank, with her arms.',NULL,NULL,NULL,'2024-01-15 09:19:33','2024-02-13 04:03:37'),(9,1,'employee','I\'d only been the whiting,\' said Alice, and her face in some book.','I\'ll just see what would happen next. The first question of course was, how to begin.\' For, you see, as well she might, what a wonderful dream it had made. \'He took me for a minute or two, looking for the hot day made her look up in her life before, and behind it, it occurred to her in such confusion that she remained the same tone, exactly as if she were looking over his shoulder as he spoke, and added \'It isn\'t mine,\' said the King. \'Nothing whatever,\' said Alice. \'Then it doesn\'t matter which way it was the BEST butter, you know.\' \'Not at first, the two creatures got so much about a whiting before.\' \'I can hardly breathe.\' \'I can\'t go no lower,\' said the Queen. \'Never!\' said the Mock Turtle replied; \'and then the puppy began a series of short charges at the window, and on it (as she had never been in a sort of mixed flavour of cherry-tart, custard, pine-apple, roast turkey, toffee, and hot buttered toast,) she very soon finished it off. \'If everybody minded their own business,\'.',NULL,NULL,NULL,'2024-01-20 15:25:51','2024-02-13 04:03:37'),(10,1,'employee','NO mistake about it: it was indeed: she was small enough to try the.','Alice)--\'and perhaps you were INSIDE, you might catch a bad cold if she meant to take the place of the song, she kept on good terms with him, he\'d do almost anything you liked with the clock. For instance, suppose it were white, but there was a most extraordinary noise going on shrinking rapidly: she soon found out a history of the March Hare was said to Alice, flinging the baby was howling so much about a foot high: then she walked on in the distance, and she drew herself up closer to Alice\'s side as she could for sneezing. There was not a mile high,\' said Alice. \'Off with her head!\' the Queen in a game of play with a growl, And concluded the banquet--] \'What IS the use of this ointment--one shilling the box-- Allow me to introduce some other subject of conversation. While she was about a foot high: then she noticed a curious dream, dear, certainly: but now run in to your places!\' shouted the Queen. \'Sentence first--verdict afterwards.\' \'Stuff and nonsense!\' said Alice to herself.',NULL,NULL,NULL,'2024-02-10 13:07:35','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `notices` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notifications` (
  `id` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint unsigned NOT NULL,
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `offer_letter_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `offer_letter_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_offer_letter_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `recruit_job_offer_file_id` int unsigned DEFAULT NULL,
  `details` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `offer_letter_histories_user_id_foreign` (`user_id`),
  KEY `offer_letter_histories_recruit_job_offer_letter_id_foreign` (`recruit_job_offer_letter_id`),
  KEY `offer_letter_histories_recruit_job_offer_file_id_foreign` (`recruit_job_offer_file_id`),
  CONSTRAINT `offer_letter_histories_recruit_job_offer_file_id_foreign` FOREIGN KEY (`recruit_job_offer_file_id`) REFERENCES `recruit_job_offer_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `offer_letter_histories_recruit_job_offer_letter_id_foreign` FOREIGN KEY (`recruit_job_offer_letter_id`) REFERENCES `recruit_job_offer_letter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `offer_letter_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `offer_letter_histories` WRITE;
/*!40000 ALTER TABLE `offer_letter_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `offer_letter_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `offline_payment_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `offline_payment_methods` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `status` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'yes',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `offline_payment_methods_company_id_foreign` (`company_id`),
  CONSTRAINT `offline_payment_methods_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `offline_payment_methods` WRITE;
/*!40000 ALTER TABLE `offline_payment_methods` DISABLE KEYS */;
/*!40000 ALTER TABLE `offline_payment_methods` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `order_carts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_carts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int unsigned NOT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `item_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(16,2) NOT NULL,
  `unit_price` double(16,2) NOT NULL,
  `amount` double(16,2) NOT NULL,
  `taxes` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hsn_sac_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_carts_product_id_foreign` (`product_id`),
  KEY `order_carts_client_id_foreign` (`client_id`),
  KEY `order_carts_unit_id_foreign` (`unit_id`),
  CONSTRAINT `order_carts_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_carts_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_carts_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `order_carts` WRITE;
/*!40000 ALTER TABLE `order_carts` DISABLE KEYS */;
/*!40000 ALTER TABLE `order_carts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `order_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `order_item_id` bigint unsigned DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_item_images_order_item_id_index` (`order_item_id`),
  CONSTRAINT `order_item_images_order_item_id_foreign` FOREIGN KEY (`order_item_id`) REFERENCES `order_items` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `order_item_images` WRITE;
/*!40000 ALTER TABLE `order_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `order_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `order_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `order_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_id` bigint unsigned NOT NULL,
  `product_id` int unsigned DEFAULT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(30,2) NOT NULL,
  `unit_price` double NOT NULL,
  `amount` double(30,2) NOT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `taxes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `order_items_order_id_foreign` (`order_id`),
  KEY `order_items_product_id_foreign` (`product_id`),
  KEY `order_items_unit_id_foreign` (`unit_id`),
  CONSTRAINT `order_items_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `order_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `order_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `order_items` WRITE;
/*!40000 ALTER TABLE `order_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `order_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `orders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `order_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `original_order_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `order_date` date NOT NULL,
  `sub_total` double(30,2) NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `discount_type` enum('percent','fixed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `total` double(30,2) NOT NULL,
  `status` enum('pending','on-hold','failed','processing','completed','canceled','refunded') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `currency_id` int unsigned DEFAULT NULL,
  `show_shipping_address` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `note` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `company_address_id` bigint unsigned DEFAULT NULL,
  `custom_order_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `orders_company_id_foreign` (`company_id`),
  KEY `orders_client_id_foreign` (`client_id`),
  KEY `orders_currency_id_foreign` (`currency_id`),
  KEY `orders_added_by_foreign` (`added_by`),
  KEY `orders_last_updated_by_foreign` (`last_updated_by`),
  KEY `orders_company_address_id_foreign` (`company_address_id`),
  KEY `orders_project_id_foreign` (`project_id`),
  CONSTRAINT `orders_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `orders_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `orders_company_address_id_foreign` FOREIGN KEY (`company_address_id`) REFERENCES `company_addresses` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `orders_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `orders_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `orders_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `orders_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `passport_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `passport_details` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `country_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `passport_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `issue_date` date NOT NULL,
  `expiry_date` date NOT NULL,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `passport_details_company_id_foreign` (`company_id`),
  KEY `passport_details_user_id_foreign` (`user_id`),
  KEY `passport_details_added_by_foreign` (`added_by`),
  KEY `passport_details_country_id_foreign` (`country_id`),
  CONSTRAINT `passport_details_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `passport_details_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `passport_details_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `passport_details_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `passport_details` WRITE;
/*!40000 ALTER TABLE `passport_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `passport_details` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_resets` (
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`),
  KEY `password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `payment_gateway_credentials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payment_gateway_credentials` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `paypal_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paypal_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paypal_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `live_stripe_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_stripe_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_stripe_webhook_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `stripe_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `live_razorpay_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_razorpay_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `razorpay_status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'inactive',
  `paypal_mode` enum('sandbox','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sandbox',
  `sandbox_paypal_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sandbox_paypal_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_stripe_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_stripe_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_razorpay_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_razorpay_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_stripe_webhook_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `stripe_mode` enum('test','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'test',
  `razorpay_mode` enum('test','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'test',
  `paystack_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paystack_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paystack_merchant_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paystack_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'deactive',
  `paystack_mode` enum('sandbox','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sandbox',
  `test_paystack_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_paystack_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_paystack_merchant_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paystack_payment_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'https://api.paystack.co',
  `mollie_api_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mollie_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'deactive',
  `payfast_merchant_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payfast_merchant_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payfast_passphrase` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payfast_mode` enum('sandbox','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sandbox',
  `payfast_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT 'deactive',
  `authorize_api_login_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `authorize_transaction_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `authorize_environment` enum('sandbox','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sandbox',
  `authorize_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `square_application_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `square_access_token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `square_location_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `square_environment` enum('sandbox','production') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sandbox',
  `square_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `flutterwave_status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  `flutterwave_mode` enum('sandbox','live') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sandbox',
  `test_flutterwave_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_flutterwave_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_flutterwave_hash` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_flutterwave_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_flutterwave_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_flutterwave_hash` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `flutterwave_webhook_secret_hash` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `test_payfast_merchant_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_payfast_merchant_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `test_payfast_passphrase` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `payment_gateway_credentials_company_id_foreign` (`company_id`),
  CONSTRAINT `payment_gateway_credentials_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `payment_gateway_credentials` WRITE;
/*!40000 ALTER TABLE `payment_gateway_credentials` DISABLE KEYS */;
INSERT INTO `payment_gateway_credentials` VALUES (1,1,NULL,NULL,'deactive',NULL,NULL,NULL,'deactive',NULL,NULL,'inactive','sandbox',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'test','test',NULL,NULL,NULL,'deactive','sandbox',NULL,NULL,NULL,'https://api.paystack.co',NULL,'deactive',NULL,NULL,NULL,'sandbox','deactive',NULL,NULL,'sandbox','deactive',NULL,NULL,NULL,'sandbox','deactive','deactive','sandbox',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35',NULL,NULL,NULL);
/*!40000 ALTER TABLE `payment_gateway_credentials` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `invoice_id` int unsigned DEFAULT NULL,
  `order_id` bigint unsigned DEFAULT NULL,
  `credit_notes_id` int unsigned DEFAULT NULL,
  `amount` double NOT NULL,
  `gateway` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `default_currency_id` int unsigned DEFAULT NULL,
  `exchange_rate` double DEFAULT NULL,
  `plan_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `event_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('complete','pending','failed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `paid_on` datetime DEFAULT NULL,
  `remarks` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `offline_method_id` int unsigned DEFAULT NULL,
  `bill` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `payment_gateway_response` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci COMMENT 'null = success',
  `payload_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  `quickbooks_payment_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `payments_plan_id_unique` (`plan_id`),
  UNIQUE KEY `payments_event_id_company_id_unique` (`event_id`,`company_id`),
  UNIQUE KEY `payments_transaction_id_company_id_unique` (`transaction_id`,`company_id`),
  KEY `payments_company_id_foreign` (`company_id`),
  KEY `payments_project_id_foreign` (`project_id`),
  KEY `payments_invoice_id_foreign` (`invoice_id`),
  KEY `payments_order_id_foreign` (`order_id`),
  KEY `payments_credit_notes_id_foreign` (`credit_notes_id`),
  KEY `payments_currency_id_foreign` (`currency_id`),
  KEY `payments_paid_on_index` (`paid_on`),
  KEY `payments_offline_method_id_foreign` (`offline_method_id`),
  KEY `payments_added_by_foreign` (`added_by`),
  KEY `payments_last_updated_by_foreign` (`last_updated_by`),
  KEY `payments_bank_account_id_foreign` (`bank_account_id`),
  KEY `payments_default_currency_id_foreign` (`default_currency_id`),
  CONSTRAINT `payments_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `payments_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `payments_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `payments_credit_notes_id_foreign` FOREIGN KEY (`credit_notes_id`) REFERENCES `credit_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `payments_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `payments_default_currency_id_foreign` FOREIGN KEY (`default_currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `payments_invoice_id_foreign` FOREIGN KEY (`invoice_id`) REFERENCES `invoices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `payments_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `payments_offline_method_id_foreign` FOREIGN KEY (`offline_method_id`) REFERENCES `offline_payment_methods` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `payments_order_id_foreign` FOREIGN KEY (`order_id`) REFERENCES `orders` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `payments_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `payments` WRITE;
/*!40000 ALTER TABLE `payments` DISABLE KEYS */;
INSERT INTO `payments` VALUES (1,1,1,1,NULL,NULL,26693,'Bank Transfer','c4ca4238a0b923820dcc509a6f75849b',1,1,1,NULL,NULL,NULL,'complete','2024-02-05 03:01:47',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL),(2,1,1,2,NULL,NULL,29998,'Bank Transfer','c81e728d9d4c2f636f067f89cc14862c',1,1,1,NULL,NULL,NULL,'complete','2024-02-01 16:43:10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL),(3,1,2,3,NULL,NULL,63359,'Bank Transfer','eccbc87e4b5ce2fe28308fd9f2a7baf3',1,1,1,NULL,NULL,NULL,'complete','2024-02-07 01:02:46',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(4,1,2,4,NULL,NULL,28888,'Bank Transfer','a87ff679a2f3e71d9181a67b7542122c',1,1,1,NULL,NULL,NULL,'complete','2024-02-10 09:05:49',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(5,1,3,8,NULL,NULL,28684,'Bank Transfer','c9f0f895fb98ab9159f51fd0297e236d',1,1,1,NULL,NULL,NULL,'complete','2024-02-10 10:37:20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL),(6,1,5,10,NULL,NULL,48780,'Bank Transfer','d3d9446802a44259755d38e6d163e820',1,1,1,NULL,NULL,NULL,'complete','2024-02-07 02:35:38',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(7,1,5,11,NULL,NULL,36245,'Bank Transfer','6512bd43d9caa6e02c990b0a82652dca',1,1,1,NULL,NULL,NULL,'complete','2024-02-10 11:27:12',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(8,1,5,12,NULL,NULL,42448,'Bank Transfer','c20ad4d76fe97759aa27a0c99bff6710',1,1,1,NULL,NULL,NULL,'complete','2024-02-09 09:33:31',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL),(9,1,6,13,NULL,NULL,37578,'Bank Transfer','c51ce410c124a10e0db5e4b97fc2af39',1,1,1,NULL,NULL,NULL,'complete','2024-02-01 03:10:32',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL),(10,1,7,14,NULL,NULL,40860,'Bank Transfer','aab3238922bcc25a6f606eb525ffdc56',1,1,1,NULL,NULL,NULL,'complete','2024-02-11 01:07:04',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',1,NULL),(11,1,10,19,NULL,NULL,40824,'Bank Transfer','1f0e3dad99908345f7439f8ffabdffc4',1,1,1,NULL,NULL,NULL,'complete','2024-02-13 12:05:06',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',2,NULL);
/*!40000 ALTER TABLE `payments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `payroll_cycles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payroll_cycles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `cycle` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `payroll_cycles` WRITE;
/*!40000 ALTER TABLE `payroll_cycles` DISABLE KEYS */;
INSERT INTO `payroll_cycles` VALUES (1,'monthly','active','2024-02-13 04:03:17','2024-02-13 04:03:17'),(2,'weekly','active','2024-02-13 04:03:17','2024-02-13 04:03:17'),(3,'biweekly','active','2024-02-13 04:03:17','2024-02-13 04:03:17'),(4,'semimonthly','active','2024-02-13 04:03:17','2024-02-13 04:03:17');
/*!40000 ALTER TABLE `payroll_cycles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `payroll_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payroll_global_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `payroll_global_settings` WRITE;
/*!40000 ALTER TABLE `payroll_global_settings` DISABLE KEYS */;
INSERT INTO `payroll_global_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:20','2024-02-13 04:03:20');
/*!40000 ALTER TABLE `payroll_global_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `payroll_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `payroll_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `tds_salary` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tds_status` tinyint(1) NOT NULL,
  `finance_month` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '04',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `extra_fields` text COLLATE utf8mb4_unicode_ci,
  `semi_monthly_start` int DEFAULT '1',
  `semi_monthly_end` int DEFAULT '30',
  `currency_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `payroll_settings_company_id_foreign` (`company_id`),
  KEY `payroll_settings_currency_id_foreign` (`currency_id`),
  CONSTRAINT `payroll_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `payroll_settings_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `payroll_settings` WRITE;
/*!40000 ALTER TABLE `payroll_settings` DISABLE KEYS */;
INSERT INTO `payroll_settings` VALUES (1,1,'',0,'04','2024-02-13 04:03:35','2024-02-13 04:03:35',NULL,1,30,NULL);
/*!40000 ALTER TABLE `payroll_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `permission_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permission_role` (
  `permission_id` int unsigned NOT NULL,
  `role_id` int unsigned NOT NULL,
  `permission_type_id` bigint unsigned NOT NULL DEFAULT '5',
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `permission_role_role_id_foreign` (`role_id`),
  KEY `permission_role_permission_type_id_foreign` (`permission_type_id`),
  CONSTRAINT `permission_role_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `permission_role_permission_type_id_foreign` FOREIGN KEY (`permission_type_id`) REFERENCES `permission_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `permission_role_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `permission_role` WRITE;
/*!40000 ALTER TABLE `permission_role` DISABLE KEYS */;
INSERT INTO `permission_role` VALUES (190,2,1),(190,3,1),(193,2,1),(193,3,1),(194,2,1),(194,3,1),(231,2,1),(233,2,1),(234,2,1),(241,2,1),(244,2,1),(245,2,1),(248,2,1),(248,3,1),(249,2,1),(249,3,1),(252,2,1),(252,3,1),(253,2,1),(253,3,1),(276,2,1),(278,2,1),(283,2,1),(283,3,1),(285,3,1),(286,2,1),(286,3,1),(300,2,1),(306,2,1),(308,2,1),(327,2,1),(332,2,1),(333,2,1),(349,2,1),(351,2,1),(352,2,1),(176,2,2),(179,2,2),(180,2,2),(181,2,2),(182,2,2),(184,2,2),(184,3,2),(228,2,2),(232,3,2),(261,3,2),(265,3,2),(272,3,2),(277,3,2),(293,2,2),(293,3,2),(297,2,2),(297,3,2),(358,3,2),(413,3,2),(232,2,3),(277,2,3),(284,2,3),(284,3,3),(285,2,3),(301,2,3),(307,2,3),(350,2,3),(1,1,4),(2,1,4),(3,1,4),(4,1,4),(5,1,4),(6,1,4),(7,1,4),(8,1,4),(9,1,4),(10,1,4),(11,1,4),(12,1,4),(13,1,4),(14,1,4),(15,1,4),(16,1,4),(17,1,4),(18,1,4),(19,1,4),(20,1,4),(21,1,4),(22,1,4),(23,1,4),(24,1,4),(25,1,4),(26,1,4),(27,1,4),(28,1,4),(29,1,4),(30,1,4),(31,1,4),(32,1,4),(33,1,4),(34,1,4),(35,1,4),(36,1,4),(37,1,4),(38,1,4),(39,1,4),(40,1,4),(41,1,4),(42,1,4),(43,1,4),(44,1,4),(45,1,4),(46,1,4),(47,1,4),(48,1,4),(49,1,4),(50,1,4),(51,1,4),(52,1,4),(53,1,4),(54,1,4),(55,1,4),(56,1,4),(57,1,4),(58,1,4),(59,1,4),(60,1,4),(61,1,4),(62,1,4),(63,1,4),(64,1,4),(65,1,4),(66,1,4),(67,1,4),(68,1,4),(69,1,4),(70,1,4),(71,1,4),(72,1,4),(73,1,4),(74,1,4),(75,1,4),(76,1,4),(77,1,4),(78,1,4),(79,1,4),(80,1,4),(81,1,4),(82,1,4),(83,1,4),(84,1,4),(85,1,4),(86,1,4),(87,1,4),(88,1,4),(89,1,4),(90,1,4),(91,1,4),(92,1,4),(93,1,4),(94,1,4),(95,1,4),(96,1,4),(97,1,4),(98,1,4),(99,1,4),(100,1,4),(101,1,4),(102,1,4),(103,1,4),(104,1,4),(105,1,4),(106,1,4),(107,1,4),(108,1,4),(109,1,4),(110,1,4),(111,1,4),(112,1,4),(113,1,4),(114,1,4),(115,1,4),(116,1,4),(117,1,4),(118,1,4),(119,1,4),(120,1,4),(121,1,4),(122,1,4),(123,1,4),(124,1,4),(125,1,4),(126,1,4),(127,1,4),(128,1,4),(129,1,4),(130,1,4),(131,1,4),(132,1,4),(133,1,4),(134,1,4),(135,1,4),(136,1,4),(137,1,4),(138,1,4),(139,1,4),(140,1,4),(141,1,4),(142,1,4),(143,1,4),(144,1,4),(145,1,4),(146,1,4),(147,1,4),(148,1,4),(149,1,4),(150,1,4),(151,1,4),(152,1,4),(153,1,4),(154,1,4),(155,1,4),(156,1,4),(157,1,4),(158,1,4),(159,1,4),(160,1,4),(161,1,4),(162,1,4),(163,1,4),(164,1,4),(165,1,4),(166,1,4),(167,1,4),(167,2,4),(168,1,4),(169,1,4),(170,1,4),(171,1,4),(172,1,4),(173,1,4),(174,1,4),(175,1,4),(176,1,4),(177,1,4),(178,1,4),(179,1,4),(180,1,4),(181,1,4),(182,1,4),(183,1,4),(184,1,4),(185,1,4),(186,1,4),(187,1,4),(188,1,4),(188,2,4),(188,3,4),(189,1,4),(189,2,4),(189,3,4),(190,1,4),(191,1,4),(191,2,4),(191,3,4),(192,1,4),(192,2,4),(192,3,4),(193,1,4),(194,1,4),(195,1,4),(196,1,4),(197,1,4),(198,1,4),(199,1,4),(200,1,4),(200,2,4),(200,3,4),(201,1,4),(202,1,4),(203,1,4),(204,1,4),(205,1,4),(206,1,4),(207,1,4),(208,1,4),(209,1,4),(209,2,4),(209,3,4),(210,1,4),(211,1,4),(211,2,4),(211,3,4),(212,1,4),(212,3,4),(213,1,4),(214,1,4),(214,3,4),(215,1,4),(216,1,4),(217,1,4),(217,2,4),(217,3,4),(218,1,4),(219,1,4),(220,1,4),(221,1,4),(222,1,4),(223,1,4),(224,1,4),(225,1,4),(226,1,4),(227,1,4),(228,1,4),(229,1,4),(230,1,4),(231,1,4),(232,1,4),(233,1,4),(234,1,4),(235,1,4),(236,1,4),(237,1,4),(238,1,4),(239,1,4),(239,2,4),(239,3,4),(240,1,4),(240,2,4),(241,1,4),(242,1,4),(242,2,4),(242,3,4),(243,1,4),(243,2,4),(244,1,4),(245,1,4),(246,1,4),(246,2,4),(246,3,4),(247,1,4),(247,2,4),(247,3,4),(248,1,4),(249,1,4),(250,1,4),(250,2,4),(250,3,4),(251,1,4),(251,2,4),(251,3,4),(252,1,4),(253,1,4),(254,1,4),(255,1,4),(256,1,4),(257,1,4),(258,1,4),(259,1,4),(260,1,4),(261,1,4),(262,1,4),(263,1,4),(264,1,4),(265,1,4),(266,1,4),(267,1,4),(268,1,4),(269,1,4),(270,1,4),(271,1,4),(272,1,4),(273,1,4),(274,1,4),(275,1,4),(276,1,4),(277,1,4),(278,1,4),(279,1,4),(280,1,4),(281,1,4),(282,1,4),(283,1,4),(284,1,4),(285,1,4),(286,1,4),(287,1,4),(288,1,4),(289,1,4),(290,1,4),(291,1,4),(292,1,4),(293,1,4),(294,1,4),(295,1,4),(296,1,4),(297,1,4),(298,1,4),(299,1,4),(300,1,4),(301,1,4),(302,1,4),(303,1,4),(304,1,4),(305,1,4),(306,1,4),(307,1,4),(308,1,4),(309,1,4),(310,1,4),(311,1,4),(312,1,4),(313,1,4),(314,1,4),(315,1,4),(316,1,4),(317,1,4),(318,1,4),(319,1,4),(320,1,4),(321,1,4),(322,1,4),(323,1,4),(324,1,4),(325,1,4),(326,1,4),(327,1,4),(328,1,4),(328,2,4),(329,1,4),(330,1,4),(330,2,4),(331,1,4),(331,2,4),(332,1,4),(333,1,4),(334,1,4),(335,1,4),(336,1,4),(337,1,4),(338,1,4),(339,1,4),(340,1,4),(340,2,4),(341,1,4),(342,1,4),(343,1,4),(344,1,4),(344,3,4),(345,1,4),(346,1,4),(347,1,4),(348,1,4),(349,1,4),(350,1,4),(351,1,4),(352,1,4),(353,1,4),(354,1,4),(355,1,4),(356,1,4),(357,1,4),(358,1,4),(359,1,4),(360,1,4),(361,1,4),(362,1,4),(363,1,4),(363,3,4),(364,1,4),(365,1,4),(365,3,4),(366,1,4),(367,1,4),(368,1,4),(368,3,4),(369,1,4),(370,1,4),(371,1,4),(372,1,4),(373,1,4),(374,1,4),(375,1,4),(376,1,4),(377,1,4),(378,1,4),(379,1,4),(380,1,4),(381,1,4),(382,1,4),(383,1,4),(384,1,4),(385,1,4),(386,1,4),(387,1,4),(388,1,4),(389,1,4),(390,1,4),(391,1,4),(392,1,4),(393,1,4),(394,1,4),(395,1,4),(396,1,4),(397,1,4),(398,1,4),(399,1,4),(400,1,4),(401,1,4),(402,1,4),(403,1,4),(404,1,4),(405,1,4),(406,1,4),(407,1,4),(408,1,4),(409,1,4),(410,1,4),(411,1,4),(412,1,4),(412,3,4),(413,1,4),(414,1,4),(415,1,4),(416,1,4),(417,1,4),(418,1,4),(419,1,4),(420,1,4),(421,1,4),(422,1,4),(423,1,4),(424,1,4),(425,1,4),(426,1,4),(427,1,4),(1,2,5),(1,3,5),(1,4,5),(2,2,5),(2,3,5),(2,4,5),(3,2,5),(3,3,5),(3,4,5),(4,2,5),(4,3,5),(4,4,5),(5,2,5),(5,3,5),(5,4,5),(6,2,5),(6,3,5),(6,4,5),(7,2,5),(7,3,5),(7,4,5),(8,2,5),(8,3,5),(8,4,5),(9,2,5),(9,3,5),(9,4,5),(10,2,5),(10,3,5),(10,4,5),(11,2,5),(11,3,5),(11,4,5),(12,2,5),(12,3,5),(12,4,5),(13,2,5),(13,3,5),(13,4,5),(14,2,5),(14,3,5),(14,4,5),(15,2,5),(15,3,5),(15,4,5),(16,2,5),(16,3,5),(16,4,5),(17,2,5),(17,3,5),(17,4,5),(18,2,5),(18,3,5),(18,4,5),(19,2,5),(19,3,5),(19,4,5),(20,2,5),(20,3,5),(20,4,5),(21,2,5),(21,3,5),(21,4,5),(22,2,5),(22,3,5),(22,4,5),(23,2,5),(23,3,5),(23,4,5),(24,2,5),(24,3,5),(24,4,5),(25,2,5),(25,3,5),(25,4,5),(26,2,5),(26,3,5),(26,4,5),(27,2,5),(27,3,5),(27,4,5),(28,2,5),(28,3,5),(28,4,5),(29,2,5),(29,3,5),(29,4,5),(30,2,5),(30,3,5),(30,4,5),(31,2,5),(31,3,5),(31,4,5),(32,2,5),(32,3,5),(32,4,5),(33,2,5),(33,3,5),(33,4,5),(34,2,5),(34,3,5),(34,4,5),(35,2,5),(35,3,5),(35,4,5),(36,2,5),(36,3,5),(36,4,5),(37,2,5),(37,3,5),(37,4,5),(38,2,5),(38,3,5),(38,4,5),(39,2,5),(39,3,5),(39,4,5),(40,2,5),(40,3,5),(40,4,5),(41,2,5),(41,3,5),(41,4,5),(42,2,5),(42,3,5),(42,4,5),(43,2,5),(43,3,5),(43,4,5),(44,2,5),(44,3,5),(44,4,5),(45,2,5),(45,3,5),(45,4,5),(46,2,5),(46,3,5),(46,4,5),(47,2,5),(47,3,5),(47,4,5),(48,2,5),(48,3,5),(48,4,5),(49,2,5),(49,3,5),(49,4,5),(50,2,5),(50,3,5),(50,4,5),(51,2,5),(51,3,5),(51,4,5),(52,2,5),(52,3,5),(52,4,5),(53,2,5),(53,3,5),(53,4,5),(54,2,5),(54,3,5),(54,4,5),(55,2,5),(55,3,5),(55,4,5),(56,2,5),(56,3,5),(56,4,5),(57,2,5),(57,3,5),(57,4,5),(58,2,5),(58,3,5),(58,4,5),(59,2,5),(59,3,5),(59,4,5),(60,2,5),(60,3,5),(60,4,5),(61,2,5),(61,3,5),(61,4,5),(62,2,5),(62,3,5),(62,4,5),(63,2,5),(63,3,5),(63,4,5),(64,2,5),(64,3,5),(64,4,5),(65,2,5),(65,3,5),(65,4,5),(66,2,5),(66,3,5),(66,4,5),(67,2,5),(67,3,5),(67,4,5),(68,2,5),(68,3,5),(68,4,5),(69,2,5),(69,3,5),(69,4,5),(70,2,5),(70,3,5),(70,4,5),(71,2,5),(71,3,5),(71,4,5),(72,2,5),(72,3,5),(72,4,5),(73,2,5),(73,3,5),(73,4,5),(74,2,5),(74,3,5),(74,4,5),(75,2,5),(75,3,5),(75,4,5),(76,2,5),(76,3,5),(76,4,5),(77,2,5),(77,3,5),(77,4,5),(78,2,5),(78,3,5),(78,4,5),(79,2,5),(79,3,5),(79,4,5),(80,2,5),(80,3,5),(80,4,5),(81,2,5),(81,3,5),(81,4,5),(82,2,5),(82,3,5),(82,4,5),(83,2,5),(83,3,5),(83,4,5),(84,2,5),(84,3,5),(84,4,5),(85,2,5),(85,3,5),(85,4,5),(86,2,5),(86,3,5),(86,4,5),(87,2,5),(87,3,5),(87,4,5),(88,2,5),(88,3,5),(88,4,5),(89,2,5),(89,3,5),(89,4,5),(90,2,5),(90,3,5),(90,4,5),(91,2,5),(91,3,5),(91,4,5),(92,2,5),(92,3,5),(92,4,5),(93,2,5),(93,3,5),(93,4,5),(94,2,5),(94,3,5),(94,4,5),(95,2,5),(95,3,5),(95,4,5),(96,2,5),(96,3,5),(96,4,5),(97,2,5),(97,3,5),(97,4,5),(98,2,5),(98,3,5),(98,4,5),(99,2,5),(99,3,5),(99,4,5),(100,2,5),(100,3,5),(100,4,5),(101,2,5),(101,3,5),(101,4,5),(102,2,5),(102,3,5),(102,4,5),(103,2,5),(103,3,5),(103,4,5),(104,2,5),(104,3,5),(104,4,5),(105,2,5),(105,3,5),(105,4,5),(106,2,5),(106,3,5),(106,4,5),(107,2,5),(107,3,5),(107,4,5),(108,2,5),(108,3,5),(108,4,5),(109,2,5),(109,3,5),(109,4,5),(110,2,5),(110,3,5),(110,4,5),(111,2,5),(111,3,5),(111,4,5),(112,2,5),(112,3,5),(112,4,5),(113,2,5),(113,3,5),(113,4,5),(114,2,5),(114,3,5),(114,4,5),(115,2,5),(115,3,5),(115,4,5),(116,2,5),(116,3,5),(116,4,5),(117,2,5),(117,3,5),(117,4,5),(118,2,5),(118,3,5),(118,4,5),(119,2,5),(119,3,5),(119,4,5),(120,2,5),(120,3,5),(120,4,5),(121,2,5),(121,3,5),(121,4,5),(122,2,5),(122,3,5),(122,4,5),(123,2,5),(123,3,5),(123,4,5),(124,2,5),(124,3,5),(124,4,5),(125,2,5),(125,3,5),(125,4,5),(126,2,5),(126,3,5),(126,4,5),(127,2,5),(127,3,5),(127,4,5),(128,2,5),(128,3,5),(128,4,5),(129,2,5),(129,3,5),(129,4,5),(130,2,5),(130,3,5),(130,4,5),(131,2,5),(131,3,5),(131,4,5),(132,2,5),(132,3,5),(132,4,5),(133,2,5),(133,3,5),(133,4,5),(134,2,5),(134,3,5),(134,4,5),(135,2,5),(135,3,5),(135,4,5),(136,2,5),(136,3,5),(136,4,5),(137,2,5),(137,3,5),(137,4,5),(138,2,5),(138,3,5),(138,4,5),(139,2,5),(139,3,5),(139,4,5),(140,2,5),(140,3,5),(140,4,5),(141,2,5),(141,3,5),(141,4,5),(142,2,5),(142,3,5),(142,4,5),(143,2,5),(143,3,5),(143,4,5),(144,2,5),(144,3,5),(144,4,5),(145,2,5),(145,3,5),(145,4,5),(146,2,5),(146,3,5),(146,4,5),(147,2,5),(147,3,5),(147,4,5),(148,2,5),(148,3,5),(148,4,5),(149,2,5),(149,3,5),(149,4,5),(150,2,5),(150,3,5),(150,4,5),(151,2,5),(151,3,5),(151,4,5),(152,2,5),(152,3,5),(152,4,5),(153,2,5),(153,3,5),(153,4,5),(154,2,5),(154,3,5),(154,4,5),(155,2,5),(155,3,5),(155,4,5),(156,2,5),(156,3,5),(156,4,5),(157,2,5),(157,3,5),(157,4,5),(158,2,5),(158,3,5),(158,4,5),(159,2,5),(159,3,5),(159,4,5),(160,2,5),(160,3,5),(160,4,5),(161,2,5),(161,3,5),(161,4,5),(162,2,5),(162,3,5),(162,4,5),(163,2,5),(163,3,5),(163,4,5),(164,2,5),(164,3,5),(164,4,5),(165,2,5),(165,3,5),(165,4,5),(166,2,5),(166,3,5),(166,4,5),(167,3,5),(167,4,5),(168,2,5),(168,3,5),(168,4,5),(169,2,5),(169,3,5),(169,4,5),(170,2,5),(170,3,5),(170,4,5),(171,2,5),(171,3,5),(171,4,5),(172,2,5),(172,3,5),(172,4,5),(173,2,5),(173,3,5),(173,4,5),(174,2,5),(174,3,5),(174,4,5),(175,2,5),(175,3,5),(175,4,5),(176,3,5),(176,4,5),(177,2,5),(177,3,5),(177,4,5),(178,2,5),(178,3,5),(178,4,5),(179,3,5),(179,4,5),(180,3,5),(180,4,5),(181,3,5),(181,4,5),(182,3,5),(182,4,5),(183,2,5),(183,3,5),(183,4,5),(184,4,5),(185,2,5),(185,3,5),(185,4,5),(186,2,5),(186,3,5),(186,4,5),(187,2,5),(187,3,5),(187,4,5),(188,4,5),(189,4,5),(190,4,5),(191,4,5),(192,4,5),(193,4,5),(194,4,5),(195,2,5),(195,3,5),(195,4,5),(196,2,5),(196,3,5),(196,4,5),(197,2,5),(197,3,5),(197,4,5),(198,2,5),(198,3,5),(198,4,5),(199,2,5),(199,3,5),(199,4,5),(200,4,5),(201,2,5),(201,3,5),(201,4,5),(202,2,5),(202,3,5),(202,4,5),(203,2,5),(203,3,5),(203,4,5),(204,2,5),(204,3,5),(204,4,5),(205,2,5),(205,3,5),(205,4,5),(206,2,5),(206,3,5),(206,4,5),(207,2,5),(207,3,5),(207,4,5),(208,2,5),(208,3,5),(208,4,5),(209,4,5),(210,2,5),(210,3,5),(210,4,5),(211,4,5),(212,2,5),(212,4,5),(213,2,5),(213,3,5),(213,4,5),(214,2,5),(214,4,5),(215,2,5),(215,3,5),(215,4,5),(216,2,5),(216,3,5),(216,4,5),(217,4,5),(218,2,5),(218,3,5),(218,4,5),(219,2,5),(219,3,5),(219,4,5),(220,2,5),(220,3,5),(220,4,5),(221,2,5),(221,3,5),(221,4,5),(222,2,5),(222,3,5),(222,4,5),(223,2,5),(223,3,5),(223,4,5),(224,2,5),(224,3,5),(224,4,5),(225,2,5),(225,3,5),(225,4,5),(226,2,5),(226,3,5),(226,4,5),(227,2,5),(227,3,5),(227,4,5),(228,3,5),(228,4,5),(229,2,5),(229,3,5),(229,4,5),(230,2,5),(230,3,5),(230,4,5),(231,3,5),(231,4,5),(232,4,5),(233,3,5),(233,4,5),(234,3,5),(234,4,5),(235,2,5),(235,3,5),(235,4,5),(236,2,5),(236,3,5),(236,4,5),(237,2,5),(237,3,5),(237,4,5),(238,2,5),(238,3,5),(238,4,5),(239,4,5),(240,3,5),(240,4,5),(241,3,5),(241,4,5),(242,4,5),(243,3,5),(243,4,5),(244,3,5),(244,4,5),(245,3,5),(245,4,5),(246,4,5),(247,4,5),(248,4,5),(249,4,5),(250,4,5),(251,4,5),(252,4,5),(253,4,5),(254,2,5),(254,3,5),(254,4,5),(255,2,5),(255,3,5),(255,4,5),(256,2,5),(256,3,5),(256,4,5),(257,2,5),(257,3,5),(257,4,5),(258,2,5),(258,3,5),(258,4,5),(259,2,5),(259,3,5),(259,4,5),(260,2,5),(260,3,5),(260,4,5),(261,2,5),(261,4,5),(262,2,5),(262,3,5),(262,4,5),(263,2,5),(263,3,5),(263,4,5),(264,2,5),(264,3,5),(264,4,5),(265,2,5),(265,4,5),(266,2,5),(266,3,5),(266,4,5),(267,2,5),(267,3,5),(267,4,5),(268,2,5),(268,3,5),(268,4,5),(269,2,5),(269,3,5),(269,4,5),(270,2,5),(270,3,5),(270,4,5),(271,2,5),(271,3,5),(271,4,5),(272,2,5),(272,4,5),(273,2,5),(273,3,5),(273,4,5),(274,2,5),(274,3,5),(274,4,5),(275,2,5),(275,3,5),(275,4,5),(276,3,5),(276,4,5),(277,4,5),(278,3,5),(278,4,5),(279,2,5),(279,3,5),(279,4,5),(280,2,5),(280,3,5),(280,4,5),(281,2,5),(281,3,5),(281,4,5),(282,2,5),(282,3,5),(282,4,5),(283,4,5),(284,4,5),(285,4,5),(286,4,5),(287,2,5),(287,3,5),(287,4,5),(288,2,5),(288,3,5),(288,4,5),(289,2,5),(289,3,5),(289,4,5),(290,2,5),(290,3,5),(290,4,5),(291,2,5),(291,3,5),(291,4,5),(292,2,5),(292,3,5),(292,4,5),(293,4,5),(294,2,5),(294,3,5),(294,4,5),(295,2,5),(295,3,5),(295,4,5),(296,2,5),(296,3,5),(296,4,5),(297,4,5),(298,2,5),(298,3,5),(298,4,5),(299,2,5),(299,3,5),(299,4,5),(300,3,5),(300,4,5),(301,3,5),(301,4,5),(302,2,5),(302,3,5),(302,4,5),(303,2,5),(303,3,5),(303,4,5),(304,2,5),(304,3,5),(304,4,5),(305,2,5),(305,3,5),(305,4,5),(306,3,5),(306,4,5),(307,3,5),(307,4,5),(308,3,5),(308,4,5),(309,2,5),(309,3,5),(309,4,5),(310,2,5),(310,3,5),(310,4,5),(311,2,5),(311,3,5),(311,4,5),(312,2,5),(312,3,5),(312,4,5),(313,2,5),(313,3,5),(313,4,5),(314,2,5),(314,3,5),(314,4,5),(315,2,5),(315,3,5),(315,4,5),(316,2,5),(316,3,5),(316,4,5),(317,2,5),(317,3,5),(317,4,5),(318,2,5),(318,3,5),(318,4,5),(319,2,5),(319,3,5),(319,4,5),(320,2,5),(320,3,5),(320,4,5),(321,2,5),(321,3,5),(321,4,5),(322,2,5),(322,3,5),(322,4,5),(323,2,5),(323,3,5),(323,4,5),(324,2,5),(324,3,5),(324,4,5),(325,2,5),(325,3,5),(325,4,5),(326,2,5),(326,3,5),(326,4,5),(327,3,5),(327,4,5),(328,3,5),(328,4,5),(329,2,5),(329,3,5),(329,4,5),(330,3,5),(330,4,5),(331,3,5),(331,4,5),(332,3,5),(332,4,5),(333,3,5),(333,4,5),(334,2,5),(334,3,5),(334,4,5),(335,2,5),(335,3,5),(335,4,5),(336,2,5),(336,3,5),(336,4,5),(337,2,5),(337,3,5),(337,4,5),(338,2,5),(338,3,5),(338,4,5),(339,2,5),(339,3,5),(339,4,5),(340,3,5),(340,4,5),(341,2,5),(341,3,5),(341,4,5),(342,2,5),(342,3,5),(342,4,5),(343,2,5),(343,3,5),(343,4,5),(344,2,5),(344,4,5),(345,2,5),(345,3,5),(345,4,5),(346,2,5),(346,3,5),(346,4,5),(347,2,5),(347,3,5),(347,4,5),(348,2,5),(348,3,5),(348,4,5),(349,3,5),(349,4,5),(350,3,5),(350,4,5),(351,3,5),(351,4,5),(352,3,5),(352,4,5),(353,2,5),(353,3,5),(353,4,5),(354,2,5),(354,3,5),(354,4,5),(355,2,5),(355,3,5),(355,4,5),(356,2,5),(356,3,5),(356,4,5),(357,2,5),(357,3,5),(357,4,5),(358,2,5),(358,4,5),(359,2,5),(359,3,5),(359,4,5),(360,2,5),(360,3,5),(360,4,5),(361,2,5),(361,3,5),(361,4,5),(362,2,5),(362,3,5),(362,4,5),(363,2,5),(363,4,5),(364,2,5),(364,3,5),(364,4,5),(365,2,5),(365,4,5),(366,2,5),(366,3,5),(366,4,5),(367,2,5),(367,3,5),(367,4,5),(368,2,5),(368,4,5),(369,2,5),(369,3,5),(369,4,5),(370,2,5),(370,3,5),(370,4,5),(371,2,5),(371,3,5),(371,4,5),(372,2,5),(372,3,5),(372,4,5),(373,2,5),(373,3,5),(373,4,5),(374,2,5),(374,3,5),(374,4,5),(375,2,5),(375,3,5),(375,4,5),(376,2,5),(376,3,5),(376,4,5),(377,2,5),(377,3,5),(377,4,5),(378,2,5),(378,3,5),(378,4,5),(379,2,5),(379,3,5),(379,4,5),(380,2,5),(380,3,5),(380,4,5),(381,2,5),(381,3,5),(381,4,5),(382,2,5),(382,3,5),(382,4,5),(383,2,5),(383,3,5),(383,4,5),(384,2,5),(384,3,5),(384,4,5),(385,2,5),(385,3,5),(385,4,5),(386,2,5),(386,3,5),(386,4,5),(387,2,5),(387,3,5),(387,4,5),(388,2,5),(388,3,5),(388,4,5),(389,2,5),(389,3,5),(389,4,5),(390,2,5),(390,3,5),(390,4,5),(391,2,5),(391,3,5),(391,4,5),(392,2,5),(392,3,5),(392,4,5),(393,2,5),(393,3,5),(393,4,5),(394,2,5),(394,3,5),(394,4,5),(395,2,5),(395,3,5),(395,4,5),(396,2,5),(396,3,5),(396,4,5),(397,2,5),(397,3,5),(397,4,5),(398,2,5),(398,3,5),(398,4,5),(399,2,5),(399,3,5),(399,4,5),(400,2,5),(400,3,5),(400,4,5),(401,2,5),(401,3,5),(401,4,5),(402,2,5),(402,3,5),(402,4,5),(403,2,5),(403,3,5),(403,4,5),(404,2,5),(404,3,5),(404,4,5),(405,2,5),(405,3,5),(405,4,5),(406,2,5),(406,3,5),(406,4,5),(407,2,5),(407,3,5),(407,4,5),(408,2,5),(408,3,5),(408,4,5),(409,2,5),(409,3,5),(409,4,5),(410,2,5),(410,3,5),(410,4,5),(411,2,5),(411,3,5),(411,4,5),(412,2,5),(412,4,5),(413,2,5),(413,4,5),(414,2,5),(414,3,5),(414,4,5),(415,2,5),(415,3,5),(415,4,5),(416,2,5),(416,3,5),(416,4,5),(417,2,5),(417,3,5),(417,4,5),(418,2,5),(418,3,5),(418,4,5),(419,2,5),(419,3,5),(419,4,5),(420,2,5),(420,3,5),(420,4,5),(421,2,5),(421,3,5),(421,4,5),(422,2,5),(422,3,5),(422,4,5),(423,2,5),(423,3,5),(423,4,5),(424,2,5),(424,3,5),(424,4,5),(425,2,5),(425,3,5),(425,4,5),(426,2,5),(426,3,5),(426,4,5),(427,2,5),(427,3,5),(427,4,5);
/*!40000 ALTER TABLE `permission_role` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `permission_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permission_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `permission_types` WRITE;
/*!40000 ALTER TABLE `permission_types` DISABLE KEYS */;
INSERT INTO `permission_types` VALUES (1,'added',NULL,NULL),(2,'owned',NULL,NULL),(3,'both',NULL,NULL),(4,'all',NULL,NULL),(5,'none',NULL,NULL);
/*!40000 ALTER TABLE `permission_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permissions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `display_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `module_id` int unsigned NOT NULL,
  `is_custom` tinyint(1) NOT NULL DEFAULT '0',
  `allowed_permissions` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `permissions_name_module_id_unique` (`name`,`module_id`),
  KEY `permissions_module_id_foreign` (`module_id`),
  CONSTRAINT `permissions_module_id_foreign` FOREIGN KEY (`module_id`) REFERENCES `modules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=428 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `permissions` WRITE;
/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` VALUES (1,'add_asset','Add Asset',NULL,1,0,'{\"all\":4, \"none\":5}',NULL,'2024-02-13 04:03:17'),(2,'view_asset','View Asset',NULL,1,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,'2024-02-13 04:03:17'),(3,'edit_asset','Edit Asset',NULL,1,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,'2024-02-13 04:03:17'),(4,'delete_asset','Delete Asset',NULL,1,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,'2024-02-13 04:03:17'),(5,'add_zoom_meetings','Add Meetings',NULL,2,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:16','2024-02-13 04:03:17'),(6,'view_zoom_meetings','View Meetings',NULL,2,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:16','2024-02-13 04:03:17'),(7,'edit_zoom_meetings','Edit Meetings',NULL,2,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:16','2024-02-13 04:03:17'),(8,'delete_zoom_meetings','Delete Meetings',NULL,2,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:16','2024-02-13 04:03:17'),(9,'add_assets_type','Add Assets Type',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(10,'edit_assets_type','Edit Assets Type',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(11,'view_assets_type','View Assets Type',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(12,'delete_assets_type','Delete Assets Type',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(13,'edit_assets_history','Edit Assets History',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(14,'delete_assets_history','Delete Assets History',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(15,'view_assets_history','View Assets History',NULL,1,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(16,'manage_zoom_category','Manage Zoom category',NULL,2,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(17,'manage_test_push_notification','Manage Test Push Notification',NULL,3,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(18,'manage_rest_api_settings','Manage Rest Api Settings',NULL,3,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(19,'manage_sms_settings','Manage Sms Settings',NULL,4,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:17','2024-02-13 04:03:17'),(20,'manage_skill','Manage Skills',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(21,'add_job','Add Job',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(22,'view_job','View Job',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(23,'edit_job','Edit Job',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(24,'delete_job','Delete Job',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(25,'add_job_application','Add Job Application',NULL,5,1,'{\"all\":4,\"added\":1, \"none\":5}',NULL,NULL),(26,'view_job_application','View Job Application',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(27,'edit_job_application','Edit Job Application',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(28,'delete_job_application','Delete Job Application',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(29,'add_notes','Add Notes',NULL,5,1,'{\"all\":4,\"added\":1, \"none\":5}',NULL,NULL),(30,'edit_notes','Edit Notes',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(31,'delete_notes','Delete Notes',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(32,'add_application_status','Add Application Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(33,'edit_application_status','Edit Application Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(34,'delete_application_status','Delete Application Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(35,'change_application_status','Change Application Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(36,'add_interview_schedule','Add Interview Schedule',NULL,5,1,'{\"all\":4,\"added\":1, \"none\":5}',NULL,NULL),(37,'view_interview_schedule','View Interview Schedule',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(38,'edit_interview_schedule','Edit Interview Schedule',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(39,'delete_interview_schedule','Delete Interview Schedule',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(40,'reschedule_interview','Reschedule Interview',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(41,'add_recommendation_status','Add Recommendation Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(42,'edit_recommendation_status','Edit Recommendation Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(43,'delete_recommendation_status','Delete Recommendation Status',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(44,'add_recruiter','Add Recruiter',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(45,'edit_recruiter','Edit Recruiter',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(46,'delete_recruiter','Delete Recruiter',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(47,'add_offer_letter','Add Offer Letter',NULL,5,1,'{\"all\":4,\"added\":1, \"none\":5}',NULL,NULL),(48,'view_offer_letter','View Offer Letter',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(49,'edit_offer_letter','Edit Offer Letter',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(50,'delete_offer_letter','Delete Offer Letter',NULL,5,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}',NULL,NULL),(51,'add_footer_link','Add Footer Link',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(52,'edit_footer_link','Edit Footer Link',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(53,'delete_footer_link','Delete Footer Link',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(54,'view_report','View Report',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(55,'recruit_settings','Recruit Settings',NULL,5,1,'{\"all\":4, \"none\":5}',NULL,NULL),(56,'manage_salary_payment_method','Manage Salary Payment Method',NULL,7,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(57,'manage_salary_component','Manage Salary Component',NULL,7,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(58,'manage_salary_group','Manage Salary Group',NULL,7,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(59,'manage_salary_tds','Manage Salary Tds',NULL,7,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(60,'manage_employee_salary','Manage Employee Salary',NULL,7,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(61,'add_payroll','Add Payroll',NULL,7,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(62,'view_payroll','View Payroll',NULL,7,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(63,'edit_payroll','Edit Payroll',NULL,7,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(64,'delete_payroll','Delete Payroll',NULL,7,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:21','2024-02-13 04:03:21'),(65,'manage_job_category','Manage Job Category',NULL,5,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:22','2024-02-13 04:03:22'),(66,'manage_job_sub_category','Manage Job Sub Category',NULL,5,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:22','2024-02-13 04:03:22'),(67,'view_dashboard','View Dashboard',NULL,5,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:27','2024-02-13 04:03:27'),(68,'add_vendor','Add Vendor',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(69,'view_vendor','View Vendor',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(70,'edit_vendor','Edit Vendor',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(71,'delete_vendor','Delete Vendor',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(72,'manage_vendor_contact','Manage Vendor Contact',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(73,'manage_vendor_note','Manage Vendor Note',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(74,'add_purchase_order','Add Purchase Order',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(75,'view_purchase_order','View Purchase Order',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(76,'edit_purchase_order','Edit Purchase Order',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(77,'delete_purchase_order','Delete Purchase Order',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(78,'add_bill','Add Bill',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(79,'view_bill','View Bill',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(80,'edit_bill','Edit Bill',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(81,'delete_bill','Delete Bill',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(82,'add_vendor_payment','Add Vendor Payment',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(83,'view_vendor_payment','View Vendor Payment',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(84,'edit_vendor_payment','Edit Vendor Payment',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(85,'delete_vendor_payment','Delete Vendor Payment',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(86,'add_vendor_credit','Add Vendor Credit',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(87,'view_vendor_credit','View Vendor Credit',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(88,'edit_vendor_credit','Edit Vendor Credit',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(89,'delete_vendor_credit','Delete Vendor Credit',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(90,'add_inventory','Add Inventory',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(91,'view_inventory','View Inventory',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(92,'edit_inventory','Edit Inventory',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(93,'delete_inventory','Delete Inventory',NULL,8,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(94,'manage_stock_adjustment','Manage Stock Adjustment',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(95,'manage_inventory_adjustment','Manage Inventory Adjustment',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(96,'view_order_report','View Order Report',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(97,'view_vendor_report','View Vendor Report',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(98,'link_order_bank_account','Link Order Bank Account',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(99,'view_inventory_valuation_summary','View Inventory Valuation Summary',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(100,'view_inventory_summary','View Inventory Summary',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:31','2024-02-13 04:03:31'),(101,'add_letter','Add letter',NULL,9,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(102,'view_letter','View letter',NULL,9,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(103,'edit_letter','Edit letter',NULL,9,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(104,'delete_letter','Delete letter',NULL,9,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(105,'add_template','Add template',NULL,9,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(106,'view_template','View template',NULL,9,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(107,'edit_template','Edit template',NULL,9,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(108,'delete_template','Delete template',NULL,9,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(109,'add_webhooks','Add Webhooks',NULL,10,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(110,'view_webhooks','View Webhooks',NULL,10,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(111,'edit_webhooks','Edit Webhooks',NULL,10,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(112,'delete_webhooks','Delete Webhooks',NULL,10,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(113,'view_webhooks_logs','View Webhooks Logs',NULL,10,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(114,'add_deals','Add Deals',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(115,'view_deals','View Deals',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(116,'edit_deals','Edit Deals',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(117,'delete_deals','Delete Deals',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(118,'manage_deal_stages','Manage Deal Stages',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(119,'change_deal_stages','Change Deal Stages',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(120,'add_deal_pipeline','Add Deal Pipeline',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(121,'view_deal_pipeline','View Deal Pipeline',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(122,'edit_deal_pipeline','Edit Deal Pipeline',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(123,'delete_deal_pipeline','Delete Deal Pipeline',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(124,'add_deal_note','Add Deal Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(125,'view_deal_note','View Deal Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(126,'edit_deal_note','Edit Deal Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(127,'delete_deal_note','Delete Deal Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(128,'add_qrcode','Add QrCode',NULL,12,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(129,'view_qrcode','View QrCode',NULL,12,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(130,'edit_qrcode','Edit QrCode',NULL,12,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(131,'delete_qrcode','Delete QrCode',NULL,12,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:33','2024-02-13 04:03:33'),(132,'view_purchase_setting','View Purchase Setting',NULL,8,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(133,'add_clients','Add Clients',NULL,13,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(134,'view_clients','View Clients',NULL,13,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(135,'edit_clients','Edit Clients',NULL,13,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(136,'delete_clients','Delete Clients',NULL,13,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(137,'manage_client_category','Manage Client Category',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(138,'manage_client_subcategory','Manage Client Subcategory',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(139,'add_client_contacts','Add Client Contacts',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(140,'view_client_contacts','View Client Contacts',NULL,13,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(141,'edit_client_contacts','Edit Client Contacts',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(142,'delete_client_contacts','Delete Client Contacts',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(143,'add_client_note','Add Client Note',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(144,'view_client_note','View Client Note',NULL,13,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(145,'edit_client_note','Edit Client Note',NULL,13,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(146,'delete_client_note','Delete Client Note',NULL,13,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(147,'add_client_document','Add Client Document',NULL,13,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(148,'view_client_document','View Client Document',NULL,13,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(149,'edit_client_document','Edit Client Document',NULL,13,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(150,'delete_client_document','Delete Client Document',NULL,13,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(151,'add_employees','Add Employees',NULL,14,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(152,'view_employees','View Employees',NULL,14,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(153,'edit_employees','Edit Employees',NULL,14,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(154,'delete_employees','Delete Employees',NULL,14,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(155,'add_designation','Add Designation',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(156,'view_designation','View Designation',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(157,'edit_designation','Edit Designation',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(158,'delete_designation','Delete Designation',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(159,'add_department','Add Department',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(160,'view_department','View Department',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(161,'edit_department','Edit Department',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(162,'delete_department','Delete Department',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(163,'add_documents','Add Documents',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(164,'view_documents','View Documents',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(165,'edit_documents','Edit Documents',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(166,'delete_documents','Delete Documents',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(167,'view_leaves_taken','View Leaves Taken',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(168,'update_leaves_quota','Update Leaves Quota',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(169,'view_employee_tasks','View Employee Tasks',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(170,'view_employee_projects','View Employee Projects',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(171,'view_employee_timelogs','View Employee Timelogs',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(172,'change_employee_role','Change Employee Role',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(173,'manage_emergency_contact','Manage Emergency Contact',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(174,'manage_award','Manage Award',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(175,'add_appreciation','Add Appreciation',NULL,14,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(176,'view_appreciation','View Appreciation',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(177,'edit_appreciation','Edit Appreciation',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(178,'delete_appreciation','Delete Appreciation',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(179,'add_immigration','Add Immigration',NULL,14,1,'{\"all\":4, \"owned\":2, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(180,'view_immigration','View Immigration',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(181,'edit_immigration','Edit Immigration',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(182,'delete_immigration','Delete Immigration',NULL,14,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(183,'add_projects','Add Projects',NULL,15,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(184,'view_projects','View Projects',NULL,15,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(185,'edit_projects','Edit Projects',NULL,15,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(186,'delete_projects','Delete Projects',NULL,15,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(187,'manage_project_category','Manage Project Category',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(188,'view_project_files','View Project Files',NULL,15,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(189,'add_project_files','Add Project Files',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(190,'delete_project_files','Delete Project Files',NULL,15,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(191,'view_project_discussions','View Project Discussions',NULL,15,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(192,'add_project_discussions','Add Project Discussions',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(193,'edit_project_discussions','Edit Project Discussions',NULL,15,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(194,'delete_project_discussions','Delete Project Discussions',NULL,15,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(195,'manage_discussion_category','Manage Discussion Category',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(196,'view_project_milestones','View Project Milestones',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(197,'add_project_milestones','Add Project Milestones',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(198,'edit_project_milestones','Edit Project Milestones',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(199,'delete_project_milestones','Delete Project Milestones',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(200,'view_project_members','View Project Members',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(201,'add_project_members','Add Project Members',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(202,'edit_project_members','Edit Project Members',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(203,'delete_project_members','Delete Project Members',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(204,'view_project_rating','View Project Rating',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(205,'add_project_rating','Add Project Rating',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(206,'edit_project_rating','Edit Project Rating',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(207,'delete_project_rating','Delete Project Rating',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(208,'view_project_budget','View Project Budget',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(209,'view_project_timelogs','View Project Timelogs',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(210,'view_project_expenses','View Project Expenses',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(211,'view_project_tasks','View Project Tasks',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(212,'view_project_invoices','View Project Invoices',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(213,'view_project_burndown_chart','View Project Burndown Chart',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(214,'view_project_payments','View Project Payments',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(215,'view_project_gantt_chart','View Project Gantt Chart',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(216,'add_project_note','Add Project Note',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(217,'view_project_note','View Project Note',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(218,'edit_project_note','Edit Project Note',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(219,'delete_project_note','Delete Project Note',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(220,'manage_project_template','Manage Project Template',NULL,15,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(221,'view_project_template','View Project Template',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(222,'view_project_hourly_rates','View Project Hourly Rates',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(223,'create_public_project','Create Public Project',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(224,'view_miroboard','View Miroboard',NULL,15,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(225,'manage_employee_shifts','Manage Employee Shifts',NULL,16,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(226,'view_shift_roster','View Shift Roster',NULL,16,1,'{\"all\":4, \"owned\":2, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(227,'add_attendance','Add Attendance',NULL,16,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(228,'view_attendance','View Attendance',NULL,16,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(229,'edit_attendance','Edit Attendance',NULL,16,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(230,'delete_attendance','Delete Attendance',NULL,16,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(231,'add_tasks','Add Tasks',NULL,17,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(232,'view_tasks','View Tasks',NULL,17,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(233,'edit_tasks','Edit Tasks',NULL,17,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(234,'delete_tasks','Delete Tasks',NULL,17,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(235,'view_task_category','View Task Category',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(236,'add_task_category','Add Task Category',NULL,17,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(237,'edit_task_category','Edit Task Category',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(238,'delete_task_category','Delete Task Category',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(239,'view_task_files','View Task Files',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(240,'add_task_files','Add Task Files',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(241,'delete_task_files','Delete Task Files',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(242,'view_sub_tasks','View Sub Tasks',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(243,'add_sub_tasks','Add Sub Tasks',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(244,'edit_sub_tasks','Edit Sub Tasks',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(245,'delete_sub_tasks','Delete Sub Tasks',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(246,'view_task_comments','View Task Comments',NULL,17,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(247,'add_task_comments','Add Task Comments',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(248,'edit_task_comments','Edit Task Comments',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(249,'delete_task_comments','Delete Task Comments',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(250,'view_task_notes','View Task Notes',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(251,'add_task_notes','Add Task Notes',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(252,'edit_task_notes','Edit Task Notes',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(253,'delete_task_notes','Delete Task Notes',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(254,'task_labels','Task Labels',NULL,17,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(255,'change_status','Change Status',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(256,'send_reminder','Send Reminder',NULL,17,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(257,'add_status','Add Status',NULL,17,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(258,'view_unassigned_tasks','View Unassigned Tasks',NULL,17,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(259,'create_unassigned_tasks','Create Unassigned Tasks',NULL,17,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(260,'add_estimates','Add Estimates',NULL,18,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(261,'view_estimates','View Estimates',NULL,18,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(262,'edit_estimates','Edit Estimates',NULL,18,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(263,'delete_estimates','Delete Estimates',NULL,18,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(264,'add_invoices','Add Invoices',NULL,19,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(265,'view_invoices','View Invoices',NULL,19,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(266,'edit_invoices','Edit Invoices',NULL,19,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(267,'delete_invoices','Delete Invoices',NULL,19,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(268,'manage_tax','Manage Tax',NULL,19,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(269,'link_invoice_bank_account','Link Invoice Bank Account',NULL,19,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(270,'manage_recurring_invoice','Manage Recurring Invoice',NULL,19,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(271,'add_payments','Add Payments',NULL,20,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(272,'view_payments','View Payments',NULL,20,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(273,'edit_payments','Edit Payments',NULL,20,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(274,'delete_payments','Delete Payments',NULL,20,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(275,'link_payment_bank_account','Link Payment Bank Account',NULL,20,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(276,'add_timelogs','Add Timelogs',NULL,21,0,'{\"all\":4,\"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(277,'view_timelogs','View Timelogs',NULL,21,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(278,'edit_timelogs','Edit Timelogs',NULL,21,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(279,'delete_timelogs','Delete Timelogs',NULL,21,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(280,'approve_timelogs','Approve Timelogs',NULL,21,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(281,'manage_active_timelogs','Manage Active Timelogs',NULL,21,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(282,'view_timelog_earnings','View Timelog Earnings',NULL,21,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(283,'add_tickets','Add Tickets',NULL,22,0,'{\"all\":4,\"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(284,'view_tickets','View Tickets',NULL,22,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(285,'edit_tickets','Edit Tickets',NULL,22,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(286,'delete_tickets','Delete Tickets',NULL,22,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(287,'manage_ticket_type','Manage Ticket Type',NULL,22,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(288,'manage_ticket_agent','Manage Ticket Agent',NULL,22,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(289,'manage_ticket_channel','Manage Ticket Channel',NULL,22,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(290,'manage_ticket_tags','Manage Ticket Tags',NULL,22,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(291,'manage_ticket_groups','Manage Ticket Groups',NULL,22,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(292,'add_events','Add Events',NULL,23,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(293,'view_events','View Events',NULL,23,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(294,'edit_events','Edit Events',NULL,23,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(295,'delete_events','Delete Events',NULL,23,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(296,'add_notice','Add Notice',NULL,24,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(297,'view_notice','View Notice',NULL,24,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(298,'edit_notice','Edit Notice',NULL,24,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(299,'delete_notice','Delete Notice',NULL,24,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(300,'add_leave','Add Leave',NULL,25,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(301,'view_leave','View Leave',NULL,25,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(302,'edit_leave','Edit Leave',NULL,25,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(303,'delete_leave','Delete Leave',NULL,25,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(304,'approve_or_reject_leaves','Approve Or Reject Leaves',NULL,25,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(305,'delete_approve_leaves','Delete Approve Leaves',NULL,25,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(306,'add_lead','Add Lead',NULL,11,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(307,'view_lead','View Lead',NULL,11,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(308,'edit_lead','Edit Lead',NULL,11,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(309,'delete_lead','Delete Lead',NULL,11,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(310,'manage_lead_custom_forms','Manage Lead Custom Forms',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(311,'view_lead_sources','View Lead Sources',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(312,'add_lead_sources','Add Lead Sources',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(313,'edit_lead_sources','Edit Lead Sources',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(314,'delete_lead_sources','Delete Lead Sources',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(315,'add_lead_note','Add Lead Note',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(316,'view_lead_note','View Lead Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(317,'edit_lead_note','Edit Lead Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(318,'delete_lead_note','Delete Lead Note',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(319,'view_lead_category','View Lead Category',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(320,'add_lead_category','Add Lead Category',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(321,'edit_lead_category','Edit Lead Category',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(322,'delete_lead_category','Delete Lead Category',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(323,'view_lead_agents','View Lead Agents',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(324,'add_lead_agent','Add Lead Agent',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(325,'edit_lead_agent','Edit Lead Agent',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(326,'delete_lead_agent','Delete Lead Agent',NULL,11,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(327,'view_lead_files','View Lead Files',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(328,'add_lead_files','Add Lead Files',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(329,'delete_lead_files','Delete Lead Files',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(330,'view_lead_follow_up','View Lead Follow Up',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(331,'add_lead_follow_up','Add Lead Follow Up',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(332,'edit_lead_follow_up','Edit Lead Follow Up',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(333,'delete_lead_follow_up','Delete Lead Follow Up',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(334,'view_lead_proposals','View Lead Proposals',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(335,'add_lead_proposals','Add Lead Proposals',NULL,11,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(336,'edit_lead_proposals','Edit Lead Proposals',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(337,'delete_lead_proposals','Delete Lead Proposals',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(338,'manage_proposal_template','Manage Proposal Template',NULL,11,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(339,'add_holiday','Add Holiday',NULL,26,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(340,'view_holiday','View Holiday',NULL,26,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(341,'edit_holiday','Edit Holiday',NULL,26,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(342,'delete_holiday','Delete Holiday',NULL,26,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(343,'add_product','Add Product',NULL,27,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(344,'view_product','View Product',NULL,27,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(345,'edit_product','Edit Product',NULL,27,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(346,'delete_product','Delete Product',NULL,27,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(347,'manage_product_category','Manage Product Category',NULL,27,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(348,'manage_product_sub_category','Manage Product Sub Category',NULL,27,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(349,'add_expenses','Add Expenses',NULL,28,0,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(350,'view_expenses','View Expenses',NULL,28,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(351,'edit_expenses','Edit Expenses',NULL,28,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(352,'delete_expenses','Delete Expenses',NULL,28,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(353,'manage_expense_category','Manage Expense Category',NULL,28,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(354,'manage_recurring_expense','Manage Recurring Expense',NULL,28,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(355,'approve_expenses','Approve Expenses',NULL,28,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(356,'link_expense_bank_account','Link Expense Bank Account',NULL,28,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(357,'add_contract','Add Contract',NULL,29,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(358,'view_contract','View Contract',NULL,29,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(359,'edit_contract','Edit Contract',NULL,29,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(360,'delete_contract','Delete Contract',NULL,29,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(361,'manage_contract_type','Manage Contract Type',NULL,29,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(362,'renew_contract','Renew Contract',NULL,29,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(363,'add_contract_discussion','Add Contract Discussion',NULL,29,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(364,'edit_contract_discussion','Edit Contract Discussion',NULL,29,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(365,'view_contract_discussion','View Contract Discussion',NULL,29,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(366,'delete_contract_discussion','Delete Contract Discussion',NULL,29,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(367,'add_contract_files','Add Contract Files',NULL,29,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(368,'view_contract_files','View Contract Files',NULL,29,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(369,'delete_contract_files','Delete Contract Files',NULL,29,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(370,'manage_contract_template','Manage Contract Template',NULL,29,1,'{\"all\":4, \"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(371,'view_task_report','View Task Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(372,'view_time_log_report','View Time Log Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(373,'view_finance_report','View Finance Report',NULL,30,1,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(374,'view_income_expense_report','View Income Vs Expense Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(375,'view_leave_report','View Leave Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(376,'view_attendance_report','View Attendance Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(377,'view_expense_report','View Expense Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(378,'view_lead_report','View Lead Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(379,'view_sales_report','View Sales Report',NULL,30,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(380,'manage_company_setting','Manage Company Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(381,'manage_app_setting','Manage App Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(382,'manage_notification_setting','Manage Notification Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(383,'manage_currency_setting','Manage Currency Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(384,'manage_payment_setting','Manage Payment Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(385,'manage_finance_setting','Manage Finance Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(386,'manage_ticket_setting','Manage Ticket Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(387,'manage_project_setting','Manage Project Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(388,'manage_attendance_setting','Manage Attendance Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(389,'manage_leave_setting','Manage Leave Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(390,'manage_custom_field_setting','Manage Custom Field Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(391,'manage_message_setting','Manage Message Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(392,'manage_storage_setting','Manage Storage Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(393,'manage_language_setting','Manage Language Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(394,'manage_lead_setting','Manage Lead Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(395,'manage_time_log_setting','Manage Time Log Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(396,'manage_task_setting','Manage Task Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(397,'manage_social_login_setting','Manage Social Login Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(398,'manage_security_setting','Manage Security Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(399,'manage_gdpr_setting','Manage Gdpr Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(400,'manage_theme_setting','Manage Theme Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(401,'manage_role_permission_setting','Manage Role Permission Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(402,'manage_module_setting','Manage Module Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(403,'manage_google_calendar_setting','Manage Google Calendar Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(404,'manage_contract_setting','Manage Contract Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(405,'manage_custom_link_setting','Manage Custom Link Setting',NULL,31,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(406,'view_overview_dashboard','View Overview Dashboard',NULL,32,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(407,'view_project_dashboard','View Project Dashboard',NULL,32,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(408,'view_client_dashboard','View Client Dashboard',NULL,32,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(409,'view_hr_dashboard','View Hr Dashboard',NULL,32,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(410,'view_ticket_dashboard','View Ticket Dashboard',NULL,32,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(411,'view_finance_dashboard','View Finance Dashboard',NULL,32,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(412,'add_order','Add Order',NULL,33,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(413,'view_order','View Order',NULL,33,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(414,'edit_order','Edit Order',NULL,33,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(415,'delete_order','Delete Order',NULL,33,0,'{\"all\":4, \"added\":1, \"owned\":2,\"both\":3, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(416,'view_project_orders','View Project Orders',NULL,33,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(417,'add_knowledgebase','Add Knowledgebase',NULL,34,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(418,'view_knowledgebase','View Knowledgebase',NULL,34,0,'{\"all\":4,\"added\":1,\"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(419,'edit_knowledgebase','Edit Knowledgebase',NULL,34,0,'{\"all\":4,\"added\":1,\"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(420,'delete_knowledgebase','Delete Knowledgebase',NULL,34,0,'{\"all\":4,\"added\":1,\"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(421,'add_bankaccount','Add Bankaccount',NULL,35,0,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(422,'view_bankaccount','View Bankaccount',NULL,35,0,'{\"all\":4,\"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(423,'edit_bankaccount','Edit Bankaccount',NULL,35,0,'{\"all\":4,\"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(424,'delete_bankaccount','Delete Bankaccount',NULL,35,0,'{\"all\":4,\"added\":1, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(425,'add_bank_transfer','Add Bank Transfer',NULL,35,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(426,'add_bank_deposit','Add Bank Deposit',NULL,35,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34'),(427,'add_bank_withdraw','Add Bank Withdraw',NULL,35,1,'{\"all\":4, \"none\":5}','2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `claims` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `pinned`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pinned` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `task_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pinned_company_id_foreign` (`company_id`),
  KEY `pinned_project_id_foreign` (`project_id`),
  KEY `pinned_task_id_foreign` (`task_id`),
  KEY `pinned_user_id_foreign` (`user_id`),
  CONSTRAINT `pinned_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `pinned_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `pinned_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `pinned_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `pinned` WRITE;
/*!40000 ALTER TABLE `pinned` DISABLE KEYS */;
/*!40000 ALTER TABLE `pinned` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `pipeline_stages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pipeline_stages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `lead_pipeline_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` int NOT NULL DEFAULT '0',
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `label_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ff0000',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pipeline_stages_company_id_foreign` (`company_id`),
  KEY `pipeline_stages_lead_pipeline_id_foreign` (`lead_pipeline_id`),
  CONSTRAINT `pipeline_stages_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `pipeline_stages_lead_pipeline_id_foreign` FOREIGN KEY (`lead_pipeline_id`) REFERENCES `lead_pipelines` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `pipeline_stages` WRITE;
/*!40000 ALTER TABLE `pipeline_stages` DISABLE KEYS */;
INSERT INTO `pipeline_stages` VALUES (1,1,1,'Generated','generated',1,1,'#FFD700',NULL,NULL),(2,1,1,'Qualified','qualified',2,0,'#009EFF',NULL,NULL),(3,1,1,'Initial Contact','initial-contact',3,0,'#00CED1',NULL,NULL),(4,1,1,'Schedule Appointment','schedule-appointment',4,0,'#32CD32',NULL,NULL),(5,1,1,'Proposal Sent','proposal-sent',5,0,'#FFA07A',NULL,NULL),(6,1,1,'Win','win',6,0,'#1FAE07',NULL,NULL),(7,1,1,'Lost','lost',7,0,'#DB1313',NULL,NULL);
/*!40000 ALTER TABLE `pipeline_stages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_category` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_category_company_id_foreign` (`company_id`),
  CONSTRAINT `product_category_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_category` WRITE;
/*!40000 ALTER TABLE `product_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_category` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `product_id` int unsigned NOT NULL,
  `filename` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `default_status` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product_files_product_id_foreign` (`product_id`),
  KEY `product_files_added_by_foreign` (`added_by`),
  KEY `product_files_last_updated_by_foreign` (`last_updated_by`),
  KEY `product_files_company_id_foreign` (`company_id`),
  CONSTRAINT `product_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `product_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `product_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `product_files_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_files` WRITE;
/*!40000 ALTER TABLE `product_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_sub_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `product_sub_category` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_id` bigint unsigned NOT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_sub_category_company_id_foreign` (`company_id`),
  KEY `product_sub_category_category_id_foreign` (`category_id`),
  CONSTRAINT `product_sub_category_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `product_category` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `product_sub_category_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_sub_category` WRITE;
/*!40000 ALTER TABLE `product_sub_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_sub_category` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `products` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `purchase_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_information` enum('1','0') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `track_inventory` enum('1','0') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `sales_description` longtext COLLATE utf8mb4_unicode_ci,
  `purchase_description` longtext COLLATE utf8mb4_unicode_ci,
  `opening_stock` int DEFAULT NULL,
  `rate_per_unit` double DEFAULT NULL,
  `taxes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `allow_purchase` tinyint(1) NOT NULL DEFAULT '0',
  `downloadable` tinyint(1) NOT NULL DEFAULT '0',
  `downloadable_file` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `category_id` bigint unsigned DEFAULT NULL,
  `sub_category_id` bigint unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sku` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `default_image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` enum('goods','service') COLLATE utf8mb4_unicode_ci DEFAULT 'goods',
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `products_company_id_foreign` (`company_id`),
  KEY `products_category_id_foreign` (`category_id`),
  KEY `products_sub_category_id_foreign` (`sub_category_id`),
  KEY `products_added_by_foreign` (`added_by`),
  KEY `products_last_updated_by_foreign` (`last_updated_by`),
  KEY `products_unit_id_foreign` (`unit_id`),
  CONSTRAINT `products_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `products_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `product_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `products_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `products_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `products_sub_category_id_foreign` FOREIGN KEY (`sub_category_id`) REFERENCES `product_sub_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `products_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1,1,'Smart Camera','183',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Perferendis temporibus nobis voluptatibus dolorum. Tempore soluta adipisci recusandae asperiores velit consequatur. Libero perferendis perferendis non rerum omnis debitis pariatur. Sit ad eaque quasi quaerat hic qui molestias ut.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(2,1,'Unisex Sunglasses','447',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Eveniet illum et sed ipsum id. Impedit eaque expedita doloremque odio. Aut vero quae animi distinctio praesentium repudiandae nihil. Rerum autem eaque quo modi nam consequatur cupiditate.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(3,1,'LED Floor Lamp','337',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Deserunt quia et porro ea nihil doloribus dolor. Nihil inventore enim rem et. Quidem et enim voluptate non dolorum quod. Natus aut at repudiandae repellat sit soluta beatae.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(4,1,'Smart Speakers','922',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Alias enim consequatur et eligendi. Voluptatum nostrum fuga dolore autem molestiae iure qui. Enim praesentium cupiditate dolor. Aut officia sit voluptatem illum non quia et.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(5,1,'Power Bank','832',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Distinctio repudiandae sit recusandae quisquam pariatur atque et rem. Veniam soluta quisquam rem aut omnis voluptas ducimus praesentium. Consequuntur ipsam non molestiae modi occaecati.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(6,1,'Smart Scale','683',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Dicta ab doloremque quaerat. Beatae voluptatem facilis numquam consequuntur voluptas quidem dolorem. Vel at qui et ipsa. Quasi corporis eos adipisci ducimus hic minus eum quam.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(7,1,'Electric Kettle','264',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Commodi et inventore repellat optio id recusandae est. Aliquam est voluptates in velit ea deleniti est laboriosam. Natus voluptas voluptas sint. Non eum ut blanditiis consequatur ipsa non.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(8,1,'Smart Plug','176',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Sit corporis soluta omnis et nostrum est praesentium. Est temporibus aut quis iste amet ut. Adipisci dolores consequatur quod occaecati vel in eligendi. Placeat fugit nam quidem.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(9,1,'Smart Sprinkler','912',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Sit error cupiditate eum qui quia doloremque. Et deleniti nemo ut sit. Eum ea laborum omnis molestiae distinctio nemo. Ducimus amet sit autem dignissimos voluptatibus.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(10,1,'Kids\' Outdoor Play Set','891',NULL,'0','0',NULL,NULL,NULL,NULL,NULL,1,0,NULL,'Provident numquam porro rem. Vel sed accusamus et eaque.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'goods','active','2024-02-13 04:03:37','2024-02-13 04:03:37',1);
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_activity`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_activity` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int unsigned NOT NULL,
  `activity` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_activity_project_id_foreign` (`project_id`),
  KEY `project_activity_created_at_index` (`created_at`),
  CONSTRAINT `project_activity_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=111 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_activity` WRITE;
/*!40000 ALTER TABLE `project_activity` DISABLE KEYS */;
INSERT INTO `project_activity` VALUES (1,1,'Financial planning and budgeting tool added as new project.','2024-02-13 04:03:36','2024-02-13 04:03:36'),(2,1,'New member added to the project.','2024-02-13 04:03:36','2024-02-13 04:03:36'),(3,1,'New member added to the project.','2024-02-13 04:03:36','2024-02-13 04:03:36'),(4,1,'New member added to the project.','2024-02-13 04:03:36','2024-02-13 04:03:36'),(5,1,'New member added to the project.','2024-02-13 04:03:36','2024-02-13 04:03:36'),(6,1,'New member added to the project.','2024-02-13 04:03:36','2024-02-13 04:03:36'),(7,1,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,1,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,1,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,1,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,1,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,2,'e-Learning platform added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,2,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,2,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,2,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,2,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,2,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,2,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,2,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,2,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(21,2,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(22,2,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(23,3,'Fundraising and donation platform added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(24,3,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(25,3,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,3,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,3,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,3,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,3,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,3,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,3,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,3,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,3,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,4,'Crowdfunding platform for social causes added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,4,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,4,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,4,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,4,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,4,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,4,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,4,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,4,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,4,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,4,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,5,'Web Installation added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,5,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,5,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,5,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,5,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,5,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(51,5,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(52,5,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(53,5,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(54,5,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(55,5,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(56,6,'Live Meeting added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(57,6,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(58,6,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(59,6,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(60,6,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(61,6,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(62,6,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(63,6,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(64,6,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(65,6,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(66,6,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(67,7,'Web development and programming service added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(68,7,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(69,7,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(70,7,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(71,7,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(72,7,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(73,7,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(74,7,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(75,7,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(76,7,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(77,7,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(78,8,'Android Patient Tracker added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(79,8,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(80,8,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(81,8,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(82,8,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(83,8,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(84,8,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(85,8,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(86,8,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(87,8,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(88,8,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(89,9,'Voice Recognition added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(90,9,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(91,9,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(92,9,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(93,9,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(94,9,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(95,9,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(96,9,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(97,9,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(98,9,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(99,9,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(100,10,'Lead generation and sales management service added as new project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(101,10,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(102,10,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(103,10,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(104,10,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(105,10,'New member added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(106,10,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(107,10,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(108,10,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(109,10,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37'),(110,10,'New task added to the project.','2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `project_activity` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_category` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_category_company_id_foreign` (`company_id`),
  KEY `project_category_added_by_foreign` (`added_by`),
  KEY `project_category_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_category_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_category_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_category_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_category` WRITE;
/*!40000 ALTER TABLE `project_category` DISABLE KEYS */;
INSERT INTO `project_category` VALUES (1,1,'Laravel',NULL,NULL,NULL,NULL),(2,1,'Vuejs',NULL,NULL,NULL,NULL),(3,1,'React',NULL,NULL,NULL,NULL),(4,1,'Zend',NULL,NULL,NULL,NULL),(5,1,'CakePhp',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `project_category` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `project_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_files_company_id_foreign` (`company_id`),
  KEY `project_files_user_id_foreign` (`user_id`),
  KEY `project_files_project_id_foreign` (`project_id`),
  KEY `project_files_added_by_foreign` (`added_by`),
  KEY `project_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_files_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_files` WRITE;
/*!40000 ALTER TABLE `project_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_members` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `project_id` int unsigned NOT NULL,
  `hourly_rate` double NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_members_user_id_foreign` (`user_id`),
  KEY `project_members_project_id_foreign` (`project_id`),
  KEY `project_members_added_by_foreign` (`added_by`),
  KEY `project_members_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_members_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_members_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_members_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_members_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_members` WRITE;
/*!40000 ALTER TABLE `project_members` DISABLE KEYS */;
INSERT INTO `project_members` VALUES (1,15,1,97,1,1,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(2,18,1,25,1,1,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(3,14,1,47,1,1,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(4,17,1,64,1,1,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(5,16,1,90,1,1,'2024-02-13 04:03:36','2024-02-13 04:03:36'),(6,1,2,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,23,2,42,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,1,2,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,1,2,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,21,2,96,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,19,3,50,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,16,3,90,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,20,3,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,22,3,81,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,14,3,47,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,2,4,31,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,20,4,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,1,4,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,19,4,50,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,2,4,31,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(21,19,5,50,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(22,20,5,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(23,18,5,25,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(24,2,5,31,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(25,17,5,64,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,2,6,31,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,21,6,96,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,21,6,96,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,1,6,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,21,6,96,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,19,7,50,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,17,7,64,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,15,7,97,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,21,7,96,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,2,7,31,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,16,8,90,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,22,8,81,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,15,8,97,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,17,8,64,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,14,8,47,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,18,9,25,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,14,9,47,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,15,9,97,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,20,9,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,1,9,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,16,10,90,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,15,10,97,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,18,10,25,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,1,10,75,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,21,10,96,1,1,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `project_members` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_milestones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_milestones` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int unsigned DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `milestone_title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `summary` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `cost` double(30,2) NOT NULL,
  `status` enum('complete','incomplete') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'incomplete',
  `invoice_created` tinyint(1) NOT NULL,
  `invoice_id` int DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_milestones_project_id_foreign` (`project_id`),
  KEY `project_milestones_currency_id_foreign` (`currency_id`),
  KEY `project_milestones_added_by_foreign` (`added_by`),
  KEY `project_milestones_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_milestones_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_milestones_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_milestones_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_milestones_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_milestones` WRITE;
/*!40000 ALTER TABLE `project_milestones` DISABLE KEYS */;
INSERT INTO `project_milestones` VALUES (1,1,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',4302.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(2,1,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',3218.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(3,1,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',4000.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(4,1,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',4923.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(5,1,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',1882.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(6,1,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',4475.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(7,1,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',1145.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(8,1,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',930.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(9,1,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',4309.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(10,1,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',3486.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(11,2,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',246.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(12,2,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',3876.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(13,2,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',2286.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(14,2,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',2412.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(15,2,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',2961.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(16,2,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',1463.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(17,2,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',2415.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(18,2,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',2034.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(19,2,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',2843.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(20,2,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',369.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(21,3,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',657.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(22,3,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',2945.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(23,3,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',1415.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(24,3,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',171.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(25,3,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',2179.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(26,3,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',1704.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(27,3,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',696.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(28,3,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',1419.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(29,3,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',4689.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(30,3,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',1391.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(31,4,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',661.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(32,4,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',3627.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(33,4,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',786.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(34,4,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',4138.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(35,4,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',1628.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(36,4,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',2770.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(37,4,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',3278.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(38,4,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',1984.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(39,4,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',379.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(40,4,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',4416.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(41,5,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',3382.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(42,5,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',3008.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(43,5,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',2056.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(44,5,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',2773.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(45,5,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',4612.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(46,5,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',3120.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(47,5,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',1385.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(48,5,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',568.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(49,5,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',4558.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(50,5,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',1608.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(51,6,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',3726.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(52,6,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',423.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(53,6,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',820.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(54,6,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',2367.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(55,6,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',4692.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(56,6,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',4780.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(57,6,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',2578.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(58,6,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',2547.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(59,6,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',1835.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(60,6,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',774.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(61,7,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',1987.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(62,7,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',4842.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(63,7,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',1029.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(64,7,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',1362.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(65,7,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',3741.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(66,7,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',2784.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(67,7,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',2065.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(68,7,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',4171.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(69,7,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',1537.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(70,7,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',4026.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(71,8,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',4202.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(72,8,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',4221.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(73,8,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',1998.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(74,8,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',2517.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(75,8,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',349.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(76,8,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',4146.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(77,8,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',2046.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(78,8,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',4402.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(79,8,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',4444.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(80,8,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',3424.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(81,9,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',3080.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(82,9,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',3568.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(83,9,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',3883.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(84,9,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',2864.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(85,9,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',1980.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(86,9,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',1791.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(87,9,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',4510.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(88,9,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',2229.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(89,9,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',4035.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(90,9,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',3496.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL),(91,10,1,'Project Initiation','Define project objectives, scope, and stakeholders. Obtain project approval and secure necessary resources.',1005.00,'complete',0,NULL,NULL,NULL,'2024-01-14','2024-01-24',NULL,NULL),(92,10,1,'Project Planning','Develop a detailed project plan, including tasks, timelines, and resources. Identify and analyze potential risks.',2158.00,'complete',0,NULL,NULL,NULL,'2024-01-25','2024-02-03',NULL,NULL),(93,10,1,'Kickoff Meeting','Officially launch the project with a meeting to communicate goals, roles, and expectations. Distribute project documentation.',1027.00,'complete',0,NULL,NULL,NULL,'2024-02-04','2024-02-13',NULL,NULL),(94,10,1,'Completion of Project Design','Complete the detailed design of the project deliverables. Ensure that the design aligns with project requirements.',4979.00,'incomplete',0,NULL,NULL,NULL,'2024-02-13','2024-02-23',NULL,NULL),(95,10,1,'Start of Execution/Implementation','Begin the execution phase according to the project plan. Monitor and manage project activities.',4621.00,'incomplete',0,NULL,NULL,NULL,'2024-02-24','2024-03-04',NULL,NULL),(96,10,1,'Mid-Project Review','Conduct a review to assess project progress against the plan. Adjust the plan as needed based on the review.',2420.00,'incomplete',0,NULL,NULL,NULL,'2024-03-05','2024-03-14',NULL,NULL),(97,10,1,'Completion of Testing Phase','Complete testing of project deliverables to ensure quality. Address and resolve any issues identified during testing.',4208.00,'incomplete',0,NULL,NULL,NULL,'2024-03-15','2024-03-24',NULL,NULL),(98,10,1,'Client or Stakeholder Review','Present project progress to clients or stakeholders. Gather feedback and make necessary adjustments.',1103.00,'incomplete',0,NULL,NULL,NULL,'2024-03-25','2024-04-03',NULL,NULL),(99,10,1,'Finalization and Delivery','Complete all remaining tasks and finalize project deliverables. Deliver the completed project to the client or end-users.',3060.00,'incomplete',0,NULL,NULL,NULL,'2024-04-04','2024-04-08',NULL,NULL),(100,10,1,'Project Closure','Conduct a project review to evaluate overall success and lessons learned. Document and archive project information. Celebrate project completion with the project team.',1140.00,'incomplete',0,NULL,NULL,NULL,'2024-04-09','2024-04-13',NULL,NULL);
/*!40000 ALTER TABLE `project_milestones` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int unsigned DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `client_id` int unsigned DEFAULT NULL,
  `is_client_show` tinyint(1) NOT NULL DEFAULT '0',
  `ask_password` tinyint(1) NOT NULL DEFAULT '0',
  `details` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_notes_project_id_foreign` (`project_id`),
  KEY `project_notes_client_id_foreign` (`client_id`),
  KEY `project_notes_added_by_foreign` (`added_by`),
  KEY `project_notes_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_notes_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_notes_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_notes` WRITE;
/*!40000 ALTER TABLE `project_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_ratings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_ratings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `project_id` int unsigned NOT NULL,
  `rating` double NOT NULL DEFAULT '0',
  `comment` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `user_id` int unsigned NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_ratings_project_id_foreign` (`project_id`),
  KEY `project_ratings_user_id_foreign` (`user_id`),
  KEY `project_ratings_added_by_foreign` (`added_by`),
  KEY `project_ratings_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_ratings_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_ratings_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_ratings_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_ratings_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_ratings` WRITE;
/*!40000 ALTER TABLE `project_ratings` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_ratings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_roadmap_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_roadmap_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_roadmap_settings` WRITE;
/*!40000 ALTER TABLE `project_roadmap_settings` DISABLE KEYS */;
INSERT INTO `project_roadmap_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `project_roadmap_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `send_reminder` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `remind_time` int NOT NULL,
  `remind_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `remind_to` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '["admins","members"]',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `project_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_settings` WRITE;
/*!40000 ALTER TABLE `project_settings` DISABLE KEYS */;
INSERT INTO `project_settings` VALUES (1,1,'no',5,'days','[\"admins\",\"members\"]','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `project_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_status_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_status_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `status_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL,
  `default_status` enum('1','0') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_status_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `project_status_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_status_settings` WRITE;
/*!40000 ALTER TABLE `project_status_settings` DISABLE KEYS */;
INSERT INTO `project_status_settings` VALUES (1,1,'in progress','#00b5ff','active','1',NULL,NULL),(2,1,'not started','#616e80','active','0',NULL,NULL),(3,1,'on hold','#f5c308','active','0',NULL,NULL),(4,1,'canceled','#d21010','active','0',NULL,NULL),(5,1,'finished','#679c0d','active','0',NULL,NULL);
/*!40000 ALTER TABLE `project_status_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_template_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_template_members` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `project_template_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_template_members_user_id_foreign` (`user_id`),
  KEY `project_template_members_project_template_id_foreign` (`project_template_id`),
  CONSTRAINT `project_template_members_project_template_id_foreign` FOREIGN KEY (`project_template_id`) REFERENCES `project_templates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_template_members_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_template_members` WRITE;
/*!40000 ALTER TABLE `project_template_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_template_members` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_template_sub_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_template_sub_tasks` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `project_template_task_id` int unsigned NOT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `start_date` datetime DEFAULT NULL,
  `due_date` datetime DEFAULT NULL,
  `status` enum('incomplete','complete') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'incomplete',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_template_sub_tasks_project_template_task_id_foreign` (`project_template_task_id`),
  CONSTRAINT `project_template_sub_tasks_project_template_task_id_foreign` FOREIGN KEY (`project_template_task_id`) REFERENCES `project_template_tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_template_sub_tasks` WRITE;
/*!40000 ALTER TABLE `project_template_sub_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_template_sub_tasks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_template_task_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_template_task_users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `project_template_task_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_template_task_users_project_template_task_id_foreign` (`project_template_task_id`),
  KEY `project_template_task_users_user_id_foreign` (`user_id`),
  CONSTRAINT `project_template_task_users_project_template_task_id_foreign` FOREIGN KEY (`project_template_task_id`) REFERENCES `project_template_tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_template_task_users_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_template_task_users` WRITE;
/*!40000 ALTER TABLE `project_template_task_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_template_task_users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_template_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_template_tasks` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `project_template_id` int unsigned NOT NULL,
  `priority` enum('low','medium','high') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'medium',
  `project_template_task_category_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_template_tasks_project_template_id_foreign` (`project_template_id`),
  KEY `project_template_tasks_project_template_task_category_id_foreign` (`project_template_task_category_id`),
  CONSTRAINT `project_template_tasks_project_template_id_foreign` FOREIGN KEY (`project_template_id`) REFERENCES `project_templates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_template_tasks_project_template_task_category_id_foreign` FOREIGN KEY (`project_template_task_category_id`) REFERENCES `task_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_template_tasks` WRITE;
/*!40000 ALTER TABLE `project_template_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_template_tasks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_templates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `project_summary` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `notes` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `feedback` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `client_view_task` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `allow_client_notification` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `manual_timelog` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `added_by` int NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `project_templates_company_id_foreign` (`company_id`),
  KEY `project_templates_category_id_foreign` (`category_id`),
  KEY `project_templates_client_id_foreign` (`client_id`),
  CONSTRAINT `project_templates_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `project_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_templates_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_templates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_templates` WRITE;
/*!40000 ALTER TABLE `project_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_time_log_breaks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_time_log_breaks` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_time_log_id` int unsigned DEFAULT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  `reason` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `total_hours` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_minutes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_time_log_breaks_company_id_foreign` (`company_id`),
  KEY `project_time_log_breaks_project_time_log_id_foreign` (`project_time_log_id`),
  KEY `project_time_log_breaks_start_time_index` (`start_time`),
  KEY `project_time_log_breaks_end_time_index` (`end_time`),
  KEY `project_time_log_breaks_added_by_foreign` (`added_by`),
  KEY `project_time_log_breaks_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_time_log_breaks_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_log_breaks_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_time_log_breaks_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_log_breaks_project_time_log_id_foreign` FOREIGN KEY (`project_time_log_id`) REFERENCES `project_time_logs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_time_log_breaks` WRITE;
/*!40000 ALTER TABLE `project_time_log_breaks` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_time_log_breaks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_time_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_time_logs` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `task_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `start_time` datetime NOT NULL,
  `end_time` datetime DEFAULT NULL,
  `memo` text COLLATE utf8mb4_unicode_ci,
  `total_hours` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_minutes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `edited_by_user` int unsigned DEFAULT NULL,
  `hourly_rate` int NOT NULL,
  `earnings` int NOT NULL,
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `approved_by` int unsigned DEFAULT NULL,
  `invoice_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `total_break_minutes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_time_logs_company_id_foreign` (`company_id`),
  KEY `project_time_logs_project_id_foreign` (`project_id`),
  KEY `project_time_logs_task_id_foreign` (`task_id`),
  KEY `project_time_logs_user_id_foreign` (`user_id`),
  KEY `project_time_logs_start_time_index` (`start_time`),
  KEY `project_time_logs_end_time_index` (`end_time`),
  KEY `project_time_logs_edited_by_user_foreign` (`edited_by_user`),
  KEY `project_time_logs_approved_by_foreign` (`approved_by`),
  KEY `project_time_logs_invoice_id_foreign` (`invoice_id`),
  KEY `project_time_logs_added_by_foreign` (`added_by`),
  KEY `project_time_logs_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `project_time_logs_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_approved_by_foreign` FOREIGN KEY (`approved_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_edited_by_user_foreign` FOREIGN KEY (`edited_by_user`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_invoice_id_foreign` FOREIGN KEY (`invoice_id`) REFERENCES `invoices` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_time_logs_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_time_logs` WRITE;
/*!40000 ALTER TABLE `project_time_logs` DISABLE KEYS */;
INSERT INTO `project_time_logs` VALUES (1,1,1,5,15,'2024-01-16 11:41:13','2024-01-16 14:41:13','working onqui','3','180',NULL,97,291,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,1,1,5,15,'2024-02-17 00:00:00','2024-02-17 04:00:00','working onillum','4','240',NULL,97,388,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,1,2,10,1,'2024-02-20 00:00:00','2024-02-20 05:00:00','working onquod','5','300',NULL,75,375,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,1,2,10,1,'2024-02-19 00:00:00','2024-02-19 01:00:00','working onnon','1','60',NULL,75,75,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,1,2,10,1,'2024-01-30 07:23:39','2024-01-30 11:23:39','working onmolestiae','4','240',NULL,75,300,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,1,3,15,19,'2024-01-30 15:38:40','2024-01-30 19:38:40','working onvero','4','240',NULL,50,200,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,1,3,15,19,'2024-01-19 10:42:38','2024-01-19 14:42:38','working onimpedit','4','240',NULL,50,200,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,1,3,15,19,'2024-02-05 00:32:34','2024-02-05 02:32:34','working onvoluptatem','2','120',NULL,50,100,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,1,4,20,2,'2024-02-05 08:28:09','2024-02-05 09:28:09','working ondoloremque','1','60',NULL,31,31,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,1,5,25,19,'2024-02-07 20:31:09','2024-02-07 21:31:09','working onnemo','1','60',NULL,50,50,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,1,5,25,19,'2024-01-31 23:12:18','2024-02-01 03:12:18','working oneaque','4','240',NULL,50,200,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,1,5,25,19,'2024-02-13 00:00:00','2024-02-13 05:00:00','working onquam','5','300',NULL,50,250,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,1,6,30,2,'2024-02-18 00:00:00','2024-02-18 05:00:00','working onsoluta','5','300',NULL,31,155,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,1,7,35,19,'2024-02-13 00:00:00','2024-02-13 04:00:00','working onperspiciatis','4','240',NULL,50,200,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,1,8,40,16,'2024-01-24 16:49:38','2024-01-24 21:49:38','working ondolores','5','300',NULL,90,450,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,1,9,45,18,'2024-01-30 19:07:39','2024-01-31 00:07:39','working onassumenda','5','300',NULL,25,125,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,1,9,45,18,'2024-02-02 13:15:20','2024-02-02 14:15:20','working onquis','1','60',NULL,25,25,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,1,9,45,18,'2024-02-02 01:02:10','2024-02-02 04:02:10','working onnobis','3','180',NULL,25,75,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,1,10,50,16,'2024-02-02 10:01:21','2024-02-02 13:01:21','working ontotam','3','180',NULL,90,270,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,1,10,50,16,'2024-02-04 07:17:07','2024-02-04 09:17:07','working onpossimus','2','120',NULL,90,180,1,NULL,NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `project_time_logs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `project_user_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `project_user_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `project_note_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `project_user_notes_user_id_foreign` (`user_id`),
  KEY `project_user_notes_project_note_id_foreign` (`project_note_id`),
  CONSTRAINT `project_user_notes_project_note_id_foreign` FOREIGN KEY (`project_note_id`) REFERENCES `project_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `project_user_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `project_user_notes` WRITE;
/*!40000 ALTER TABLE `project_user_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `project_user_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `projects` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `project_short_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `project_summary` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `project_admin` int unsigned DEFAULT NULL,
  `start_date` date NOT NULL,
  `deadline` date DEFAULT NULL,
  `notes` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `category_id` int unsigned DEFAULT NULL,
  `client_id` int unsigned DEFAULT NULL,
  `team_id` int unsigned DEFAULT NULL,
  `feedback` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `manual_timelog` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `client_view_task` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `allow_client_notification` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `completion_percent` tinyint NOT NULL,
  `calculate_task_progress` enum('true','false') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'true',
  `project_budget` double(20,2) DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `hours_allocated` double(30,2) DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'in progress',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `public` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `enable_miroboard` tinyint(1) NOT NULL DEFAULT '0',
  `miro_board_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client_access` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `projects_company_id_foreign` (`company_id`),
  KEY `projects_project_admin_foreign` (`project_admin`),
  KEY `projects_category_id_foreign` (`category_id`),
  KEY `projects_client_id_foreign` (`client_id`),
  KEY `projects_team_id_foreign` (`team_id`),
  KEY `projects_currency_id_foreign` (`currency_id`),
  KEY `projects_added_by_foreign` (`added_by`),
  KEY `projects_last_updated_by_foreign` (`last_updated_by`),
  KEY `projects_deleted_at_index` (`deleted_at`),
  CONSTRAINT `projects_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `projects_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `project_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `projects_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `projects_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `projects_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `projects_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `projects_project_admin_foreign` FOREIGN KEY (`project_admin`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `projects_team_id_foreign` FOREIGN KEY (`team_id`) REFERENCES `teams` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `projects` WRITE;
/*!40000 ALTER TABLE `projects` DISABLE KEYS */;
INSERT INTO `projects` VALUES (1,1,'Financial planning and budgeting tool','FPABT','Quibusdam aperiam assumenda tempora unde veritatis error reprehenderit. Saepe quia fugiat perspiciatis et commodi nesciunt odio doloribus. Blanditiis ut cum sit reiciendis temporibus quasi.',NULL,'2023-12-13','2024-04-13','Rerum aspernatur in pariatur. Voluptas laboriosam non sunt temporibus at suscipit. Facilis velit dolorem commodi est veniam. Maiores asperiores iste ipsa accusamus. Eius voluptate omnis et rerum aut nulla.',4,13,NULL,'I\'d hardly finished the guinea-pigs!\' thought Alice. \'I don\'t see,\' said the Gryphon: and Alice was a dead silence instantly, and Alice was beginning very angrily, but the Dormouse sulkily remarked.','disable','disable','disable',53,'false',NULL,1,NULL,'in progress',1,NULL,'ba17128dcb374c256f53763045a250af',0,'2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,0),(2,1,'e-Learning platform','EP','Aut voluptatem molestias minima aut praesentium et. Rerum quibusdam aut dolorem est labore aut molestiae officiis. Quo voluptatibus eos sint vel. Exercitationem est suscipit ducimus aliquid esse eum saepe.',NULL,'2023-10-13','2024-02-13','Eum tempore fugiat itaque deserunt et aut. Qui autem qui quia eos consequuntur minima quia. Eius sed est nesciunt. Ipsum deleniti ad accusantium vel sit sit.',1,7,NULL,'Alice. \'Call it what you mean,\' said Alice. \'You did,\' said the Hatter: \'I\'m on the Duchess\'s knee, while plates and dishes crashed around it--once more the shriek of the sort. Next came an angry.','disable','disable','disable',59,'false',NULL,1,NULL,'in progress',1,NULL,'e282fee8e430bd03fcaf5ea0d1b4b81e',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(3,1,'Fundraising and donation platform','FADP','Aliquam accusantium enim odit voluptas libero est vel. Itaque dolorum sit repudiandae impedit pariatur. Beatae ut corrupti sint ullam perferendis aperiam. Enim sit accusamus quod saepe autem. Quia ratione eligendi corrupti.',NULL,'2023-10-13','2024-02-13','Hic dolorem dolorem iste animi cupiditate. Est autem nam repudiandae ut atque. Doloribus doloribus omnis qui rerum distinctio necessitatibus. Necessitatibus et beatae explicabo libero voluptas ratione suscipit pariatur.',2,7,NULL,'Queen: so she went on muttering over the wig, (look at the stick, and tumbled head over heels in its sleep \'Twinkle, twinkle, twinkle, twinkle--\' and went in. The door led right into it. \'That\'s.','disable','disable','disable',47,'false',NULL,1,NULL,'in progress',1,NULL,'a656c7acf5ec8cf7d1e23bdc78973b14',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(4,1,'Crowdfunding platform for social causes','CPFSC','Tempore ea et sequi fugit alias non. Voluptatum mollitia modi minus natus. Mollitia inventore sed impedit et deleniti non officia.',NULL,'2023-12-13','2024-04-13','Dolor dignissimos a perspiciatis quam. Temporibus dolor sunt tempore in. Corporis incidunt exercitationem sit sunt mollitia quam nam ex. Quod alias sunt beatae consequatur.',2,9,NULL,'Alice put down the chimney?--Nay, I shan\'t! YOU do it!--That I won\'t, then!--Bill\'s to go on in these words: \'Yes, we went to school every day--\' \'I\'VE been to the end: then stop.\' These were the.','disable','disable','disable',93,'false',NULL,1,NULL,'in progress',1,NULL,'ceba7e1484d4868c8052e60a8dc15356',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(5,1,'Web Installation','WI','Voluptas nulla sequi non est officia. Ipsum voluptas nemo quibusdam aliquam rem. Ad commodi veritatis explicabo reiciendis ut nesciunt provident dolore.',NULL,'2023-10-13','2024-02-13','Eligendi culpa dolorem sunt deserunt. Rem aliquam aut non repudiandae. Voluptas quia ut qui beatae. Tenetur voluptas quo occaecati doloribus dignissimos at est.',5,4,NULL,'And with that she remained the same height as herself; and when she turned to the seaside once in a melancholy way, being quite unable to move. She soon got it out to her lips. \'I know what a dear.','disable','disable','disable',93,'false',NULL,1,NULL,'in progress',1,NULL,'824380fe28cd069b87e68e56b3619de2',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(6,1,'Live Meeting','LM','Fuga iure quo nam magnam. Accusamus cumque non qui neque quam fugit. Doloribus voluptas ut similique itaque.',NULL,'2023-12-13','2024-04-13','Cumque fuga repudiandae laboriosam expedita nisi esse. Dignissimos molestias in rem id. Ut delectus consequuntur aut sequi possimus. Quo necessitatibus voluptas nulla sint nesciunt.',2,9,NULL,'Alice\'s great surprise, the Duchess\'s voice died away, even in the distance, and she ran off as hard as he wore his crown over the list, feeling very glad to find that she remained the same size: to.','disable','disable','disable',56,'false',NULL,1,NULL,'in progress',1,NULL,'0c41d10191152341a1307cc6d8246008',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(7,1,'Web development and programming service','WDAPS','Quaerat impedit praesentium sit optio sapiente iste. Accusamus omnis illum voluptatem ullam voluptatibus quia sed. Similique et nesciunt suscipit.',NULL,'2023-12-13','2024-04-13','Voluptatum molestiae dignissimos dolorem ut atque. Aspernatur est quibusdam doloremque incidunt.',3,13,NULL,'CHAPTER VIII. The Queen\'s Croquet-Ground A large rose-tree stood near the right words,\' said poor Alice, \'it would be of very little way out of its mouth open, gazing up into hers--she could hear.','disable','disable','disable',80,'false',NULL,1,NULL,'in progress',1,NULL,'3ce83192db0744dc9e506a888fd4295b',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(8,1,'Android Patient Tracker','APT','Sed temporibus animi aliquam cum. Minima numquam quia modi natus ad hic. Necessitatibus earum aut nihil omnis totam.',NULL,'2023-12-13','2024-04-13','Earum sequi qui veniam unde. Eaque minus illo in. Sed enim optio est eligendi.',4,3,NULL,'I to do?\' said Alice. \'Call it what you were me?\' \'Well, perhaps your feelings may be ONE.\' \'One, indeed!\' said the Cat, and vanished again. Alice waited a little, and then added them up, and began.','disable','disable','disable',76,'false',NULL,1,NULL,'in progress',1,NULL,'20feb98987e2550eb78b303d150ef220',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(9,1,'Voice Recognition','VR','Doloremque est quam est ut. Quasi cupiditate dolore facere harum. Voluptatem debitis labore praesentium blanditiis. Placeat beatae qui molestiae molestiae omnis fugit.',NULL,'2024-01-13','2024-05-13','Ut dolores iure velit laboriosam sint eos natus. Cupiditate voluptatibus exercitationem molestiae animi error quis. Voluptatibus quo unde repudiandae dolorem autem saepe. Pariatur suscipit aut voluptatem illum.',5,11,NULL,'Alice sharply, for she was as much as she could. \'No,\' said the youth, \'and your jaws are too weak For anything tougher than suet; Yet you balanced an eel on the stairs. Alice knew it was labelled.','disable','disable','disable',57,'false',NULL,1,NULL,'in progress',1,NULL,'b733fcb02793a7db3db692b610579314',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0),(10,1,'Lead generation and sales management service','LGASMS','Officia odio non non veritatis quas aut recusandae. Aut repudiandae cumque iste labore et suscipit consequuntur.',NULL,'2023-11-13','2024-03-13','Ipsam ea velit nulla facere. Cum saepe pariatur nemo sit consequatur non. Temporibus earum consequatur ut dolorem temporibus illum. Quis ad tempore cum perspiciatis provident molestias.',4,13,NULL,'This of course, to begin lessons: you\'d only have to fly; and the constant heavy sobbing of the Queen\'s absence, and were resting in the sea, some children digging in the way out of a well--\' \'What.','disable','disable','disable',60,'false',NULL,1,NULL,'in progress',1,NULL,'bb775edb6f54425ce1667cdfa71b3cda',0,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL,0,NULL,0);
/*!40000 ALTER TABLE `projects` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposal_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposal_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `proposal_item_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `proposal_item_images_proposal_item_id_foreign` (`proposal_item_id`),
  CONSTRAINT `proposal_item_images_proposal_item_id_foreign` FOREIGN KEY (`proposal_item_id`) REFERENCES `proposal_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposal_item_images` WRITE;
/*!40000 ALTER TABLE `proposal_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposal_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposal_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposal_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `proposal_id` int unsigned NOT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('item','discount','tax') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(30,2) NOT NULL,
  `unit_price` double(30,2) NOT NULL,
  `amount` double(30,2) NOT NULL,
  `item_summary` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `taxes` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `proposal_items_proposal_id_foreign` (`proposal_id`),
  KEY `proposal_items_unit_id_foreign` (`unit_id`),
  KEY `proposal_items_product_id_foreign` (`product_id`),
  CONSTRAINT `proposal_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `proposal_items_proposal_id_foreign` FOREIGN KEY (`proposal_id`) REFERENCES `proposals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposal_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposal_items` WRITE;
/*!40000 ALTER TABLE `proposal_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposal_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposal_signs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposal_signs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `proposal_id` int unsigned NOT NULL,
  `full_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `signature` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `proposal_signs_proposal_id_foreign` (`proposal_id`),
  CONSTRAINT `proposal_signs_proposal_id_foreign` FOREIGN KEY (`proposal_id`) REFERENCES `proposals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposal_signs` WRITE;
/*!40000 ALTER TABLE `proposal_signs` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposal_signs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposal_template_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposal_template_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `proposal_template_item_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `proposal_template_item_images_company_id_foreign` (`company_id`),
  KEY `proposal_template_item_images_proposal_template_item_id_foreign` (`proposal_template_item_id`),
  CONSTRAINT `proposal_template_item_images_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposal_template_item_images_proposal_template_item_id_foreign` FOREIGN KEY (`proposal_template_item_id`) REFERENCES `proposal_template_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposal_template_item_images` WRITE;
/*!40000 ALTER TABLE `proposal_template_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposal_template_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposal_template_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposal_template_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `proposal_template_id` bigint unsigned NOT NULL,
  `hsn_sac_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('item','discount','tax') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double NOT NULL,
  `unit_price` double NOT NULL,
  `amount` double NOT NULL,
  `item_summary` text COLLATE utf8mb4_unicode_ci,
  `taxes` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `proposal_template_items_company_id_foreign` (`company_id`),
  KEY `proposal_template_items_proposal_template_id_foreign` (`proposal_template_id`),
  KEY `proposal_template_items_unit_id_foreign` (`unit_id`),
  KEY `proposal_template_items_product_id_foreign` (`product_id`),
  CONSTRAINT `proposal_template_items_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposal_template_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `proposal_template_items_proposal_template_id_foreign` FOREIGN KEY (`proposal_template_id`) REFERENCES `proposal_templates` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposal_template_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposal_template_items` WRITE;
/*!40000 ALTER TABLE `proposal_template_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposal_template_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposal_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposal_templates` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sub_total` double NOT NULL,
  `total` double NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `discount_type` enum('percent','fixed') COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount` double NOT NULL,
  `invoice_convert` tinyint(1) NOT NULL DEFAULT '0',
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `client_comment` text COLLATE utf8mb4_unicode_ci,
  `signature_approval` tinyint(1) NOT NULL DEFAULT '1',
  `hash` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `proposal_templates_company_id_foreign` (`company_id`),
  KEY `proposal_templates_added_by_foreign` (`added_by`),
  KEY `proposal_templates_last_updated_by_foreign` (`last_updated_by`),
  KEY `proposal_templates_currency_id_foreign` (`currency_id`),
  CONSTRAINT `proposal_templates_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `proposal_templates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposal_templates_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposal_templates_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposal_templates` WRITE;
/*!40000 ALTER TABLE `proposal_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposal_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `proposals`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `proposals` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `deal_id` bigint unsigned DEFAULT NULL,
  `valid_till` date NOT NULL,
  `sub_total` double(30,2) NOT NULL,
  `total` double(30,2) NOT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `discount_type` enum('percent','fixed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `discount` double NOT NULL,
  `invoice_convert` tinyint(1) NOT NULL DEFAULT '0',
  `status` enum('declined','accepted','waiting') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `note` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `client_comment` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `signature_approval` tinyint(1) NOT NULL DEFAULT '1',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `calculate_tax` enum('after_discount','before_discount') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `last_viewed` timestamp NULL DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `send_status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `proposals_company_id_foreign` (`company_id`),
  KEY `proposals_currency_id_foreign` (`currency_id`),
  KEY `proposals_added_by_foreign` (`added_by`),
  KEY `proposals_last_updated_by_foreign` (`last_updated_by`),
  KEY `proposals_deal_id_foreign` (`deal_id`),
  CONSTRAINT `proposals_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `proposals_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposals_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposals_deal_id_foreign` FOREIGN KEY (`deal_id`) REFERENCES `deals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `proposals_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `proposals` WRITE;
/*!40000 ALTER TABLE `proposals` DISABLE KEYS */;
/*!40000 ALTER TABLE `proposals` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_bill_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_bill_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned DEFAULT NULL,
  `purchase_bill_id` int unsigned DEFAULT NULL,
  `purchase_order_id` int unsigned DEFAULT NULL,
  `purchase_order` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` int DEFAULT NULL,
  `bill_date` date DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `label` text COLLATE utf8mb4_unicode_ci,
  `details` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_bill_histories_company_id_foreign` (`company_id`),
  KEY `purchase_bill_histories_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_bill_histories_purchase_bill_id_foreign` (`purchase_bill_id`),
  KEY `purchase_bill_histories_purchase_order_id_foreign` (`purchase_order_id`),
  KEY `purchase_bill_histories_user_id_foreign` (`user_id`),
  CONSTRAINT `purchase_bill_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_bill_histories_purchase_bill_id_foreign` FOREIGN KEY (`purchase_bill_id`) REFERENCES `purchase_bills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_bill_histories_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_bill_histories_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_bill_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_bill_histories` WRITE;
/*!40000 ALTER TABLE `purchase_bill_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_bill_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_bills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_bills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_bill_number` int NOT NULL,
  `purchase_vendor_id` int unsigned NOT NULL,
  `bill_date` date DEFAULT NULL,
  `purchase_order_id` int unsigned DEFAULT NULL,
  `discount` double(16,2) NOT NULL DEFAULT '0.00',
  `sub_total` double(16,2) NOT NULL DEFAULT '0.00',
  `total` double(16,2) NOT NULL DEFAULT '0.00',
  `discount_type` enum('percent','fixed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `status` enum('draft','open','paid','partially_paid') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'draft',
  `note` text COLLATE utf8mb4_unicode_ci,
  `credit_note` tinyint(1) NOT NULL DEFAULT '0',
  `due_amount` double(8,2) NOT NULL DEFAULT '0.00',
  `added_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_bills_company_id_foreign` (`company_id`),
  KEY `purchase_bills_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_bills_purchase_order_id_foreign` (`purchase_order_id`),
  KEY `purchase_bills_added_by_foreign` (`added_by`),
  CONSTRAINT `purchase_bills_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_bills_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_bills_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_bills_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_bills` WRITE;
/*!40000 ALTER TABLE `purchase_bills` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_bills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_inventory_adjustment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_inventory_adjustment` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `reason_id` int unsigned DEFAULT NULL,
  `type` enum('quantity','value') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'quantity',
  `date` date DEFAULT NULL,
  `default_image` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_inventory_adjustment_company_id_foreign` (`company_id`),
  KEY `purchase_inventory_adjustment_reason_id_foreign` (`reason_id`),
  CONSTRAINT `purchase_inventory_adjustment_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_adjustment_reason_id_foreign` FOREIGN KEY (`reason_id`) REFERENCES `purchase_stock_adjustment_reasons` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_inventory_adjustment` WRITE;
/*!40000 ALTER TABLE `purchase_inventory_adjustment` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_inventory_adjustment` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_inventory_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_inventory_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `inventory_id` int unsigned DEFAULT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_inventory_files_company_id_foreign` (`company_id`),
  KEY `purchase_inventory_files_inventory_id_foreign` (`inventory_id`),
  KEY `project_files_added_by_foreign` (`added_by`),
  KEY `project_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `purchase_inventory_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_files_inventory_id_foreign` FOREIGN KEY (`inventory_id`) REFERENCES `purchase_inventory_adjustment` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_inventory_files` WRITE;
/*!40000 ALTER TABLE `purchase_inventory_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_inventory_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_inventory_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_inventory_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `inventory_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `product_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `net_quantity` double(16,2) DEFAULT NULL,
  `quantity_adjustment` int DEFAULT '0',
  `changed_value` double(16,2) DEFAULT '0.00',
  `adjusted_value` double(16,2) DEFAULT '0.00',
  `purchase_inventory_files_id` int unsigned DEFAULT NULL,
  `label` text COLLATE utf8mb4_unicode_ci,
  `details` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_inventory_histories_company_id_foreign` (`company_id`),
  KEY `purchase_inventory_histories_inventory_id_foreign` (`inventory_id`),
  KEY `purchase_inventory_histories_user_id_foreign` (`user_id`),
  KEY `purchase_inventory_histories_purchase_inventory_files_id_foreign` (`purchase_inventory_files_id`),
  CONSTRAINT `purchase_inventory_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_histories_inventory_id_foreign` FOREIGN KEY (`inventory_id`) REFERENCES `purchase_inventory_adjustment` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_histories_purchase_inventory_files_id_foreign` FOREIGN KEY (`purchase_inventory_files_id`) REFERENCES `purchase_inventory_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_inventory_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_inventory_histories` WRITE;
/*!40000 ALTER TABLE `purchase_inventory_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_inventory_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `purchase_item_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_item_images_purchase_item_id_foreign` (`purchase_item_id`),
  CONSTRAINT `purchase_item_images_purchase_item_id_foreign` FOREIGN KEY (`purchase_item_id`) REFERENCES `purchase_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_item_images` WRITE;
/*!40000 ALTER TABLE `purchase_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_item_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_item_taxes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_id` int unsigned DEFAULT NULL,
  `purchase_item_id` int unsigned DEFAULT NULL,
  `tax_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_item_taxes_purchase_order_id_foreign` (`purchase_order_id`),
  KEY `purchase_item_taxes_purchase_item_id_foreign` (`purchase_item_id`),
  KEY `purchase_item_taxes_tax_id_foreign` (`tax_id`),
  CONSTRAINT `purchase_item_taxes_purchase_item_id_foreign` FOREIGN KEY (`purchase_item_id`) REFERENCES `purchase_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_item_taxes_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_item_taxes_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `taxes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_item_taxes` WRITE;
/*!40000 ALTER TABLE `purchase_item_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_item_taxes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_order_id` int unsigned DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  `item_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_summary` text COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(16,2) NOT NULL DEFAULT '0.00',
  `unit_price` double(16,2) NOT NULL DEFAULT '0.00',
  `amount` double(16,2) NOT NULL DEFAULT '0.00',
  `hsn_sac_code` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_items_company_id_foreign` (`company_id`),
  KEY `purchase_items_purchase_order_id_foreign` (`purchase_order_id`),
  KEY `purchase_items_unit_id_foreign` (`unit_id`),
  KEY `purchase_items_product_id_foreign` (`product_id`),
  CONSTRAINT `purchase_items_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_items_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_items` WRITE;
/*!40000 ALTER TABLE `purchase_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_management_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_management_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_management_settings` WRITE;
/*!40000 ALTER TABLE `purchase_management_settings` DISABLE KEYS */;
INSERT INTO `purchase_management_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `purchase_management_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_notification_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `setting_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `send_email` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_notification_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `purchase_notification_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_notification_settings` WRITE;
/*!40000 ALTER TABLE `purchase_notification_settings` DISABLE KEYS */;
INSERT INTO `purchase_notification_settings` VALUES (1,1,'new-purchase-order','New Purchase Order','yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'new-purchase-bill','New Purchase Bill','yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'admin-new-vendor-payment','Admin New Vendor Payment','yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'update-new-vendor-payment','Update New Vendor Payment','yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'vendor-credit','Vendor Credit','yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(6,1,'new-purchase-inventory','New Purchase Inventory','yes','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `purchase_notification_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_order_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_order_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `purchase_order_id` int unsigned NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `filename` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_files_invoice_id_foreign` (`purchase_order_id`),
  KEY `purchase_files_added_by_foreign` (`added_by`),
  KEY `purchase_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `purchase_order_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_files_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_order_files` WRITE;
/*!40000 ALTER TABLE `purchase_order_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_order_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_order_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_order_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned DEFAULT NULL,
  `purchase_order_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `label` text COLLATE utf8mb4_unicode_ci,
  `details` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_order_histories_company_id_foreign` (`company_id`),
  KEY `purchase_order_histories_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_order_histories_purchase_order_id_foreign` (`purchase_order_id`),
  KEY `purchase_order_histories_user_id_foreign` (`user_id`),
  CONSTRAINT `purchase_order_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_histories_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_histories_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_order_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_order_histories` WRITE;
/*!40000 ALTER TABLE `purchase_order_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_order_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_order_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_order_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_prefix` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT 'PO',
  `purchase_number_separator` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT '#',
  `purchase_number_digit` int DEFAULT '3',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_order_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `purchase_order_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_order_settings` WRITE;
/*!40000 ALTER TABLE `purchase_order_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_order_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_orders` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_order_number` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `vendor_id` int unsigned DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  `address_id` bigint unsigned DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `default_currency_id` int unsigned DEFAULT NULL,
  `exchange_rate` double(16,2) DEFAULT NULL,
  `purchase_date` date DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `expected_delivery_date` date DEFAULT NULL,
  `discount` double(16,2) NOT NULL DEFAULT '0.00',
  `sub_total` double(16,2) NOT NULL DEFAULT '0.00',
  `total` double(16,2) NOT NULL DEFAULT '0.00',
  `discount_type` enum('percent','fixed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `send_status` tinyint(1) DEFAULT '0',
  `purchase_status` enum('draft','open','issued','accepted','rejected','canceled','closed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `billed_status` enum('billed','unbilled') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unbilled',
  `delivery_status` enum('delivered','delivery_failed','in_transaction','not_started') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'not_started',
  `calculate_tax` enum('after_discount','before_discount') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_orders_company_id_foreign` (`company_id`),
  KEY `purchase_orders_vendor_id_foreign` (`vendor_id`),
  KEY `purchase_orders_bank_account_id_foreign` (`bank_account_id`),
  KEY `purchase_orders_address_id_foreign` (`address_id`),
  KEY `purchase_orders_currency_id_foreign` (`currency_id`),
  KEY `purchase_orders_default_currency_id_foreign` (`default_currency_id`),
  KEY `purchase_orders_added_by_foreign` (`added_by`),
  KEY `purchase_orders_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `purchase_orders_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_address_id_foreign` FOREIGN KEY (`address_id`) REFERENCES `company_addresses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_default_currency_id_foreign` FOREIGN KEY (`default_currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_orders_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_orders` WRITE;
/*!40000 ALTER TABLE `purchase_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_orders` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_payment_bills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_payment_bills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `purchase_vendor_payment_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned DEFAULT NULL,
  `purchase_bill_id` int unsigned DEFAULT NULL,
  `purchase_vendor_credits_id` int unsigned DEFAULT NULL,
  `gateway` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_paid` double(16,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_payment_bills_purchase_vendor_payment_id_foreign` (`purchase_vendor_payment_id`),
  KEY `purchase_payment_bills_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_payment_bills_purchase_bill_id_foreign` (`purchase_bill_id`),
  KEY `purchase_payment_bills_purchase_vendor_credits_id_foreign` (`purchase_vendor_credits_id`),
  CONSTRAINT `purchase_payment_bills_purchase_bill_id_foreign` FOREIGN KEY (`purchase_bill_id`) REFERENCES `purchase_bills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_bills_purchase_vendor_credits_id_foreign` FOREIGN KEY (`purchase_vendor_credits_id`) REFERENCES `purchase_vendor_credits` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_bills_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_bills_purchase_vendor_payment_id_foreign` FOREIGN KEY (`purchase_vendor_payment_id`) REFERENCES `purchase_vendor_payments` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_payment_bills` WRITE;
/*!40000 ALTER TABLE `purchase_payment_bills` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_payment_bills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_payment_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_payment_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned DEFAULT NULL,
  `purchase_payment_id` int unsigned DEFAULT NULL,
  `purchase_order_id` int unsigned DEFAULT NULL,
  `purchase_order` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_bill_id` int unsigned DEFAULT NULL,
  `amount` double(16,2) DEFAULT '0.00',
  `user_id` int unsigned DEFAULT NULL,
  `details` text COLLATE utf8mb4_unicode_ci,
  `label` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_payment_histories_company_id_foreign` (`company_id`),
  KEY `purchase_payment_histories_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_payment_histories_purchase_payment_id_foreign` (`purchase_payment_id`),
  KEY `purchase_payment_histories_purchase_order_id_foreign` (`purchase_order_id`),
  KEY `purchase_payment_histories_purchase_bill_id_foreign` (`purchase_bill_id`),
  KEY `purchase_payment_histories_user_id_foreign` (`user_id`),
  CONSTRAINT `purchase_payment_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_histories_purchase_bill_id_foreign` FOREIGN KEY (`purchase_bill_id`) REFERENCES `purchase_bills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_histories_purchase_order_id_foreign` FOREIGN KEY (`purchase_order_id`) REFERENCES `purchase_orders` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_histories_purchase_payment_id_foreign` FOREIGN KEY (`purchase_payment_id`) REFERENCES `purchase_vendor_payments` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_histories_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_payment_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_payment_histories` WRITE;
/*!40000 ALTER TABLE `purchase_payment_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_payment_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_product_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_product_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_product_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `label` text COLLATE utf8mb4_unicode_ci,
  `details` text COLLATE utf8mb4_unicode_ci,
  `type` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_product_histories_company_id_foreign` (`company_id`),
  KEY `purchase_product_histories_purchase_product_id_foreign` (`purchase_product_id`),
  KEY `purchase_product_histories_user_id_foreign` (`user_id`),
  CONSTRAINT `purchase_product_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_product_histories_purchase_product_id_foreign` FOREIGN KEY (`purchase_product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_product_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_product_histories` WRITE;
/*!40000 ALTER TABLE `purchase_product_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_product_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_order_prefix` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'PO',
  `purchase_order_number_separator` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `purchase_order_number_digit` int NOT NULL DEFAULT '3',
  `bill_prefix` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'PO',
  `bill_number_separator` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `bill_number_digit` int NOT NULL DEFAULT '3',
  `vendor_credit_prefix` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'VC',
  `vendor_credit_number_seprator` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#',
  `vendor_credit_number_digit` int NOT NULL DEFAULT '3',
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_settings` WRITE;
/*!40000 ALTER TABLE `purchase_settings` DISABLE KEYS */;
INSERT INTO `purchase_settings` VALUES (1,1,'PO','#',3,'BL','#',3,'VC','#',3,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `purchase_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_stock_adjustment_reasons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_stock_adjustment_reasons` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_stock_adjustment_reasons_company_id_foreign` (`company_id`),
  CONSTRAINT `purchase_stock_adjustment_reasons_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_stock_adjustment_reasons` WRITE;
/*!40000 ALTER TABLE `purchase_stock_adjustment_reasons` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_stock_adjustment_reasons` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_stock_adjustments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_stock_adjustments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `inventory_id` int unsigned DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  `reason_id` int unsigned DEFAULT NULL,
  `type` enum('quantity','value') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'quantity',
  `date` date DEFAULT NULL,
  `reference_number` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `net_quantity` double(16,2) DEFAULT NULL,
  `quantity_adjustment` int DEFAULT '0',
  `description` text COLLATE utf8mb4_unicode_ci,
  `status` enum('draft','converted') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'draft',
  `changed_value` double(16,2) DEFAULT '0.00',
  `adjusted_value` double(16,2) DEFAULT '0.00',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_stock_adjustments_company_id_foreign` (`company_id`),
  KEY `purchase_stock_adjustments_inventory_id_foreign` (`inventory_id`),
  KEY `purchase_stock_adjustments_product_id_foreign` (`product_id`),
  KEY `purchase_stock_adjustments_reason_id_foreign` (`reason_id`),
  CONSTRAINT `purchase_stock_adjustments_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_stock_adjustments_inventory_id_foreign` FOREIGN KEY (`inventory_id`) REFERENCES `purchase_inventory_adjustment` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_stock_adjustments_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_stock_adjustments_reason_id_foreign` FOREIGN KEY (`reason_id`) REFERENCES `purchase_stock_adjustment_reasons` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_stock_adjustments` WRITE;
/*!40000 ALTER TABLE `purchase_stock_adjustments` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_stock_adjustments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_contacts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_contacts_company_id_foreign` (`company_id`),
  KEY `purchase_vendor_contacts_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  CONSTRAINT `purchase_vendor_contacts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_contacts_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_contacts` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_contacts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_credit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_credit_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_credit_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned DEFAULT NULL,
  `amount` int DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `label` text COLLATE utf8mb4_unicode_ci,
  `details` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_credit_histories_company_id_foreign` (`company_id`),
  KEY `purchase_vendor_credit_histories_purchase_credit_id_foreign` (`purchase_credit_id`),
  KEY `purchase_vendor_credit_histories_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_vendor_credit_histories_user_id_foreign` (`user_id`),
  CONSTRAINT `purchase_vendor_credit_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credit_histories_purchase_credit_id_foreign` FOREIGN KEY (`purchase_credit_id`) REFERENCES `purchase_vendor_credits` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credit_histories_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credit_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_credit_histories` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_credit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_credit_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_credit_item_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_credit_item_images` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `vendor_item_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_item_images_vendor_item_id_foreign` (`vendor_item_id`),
  CONSTRAINT `purchase_vendor_credit_item_images_vendor_item_id_foreign` FOREIGN KEY (`vendor_item_id`) REFERENCES `purchase_vendor_items` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_credit_item_images` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_credit_item_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_credit_item_images` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_credits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_credits` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `vendor_id` int unsigned DEFAULT NULL,
  `credit_note_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `credit_date` date DEFAULT NULL,
  `currency_id` int unsigned NOT NULL,
  `sub_total` double(16,2) NOT NULL,
  `discount` double NOT NULL DEFAULT '0',
  `discount_type` enum('percent','fixed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'percent',
  `total` double(16,2) NOT NULL,
  `status` enum('open','closed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `hash` text COLLATE utf8mb4_unicode_ci,
  `calculate_tax` enum('after_discount','before_discount') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'after_discount',
  `note` text COLLATE utf8mb4_unicode_ci,
  `send_status` tinyint(1) NOT NULL DEFAULT '1',
  `product_id` int unsigned DEFAULT NULL,
  `bill_id` int unsigned DEFAULT NULL,
  `payment_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_credits_company_id_foreign` (`company_id`),
  KEY `purchase_vendor_credits_vendor_id_foreign` (`vendor_id`),
  KEY `purchase_vendor_credits_currency_id_foreign` (`currency_id`),
  KEY `purchase_vendor_credits_product_id_foreign` (`product_id`),
  KEY `purchase_vendor_credits_bill_id_foreign` (`bill_id`),
  KEY `purchase_vendor_credits_payment_id_foreign` (`payment_id`),
  KEY `purchase_vendor_credits_added_by_foreign` (`added_by`),
  KEY `purchase_vendor_credits_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `purchase_vendor_credits_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_bill_id_foreign` FOREIGN KEY (`bill_id`) REFERENCES `purchase_bills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_payment_id_foreign` FOREIGN KEY (`payment_id`) REFERENCES `purchase_vendor_payments` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_credits_vendor_id_foreign` FOREIGN KEY (`vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_credits` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_credits` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_credits` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_histories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned DEFAULT NULL,
  `purchase_vendor_notes_id` int unsigned DEFAULT NULL,
  `purchase_vendor_contact_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `details` text COLLATE utf8mb4_unicode_ci,
  `label` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_histories_company_id_foreign` (`company_id`),
  KEY `purchase_vendor_histories_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_vendor_histories_purchase_vendor_notes_id_foreign` (`purchase_vendor_notes_id`),
  KEY `purchase_vendor_histories_purchase_vendor_contact_id_foreign` (`purchase_vendor_contact_id`),
  KEY `purchase_vendor_histories_user_id_foreign` (`user_id`),
  CONSTRAINT `purchase_vendor_histories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_histories_purchase_vendor_contact_id_foreign` FOREIGN KEY (`purchase_vendor_contact_id`) REFERENCES `purchase_vendor_contacts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_histories_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_histories_purchase_vendor_notes_id_foreign` FOREIGN KEY (`purchase_vendor_notes_id`) REFERENCES `purchase_vendor_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_histories` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `credit_id` int unsigned DEFAULT NULL,
  `item_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `item_summary` text COLLATE utf8mb4_unicode_ci,
  `type` enum('item','discount','tax') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'item',
  `quantity` double(16,2) NOT NULL,
  `unit_price` double(16,2) NOT NULL,
  `amount` double(16,2) NOT NULL,
  `taxes` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_id` int unsigned DEFAULT NULL,
  `unit_id` bigint unsigned DEFAULT NULL,
  `hsn_sac_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_items_credit_id_foreign` (`credit_id`),
  KEY `purchase_vendor_items_product_id_foreign` (`product_id`),
  KEY `purchase_vendor_items_unit_id_foreign` (`unit_id`),
  CONSTRAINT `purchase_vendor_items_credit_id_foreign` FOREIGN KEY (`credit_id`) REFERENCES `purchase_vendor_credits` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_items_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_items_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `unit_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_items` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `purchase_vendor_id` int unsigned NOT NULL,
  `note_title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `note_type` tinyint(1) NOT NULL DEFAULT '0',
  `note_details` text COLLATE utf8mb4_unicode_ci,
  `ask_password` tinyint(1) NOT NULL DEFAULT '0',
  `member_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_notes_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_vendor_notes_member_id_foreign` (`member_id`),
  CONSTRAINT `purchase_vendor_notes_member_id_foreign` FOREIGN KEY (`member_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_notes_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_notes` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_payments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned NOT NULL,
  `purchase_vendor_id` int unsigned NOT NULL,
  `payment_date` date DEFAULT NULL,
  `vendor_credit_id` int unsigned DEFAULT NULL,
  `bank_account_id` int unsigned DEFAULT NULL,
  `received_payment` double NOT NULL,
  `status` enum('complete','pending','failed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'complete',
  `excess_payment` double NOT NULL,
  `paid_on` datetime DEFAULT NULL,
  `notify_vendor` tinyint(1) DEFAULT '0',
  `internal_note` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_payments_company_id_foreign` (`company_id`),
  KEY `purchase_vendor_payments_purchase_vendor_id_foreign` (`purchase_vendor_id`),
  KEY `purchase_vendor_payments_bank_account_id_foreign` (`bank_account_id`),
  KEY `purchase_vendor_payments_added_by_foreign` (`added_by`),
  KEY `purchase_vendor_payments_last_updated_by_foreign` (`last_updated_by`),
  KEY `purchase_vendor_credits_id_foreign` (`vendor_credit_id`),
  KEY `purchase_vendor_payments_paid_on_index` (`paid_on`),
  CONSTRAINT `purchase_vendor_payments_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_payments_bank_account_id_foreign` FOREIGN KEY (`bank_account_id`) REFERENCES `bank_accounts` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_payments_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_payments_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_payments_purchase_vendor_id_foreign` FOREIGN KEY (`purchase_vendor_id`) REFERENCES `purchase_vendors` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_payments` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_payments` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_payments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendor_user_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendor_user_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `vendor_note_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendor_user_notes_company_id_foreign` (`company_id`),
  KEY `purchase_vendor_user_notes_user_id_foreign` (`user_id`),
  KEY `purchase_vendor_user_notes_vendor_note_id_foreign` (`vendor_note_id`),
  CONSTRAINT `purchase_vendor_user_notes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_user_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendor_user_notes_vendor_note_id_foreign` FOREIGN KEY (`vendor_note_id`) REFERENCES `purchase_vendor_notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendor_user_notes` WRITE;
/*!40000 ALTER TABLE `purchase_vendor_user_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendor_user_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_vendors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purchase_vendors` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `primary_name` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `company_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `opening_balance` double DEFAULT NULL,
  `billing_address` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_address` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_vendors_currency_id_foreign` (`currency_id`),
  KEY `purchase_vendors_added_by_foreign` (`added_by`),
  KEY `purchase_vendors_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `purchase_vendors_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendors_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `purchase_vendors_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_vendors` WRITE;
/*!40000 ALTER TABLE `purchase_vendors` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_vendors` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purpose_consent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purpose_consent` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purpose_consent` WRITE;
/*!40000 ALTER TABLE `purpose_consent` DISABLE KEYS */;
/*!40000 ALTER TABLE `purpose_consent` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purpose_consent_leads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purpose_consent_leads` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `deal_id` bigint unsigned DEFAULT NULL,
  `purpose_consent_id` int unsigned NOT NULL,
  `status` enum('agree','disagree') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'agree',
  `ip` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `updated_by_id` int unsigned DEFAULT NULL,
  `additional_description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purpose_consent_leads_purpose_consent_id_foreign` (`purpose_consent_id`),
  KEY `purpose_consent_leads_updated_by_id_foreign` (`updated_by_id`),
  KEY `purpose_consent_leads_deal_id_foreign` (`deal_id`),
  CONSTRAINT `purpose_consent_leads_deal_id_foreign` FOREIGN KEY (`deal_id`) REFERENCES `deals` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purpose_consent_leads_purpose_consent_id_foreign` FOREIGN KEY (`purpose_consent_id`) REFERENCES `purpose_consent` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purpose_consent_leads_updated_by_id_foreign` FOREIGN KEY (`updated_by_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purpose_consent_leads` WRITE;
/*!40000 ALTER TABLE `purpose_consent_leads` DISABLE KEYS */;
/*!40000 ALTER TABLE `purpose_consent_leads` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purpose_consent_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `purpose_consent_users` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `client_id` int unsigned NOT NULL,
  `purpose_consent_id` int unsigned NOT NULL,
  `status` enum('agree','disagree') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'agree',
  `ip` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `updated_by_id` int unsigned NOT NULL,
  `additional_description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purpose_consent_users_client_id_foreign` (`client_id`),
  KEY `purpose_consent_users_purpose_consent_id_foreign` (`purpose_consent_id`),
  KEY `purpose_consent_users_updated_by_id_foreign` (`updated_by_id`),
  CONSTRAINT `purpose_consent_users_client_id_foreign` FOREIGN KEY (`client_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purpose_consent_users_purpose_consent_id_foreign` FOREIGN KEY (`purpose_consent_id`) REFERENCES `purpose_consent` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `purpose_consent_users_updated_by_id_foreign` FOREIGN KEY (`updated_by_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purpose_consent_users` WRITE;
/*!40000 ALTER TABLE `purpose_consent_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `purpose_consent_users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `push_notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `push_notification_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `onesignal_app_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `onesignal_rest_api_key` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `notification_logo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'inactive',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `push_notification_settings` WRITE;
/*!40000 ALTER TABLE `push_notification_settings` DISABLE KEYS */;
INSERT INTO `push_notification_settings` VALUES (1,NULL,NULL,NULL,'inactive','2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `push_notification_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `push_subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `push_subscriptions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `endpoint` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `public_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auth_token` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `push_subscriptions_endpoint_company_id_unique` (`endpoint`,`company_id`),
  KEY `push_subscriptions_company_id_foreign` (`company_id`),
  KEY `push_subscriptions_user_id_index` (`user_id`),
  CONSTRAINT `push_subscriptions_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `push_subscriptions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `push_subscriptions` WRITE;
/*!40000 ALTER TABLE `push_subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `push_subscriptions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `pusher_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pusher_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `pusher_app_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pusher_app_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pusher_app_secret` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pusher_cluster` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `force_tls` tinyint(1) NOT NULL,
  `status` tinyint(1) NOT NULL,
  `taskboard` tinyint(1) NOT NULL DEFAULT '1',
  `messages` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `pusher_settings` WRITE;
/*!40000 ALTER TABLE `pusher_settings` DISABLE KEYS */;
INSERT INTO `pusher_settings` VALUES (1,NULL,NULL,NULL,NULL,0,0,1,0,'2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `pusher_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `qr_code_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qr_code_data` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `data` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'text',
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo_size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '200',
  `margin` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `foreground_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#000000',
  `background_color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ffffff',
  `form_data` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `qr_code_data_company_id_foreign` (`company_id`),
  CONSTRAINT `qr_code_data_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `qr_code_data` WRITE;
/*!40000 ALTER TABLE `qr_code_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `qr_code_data` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `qr_code_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qr_code_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `qr_code_settings` WRITE;
/*!40000 ALTER TABLE `qr_code_settings` DISABLE KEYS */;
INSERT INTO `qr_code_settings` VALUES (1,NULL,NULL,NULL,1,NULL,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `qr_code_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `quick_books_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `quick_books_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `sandbox_client_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sandbox_client_secret` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_secret` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `access_token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `refresh_token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `realmid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sync_type` enum('one_way','two_way') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'one_way',
  `environment` enum('Development','Production') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Production',
  `status` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `quick_books_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `quick_books_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `quick_books_settings` WRITE;
/*!40000 ALTER TABLE `quick_books_settings` DISABLE KEYS */;
INSERT INTO `quick_books_settings` VALUES (1,1,'','','','','','','','one_way','Production',0,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `quick_books_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `quotation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `quotation_items` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `quotation_id` int unsigned NOT NULL,
  `item_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` int NOT NULL,
  `unit_price` int NOT NULL,
  `amount` double(30,2) NOT NULL,
  `hsn_sac_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `quotation_items_quotation_id_foreign` (`quotation_id`),
  CONSTRAINT `quotation_items_quotation_id_foreign` FOREIGN KEY (`quotation_id`) REFERENCES `quotations` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `quotation_items` WRITE;
/*!40000 ALTER TABLE `quotation_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `quotation_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `quotations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `quotations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `business_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `client_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `sub_total` double(30,2) NOT NULL,
  `total` double(30,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `quotations_company_id_foreign` (`company_id`),
  CONSTRAINT `quotations_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `quotations` WRITE;
/*!40000 ALTER TABLE `quotations` DISABLE KEYS */;
/*!40000 ALTER TABLE `quotations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_applicant_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_applicant_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `recruit_job_application_id` int unsigned NOT NULL,
  `note_text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_applicant_notes_user_id_foreign` (`user_id`),
  KEY `recruit_applicant_notes_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  CONSTRAINT `recruit_applicant_notes_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_applicant_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_applicant_notes` WRITE;
/*!40000 ALTER TABLE `recruit_applicant_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_applicant_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_application_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_application_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_application_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_application_files_added_by_foreign` (`added_by`),
  KEY `recruit_application_files_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_application_files_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  CONSTRAINT `recruit_application_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_application_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_application_files_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_application_files` WRITE;
/*!40000 ALTER TABLE `recruit_application_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_application_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_application_skills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_application_skills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_application_id` int unsigned NOT NULL,
  `recruit_skill_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_application_skills_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_application_skills_recruit_skill_id_foreign` (`recruit_skill_id`),
  CONSTRAINT `recruit_application_skills_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_application_skills_recruit_skill_id_foreign` FOREIGN KEY (`recruit_skill_id`) REFERENCES `recruit_skills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_application_skills` WRITE;
/*!40000 ALTER TABLE `recruit_application_skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_application_skills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_application_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_application_status` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` int NOT NULL,
  `recruit_application_status_category_id` bigint unsigned DEFAULT NULL,
  `action` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ras_recruit_application_status_category_id_foreign` (`recruit_application_status_category_id`),
  KEY `recruit_application_status_company_id_foreign` (`company_id`),
  CONSTRAINT `ras_recruit_application_status_category_id_foreign` FOREIGN KEY (`recruit_application_status_category_id`) REFERENCES `recruit_application_status_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_application_status_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_application_status` WRITE;
/*!40000 ALTER TABLE `recruit_application_status` DISABLE KEYS */;
INSERT INTO `recruit_application_status` VALUES (1,1,'applied','applied','#2b2b2b',1,1,'yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'phone screen','phone_screen','#f1e52e',2,2,'yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'interview','interview','#3d8ee8',3,3,'yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'hired','hired','#32ac16',4,4,'yes','2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'rejected','rejected','#ee1127',5,5,'yes','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `recruit_application_status` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_application_status_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_application_status_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_application_status_categories_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_application_status_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_application_status_categories` WRITE;
/*!40000 ALTER TABLE `recruit_application_status_categories` DISABLE KEYS */;
INSERT INTO `recruit_application_status_categories` VALUES (1,1,'applied','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'shortlist','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'interview','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'hired','2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'rejected','2024-02-13 04:03:35','2024-02-13 04:03:35'),(6,1,'others','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `recruit_application_status_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_candidate_database`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_candidate_database` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `recruit_job_id` bigint unsigned NOT NULL,
  `location_id` bigint unsigned NOT NULL,
  `Job_applied_on` date NOT NULL,
  `skills` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `job_application_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_candidate_database_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_candidate_database_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_candidate_database` WRITE;
/*!40000 ALTER TABLE `recruit_candidate_database` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_candidate_database` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_candidate_follow_ups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_candidate_follow_ups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_application_id` int unsigned DEFAULT NULL,
  `remark` longtext COLLATE utf8mb4_unicode_ci,
  `next_follow_up_date` datetime DEFAULT NULL,
  `send_reminder` enum('yes','no') COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `remind_time` text COLLATE utf8mb4_unicode_ci,
  `remind_type` enum('minute','hour','day') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'incomplete',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_candidate_follow_ups_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_candidate_follow_ups_added_by_foreign` (`added_by`),
  KEY `recruit_candidate_follow_ups_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `recruit_candidate_follow_ups_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_candidate_follow_ups_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_candidate_follow_ups_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_candidate_follow_ups` WRITE;
/*!40000 ALTER TABLE `recruit_candidate_follow_ups` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_candidate_follow_ups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_custom_questions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_custom_questions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category` enum('job_application','job_offer') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'job_application',
  `question` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('enable','disable') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `type` enum('text','number','password','textarea','select','radio','date','checkbox','file') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'text',
  `required` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `values` varchar(5000) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `column_priority` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_custom_questions_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_custom_questions_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_custom_questions` WRITE;
/*!40000 ALTER TABLE `recruit_custom_questions` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_custom_questions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_email_notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_email_notification_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `setting_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `send_email` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_email_notification_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_email_notification_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_email_notification_settings` WRITE;
/*!40000 ALTER TABLE `recruit_email_notification_settings` DISABLE KEYS */;
INSERT INTO `recruit_email_notification_settings` VALUES (1,1,'New Job/Added by Admin','yes','new-jobadded-by-admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'New Job Application/Added by Admin','yes','new-job-applicationadded-by-admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'New Interview Schedule/Added by Admin','yes','new-interview-scheduleadded-by-admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'New Offer Letter/Added by Admin','yes','new-offer-letteradded-by-admin','2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'Notification to Recruiter','yes','notification-to-recruiter','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `recruit_email_notification_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_footer_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_footer_links` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_footer_links_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_footer_links_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_footer_links` WRITE;
/*!40000 ALTER TABLE `recruit_footer_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_footer_links` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_global_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_global_settings` WRITE;
/*!40000 ALTER TABLE `recruit_global_settings` DISABLE KEYS */;
INSERT INTO `recruit_global_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:20','2024-02-13 04:03:20');
/*!40000 ALTER TABLE `recruit_global_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_comments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_interview_schedule_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `comment` text COLLATE utf8mb4_unicode_ci,
  `candidate_comment` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_comments_user_id_foreign` (`user_id`),
  KEY `recruit_interview_comments_recruit_interview_schedule_id_foreign` (`recruit_interview_schedule_id`),
  CONSTRAINT `recruit_interview_comments_recruit_interview_schedule_id_foreign` FOREIGN KEY (`recruit_interview_schedule_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_comments_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_comments` WRITE;
/*!40000 ALTER TABLE `recruit_interview_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_interview_comments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_employees`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_employees` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_interview_schedule_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `user_accept_status` enum('accept','refuse','waiting') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_employees_user_id_foreign` (`user_id`),
  KEY `rie_recruit_interview_schedule_id_foreign` (`recruit_interview_schedule_id`),
  CONSTRAINT `recruit_interview_employees_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rie_recruit_interview_schedule_id_foreign` FOREIGN KEY (`recruit_interview_schedule_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_employees` WRITE;
/*!40000 ALTER TABLE `recruit_interview_employees` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_interview_employees` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_evaluations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_evaluations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `recruit_recommendation_status_id` int unsigned DEFAULT NULL,
  `recruit_interview_schedule_id` int unsigned DEFAULT NULL,
  `recruit_interview_stage_id` int unsigned DEFAULT NULL,
  `recruit_job_application_id` int unsigned DEFAULT NULL,
  `submitted_by` int unsigned DEFAULT NULL,
  `details` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_evaluations_submitted_by_foreign` (`submitted_by`),
  KEY `rie_recruit_recommendation_status_id_foreign` (`recruit_recommendation_status_id`),
  KEY `riev_recruit_interview_schedule_id_foreign` (`recruit_interview_schedule_id`),
  KEY `rie_recruit_interview_stage_id_foreign` (`recruit_interview_stage_id`),
  KEY `rie_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_interview_evaluations_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_interview_evaluations_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_evaluations_submitted_by_foreign` FOREIGN KEY (`submitted_by`) REFERENCES `users` (`id`) ON UPDATE CASCADE,
  CONSTRAINT `rie_recruit_interview_stage_id_foreign` FOREIGN KEY (`recruit_interview_stage_id`) REFERENCES `recruit_interview_stages` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rie_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rie_recruit_recommendation_status_id_foreign` FOREIGN KEY (`recruit_recommendation_status_id`) REFERENCES `recruit_recommendation_statuses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `riev_recruit_interview_schedule_id_foreign` FOREIGN KEY (`recruit_interview_schedule_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_evaluations` WRITE;
/*!40000 ALTER TABLE `recruit_interview_evaluations` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_interview_evaluations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `recruit_interview_schedule_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_files_user_id_foreign` (`user_id`),
  KEY `recruit_interview_files_added_by_foreign` (`added_by`),
  KEY `recruit_interview_files_last_updated_by_foreign` (`last_updated_by`),
  KEY `rif_recruit_interview_schedule_id_foreign` (`recruit_interview_schedule_id`),
  CONSTRAINT `recruit_interview_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rif_recruit_interview_schedule_id_foreign` FOREIGN KEY (`recruit_interview_schedule_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_files` WRITE;
/*!40000 ALTER TABLE `recruit_interview_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_interview_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `recruit_interview_schedule_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `recruit_interview_file_id` int unsigned DEFAULT NULL,
  `details` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_histories_user_id_foreign` (`user_id`),
  KEY `rih_recruit_interview_schedule_id_foreign` (`recruit_interview_schedule_id`),
  KEY `recruit_interview_histories_recruit_interview_file_id_foreign` (`recruit_interview_file_id`),
  CONSTRAINT `recruit_interview_histories_recruit_interview_file_id_foreign` FOREIGN KEY (`recruit_interview_file_id`) REFERENCES `recruit_interview_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `rih_recruit_interview_schedule_id_foreign` FOREIGN KEY (`recruit_interview_schedule_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_histories` WRITE;
/*!40000 ALTER TABLE `recruit_interview_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_interview_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_schedules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_schedules` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `recruit_job_application_id` int unsigned NOT NULL,
  `interview_type` enum('in person','video','phone') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'in person',
  `schedule_date` datetime DEFAULT NULL,
  `status` enum('rejected','hired','pending','canceled','completed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `user_accept_status` enum('accept','refuse','waiting') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `meeting_id` int DEFAULT NULL,
  `video_type` enum('zoom','other') COLLATE utf8mb4_unicode_ci DEFAULT 'other',
  `remind_type_all` enum('day','hour','minute') COLLATE utf8mb4_unicode_ci NOT NULL,
  `notify_c` tinyint(1) NOT NULL DEFAULT '0',
  `remind_time_all` int DEFAULT NULL,
  `send_reminder_all` tinyint(1) NOT NULL DEFAULT '0',
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `other_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remarks` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `recruit_interview_stage_id` int unsigned DEFAULT NULL,
  `parent_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_schedules_parent_id_foreign` (`parent_id`),
  KEY `recruit_interview_schedules_added_by_foreign` (`added_by`),
  KEY `recruit_interview_schedules_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_interview_schedules_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_interview_schedules_recruit_interview_stage_id_foreign` (`recruit_interview_stage_id`),
  KEY `recruit_interview_schedules_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_interview_schedules_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_schedules_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_schedules_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_schedules_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_schedules_recruit_interview_stage_id_foreign` FOREIGN KEY (`recruit_interview_stage_id`) REFERENCES `recruit_interview_stages` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_interview_schedules_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_schedules` WRITE;
/*!40000 ALTER TABLE `recruit_interview_schedules` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_interview_schedules` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_interview_stages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_interview_stages` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_interview_stages_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_interview_stages_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_interview_stages` WRITE;
/*!40000 ALTER TABLE `recruit_interview_stages` DISABLE KEYS */;
INSERT INTO `recruit_interview_stages` VALUES (1,1,'HR round','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'Technical round','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'Manager round','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `recruit_interview_stages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_addresses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_addresses` (
  `recruit_job_id` bigint unsigned NOT NULL,
  `company_address_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  KEY `recruit_job_addresses_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `recruit_job_addresses_company_address_id_foreign` (`company_address_id`),
  CONSTRAINT `recruit_job_addresses_company_address_id_foreign` FOREIGN KEY (`company_address_id`) REFERENCES `company_addresses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_addresses_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_addresses` WRITE;
/*!40000 ALTER TABLE `recruit_job_addresses` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_addresses` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_alerts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_alerts` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `recruit_work_experience_id` bigint unsigned DEFAULT NULL,
  `recruit_job_type_id` bigint unsigned DEFAULT NULL,
  `recruit_job_category_id` int unsigned NOT NULL,
  `location_id` bigint unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_alerts_company_id_foreign` (`company_id`),
  KEY `recruit_job_alerts_recruit_work_experience_id_foreign` (`recruit_work_experience_id`),
  KEY `recruit_job_alerts_recruit_job_type_id_foreign` (`recruit_job_type_id`),
  KEY `recruit_job_alerts_recruit_job_category_id_foreign` (`recruit_job_category_id`),
  KEY `recruit_job_alerts_location_id_foreign` (`location_id`),
  CONSTRAINT `recruit_job_alerts_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_alerts_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `company_addresses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_alerts_recruit_job_category_id_foreign` FOREIGN KEY (`recruit_job_category_id`) REFERENCES `recruit_job_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_alerts_recruit_job_type_id_foreign` FOREIGN KEY (`recruit_job_type_id`) REFERENCES `recruit_job_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_alerts_recruit_work_experience_id_foreign` FOREIGN KEY (`recruit_work_experience_id`) REFERENCES `recruit_work_experiences` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_alerts` WRITE;
/*!40000 ALTER TABLE `recruit_job_alerts` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_alerts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_applications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_applications` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `full_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_birth` date DEFAULT NULL,
  `gender` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_experience` enum('fresher','0-1','1-2','2-3','3-4','4-5','5-6','6-7','7-8','8-9','9-10','10-11','11-12','12-13','13-14','over-15') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_ctc` double DEFAULT NULL,
  `currenct_ctc_rate` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `expected_ctc` double DEFAULT NULL,
  `expected_ctc_rate` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notice_period` enum('15','30','45','60','75','90','over-90') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `resume` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `column_priority` int DEFAULT NULL,
  `remark` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `rejection_remark` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cover_letter` mediumtext COLLATE utf8mb4_unicode_ci,
  `job_type` enum('part time','full time','internship') COLLATE utf8mb4_unicode_ci DEFAULT 'full time',
  `recruit_job_id` bigint unsigned NOT NULL,
  `recruit_application_status_id` int unsigned DEFAULT NULL,
  `location_id` bigint unsigned NOT NULL,
  `application_sources` enum('careerWebsite','addedByUser') COLLATE utf8mb4_unicode_ci NOT NULL,
  `application_source_id` int unsigned DEFAULT NULL,
  `recruit_job_file_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_applications_location_id_foreign` (`location_id`),
  KEY `recruit_job_applications_added_by_foreign` (`added_by`),
  KEY `recruit_job_applications_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_job_applications_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `recruit_job_applications_recruit_application_status_id_foreign` (`recruit_application_status_id`),
  KEY `recruit_job_applications_application_source_id_foreign` (`application_source_id`),
  KEY `recruit_job_applications_recruit_job_file_id_foreign` (`recruit_job_file_id`),
  KEY `recruit_job_applications_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_job_applications_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_application_source_id_foreign` FOREIGN KEY (`application_source_id`) REFERENCES `application_sources` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `company_addresses` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_recruit_application_status_id_foreign` FOREIGN KEY (`recruit_application_status_id`) REFERENCES `recruit_application_status` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_recruit_job_file_id_foreign` FOREIGN KEY (`recruit_job_file_id`) REFERENCES `recruit_job_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_applications_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_applications` WRITE;
/*!40000 ALTER TABLE `recruit_job_applications` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_applications` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_categories_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_job_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_categories` WRITE;
/*!40000 ALTER TABLE `recruit_job_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_custom_answers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_custom_answers` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_offer_letter_id` int unsigned DEFAULT NULL,
  `recruit_job_application_id` int unsigned DEFAULT NULL,
  `recruit_job_id` bigint unsigned NOT NULL,
  `recruit_job_question_id` int unsigned NOT NULL,
  `answer` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_custom_answers_recruit_job_offer_letter_id_foreign` (`recruit_job_offer_letter_id`),
  KEY `recruit_job_custom_answers_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_job_custom_answers_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `recruit_job_custom_answers_recruit_job_question_id_foreign` (`recruit_job_question_id`),
  CONSTRAINT `recruit_job_custom_answers_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_custom_answers_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_custom_answers_recruit_job_offer_letter_id_foreign` FOREIGN KEY (`recruit_job_offer_letter_id`) REFERENCES `recruit_job_offer_letter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_custom_answers_recruit_job_question_id_foreign` FOREIGN KEY (`recruit_job_question_id`) REFERENCES `recruit_custom_questions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_custom_answers` WRITE;
/*!40000 ALTER TABLE `recruit_job_custom_answers` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_custom_answers` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `recruit_job_id` bigint unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_files_user_id_foreign` (`user_id`),
  KEY `recruit_job_files_added_by_foreign` (`added_by`),
  KEY `recruit_job_files_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_job_files_recruit_job_id_foreign` (`recruit_job_id`),
  CONSTRAINT `recruit_job_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_files_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_files` WRITE;
/*!40000 ALTER TABLE `recruit_job_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_id` bigint unsigned DEFAULT NULL,
  `recruit_job_application_id` int unsigned DEFAULT NULL,
  `recruit_job_offer_letter_id` int unsigned DEFAULT NULL,
  `recruit_interview_schedule_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `details` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_histories_user_id_foreign` (`user_id`),
  KEY `recruit_job_histories_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `recruit_job_histories_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_job_histories_recruit_job_offer_letter_id_foreign` (`recruit_job_offer_letter_id`),
  KEY `recruit_job_histories_recruit_interview_schedule_id_foreign` (`recruit_interview_schedule_id`),
  CONSTRAINT `recruit_job_histories_recruit_interview_schedule_id_foreign` FOREIGN KEY (`recruit_interview_schedule_id`) REFERENCES `recruit_interview_schedules` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_histories_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_histories_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_histories_recruit_job_offer_letter_id_foreign` FOREIGN KEY (`recruit_job_offer_letter_id`) REFERENCES `recruit_job_offer_letter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_histories_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_histories` WRITE;
/*!40000 ALTER TABLE `recruit_job_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_histories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_offer_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_offer_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_offer_letter_id` int unsigned NOT NULL,
  `filename` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hashname` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_offer_files_added_by_foreign` (`added_by`),
  KEY `recruit_job_offer_files_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_job_offer_files_recruit_job_offer_letter_id_foreign` (`recruit_job_offer_letter_id`),
  CONSTRAINT `recruit_job_offer_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_files_recruit_job_offer_letter_id_foreign` FOREIGN KEY (`recruit_job_offer_letter_id`) REFERENCES `recruit_job_offer_letter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_offer_files` WRITE;
/*!40000 ALTER TABLE `recruit_job_offer_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_offer_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_offer_letter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_offer_letter` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `recruit_job_application_id` int unsigned DEFAULT NULL,
  `recruit_job_id` bigint unsigned DEFAULT NULL,
  `employee_id` int unsigned DEFAULT NULL,
  `job_expire` date NOT NULL,
  `expected_joining_date` date NOT NULL,
  `comp_amount` double DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pay_according` enum('hour','day','week','month','year') COLLATE utf8mb4_unicode_ci NOT NULL,
  `sign_require` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `add_structure` int NOT NULL DEFAULT '0',
  `sign_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `decline_reason` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hash` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `offer_accept_at` timestamp NULL DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_offer_letter_added_by_foreign` (`added_by`),
  KEY `recruit_job_offer_letter_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_job_offer_letter_employee_id_foreign` (`employee_id`),
  KEY `recruit_job_offer_letter_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_job_offer_letter_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `recruit_job_offer_letter_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_job_offer_letter_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_letter_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_letter_employee_id_foreign` FOREIGN KEY (`employee_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_letter_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_letter_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_letter_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_offer_letter` WRITE;
/*!40000 ALTER TABLE `recruit_job_offer_letter` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_offer_letter` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_offer_questions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_offer_questions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_custom_question_id` int unsigned NOT NULL,
  `recruit_job_offer_letter_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_offer_questions_recruit_custom_question_id_foreign` (`recruit_custom_question_id`),
  KEY `recruit_job_offer_questions_recruit_job_offer_letter_id_foreign` (`recruit_job_offer_letter_id`),
  CONSTRAINT `recruit_job_offer_questions_recruit_custom_question_id_foreign` FOREIGN KEY (`recruit_custom_question_id`) REFERENCES `recruit_custom_questions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_offer_questions_recruit_job_offer_letter_id_foreign` FOREIGN KEY (`recruit_job_offer_letter_id`) REFERENCES `recruit_job_offer_letter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_offer_questions` WRITE;
/*!40000 ALTER TABLE `recruit_job_offer_questions` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_offer_questions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_questions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_questions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_custom_question_id` int unsigned NOT NULL,
  `recruit_job_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_questions_recruit_custom_question_id_foreign` (`recruit_custom_question_id`),
  KEY `recruit_job_questions_recruit_job_id_foreign` (`recruit_job_id`),
  CONSTRAINT `recruit_job_questions_recruit_custom_question_id_foreign` FOREIGN KEY (`recruit_custom_question_id`) REFERENCES `recruit_custom_questions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_questions_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_questions` WRITE;
/*!40000 ALTER TABLE `recruit_job_questions` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_questions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_skills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_skills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `recruit_job_id` bigint unsigned NOT NULL,
  `recruit_skill_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_skills_recruit_job_id_foreign` (`recruit_job_id`),
  KEY `recruit_job_skills_recruit_skill_id_foreign` (`recruit_skill_id`),
  CONSTRAINT `recruit_job_skills_recruit_job_id_foreign` FOREIGN KEY (`recruit_job_id`) REFERENCES `recruit_jobs` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_skills_recruit_skill_id_foreign` FOREIGN KEY (`recruit_skill_id`) REFERENCES `recruit_skills` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_skills` WRITE;
/*!40000 ALTER TABLE `recruit_job_skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_skills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_sub_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_sub_categories` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `recruit_job_category_id` int unsigned NOT NULL,
  `sub_category_name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_sub_categories_company_id_foreign` (`company_id`),
  KEY `recruit_job_sub_categories_recruit_job_category_id_foreign` (`recruit_job_category_id`),
  CONSTRAINT `recruit_job_sub_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_job_sub_categories_recruit_job_category_id_foreign` FOREIGN KEY (`recruit_job_category_id`) REFERENCES `recruit_job_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_sub_categories` WRITE;
/*!40000 ALTER TABLE `recruit_job_sub_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_job_sub_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_job_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_job_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `job_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_job_types_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_job_types_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_job_types` WRITE;
/*!40000 ALTER TABLE `recruit_job_types` DISABLE KEYS */;
INSERT INTO `recruit_job_types` VALUES (1,1,'Full time','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'Part time','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'On Contract','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'Internship','2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'Trainee','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `recruit_job_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_jobboard_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_jobboard_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `recruit_application_status_id` int unsigned NOT NULL,
  `collapsed` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_jobboard_settings_user_id_foreign` (`user_id`),
  KEY `recruit_jobboard_settings_recruit_application_status_id_foreign` (`recruit_application_status_id`),
  CONSTRAINT `recruit_jobboard_settings_recruit_application_status_id_foreign` FOREIGN KEY (`recruit_application_status_id`) REFERENCES `recruit_application_status` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobboard_settings_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_jobboard_settings` WRITE;
/*!40000 ALTER TABLE `recruit_jobboard_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_jobboard_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `recruit_job_type_id` bigint unsigned DEFAULT NULL,
  `job_description` longtext COLLATE utf8mb4_unicode_ci,
  `total_positions` int NOT NULL,
  `remaining_openings` int NOT NULL,
  `department_id` int unsigned DEFAULT NULL,
  `recruiter_id` int NOT NULL,
  `job_type` enum('part time','full time') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'full time',
  `start_date` datetime NOT NULL,
  `end_date` datetime DEFAULT NULL,
  `status` enum('open','closed') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `currency_id` int unsigned DEFAULT NULL,
  `recruit_job_category_id` int unsigned DEFAULT NULL,
  `recruit_job_sub_category_id` int unsigned DEFAULT NULL,
  `remote_job` enum('yes','no') COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `disclose_salary` enum('yes','no') COLLATE utf8mb4_unicode_ci DEFAULT 'no',
  `meta_details` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_photo_require` tinyint(1) NOT NULL DEFAULT '0',
  `is_resume_require` tinyint(1) NOT NULL DEFAULT '0',
  `is_dob_require` tinyint(1) NOT NULL DEFAULT '0',
  `is_gender_require` tinyint(1) NOT NULL DEFAULT '0',
  `recruit_work_experience_id` bigint unsigned DEFAULT NULL,
  `pay_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `start_amount` double NOT NULL,
  `end_amount` double DEFAULT NULL,
  `pay_according` enum('hour','day','week','month','year') COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_jobs_added_by_foreign` (`added_by`),
  KEY `recruit_jobs_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_jobs_currency_id_foreign` (`currency_id`),
  KEY `recruit_jobs_company_id_foreign` (`company_id`),
  KEY `recruit_jobs_recruit_work_experience_id_foreign` (`recruit_work_experience_id`),
  KEY `recruit_jobs_department_id_foreign` (`department_id`),
  KEY `recruit_jobs_recruit_job_category_id_foreign` (`recruit_job_category_id`),
  KEY `recruit_jobs_recruit_job_sub_category_id_foreign` (`recruit_job_sub_category_id`),
  KEY `recruit_jobs_recruit_job_type_id_foreign` (`recruit_job_type_id`),
  CONSTRAINT `recruit_jobs_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_department_id_foreign` FOREIGN KEY (`department_id`) REFERENCES `teams` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_recruit_job_category_id_foreign` FOREIGN KEY (`recruit_job_category_id`) REFERENCES `recruit_job_categories` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_recruit_job_sub_category_id_foreign` FOREIGN KEY (`recruit_job_sub_category_id`) REFERENCES `recruit_job_sub_categories` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_recruit_job_type_id_foreign` FOREIGN KEY (`recruit_job_type_id`) REFERENCES `recruit_job_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_jobs_recruit_work_experience_id_foreign` FOREIGN KEY (`recruit_work_experience_id`) REFERENCES `recruit_work_experiences` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_jobs` WRITE;
/*!40000 ALTER TABLE `recruit_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_jobs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_recommendation_statuses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_recommendation_statuses` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_recommendation_statuses_added_by_foreign` (`added_by`),
  KEY `recruit_recommendation_statuses_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruit_recommendation_statuses_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_recommendation_statuses_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruit_recommendation_statuses_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_recommendation_statuses_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_recommendation_statuses` WRITE;
/*!40000 ALTER TABLE `recruit_recommendation_statuses` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_recommendation_statuses` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_salary_structures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_salary_structures` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `recruit_job_application_id` int unsigned DEFAULT NULL,
  `recruit_job_offer_letter_id` int unsigned DEFAULT NULL,
  `salary_json` text COLLATE utf8mb4_unicode_ci,
  `annual_salary` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `basic_salary` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `basic_value_type` enum('fixed','ctc_percent') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `fixed_allowance` double NOT NULL DEFAULT '0',
  `date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_salary_structures_company_id_foreign` (`company_id`),
  KEY `recruit_salary_structures_recruit_job_application_id_foreign` (`recruit_job_application_id`),
  KEY `recruit_salary_structures_recruit_job_offer_letter_id_foreign` (`recruit_job_offer_letter_id`),
  CONSTRAINT `recruit_salary_structures_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_salary_structures_recruit_job_application_id_foreign` FOREIGN KEY (`recruit_job_application_id`) REFERENCES `recruit_job_applications` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_salary_structures_recruit_job_offer_letter_id_foreign` FOREIGN KEY (`recruit_job_offer_letter_id`) REFERENCES `recruit_job_offer_letter` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_salary_structures` WRITE;
/*!40000 ALTER TABLE `recruit_salary_structures` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_salary_structures` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_selected_salary_components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_selected_salary_components` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `rss_id` int unsigned DEFAULT NULL,
  `salary_component_id` int unsigned DEFAULT NULL,
  `component_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `component_type` enum('earning','deduction') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `component_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value_type` enum('fixed','percent','basic_percent','variable') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'variable',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_selected_salary_components_company_id_foreign` (`company_id`),
  KEY `recruit_selected_salary_components_rss_id_foreign` (`rss_id`),
  CONSTRAINT `recruit_selected_salary_components_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruit_selected_salary_components_rss_id_foreign` FOREIGN KEY (`rss_id`) REFERENCES `recruit_salary_structures` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_selected_salary_components` WRITE;
/*!40000 ALTER TABLE `recruit_selected_salary_components` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_selected_salary_components` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `about` longtext COLLATE utf8mb4_unicode_ci,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'bg-image',
  `background_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `background_color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_setting` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `form_settings` longtext COLLATE utf8mb4_unicode_ci,
  `legal_term` longtext COLLATE utf8mb4_unicode_ci,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `favicon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `career_site` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `offer_letter_reminder` int NOT NULL,
  `job_alert_status` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `application_restriction` int NOT NULL DEFAULT '180',
  `google_recaptcha_status` enum('active','deactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'deactive',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_settings` WRITE;
/*!40000 ALTER TABLE `recruit_settings` DISABLE KEYS */;
INSERT INTO `recruit_settings` VALUES (1,1,'<header>\n      <h5 >Dummy Company</h5>\n      <p>A leader in innovative solutions</p>\n    </header>\n    <main class=\"mt-2\">\n      <h5 class=\"mt-2\">About Us</h5>\n      <p>Dummy Company was founded in 2020 with a mission to provide innovative solutions for a better tomorrow. We have a team of experts in various fields who work together to bring cutting-edge products and services to market. Our focus on quality and customer satisfaction has made us a trusted name in the industry.</p>\n      <h5 class=\"mt-2\">Our Products and Services</h5>\n      <ul>\n        <li>Product 1: A revolutionary new technology that improves efficiency and productivity</li>\n        <li>Product 2: A user-friendly platform that simplifies complex processes</li>\n        <li>Service 1: Customized consulting services to help businesses stay ahead of the curve</li>\n        <li>Service 2: Training and support to ensure the successful adoption of our products</li>\n      </ul>\n      <h5 class=\"mt-2\">Our Team</h5>\n      <p>Dummy Company is powered by a talented and dedicated team of professionals. Our team members bring a diverse set of skills and experiences to the table, allowing us to tackle complex challenges and deliver solutions that truly make a difference. We are committed to fostering a positive and collaborative work environment where everyone has the opportunity to grow and succeed.</p>\n    </main>\n    <footer>','bg-image',NULL,NULL,'{\"1\":{\"id\":1,\"name\":\"applied\",\"status\":true},\"2\":{\"id\":2,\"name\":\"phone screen\",\"status\":true},\"3\":{\"id\":3,\"name\":\"interview\",\"status\":true},\"4\":{\"id\":4,\"name\":\"hired\",\"status\":true},\"5\":{\"id\":5,\"name\":\"rejected\",\"status\":true}}','{\"1\":{\"id\":1,\"name\":\"email\",\"slug\":\"Email\",\"status\":false},\"2\":{\"id\":2,\"name\":\"phone\",\"slug\":\"Phone\",\"status\":false},\"3\":{\"id\":3,\"name\":\"gender\",\"slug\":\"Gender\",\"status\":false},\"4\":{\"id\":4,\"name\":\"total_experience\",\"slug\":\"Total Experience\",\"status\":false},\"5\":{\"id\":5,\"name\":\"current_location\",\"slug\":\"Current location\",\"status\":false},\"6\":{\"id\":6,\"name\":\"current_ctc\",\"slug\":\"Current Ctc\",\"status\":false},\"7\":{\"id\":7,\"name\":\"expected_ctc\",\"slug\":\"Expected Ctc\",\"status\":false},\"8\":{\"id\":8,\"name\":\"notice_period\",\"slug\":\"Notice Period\",\"status\":false},\"9\":{\"id\":9,\"name\":\"application_source\",\"slug\":\"Source\",\"status\":false},\"10\":{\"id\":10,\"name\":\"status\",\"slug\":\"Status\",\"status\":false},\"11\":{\"id\":11,\"name\":\"cover_letter\",\"slug\":\"Cover letter\",\"status\":false}}','If any provision of these Terms and Conditions is held to be invalid or unenforceable, the provision shall be removed (or interpreted, if possible, in a manner as to be enforceable), and the remaining provisions shall be enforced. Headings are for reference purposes only and in no way define, limit, construe or describe the scope or extent of such section. Our failure to act with respect to a breach by you or others does not waive our right to act with respect to subsequent or similar breaches. These Terms and Conditions set forth the entire understanding and agreement between us with respect to the subject matter contained herein and supersede any other agreement, proposals and communications, written or oral, between our representatives and you with respect to the subject matter hereof, including any terms and conditions on any of customer\'s documents or purchase orders.<br>No Joint Venture, No Derogation of Rights. You agree that no joint venture, partnership, employment, or agency relationship exists between you and us as a result of these Terms and Conditions or your use of the Site. Our performance of these Terms and Conditions is subject to existing laws and legal process, and nothing contained herein is in derogation of our right to comply with governmental, court and law enforcement requests or requirements relating to your use of the Site or information provided to or gathered by us with respect to such use.',NULL,NULL,'Worksuite','https://worksuite.biz','yes',0,'no','2024-02-13 04:03:35','2024-02-13 04:03:35',180,'deactive');
/*!40000 ALTER TABLE `recruit_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_skills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_skills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_skills_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_skills_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_skills` WRITE;
/*!40000 ALTER TABLE `recruit_skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruit_skills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruit_work_experiences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruit_work_experiences` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `work_experience` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruit_work_experiences_company_id_foreign` (`company_id`),
  CONSTRAINT `recruit_work_experiences_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruit_work_experiences` WRITE;
/*!40000 ALTER TABLE `recruit_work_experiences` DISABLE KEYS */;
INSERT INTO `recruit_work_experiences` VALUES (1,1,'fresher','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'0-1 years','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'1-3 years','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'3-5 years','2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'5+ years','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `recruit_work_experiences` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `recruiters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `recruiters` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enabled',
  `added_by` int unsigned NOT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `recruiters_user_id_foreign` (`user_id`),
  KEY `recruiters_added_by_foreign` (`added_by`),
  KEY `recruiters_last_updated_by_foreign` (`last_updated_by`),
  KEY `recruiters_company_id_foreign` (`company_id`),
  CONSTRAINT `recruiters_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruiters_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `recruiters_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `recruiters_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `recruiters` WRITE;
/*!40000 ALTER TABLE `recruiters` DISABLE KEYS */;
/*!40000 ALTER TABLE `recruiters` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `removal_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `removal_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `status` enum('pending','approved','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `removal_requests_company_id_foreign` (`company_id`),
  KEY `removal_requests_user_id_foreign` (`user_id`),
  CONSTRAINT `removal_requests_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `removal_requests_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `removal_requests` WRITE;
/*!40000 ALTER TABLE `removal_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `removal_requests` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `removal_requests_lead`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `removal_requests_lead` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `lead_id` int unsigned DEFAULT NULL,
  `status` enum('pending','approved','rejected') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `removal_requests_lead_company_id_foreign` (`company_id`),
  KEY `removal_requests_lead_lead_id_foreign` (`lead_id`),
  CONSTRAINT `removal_requests_lead_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `removal_requests_lead_lead_id_foreign` FOREIGN KEY (`lead_id`) REFERENCES `leads` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `removal_requests_lead` WRITE;
/*!40000 ALTER TABLE `removal_requests_lead` DISABLE KEYS */;
/*!40000 ALTER TABLE `removal_requests_lead` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `rest_api_application_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rest_api_application_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `app_key` int NOT NULL,
  `app_secret` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `authorized_employee_id` int unsigned DEFAULT NULL,
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enabled',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `rest_api_application_settings_app_key_unique` (`app_key`),
  KEY `rest_api_application_settings_authorized_employee_id_foreign` (`authorized_employee_id`),
  CONSTRAINT `rest_api_application_settings_authorized_employee_id_foreign` FOREIGN KEY (`authorized_employee_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `rest_api_application_settings` WRITE;
/*!40000 ALTER TABLE `rest_api_application_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `rest_api_application_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `rest_api_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rest_api_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fcm_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `rest_api_settings_added_by_foreign` (`added_by`),
  KEY `rest_api_settings_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `rest_api_settings_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `rest_api_settings_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `rest_api_settings` WRITE;
/*!40000 ALTER TABLE `rest_api_settings` DISABLE KEYS */;
INSERT INTO `rest_api_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:16','2024-02-13 04:03:16',NULL,NULL,NULL);
/*!40000 ALTER TABLE `rest_api_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `role_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_user` (
  `user_id` int unsigned NOT NULL,
  `role_id` int unsigned NOT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_user_role_id_foreign` (`role_id`),
  CONSTRAINT `role_user_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `role_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `role_user` WRITE;
/*!40000 ALTER TABLE `role_user` DISABLE KEYS */;
INSERT INTO `role_user` VALUES (1,1),(1,2),(2,2),(14,2),(15,2),(16,2),(17,2),(18,2),(19,2),(20,2),(21,2),(22,2),(23,2),(3,3),(4,3),(5,3),(6,3),(7,3),(8,3),(9,3),(10,3),(11,3),(12,3),(13,3);
/*!40000 ALTER TABLE `role_user` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `display_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_name_company_id_unique` (`name`,`company_id`),
  KEY `roles_company_id_foreign` (`company_id`),
  CONSTRAINT `roles_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,1,'admin','App Administrator','Admin is allowed to manage everything of the app.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(2,1,'employee','Employee','Employee can see tasks and projects assigned to him.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(3,1,'client','Client','Client can see own tasks and projects.','2024-02-13 04:03:34','2024-02-13 04:03:34'),(4,1,'manager','Manager',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `salary_components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salary_components` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `component_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `component_type` enum('earning','deduction') COLLATE utf8mb4_unicode_ci NOT NULL,
  `component_value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value_type` enum('fixed','percent','basic_percent','variable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `weekly_value` double NOT NULL DEFAULT '0',
  `biweekly_value` double NOT NULL DEFAULT '0',
  `semimonthly_value` double NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `salary_components_company_id_foreign` (`company_id`),
  CONSTRAINT `salary_components_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `salary_components` WRITE;
/*!40000 ALTER TABLE `salary_components` DISABLE KEYS */;
/*!40000 ALTER TABLE `salary_components` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `salary_group_components`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salary_group_components` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `salary_group_id` bigint unsigned NOT NULL,
  `salary_component_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `salary_group_components_salary_group_id_foreign` (`salary_group_id`),
  KEY `salary_group_components_salary_component_id_foreign` (`salary_component_id`),
  KEY `salary_group_components_company_id_foreign` (`company_id`),
  CONSTRAINT `salary_group_components_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `salary_group_components_salary_component_id_foreign` FOREIGN KEY (`salary_component_id`) REFERENCES `salary_components` (`id`) ON DELETE CASCADE,
  CONSTRAINT `salary_group_components_salary_group_id_foreign` FOREIGN KEY (`salary_group_id`) REFERENCES `salary_groups` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `salary_group_components` WRITE;
/*!40000 ALTER TABLE `salary_group_components` DISABLE KEYS */;
/*!40000 ALTER TABLE `salary_group_components` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `salary_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salary_groups` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `group_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `salary_groups_company_id_foreign` (`company_id`),
  CONSTRAINT `salary_groups_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `salary_groups` WRITE;
/*!40000 ALTER TABLE `salary_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `salary_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `salary_payment_methods`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salary_payment_methods` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `default` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `salary_payment_methods_company_id_foreign` (`company_id`),
  CONSTRAINT `salary_payment_methods_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `salary_payment_methods` WRITE;
/*!40000 ALTER TABLE `salary_payment_methods` DISABLE KEYS */;
INSERT INTO `salary_payment_methods` VALUES (1,1,'Bank Transfer',1,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,'Cash',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'Cheque',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'PayPal',0,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `salary_payment_methods` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `salary_slips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salary_slips` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `currency_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `salary_group_id` bigint unsigned DEFAULT NULL,
  `basic_salary` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `net_salary` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `month` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `year` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `paid_on` date DEFAULT NULL,
  `status` enum('generated','review','locked','paid') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'generated',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `salary_json` text COLLATE utf8mb4_unicode_ci,
  `extra_json` text COLLATE utf8mb4_unicode_ci,
  `expense_claims` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `pay_days` int NOT NULL,
  `salary_payment_method_id` bigint unsigned DEFAULT NULL,
  `tds` double(16,2) NOT NULL,
  `monthly_salary` double(16,2) NOT NULL,
  `gross_salary` double(16,2) NOT NULL,
  `total_deductions` double(16,2) NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `salary_from` datetime DEFAULT NULL,
  `salary_to` datetime DEFAULT NULL,
  `payroll_cycle_id` bigint unsigned DEFAULT NULL,
  `fixed_allowance` double NOT NULL DEFAULT '0',
  `expenses_created` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `salary_slips_user_id_foreign` (`user_id`),
  KEY `salary_slips_salary_group_id_foreign` (`salary_group_id`),
  KEY `salary_slips_salary_payment_method_id_foreign` (`salary_payment_method_id`),
  KEY `salary_slips_added_by_foreign` (`added_by`),
  KEY `salary_slips_last_updated_by_foreign` (`last_updated_by`),
  KEY `salary_slips_company_id_foreign` (`company_id`),
  KEY `salary_slips_payroll_cycle_id_foreign` (`payroll_cycle_id`),
  KEY `salary_slips_currency_id_foreign` (`currency_id`),
  CONSTRAINT `salary_slips_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `salary_slips_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `salary_slips_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `salary_slips_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `salary_slips_payroll_cycle_id_foreign` FOREIGN KEY (`payroll_cycle_id`) REFERENCES `payroll_cycles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `salary_slips_salary_group_id_foreign` FOREIGN KEY (`salary_group_id`) REFERENCES `salary_groups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `salary_slips_salary_payment_method_id_foreign` FOREIGN KEY (`salary_payment_method_id`) REFERENCES `salary_payment_methods` (`id`) ON DELETE SET NULL,
  CONSTRAINT `salary_slips_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `salary_slips` WRITE;
/*!40000 ALTER TABLE `salary_slips` DISABLE KEYS */;
/*!40000 ALTER TABLE `salary_slips` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `salary_tds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `salary_tds` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `salary_from` double(16,2) NOT NULL,
  `salary_to` double(16,2) NOT NULL,
  `salary_percent` double(5,2) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `salary_tds_company_id_foreign` (`company_id`),
  CONSTRAINT `salary_tds_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `salary_tds` WRITE;
/*!40000 ALTER TABLE `salary_tds` DISABLE KEYS */;
/*!40000 ALTER TABLE `salary_tds` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sessions` (
  `id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `ip_address` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `payload` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_activity` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sessions_user_id_index` (`user_id`),
  KEY `sessions_last_activity_index` (`last_activity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `skills`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `skills` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `skills_company_id_foreign` (`company_id`),
  CONSTRAINT `skills_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `skills` WRITE;
/*!40000 ALTER TABLE `skills` DISABLE KEYS */;
/*!40000 ALTER TABLE `skills` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `slack_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slack_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `slack_webhook` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `slack_logo` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'inactive',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slack_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `slack_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `slack_settings` WRITE;
/*!40000 ALTER TABLE `slack_settings` DISABLE KEYS */;
INSERT INTO `slack_settings` VALUES (1,1,NULL,NULL,'inactive','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `slack_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sms_notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sms_notification_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `setting_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `send_sms` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `msg91_flow_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sms_notification_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `sms_notification_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=65 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sms_notification_settings` WRITE;
/*!40000 ALTER TABLE `sms_notification_settings` DISABLE KEYS */;
INSERT INTO `sms_notification_settings` VALUES (1,1,'Test Sms Notification','test-sms-notification','yes',NULL,'2024-02-13 04:03:21','2024-02-13 04:03:35'),(2,1,'Attendance Reminder','attendance-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,'Follow Up Reminder','follow-up-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,'Auto Task Reminder','auto-task-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,'Contract Signed','contract-signed','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(6,1,'Estimate Declined','estimate-declined','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(7,1,'Event Invite','event-invite','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(8,1,'Event Reminder','event-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(9,1,'Recurring Expense Status Updated','recurring-expense-status-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(10,1,'New File Uploaded to Project','new-file-uploaded-to-project','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(11,1,'Payment Received','payment-received','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(12,1,'Payment Reminder','payment-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(13,1,'Project Reminder','project-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(14,1,'Proposal Approved','proposal-approved','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(15,1,'Proposal Rejected','proposal-rejected','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(16,1,'Recurring Invoice Status Updated','recurring-invoice-status-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(17,1,'Invoice Reminder','invoice-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(18,1,'New Expense/Added by Admin','new-expense-added-by-admin','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(19,1,'New Expense/Added by Member','new-expense-added-by-member','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(20,1,'Invoice Created','invoice-created','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(21,1,'Invoice Updated','invoice-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(22,1,'Lead notification','lead-notification','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(23,1,'New Leave Application','new-leave-application','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(24,1,'New Leave Request','new-leave-request','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(25,1,'Leave Approved','leave-approved','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(26,1,'Leave Rejected','leave-rejected','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(27,1,'Leave Updated','leave-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(28,1,'Multiple Leave Application','multiple-leave-application','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(29,1,'New Multiple Leave Application','new-multiple-leave-application','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(30,1,'New Task','new-task','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(31,1,'New Order','new-order','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(32,1,'Order Updated','order-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(33,1,'New Payment','new-payment','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(34,1,'New Product Purchase','new-product-purchase','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(35,1,'New Project','new-project','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(36,1,'New Proposal','new-proposal','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(37,1,'New Recurring Invoice','new-recurring-invoice','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(38,1,'New Ticket Reply','new-ticket-reply','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(39,1,'New Ticket Request','new-ticket-request','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(40,1,'Task Updated','task-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(41,1,'Task Completed Client','task-completed-client','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(42,1,'Task Completed','task-completed','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(43,1,'New Client Task','new-client-task','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(44,1,'Task Update Client','task-update-client','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(45,1,'New Notice Published','new-notice-published','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(46,1,'New Support Ticket Request','new-support-ticket-request','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(47,1,'Agent Ticket','agent-ticket','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(48,1,'Employee Assign to Project','employee-assign-to-project','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(49,1,'User Join Via Invitation','user-join-via-invitation','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(50,1,'Notice Updated','notice-updated','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(51,1,'Removal Request Admin Notification','removal-request-admin-notification','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(52,1,'Removal Request Approved','removal-request-approved','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(53,1,'Removal Request Reject','removal-request-reject','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(54,1,'Removal Request Approved Lead','removal-request-approved-lead','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(55,1,'Removal Request Reject Lead','removal-request-reject-lead','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(56,1,'Sub Task Assignee Added','sub-task-assignee-added','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(57,1,'Sub Task Completed','sub-task-completed','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(58,1,'Task Comment','task-comment','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(59,1,'Task Note','task-note','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(60,1,'Task Reminder','task-reminder','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(61,1,' User Registration/Added by Admin','user-registrationadded-by-admin','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(62,1,'Two Factor Code','two-factor-code','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(63,1,'Removal Request Reject User','removal-request-reject-user','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(64,1,'Removal Request Approved User','removal-request-approved-user','no',NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `sms_notification_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sms_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sms_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `account_sid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auth_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL,
  `whatapp_from_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `whatsapp_status` tinyint(1) NOT NULL,
  `nexmo_api_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nexmo_api_secret` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nexmo_from_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nexmo_status` tinyint(1) NOT NULL,
  `msg91_auth_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `msg91_from` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `msg91_status` tinyint(1) NOT NULL,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `telegram_status` tinyint(1) NOT NULL DEFAULT '0',
  `telegram_bot_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `telegram_bot_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sms_settings_added_by_foreign` (`added_by`),
  KEY `sms_settings_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `sms_settings_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `sms_settings_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sms_settings` WRITE;
/*!40000 ALTER TABLE `sms_settings` DISABLE KEYS */;
INSERT INTO `sms_settings` VALUES (1,NULL,NULL,NULL,0,NULL,0,NULL,NULL,NULL,0,NULL,NULL,0,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:16','2024-02-13 04:03:16',NULL,NULL,0,NULL,NULL);
/*!40000 ALTER TABLE `sms_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `smtp_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `smtp_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `mail_driver` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'smtp',
  `mail_host` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'smtp.gmail.com',
  `mail_port` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '587',
  `mail_username` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'youremail@gmail.com',
  `mail_password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'your password',
  `mail_from_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'your name',
  `mail_from_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'from@email.com',
  `mail_encryption` enum('ssl','tls','starttls') COLLATE utf8mb4_unicode_ci DEFAULT 'tls',
  `email_verified` tinyint(1) NOT NULL DEFAULT '0',
  `verified` tinyint(1) NOT NULL DEFAULT '0',
  `mail_connection` enum('sync','database') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'sync',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `smtp_settings` WRITE;
/*!40000 ALTER TABLE `smtp_settings` DISABLE KEYS */;
INSERT INTO `smtp_settings` VALUES (1,'mail','smtp.gmail.com','465','myemail@gmail.com','mypassword','Worksuite','from@email.com','ssl',0,0,'sync','2024-02-13 04:03:34','2024-02-13 04:11:15');
/*!40000 ALTER TABLE `smtp_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `social_auth_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `social_auth_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `facebook_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `facebook_secret_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `facebook_status` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `google_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `google_secret_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `google_status` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `twitter_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter_secret_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter_status` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `linkedin_client_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `linkedin_secret_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `linkedin_status` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'disable',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `social_auth_settings` WRITE;
/*!40000 ALTER TABLE `social_auth_settings` DISABLE KEYS */;
INSERT INTO `social_auth_settings` VALUES (1,NULL,NULL,'disable',NULL,NULL,'disable',NULL,NULL,'disable',NULL,NULL,'disable','2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `social_auth_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `socials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `socials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned DEFAULT NULL,
  `social_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `social_service` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `socials` WRITE;
/*!40000 ALTER TABLE `socials` DISABLE KEYS */;
/*!40000 ALTER TABLE `socials` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sticky_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sticky_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `note_text` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `colour` enum('blue','yellow','red','gray','purple','green') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'blue',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sticky_notes_company_id_foreign` (`company_id`),
  KEY `sticky_notes_user_id_foreign` (`user_id`),
  CONSTRAINT `sticky_notes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `sticky_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sticky_notes` WRITE;
/*!40000 ALTER TABLE `sticky_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `sticky_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sub_task_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sub_task_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned DEFAULT NULL,
  `sub_task_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sub_task_files_user_id_foreign` (`user_id`),
  KEY `sub_task_files_sub_task_id_foreign` (`sub_task_id`),
  CONSTRAINT `sub_task_files_sub_task_id_foreign` FOREIGN KEY (`sub_task_id`) REFERENCES `sub_tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `sub_task_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sub_task_files` WRITE;
/*!40000 ALTER TABLE `sub_task_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `sub_task_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sub_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sub_tasks` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `task_id` int unsigned NOT NULL,
  `title` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `due_date` datetime DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `status` enum('incomplete','complete') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'incomplete',
  `assigned_to` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sub_tasks_task_id_foreign` (`task_id`),
  KEY `sub_tasks_assigned_to_foreign` (`assigned_to`),
  KEY `sub_tasks_added_by_foreign` (`added_by`),
  KEY `sub_tasks_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `sub_tasks_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `sub_tasks_assigned_to_foreign` FOREIGN KEY (`assigned_to`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `sub_tasks_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `sub_tasks_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sub_tasks` WRITE;
/*!40000 ALTER TABLE `sub_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `sub_tasks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `subscription_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subscription_items` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `subscription_id` bigint unsigned NOT NULL,
  `stripe_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `stripe_product` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `stripe_price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `quantity` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `subscription_items_subscription_id_stripe_price_unique` (`subscription_id`,`stripe_price`),
  UNIQUE KEY `subscription_items_stripe_id_unique` (`stripe_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `subscription_items` WRITE;
/*!40000 ALTER TABLE `subscription_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscription_items` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `subscriptions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `stripe_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `stripe_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `stripe_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quantity` int DEFAULT NULL,
  `trial_ends_at` timestamp NULL DEFAULT NULL,
  `ends_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `subscriptions_stripe_id_unique` (`stripe_id`),
  KEY `subscriptions_company_id_foreign` (`company_id`),
  KEY `subscriptions_user_id_stripe_status_index` (`user_id`,`stripe_status`),
  CONSTRAINT `subscriptions_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `subscriptions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `subscriptions` WRITE;
/*!40000 ALTER TABLE `subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `subscriptions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_category` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_category_company_id_foreign` (`company_id`),
  KEY `task_category_added_by_foreign` (`added_by`),
  KEY `task_category_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `task_category_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_category_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_category_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_category` WRITE;
/*!40000 ALTER TABLE `task_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_category` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_comment_emoji`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_comment_emoji` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned DEFAULT NULL,
  `comment_id` int unsigned DEFAULT NULL,
  `emoji_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_comment_emoji_user_id_foreign` (`user_id`),
  KEY `task_comment_emoji_comment_id_foreign` (`comment_id`),
  CONSTRAINT `task_comment_emoji_comment_id_foreign` FOREIGN KEY (`comment_id`) REFERENCES `task_comments` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_comment_emoji_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_comment_emoji` WRITE;
/*!40000 ALTER TABLE `task_comment_emoji` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_comment_emoji` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_comments` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `comment` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int unsigned NOT NULL,
  `task_id` int unsigned NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_comments_user_id_foreign` (`user_id`),
  KEY `task_comments_task_id_foreign` (`task_id`),
  KEY `task_comments_added_by_foreign` (`added_by`),
  KEY `task_comments_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `task_comments_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_comments_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_comments_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_comments_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_comments` WRITE;
/*!40000 ALTER TABLE `task_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_comments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `task_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_files_user_id_foreign` (`user_id`),
  KEY `task_files_task_id_foreign` (`task_id`),
  KEY `task_files_added_by_foreign` (`added_by`),
  KEY `task_files_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `task_files_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_files_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_files_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_files` WRITE;
/*!40000 ALTER TABLE `task_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_history` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `task_id` int unsigned NOT NULL,
  `sub_task_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `details` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `board_column_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_history_task_id_foreign` (`task_id`),
  KEY `task_history_sub_task_id_foreign` (`sub_task_id`),
  KEY `task_history_user_id_foreign` (`user_id`),
  KEY `task_history_board_column_id_foreign` (`board_column_id`),
  CONSTRAINT `task_history_board_column_id_foreign` FOREIGN KEY (`board_column_id`) REFERENCES `taskboard_columns` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_history_sub_task_id_foreign` FOREIGN KEY (`sub_task_id`) REFERENCES `sub_tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_history_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_history_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_history` WRITE;
/*!40000 ALTER TABLE `task_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_history` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_label_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_label_list` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `label_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_label_list_company_id_foreign` (`company_id`),
  KEY `task_label_list_project_id_foreign` (`project_id`),
  CONSTRAINT `task_label_list_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_label_list_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_label_list` WRITE;
/*!40000 ALTER TABLE `task_label_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_label_list` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_labels` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `label_id` int unsigned NOT NULL,
  `task_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_labels_label_id_foreign` (`label_id`),
  KEY `task_tags_task_id_foreign` (`task_id`),
  CONSTRAINT `task_labels_label_id_foreign` FOREIGN KEY (`label_id`) REFERENCES `task_label_list` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_tags_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_labels` WRITE;
/*!40000 ALTER TABLE `task_labels` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_labels` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_notes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `task_id` int unsigned NOT NULL,
  `user_id` int DEFAULT NULL,
  `note` longtext COLLATE utf8mb4_unicode_ci,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_notes_task_id_foreign` (`task_id`),
  KEY `task_notes_added_by_foreign` (`added_by`),
  KEY `task_notes_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `task_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `task_notes_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_notes` WRITE;
/*!40000 ALTER TABLE `task_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `task_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `task_category` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `project` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `start_date` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `due_date` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `assigned_to` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `assigned_by` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `description` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `label` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `status` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `priority` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `make_private` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `time_estimate` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `hours_logged` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `custom_fields` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `copy_task_link` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `files` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `sub_task` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `comments` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `time_logs` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `notes` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `history` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `task_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_settings` WRITE;
/*!40000 ALTER TABLE `task_settings` DISABLE KEYS */;
INSERT INTO `task_settings` VALUES (1,1,'yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','yes','2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `task_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `task_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `task_users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `task_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `task_users_task_id_foreign` (`task_id`),
  KEY `task_users_user_id_foreign` (`user_id`),
  CONSTRAINT `task_users_task_id_foreign` FOREIGN KEY (`task_id`) REFERENCES `tasks` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `task_users_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `task_users` WRITE;
/*!40000 ALTER TABLE `task_users` DISABLE KEYS */;
INSERT INTO `task_users` VALUES (1,1,17,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,2,17,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,3,18,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,4,15,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,5,15,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,6,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,7,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,8,23,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,9,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,10,23,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,11,19,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,12,14,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,13,22,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,14,20,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,15,22,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,16,20,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,17,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,18,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,19,19,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,20,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(21,21,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(22,22,17,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(23,23,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(24,24,19,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(25,25,17,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,26,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,27,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,28,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,29,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,30,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,31,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,32,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,33,17,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,34,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,35,2,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,36,16,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,37,14,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,38,17,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,39,16,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,40,15,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,41,15,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,42,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,43,20,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,44,15,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,45,20,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,46,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,47,21,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,48,1,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,49,16,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,50,15,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `task_users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `taskboard_columns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `taskboard_columns` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `column_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `label_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `priority` int NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `taskboard_columns_column_name_company_id_unique` (`column_name`,`company_id`),
  KEY `taskboard_columns_company_id_foreign` (`company_id`),
  CONSTRAINT `taskboard_columns_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `taskboard_columns` WRITE;
/*!40000 ALTER TABLE `taskboard_columns` DISABLE KEYS */;
INSERT INTO `taskboard_columns` VALUES (1,1,'Incomplete','incomplete','#d21010',1,NULL,NULL),(2,1,'To Do','to_do','#f5c308',2,NULL,NULL),(3,1,'Doing','doing','#00b5ff',3,NULL,NULL),(4,1,'Completed','completed','#679c0d',4,NULL,NULL);
/*!40000 ALTER TABLE `taskboard_columns` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tasks` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `task_short_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_id` int unsigned DEFAULT NULL,
  `heading` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `due_date` date DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `task_category_id` int unsigned DEFAULT NULL,
  `priority` enum('low','medium','high') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'medium',
  `status` enum('incomplete','completed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'incomplete',
  `board_column_id` int unsigned DEFAULT '1',
  `column_priority` int NOT NULL,
  `completed_on` datetime DEFAULT NULL,
  `created_by` int unsigned DEFAULT NULL,
  `recurring_task_id` int unsigned DEFAULT NULL,
  `dependent_task_id` int unsigned DEFAULT NULL,
  `milestone_id` int unsigned DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT '0',
  `billable` tinyint(1) NOT NULL DEFAULT '1',
  `estimate_hours` int NOT NULL,
  `estimate_minutes` int NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `hash` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `repeat` tinyint(1) NOT NULL DEFAULT '0',
  `repeat_complete` tinyint(1) NOT NULL DEFAULT '0',
  `repeat_count` int DEFAULT NULL,
  `repeat_type` enum('day','week','month','year') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'day',
  `repeat_cycles` int DEFAULT NULL,
  `event_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tasks_company_id_foreign` (`company_id`),
  KEY `tasks_due_date_index` (`due_date`),
  KEY `tasks_project_id_foreign` (`project_id`),
  KEY `tasks_task_category_id_foreign` (`task_category_id`),
  KEY `tasks_board_column_id_foreign` (`board_column_id`),
  KEY `tasks_created_by_foreign` (`created_by`),
  KEY `tasks_recurring_task_id_foreign` (`recurring_task_id`),
  KEY `tasks_dependent_task_id_foreign` (`dependent_task_id`),
  KEY `tasks_milestone_id_foreign` (`milestone_id`),
  KEY `tasks_added_by_foreign` (`added_by`),
  KEY `tasks_last_updated_by_foreign` (`last_updated_by`),
  KEY `tasks_deleted_at_index` (`deleted_at`),
  CONSTRAINT `tasks_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tasks_board_column_id_foreign` FOREIGN KEY (`board_column_id`) REFERENCES `taskboard_columns` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tasks_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tasks_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tasks_dependent_task_id_foreign` FOREIGN KEY (`dependent_task_id`) REFERENCES `tasks` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tasks_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tasks_milestone_id_foreign` FOREIGN KEY (`milestone_id`) REFERENCES `project_milestones` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tasks_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tasks_recurring_task_id_foreign` FOREIGN KEY (`recurring_task_id`) REFERENCES `tasks` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tasks_task_category_id_foreign` FOREIGN KEY (`task_category_id`) REFERENCES `task_category` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `tasks` WRITE;
/*!40000 ALTER TABLE `tasks` DISABLE KEYS */;
INSERT INTO `tasks` VALUES (1,'FPABT-1',1,'Rome--no, THAT\'S.','Queen, but she felt sure it would like the three gardeners, but she stopped hastily, for the Dormouse,\' thought Alice; \'I might as well to say than his first remark, \'It was much pleasanter at.','2024-01-26','2024-01-16',1,NULL,'low','incomplete',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'7a82c95333e595b5801796ff516823b0',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:36','2024-02-13 04:03:37',NULL),(2,'FPABT-2',1,'Alice, \'I\'ve often.','Alice a good deal worse off than before, as the game was in livery: otherwise, judging by his face only, she would catch a bat, and that\'s very like a stalk out of the wood for fear of their wits!\'.','2024-01-17','2024-01-16',1,NULL,'low','completed',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'6e98e5129138118b946fbb156dd23a77',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(3,'FPABT-3',1,'Queen, and Alice.','Duchess was VERY ugly; and secondly, because they\'re making such a subject! Our family always HATED cats: nasty, low, vulgar things! Don\'t let him know she liked them best, For this must ever be A.','2024-01-11','2024-01-02',1,NULL,'high','incomplete',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'2c57cda1c07c0bcbbbe3693b086de972',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(4,'FPABT-4',1,'Caterpillar; and.','I\'ll just see what this bottle does. I do hope it\'ll make me giddy.\' And then, turning to Alice as she came rather late, and the three gardeners at it, busily painting them red. Alice thought to.','2024-01-21','2024-01-15',1,NULL,'high','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'e611d59249c0b5e4cd5bf5dbc880604e',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(5,'FPABT-5',1,'Alice. \'I\'m a--I\'m.','Mock Turtle\'s Story \'You can\'t think how glad I am to see what was on the slate. \'Herald, read the accusation!\' said the Hatter, and here the Mock Turtle with a T!\' said the King. \'Nothing.','2024-02-06','2024-02-01',1,NULL,'low','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'16e65d6d728dbaa002263c80517a8d87',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(6,'EP-6',1,'Dinah my dear! Let.','Alice, \'we learned French and music.\' \'And washing?\' said the Hatter went on, \'What HAVE you been doing here?\' \'May it please your Majesty?\' he asked. \'Begin at the door--I do wish they COULD! I\'m.','2024-02-03','2024-01-27',2,NULL,'low','incomplete',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'55e6a4c631f0618c87c1b2d1ebcd35d0',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(7,'EP-7',1,'Then she went back.','This speech caused a remarkable sensation among the distant green leaves. As there seemed to be lost, as she could. \'The game\'s going on rather better now,\' she added aloud. \'Do you know about this.','2024-01-18','2024-01-14',2,NULL,'low','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'fb0f29034a39b24074b96efc0d2c37b4',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(8,'EP-8',1,'In another moment.','RABBIT\' engraved upon it. She went on eagerly: \'There is such a nice soft thing to eat the comfits: this caused some noise and confusion, as the Caterpillar angrily, rearing itself upright as it.','2024-01-31','2024-01-27',2,NULL,'medium','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'685365a41926bb39bd685a508a440681',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(9,'EP-9',1,'I\'ll manage better.','ME, and told me he was going a journey, I should think!\' (Dinah was the Hatter. \'You MUST remember,\' remarked the King, with an anxious look at them--\'I wish they\'d get the trial done,\' she thought.','2024-01-22','2024-01-18',2,NULL,'low','completed',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'303d415d4f15a340d0528bc0caedaee8',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(10,'EP-10',1,'I to do with you.','As soon as there was Mystery,\' the Mock Turtle interrupted, \'if you don\'t like the look of it now in sight, hurrying down it. There was a bright idea came into Alice\'s head. \'Is that all?\' said.','2024-02-05','2024-02-04',2,NULL,'high','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'c1282ca11bb52623b8ac9c575cb1d871',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(11,'FADP-11',1,'Alice, every now.','There was a table, with a soldier on each side, and opened their eyes and mouths so VERY much out of the house!\' (Which was very nearly carried it off. * * * * \'Come, my head\'s free at last!\' said.','2024-01-31','2024-01-30',3,NULL,'medium','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'533ca010e835f11e20900e9ffe26f793',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(12,'FADP-12',1,'While she was as.','SOME change in my time, but never ONE with such a very fine day!\' said a timid and tremulous sound.] \'That\'s different from what I could shut up like telescopes: this time with one finger, as he.','2024-02-07','2024-02-02',3,NULL,'low','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'ad60209e7833f95055e00485f53b5d9b',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(13,'FADP-13',1,'She did it at all.','Alice: \'--where\'s the Duchess?\' \'Hush! Hush!\' said the Duck: \'it\'s generally a ridge or furrow in the same size for ten minutes together!\' \'Can\'t remember WHAT things?\' said the March Hare. \'Exactly.','2024-01-19','2024-01-14',3,NULL,'medium','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'4cc7f5f6998e964c1fe8e69e4216cba9',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(14,'FADP-14',1,'Oh, how I wish you.','Dormouse into the garden. Then she went on, turning to the tarts on the floor: in another moment that it felt quite strange at first; but she could do to hold it. As soon as the soldiers had to run.','2024-02-01','2024-01-30',3,NULL,'low','incomplete',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'5e9aa779a272128ae7474eb843d85ad7',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(15,'FADP-15',1,'Father William,\'.','I will tell you my adventures--beginning from this morning,\' said Alice sadly. \'Hand it over a little way off, panting, with its eyelids, so he did,\' said the Hatter. He had been to the heads of the.','2024-02-01','2024-01-26',3,NULL,'low','incomplete',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'3dcab673906bb93de580f748e3cab380',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(16,'CPFSC-16',1,'Alice cautiously.','She had quite forgotten the words.\' So they got settled down again into its face to see that queer little toss of her going, though she felt a little house in it a violent blow underneath her chin.','2024-02-01','2024-01-31',4,NULL,'high','incomplete',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'b73915cff063a6276400d449f3fcf3db',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(17,'CPFSC-17',1,'Like a tea-tray in.','Duchess; \'and most things twinkled after that--only the March Hare. \'I didn\'t write it, and behind it was over at last: \'and I wish you wouldn\'t squeeze so.\' said the King. \'Nearly two miles high,\'.','2024-01-24','2024-01-15',4,NULL,'low','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'d37ff956554e0848e5fed7af253cf238',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(18,'CPFSC-18',1,'I get SOMEWHERE,\'.','Cat, \'or you wouldn\'t squeeze so.\' said the Hatter. \'You might just as the door opened inwards, and Alice\'s elbow was pressed so closely against her foot, that there was Mystery,\' the Mock Turtle.','2024-02-04','2024-01-31',4,NULL,'low','completed',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'0c4f2452d6888fda58510bc1b31553ba',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(19,'CPFSC-19',1,'The Fish-Footman.','Queen. \'Sentence first--verdict afterwards.\' \'Stuff and nonsense!\' said Alice thoughtfully: \'but then--I shouldn\'t be hungry for it, she found herself lying on the glass table and the shrill voice.','2024-02-02','2024-01-30',4,NULL,'medium','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'438c4998f81f085bbfef0f511c434c83',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(20,'CPFSC-20',1,'White Rabbit, \'but.','Come on!\' So they got thrown out to sea!\" But the insolence of his teacup instead of the court, arm-in-arm with the bread-knife.\' The March Hare interrupted, yawning. \'I\'m getting tired of sitting.','2024-01-22','2024-01-20',4,NULL,'medium','completed',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'c36c1bea9474712940f8b25c96f96f78',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(21,'WI-21',1,'March Hare. \'Yes.','I goes like a sky-rocket!\' \'So you did, old fellow!\' said the Cat. \'--so long as I tell you, you coward!\' and at once took up the fan and gloves, and, as the soldiers had to kneel down on the bank.','2024-01-15','2024-01-13',5,NULL,'low','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'8b60955a98ec1b17928d19096defbcb2',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(22,'WI-22',1,'HIS time of life.','Alice desperately: \'he\'s perfectly idiotic!\' And she thought at first she thought it had fallen into the sky all the time he was gone, and the blades of grass, but she did not seem to dry me at.','2024-02-19','2024-02-10',5,NULL,'high','incomplete',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'34b1bc347d9fd3bfd913493db2947510',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(23,'WI-23',1,'Let me see--how IS.','This time Alice waited till she got to see anything; then she noticed that the hedgehog had unrolled itself, and was going on rather better now,\' she added in a natural way. \'I thought you did,\'.','2024-01-30','2024-01-21',5,NULL,'low','completed',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'3a7156d7acd54bf089f88e522a38ce14',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(24,'WI-24',1,'Dinn may be,\' said.','Duchess. \'I make you grow shorter.\' \'One side of WHAT? The other side of WHAT?\' thought Alice to herself. At this moment Alice appeared, she was peering about anxiously among the bright eager eyes.','2024-02-21','2024-02-11',5,NULL,'low','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'60ff73fa2a904175e97e3adaf05fc4b8',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(25,'WI-25',1,'Mock Turtle in a.','The Hatter\'s remark seemed to Alice as she could not possibly reach it: she could not remember ever having heard of uglifying!\' it exclaimed. \'You know what to do, and in THAT direction,\' the Cat in.','2024-01-09','2024-01-07',5,NULL,'medium','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'a2967e6f7eea84ba4ee46b3c2a44b422',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(26,'LM-26',1,'Alice thought to.','There was a dead silence. Alice noticed with some curiosity. \'What a number of cucumber-frames there must be!\' thought Alice. \'I mean what I could say if I fell off the mushroom, and raised herself.','2024-02-06','2024-02-02',6,NULL,'low','completed',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'d2b612845f584c68256f92c436814390',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(27,'LM-27',1,'Mouse had changed.','French lesson-book. The Mouse did not venture to say \"HOW DOTH THE LITTLE BUSY BEE,\" but it just missed her. Alice caught the flamingo and brought it back, the fight was over, and both creatures hid.','2024-02-12','2024-02-03',6,NULL,'medium','completed',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'0ed6fca2b4bc19ca40d705e171402621',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(28,'LM-28',1,'Rabbit, and had no.','Five! Don\'t go splashing paint over me like that!\' said Alice to herself, \'it would have called him a fish)--and rapped loudly at the Cat\'s head began fading away the moment they saw her, they.','2024-02-07','2024-01-30',6,NULL,'medium','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'6affd283e3f9d73288bdadea75cb3801',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(29,'LM-29',1,'For, you see, as.','Edwin and Morcar, the earls of Mercia and Northumbria, declared for him: and even Stigand, the patriotic archbishop of Canterbury, found it so quickly that the best of educations--in fact, we went.','2024-02-02','2024-01-25',6,NULL,'high','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'46f1ba28f407a3cf48299fe25803a943',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(30,'LM-30',1,'Between yourself.','Mock Turtle a little girl,\' said Alice, who had been to the confused clamour of the accident, all except the Lizard, who seemed to think that proved it at all; and I\'m sure she\'s the best of.','2024-02-09','2024-01-31',6,NULL,'medium','completed',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'5a1fd78859eb9a1b5c421f836d9c619d',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(31,'WDAPS-31',1,'I\'m talking!\' Just.','MINE,\' said the King, rubbing his hands; \'so now let the jury--\' \'If any one of them.\' In another minute the whole window!\' \'Sure, it does, yer honour: but it\'s an arm, yer honour!\' \'Digging for.','2024-02-16','2024-02-10',7,NULL,'medium','completed',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'ab67a0cc2c28e34c0a1c74695825abd8',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(32,'WDAPS-32',1,'HAVE tasted eggs.','THAT\'S the great wonder is, that there\'s any one left alive!\' She was walking hand in hand with Dinah, and saying to herself as she ran; but the Hatter went on, very much what would happen next.','2024-01-12','2024-01-05',7,NULL,'medium','completed',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'8a1c44da1c11e566d29926e1547cbd54',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(33,'WDAPS-33',1,'I think it was,\'.','I don\'t want to get into that lovely garden. I think you\'d better ask HER about it.\' \'She\'s in prison,\' the Queen ordering off her head!\' the Queen to play croquet.\' Then they both sat silent and.','2024-02-06','2024-01-30',7,NULL,'low','incomplete',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'959f9f762275d31924d995d625cdb144',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(34,'WDAPS-34',1,'Come on!\' So they.','Duchess said after a few yards off. The Cat only grinned a little scream of laughter. \'Oh, hush!\' the Rabbit hastily interrupted. \'There\'s a great hurry, muttering to itself \'The Duchess! The.','2024-02-09','2024-02-07',7,NULL,'medium','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'00030dfb24aca82e256511db5c33d579',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(35,'WDAPS-35',1,'Alice. \'I\'m glad.','March Hare. \'I didn\'t mean it!\' pleaded poor Alice. \'But you\'re so easily offended!\' \'You\'ll get used up.\' \'But what happens when one eats cake, but Alice had learnt several things of this sort of.','2024-02-11','2024-02-04',7,NULL,'medium','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'89635895ada6d3b6cbc263772b4ab49e',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(36,'APT-36',1,'The Rabbit Sends.','There was no \'One, two, three, and away,\' but they were nowhere to be listening, so she began very cautiously: \'But I don\'t like them!\' When the Mouse had changed his mind, and was going on rather.','2024-02-03','2024-02-02',8,NULL,'high','completed',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'e859c9e3b4892b5fc4a5393c819e7e33',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(37,'APT-37',1,'Queen. \'You make.','I suppose Dinah\'ll be sending me on messages next!\' And she began again: \'Ou est ma chatte?\' which was full of the e--e--evening, Beautiful, beauti--FUL SOUP!\' \'Chorus again!\' cried the Gryphon.','2024-01-11','2024-01-09',8,NULL,'low','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'17a57efbc91a83dbeaaff511b334d301',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(38,'APT-38',1,'I THINK; or is it.','So she tucked her arm affectionately into Alice\'s, and they repeated their arguments to her, though, as they lay sprawling about, reminding her very much to-night, I should be raving mad after all!.','2024-01-19','2024-01-18',8,NULL,'medium','incomplete',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'6d53b8d634fb997b9d89ccae4a3c8340',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(39,'APT-39',1,'Alice to herself.','Dinah, and saying \"Come up again, dear!\" I shall ever see such a capital one for catching mice you can\'t think! And oh, I wish I hadn\'t drunk quite so much!\' said Alice, a good opportunity for.','2024-02-02','2024-01-25',8,NULL,'medium','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'a4ef091fba074656ef923825f763a3ca',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(40,'APT-40',1,'March Hare and his.','Alice, \'or perhaps they won\'t walk the way to change the subject,\' the March Hare meekly replied. \'Yes, but I don\'t like them raw.\' \'Well, be off, and she put her hand on the bank, and of having the.','2024-02-13','2024-02-05',8,NULL,'high','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'ca8935d9b42d19c5c4b325b61a4355c7',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(41,'VR-41',1,'Alice began in a.','All on a summer day: The Knave shook his head contemptuously. \'I dare say you\'re wondering why I don\'t believe it,\' said the Duchess; \'I never said I didn\'t!\' interrupted Alice. \'You must be,\' said.','2024-01-30','2024-01-28',9,NULL,'high','completed',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'d599d36698706ae111fd503db4cb2271',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(42,'VR-42',1,'I was a different.','I was going off into a small passage, not much like keeping so close to her: first, because the chimneys were shaped like the largest telescope that ever was! Good-bye, feet!\' (for when she had not.','2024-01-29','2024-01-21',9,NULL,'low','completed',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'931cccb9efcf3dab990c353f4beea899',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(43,'VR-43',1,'Hatter: \'but you.','Alice, and looking at the moment, \'My dear! I shall have to beat them off, and Alice was more than three.\' \'Your hair wants cutting,\' said the Queen. \'Sentence first--verdict afterwards.\' \'Stuff and.','2024-01-22','2024-01-21',9,NULL,'medium','completed',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'f6d1582dfbb6dbe0bc6b5f07600bd7cb',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(44,'VR-44',1,'Soup, so rich and.','I heard him declare, \"You have baked me too brown, I must sugar my hair.\" As a duck with its tongue hanging out of breath, and till the eyes appeared, and then I\'ll tell you just now what the flame.','2024-02-14','2024-02-08',9,NULL,'low','completed',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'022c3da177358269625669c606d35f63',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(45,'VR-45',1,'Dormouse again, so.','Alice, so please your Majesty?\' he asked. \'Begin at the thought that she was now, and she went on in a voice she had put on one of the sort,\' said the March Hare. \'Yes, please do!\' but the Dormouse.','2024-01-30','2024-01-27',9,NULL,'low','incomplete',1,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'a54cfbec605d655c7ca3e1165d3e3cdd',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(46,'LGASMS-46',1,'Yet you turned a.','And will talk in contemptuous tones of the house opened, and a scroll of parchment in the middle, nursing a baby; the cook took the thimble, looking as solemn as she could. \'No,\' said the Gryphon.','2024-02-02','2024-01-25',10,NULL,'high','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'768f82e99c90b0b41989a7c2c77b269e',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(47,'LGASMS-47',1,'Then it got down.','And yet I don\'t know much,\' said Alice; \'that\'s not at all fairly,\' Alice began, in a court of justice before, but she thought of herself, \'I wish the creatures wouldn\'t be so proud as all that.\'.','2024-01-21','2024-01-19',10,NULL,'low','incomplete',4,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'0853dc7ad41a22ff76ea0d3d92e8be59',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(48,'LGASMS-48',1,'HAVE their tails.','Alice replied eagerly, for she had not long to doubt, for the hot day made her next remark. \'Then the eleventh day must have been was not even get her head down to them, and was going to leave off.','2024-01-29','2024-01-28',10,NULL,'high','incomplete',2,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'e009e696c27c546ad955441d10c6c6d7',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(49,'LGASMS-49',1,'I suppose Dinah\'ll.','Cheshire Cat,\' said Alice: \'she\'s so extremely--\' Just then she walked off, leaving Alice alone with the glass table as before, \'and things are \"much of a procession,\' thought she, \'what would.','2024-02-20','2024-02-11',10,NULL,'high','completed',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'d28182307e8f6a763cd02a3a393092ae',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL),(50,'LGASMS-50',1,'Alice, seriously.','Alice, quite forgetting in the wood,\' continued the Pigeon, raising its voice to a shriek, \'and just as I\'d taken the highest tree in the window, and some \'unimportant.\' Alice could see it pop down.','2024-02-14','2024-02-12',10,NULL,'low','incomplete',3,0,NULL,NULL,NULL,NULL,NULL,0,1,0,0,NULL,NULL,'a8cb5467248ac17585b01fcd589dc58f',0,0,NULL,'day',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37',NULL);
/*!40000 ALTER TABLE `tasks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `taxes` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `tax_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `rate_percent` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `taxes_company_id_foreign` (`company_id`),
  CONSTRAINT `taxes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `taxes` WRITE;
/*!40000 ALTER TABLE `taxes` DISABLE KEYS */;
INSERT INTO `taxes` VALUES (1,1,'GST','10',NULL,NULL,NULL),(2,1,'CGST','18',NULL,NULL,NULL),(3,1,'VAT','10',NULL,NULL,NULL),(4,1,'IGST','10',NULL,NULL,NULL),(5,1,'UTGST','10',NULL,NULL,NULL);
/*!40000 ALTER TABLE `taxes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `team_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `teams_company_id_foreign` (`company_id`),
  KEY `teams_added_by_foreign` (`added_by`),
  KEY `teams_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `teams_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `teams_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `teams_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,1,'Marketing',NULL,NULL,NULL,NULL,NULL),(2,1,'Sales',NULL,NULL,NULL,NULL,NULL),(3,1,'Human Resources',NULL,NULL,NULL,NULL,NULL),(4,1,'Public Relations',NULL,NULL,NULL,NULL,NULL),(5,1,'Research',NULL,NULL,NULL,NULL,NULL),(6,1,'Finance',NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `theme_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `theme_settings` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `panel` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `header_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_text_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_color` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '#ffffff',
  `user_css` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `sidebar_theme` enum('dark','light') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'dark',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `theme_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `theme_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `theme_settings` WRITE;
/*!40000 ALTER TABLE `theme_settings` DISABLE KEYS */;
INSERT INTO `theme_settings` VALUES (1,1,'admin','#1d82f5','#171F29','#99A5B5','#F7FAFF',NULL,'dark',NULL,NULL),(2,1,'project_admin','#1d82f5','#171F29','#99A5B5','#F7FAFF',NULL,'dark',NULL,NULL),(3,1,'employee','#1d82f5','#171F29','#99A5B5','#F7FAFF',NULL,'dark',NULL,NULL),(4,1,'client','#1d82f5','#171F29','#99A5B5','#F7FAFF',NULL,'dark',NULL,NULL);
/*!40000 ALTER TABLE `theme_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_activities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `assigned_to` int unsigned DEFAULT NULL,
  `channel_id` int unsigned DEFAULT NULL,
  `group_id` int unsigned DEFAULT NULL,
  `type_id` int unsigned DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `priority` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'medium',
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'create',
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_activities_ticket_id_foreign` (`ticket_id`),
  KEY `ticket_activities_user_id_foreign` (`user_id`),
  KEY `ticket_activities_assigned_to_foreign` (`assigned_to`),
  KEY `ticket_activities_channel_id_foreign` (`channel_id`),
  KEY `ticket_activities_group_id_foreign` (`group_id`),
  KEY `ticket_activities_type_id_foreign` (`type_id`),
  CONSTRAINT `ticket_activities_assigned_to_foreign` FOREIGN KEY (`assigned_to`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ticket_activities_channel_id_foreign` FOREIGN KEY (`channel_id`) REFERENCES `ticket_channels` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ticket_activities_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `ticket_groups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ticket_activities_ticket_id_foreign` FOREIGN KEY (`ticket_id`) REFERENCES `tickets` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ticket_activities_type_id_foreign` FOREIGN KEY (`type_id`) REFERENCES `ticket_types` (`id`) ON DELETE CASCADE,
  CONSTRAINT `ticket_activities_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_activities` WRITE;
/*!40000 ALTER TABLE `ticket_activities` DISABLE KEYS */;
INSERT INTO `ticket_activities` VALUES (1,1,9,21,4,NULL,6,'closed','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,2,9,21,4,NULL,6,'open','high','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,3,9,21,4,NULL,6,'open','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,4,9,21,4,NULL,6,'pending','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,5,9,21,4,NULL,6,'pending','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,6,9,21,4,NULL,6,'open','low','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,7,9,21,4,NULL,6,'resolved','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,8,9,21,4,NULL,6,'resolved','high','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,9,9,21,4,NULL,6,'resolved','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,10,9,21,4,NULL,6,'closed','medium','create',NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `ticket_activities` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_agent_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_agent_groups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `agent_id` int unsigned NOT NULL,
  `group_id` int unsigned DEFAULT NULL,
  `status` enum('enabled','disabled') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enabled',
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_agent_groups_company_id_foreign` (`company_id`),
  KEY `ticket_agent_groups_agent_id_foreign` (`agent_id`),
  KEY `ticket_agent_groups_group_id_foreign` (`group_id`),
  KEY `ticket_agent_groups_added_by_foreign` (`added_by`),
  KEY `ticket_agent_groups_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `ticket_agent_groups_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `ticket_agent_groups_agent_id_foreign` FOREIGN KEY (`agent_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_agent_groups_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_agent_groups_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `ticket_groups` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_agent_groups_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_agent_groups` WRITE;
/*!40000 ALTER TABLE `ticket_agent_groups` DISABLE KEYS */;
INSERT INTO `ticket_agent_groups` VALUES (1,1,21,3,'enabled',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,1,15,5,'enabled',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,1,22,4,'enabled',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,1,14,1,'enabled',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,1,2,1,'enabled',NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `ticket_agent_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_channels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_channels` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `channel_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ticket_channels_channel_name_company_id_unique` (`channel_name`,`company_id`),
  KEY `ticket_channels_company_id_foreign` (`company_id`),
  CONSTRAINT `ticket_channels_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_channels` WRITE;
/*!40000 ALTER TABLE `ticket_channels` DISABLE KEYS */;
INSERT INTO `ticket_channels` VALUES (1,1,'Email',NULL,NULL),(2,1,'Phone',NULL,NULL),(3,1,'Twitter',NULL,NULL),(4,1,'Facebook',NULL,NULL);
/*!40000 ALTER TABLE `ticket_channels` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_custom_forms`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_custom_forms` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `custom_fields_id` int unsigned DEFAULT NULL,
  `field_display_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `field_type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'text',
  `field_order` int NOT NULL,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_custom_forms_company_id_foreign` (`company_id`),
  KEY `ticket_custom_forms_custom_fields_id_foreign` (`custom_fields_id`),
  CONSTRAINT `ticket_custom_forms_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_custom_forms_custom_fields_id_foreign` FOREIGN KEY (`custom_fields_id`) REFERENCES `custom_fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_custom_forms` WRITE;
/*!40000 ALTER TABLE `ticket_custom_forms` DISABLE KEYS */;
INSERT INTO `ticket_custom_forms` VALUES (1,1,NULL,'Name','name','text',1,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,NULL,'Email','email','text',2,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,NULL,'Ticket Subject','ticket_subject','text',3,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,NULL,'Ticket Description','ticket_description','textarea',4,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(5,1,NULL,'Type','type','select',5,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(6,1,NULL,'Priority','priority','select',6,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35'),(7,1,NULL,'Assign Group','assign_group','select',7,'active',0,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `ticket_custom_forms` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_email_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_email_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `mail_username` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_from_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_from_email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `imap_host` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `imap_port` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `imap_encryption` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(1) NOT NULL,
  `verified` tinyint(1) NOT NULL,
  `sync_interval` int NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_email_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `ticket_email_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_email_settings` WRITE;
/*!40000 ALTER TABLE `ticket_email_settings` DISABLE KEYS */;
INSERT INTO `ticket_email_settings` VALUES (1,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,1,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `ticket_email_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `ticket_reply_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dropbox_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_files_user_id_foreign` (`user_id`),
  KEY `ticket_files_ticket_reply_id_foreign` (`ticket_reply_id`),
  CONSTRAINT `ticket_files_ticket_reply_id_foreign` FOREIGN KEY (`ticket_reply_id`) REFERENCES `ticket_replies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_files` WRITE;
/*!40000 ALTER TABLE `ticket_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `ticket_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_groups` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `group_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_groups_company_id_foreign` (`company_id`),
  CONSTRAINT `ticket_groups_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_groups` WRITE;
/*!40000 ALTER TABLE `ticket_groups` DISABLE KEYS */;
INSERT INTO `ticket_groups` VALUES (1,1,'Legal',NULL,NULL),(2,1,'Installation',NULL,NULL),(3,1,'Spam',NULL,NULL),(4,1,'Very Important',NULL,NULL),(5,1,'Technical',NULL,NULL);
/*!40000 ALTER TABLE `ticket_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_replies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `ticket_id` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `message` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `imap_message_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `imap_message_uid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `imap_in_reply_to` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_replies_ticket_id_foreign` (`ticket_id`),
  KEY `ticket_replies_user_id_foreign` (`user_id`),
  CONSTRAINT `ticket_replies_ticket_id_foreign` FOREIGN KEY (`ticket_id`) REFERENCES `tickets` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_replies_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_replies` WRITE;
/*!40000 ALTER TABLE `ticket_replies` DISABLE KEYS */;
INSERT INTO `ticket_replies` VALUES (1,1,21,'Mock Turtle in the newspapers, at the White.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(2,1,1,'Alice felt so desperate that she began thinking.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(3,1,1,'She did not venture to go through next walking.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(4,1,9,'As soon as it was over at last, and they sat.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(5,1,21,'Beautiful, beautiful Soup!\' CHAPTER XI. Who.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(6,2,9,'I was thinking I should be like then?\' And she.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(7,2,1,'ALL RETURNED FROM HIM TO YOU,\"\' said Alice. \'Why.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(8,2,21,'Mock Turtle interrupted, \'if you only walk long.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(9,2,21,'Duchess. An invitation from the change: and.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(10,2,21,'I grow at a king,\' said Alice. \'Then you keep.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(11,3,1,'Mock Turtle said: \'no wise fish would go round.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(12,3,21,'Alice thought she had asked it aloud; and in.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(13,3,21,'The Dormouse slowly opened his eyes very wide on.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(14,3,1,'Queen! The Queen!\' and the executioner myself,\'.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(15,3,1,'VERY deeply with a sigh: \'he taught Laughing and.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(16,4,9,'By the use of this remark, and thought it would.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(17,4,21,'Cheshire cats always grinned; in fact, I didn\'t.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(18,4,9,'VERY tired of this. I vote the young Crab, a.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(19,4,1,'I had it written down: but I can\'t take LESS,\'.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(20,4,21,'Everything is so out-of-the-way down here, and.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(21,5,9,'As she said to herself, in a trembling voice to.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(22,5,21,'Duchess; \'and most things twinkled after.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(23,5,1,'I do hope it\'ll make me giddy.\' And then.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(24,5,1,'Tortoise, if he were trying which word sounded.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(25,5,9,'For anything tougher than suet; Yet you turned a.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,6,21,'There was nothing else to say anything. \'Why,\'.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,6,9,'Alice waited till she too began dreaming after a.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,6,9,'Gryphon, sighing in his confusion he bit a large.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,6,9,'Queen shrieked out. \'Behead that Dormouse! Turn.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,6,1,'Only I don\'t want to go! Let me see: that would.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,7,1,'Dormouse; \'--well in.\' This answer so confused.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,7,1,'Alice. \'Come on, then,\' said the Cat, \'or you.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,7,9,'Why, I wouldn\'t say anything about it, you.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,7,9,'VERY short remarks, and she swam lazily about in.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,7,21,'Mock Turtle, who looked at it, busily painting.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,8,1,'I say again!\' repeated the Pigeon, but in a tone.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,8,21,'I could say if I chose,\' the Duchess replied, in.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,8,1,'Some of the shelves as she tucked it away under.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,8,9,'Alice\'s first thought was that it was only the.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,8,1,'As she said to the shore. CHAPTER III. A.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,9,21,'Rabbit\'s voice along--\'Catch him, you by the way.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,9,1,'Who ever saw in another moment down went Alice.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,9,21,'OURS they had any sense, they\'d take the place.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,9,1,'Duchess said to herself \'It\'s the oldest rule in.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,9,1,'Alice. \'Nothing,\' said Alice. \'Of course you.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,10,1,'Mock Turtle; \'but it doesn\'t matter which way.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,10,9,'Mock Turtle. Alice was soon submitted to by the.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,10,9,'Allow me to sell you a song?\' \'Oh, a song.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,10,9,'Alice, she went slowly after it: \'I never went.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,10,1,'William the Conqueror.\' (For, with all speed.',NULL,NULL,NULL,NULL,'2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `ticket_replies` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_reply_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_reply_templates` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `reply_heading` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `reply_text` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_reply_templates_company_id_foreign` (`company_id`),
  CONSTRAINT `ticket_reply_templates_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_reply_templates` WRITE;
/*!40000 ALTER TABLE `ticket_reply_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `ticket_reply_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_tag_list`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_tag_list` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `tag_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_tag_list_company_id_foreign` (`company_id`),
  CONSTRAINT `ticket_tag_list_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_tag_list` WRITE;
/*!40000 ALTER TABLE `ticket_tag_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `ticket_tag_list` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_tags` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `tag_id` int unsigned NOT NULL,
  `ticket_id` int unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `ticket_tags_company_id_foreign` (`company_id`),
  KEY `ticket_tags_tag_id_foreign` (`tag_id`),
  KEY `ticket_tags_ticket_id_foreign` (`ticket_id`),
  CONSTRAINT `ticket_tags_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_tags_tag_id_foreign` FOREIGN KEY (`tag_id`) REFERENCES `ticket_tag_list` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `ticket_tags_ticket_id_foreign` FOREIGN KEY (`ticket_id`) REFERENCES `tickets` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_tags` WRITE;
/*!40000 ALTER TABLE `ticket_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `ticket_tags` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `ticket_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ticket_types` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `type` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ticket_types_type_company_id_unique` (`type`,`company_id`),
  KEY `ticket_types_company_id_foreign` (`company_id`),
  CONSTRAINT `ticket_types_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `ticket_types` WRITE;
/*!40000 ALTER TABLE `ticket_types` DISABLE KEYS */;
INSERT INTO `ticket_types` VALUES (1,1,'Bug',NULL,NULL),(2,1,'Suggestion',NULL,NULL),(3,1,'Question',NULL,NULL),(4,1,'Sales',NULL,NULL),(5,1,'Code',NULL,NULL),(6,1,'Management',NULL,NULL),(7,1,'Problem',NULL,NULL),(8,1,'Incident',NULL,NULL),(9,1,'Feature Request',NULL,NULL);
/*!40000 ALTER TABLE `ticket_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `tickets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tickets` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `ticket_number` bigint DEFAULT NULL,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `subject` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('open','pending','resolved','closed') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `priority` enum('low','medium','high','urgent') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'medium',
  `agent_id` int unsigned DEFAULT NULL,
  `channel_id` int unsigned DEFAULT NULL,
  `type_id` int unsigned DEFAULT NULL,
  `group_id` int unsigned DEFAULT NULL,
  `project_id` int unsigned DEFAULT NULL,
  `close_date` date DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tickets_company_id_foreign` (`company_id`),
  KEY `tickets_user_id_foreign` (`user_id`),
  KEY `tickets_agent_id_foreign` (`agent_id`),
  KEY `tickets_channel_id_foreign` (`channel_id`),
  KEY `tickets_type_id_foreign` (`type_id`),
  KEY `tickets_country_id_foreign` (`country_id`),
  KEY `tickets_added_by_foreign` (`added_by`),
  KEY `tickets_last_updated_by_foreign` (`last_updated_by`),
  KEY `tickets_updated_at_index` (`updated_at`),
  KEY `tickets_group_id_foreign` (`group_id`),
  KEY `tickets_project_id_foreign` (`project_id`),
  CONSTRAINT `tickets_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tickets_agent_id_foreign` FOREIGN KEY (`agent_id`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tickets_channel_id_foreign` FOREIGN KEY (`channel_id`) REFERENCES `ticket_channels` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tickets_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tickets_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tickets_group_id_foreign` FOREIGN KEY (`group_id`) REFERENCES `ticket_groups` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `tickets_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tickets_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tickets_type_id_foreign` FOREIGN KEY (`type_id`) REFERENCES `ticket_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `tickets_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `tickets` WRITE;
/*!40000 ALTER TABLE `tickets` DISABLE KEYS */;
INSERT INTO `tickets` VALUES (1,1,1,9,'Velit unde eum.','closed','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-14 18:30:00','2024-02-13 04:03:37'),(2,2,1,9,'Expedita laudantium.','open','high',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-16 01:06:22','2024-02-13 04:03:37'),(3,3,1,9,'Beatae maiores.','open','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-30 00:12:50','2024-02-13 04:03:37'),(4,4,1,9,'Adipisci maiores.','pending','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-04 09:09:06','2024-02-13 04:03:37'),(5,5,1,9,'Magni ratione saepe.','pending','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-24 04:44:20','2024-02-13 04:03:37'),(6,6,1,9,'Accusantium quod.','open','low',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-12 02:48:26','2024-02-13 04:03:37'),(7,7,1,9,'Eos dolores et.','resolved','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 18:30:00','2024-02-13 04:03:37'),(8,8,1,9,'Et non.','resolved','high',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-01-09 15:02:40','2024-02-13 04:03:37'),(9,9,1,9,'Delectus tenetur.','resolved','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-14 18:30:00','2024-02-13 04:03:37'),(10,10,1,9,'Doloribus modi.','closed','medium',21,4,6,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2024-02-13 18:30:00','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `tickets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `translate_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `translate_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `google_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `translate_settings` WRITE;
/*!40000 ALTER TABLE `translate_settings` DISABLE KEYS */;
INSERT INTO `translate_settings` VALUES (1,NULL,'2024-02-13 04:03:34','2024-02-13 04:03:34');
/*!40000 ALTER TABLE `translate_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `unit_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `unit_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `unit_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `unit_types_company_id_foreign` (`company_id`),
  CONSTRAINT `unit_types_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `unit_types` WRITE;
/*!40000 ALTER TABLE `unit_types` DISABLE KEYS */;
INSERT INTO `unit_types` VALUES (1,1,'Pcs',1,'2024-02-13 04:03:35','2024-02-13 04:03:35');
/*!40000 ALTER TABLE `unit_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `universal_bundle_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `universal_bundle_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `universal_bundle_settings` WRITE;
/*!40000 ALTER TABLE `universal_bundle_settings` DISABLE KEYS */;
INSERT INTO `universal_bundle_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `universal_bundle_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `universal_module_installs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `universal_module_installs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `module_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `universal_module_installs` WRITE;
/*!40000 ALTER TABLE `universal_module_installs` DISABLE KEYS */;
/*!40000 ALTER TABLE `universal_module_installs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `universal_search`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `universal_search` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `searchable_id` int NOT NULL,
  `module_type` enum('ticket','invoice','notice','proposal','task','creditNote','client','employee','project','estimate','lead') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `route_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `universal_search_company_id_foreign` (`company_id`),
  CONSTRAINT `universal_search_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=154 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `universal_search` WRITE;
/*!40000 ALTER TABLE `universal_search` DISABLE KEYS */;
INSERT INTO `universal_search` VALUES (1,1,1,NULL,'Mr. Keanu Grant','employees.show','2024-02-13 04:03:35','2024-02-13 04:03:35'),(2,1,2,NULL,'Andreane Swaniawski','employees.show','2024-02-13 04:03:35','2024-02-13 04:03:35'),(3,1,3,NULL,'Delbert Williamson','clients.show','2024-02-13 04:03:35','2024-02-13 04:03:35'),(4,1,4,NULL,'Miss Bethel Leannon II','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(5,1,5,NULL,'Nash Schinner','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(6,1,6,NULL,'Marcelino Wunsch','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(7,1,7,NULL,'Jensen Satterfield','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(8,1,8,NULL,'Haylee Dicki','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(9,1,9,NULL,'Willa Schowalter','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(10,1,10,NULL,'Shemar McCullough','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(11,1,11,NULL,'Allie Daniel','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(12,1,12,NULL,'Bo Hegmann Jr.','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(13,1,13,NULL,'Enoch Sipes','clients.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(14,1,14,NULL,'Callie Fritsch','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(15,1,15,NULL,'Florence Davis','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(16,1,16,NULL,'Dandre DuBuque DDS','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(17,1,17,NULL,'Estrella Bins','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(18,1,18,NULL,'Prof. Jettie Stark','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(19,1,19,NULL,'Mr. Robbie Zemlak Sr.','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(20,1,20,NULL,'Mercedes Konopelski Jr.','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(21,1,21,NULL,'Alivia Halvorson','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(22,1,22,NULL,'Tiana Graham II','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(23,1,23,NULL,'Kaleb Runolfsson','employees.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(24,1,1,NULL,'Financial planning and budgeting tool','projects.show','2024-02-13 04:03:36','2024-02-13 04:03:36'),(25,1,1,NULL,'Rome--no, THAT\'S.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(26,1,2,NULL,'Alice, \'I\'ve often.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(27,1,3,NULL,'Queen, and Alice.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(28,1,4,NULL,'Caterpillar; and.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(29,1,5,NULL,'Alice. \'I\'m a--I\'m.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(30,1,1,NULL,'Invoice INV#001','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(31,1,2,NULL,'Invoice INV#002','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(32,1,2,NULL,'e-Learning platform','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(33,1,6,NULL,'Dinah my dear! Let.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(34,1,7,NULL,'Then she went back.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(35,1,8,NULL,'In another moment.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(36,1,9,NULL,'I\'ll manage better.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(37,1,10,NULL,'I to do with you.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(38,1,3,NULL,'Invoice INV#003','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(39,1,4,NULL,'Invoice INV#004','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(40,1,5,NULL,'Invoice INV#005','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(41,1,3,NULL,'Fundraising and donation platform','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(42,1,11,NULL,'Alice, every now.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(43,1,12,NULL,'While she was as.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(44,1,13,NULL,'She did it at all.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(45,1,14,NULL,'Oh, how I wish you.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(46,1,15,NULL,'Father William,\'.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(47,1,6,NULL,'Invoice INV#006','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(48,1,7,NULL,'Invoice INV#007','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(49,1,8,NULL,'Invoice INV#008','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(50,1,4,NULL,'Crowdfunding platform for social causes','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(51,1,16,NULL,'Alice cautiously.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(52,1,17,NULL,'Like a tea-tray in.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(53,1,18,NULL,'I get SOMEWHERE,\'.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(54,1,19,NULL,'The Fish-Footman.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(55,1,20,NULL,'White Rabbit, \'but.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(56,1,9,NULL,'Invoice INV#009','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(57,1,5,NULL,'Web Installation','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(58,1,21,NULL,'March Hare. \'Yes.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(59,1,22,NULL,'HIS time of life.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(60,1,23,NULL,'Let me see--how IS.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(61,1,24,NULL,'Dinn may be,\' said.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(62,1,25,NULL,'Mock Turtle in a.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(63,1,10,NULL,'Invoice INV#010','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(64,1,11,NULL,'Invoice INV#011','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(65,1,12,NULL,'Invoice INV#012','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(66,1,6,NULL,'Live Meeting','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(67,1,26,NULL,'Alice thought to.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(68,1,27,NULL,'Mouse had changed.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(69,1,28,NULL,'Rabbit, and had no.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(70,1,29,NULL,'For, you see, as.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(71,1,30,NULL,'Between yourself.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(72,1,13,NULL,'Invoice INV#013','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(73,1,7,NULL,'Web development and programming service','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(74,1,31,NULL,'I\'m talking!\' Just.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(75,1,32,NULL,'HAVE tasted eggs.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(76,1,33,NULL,'I think it was,\'.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(77,1,34,NULL,'Come on!\' So they.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(78,1,35,NULL,'Alice. \'I\'m glad.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(79,1,14,NULL,'Invoice INV#014','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(80,1,8,NULL,'Android Patient Tracker','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(81,1,36,NULL,'The Rabbit Sends.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(82,1,37,NULL,'Queen. \'You make.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(83,1,38,NULL,'I THINK; or is it.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(84,1,39,NULL,'Alice to herself.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(85,1,40,NULL,'March Hare and his.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(86,1,15,NULL,'Invoice INV#015','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(87,1,9,NULL,'Voice Recognition','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(88,1,41,NULL,'Alice began in a.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(89,1,42,NULL,'I was a different.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(90,1,43,NULL,'Hatter: \'but you.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(91,1,44,NULL,'Soup, so rich and.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(92,1,45,NULL,'Dormouse again, so.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(93,1,16,NULL,'Invoice INV#016','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(94,1,17,NULL,'Invoice INV#017','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(95,1,18,NULL,'Invoice INV#018','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(96,1,10,NULL,'Lead generation and sales management service','projects.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(97,1,46,NULL,'Yet you turned a.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(98,1,47,NULL,'Then it got down.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(99,1,48,NULL,'HAVE their tails.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(100,1,49,NULL,'I suppose Dinah\'ll.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(101,1,50,NULL,'Alice, seriously.','tasks.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(102,1,19,NULL,'Invoice INV#019','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(103,1,20,NULL,'Invoice INV#020','invoices.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(104,1,1,NULL,'Ticket: Velit unde eum.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(105,1,1,NULL,'Ticket: Velit unde eum.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(106,1,1,NULL,'Ticket: Velit unde eum.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(107,1,1,NULL,'Ticket: Velit unde eum.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(108,1,1,NULL,'Ticket: Velit unde eum.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(109,1,2,NULL,'Ticket: Expedita laudantium.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(110,1,2,NULL,'Ticket: Expedita laudantium.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(111,1,2,NULL,'Ticket: Expedita laudantium.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(112,1,2,NULL,'Ticket: Expedita laudantium.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(113,1,2,NULL,'Ticket: Expedita laudantium.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(114,1,3,NULL,'Ticket: Beatae maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(115,1,3,NULL,'Ticket: Beatae maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(116,1,3,NULL,'Ticket: Beatae maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(117,1,3,NULL,'Ticket: Beatae maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(118,1,3,NULL,'Ticket: Beatae maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(119,1,4,NULL,'Ticket: Adipisci maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(120,1,4,NULL,'Ticket: Adipisci maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(121,1,4,NULL,'Ticket: Adipisci maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(122,1,4,NULL,'Ticket: Adipisci maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(123,1,4,NULL,'Ticket: Adipisci maiores.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(124,1,5,NULL,'Ticket: Magni ratione saepe.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(125,1,5,NULL,'Ticket: Magni ratione saepe.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(126,1,5,NULL,'Ticket: Magni ratione saepe.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(127,1,5,NULL,'Ticket: Magni ratione saepe.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(128,1,5,NULL,'Ticket: Magni ratione saepe.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(129,1,6,NULL,'Ticket: Accusantium quod.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(130,1,6,NULL,'Ticket: Accusantium quod.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(131,1,6,NULL,'Ticket: Accusantium quod.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(132,1,6,NULL,'Ticket: Accusantium quod.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(133,1,6,NULL,'Ticket: Accusantium quod.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(134,1,7,NULL,'Ticket: Eos dolores et.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(135,1,7,NULL,'Ticket: Eos dolores et.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(136,1,7,NULL,'Ticket: Eos dolores et.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(137,1,7,NULL,'Ticket: Eos dolores et.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(138,1,7,NULL,'Ticket: Eos dolores et.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(139,1,8,NULL,'Ticket: Et non.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(140,1,8,NULL,'Ticket: Et non.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(141,1,8,NULL,'Ticket: Et non.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(142,1,8,NULL,'Ticket: Et non.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(143,1,8,NULL,'Ticket: Et non.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(144,1,9,NULL,'Ticket: Delectus tenetur.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(145,1,9,NULL,'Ticket: Delectus tenetur.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(146,1,9,NULL,'Ticket: Delectus tenetur.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(147,1,9,NULL,'Ticket: Delectus tenetur.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(148,1,9,NULL,'Ticket: Delectus tenetur.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(149,1,10,NULL,'Ticket: Doloribus modi.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(150,1,10,NULL,'Ticket: Doloribus modi.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(151,1,10,NULL,'Ticket: Doloribus modi.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(152,1,10,NULL,'Ticket: Doloribus modi.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37'),(153,1,10,NULL,'Ticket: Doloribus modi.','tickets.show','2024-02-13 04:03:37','2024-02-13 04:03:37');
/*!40000 ALTER TABLE `universal_search` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_activities` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `activity` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_activities_company_id_foreign` (`company_id`),
  KEY `user_activities_user_id_foreign` (`user_id`),
  KEY `user_activities_created_at_index` (`created_at`),
  CONSTRAINT `user_activities_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_activities_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_activities` WRITE;
/*!40000 ALTER TABLE `user_activities` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_activities` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_invitations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_invitations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `invitation_type` enum('email','link') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'email',
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invitation_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` enum('active','inactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `email_restriction` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_invitations_company_id_foreign` (`company_id`),
  KEY `user_invitations_user_id_foreign` (`user_id`),
  CONSTRAINT `user_invitations_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_invitations_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_invitations` WRITE;
/*!40000 ALTER TABLE `user_invitations` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_invitations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_leadboard_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_leadboard_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `pipeline_stage_id` int unsigned DEFAULT NULL,
  `collapsed` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_leadboard_settings_company_id_foreign` (`company_id`),
  KEY `user_leadboard_settings_user_id_foreign` (`user_id`),
  KEY `user_leadboard_settings_pipeline_stage_id_foreign` (`pipeline_stage_id`),
  CONSTRAINT `user_leadboard_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_leadboard_settings_pipeline_stage_id_foreign` FOREIGN KEY (`pipeline_stage_id`) REFERENCES `pipeline_stages` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `user_leadboard_settings_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_leadboard_settings` WRITE;
/*!40000 ALTER TABLE `user_leadboard_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_leadboard_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_permissions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int unsigned NOT NULL,
  `permission_id` int unsigned NOT NULL,
  `permission_type_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_permissions_user_id_foreign` (`user_id`),
  KEY `user_permissions_permission_id_foreign` (`permission_id`),
  KEY `user_permissions_permission_type_id_foreign` (`permission_type_id`),
  CONSTRAINT `user_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_permissions_permission_type_id_foreign` FOREIGN KEY (`permission_type_id`) REFERENCES `permission_types` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_permissions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=10249 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_permissions` WRITE;
/*!40000 ALTER TABLE `user_permissions` DISABLE KEYS */;
INSERT INTO `user_permissions` VALUES (428,3,1,5,NULL,NULL),(429,3,2,5,NULL,NULL),(430,3,3,5,NULL,NULL),(431,3,4,5,NULL,NULL),(432,3,5,5,NULL,NULL),(433,3,6,5,NULL,NULL),(434,3,7,5,NULL,NULL),(435,3,8,5,NULL,NULL),(436,3,9,5,NULL,NULL),(437,3,10,5,NULL,NULL),(438,3,11,5,NULL,NULL),(439,3,12,5,NULL,NULL),(440,3,13,5,NULL,NULL),(441,3,14,5,NULL,NULL),(442,3,15,5,NULL,NULL),(443,3,16,5,NULL,NULL),(444,3,17,5,NULL,NULL),(445,3,18,5,NULL,NULL),(446,3,19,5,NULL,NULL),(447,3,20,5,NULL,NULL),(448,3,21,5,NULL,NULL),(449,3,22,5,NULL,NULL),(450,3,23,5,NULL,NULL),(451,3,24,5,NULL,NULL),(452,3,25,5,NULL,NULL),(453,3,26,5,NULL,NULL),(454,3,27,5,NULL,NULL),(455,3,28,5,NULL,NULL),(456,3,29,5,NULL,NULL),(457,3,30,5,NULL,NULL),(458,3,31,5,NULL,NULL),(459,3,32,5,NULL,NULL),(460,3,33,5,NULL,NULL),(461,3,34,5,NULL,NULL),(462,3,35,5,NULL,NULL),(463,3,36,5,NULL,NULL),(464,3,37,5,NULL,NULL),(465,3,38,5,NULL,NULL),(466,3,39,5,NULL,NULL),(467,3,40,5,NULL,NULL),(468,3,41,5,NULL,NULL),(469,3,42,5,NULL,NULL),(470,3,43,5,NULL,NULL),(471,3,44,5,NULL,NULL),(472,3,45,5,NULL,NULL),(473,3,46,5,NULL,NULL),(474,3,47,5,NULL,NULL),(475,3,48,5,NULL,NULL),(476,3,49,5,NULL,NULL),(477,3,50,5,NULL,NULL),(478,3,51,5,NULL,NULL),(479,3,52,5,NULL,NULL),(480,3,53,5,NULL,NULL),(481,3,54,5,NULL,NULL),(482,3,55,5,NULL,NULL),(483,3,56,5,NULL,NULL),(484,3,57,5,NULL,NULL),(485,3,58,5,NULL,NULL),(486,3,59,5,NULL,NULL),(487,3,60,5,NULL,NULL),(488,3,61,5,NULL,NULL),(489,3,62,5,NULL,NULL),(490,3,63,5,NULL,NULL),(491,3,64,5,NULL,NULL),(492,3,65,5,NULL,NULL),(493,3,66,5,NULL,NULL),(494,3,67,5,NULL,NULL),(495,3,68,5,NULL,NULL),(496,3,69,5,NULL,NULL),(497,3,70,5,NULL,NULL),(498,3,71,5,NULL,NULL),(499,3,72,5,NULL,NULL),(500,3,73,5,NULL,NULL),(501,3,74,5,NULL,NULL),(502,3,75,5,NULL,NULL),(503,3,76,5,NULL,NULL),(504,3,77,5,NULL,NULL),(505,3,78,5,NULL,NULL),(506,3,79,5,NULL,NULL),(507,3,80,5,NULL,NULL),(508,3,81,5,NULL,NULL),(509,3,82,5,NULL,NULL),(510,3,83,5,NULL,NULL),(511,3,84,5,NULL,NULL),(512,3,85,5,NULL,NULL),(513,3,86,5,NULL,NULL),(514,3,87,5,NULL,NULL),(515,3,88,5,NULL,NULL),(516,3,89,5,NULL,NULL),(517,3,90,5,NULL,NULL),(518,3,91,5,NULL,NULL),(519,3,92,5,NULL,NULL),(520,3,93,5,NULL,NULL),(521,3,94,5,NULL,NULL),(522,3,95,5,NULL,NULL),(523,3,96,5,NULL,NULL),(524,3,97,5,NULL,NULL),(525,3,98,5,NULL,NULL),(526,3,99,5,NULL,NULL),(527,3,100,5,NULL,NULL),(528,3,101,5,NULL,NULL),(529,3,102,5,NULL,NULL),(530,3,103,5,NULL,NULL),(531,3,104,5,NULL,NULL),(532,3,105,5,NULL,NULL),(533,3,106,5,NULL,NULL),(534,3,107,5,NULL,NULL),(535,3,108,5,NULL,NULL),(536,3,109,5,NULL,NULL),(537,3,110,5,NULL,NULL),(538,3,111,5,NULL,NULL),(539,3,112,5,NULL,NULL),(540,3,113,5,NULL,NULL),(541,3,114,5,NULL,NULL),(542,3,115,5,NULL,NULL),(543,3,116,5,NULL,NULL),(544,3,117,5,NULL,NULL),(545,3,118,5,NULL,NULL),(546,3,119,5,NULL,NULL),(547,3,120,5,NULL,NULL),(548,3,121,5,NULL,NULL),(549,3,122,5,NULL,NULL),(550,3,123,5,NULL,NULL),(551,3,124,5,NULL,NULL),(552,3,125,5,NULL,NULL),(553,3,126,5,NULL,NULL),(554,3,127,5,NULL,NULL),(555,3,128,5,NULL,NULL),(556,3,129,5,NULL,NULL),(557,3,130,5,NULL,NULL),(558,3,131,5,NULL,NULL),(559,3,132,5,NULL,NULL),(560,3,133,5,NULL,NULL),(561,3,134,5,NULL,NULL),(562,3,135,5,NULL,NULL),(563,3,136,5,NULL,NULL),(564,3,137,5,NULL,NULL),(565,3,138,5,NULL,NULL),(566,3,139,5,NULL,NULL),(567,3,140,5,NULL,NULL),(568,3,141,5,NULL,NULL),(569,3,142,5,NULL,NULL),(570,3,143,5,NULL,NULL),(571,3,144,5,NULL,NULL),(572,3,145,5,NULL,NULL),(573,3,146,5,NULL,NULL),(574,3,147,5,NULL,NULL),(575,3,148,5,NULL,NULL),(576,3,149,5,NULL,NULL),(577,3,150,5,NULL,NULL),(578,3,151,5,NULL,NULL),(579,3,152,5,NULL,NULL),(580,3,153,5,NULL,NULL),(581,3,154,5,NULL,NULL),(582,3,155,5,NULL,NULL),(583,3,156,5,NULL,NULL),(584,3,157,5,NULL,NULL),(585,3,158,5,NULL,NULL),(586,3,159,5,NULL,NULL),(587,3,160,5,NULL,NULL),(588,3,161,5,NULL,NULL),(589,3,162,5,NULL,NULL),(590,3,163,5,NULL,NULL),(591,3,164,5,NULL,NULL),(592,3,165,5,NULL,NULL),(593,3,166,5,NULL,NULL),(594,3,167,5,NULL,NULL),(595,3,168,5,NULL,NULL),(596,3,169,5,NULL,NULL),(597,3,170,5,NULL,NULL),(598,3,171,5,NULL,NULL),(599,3,172,5,NULL,NULL),(600,3,173,5,NULL,NULL),(601,3,174,5,NULL,NULL),(602,3,175,5,NULL,NULL),(603,3,176,5,NULL,NULL),(604,3,177,5,NULL,NULL),(605,3,178,5,NULL,NULL),(606,3,179,5,NULL,NULL),(607,3,180,5,NULL,NULL),(608,3,181,5,NULL,NULL),(609,3,182,5,NULL,NULL),(610,3,183,5,NULL,NULL),(611,3,184,2,NULL,NULL),(612,3,185,5,NULL,NULL),(613,3,186,5,NULL,NULL),(614,3,187,5,NULL,NULL),(615,3,188,4,NULL,NULL),(616,3,189,4,NULL,NULL),(617,3,190,1,NULL,NULL),(618,3,191,4,NULL,NULL),(619,3,192,4,NULL,NULL),(620,3,193,1,NULL,NULL),(621,3,194,1,NULL,NULL),(622,3,195,5,NULL,NULL),(623,3,196,5,NULL,NULL),(624,3,197,5,NULL,NULL),(625,3,198,5,NULL,NULL),(626,3,199,5,NULL,NULL),(627,3,200,4,NULL,NULL),(628,3,201,5,NULL,NULL),(629,3,202,5,NULL,NULL),(630,3,203,5,NULL,NULL),(631,3,204,5,NULL,NULL),(632,3,205,5,NULL,NULL),(633,3,206,5,NULL,NULL),(634,3,207,5,NULL,NULL),(635,3,208,5,NULL,NULL),(636,3,209,4,NULL,NULL),(637,3,210,5,NULL,NULL),(638,3,211,4,NULL,NULL),(639,3,212,4,NULL,NULL),(640,3,213,5,NULL,NULL),(641,3,214,4,NULL,NULL),(642,3,215,5,NULL,NULL),(643,3,216,5,NULL,NULL),(644,3,217,4,NULL,NULL),(645,3,218,5,NULL,NULL),(646,3,219,5,NULL,NULL),(647,3,220,5,NULL,NULL),(648,3,221,5,NULL,NULL),(649,3,222,5,NULL,NULL),(650,3,223,5,NULL,NULL),(651,3,224,5,NULL,NULL),(652,3,225,5,NULL,NULL),(653,3,226,5,NULL,NULL),(654,3,227,5,NULL,NULL),(655,3,228,5,NULL,NULL),(656,3,229,5,NULL,NULL),(657,3,230,5,NULL,NULL),(658,3,231,5,NULL,NULL),(659,3,232,2,NULL,NULL),(660,3,233,5,NULL,NULL),(661,3,234,5,NULL,NULL),(662,3,235,5,NULL,NULL),(663,3,236,5,NULL,NULL),(664,3,237,5,NULL,NULL),(665,3,238,5,NULL,NULL),(666,3,239,4,NULL,NULL),(667,3,240,5,NULL,NULL),(668,3,241,5,NULL,NULL),(669,3,242,4,NULL,NULL),(670,3,243,5,NULL,NULL),(671,3,244,5,NULL,NULL),(672,3,245,5,NULL,NULL),(673,3,246,4,NULL,NULL),(674,3,247,4,NULL,NULL),(675,3,248,1,NULL,NULL),(676,3,249,1,NULL,NULL),(677,3,250,4,NULL,NULL),(678,3,251,4,NULL,NULL),(679,3,252,1,NULL,NULL),(680,3,253,1,NULL,NULL),(681,3,254,5,NULL,NULL),(682,3,255,5,NULL,NULL),(683,3,256,5,NULL,NULL),(684,3,257,5,NULL,NULL),(685,3,258,5,NULL,NULL),(686,3,259,5,NULL,NULL),(687,3,260,5,NULL,NULL),(688,3,261,2,NULL,NULL),(689,3,262,5,NULL,NULL),(690,3,263,5,NULL,NULL),(691,3,264,5,NULL,NULL),(692,3,265,2,NULL,NULL),(693,3,266,5,NULL,NULL),(694,3,267,5,NULL,NULL),(695,3,268,5,NULL,NULL),(696,3,269,5,NULL,NULL),(697,3,270,5,NULL,NULL),(698,3,271,5,NULL,NULL),(699,3,272,2,NULL,NULL),(700,3,273,5,NULL,NULL),(701,3,274,5,NULL,NULL),(702,3,275,5,NULL,NULL),(703,3,276,5,NULL,NULL),(704,3,277,2,NULL,NULL),(705,3,278,5,NULL,NULL),(706,3,279,5,NULL,NULL),(707,3,280,5,NULL,NULL),(708,3,281,5,NULL,NULL),(709,3,282,5,NULL,NULL),(710,3,283,1,NULL,NULL),(711,3,284,3,NULL,NULL),(712,3,285,1,NULL,NULL),(713,3,286,1,NULL,NULL),(714,3,287,5,NULL,NULL),(715,3,288,5,NULL,NULL),(716,3,289,5,NULL,NULL),(717,3,290,5,NULL,NULL),(718,3,291,5,NULL,NULL),(719,3,292,5,NULL,NULL),(720,3,293,2,NULL,NULL),(721,3,294,5,NULL,NULL),(722,3,295,5,NULL,NULL),(723,3,296,5,NULL,NULL),(724,3,297,2,NULL,NULL),(725,3,298,5,NULL,NULL),(726,3,299,5,NULL,NULL),(727,3,300,5,NULL,NULL),(728,3,301,5,NULL,NULL),(729,3,302,5,NULL,NULL),(730,3,303,5,NULL,NULL),(731,3,304,5,NULL,NULL),(732,3,305,5,NULL,NULL),(733,3,306,5,NULL,NULL),(734,3,307,5,NULL,NULL),(735,3,308,5,NULL,NULL),(736,3,309,5,NULL,NULL),(737,3,310,5,NULL,NULL),(738,3,311,5,NULL,NULL),(739,3,312,5,NULL,NULL),(740,3,313,5,NULL,NULL),(741,3,314,5,NULL,NULL),(742,3,315,5,NULL,NULL),(743,3,316,5,NULL,NULL),(744,3,317,5,NULL,NULL),(745,3,318,5,NULL,NULL),(746,3,319,5,NULL,NULL),(747,3,320,5,NULL,NULL),(748,3,321,5,NULL,NULL),(749,3,322,5,NULL,NULL),(750,3,323,5,NULL,NULL),(751,3,324,5,NULL,NULL),(752,3,325,5,NULL,NULL),(753,3,326,5,NULL,NULL),(754,3,327,5,NULL,NULL),(755,3,328,5,NULL,NULL),(756,3,329,5,NULL,NULL),(757,3,330,5,NULL,NULL),(758,3,331,5,NULL,NULL),(759,3,332,5,NULL,NULL),(760,3,333,5,NULL,NULL),(761,3,334,5,NULL,NULL),(762,3,335,5,NULL,NULL),(763,3,336,5,NULL,NULL),(764,3,337,5,NULL,NULL),(765,3,338,5,NULL,NULL),(766,3,339,5,NULL,NULL),(767,3,340,5,NULL,NULL),(768,3,341,5,NULL,NULL),(769,3,342,5,NULL,NULL),(770,3,343,5,NULL,NULL),(771,3,344,4,NULL,NULL),(772,3,345,5,NULL,NULL),(773,3,346,5,NULL,NULL),(774,3,347,5,NULL,NULL),(775,3,348,5,NULL,NULL),(776,3,349,5,NULL,NULL),(777,3,350,5,NULL,NULL),(778,3,351,5,NULL,NULL),(779,3,352,5,NULL,NULL),(780,3,353,5,NULL,NULL),(781,3,354,5,NULL,NULL),(782,3,355,5,NULL,NULL),(783,3,356,5,NULL,NULL),(784,3,357,5,NULL,NULL),(785,3,358,2,NULL,NULL),(786,3,359,5,NULL,NULL),(787,3,360,5,NULL,NULL),(788,3,361,5,NULL,NULL),(789,3,362,5,NULL,NULL),(790,3,363,4,NULL,NULL),(791,3,364,5,NULL,NULL),(792,3,365,4,NULL,NULL),(793,3,366,5,NULL,NULL),(794,3,367,5,NULL,NULL),(795,3,368,4,NULL,NULL),(796,3,369,5,NULL,NULL),(797,3,370,5,NULL,NULL),(798,3,371,5,NULL,NULL),(799,3,372,5,NULL,NULL),(800,3,373,5,NULL,NULL),(801,3,374,5,NULL,NULL),(802,3,375,5,NULL,NULL),(803,3,376,5,NULL,NULL),(804,3,377,5,NULL,NULL),(805,3,378,5,NULL,NULL),(806,3,379,5,NULL,NULL),(807,3,380,5,NULL,NULL),(808,3,381,5,NULL,NULL),(809,3,382,5,NULL,NULL),(810,3,383,5,NULL,NULL),(811,3,384,5,NULL,NULL),(812,3,385,5,NULL,NULL),(813,3,386,5,NULL,NULL),(814,3,387,5,NULL,NULL),(815,3,388,5,NULL,NULL),(816,3,389,5,NULL,NULL),(817,3,390,5,NULL,NULL),(818,3,391,5,NULL,NULL),(819,3,392,5,NULL,NULL),(820,3,393,5,NULL,NULL),(821,3,394,5,NULL,NULL),(822,3,395,5,NULL,NULL),(823,3,396,5,NULL,NULL),(824,3,397,5,NULL,NULL),(825,3,398,5,NULL,NULL),(826,3,399,5,NULL,NULL),(827,3,400,5,NULL,NULL),(828,3,401,5,NULL,NULL),(829,3,402,5,NULL,NULL),(830,3,403,5,NULL,NULL),(831,3,404,5,NULL,NULL),(832,3,405,5,NULL,NULL),(833,3,406,5,NULL,NULL),(834,3,407,5,NULL,NULL),(835,3,408,5,NULL,NULL),(836,3,409,5,NULL,NULL),(837,3,410,5,NULL,NULL),(838,3,411,5,NULL,NULL),(839,3,412,4,NULL,NULL),(840,3,413,2,NULL,NULL),(841,3,414,5,NULL,NULL),(842,3,415,5,NULL,NULL),(843,3,416,5,NULL,NULL),(844,3,417,5,NULL,NULL),(845,3,418,5,NULL,NULL),(846,3,419,5,NULL,NULL),(847,3,420,5,NULL,NULL),(848,3,421,5,NULL,NULL),(849,3,422,5,NULL,NULL),(850,3,423,5,NULL,NULL),(851,3,424,5,NULL,NULL),(852,3,425,5,NULL,NULL),(853,3,426,5,NULL,NULL),(854,3,427,5,NULL,NULL),(855,4,1,5,NULL,NULL),(856,4,2,5,NULL,NULL),(857,4,3,5,NULL,NULL),(858,4,4,5,NULL,NULL),(859,4,5,5,NULL,NULL),(860,4,6,5,NULL,NULL),(861,4,7,5,NULL,NULL),(862,4,8,5,NULL,NULL),(863,4,9,5,NULL,NULL),(864,4,10,5,NULL,NULL),(865,4,11,5,NULL,NULL),(866,4,12,5,NULL,NULL),(867,4,13,5,NULL,NULL),(868,4,14,5,NULL,NULL),(869,4,15,5,NULL,NULL),(870,4,16,5,NULL,NULL),(871,4,17,5,NULL,NULL),(872,4,18,5,NULL,NULL),(873,4,19,5,NULL,NULL),(874,4,20,5,NULL,NULL),(875,4,21,5,NULL,NULL),(876,4,22,5,NULL,NULL),(877,4,23,5,NULL,NULL),(878,4,24,5,NULL,NULL),(879,4,25,5,NULL,NULL),(880,4,26,5,NULL,NULL),(881,4,27,5,NULL,NULL),(882,4,28,5,NULL,NULL),(883,4,29,5,NULL,NULL),(884,4,30,5,NULL,NULL),(885,4,31,5,NULL,NULL),(886,4,32,5,NULL,NULL),(887,4,33,5,NULL,NULL),(888,4,34,5,NULL,NULL),(889,4,35,5,NULL,NULL),(890,4,36,5,NULL,NULL),(891,4,37,5,NULL,NULL),(892,4,38,5,NULL,NULL),(893,4,39,5,NULL,NULL),(894,4,40,5,NULL,NULL),(895,4,41,5,NULL,NULL),(896,4,42,5,NULL,NULL),(897,4,43,5,NULL,NULL),(898,4,44,5,NULL,NULL),(899,4,45,5,NULL,NULL),(900,4,46,5,NULL,NULL),(901,4,47,5,NULL,NULL),(902,4,48,5,NULL,NULL),(903,4,49,5,NULL,NULL),(904,4,50,5,NULL,NULL),(905,4,51,5,NULL,NULL),(906,4,52,5,NULL,NULL),(907,4,53,5,NULL,NULL),(908,4,54,5,NULL,NULL),(909,4,55,5,NULL,NULL),(910,4,56,5,NULL,NULL),(911,4,57,5,NULL,NULL),(912,4,58,5,NULL,NULL),(913,4,59,5,NULL,NULL),(914,4,60,5,NULL,NULL),(915,4,61,5,NULL,NULL),(916,4,62,5,NULL,NULL),(917,4,63,5,NULL,NULL),(918,4,64,5,NULL,NULL),(919,4,65,5,NULL,NULL),(920,4,66,5,NULL,NULL),(921,4,67,5,NULL,NULL),(922,4,68,5,NULL,NULL),(923,4,69,5,NULL,NULL),(924,4,70,5,NULL,NULL),(925,4,71,5,NULL,NULL),(926,4,72,5,NULL,NULL),(927,4,73,5,NULL,NULL),(928,4,74,5,NULL,NULL),(929,4,75,5,NULL,NULL),(930,4,76,5,NULL,NULL),(931,4,77,5,NULL,NULL),(932,4,78,5,NULL,NULL),(933,4,79,5,NULL,NULL),(934,4,80,5,NULL,NULL),(935,4,81,5,NULL,NULL),(936,4,82,5,NULL,NULL),(937,4,83,5,NULL,NULL),(938,4,84,5,NULL,NULL),(939,4,85,5,NULL,NULL),(940,4,86,5,NULL,NULL),(941,4,87,5,NULL,NULL),(942,4,88,5,NULL,NULL),(943,4,89,5,NULL,NULL),(944,4,90,5,NULL,NULL),(945,4,91,5,NULL,NULL),(946,4,92,5,NULL,NULL),(947,4,93,5,NULL,NULL),(948,4,94,5,NULL,NULL),(949,4,95,5,NULL,NULL),(950,4,96,5,NULL,NULL),(951,4,97,5,NULL,NULL),(952,4,98,5,NULL,NULL),(953,4,99,5,NULL,NULL),(954,4,100,5,NULL,NULL),(955,4,101,5,NULL,NULL),(956,4,102,5,NULL,NULL),(957,4,103,5,NULL,NULL),(958,4,104,5,NULL,NULL),(959,4,105,5,NULL,NULL),(960,4,106,5,NULL,NULL),(961,4,107,5,NULL,NULL),(962,4,108,5,NULL,NULL),(963,4,109,5,NULL,NULL),(964,4,110,5,NULL,NULL),(965,4,111,5,NULL,NULL),(966,4,112,5,NULL,NULL),(967,4,113,5,NULL,NULL),(968,4,114,5,NULL,NULL),(969,4,115,5,NULL,NULL),(970,4,116,5,NULL,NULL),(971,4,117,5,NULL,NULL),(972,4,118,5,NULL,NULL),(973,4,119,5,NULL,NULL),(974,4,120,5,NULL,NULL),(975,4,121,5,NULL,NULL),(976,4,122,5,NULL,NULL),(977,4,123,5,NULL,NULL),(978,4,124,5,NULL,NULL),(979,4,125,5,NULL,NULL),(980,4,126,5,NULL,NULL),(981,4,127,5,NULL,NULL),(982,4,128,5,NULL,NULL),(983,4,129,5,NULL,NULL),(984,4,130,5,NULL,NULL),(985,4,131,5,NULL,NULL),(986,4,132,5,NULL,NULL),(987,4,133,5,NULL,NULL),(988,4,134,5,NULL,NULL),(989,4,135,5,NULL,NULL),(990,4,136,5,NULL,NULL),(991,4,137,5,NULL,NULL),(992,4,138,5,NULL,NULL),(993,4,139,5,NULL,NULL),(994,4,140,5,NULL,NULL),(995,4,141,5,NULL,NULL),(996,4,142,5,NULL,NULL),(997,4,143,5,NULL,NULL),(998,4,144,5,NULL,NULL),(999,4,145,5,NULL,NULL),(1000,4,146,5,NULL,NULL),(1001,4,147,5,NULL,NULL),(1002,4,148,5,NULL,NULL),(1003,4,149,5,NULL,NULL),(1004,4,150,5,NULL,NULL),(1005,4,151,5,NULL,NULL),(1006,4,152,5,NULL,NULL),(1007,4,153,5,NULL,NULL),(1008,4,154,5,NULL,NULL),(1009,4,155,5,NULL,NULL),(1010,4,156,5,NULL,NULL),(1011,4,157,5,NULL,NULL),(1012,4,158,5,NULL,NULL),(1013,4,159,5,NULL,NULL),(1014,4,160,5,NULL,NULL),(1015,4,161,5,NULL,NULL),(1016,4,162,5,NULL,NULL),(1017,4,163,5,NULL,NULL),(1018,4,164,5,NULL,NULL),(1019,4,165,5,NULL,NULL),(1020,4,166,5,NULL,NULL),(1021,4,167,5,NULL,NULL),(1022,4,168,5,NULL,NULL),(1023,4,169,5,NULL,NULL),(1024,4,170,5,NULL,NULL),(1025,4,171,5,NULL,NULL),(1026,4,172,5,NULL,NULL),(1027,4,173,5,NULL,NULL),(1028,4,174,5,NULL,NULL),(1029,4,175,5,NULL,NULL),(1030,4,176,5,NULL,NULL),(1031,4,177,5,NULL,NULL),(1032,4,178,5,NULL,NULL),(1033,4,179,5,NULL,NULL),(1034,4,180,5,NULL,NULL),(1035,4,181,5,NULL,NULL),(1036,4,182,5,NULL,NULL),(1037,4,183,5,NULL,NULL),(1038,4,184,2,NULL,NULL),(1039,4,185,5,NULL,NULL),(1040,4,186,5,NULL,NULL),(1041,4,187,5,NULL,NULL),(1042,4,188,4,NULL,NULL),(1043,4,189,4,NULL,NULL),(1044,4,190,1,NULL,NULL),(1045,4,191,4,NULL,NULL),(1046,4,192,4,NULL,NULL),(1047,4,193,1,NULL,NULL),(1048,4,194,1,NULL,NULL),(1049,4,195,5,NULL,NULL),(1050,4,196,5,NULL,NULL),(1051,4,197,5,NULL,NULL),(1052,4,198,5,NULL,NULL),(1053,4,199,5,NULL,NULL),(1054,4,200,4,NULL,NULL),(1055,4,201,5,NULL,NULL),(1056,4,202,5,NULL,NULL),(1057,4,203,5,NULL,NULL),(1058,4,204,5,NULL,NULL),(1059,4,205,5,NULL,NULL),(1060,4,206,5,NULL,NULL),(1061,4,207,5,NULL,NULL),(1062,4,208,5,NULL,NULL),(1063,4,209,4,NULL,NULL),(1064,4,210,5,NULL,NULL),(1065,4,211,4,NULL,NULL),(1066,4,212,4,NULL,NULL),(1067,4,213,5,NULL,NULL),(1068,4,214,4,NULL,NULL),(1069,4,215,5,NULL,NULL),(1070,4,216,5,NULL,NULL),(1071,4,217,4,NULL,NULL),(1072,4,218,5,NULL,NULL),(1073,4,219,5,NULL,NULL),(1074,4,220,5,NULL,NULL),(1075,4,221,5,NULL,NULL),(1076,4,222,5,NULL,NULL),(1077,4,223,5,NULL,NULL),(1078,4,224,5,NULL,NULL),(1079,4,225,5,NULL,NULL),(1080,4,226,5,NULL,NULL),(1081,4,227,5,NULL,NULL),(1082,4,228,5,NULL,NULL),(1083,4,229,5,NULL,NULL),(1084,4,230,5,NULL,NULL),(1085,4,231,5,NULL,NULL),(1086,4,232,2,NULL,NULL),(1087,4,233,5,NULL,NULL),(1088,4,234,5,NULL,NULL),(1089,4,235,5,NULL,NULL),(1090,4,236,5,NULL,NULL),(1091,4,237,5,NULL,NULL),(1092,4,238,5,NULL,NULL),(1093,4,239,4,NULL,NULL),(1094,4,240,5,NULL,NULL),(1095,4,241,5,NULL,NULL),(1096,4,242,4,NULL,NULL),(1097,4,243,5,NULL,NULL),(1098,4,244,5,NULL,NULL),(1099,4,245,5,NULL,NULL),(1100,4,246,4,NULL,NULL),(1101,4,247,4,NULL,NULL),(1102,4,248,1,NULL,NULL),(1103,4,249,1,NULL,NULL),(1104,4,250,4,NULL,NULL),(1105,4,251,4,NULL,NULL),(1106,4,252,1,NULL,NULL),(1107,4,253,1,NULL,NULL),(1108,4,254,5,NULL,NULL),(1109,4,255,5,NULL,NULL),(1110,4,256,5,NULL,NULL),(1111,4,257,5,NULL,NULL),(1112,4,258,5,NULL,NULL),(1113,4,259,5,NULL,NULL),(1114,4,260,5,NULL,NULL),(1115,4,261,2,NULL,NULL),(1116,4,262,5,NULL,NULL),(1117,4,263,5,NULL,NULL),(1118,4,264,5,NULL,NULL),(1119,4,265,2,NULL,NULL),(1120,4,266,5,NULL,NULL),(1121,4,267,5,NULL,NULL),(1122,4,268,5,NULL,NULL),(1123,4,269,5,NULL,NULL),(1124,4,270,5,NULL,NULL),(1125,4,271,5,NULL,NULL),(1126,4,272,2,NULL,NULL),(1127,4,273,5,NULL,NULL),(1128,4,274,5,NULL,NULL),(1129,4,275,5,NULL,NULL),(1130,4,276,5,NULL,NULL),(1131,4,277,2,NULL,NULL),(1132,4,278,5,NULL,NULL),(1133,4,279,5,NULL,NULL),(1134,4,280,5,NULL,NULL),(1135,4,281,5,NULL,NULL),(1136,4,282,5,NULL,NULL),(1137,4,283,1,NULL,NULL),(1138,4,284,3,NULL,NULL),(1139,4,285,1,NULL,NULL),(1140,4,286,1,NULL,NULL),(1141,4,287,5,NULL,NULL),(1142,4,288,5,NULL,NULL),(1143,4,289,5,NULL,NULL),(1144,4,290,5,NULL,NULL),(1145,4,291,5,NULL,NULL),(1146,4,292,5,NULL,NULL),(1147,4,293,2,NULL,NULL),(1148,4,294,5,NULL,NULL),(1149,4,295,5,NULL,NULL),(1150,4,296,5,NULL,NULL),(1151,4,297,2,NULL,NULL),(1152,4,298,5,NULL,NULL),(1153,4,299,5,NULL,NULL),(1154,4,300,5,NULL,NULL),(1155,4,301,5,NULL,NULL),(1156,4,302,5,NULL,NULL),(1157,4,303,5,NULL,NULL),(1158,4,304,5,NULL,NULL),(1159,4,305,5,NULL,NULL),(1160,4,306,5,NULL,NULL),(1161,4,307,5,NULL,NULL),(1162,4,308,5,NULL,NULL),(1163,4,309,5,NULL,NULL),(1164,4,310,5,NULL,NULL),(1165,4,311,5,NULL,NULL),(1166,4,312,5,NULL,NULL),(1167,4,313,5,NULL,NULL),(1168,4,314,5,NULL,NULL),(1169,4,315,5,NULL,NULL),(1170,4,316,5,NULL,NULL),(1171,4,317,5,NULL,NULL),(1172,4,318,5,NULL,NULL),(1173,4,319,5,NULL,NULL),(1174,4,320,5,NULL,NULL),(1175,4,321,5,NULL,NULL),(1176,4,322,5,NULL,NULL),(1177,4,323,5,NULL,NULL),(1178,4,324,5,NULL,NULL),(1179,4,325,5,NULL,NULL),(1180,4,326,5,NULL,NULL),(1181,4,327,5,NULL,NULL),(1182,4,328,5,NULL,NULL),(1183,4,329,5,NULL,NULL),(1184,4,330,5,NULL,NULL),(1185,4,331,5,NULL,NULL),(1186,4,332,5,NULL,NULL),(1187,4,333,5,NULL,NULL),(1188,4,334,5,NULL,NULL),(1189,4,335,5,NULL,NULL),(1190,4,336,5,NULL,NULL),(1191,4,337,5,NULL,NULL),(1192,4,338,5,NULL,NULL),(1193,4,339,5,NULL,NULL),(1194,4,340,5,NULL,NULL),(1195,4,341,5,NULL,NULL),(1196,4,342,5,NULL,NULL),(1197,4,343,5,NULL,NULL),(1198,4,344,4,NULL,NULL),(1199,4,345,5,NULL,NULL),(1200,4,346,5,NULL,NULL),(1201,4,347,5,NULL,NULL),(1202,4,348,5,NULL,NULL),(1203,4,349,5,NULL,NULL),(1204,4,350,5,NULL,NULL),(1205,4,351,5,NULL,NULL),(1206,4,352,5,NULL,NULL),(1207,4,353,5,NULL,NULL),(1208,4,354,5,NULL,NULL),(1209,4,355,5,NULL,NULL),(1210,4,356,5,NULL,NULL),(1211,4,357,5,NULL,NULL),(1212,4,358,2,NULL,NULL),(1213,4,359,5,NULL,NULL),(1214,4,360,5,NULL,NULL),(1215,4,361,5,NULL,NULL),(1216,4,362,5,NULL,NULL),(1217,4,363,4,NULL,NULL),(1218,4,364,5,NULL,NULL),(1219,4,365,4,NULL,NULL),(1220,4,366,5,NULL,NULL),(1221,4,367,5,NULL,NULL),(1222,4,368,4,NULL,NULL),(1223,4,369,5,NULL,NULL),(1224,4,370,5,NULL,NULL),(1225,4,371,5,NULL,NULL),(1226,4,372,5,NULL,NULL),(1227,4,373,5,NULL,NULL),(1228,4,374,5,NULL,NULL),(1229,4,375,5,NULL,NULL),(1230,4,376,5,NULL,NULL),(1231,4,377,5,NULL,NULL),(1232,4,378,5,NULL,NULL),(1233,4,379,5,NULL,NULL),(1234,4,380,5,NULL,NULL),(1235,4,381,5,NULL,NULL),(1236,4,382,5,NULL,NULL),(1237,4,383,5,NULL,NULL),(1238,4,384,5,NULL,NULL),(1239,4,385,5,NULL,NULL),(1240,4,386,5,NULL,NULL),(1241,4,387,5,NULL,NULL),(1242,4,388,5,NULL,NULL),(1243,4,389,5,NULL,NULL),(1244,4,390,5,NULL,NULL),(1245,4,391,5,NULL,NULL),(1246,4,392,5,NULL,NULL),(1247,4,393,5,NULL,NULL),(1248,4,394,5,NULL,NULL),(1249,4,395,5,NULL,NULL),(1250,4,396,5,NULL,NULL),(1251,4,397,5,NULL,NULL),(1252,4,398,5,NULL,NULL),(1253,4,399,5,NULL,NULL),(1254,4,400,5,NULL,NULL),(1255,4,401,5,NULL,NULL),(1256,4,402,5,NULL,NULL),(1257,4,403,5,NULL,NULL),(1258,4,404,5,NULL,NULL),(1259,4,405,5,NULL,NULL),(1260,4,406,5,NULL,NULL),(1261,4,407,5,NULL,NULL),(1262,4,408,5,NULL,NULL),(1263,4,409,5,NULL,NULL),(1264,4,410,5,NULL,NULL),(1265,4,411,5,NULL,NULL),(1266,4,412,4,NULL,NULL),(1267,4,413,2,NULL,NULL),(1268,4,414,5,NULL,NULL),(1269,4,415,5,NULL,NULL),(1270,4,416,5,NULL,NULL),(1271,4,417,5,NULL,NULL),(1272,4,418,5,NULL,NULL),(1273,4,419,5,NULL,NULL),(1274,4,420,5,NULL,NULL),(1275,4,421,5,NULL,NULL),(1276,4,422,5,NULL,NULL),(1277,4,423,5,NULL,NULL),(1278,4,424,5,NULL,NULL),(1279,4,425,5,NULL,NULL),(1280,4,426,5,NULL,NULL),(1281,4,427,5,NULL,NULL),(1282,5,1,5,NULL,NULL),(1283,5,2,5,NULL,NULL),(1284,5,3,5,NULL,NULL),(1285,5,4,5,NULL,NULL),(1286,5,5,5,NULL,NULL),(1287,5,6,5,NULL,NULL),(1288,5,7,5,NULL,NULL),(1289,5,8,5,NULL,NULL),(1290,5,9,5,NULL,NULL),(1291,5,10,5,NULL,NULL),(1292,5,11,5,NULL,NULL),(1293,5,12,5,NULL,NULL),(1294,5,13,5,NULL,NULL),(1295,5,14,5,NULL,NULL),(1296,5,15,5,NULL,NULL),(1297,5,16,5,NULL,NULL),(1298,5,17,5,NULL,NULL),(1299,5,18,5,NULL,NULL),(1300,5,19,5,NULL,NULL),(1301,5,20,5,NULL,NULL),(1302,5,21,5,NULL,NULL),(1303,5,22,5,NULL,NULL),(1304,5,23,5,NULL,NULL),(1305,5,24,5,NULL,NULL),(1306,5,25,5,NULL,NULL),(1307,5,26,5,NULL,NULL),(1308,5,27,5,NULL,NULL),(1309,5,28,5,NULL,NULL),(1310,5,29,5,NULL,NULL),(1311,5,30,5,NULL,NULL),(1312,5,31,5,NULL,NULL),(1313,5,32,5,NULL,NULL),(1314,5,33,5,NULL,NULL),(1315,5,34,5,NULL,NULL),(1316,5,35,5,NULL,NULL),(1317,5,36,5,NULL,NULL),(1318,5,37,5,NULL,NULL),(1319,5,38,5,NULL,NULL),(1320,5,39,5,NULL,NULL),(1321,5,40,5,NULL,NULL),(1322,5,41,5,NULL,NULL),(1323,5,42,5,NULL,NULL),(1324,5,43,5,NULL,NULL),(1325,5,44,5,NULL,NULL),(1326,5,45,5,NULL,NULL),(1327,5,46,5,NULL,NULL),(1328,5,47,5,NULL,NULL),(1329,5,48,5,NULL,NULL),(1330,5,49,5,NULL,NULL),(1331,5,50,5,NULL,NULL),(1332,5,51,5,NULL,NULL),(1333,5,52,5,NULL,NULL),(1334,5,53,5,NULL,NULL),(1335,5,54,5,NULL,NULL),(1336,5,55,5,NULL,NULL),(1337,5,56,5,NULL,NULL),(1338,5,57,5,NULL,NULL),(1339,5,58,5,NULL,NULL),(1340,5,59,5,NULL,NULL),(1341,5,60,5,NULL,NULL),(1342,5,61,5,NULL,NULL),(1343,5,62,5,NULL,NULL),(1344,5,63,5,NULL,NULL),(1345,5,64,5,NULL,NULL),(1346,5,65,5,NULL,NULL),(1347,5,66,5,NULL,NULL),(1348,5,67,5,NULL,NULL),(1349,5,68,5,NULL,NULL),(1350,5,69,5,NULL,NULL),(1351,5,70,5,NULL,NULL),(1352,5,71,5,NULL,NULL),(1353,5,72,5,NULL,NULL),(1354,5,73,5,NULL,NULL),(1355,5,74,5,NULL,NULL),(1356,5,75,5,NULL,NULL),(1357,5,76,5,NULL,NULL),(1358,5,77,5,NULL,NULL),(1359,5,78,5,NULL,NULL),(1360,5,79,5,NULL,NULL),(1361,5,80,5,NULL,NULL),(1362,5,81,5,NULL,NULL),(1363,5,82,5,NULL,NULL),(1364,5,83,5,NULL,NULL),(1365,5,84,5,NULL,NULL),(1366,5,85,5,NULL,NULL),(1367,5,86,5,NULL,NULL),(1368,5,87,5,NULL,NULL),(1369,5,88,5,NULL,NULL),(1370,5,89,5,NULL,NULL),(1371,5,90,5,NULL,NULL),(1372,5,91,5,NULL,NULL),(1373,5,92,5,NULL,NULL),(1374,5,93,5,NULL,NULL),(1375,5,94,5,NULL,NULL),(1376,5,95,5,NULL,NULL),(1377,5,96,5,NULL,NULL),(1378,5,97,5,NULL,NULL),(1379,5,98,5,NULL,NULL),(1380,5,99,5,NULL,NULL),(1381,5,100,5,NULL,NULL),(1382,5,101,5,NULL,NULL),(1383,5,102,5,NULL,NULL),(1384,5,103,5,NULL,NULL),(1385,5,104,5,NULL,NULL),(1386,5,105,5,NULL,NULL),(1387,5,106,5,NULL,NULL),(1388,5,107,5,NULL,NULL),(1389,5,108,5,NULL,NULL),(1390,5,109,5,NULL,NULL),(1391,5,110,5,NULL,NULL),(1392,5,111,5,NULL,NULL),(1393,5,112,5,NULL,NULL),(1394,5,113,5,NULL,NULL),(1395,5,114,5,NULL,NULL),(1396,5,115,5,NULL,NULL),(1397,5,116,5,NULL,NULL),(1398,5,117,5,NULL,NULL),(1399,5,118,5,NULL,NULL),(1400,5,119,5,NULL,NULL),(1401,5,120,5,NULL,NULL),(1402,5,121,5,NULL,NULL),(1403,5,122,5,NULL,NULL),(1404,5,123,5,NULL,NULL),(1405,5,124,5,NULL,NULL),(1406,5,125,5,NULL,NULL),(1407,5,126,5,NULL,NULL),(1408,5,127,5,NULL,NULL),(1409,5,128,5,NULL,NULL),(1410,5,129,5,NULL,NULL),(1411,5,130,5,NULL,NULL),(1412,5,131,5,NULL,NULL),(1413,5,132,5,NULL,NULL),(1414,5,133,5,NULL,NULL),(1415,5,134,5,NULL,NULL),(1416,5,135,5,NULL,NULL),(1417,5,136,5,NULL,NULL),(1418,5,137,5,NULL,NULL),(1419,5,138,5,NULL,NULL),(1420,5,139,5,NULL,NULL),(1421,5,140,5,NULL,NULL),(1422,5,141,5,NULL,NULL),(1423,5,142,5,NULL,NULL),(1424,5,143,5,NULL,NULL),(1425,5,144,5,NULL,NULL),(1426,5,145,5,NULL,NULL),(1427,5,146,5,NULL,NULL),(1428,5,147,5,NULL,NULL),(1429,5,148,5,NULL,NULL),(1430,5,149,5,NULL,NULL),(1431,5,150,5,NULL,NULL),(1432,5,151,5,NULL,NULL),(1433,5,152,5,NULL,NULL),(1434,5,153,5,NULL,NULL),(1435,5,154,5,NULL,NULL),(1436,5,155,5,NULL,NULL),(1437,5,156,5,NULL,NULL),(1438,5,157,5,NULL,NULL),(1439,5,158,5,NULL,NULL),(1440,5,159,5,NULL,NULL),(1441,5,160,5,NULL,NULL),(1442,5,161,5,NULL,NULL),(1443,5,162,5,NULL,NULL),(1444,5,163,5,NULL,NULL),(1445,5,164,5,NULL,NULL),(1446,5,165,5,NULL,NULL),(1447,5,166,5,NULL,NULL),(1448,5,167,5,NULL,NULL),(1449,5,168,5,NULL,NULL),(1450,5,169,5,NULL,NULL),(1451,5,170,5,NULL,NULL),(1452,5,171,5,NULL,NULL),(1453,5,172,5,NULL,NULL),(1454,5,173,5,NULL,NULL),(1455,5,174,5,NULL,NULL),(1456,5,175,5,NULL,NULL),(1457,5,176,5,NULL,NULL),(1458,5,177,5,NULL,NULL),(1459,5,178,5,NULL,NULL),(1460,5,179,5,NULL,NULL),(1461,5,180,5,NULL,NULL),(1462,5,181,5,NULL,NULL),(1463,5,182,5,NULL,NULL),(1464,5,183,5,NULL,NULL),(1465,5,184,2,NULL,NULL),(1466,5,185,5,NULL,NULL),(1467,5,186,5,NULL,NULL),(1468,5,187,5,NULL,NULL),(1469,5,188,4,NULL,NULL),(1470,5,189,4,NULL,NULL),(1471,5,190,1,NULL,NULL),(1472,5,191,4,NULL,NULL),(1473,5,192,4,NULL,NULL),(1474,5,193,1,NULL,NULL),(1475,5,194,1,NULL,NULL),(1476,5,195,5,NULL,NULL),(1477,5,196,5,NULL,NULL),(1478,5,197,5,NULL,NULL),(1479,5,198,5,NULL,NULL),(1480,5,199,5,NULL,NULL),(1481,5,200,4,NULL,NULL),(1482,5,201,5,NULL,NULL),(1483,5,202,5,NULL,NULL),(1484,5,203,5,NULL,NULL),(1485,5,204,5,NULL,NULL),(1486,5,205,5,NULL,NULL),(1487,5,206,5,NULL,NULL),(1488,5,207,5,NULL,NULL),(1489,5,208,5,NULL,NULL),(1490,5,209,4,NULL,NULL),(1491,5,210,5,NULL,NULL),(1492,5,211,4,NULL,NULL),(1493,5,212,4,NULL,NULL),(1494,5,213,5,NULL,NULL),(1495,5,214,4,NULL,NULL),(1496,5,215,5,NULL,NULL),(1497,5,216,5,NULL,NULL),(1498,5,217,4,NULL,NULL),(1499,5,218,5,NULL,NULL),(1500,5,219,5,NULL,NULL),(1501,5,220,5,NULL,NULL),(1502,5,221,5,NULL,NULL),(1503,5,222,5,NULL,NULL),(1504,5,223,5,NULL,NULL),(1505,5,224,5,NULL,NULL),(1506,5,225,5,NULL,NULL),(1507,5,226,5,NULL,NULL),(1508,5,227,5,NULL,NULL),(1509,5,228,5,NULL,NULL),(1510,5,229,5,NULL,NULL),(1511,5,230,5,NULL,NULL),(1512,5,231,5,NULL,NULL),(1513,5,232,2,NULL,NULL),(1514,5,233,5,NULL,NULL),(1515,5,234,5,NULL,NULL),(1516,5,235,5,NULL,NULL),(1517,5,236,5,NULL,NULL),(1518,5,237,5,NULL,NULL),(1519,5,238,5,NULL,NULL),(1520,5,239,4,NULL,NULL),(1521,5,240,5,NULL,NULL),(1522,5,241,5,NULL,NULL),(1523,5,242,4,NULL,NULL),(1524,5,243,5,NULL,NULL),(1525,5,244,5,NULL,NULL),(1526,5,245,5,NULL,NULL),(1527,5,246,4,NULL,NULL),(1528,5,247,4,NULL,NULL),(1529,5,248,1,NULL,NULL),(1530,5,249,1,NULL,NULL),(1531,5,250,4,NULL,NULL),(1532,5,251,4,NULL,NULL),(1533,5,252,1,NULL,NULL),(1534,5,253,1,NULL,NULL),(1535,5,254,5,NULL,NULL),(1536,5,255,5,NULL,NULL),(1537,5,256,5,NULL,NULL),(1538,5,257,5,NULL,NULL),(1539,5,258,5,NULL,NULL),(1540,5,259,5,NULL,NULL),(1541,5,260,5,NULL,NULL),(1542,5,261,2,NULL,NULL),(1543,5,262,5,NULL,NULL),(1544,5,263,5,NULL,NULL),(1545,5,264,5,NULL,NULL),(1546,5,265,2,NULL,NULL),(1547,5,266,5,NULL,NULL),(1548,5,267,5,NULL,NULL),(1549,5,268,5,NULL,NULL),(1550,5,269,5,NULL,NULL),(1551,5,270,5,NULL,NULL),(1552,5,271,5,NULL,NULL),(1553,5,272,2,NULL,NULL),(1554,5,273,5,NULL,NULL),(1555,5,274,5,NULL,NULL),(1556,5,275,5,NULL,NULL),(1557,5,276,5,NULL,NULL),(1558,5,277,2,NULL,NULL),(1559,5,278,5,NULL,NULL),(1560,5,279,5,NULL,NULL),(1561,5,280,5,NULL,NULL),(1562,5,281,5,NULL,NULL),(1563,5,282,5,NULL,NULL),(1564,5,283,1,NULL,NULL),(1565,5,284,3,NULL,NULL),(1566,5,285,1,NULL,NULL),(1567,5,286,1,NULL,NULL),(1568,5,287,5,NULL,NULL),(1569,5,288,5,NULL,NULL),(1570,5,289,5,NULL,NULL),(1571,5,290,5,NULL,NULL),(1572,5,291,5,NULL,NULL),(1573,5,292,5,NULL,NULL),(1574,5,293,2,NULL,NULL),(1575,5,294,5,NULL,NULL),(1576,5,295,5,NULL,NULL),(1577,5,296,5,NULL,NULL),(1578,5,297,2,NULL,NULL),(1579,5,298,5,NULL,NULL),(1580,5,299,5,NULL,NULL),(1581,5,300,5,NULL,NULL),(1582,5,301,5,NULL,NULL),(1583,5,302,5,NULL,NULL),(1584,5,303,5,NULL,NULL),(1585,5,304,5,NULL,NULL),(1586,5,305,5,NULL,NULL),(1587,5,306,5,NULL,NULL),(1588,5,307,5,NULL,NULL),(1589,5,308,5,NULL,NULL),(1590,5,309,5,NULL,NULL),(1591,5,310,5,NULL,NULL),(1592,5,311,5,NULL,NULL),(1593,5,312,5,NULL,NULL),(1594,5,313,5,NULL,NULL),(1595,5,314,5,NULL,NULL),(1596,5,315,5,NULL,NULL),(1597,5,316,5,NULL,NULL),(1598,5,317,5,NULL,NULL),(1599,5,318,5,NULL,NULL),(1600,5,319,5,NULL,NULL),(1601,5,320,5,NULL,NULL),(1602,5,321,5,NULL,NULL),(1603,5,322,5,NULL,NULL),(1604,5,323,5,NULL,NULL),(1605,5,324,5,NULL,NULL),(1606,5,325,5,NULL,NULL),(1607,5,326,5,NULL,NULL),(1608,5,327,5,NULL,NULL),(1609,5,328,5,NULL,NULL),(1610,5,329,5,NULL,NULL),(1611,5,330,5,NULL,NULL),(1612,5,331,5,NULL,NULL),(1613,5,332,5,NULL,NULL),(1614,5,333,5,NULL,NULL),(1615,5,334,5,NULL,NULL),(1616,5,335,5,NULL,NULL),(1617,5,336,5,NULL,NULL),(1618,5,337,5,NULL,NULL),(1619,5,338,5,NULL,NULL),(1620,5,339,5,NULL,NULL),(1621,5,340,5,NULL,NULL),(1622,5,341,5,NULL,NULL),(1623,5,342,5,NULL,NULL),(1624,5,343,5,NULL,NULL),(1625,5,344,4,NULL,NULL),(1626,5,345,5,NULL,NULL),(1627,5,346,5,NULL,NULL),(1628,5,347,5,NULL,NULL),(1629,5,348,5,NULL,NULL),(1630,5,349,5,NULL,NULL),(1631,5,350,5,NULL,NULL),(1632,5,351,5,NULL,NULL),(1633,5,352,5,NULL,NULL),(1634,5,353,5,NULL,NULL),(1635,5,354,5,NULL,NULL),(1636,5,355,5,NULL,NULL),(1637,5,356,5,NULL,NULL),(1638,5,357,5,NULL,NULL),(1639,5,358,2,NULL,NULL),(1640,5,359,5,NULL,NULL),(1641,5,360,5,NULL,NULL),(1642,5,361,5,NULL,NULL),(1643,5,362,5,NULL,NULL),(1644,5,363,4,NULL,NULL),(1645,5,364,5,NULL,NULL),(1646,5,365,4,NULL,NULL),(1647,5,366,5,NULL,NULL),(1648,5,367,5,NULL,NULL),(1649,5,368,4,NULL,NULL),(1650,5,369,5,NULL,NULL),(1651,5,370,5,NULL,NULL),(1652,5,371,5,NULL,NULL),(1653,5,372,5,NULL,NULL),(1654,5,373,5,NULL,NULL),(1655,5,374,5,NULL,NULL),(1656,5,375,5,NULL,NULL),(1657,5,376,5,NULL,NULL),(1658,5,377,5,NULL,NULL),(1659,5,378,5,NULL,NULL),(1660,5,379,5,NULL,NULL),(1661,5,380,5,NULL,NULL),(1662,5,381,5,NULL,NULL),(1663,5,382,5,NULL,NULL),(1664,5,383,5,NULL,NULL),(1665,5,384,5,NULL,NULL),(1666,5,385,5,NULL,NULL),(1667,5,386,5,NULL,NULL),(1668,5,387,5,NULL,NULL),(1669,5,388,5,NULL,NULL),(1670,5,389,5,NULL,NULL),(1671,5,390,5,NULL,NULL),(1672,5,391,5,NULL,NULL),(1673,5,392,5,NULL,NULL),(1674,5,393,5,NULL,NULL),(1675,5,394,5,NULL,NULL),(1676,5,395,5,NULL,NULL),(1677,5,396,5,NULL,NULL),(1678,5,397,5,NULL,NULL),(1679,5,398,5,NULL,NULL),(1680,5,399,5,NULL,NULL),(1681,5,400,5,NULL,NULL),(1682,5,401,5,NULL,NULL),(1683,5,402,5,NULL,NULL),(1684,5,403,5,NULL,NULL),(1685,5,404,5,NULL,NULL),(1686,5,405,5,NULL,NULL),(1687,5,406,5,NULL,NULL),(1688,5,407,5,NULL,NULL),(1689,5,408,5,NULL,NULL),(1690,5,409,5,NULL,NULL),(1691,5,410,5,NULL,NULL),(1692,5,411,5,NULL,NULL),(1693,5,412,4,NULL,NULL),(1694,5,413,2,NULL,NULL),(1695,5,414,5,NULL,NULL),(1696,5,415,5,NULL,NULL),(1697,5,416,5,NULL,NULL),(1698,5,417,5,NULL,NULL),(1699,5,418,5,NULL,NULL),(1700,5,419,5,NULL,NULL),(1701,5,420,5,NULL,NULL),(1702,5,421,5,NULL,NULL),(1703,5,422,5,NULL,NULL),(1704,5,423,5,NULL,NULL),(1705,5,424,5,NULL,NULL),(1706,5,425,5,NULL,NULL),(1707,5,426,5,NULL,NULL),(1708,5,427,5,NULL,NULL),(1709,6,1,5,NULL,NULL),(1710,6,2,5,NULL,NULL),(1711,6,3,5,NULL,NULL),(1712,6,4,5,NULL,NULL),(1713,6,5,5,NULL,NULL),(1714,6,6,5,NULL,NULL),(1715,6,7,5,NULL,NULL),(1716,6,8,5,NULL,NULL),(1717,6,9,5,NULL,NULL),(1718,6,10,5,NULL,NULL),(1719,6,11,5,NULL,NULL),(1720,6,12,5,NULL,NULL),(1721,6,13,5,NULL,NULL),(1722,6,14,5,NULL,NULL),(1723,6,15,5,NULL,NULL),(1724,6,16,5,NULL,NULL),(1725,6,17,5,NULL,NULL),(1726,6,18,5,NULL,NULL),(1727,6,19,5,NULL,NULL),(1728,6,20,5,NULL,NULL),(1729,6,21,5,NULL,NULL),(1730,6,22,5,NULL,NULL),(1731,6,23,5,NULL,NULL),(1732,6,24,5,NULL,NULL),(1733,6,25,5,NULL,NULL),(1734,6,26,5,NULL,NULL),(1735,6,27,5,NULL,NULL),(1736,6,28,5,NULL,NULL),(1737,6,29,5,NULL,NULL),(1738,6,30,5,NULL,NULL),(1739,6,31,5,NULL,NULL),(1740,6,32,5,NULL,NULL),(1741,6,33,5,NULL,NULL),(1742,6,34,5,NULL,NULL),(1743,6,35,5,NULL,NULL),(1744,6,36,5,NULL,NULL),(1745,6,37,5,NULL,NULL),(1746,6,38,5,NULL,NULL),(1747,6,39,5,NULL,NULL),(1748,6,40,5,NULL,NULL),(1749,6,41,5,NULL,NULL),(1750,6,42,5,NULL,NULL),(1751,6,43,5,NULL,NULL),(1752,6,44,5,NULL,NULL),(1753,6,45,5,NULL,NULL),(1754,6,46,5,NULL,NULL),(1755,6,47,5,NULL,NULL),(1756,6,48,5,NULL,NULL),(1757,6,49,5,NULL,NULL),(1758,6,50,5,NULL,NULL),(1759,6,51,5,NULL,NULL),(1760,6,52,5,NULL,NULL),(1761,6,53,5,NULL,NULL),(1762,6,54,5,NULL,NULL),(1763,6,55,5,NULL,NULL),(1764,6,56,5,NULL,NULL),(1765,6,57,5,NULL,NULL),(1766,6,58,5,NULL,NULL),(1767,6,59,5,NULL,NULL),(1768,6,60,5,NULL,NULL),(1769,6,61,5,NULL,NULL),(1770,6,62,5,NULL,NULL),(1771,6,63,5,NULL,NULL),(1772,6,64,5,NULL,NULL),(1773,6,65,5,NULL,NULL),(1774,6,66,5,NULL,NULL),(1775,6,67,5,NULL,NULL),(1776,6,68,5,NULL,NULL),(1777,6,69,5,NULL,NULL),(1778,6,70,5,NULL,NULL),(1779,6,71,5,NULL,NULL),(1780,6,72,5,NULL,NULL),(1781,6,73,5,NULL,NULL),(1782,6,74,5,NULL,NULL),(1783,6,75,5,NULL,NULL),(1784,6,76,5,NULL,NULL),(1785,6,77,5,NULL,NULL),(1786,6,78,5,NULL,NULL),(1787,6,79,5,NULL,NULL),(1788,6,80,5,NULL,NULL),(1789,6,81,5,NULL,NULL),(1790,6,82,5,NULL,NULL),(1791,6,83,5,NULL,NULL),(1792,6,84,5,NULL,NULL),(1793,6,85,5,NULL,NULL),(1794,6,86,5,NULL,NULL),(1795,6,87,5,NULL,NULL),(1796,6,88,5,NULL,NULL),(1797,6,89,5,NULL,NULL),(1798,6,90,5,NULL,NULL),(1799,6,91,5,NULL,NULL),(1800,6,92,5,NULL,NULL),(1801,6,93,5,NULL,NULL),(1802,6,94,5,NULL,NULL),(1803,6,95,5,NULL,NULL),(1804,6,96,5,NULL,NULL),(1805,6,97,5,NULL,NULL),(1806,6,98,5,NULL,NULL),(1807,6,99,5,NULL,NULL),(1808,6,100,5,NULL,NULL),(1809,6,101,5,NULL,NULL),(1810,6,102,5,NULL,NULL),(1811,6,103,5,NULL,NULL),(1812,6,104,5,NULL,NULL),(1813,6,105,5,NULL,NULL),(1814,6,106,5,NULL,NULL),(1815,6,107,5,NULL,NULL),(1816,6,108,5,NULL,NULL),(1817,6,109,5,NULL,NULL),(1818,6,110,5,NULL,NULL),(1819,6,111,5,NULL,NULL),(1820,6,112,5,NULL,NULL),(1821,6,113,5,NULL,NULL),(1822,6,114,5,NULL,NULL),(1823,6,115,5,NULL,NULL),(1824,6,116,5,NULL,NULL),(1825,6,117,5,NULL,NULL),(1826,6,118,5,NULL,NULL),(1827,6,119,5,NULL,NULL),(1828,6,120,5,NULL,NULL),(1829,6,121,5,NULL,NULL),(1830,6,122,5,NULL,NULL),(1831,6,123,5,NULL,NULL),(1832,6,124,5,NULL,NULL),(1833,6,125,5,NULL,NULL),(1834,6,126,5,NULL,NULL),(1835,6,127,5,NULL,NULL),(1836,6,128,5,NULL,NULL),(1837,6,129,5,NULL,NULL),(1838,6,130,5,NULL,NULL),(1839,6,131,5,NULL,NULL),(1840,6,132,5,NULL,NULL),(1841,6,133,5,NULL,NULL),(1842,6,134,5,NULL,NULL),(1843,6,135,5,NULL,NULL),(1844,6,136,5,NULL,NULL),(1845,6,137,5,NULL,NULL),(1846,6,138,5,NULL,NULL),(1847,6,139,5,NULL,NULL),(1848,6,140,5,NULL,NULL),(1849,6,141,5,NULL,NULL),(1850,6,142,5,NULL,NULL),(1851,6,143,5,NULL,NULL),(1852,6,144,5,NULL,NULL),(1853,6,145,5,NULL,NULL),(1854,6,146,5,NULL,NULL),(1855,6,147,5,NULL,NULL),(1856,6,148,5,NULL,NULL),(1857,6,149,5,NULL,NULL),(1858,6,150,5,NULL,NULL),(1859,6,151,5,NULL,NULL),(1860,6,152,5,NULL,NULL),(1861,6,153,5,NULL,NULL),(1862,6,154,5,NULL,NULL),(1863,6,155,5,NULL,NULL),(1864,6,156,5,NULL,NULL),(1865,6,157,5,NULL,NULL),(1866,6,158,5,NULL,NULL),(1867,6,159,5,NULL,NULL),(1868,6,160,5,NULL,NULL),(1869,6,161,5,NULL,NULL),(1870,6,162,5,NULL,NULL),(1871,6,163,5,NULL,NULL),(1872,6,164,5,NULL,NULL),(1873,6,165,5,NULL,NULL),(1874,6,166,5,NULL,NULL),(1875,6,167,5,NULL,NULL),(1876,6,168,5,NULL,NULL),(1877,6,169,5,NULL,NULL),(1878,6,170,5,NULL,NULL),(1879,6,171,5,NULL,NULL),(1880,6,172,5,NULL,NULL),(1881,6,173,5,NULL,NULL),(1882,6,174,5,NULL,NULL),(1883,6,175,5,NULL,NULL),(1884,6,176,5,NULL,NULL),(1885,6,177,5,NULL,NULL),(1886,6,178,5,NULL,NULL),(1887,6,179,5,NULL,NULL),(1888,6,180,5,NULL,NULL),(1889,6,181,5,NULL,NULL),(1890,6,182,5,NULL,NULL),(1891,6,183,5,NULL,NULL),(1892,6,184,2,NULL,NULL),(1893,6,185,5,NULL,NULL),(1894,6,186,5,NULL,NULL),(1895,6,187,5,NULL,NULL),(1896,6,188,4,NULL,NULL),(1897,6,189,4,NULL,NULL),(1898,6,190,1,NULL,NULL),(1899,6,191,4,NULL,NULL),(1900,6,192,4,NULL,NULL),(1901,6,193,1,NULL,NULL),(1902,6,194,1,NULL,NULL),(1903,6,195,5,NULL,NULL),(1904,6,196,5,NULL,NULL),(1905,6,197,5,NULL,NULL),(1906,6,198,5,NULL,NULL),(1907,6,199,5,NULL,NULL),(1908,6,200,4,NULL,NULL),(1909,6,201,5,NULL,NULL),(1910,6,202,5,NULL,NULL),(1911,6,203,5,NULL,NULL),(1912,6,204,5,NULL,NULL),(1913,6,205,5,NULL,NULL),(1914,6,206,5,NULL,NULL),(1915,6,207,5,NULL,NULL),(1916,6,208,5,NULL,NULL),(1917,6,209,4,NULL,NULL),(1918,6,210,5,NULL,NULL),(1919,6,211,4,NULL,NULL),(1920,6,212,4,NULL,NULL),(1921,6,213,5,NULL,NULL),(1922,6,214,4,NULL,NULL),(1923,6,215,5,NULL,NULL),(1924,6,216,5,NULL,NULL),(1925,6,217,4,NULL,NULL),(1926,6,218,5,NULL,NULL),(1927,6,219,5,NULL,NULL),(1928,6,220,5,NULL,NULL),(1929,6,221,5,NULL,NULL),(1930,6,222,5,NULL,NULL),(1931,6,223,5,NULL,NULL),(1932,6,224,5,NULL,NULL),(1933,6,225,5,NULL,NULL),(1934,6,226,5,NULL,NULL),(1935,6,227,5,NULL,NULL),(1936,6,228,5,NULL,NULL),(1937,6,229,5,NULL,NULL),(1938,6,230,5,NULL,NULL),(1939,6,231,5,NULL,NULL),(1940,6,232,2,NULL,NULL),(1941,6,233,5,NULL,NULL),(1942,6,234,5,NULL,NULL),(1943,6,235,5,NULL,NULL),(1944,6,236,5,NULL,NULL),(1945,6,237,5,NULL,NULL),(1946,6,238,5,NULL,NULL),(1947,6,239,4,NULL,NULL),(1948,6,240,5,NULL,NULL),(1949,6,241,5,NULL,NULL),(1950,6,242,4,NULL,NULL),(1951,6,243,5,NULL,NULL),(1952,6,244,5,NULL,NULL),(1953,6,245,5,NULL,NULL),(1954,6,246,4,NULL,NULL),(1955,6,247,4,NULL,NULL),(1956,6,248,1,NULL,NULL),(1957,6,249,1,NULL,NULL),(1958,6,250,4,NULL,NULL),(1959,6,251,4,NULL,NULL),(1960,6,252,1,NULL,NULL),(1961,6,253,1,NULL,NULL),(1962,6,254,5,NULL,NULL),(1963,6,255,5,NULL,NULL),(1964,6,256,5,NULL,NULL),(1965,6,257,5,NULL,NULL),(1966,6,258,5,NULL,NULL),(1967,6,259,5,NULL,NULL),(1968,6,260,5,NULL,NULL),(1969,6,261,2,NULL,NULL),(1970,6,262,5,NULL,NULL),(1971,6,263,5,NULL,NULL),(1972,6,264,5,NULL,NULL),(1973,6,265,2,NULL,NULL),(1974,6,266,5,NULL,NULL),(1975,6,267,5,NULL,NULL),(1976,6,268,5,NULL,NULL),(1977,6,269,5,NULL,NULL),(1978,6,270,5,NULL,NULL),(1979,6,271,5,NULL,NULL),(1980,6,272,2,NULL,NULL),(1981,6,273,5,NULL,NULL),(1982,6,274,5,NULL,NULL),(1983,6,275,5,NULL,NULL),(1984,6,276,5,NULL,NULL),(1985,6,277,2,NULL,NULL),(1986,6,278,5,NULL,NULL),(1987,6,279,5,NULL,NULL),(1988,6,280,5,NULL,NULL),(1989,6,281,5,NULL,NULL),(1990,6,282,5,NULL,NULL),(1991,6,283,1,NULL,NULL),(1992,6,284,3,NULL,NULL),(1993,6,285,1,NULL,NULL),(1994,6,286,1,NULL,NULL),(1995,6,287,5,NULL,NULL),(1996,6,288,5,NULL,NULL),(1997,6,289,5,NULL,NULL),(1998,6,290,5,NULL,NULL),(1999,6,291,5,NULL,NULL),(2000,6,292,5,NULL,NULL),(2001,6,293,2,NULL,NULL),(2002,6,294,5,NULL,NULL),(2003,6,295,5,NULL,NULL),(2004,6,296,5,NULL,NULL),(2005,6,297,2,NULL,NULL),(2006,6,298,5,NULL,NULL),(2007,6,299,5,NULL,NULL),(2008,6,300,5,NULL,NULL),(2009,6,301,5,NULL,NULL),(2010,6,302,5,NULL,NULL),(2011,6,303,5,NULL,NULL),(2012,6,304,5,NULL,NULL),(2013,6,305,5,NULL,NULL),(2014,6,306,5,NULL,NULL),(2015,6,307,5,NULL,NULL),(2016,6,308,5,NULL,NULL),(2017,6,309,5,NULL,NULL),(2018,6,310,5,NULL,NULL),(2019,6,311,5,NULL,NULL),(2020,6,312,5,NULL,NULL),(2021,6,313,5,NULL,NULL),(2022,6,314,5,NULL,NULL),(2023,6,315,5,NULL,NULL),(2024,6,316,5,NULL,NULL),(2025,6,317,5,NULL,NULL),(2026,6,318,5,NULL,NULL),(2027,6,319,5,NULL,NULL),(2028,6,320,5,NULL,NULL),(2029,6,321,5,NULL,NULL),(2030,6,322,5,NULL,NULL),(2031,6,323,5,NULL,NULL),(2032,6,324,5,NULL,NULL),(2033,6,325,5,NULL,NULL),(2034,6,326,5,NULL,NULL),(2035,6,327,5,NULL,NULL),(2036,6,328,5,NULL,NULL),(2037,6,329,5,NULL,NULL),(2038,6,330,5,NULL,NULL),(2039,6,331,5,NULL,NULL),(2040,6,332,5,NULL,NULL),(2041,6,333,5,NULL,NULL),(2042,6,334,5,NULL,NULL),(2043,6,335,5,NULL,NULL),(2044,6,336,5,NULL,NULL),(2045,6,337,5,NULL,NULL),(2046,6,338,5,NULL,NULL),(2047,6,339,5,NULL,NULL),(2048,6,340,5,NULL,NULL),(2049,6,341,5,NULL,NULL),(2050,6,342,5,NULL,NULL),(2051,6,343,5,NULL,NULL),(2052,6,344,4,NULL,NULL),(2053,6,345,5,NULL,NULL),(2054,6,346,5,NULL,NULL),(2055,6,347,5,NULL,NULL),(2056,6,348,5,NULL,NULL),(2057,6,349,5,NULL,NULL),(2058,6,350,5,NULL,NULL),(2059,6,351,5,NULL,NULL),(2060,6,352,5,NULL,NULL),(2061,6,353,5,NULL,NULL),(2062,6,354,5,NULL,NULL),(2063,6,355,5,NULL,NULL),(2064,6,356,5,NULL,NULL),(2065,6,357,5,NULL,NULL),(2066,6,358,2,NULL,NULL),(2067,6,359,5,NULL,NULL),(2068,6,360,5,NULL,NULL),(2069,6,361,5,NULL,NULL),(2070,6,362,5,NULL,NULL),(2071,6,363,4,NULL,NULL),(2072,6,364,5,NULL,NULL),(2073,6,365,4,NULL,NULL),(2074,6,366,5,NULL,NULL),(2075,6,367,5,NULL,NULL),(2076,6,368,4,NULL,NULL),(2077,6,369,5,NULL,NULL),(2078,6,370,5,NULL,NULL),(2079,6,371,5,NULL,NULL),(2080,6,372,5,NULL,NULL),(2081,6,373,5,NULL,NULL),(2082,6,374,5,NULL,NULL),(2083,6,375,5,NULL,NULL),(2084,6,376,5,NULL,NULL),(2085,6,377,5,NULL,NULL),(2086,6,378,5,NULL,NULL),(2087,6,379,5,NULL,NULL),(2088,6,380,5,NULL,NULL),(2089,6,381,5,NULL,NULL),(2090,6,382,5,NULL,NULL),(2091,6,383,5,NULL,NULL),(2092,6,384,5,NULL,NULL),(2093,6,385,5,NULL,NULL),(2094,6,386,5,NULL,NULL),(2095,6,387,5,NULL,NULL),(2096,6,388,5,NULL,NULL),(2097,6,389,5,NULL,NULL),(2098,6,390,5,NULL,NULL),(2099,6,391,5,NULL,NULL),(2100,6,392,5,NULL,NULL),(2101,6,393,5,NULL,NULL),(2102,6,394,5,NULL,NULL),(2103,6,395,5,NULL,NULL),(2104,6,396,5,NULL,NULL),(2105,6,397,5,NULL,NULL),(2106,6,398,5,NULL,NULL),(2107,6,399,5,NULL,NULL),(2108,6,400,5,NULL,NULL),(2109,6,401,5,NULL,NULL),(2110,6,402,5,NULL,NULL),(2111,6,403,5,NULL,NULL),(2112,6,404,5,NULL,NULL),(2113,6,405,5,NULL,NULL),(2114,6,406,5,NULL,NULL),(2115,6,407,5,NULL,NULL),(2116,6,408,5,NULL,NULL),(2117,6,409,5,NULL,NULL),(2118,6,410,5,NULL,NULL),(2119,6,411,5,NULL,NULL),(2120,6,412,4,NULL,NULL),(2121,6,413,2,NULL,NULL),(2122,6,414,5,NULL,NULL),(2123,6,415,5,NULL,NULL),(2124,6,416,5,NULL,NULL),(2125,6,417,5,NULL,NULL),(2126,6,418,5,NULL,NULL),(2127,6,419,5,NULL,NULL),(2128,6,420,5,NULL,NULL),(2129,6,421,5,NULL,NULL),(2130,6,422,5,NULL,NULL),(2131,6,423,5,NULL,NULL),(2132,6,424,5,NULL,NULL),(2133,6,425,5,NULL,NULL),(2134,6,426,5,NULL,NULL),(2135,6,427,5,NULL,NULL),(2136,7,1,5,NULL,NULL),(2137,7,2,5,NULL,NULL),(2138,7,3,5,NULL,NULL),(2139,7,4,5,NULL,NULL),(2140,7,5,5,NULL,NULL),(2141,7,6,5,NULL,NULL),(2142,7,7,5,NULL,NULL),(2143,7,8,5,NULL,NULL),(2144,7,9,5,NULL,NULL),(2145,7,10,5,NULL,NULL),(2146,7,11,5,NULL,NULL),(2147,7,12,5,NULL,NULL),(2148,7,13,5,NULL,NULL),(2149,7,14,5,NULL,NULL),(2150,7,15,5,NULL,NULL),(2151,7,16,5,NULL,NULL),(2152,7,17,5,NULL,NULL),(2153,7,18,5,NULL,NULL),(2154,7,19,5,NULL,NULL),(2155,7,20,5,NULL,NULL),(2156,7,21,5,NULL,NULL),(2157,7,22,5,NULL,NULL),(2158,7,23,5,NULL,NULL),(2159,7,24,5,NULL,NULL),(2160,7,25,5,NULL,NULL),(2161,7,26,5,NULL,NULL),(2162,7,27,5,NULL,NULL),(2163,7,28,5,NULL,NULL),(2164,7,29,5,NULL,NULL),(2165,7,30,5,NULL,NULL),(2166,7,31,5,NULL,NULL),(2167,7,32,5,NULL,NULL),(2168,7,33,5,NULL,NULL),(2169,7,34,5,NULL,NULL),(2170,7,35,5,NULL,NULL),(2171,7,36,5,NULL,NULL),(2172,7,37,5,NULL,NULL),(2173,7,38,5,NULL,NULL),(2174,7,39,5,NULL,NULL),(2175,7,40,5,NULL,NULL),(2176,7,41,5,NULL,NULL),(2177,7,42,5,NULL,NULL),(2178,7,43,5,NULL,NULL),(2179,7,44,5,NULL,NULL),(2180,7,45,5,NULL,NULL),(2181,7,46,5,NULL,NULL),(2182,7,47,5,NULL,NULL),(2183,7,48,5,NULL,NULL),(2184,7,49,5,NULL,NULL),(2185,7,50,5,NULL,NULL),(2186,7,51,5,NULL,NULL),(2187,7,52,5,NULL,NULL),(2188,7,53,5,NULL,NULL),(2189,7,54,5,NULL,NULL),(2190,7,55,5,NULL,NULL),(2191,7,56,5,NULL,NULL),(2192,7,57,5,NULL,NULL),(2193,7,58,5,NULL,NULL),(2194,7,59,5,NULL,NULL),(2195,7,60,5,NULL,NULL),(2196,7,61,5,NULL,NULL),(2197,7,62,5,NULL,NULL),(2198,7,63,5,NULL,NULL),(2199,7,64,5,NULL,NULL),(2200,7,65,5,NULL,NULL),(2201,7,66,5,NULL,NULL),(2202,7,67,5,NULL,NULL),(2203,7,68,5,NULL,NULL),(2204,7,69,5,NULL,NULL),(2205,7,70,5,NULL,NULL),(2206,7,71,5,NULL,NULL),(2207,7,72,5,NULL,NULL),(2208,7,73,5,NULL,NULL),(2209,7,74,5,NULL,NULL),(2210,7,75,5,NULL,NULL),(2211,7,76,5,NULL,NULL),(2212,7,77,5,NULL,NULL),(2213,7,78,5,NULL,NULL),(2214,7,79,5,NULL,NULL),(2215,7,80,5,NULL,NULL),(2216,7,81,5,NULL,NULL),(2217,7,82,5,NULL,NULL),(2218,7,83,5,NULL,NULL),(2219,7,84,5,NULL,NULL),(2220,7,85,5,NULL,NULL),(2221,7,86,5,NULL,NULL),(2222,7,87,5,NULL,NULL),(2223,7,88,5,NULL,NULL),(2224,7,89,5,NULL,NULL),(2225,7,90,5,NULL,NULL),(2226,7,91,5,NULL,NULL),(2227,7,92,5,NULL,NULL),(2228,7,93,5,NULL,NULL),(2229,7,94,5,NULL,NULL),(2230,7,95,5,NULL,NULL),(2231,7,96,5,NULL,NULL),(2232,7,97,5,NULL,NULL),(2233,7,98,5,NULL,NULL),(2234,7,99,5,NULL,NULL),(2235,7,100,5,NULL,NULL),(2236,7,101,5,NULL,NULL),(2237,7,102,5,NULL,NULL),(2238,7,103,5,NULL,NULL),(2239,7,104,5,NULL,NULL),(2240,7,105,5,NULL,NULL),(2241,7,106,5,NULL,NULL),(2242,7,107,5,NULL,NULL),(2243,7,108,5,NULL,NULL),(2244,7,109,5,NULL,NULL),(2245,7,110,5,NULL,NULL),(2246,7,111,5,NULL,NULL),(2247,7,112,5,NULL,NULL),(2248,7,113,5,NULL,NULL),(2249,7,114,5,NULL,NULL),(2250,7,115,5,NULL,NULL),(2251,7,116,5,NULL,NULL),(2252,7,117,5,NULL,NULL),(2253,7,118,5,NULL,NULL),(2254,7,119,5,NULL,NULL),(2255,7,120,5,NULL,NULL),(2256,7,121,5,NULL,NULL),(2257,7,122,5,NULL,NULL),(2258,7,123,5,NULL,NULL),(2259,7,124,5,NULL,NULL),(2260,7,125,5,NULL,NULL),(2261,7,126,5,NULL,NULL),(2262,7,127,5,NULL,NULL),(2263,7,128,5,NULL,NULL),(2264,7,129,5,NULL,NULL),(2265,7,130,5,NULL,NULL),(2266,7,131,5,NULL,NULL),(2267,7,132,5,NULL,NULL),(2268,7,133,5,NULL,NULL),(2269,7,134,5,NULL,NULL),(2270,7,135,5,NULL,NULL),(2271,7,136,5,NULL,NULL),(2272,7,137,5,NULL,NULL),(2273,7,138,5,NULL,NULL),(2274,7,139,5,NULL,NULL),(2275,7,140,5,NULL,NULL),(2276,7,141,5,NULL,NULL),(2277,7,142,5,NULL,NULL),(2278,7,143,5,NULL,NULL),(2279,7,144,5,NULL,NULL),(2280,7,145,5,NULL,NULL),(2281,7,146,5,NULL,NULL),(2282,7,147,5,NULL,NULL),(2283,7,148,5,NULL,NULL),(2284,7,149,5,NULL,NULL),(2285,7,150,5,NULL,NULL),(2286,7,151,5,NULL,NULL),(2287,7,152,5,NULL,NULL),(2288,7,153,5,NULL,NULL),(2289,7,154,5,NULL,NULL),(2290,7,155,5,NULL,NULL),(2291,7,156,5,NULL,NULL),(2292,7,157,5,NULL,NULL),(2293,7,158,5,NULL,NULL),(2294,7,159,5,NULL,NULL),(2295,7,160,5,NULL,NULL),(2296,7,161,5,NULL,NULL),(2297,7,162,5,NULL,NULL),(2298,7,163,5,NULL,NULL),(2299,7,164,5,NULL,NULL),(2300,7,165,5,NULL,NULL),(2301,7,166,5,NULL,NULL),(2302,7,167,5,NULL,NULL),(2303,7,168,5,NULL,NULL),(2304,7,169,5,NULL,NULL),(2305,7,170,5,NULL,NULL),(2306,7,171,5,NULL,NULL),(2307,7,172,5,NULL,NULL),(2308,7,173,5,NULL,NULL),(2309,7,174,5,NULL,NULL),(2310,7,175,5,NULL,NULL),(2311,7,176,5,NULL,NULL),(2312,7,177,5,NULL,NULL),(2313,7,178,5,NULL,NULL),(2314,7,179,5,NULL,NULL),(2315,7,180,5,NULL,NULL),(2316,7,181,5,NULL,NULL),(2317,7,182,5,NULL,NULL),(2318,7,183,5,NULL,NULL),(2319,7,184,2,NULL,NULL),(2320,7,185,5,NULL,NULL),(2321,7,186,5,NULL,NULL),(2322,7,187,5,NULL,NULL),(2323,7,188,4,NULL,NULL),(2324,7,189,4,NULL,NULL),(2325,7,190,1,NULL,NULL),(2326,7,191,4,NULL,NULL),(2327,7,192,4,NULL,NULL),(2328,7,193,1,NULL,NULL),(2329,7,194,1,NULL,NULL),(2330,7,195,5,NULL,NULL),(2331,7,196,5,NULL,NULL),(2332,7,197,5,NULL,NULL),(2333,7,198,5,NULL,NULL),(2334,7,199,5,NULL,NULL),(2335,7,200,4,NULL,NULL),(2336,7,201,5,NULL,NULL),(2337,7,202,5,NULL,NULL),(2338,7,203,5,NULL,NULL),(2339,7,204,5,NULL,NULL),(2340,7,205,5,NULL,NULL),(2341,7,206,5,NULL,NULL),(2342,7,207,5,NULL,NULL),(2343,7,208,5,NULL,NULL),(2344,7,209,4,NULL,NULL),(2345,7,210,5,NULL,NULL),(2346,7,211,4,NULL,NULL),(2347,7,212,4,NULL,NULL),(2348,7,213,5,NULL,NULL),(2349,7,214,4,NULL,NULL),(2350,7,215,5,NULL,NULL),(2351,7,216,5,NULL,NULL),(2352,7,217,4,NULL,NULL),(2353,7,218,5,NULL,NULL),(2354,7,219,5,NULL,NULL),(2355,7,220,5,NULL,NULL),(2356,7,221,5,NULL,NULL),(2357,7,222,5,NULL,NULL),(2358,7,223,5,NULL,NULL),(2359,7,224,5,NULL,NULL),(2360,7,225,5,NULL,NULL),(2361,7,226,5,NULL,NULL),(2362,7,227,5,NULL,NULL),(2363,7,228,5,NULL,NULL),(2364,7,229,5,NULL,NULL),(2365,7,230,5,NULL,NULL),(2366,7,231,5,NULL,NULL),(2367,7,232,2,NULL,NULL),(2368,7,233,5,NULL,NULL),(2369,7,234,5,NULL,NULL),(2370,7,235,5,NULL,NULL),(2371,7,236,5,NULL,NULL),(2372,7,237,5,NULL,NULL),(2373,7,238,5,NULL,NULL),(2374,7,239,4,NULL,NULL),(2375,7,240,5,NULL,NULL),(2376,7,241,5,NULL,NULL),(2377,7,242,4,NULL,NULL),(2378,7,243,5,NULL,NULL),(2379,7,244,5,NULL,NULL),(2380,7,245,5,NULL,NULL),(2381,7,246,4,NULL,NULL),(2382,7,247,4,NULL,NULL),(2383,7,248,1,NULL,NULL),(2384,7,249,1,NULL,NULL),(2385,7,250,4,NULL,NULL),(2386,7,251,4,NULL,NULL),(2387,7,252,1,NULL,NULL),(2388,7,253,1,NULL,NULL),(2389,7,254,5,NULL,NULL),(2390,7,255,5,NULL,NULL),(2391,7,256,5,NULL,NULL),(2392,7,257,5,NULL,NULL),(2393,7,258,5,NULL,NULL),(2394,7,259,5,NULL,NULL),(2395,7,260,5,NULL,NULL),(2396,7,261,2,NULL,NULL),(2397,7,262,5,NULL,NULL),(2398,7,263,5,NULL,NULL),(2399,7,264,5,NULL,NULL),(2400,7,265,2,NULL,NULL),(2401,7,266,5,NULL,NULL),(2402,7,267,5,NULL,NULL),(2403,7,268,5,NULL,NULL),(2404,7,269,5,NULL,NULL),(2405,7,270,5,NULL,NULL),(2406,7,271,5,NULL,NULL),(2407,7,272,2,NULL,NULL),(2408,7,273,5,NULL,NULL),(2409,7,274,5,NULL,NULL),(2410,7,275,5,NULL,NULL),(2411,7,276,5,NULL,NULL),(2412,7,277,2,NULL,NULL),(2413,7,278,5,NULL,NULL),(2414,7,279,5,NULL,NULL),(2415,7,280,5,NULL,NULL),(2416,7,281,5,NULL,NULL),(2417,7,282,5,NULL,NULL),(2418,7,283,1,NULL,NULL),(2419,7,284,3,NULL,NULL),(2420,7,285,1,NULL,NULL),(2421,7,286,1,NULL,NULL),(2422,7,287,5,NULL,NULL),(2423,7,288,5,NULL,NULL),(2424,7,289,5,NULL,NULL),(2425,7,290,5,NULL,NULL),(2426,7,291,5,NULL,NULL),(2427,7,292,5,NULL,NULL),(2428,7,293,2,NULL,NULL),(2429,7,294,5,NULL,NULL),(2430,7,295,5,NULL,NULL),(2431,7,296,5,NULL,NULL),(2432,7,297,2,NULL,NULL),(2433,7,298,5,NULL,NULL),(2434,7,299,5,NULL,NULL),(2435,7,300,5,NULL,NULL),(2436,7,301,5,NULL,NULL),(2437,7,302,5,NULL,NULL),(2438,7,303,5,NULL,NULL),(2439,7,304,5,NULL,NULL),(2440,7,305,5,NULL,NULL),(2441,7,306,5,NULL,NULL),(2442,7,307,5,NULL,NULL),(2443,7,308,5,NULL,NULL),(2444,7,309,5,NULL,NULL),(2445,7,310,5,NULL,NULL),(2446,7,311,5,NULL,NULL),(2447,7,312,5,NULL,NULL),(2448,7,313,5,NULL,NULL),(2449,7,314,5,NULL,NULL),(2450,7,315,5,NULL,NULL),(2451,7,316,5,NULL,NULL),(2452,7,317,5,NULL,NULL),(2453,7,318,5,NULL,NULL),(2454,7,319,5,NULL,NULL),(2455,7,320,5,NULL,NULL),(2456,7,321,5,NULL,NULL),(2457,7,322,5,NULL,NULL),(2458,7,323,5,NULL,NULL),(2459,7,324,5,NULL,NULL),(2460,7,325,5,NULL,NULL),(2461,7,326,5,NULL,NULL),(2462,7,327,5,NULL,NULL),(2463,7,328,5,NULL,NULL),(2464,7,329,5,NULL,NULL),(2465,7,330,5,NULL,NULL),(2466,7,331,5,NULL,NULL),(2467,7,332,5,NULL,NULL),(2468,7,333,5,NULL,NULL),(2469,7,334,5,NULL,NULL),(2470,7,335,5,NULL,NULL),(2471,7,336,5,NULL,NULL),(2472,7,337,5,NULL,NULL),(2473,7,338,5,NULL,NULL),(2474,7,339,5,NULL,NULL),(2475,7,340,5,NULL,NULL),(2476,7,341,5,NULL,NULL),(2477,7,342,5,NULL,NULL),(2478,7,343,5,NULL,NULL),(2479,7,344,4,NULL,NULL),(2480,7,345,5,NULL,NULL),(2481,7,346,5,NULL,NULL),(2482,7,347,5,NULL,NULL),(2483,7,348,5,NULL,NULL),(2484,7,349,5,NULL,NULL),(2485,7,350,5,NULL,NULL),(2486,7,351,5,NULL,NULL),(2487,7,352,5,NULL,NULL),(2488,7,353,5,NULL,NULL),(2489,7,354,5,NULL,NULL),(2490,7,355,5,NULL,NULL),(2491,7,356,5,NULL,NULL),(2492,7,357,5,NULL,NULL),(2493,7,358,2,NULL,NULL),(2494,7,359,5,NULL,NULL),(2495,7,360,5,NULL,NULL),(2496,7,361,5,NULL,NULL),(2497,7,362,5,NULL,NULL),(2498,7,363,4,NULL,NULL),(2499,7,364,5,NULL,NULL),(2500,7,365,4,NULL,NULL),(2501,7,366,5,NULL,NULL),(2502,7,367,5,NULL,NULL),(2503,7,368,4,NULL,NULL),(2504,7,369,5,NULL,NULL),(2505,7,370,5,NULL,NULL),(2506,7,371,5,NULL,NULL),(2507,7,372,5,NULL,NULL),(2508,7,373,5,NULL,NULL),(2509,7,374,5,NULL,NULL),(2510,7,375,5,NULL,NULL),(2511,7,376,5,NULL,NULL),(2512,7,377,5,NULL,NULL),(2513,7,378,5,NULL,NULL),(2514,7,379,5,NULL,NULL),(2515,7,380,5,NULL,NULL),(2516,7,381,5,NULL,NULL),(2517,7,382,5,NULL,NULL),(2518,7,383,5,NULL,NULL),(2519,7,384,5,NULL,NULL),(2520,7,385,5,NULL,NULL),(2521,7,386,5,NULL,NULL),(2522,7,387,5,NULL,NULL),(2523,7,388,5,NULL,NULL),(2524,7,389,5,NULL,NULL),(2525,7,390,5,NULL,NULL),(2526,7,391,5,NULL,NULL),(2527,7,392,5,NULL,NULL),(2528,7,393,5,NULL,NULL),(2529,7,394,5,NULL,NULL),(2530,7,395,5,NULL,NULL),(2531,7,396,5,NULL,NULL),(2532,7,397,5,NULL,NULL),(2533,7,398,5,NULL,NULL),(2534,7,399,5,NULL,NULL),(2535,7,400,5,NULL,NULL),(2536,7,401,5,NULL,NULL),(2537,7,402,5,NULL,NULL),(2538,7,403,5,NULL,NULL),(2539,7,404,5,NULL,NULL),(2540,7,405,5,NULL,NULL),(2541,7,406,5,NULL,NULL),(2542,7,407,5,NULL,NULL),(2543,7,408,5,NULL,NULL),(2544,7,409,5,NULL,NULL),(2545,7,410,5,NULL,NULL),(2546,7,411,5,NULL,NULL),(2547,7,412,4,NULL,NULL),(2548,7,413,2,NULL,NULL),(2549,7,414,5,NULL,NULL),(2550,7,415,5,NULL,NULL),(2551,7,416,5,NULL,NULL),(2552,7,417,5,NULL,NULL),(2553,7,418,5,NULL,NULL),(2554,7,419,5,NULL,NULL),(2555,7,420,5,NULL,NULL),(2556,7,421,5,NULL,NULL),(2557,7,422,5,NULL,NULL),(2558,7,423,5,NULL,NULL),(2559,7,424,5,NULL,NULL),(2560,7,425,5,NULL,NULL),(2561,7,426,5,NULL,NULL),(2562,7,427,5,NULL,NULL),(2563,8,1,5,NULL,NULL),(2564,8,2,5,NULL,NULL),(2565,8,3,5,NULL,NULL),(2566,8,4,5,NULL,NULL),(2567,8,5,5,NULL,NULL),(2568,8,6,5,NULL,NULL),(2569,8,7,5,NULL,NULL),(2570,8,8,5,NULL,NULL),(2571,8,9,5,NULL,NULL),(2572,8,10,5,NULL,NULL),(2573,8,11,5,NULL,NULL),(2574,8,12,5,NULL,NULL),(2575,8,13,5,NULL,NULL),(2576,8,14,5,NULL,NULL),(2577,8,15,5,NULL,NULL),(2578,8,16,5,NULL,NULL),(2579,8,17,5,NULL,NULL),(2580,8,18,5,NULL,NULL),(2581,8,19,5,NULL,NULL),(2582,8,20,5,NULL,NULL),(2583,8,21,5,NULL,NULL),(2584,8,22,5,NULL,NULL),(2585,8,23,5,NULL,NULL),(2586,8,24,5,NULL,NULL),(2587,8,25,5,NULL,NULL),(2588,8,26,5,NULL,NULL),(2589,8,27,5,NULL,NULL),(2590,8,28,5,NULL,NULL),(2591,8,29,5,NULL,NULL),(2592,8,30,5,NULL,NULL),(2593,8,31,5,NULL,NULL),(2594,8,32,5,NULL,NULL),(2595,8,33,5,NULL,NULL),(2596,8,34,5,NULL,NULL),(2597,8,35,5,NULL,NULL),(2598,8,36,5,NULL,NULL),(2599,8,37,5,NULL,NULL),(2600,8,38,5,NULL,NULL),(2601,8,39,5,NULL,NULL),(2602,8,40,5,NULL,NULL),(2603,8,41,5,NULL,NULL),(2604,8,42,5,NULL,NULL),(2605,8,43,5,NULL,NULL),(2606,8,44,5,NULL,NULL),(2607,8,45,5,NULL,NULL),(2608,8,46,5,NULL,NULL),(2609,8,47,5,NULL,NULL),(2610,8,48,5,NULL,NULL),(2611,8,49,5,NULL,NULL),(2612,8,50,5,NULL,NULL),(2613,8,51,5,NULL,NULL),(2614,8,52,5,NULL,NULL),(2615,8,53,5,NULL,NULL),(2616,8,54,5,NULL,NULL),(2617,8,55,5,NULL,NULL),(2618,8,56,5,NULL,NULL),(2619,8,57,5,NULL,NULL),(2620,8,58,5,NULL,NULL),(2621,8,59,5,NULL,NULL),(2622,8,60,5,NULL,NULL),(2623,8,61,5,NULL,NULL),(2624,8,62,5,NULL,NULL),(2625,8,63,5,NULL,NULL),(2626,8,64,5,NULL,NULL),(2627,8,65,5,NULL,NULL),(2628,8,66,5,NULL,NULL),(2629,8,67,5,NULL,NULL),(2630,8,68,5,NULL,NULL),(2631,8,69,5,NULL,NULL),(2632,8,70,5,NULL,NULL),(2633,8,71,5,NULL,NULL),(2634,8,72,5,NULL,NULL),(2635,8,73,5,NULL,NULL),(2636,8,74,5,NULL,NULL),(2637,8,75,5,NULL,NULL),(2638,8,76,5,NULL,NULL),(2639,8,77,5,NULL,NULL),(2640,8,78,5,NULL,NULL),(2641,8,79,5,NULL,NULL),(2642,8,80,5,NULL,NULL),(2643,8,81,5,NULL,NULL),(2644,8,82,5,NULL,NULL),(2645,8,83,5,NULL,NULL),(2646,8,84,5,NULL,NULL),(2647,8,85,5,NULL,NULL),(2648,8,86,5,NULL,NULL),(2649,8,87,5,NULL,NULL),(2650,8,88,5,NULL,NULL),(2651,8,89,5,NULL,NULL),(2652,8,90,5,NULL,NULL),(2653,8,91,5,NULL,NULL),(2654,8,92,5,NULL,NULL),(2655,8,93,5,NULL,NULL),(2656,8,94,5,NULL,NULL),(2657,8,95,5,NULL,NULL),(2658,8,96,5,NULL,NULL),(2659,8,97,5,NULL,NULL),(2660,8,98,5,NULL,NULL),(2661,8,99,5,NULL,NULL),(2662,8,100,5,NULL,NULL),(2663,8,101,5,NULL,NULL),(2664,8,102,5,NULL,NULL),(2665,8,103,5,NULL,NULL),(2666,8,104,5,NULL,NULL),(2667,8,105,5,NULL,NULL),(2668,8,106,5,NULL,NULL),(2669,8,107,5,NULL,NULL),(2670,8,108,5,NULL,NULL),(2671,8,109,5,NULL,NULL),(2672,8,110,5,NULL,NULL),(2673,8,111,5,NULL,NULL),(2674,8,112,5,NULL,NULL),(2675,8,113,5,NULL,NULL),(2676,8,114,5,NULL,NULL),(2677,8,115,5,NULL,NULL),(2678,8,116,5,NULL,NULL),(2679,8,117,5,NULL,NULL),(2680,8,118,5,NULL,NULL),(2681,8,119,5,NULL,NULL),(2682,8,120,5,NULL,NULL),(2683,8,121,5,NULL,NULL),(2684,8,122,5,NULL,NULL),(2685,8,123,5,NULL,NULL),(2686,8,124,5,NULL,NULL),(2687,8,125,5,NULL,NULL),(2688,8,126,5,NULL,NULL),(2689,8,127,5,NULL,NULL),(2690,8,128,5,NULL,NULL),(2691,8,129,5,NULL,NULL),(2692,8,130,5,NULL,NULL),(2693,8,131,5,NULL,NULL),(2694,8,132,5,NULL,NULL),(2695,8,133,5,NULL,NULL),(2696,8,134,5,NULL,NULL),(2697,8,135,5,NULL,NULL),(2698,8,136,5,NULL,NULL),(2699,8,137,5,NULL,NULL),(2700,8,138,5,NULL,NULL),(2701,8,139,5,NULL,NULL),(2702,8,140,5,NULL,NULL),(2703,8,141,5,NULL,NULL),(2704,8,142,5,NULL,NULL),(2705,8,143,5,NULL,NULL),(2706,8,144,5,NULL,NULL),(2707,8,145,5,NULL,NULL),(2708,8,146,5,NULL,NULL),(2709,8,147,5,NULL,NULL),(2710,8,148,5,NULL,NULL),(2711,8,149,5,NULL,NULL),(2712,8,150,5,NULL,NULL),(2713,8,151,5,NULL,NULL),(2714,8,152,5,NULL,NULL),(2715,8,153,5,NULL,NULL),(2716,8,154,5,NULL,NULL),(2717,8,155,5,NULL,NULL),(2718,8,156,5,NULL,NULL),(2719,8,157,5,NULL,NULL),(2720,8,158,5,NULL,NULL),(2721,8,159,5,NULL,NULL),(2722,8,160,5,NULL,NULL),(2723,8,161,5,NULL,NULL),(2724,8,162,5,NULL,NULL),(2725,8,163,5,NULL,NULL),(2726,8,164,5,NULL,NULL),(2727,8,165,5,NULL,NULL),(2728,8,166,5,NULL,NULL),(2729,8,167,5,NULL,NULL),(2730,8,168,5,NULL,NULL),(2731,8,169,5,NULL,NULL),(2732,8,170,5,NULL,NULL),(2733,8,171,5,NULL,NULL),(2734,8,172,5,NULL,NULL),(2735,8,173,5,NULL,NULL),(2736,8,174,5,NULL,NULL),(2737,8,175,5,NULL,NULL),(2738,8,176,5,NULL,NULL),(2739,8,177,5,NULL,NULL),(2740,8,178,5,NULL,NULL),(2741,8,179,5,NULL,NULL),(2742,8,180,5,NULL,NULL),(2743,8,181,5,NULL,NULL),(2744,8,182,5,NULL,NULL),(2745,8,183,5,NULL,NULL),(2746,8,184,2,NULL,NULL),(2747,8,185,5,NULL,NULL),(2748,8,186,5,NULL,NULL),(2749,8,187,5,NULL,NULL),(2750,8,188,4,NULL,NULL),(2751,8,189,4,NULL,NULL),(2752,8,190,1,NULL,NULL),(2753,8,191,4,NULL,NULL),(2754,8,192,4,NULL,NULL),(2755,8,193,1,NULL,NULL),(2756,8,194,1,NULL,NULL),(2757,8,195,5,NULL,NULL),(2758,8,196,5,NULL,NULL),(2759,8,197,5,NULL,NULL),(2760,8,198,5,NULL,NULL),(2761,8,199,5,NULL,NULL),(2762,8,200,4,NULL,NULL),(2763,8,201,5,NULL,NULL),(2764,8,202,5,NULL,NULL),(2765,8,203,5,NULL,NULL),(2766,8,204,5,NULL,NULL),(2767,8,205,5,NULL,NULL),(2768,8,206,5,NULL,NULL),(2769,8,207,5,NULL,NULL),(2770,8,208,5,NULL,NULL),(2771,8,209,4,NULL,NULL),(2772,8,210,5,NULL,NULL),(2773,8,211,4,NULL,NULL),(2774,8,212,4,NULL,NULL),(2775,8,213,5,NULL,NULL),(2776,8,214,4,NULL,NULL),(2777,8,215,5,NULL,NULL),(2778,8,216,5,NULL,NULL),(2779,8,217,4,NULL,NULL),(2780,8,218,5,NULL,NULL),(2781,8,219,5,NULL,NULL),(2782,8,220,5,NULL,NULL),(2783,8,221,5,NULL,NULL),(2784,8,222,5,NULL,NULL),(2785,8,223,5,NULL,NULL),(2786,8,224,5,NULL,NULL),(2787,8,225,5,NULL,NULL),(2788,8,226,5,NULL,NULL),(2789,8,227,5,NULL,NULL),(2790,8,228,5,NULL,NULL),(2791,8,229,5,NULL,NULL),(2792,8,230,5,NULL,NULL),(2793,8,231,5,NULL,NULL),(2794,8,232,2,NULL,NULL),(2795,8,233,5,NULL,NULL),(2796,8,234,5,NULL,NULL),(2797,8,235,5,NULL,NULL),(2798,8,236,5,NULL,NULL),(2799,8,237,5,NULL,NULL),(2800,8,238,5,NULL,NULL),(2801,8,239,4,NULL,NULL),(2802,8,240,5,NULL,NULL),(2803,8,241,5,NULL,NULL),(2804,8,242,4,NULL,NULL),(2805,8,243,5,NULL,NULL),(2806,8,244,5,NULL,NULL),(2807,8,245,5,NULL,NULL),(2808,8,246,4,NULL,NULL),(2809,8,247,4,NULL,NULL),(2810,8,248,1,NULL,NULL),(2811,8,249,1,NULL,NULL),(2812,8,250,4,NULL,NULL),(2813,8,251,4,NULL,NULL),(2814,8,252,1,NULL,NULL),(2815,8,253,1,NULL,NULL),(2816,8,254,5,NULL,NULL),(2817,8,255,5,NULL,NULL),(2818,8,256,5,NULL,NULL),(2819,8,257,5,NULL,NULL),(2820,8,258,5,NULL,NULL),(2821,8,259,5,NULL,NULL),(2822,8,260,5,NULL,NULL),(2823,8,261,2,NULL,NULL),(2824,8,262,5,NULL,NULL),(2825,8,263,5,NULL,NULL),(2826,8,264,5,NULL,NULL),(2827,8,265,2,NULL,NULL),(2828,8,266,5,NULL,NULL),(2829,8,267,5,NULL,NULL),(2830,8,268,5,NULL,NULL),(2831,8,269,5,NULL,NULL),(2832,8,270,5,NULL,NULL),(2833,8,271,5,NULL,NULL),(2834,8,272,2,NULL,NULL),(2835,8,273,5,NULL,NULL),(2836,8,274,5,NULL,NULL),(2837,8,275,5,NULL,NULL),(2838,8,276,5,NULL,NULL),(2839,8,277,2,NULL,NULL),(2840,8,278,5,NULL,NULL),(2841,8,279,5,NULL,NULL),(2842,8,280,5,NULL,NULL),(2843,8,281,5,NULL,NULL),(2844,8,282,5,NULL,NULL),(2845,8,283,1,NULL,NULL),(2846,8,284,3,NULL,NULL),(2847,8,285,1,NULL,NULL),(2848,8,286,1,NULL,NULL),(2849,8,287,5,NULL,NULL),(2850,8,288,5,NULL,NULL),(2851,8,289,5,NULL,NULL),(2852,8,290,5,NULL,NULL),(2853,8,291,5,NULL,NULL),(2854,8,292,5,NULL,NULL),(2855,8,293,2,NULL,NULL),(2856,8,294,5,NULL,NULL),(2857,8,295,5,NULL,NULL),(2858,8,296,5,NULL,NULL),(2859,8,297,2,NULL,NULL),(2860,8,298,5,NULL,NULL),(2861,8,299,5,NULL,NULL),(2862,8,300,5,NULL,NULL),(2863,8,301,5,NULL,NULL),(2864,8,302,5,NULL,NULL),(2865,8,303,5,NULL,NULL),(2866,8,304,5,NULL,NULL),(2867,8,305,5,NULL,NULL),(2868,8,306,5,NULL,NULL),(2869,8,307,5,NULL,NULL),(2870,8,308,5,NULL,NULL),(2871,8,309,5,NULL,NULL),(2872,8,310,5,NULL,NULL),(2873,8,311,5,NULL,NULL),(2874,8,312,5,NULL,NULL),(2875,8,313,5,NULL,NULL),(2876,8,314,5,NULL,NULL),(2877,8,315,5,NULL,NULL),(2878,8,316,5,NULL,NULL),(2879,8,317,5,NULL,NULL),(2880,8,318,5,NULL,NULL),(2881,8,319,5,NULL,NULL),(2882,8,320,5,NULL,NULL),(2883,8,321,5,NULL,NULL),(2884,8,322,5,NULL,NULL),(2885,8,323,5,NULL,NULL),(2886,8,324,5,NULL,NULL),(2887,8,325,5,NULL,NULL),(2888,8,326,5,NULL,NULL),(2889,8,327,5,NULL,NULL),(2890,8,328,5,NULL,NULL),(2891,8,329,5,NULL,NULL),(2892,8,330,5,NULL,NULL),(2893,8,331,5,NULL,NULL),(2894,8,332,5,NULL,NULL),(2895,8,333,5,NULL,NULL),(2896,8,334,5,NULL,NULL),(2897,8,335,5,NULL,NULL),(2898,8,336,5,NULL,NULL),(2899,8,337,5,NULL,NULL),(2900,8,338,5,NULL,NULL),(2901,8,339,5,NULL,NULL),(2902,8,340,5,NULL,NULL),(2903,8,341,5,NULL,NULL),(2904,8,342,5,NULL,NULL),(2905,8,343,5,NULL,NULL),(2906,8,344,4,NULL,NULL),(2907,8,345,5,NULL,NULL),(2908,8,346,5,NULL,NULL),(2909,8,347,5,NULL,NULL),(2910,8,348,5,NULL,NULL),(2911,8,349,5,NULL,NULL),(2912,8,350,5,NULL,NULL),(2913,8,351,5,NULL,NULL),(2914,8,352,5,NULL,NULL),(2915,8,353,5,NULL,NULL),(2916,8,354,5,NULL,NULL),(2917,8,355,5,NULL,NULL),(2918,8,356,5,NULL,NULL),(2919,8,357,5,NULL,NULL),(2920,8,358,2,NULL,NULL),(2921,8,359,5,NULL,NULL),(2922,8,360,5,NULL,NULL),(2923,8,361,5,NULL,NULL),(2924,8,362,5,NULL,NULL),(2925,8,363,4,NULL,NULL),(2926,8,364,5,NULL,NULL),(2927,8,365,4,NULL,NULL),(2928,8,366,5,NULL,NULL),(2929,8,367,5,NULL,NULL),(2930,8,368,4,NULL,NULL),(2931,8,369,5,NULL,NULL),(2932,8,370,5,NULL,NULL),(2933,8,371,5,NULL,NULL),(2934,8,372,5,NULL,NULL),(2935,8,373,5,NULL,NULL),(2936,8,374,5,NULL,NULL),(2937,8,375,5,NULL,NULL),(2938,8,376,5,NULL,NULL),(2939,8,377,5,NULL,NULL),(2940,8,378,5,NULL,NULL),(2941,8,379,5,NULL,NULL),(2942,8,380,5,NULL,NULL),(2943,8,381,5,NULL,NULL),(2944,8,382,5,NULL,NULL),(2945,8,383,5,NULL,NULL),(2946,8,384,5,NULL,NULL),(2947,8,385,5,NULL,NULL),(2948,8,386,5,NULL,NULL),(2949,8,387,5,NULL,NULL),(2950,8,388,5,NULL,NULL),(2951,8,389,5,NULL,NULL),(2952,8,390,5,NULL,NULL),(2953,8,391,5,NULL,NULL),(2954,8,392,5,NULL,NULL),(2955,8,393,5,NULL,NULL),(2956,8,394,5,NULL,NULL),(2957,8,395,5,NULL,NULL),(2958,8,396,5,NULL,NULL),(2959,8,397,5,NULL,NULL),(2960,8,398,5,NULL,NULL),(2961,8,399,5,NULL,NULL),(2962,8,400,5,NULL,NULL),(2963,8,401,5,NULL,NULL),(2964,8,402,5,NULL,NULL),(2965,8,403,5,NULL,NULL),(2966,8,404,5,NULL,NULL),(2967,8,405,5,NULL,NULL),(2968,8,406,5,NULL,NULL),(2969,8,407,5,NULL,NULL),(2970,8,408,5,NULL,NULL),(2971,8,409,5,NULL,NULL),(2972,8,410,5,NULL,NULL),(2973,8,411,5,NULL,NULL),(2974,8,412,4,NULL,NULL),(2975,8,413,2,NULL,NULL),(2976,8,414,5,NULL,NULL),(2977,8,415,5,NULL,NULL),(2978,8,416,5,NULL,NULL),(2979,8,417,5,NULL,NULL),(2980,8,418,5,NULL,NULL),(2981,8,419,5,NULL,NULL),(2982,8,420,5,NULL,NULL),(2983,8,421,5,NULL,NULL),(2984,8,422,5,NULL,NULL),(2985,8,423,5,NULL,NULL),(2986,8,424,5,NULL,NULL),(2987,8,425,5,NULL,NULL),(2988,8,426,5,NULL,NULL),(2989,8,427,5,NULL,NULL),(2990,9,1,5,NULL,NULL),(2991,9,2,5,NULL,NULL),(2992,9,3,5,NULL,NULL),(2993,9,4,5,NULL,NULL),(2994,9,5,5,NULL,NULL),(2995,9,6,5,NULL,NULL),(2996,9,7,5,NULL,NULL),(2997,9,8,5,NULL,NULL),(2998,9,9,5,NULL,NULL),(2999,9,10,5,NULL,NULL),(3000,9,11,5,NULL,NULL),(3001,9,12,5,NULL,NULL),(3002,9,13,5,NULL,NULL),(3003,9,14,5,NULL,NULL),(3004,9,15,5,NULL,NULL),(3005,9,16,5,NULL,NULL),(3006,9,17,5,NULL,NULL),(3007,9,18,5,NULL,NULL),(3008,9,19,5,NULL,NULL),(3009,9,20,5,NULL,NULL),(3010,9,21,5,NULL,NULL),(3011,9,22,5,NULL,NULL),(3012,9,23,5,NULL,NULL),(3013,9,24,5,NULL,NULL),(3014,9,25,5,NULL,NULL),(3015,9,26,5,NULL,NULL),(3016,9,27,5,NULL,NULL),(3017,9,28,5,NULL,NULL),(3018,9,29,5,NULL,NULL),(3019,9,30,5,NULL,NULL),(3020,9,31,5,NULL,NULL),(3021,9,32,5,NULL,NULL),(3022,9,33,5,NULL,NULL),(3023,9,34,5,NULL,NULL),(3024,9,35,5,NULL,NULL),(3025,9,36,5,NULL,NULL),(3026,9,37,5,NULL,NULL),(3027,9,38,5,NULL,NULL),(3028,9,39,5,NULL,NULL),(3029,9,40,5,NULL,NULL),(3030,9,41,5,NULL,NULL),(3031,9,42,5,NULL,NULL),(3032,9,43,5,NULL,NULL),(3033,9,44,5,NULL,NULL),(3034,9,45,5,NULL,NULL),(3035,9,46,5,NULL,NULL),(3036,9,47,5,NULL,NULL),(3037,9,48,5,NULL,NULL),(3038,9,49,5,NULL,NULL),(3039,9,50,5,NULL,NULL),(3040,9,51,5,NULL,NULL),(3041,9,52,5,NULL,NULL),(3042,9,53,5,NULL,NULL),(3043,9,54,5,NULL,NULL),(3044,9,55,5,NULL,NULL),(3045,9,56,5,NULL,NULL),(3046,9,57,5,NULL,NULL),(3047,9,58,5,NULL,NULL),(3048,9,59,5,NULL,NULL),(3049,9,60,5,NULL,NULL),(3050,9,61,5,NULL,NULL),(3051,9,62,5,NULL,NULL),(3052,9,63,5,NULL,NULL),(3053,9,64,5,NULL,NULL),(3054,9,65,5,NULL,NULL),(3055,9,66,5,NULL,NULL),(3056,9,67,5,NULL,NULL),(3057,9,68,5,NULL,NULL),(3058,9,69,5,NULL,NULL),(3059,9,70,5,NULL,NULL),(3060,9,71,5,NULL,NULL),(3061,9,72,5,NULL,NULL),(3062,9,73,5,NULL,NULL),(3063,9,74,5,NULL,NULL),(3064,9,75,5,NULL,NULL),(3065,9,76,5,NULL,NULL),(3066,9,77,5,NULL,NULL),(3067,9,78,5,NULL,NULL),(3068,9,79,5,NULL,NULL),(3069,9,80,5,NULL,NULL),(3070,9,81,5,NULL,NULL),(3071,9,82,5,NULL,NULL),(3072,9,83,5,NULL,NULL),(3073,9,84,5,NULL,NULL),(3074,9,85,5,NULL,NULL),(3075,9,86,5,NULL,NULL),(3076,9,87,5,NULL,NULL),(3077,9,88,5,NULL,NULL),(3078,9,89,5,NULL,NULL),(3079,9,90,5,NULL,NULL),(3080,9,91,5,NULL,NULL),(3081,9,92,5,NULL,NULL),(3082,9,93,5,NULL,NULL),(3083,9,94,5,NULL,NULL),(3084,9,95,5,NULL,NULL),(3085,9,96,5,NULL,NULL),(3086,9,97,5,NULL,NULL),(3087,9,98,5,NULL,NULL),(3088,9,99,5,NULL,NULL),(3089,9,100,5,NULL,NULL),(3090,9,101,5,NULL,NULL),(3091,9,102,5,NULL,NULL),(3092,9,103,5,NULL,NULL),(3093,9,104,5,NULL,NULL),(3094,9,105,5,NULL,NULL),(3095,9,106,5,NULL,NULL),(3096,9,107,5,NULL,NULL),(3097,9,108,5,NULL,NULL),(3098,9,109,5,NULL,NULL),(3099,9,110,5,NULL,NULL),(3100,9,111,5,NULL,NULL),(3101,9,112,5,NULL,NULL),(3102,9,113,5,NULL,NULL),(3103,9,114,5,NULL,NULL),(3104,9,115,5,NULL,NULL),(3105,9,116,5,NULL,NULL),(3106,9,117,5,NULL,NULL),(3107,9,118,5,NULL,NULL),(3108,9,119,5,NULL,NULL),(3109,9,120,5,NULL,NULL),(3110,9,121,5,NULL,NULL),(3111,9,122,5,NULL,NULL),(3112,9,123,5,NULL,NULL),(3113,9,124,5,NULL,NULL),(3114,9,125,5,NULL,NULL),(3115,9,126,5,NULL,NULL),(3116,9,127,5,NULL,NULL),(3117,9,128,5,NULL,NULL),(3118,9,129,5,NULL,NULL),(3119,9,130,5,NULL,NULL),(3120,9,131,5,NULL,NULL),(3121,9,132,5,NULL,NULL),(3122,9,133,5,NULL,NULL),(3123,9,134,5,NULL,NULL),(3124,9,135,5,NULL,NULL),(3125,9,136,5,NULL,NULL),(3126,9,137,5,NULL,NULL),(3127,9,138,5,NULL,NULL),(3128,9,139,5,NULL,NULL),(3129,9,140,5,NULL,NULL),(3130,9,141,5,NULL,NULL),(3131,9,142,5,NULL,NULL),(3132,9,143,5,NULL,NULL),(3133,9,144,5,NULL,NULL),(3134,9,145,5,NULL,NULL),(3135,9,146,5,NULL,NULL),(3136,9,147,5,NULL,NULL),(3137,9,148,5,NULL,NULL),(3138,9,149,5,NULL,NULL),(3139,9,150,5,NULL,NULL),(3140,9,151,5,NULL,NULL),(3141,9,152,5,NULL,NULL),(3142,9,153,5,NULL,NULL),(3143,9,154,5,NULL,NULL),(3144,9,155,5,NULL,NULL),(3145,9,156,5,NULL,NULL),(3146,9,157,5,NULL,NULL),(3147,9,158,5,NULL,NULL),(3148,9,159,5,NULL,NULL),(3149,9,160,5,NULL,NULL),(3150,9,161,5,NULL,NULL),(3151,9,162,5,NULL,NULL),(3152,9,163,5,NULL,NULL),(3153,9,164,5,NULL,NULL),(3154,9,165,5,NULL,NULL),(3155,9,166,5,NULL,NULL),(3156,9,167,5,NULL,NULL),(3157,9,168,5,NULL,NULL),(3158,9,169,5,NULL,NULL),(3159,9,170,5,NULL,NULL),(3160,9,171,5,NULL,NULL),(3161,9,172,5,NULL,NULL),(3162,9,173,5,NULL,NULL),(3163,9,174,5,NULL,NULL),(3164,9,175,5,NULL,NULL),(3165,9,176,5,NULL,NULL),(3166,9,177,5,NULL,NULL),(3167,9,178,5,NULL,NULL),(3168,9,179,5,NULL,NULL),(3169,9,180,5,NULL,NULL),(3170,9,181,5,NULL,NULL),(3171,9,182,5,NULL,NULL),(3172,9,183,5,NULL,NULL),(3173,9,184,2,NULL,NULL),(3174,9,185,5,NULL,NULL),(3175,9,186,5,NULL,NULL),(3176,9,187,5,NULL,NULL),(3177,9,188,4,NULL,NULL),(3178,9,189,4,NULL,NULL),(3179,9,190,1,NULL,NULL),(3180,9,191,4,NULL,NULL),(3181,9,192,4,NULL,NULL),(3182,9,193,1,NULL,NULL),(3183,9,194,1,NULL,NULL),(3184,9,195,5,NULL,NULL),(3185,9,196,5,NULL,NULL),(3186,9,197,5,NULL,NULL),(3187,9,198,5,NULL,NULL),(3188,9,199,5,NULL,NULL),(3189,9,200,4,NULL,NULL),(3190,9,201,5,NULL,NULL),(3191,9,202,5,NULL,NULL),(3192,9,203,5,NULL,NULL),(3193,9,204,5,NULL,NULL),(3194,9,205,5,NULL,NULL),(3195,9,206,5,NULL,NULL),(3196,9,207,5,NULL,NULL),(3197,9,208,5,NULL,NULL),(3198,9,209,4,NULL,NULL),(3199,9,210,5,NULL,NULL),(3200,9,211,4,NULL,NULL),(3201,9,212,4,NULL,NULL),(3202,9,213,5,NULL,NULL),(3203,9,214,4,NULL,NULL),(3204,9,215,5,NULL,NULL),(3205,9,216,5,NULL,NULL),(3206,9,217,4,NULL,NULL),(3207,9,218,5,NULL,NULL),(3208,9,219,5,NULL,NULL),(3209,9,220,5,NULL,NULL),(3210,9,221,5,NULL,NULL),(3211,9,222,5,NULL,NULL),(3212,9,223,5,NULL,NULL),(3213,9,224,5,NULL,NULL),(3214,9,225,5,NULL,NULL),(3215,9,226,5,NULL,NULL),(3216,9,227,5,NULL,NULL),(3217,9,228,5,NULL,NULL),(3218,9,229,5,NULL,NULL),(3219,9,230,5,NULL,NULL),(3220,9,231,5,NULL,NULL),(3221,9,232,2,NULL,NULL),(3222,9,233,5,NULL,NULL),(3223,9,234,5,NULL,NULL),(3224,9,235,5,NULL,NULL),(3225,9,236,5,NULL,NULL),(3226,9,237,5,NULL,NULL),(3227,9,238,5,NULL,NULL),(3228,9,239,4,NULL,NULL),(3229,9,240,5,NULL,NULL),(3230,9,241,5,NULL,NULL),(3231,9,242,4,NULL,NULL),(3232,9,243,5,NULL,NULL),(3233,9,244,5,NULL,NULL),(3234,9,245,5,NULL,NULL),(3235,9,246,4,NULL,NULL),(3236,9,247,4,NULL,NULL),(3237,9,248,1,NULL,NULL),(3238,9,249,1,NULL,NULL),(3239,9,250,4,NULL,NULL),(3240,9,251,4,NULL,NULL),(3241,9,252,1,NULL,NULL),(3242,9,253,1,NULL,NULL),(3243,9,254,5,NULL,NULL),(3244,9,255,5,NULL,NULL),(3245,9,256,5,NULL,NULL),(3246,9,257,5,NULL,NULL),(3247,9,258,5,NULL,NULL),(3248,9,259,5,NULL,NULL),(3249,9,260,5,NULL,NULL),(3250,9,261,2,NULL,NULL),(3251,9,262,5,NULL,NULL),(3252,9,263,5,NULL,NULL),(3253,9,264,5,NULL,NULL),(3254,9,265,2,NULL,NULL),(3255,9,266,5,NULL,NULL),(3256,9,267,5,NULL,NULL),(3257,9,268,5,NULL,NULL),(3258,9,269,5,NULL,NULL),(3259,9,270,5,NULL,NULL),(3260,9,271,5,NULL,NULL),(3261,9,272,2,NULL,NULL),(3262,9,273,5,NULL,NULL),(3263,9,274,5,NULL,NULL),(3264,9,275,5,NULL,NULL),(3265,9,276,5,NULL,NULL),(3266,9,277,2,NULL,NULL),(3267,9,278,5,NULL,NULL),(3268,9,279,5,NULL,NULL),(3269,9,280,5,NULL,NULL),(3270,9,281,5,NULL,NULL),(3271,9,282,5,NULL,NULL),(3272,9,283,1,NULL,NULL),(3273,9,284,3,NULL,NULL),(3274,9,285,1,NULL,NULL),(3275,9,286,1,NULL,NULL),(3276,9,287,5,NULL,NULL),(3277,9,288,5,NULL,NULL),(3278,9,289,5,NULL,NULL),(3279,9,290,5,NULL,NULL),(3280,9,291,5,NULL,NULL),(3281,9,292,5,NULL,NULL),(3282,9,293,2,NULL,NULL),(3283,9,294,5,NULL,NULL),(3284,9,295,5,NULL,NULL),(3285,9,296,5,NULL,NULL),(3286,9,297,2,NULL,NULL),(3287,9,298,5,NULL,NULL),(3288,9,299,5,NULL,NULL),(3289,9,300,5,NULL,NULL),(3290,9,301,5,NULL,NULL),(3291,9,302,5,NULL,NULL),(3292,9,303,5,NULL,NULL),(3293,9,304,5,NULL,NULL),(3294,9,305,5,NULL,NULL),(3295,9,306,5,NULL,NULL),(3296,9,307,5,NULL,NULL),(3297,9,308,5,NULL,NULL),(3298,9,309,5,NULL,NULL),(3299,9,310,5,NULL,NULL),(3300,9,311,5,NULL,NULL),(3301,9,312,5,NULL,NULL),(3302,9,313,5,NULL,NULL),(3303,9,314,5,NULL,NULL),(3304,9,315,5,NULL,NULL),(3305,9,316,5,NULL,NULL),(3306,9,317,5,NULL,NULL),(3307,9,318,5,NULL,NULL),(3308,9,319,5,NULL,NULL),(3309,9,320,5,NULL,NULL),(3310,9,321,5,NULL,NULL),(3311,9,322,5,NULL,NULL),(3312,9,323,5,NULL,NULL),(3313,9,324,5,NULL,NULL),(3314,9,325,5,NULL,NULL),(3315,9,326,5,NULL,NULL),(3316,9,327,5,NULL,NULL),(3317,9,328,5,NULL,NULL),(3318,9,329,5,NULL,NULL),(3319,9,330,5,NULL,NULL),(3320,9,331,5,NULL,NULL),(3321,9,332,5,NULL,NULL),(3322,9,333,5,NULL,NULL),(3323,9,334,5,NULL,NULL),(3324,9,335,5,NULL,NULL),(3325,9,336,5,NULL,NULL),(3326,9,337,5,NULL,NULL),(3327,9,338,5,NULL,NULL),(3328,9,339,5,NULL,NULL),(3329,9,340,5,NULL,NULL),(3330,9,341,5,NULL,NULL),(3331,9,342,5,NULL,NULL),(3332,9,343,5,NULL,NULL),(3333,9,344,4,NULL,NULL),(3334,9,345,5,NULL,NULL),(3335,9,346,5,NULL,NULL),(3336,9,347,5,NULL,NULL),(3337,9,348,5,NULL,NULL),(3338,9,349,5,NULL,NULL),(3339,9,350,5,NULL,NULL),(3340,9,351,5,NULL,NULL),(3341,9,352,5,NULL,NULL),(3342,9,353,5,NULL,NULL),(3343,9,354,5,NULL,NULL),(3344,9,355,5,NULL,NULL),(3345,9,356,5,NULL,NULL),(3346,9,357,5,NULL,NULL),(3347,9,358,2,NULL,NULL),(3348,9,359,5,NULL,NULL),(3349,9,360,5,NULL,NULL),(3350,9,361,5,NULL,NULL),(3351,9,362,5,NULL,NULL),(3352,9,363,4,NULL,NULL),(3353,9,364,5,NULL,NULL),(3354,9,365,4,NULL,NULL),(3355,9,366,5,NULL,NULL),(3356,9,367,5,NULL,NULL),(3357,9,368,4,NULL,NULL),(3358,9,369,5,NULL,NULL),(3359,9,370,5,NULL,NULL),(3360,9,371,5,NULL,NULL),(3361,9,372,5,NULL,NULL),(3362,9,373,5,NULL,NULL),(3363,9,374,5,NULL,NULL),(3364,9,375,5,NULL,NULL),(3365,9,376,5,NULL,NULL),(3366,9,377,5,NULL,NULL),(3367,9,378,5,NULL,NULL),(3368,9,379,5,NULL,NULL),(3369,9,380,5,NULL,NULL),(3370,9,381,5,NULL,NULL),(3371,9,382,5,NULL,NULL),(3372,9,383,5,NULL,NULL),(3373,9,384,5,NULL,NULL),(3374,9,385,5,NULL,NULL),(3375,9,386,5,NULL,NULL),(3376,9,387,5,NULL,NULL),(3377,9,388,5,NULL,NULL),(3378,9,389,5,NULL,NULL),(3379,9,390,5,NULL,NULL),(3380,9,391,5,NULL,NULL),(3381,9,392,5,NULL,NULL),(3382,9,393,5,NULL,NULL),(3383,9,394,5,NULL,NULL),(3384,9,395,5,NULL,NULL),(3385,9,396,5,NULL,NULL),(3386,9,397,5,NULL,NULL),(3387,9,398,5,NULL,NULL),(3388,9,399,5,NULL,NULL),(3389,9,400,5,NULL,NULL),(3390,9,401,5,NULL,NULL),(3391,9,402,5,NULL,NULL),(3392,9,403,5,NULL,NULL),(3393,9,404,5,NULL,NULL),(3394,9,405,5,NULL,NULL),(3395,9,406,5,NULL,NULL),(3396,9,407,5,NULL,NULL),(3397,9,408,5,NULL,NULL),(3398,9,409,5,NULL,NULL),(3399,9,410,5,NULL,NULL),(3400,9,411,5,NULL,NULL),(3401,9,412,4,NULL,NULL),(3402,9,413,2,NULL,NULL),(3403,9,414,5,NULL,NULL),(3404,9,415,5,NULL,NULL),(3405,9,416,5,NULL,NULL),(3406,9,417,5,NULL,NULL),(3407,9,418,5,NULL,NULL),(3408,9,419,5,NULL,NULL),(3409,9,420,5,NULL,NULL),(3410,9,421,5,NULL,NULL),(3411,9,422,5,NULL,NULL),(3412,9,423,5,NULL,NULL),(3413,9,424,5,NULL,NULL),(3414,9,425,5,NULL,NULL),(3415,9,426,5,NULL,NULL),(3416,9,427,5,NULL,NULL),(3417,10,1,5,NULL,NULL),(3418,10,2,5,NULL,NULL),(3419,10,3,5,NULL,NULL),(3420,10,4,5,NULL,NULL),(3421,10,5,5,NULL,NULL),(3422,10,6,5,NULL,NULL),(3423,10,7,5,NULL,NULL),(3424,10,8,5,NULL,NULL),(3425,10,9,5,NULL,NULL),(3426,10,10,5,NULL,NULL),(3427,10,11,5,NULL,NULL),(3428,10,12,5,NULL,NULL),(3429,10,13,5,NULL,NULL),(3430,10,14,5,NULL,NULL),(3431,10,15,5,NULL,NULL),(3432,10,16,5,NULL,NULL),(3433,10,17,5,NULL,NULL),(3434,10,18,5,NULL,NULL),(3435,10,19,5,NULL,NULL),(3436,10,20,5,NULL,NULL),(3437,10,21,5,NULL,NULL),(3438,10,22,5,NULL,NULL),(3439,10,23,5,NULL,NULL),(3440,10,24,5,NULL,NULL),(3441,10,25,5,NULL,NULL),(3442,10,26,5,NULL,NULL),(3443,10,27,5,NULL,NULL),(3444,10,28,5,NULL,NULL),(3445,10,29,5,NULL,NULL),(3446,10,30,5,NULL,NULL),(3447,10,31,5,NULL,NULL),(3448,10,32,5,NULL,NULL),(3449,10,33,5,NULL,NULL),(3450,10,34,5,NULL,NULL),(3451,10,35,5,NULL,NULL),(3452,10,36,5,NULL,NULL),(3453,10,37,5,NULL,NULL),(3454,10,38,5,NULL,NULL),(3455,10,39,5,NULL,NULL),(3456,10,40,5,NULL,NULL),(3457,10,41,5,NULL,NULL),(3458,10,42,5,NULL,NULL),(3459,10,43,5,NULL,NULL),(3460,10,44,5,NULL,NULL),(3461,10,45,5,NULL,NULL),(3462,10,46,5,NULL,NULL),(3463,10,47,5,NULL,NULL),(3464,10,48,5,NULL,NULL),(3465,10,49,5,NULL,NULL),(3466,10,50,5,NULL,NULL),(3467,10,51,5,NULL,NULL),(3468,10,52,5,NULL,NULL),(3469,10,53,5,NULL,NULL),(3470,10,54,5,NULL,NULL),(3471,10,55,5,NULL,NULL),(3472,10,56,5,NULL,NULL),(3473,10,57,5,NULL,NULL),(3474,10,58,5,NULL,NULL),(3475,10,59,5,NULL,NULL),(3476,10,60,5,NULL,NULL),(3477,10,61,5,NULL,NULL),(3478,10,62,5,NULL,NULL),(3479,10,63,5,NULL,NULL),(3480,10,64,5,NULL,NULL),(3481,10,65,5,NULL,NULL),(3482,10,66,5,NULL,NULL),(3483,10,67,5,NULL,NULL),(3484,10,68,5,NULL,NULL),(3485,10,69,5,NULL,NULL),(3486,10,70,5,NULL,NULL),(3487,10,71,5,NULL,NULL),(3488,10,72,5,NULL,NULL),(3489,10,73,5,NULL,NULL),(3490,10,74,5,NULL,NULL),(3491,10,75,5,NULL,NULL),(3492,10,76,5,NULL,NULL),(3493,10,77,5,NULL,NULL),(3494,10,78,5,NULL,NULL),(3495,10,79,5,NULL,NULL),(3496,10,80,5,NULL,NULL),(3497,10,81,5,NULL,NULL),(3498,10,82,5,NULL,NULL),(3499,10,83,5,NULL,NULL),(3500,10,84,5,NULL,NULL),(3501,10,85,5,NULL,NULL),(3502,10,86,5,NULL,NULL),(3503,10,87,5,NULL,NULL),(3504,10,88,5,NULL,NULL),(3505,10,89,5,NULL,NULL),(3506,10,90,5,NULL,NULL),(3507,10,91,5,NULL,NULL),(3508,10,92,5,NULL,NULL),(3509,10,93,5,NULL,NULL),(3510,10,94,5,NULL,NULL),(3511,10,95,5,NULL,NULL),(3512,10,96,5,NULL,NULL),(3513,10,97,5,NULL,NULL),(3514,10,98,5,NULL,NULL),(3515,10,99,5,NULL,NULL),(3516,10,100,5,NULL,NULL),(3517,10,101,5,NULL,NULL),(3518,10,102,5,NULL,NULL),(3519,10,103,5,NULL,NULL),(3520,10,104,5,NULL,NULL),(3521,10,105,5,NULL,NULL),(3522,10,106,5,NULL,NULL),(3523,10,107,5,NULL,NULL),(3524,10,108,5,NULL,NULL),(3525,10,109,5,NULL,NULL),(3526,10,110,5,NULL,NULL),(3527,10,111,5,NULL,NULL),(3528,10,112,5,NULL,NULL),(3529,10,113,5,NULL,NULL),(3530,10,114,5,NULL,NULL),(3531,10,115,5,NULL,NULL),(3532,10,116,5,NULL,NULL),(3533,10,117,5,NULL,NULL),(3534,10,118,5,NULL,NULL),(3535,10,119,5,NULL,NULL),(3536,10,120,5,NULL,NULL),(3537,10,121,5,NULL,NULL),(3538,10,122,5,NULL,NULL),(3539,10,123,5,NULL,NULL),(3540,10,124,5,NULL,NULL),(3541,10,125,5,NULL,NULL),(3542,10,126,5,NULL,NULL),(3543,10,127,5,NULL,NULL),(3544,10,128,5,NULL,NULL),(3545,10,129,5,NULL,NULL),(3546,10,130,5,NULL,NULL),(3547,10,131,5,NULL,NULL),(3548,10,132,5,NULL,NULL),(3549,10,133,5,NULL,NULL),(3550,10,134,5,NULL,NULL),(3551,10,135,5,NULL,NULL),(3552,10,136,5,NULL,NULL),(3553,10,137,5,NULL,NULL),(3554,10,138,5,NULL,NULL),(3555,10,139,5,NULL,NULL),(3556,10,140,5,NULL,NULL),(3557,10,141,5,NULL,NULL),(3558,10,142,5,NULL,NULL),(3559,10,143,5,NULL,NULL),(3560,10,144,5,NULL,NULL),(3561,10,145,5,NULL,NULL),(3562,10,146,5,NULL,NULL),(3563,10,147,5,NULL,NULL),(3564,10,148,5,NULL,NULL),(3565,10,149,5,NULL,NULL),(3566,10,150,5,NULL,NULL),(3567,10,151,5,NULL,NULL),(3568,10,152,5,NULL,NULL),(3569,10,153,5,NULL,NULL),(3570,10,154,5,NULL,NULL),(3571,10,155,5,NULL,NULL),(3572,10,156,5,NULL,NULL),(3573,10,157,5,NULL,NULL),(3574,10,158,5,NULL,NULL),(3575,10,159,5,NULL,NULL),(3576,10,160,5,NULL,NULL),(3577,10,161,5,NULL,NULL),(3578,10,162,5,NULL,NULL),(3579,10,163,5,NULL,NULL),(3580,10,164,5,NULL,NULL),(3581,10,165,5,NULL,NULL),(3582,10,166,5,NULL,NULL),(3583,10,167,5,NULL,NULL),(3584,10,168,5,NULL,NULL),(3585,10,169,5,NULL,NULL),(3586,10,170,5,NULL,NULL),(3587,10,171,5,NULL,NULL),(3588,10,172,5,NULL,NULL),(3589,10,173,5,NULL,NULL),(3590,10,174,5,NULL,NULL),(3591,10,175,5,NULL,NULL),(3592,10,176,5,NULL,NULL),(3593,10,177,5,NULL,NULL),(3594,10,178,5,NULL,NULL),(3595,10,179,5,NULL,NULL),(3596,10,180,5,NULL,NULL),(3597,10,181,5,NULL,NULL),(3598,10,182,5,NULL,NULL),(3599,10,183,5,NULL,NULL),(3600,10,184,2,NULL,NULL),(3601,10,185,5,NULL,NULL),(3602,10,186,5,NULL,NULL),(3603,10,187,5,NULL,NULL),(3604,10,188,4,NULL,NULL),(3605,10,189,4,NULL,NULL),(3606,10,190,1,NULL,NULL),(3607,10,191,4,NULL,NULL),(3608,10,192,4,NULL,NULL),(3609,10,193,1,NULL,NULL),(3610,10,194,1,NULL,NULL),(3611,10,195,5,NULL,NULL),(3612,10,196,5,NULL,NULL),(3613,10,197,5,NULL,NULL),(3614,10,198,5,NULL,NULL),(3615,10,199,5,NULL,NULL),(3616,10,200,4,NULL,NULL),(3617,10,201,5,NULL,NULL),(3618,10,202,5,NULL,NULL),(3619,10,203,5,NULL,NULL),(3620,10,204,5,NULL,NULL),(3621,10,205,5,NULL,NULL),(3622,10,206,5,NULL,NULL),(3623,10,207,5,NULL,NULL),(3624,10,208,5,NULL,NULL),(3625,10,209,4,NULL,NULL),(3626,10,210,5,NULL,NULL),(3627,10,211,4,NULL,NULL),(3628,10,212,4,NULL,NULL),(3629,10,213,5,NULL,NULL),(3630,10,214,4,NULL,NULL),(3631,10,215,5,NULL,NULL),(3632,10,216,5,NULL,NULL),(3633,10,217,4,NULL,NULL),(3634,10,218,5,NULL,NULL),(3635,10,219,5,NULL,NULL),(3636,10,220,5,NULL,NULL),(3637,10,221,5,NULL,NULL),(3638,10,222,5,NULL,NULL),(3639,10,223,5,NULL,NULL),(3640,10,224,5,NULL,NULL),(3641,10,225,5,NULL,NULL),(3642,10,226,5,NULL,NULL),(3643,10,227,5,NULL,NULL),(3644,10,228,5,NULL,NULL),(3645,10,229,5,NULL,NULL),(3646,10,230,5,NULL,NULL),(3647,10,231,5,NULL,NULL),(3648,10,232,2,NULL,NULL),(3649,10,233,5,NULL,NULL),(3650,10,234,5,NULL,NULL),(3651,10,235,5,NULL,NULL),(3652,10,236,5,NULL,NULL),(3653,10,237,5,NULL,NULL),(3654,10,238,5,NULL,NULL),(3655,10,239,4,NULL,NULL),(3656,10,240,5,NULL,NULL),(3657,10,241,5,NULL,NULL),(3658,10,242,4,NULL,NULL),(3659,10,243,5,NULL,NULL),(3660,10,244,5,NULL,NULL),(3661,10,245,5,NULL,NULL),(3662,10,246,4,NULL,NULL),(3663,10,247,4,NULL,NULL),(3664,10,248,1,NULL,NULL),(3665,10,249,1,NULL,NULL),(3666,10,250,4,NULL,NULL),(3667,10,251,4,NULL,NULL),(3668,10,252,1,NULL,NULL),(3669,10,253,1,NULL,NULL),(3670,10,254,5,NULL,NULL),(3671,10,255,5,NULL,NULL),(3672,10,256,5,NULL,NULL),(3673,10,257,5,NULL,NULL),(3674,10,258,5,NULL,NULL),(3675,10,259,5,NULL,NULL),(3676,10,260,5,NULL,NULL),(3677,10,261,2,NULL,NULL),(3678,10,262,5,NULL,NULL),(3679,10,263,5,NULL,NULL),(3680,10,264,5,NULL,NULL),(3681,10,265,2,NULL,NULL),(3682,10,266,5,NULL,NULL),(3683,10,267,5,NULL,NULL),(3684,10,268,5,NULL,NULL),(3685,10,269,5,NULL,NULL),(3686,10,270,5,NULL,NULL),(3687,10,271,5,NULL,NULL),(3688,10,272,2,NULL,NULL),(3689,10,273,5,NULL,NULL),(3690,10,274,5,NULL,NULL),(3691,10,275,5,NULL,NULL),(3692,10,276,5,NULL,NULL),(3693,10,277,2,NULL,NULL),(3694,10,278,5,NULL,NULL),(3695,10,279,5,NULL,NULL),(3696,10,280,5,NULL,NULL),(3697,10,281,5,NULL,NULL),(3698,10,282,5,NULL,NULL),(3699,10,283,1,NULL,NULL),(3700,10,284,3,NULL,NULL),(3701,10,285,1,NULL,NULL),(3702,10,286,1,NULL,NULL),(3703,10,287,5,NULL,NULL),(3704,10,288,5,NULL,NULL),(3705,10,289,5,NULL,NULL),(3706,10,290,5,NULL,NULL),(3707,10,291,5,NULL,NULL),(3708,10,292,5,NULL,NULL),(3709,10,293,2,NULL,NULL),(3710,10,294,5,NULL,NULL),(3711,10,295,5,NULL,NULL),(3712,10,296,5,NULL,NULL),(3713,10,297,2,NULL,NULL),(3714,10,298,5,NULL,NULL),(3715,10,299,5,NULL,NULL),(3716,10,300,5,NULL,NULL),(3717,10,301,5,NULL,NULL),(3718,10,302,5,NULL,NULL),(3719,10,303,5,NULL,NULL),(3720,10,304,5,NULL,NULL),(3721,10,305,5,NULL,NULL),(3722,10,306,5,NULL,NULL),(3723,10,307,5,NULL,NULL),(3724,10,308,5,NULL,NULL),(3725,10,309,5,NULL,NULL),(3726,10,310,5,NULL,NULL),(3727,10,311,5,NULL,NULL),(3728,10,312,5,NULL,NULL),(3729,10,313,5,NULL,NULL),(3730,10,314,5,NULL,NULL),(3731,10,315,5,NULL,NULL),(3732,10,316,5,NULL,NULL),(3733,10,317,5,NULL,NULL),(3734,10,318,5,NULL,NULL),(3735,10,319,5,NULL,NULL),(3736,10,320,5,NULL,NULL),(3737,10,321,5,NULL,NULL),(3738,10,322,5,NULL,NULL),(3739,10,323,5,NULL,NULL),(3740,10,324,5,NULL,NULL),(3741,10,325,5,NULL,NULL),(3742,10,326,5,NULL,NULL),(3743,10,327,5,NULL,NULL),(3744,10,328,5,NULL,NULL),(3745,10,329,5,NULL,NULL),(3746,10,330,5,NULL,NULL),(3747,10,331,5,NULL,NULL),(3748,10,332,5,NULL,NULL),(3749,10,333,5,NULL,NULL),(3750,10,334,5,NULL,NULL),(3751,10,335,5,NULL,NULL),(3752,10,336,5,NULL,NULL),(3753,10,337,5,NULL,NULL),(3754,10,338,5,NULL,NULL),(3755,10,339,5,NULL,NULL),(3756,10,340,5,NULL,NULL),(3757,10,341,5,NULL,NULL),(3758,10,342,5,NULL,NULL),(3759,10,343,5,NULL,NULL),(3760,10,344,4,NULL,NULL),(3761,10,345,5,NULL,NULL),(3762,10,346,5,NULL,NULL),(3763,10,347,5,NULL,NULL),(3764,10,348,5,NULL,NULL),(3765,10,349,5,NULL,NULL),(3766,10,350,5,NULL,NULL),(3767,10,351,5,NULL,NULL),(3768,10,352,5,NULL,NULL),(3769,10,353,5,NULL,NULL),(3770,10,354,5,NULL,NULL),(3771,10,355,5,NULL,NULL),(3772,10,356,5,NULL,NULL),(3773,10,357,5,NULL,NULL),(3774,10,358,2,NULL,NULL),(3775,10,359,5,NULL,NULL),(3776,10,360,5,NULL,NULL),(3777,10,361,5,NULL,NULL),(3778,10,362,5,NULL,NULL),(3779,10,363,4,NULL,NULL),(3780,10,364,5,NULL,NULL),(3781,10,365,4,NULL,NULL),(3782,10,366,5,NULL,NULL),(3783,10,367,5,NULL,NULL),(3784,10,368,4,NULL,NULL),(3785,10,369,5,NULL,NULL),(3786,10,370,5,NULL,NULL),(3787,10,371,5,NULL,NULL),(3788,10,372,5,NULL,NULL),(3789,10,373,5,NULL,NULL),(3790,10,374,5,NULL,NULL),(3791,10,375,5,NULL,NULL),(3792,10,376,5,NULL,NULL),(3793,10,377,5,NULL,NULL),(3794,10,378,5,NULL,NULL),(3795,10,379,5,NULL,NULL),(3796,10,380,5,NULL,NULL),(3797,10,381,5,NULL,NULL),(3798,10,382,5,NULL,NULL),(3799,10,383,5,NULL,NULL),(3800,10,384,5,NULL,NULL),(3801,10,385,5,NULL,NULL),(3802,10,386,5,NULL,NULL),(3803,10,387,5,NULL,NULL),(3804,10,388,5,NULL,NULL),(3805,10,389,5,NULL,NULL),(3806,10,390,5,NULL,NULL),(3807,10,391,5,NULL,NULL),(3808,10,392,5,NULL,NULL),(3809,10,393,5,NULL,NULL),(3810,10,394,5,NULL,NULL),(3811,10,395,5,NULL,NULL),(3812,10,396,5,NULL,NULL),(3813,10,397,5,NULL,NULL),(3814,10,398,5,NULL,NULL),(3815,10,399,5,NULL,NULL),(3816,10,400,5,NULL,NULL),(3817,10,401,5,NULL,NULL),(3818,10,402,5,NULL,NULL),(3819,10,403,5,NULL,NULL),(3820,10,404,5,NULL,NULL),(3821,10,405,5,NULL,NULL),(3822,10,406,5,NULL,NULL),(3823,10,407,5,NULL,NULL),(3824,10,408,5,NULL,NULL),(3825,10,409,5,NULL,NULL),(3826,10,410,5,NULL,NULL),(3827,10,411,5,NULL,NULL),(3828,10,412,4,NULL,NULL),(3829,10,413,2,NULL,NULL),(3830,10,414,5,NULL,NULL),(3831,10,415,5,NULL,NULL),(3832,10,416,5,NULL,NULL),(3833,10,417,5,NULL,NULL),(3834,10,418,5,NULL,NULL),(3835,10,419,5,NULL,NULL),(3836,10,420,5,NULL,NULL),(3837,10,421,5,NULL,NULL),(3838,10,422,5,NULL,NULL),(3839,10,423,5,NULL,NULL),(3840,10,424,5,NULL,NULL),(3841,10,425,5,NULL,NULL),(3842,10,426,5,NULL,NULL),(3843,10,427,5,NULL,NULL),(3844,11,1,5,NULL,NULL),(3845,11,2,5,NULL,NULL),(3846,11,3,5,NULL,NULL),(3847,11,4,5,NULL,NULL),(3848,11,5,5,NULL,NULL),(3849,11,6,5,NULL,NULL),(3850,11,7,5,NULL,NULL),(3851,11,8,5,NULL,NULL),(3852,11,9,5,NULL,NULL),(3853,11,10,5,NULL,NULL),(3854,11,11,5,NULL,NULL),(3855,11,12,5,NULL,NULL),(3856,11,13,5,NULL,NULL),(3857,11,14,5,NULL,NULL),(3858,11,15,5,NULL,NULL),(3859,11,16,5,NULL,NULL),(3860,11,17,5,NULL,NULL),(3861,11,18,5,NULL,NULL),(3862,11,19,5,NULL,NULL),(3863,11,20,5,NULL,NULL),(3864,11,21,5,NULL,NULL),(3865,11,22,5,NULL,NULL),(3866,11,23,5,NULL,NULL),(3867,11,24,5,NULL,NULL),(3868,11,25,5,NULL,NULL),(3869,11,26,5,NULL,NULL),(3870,11,27,5,NULL,NULL),(3871,11,28,5,NULL,NULL),(3872,11,29,5,NULL,NULL),(3873,11,30,5,NULL,NULL),(3874,11,31,5,NULL,NULL),(3875,11,32,5,NULL,NULL),(3876,11,33,5,NULL,NULL),(3877,11,34,5,NULL,NULL),(3878,11,35,5,NULL,NULL),(3879,11,36,5,NULL,NULL),(3880,11,37,5,NULL,NULL),(3881,11,38,5,NULL,NULL),(3882,11,39,5,NULL,NULL),(3883,11,40,5,NULL,NULL),(3884,11,41,5,NULL,NULL),(3885,11,42,5,NULL,NULL),(3886,11,43,5,NULL,NULL),(3887,11,44,5,NULL,NULL),(3888,11,45,5,NULL,NULL),(3889,11,46,5,NULL,NULL),(3890,11,47,5,NULL,NULL),(3891,11,48,5,NULL,NULL),(3892,11,49,5,NULL,NULL),(3893,11,50,5,NULL,NULL),(3894,11,51,5,NULL,NULL),(3895,11,52,5,NULL,NULL),(3896,11,53,5,NULL,NULL),(3897,11,54,5,NULL,NULL),(3898,11,55,5,NULL,NULL),(3899,11,56,5,NULL,NULL),(3900,11,57,5,NULL,NULL),(3901,11,58,5,NULL,NULL),(3902,11,59,5,NULL,NULL),(3903,11,60,5,NULL,NULL),(3904,11,61,5,NULL,NULL),(3905,11,62,5,NULL,NULL),(3906,11,63,5,NULL,NULL),(3907,11,64,5,NULL,NULL),(3908,11,65,5,NULL,NULL),(3909,11,66,5,NULL,NULL),(3910,11,67,5,NULL,NULL),(3911,11,68,5,NULL,NULL),(3912,11,69,5,NULL,NULL),(3913,11,70,5,NULL,NULL),(3914,11,71,5,NULL,NULL),(3915,11,72,5,NULL,NULL),(3916,11,73,5,NULL,NULL),(3917,11,74,5,NULL,NULL),(3918,11,75,5,NULL,NULL),(3919,11,76,5,NULL,NULL),(3920,11,77,5,NULL,NULL),(3921,11,78,5,NULL,NULL),(3922,11,79,5,NULL,NULL),(3923,11,80,5,NULL,NULL),(3924,11,81,5,NULL,NULL),(3925,11,82,5,NULL,NULL),(3926,11,83,5,NULL,NULL),(3927,11,84,5,NULL,NULL),(3928,11,85,5,NULL,NULL),(3929,11,86,5,NULL,NULL),(3930,11,87,5,NULL,NULL),(3931,11,88,5,NULL,NULL),(3932,11,89,5,NULL,NULL),(3933,11,90,5,NULL,NULL),(3934,11,91,5,NULL,NULL),(3935,11,92,5,NULL,NULL),(3936,11,93,5,NULL,NULL),(3937,11,94,5,NULL,NULL),(3938,11,95,5,NULL,NULL),(3939,11,96,5,NULL,NULL),(3940,11,97,5,NULL,NULL),(3941,11,98,5,NULL,NULL),(3942,11,99,5,NULL,NULL),(3943,11,100,5,NULL,NULL),(3944,11,101,5,NULL,NULL),(3945,11,102,5,NULL,NULL),(3946,11,103,5,NULL,NULL),(3947,11,104,5,NULL,NULL),(3948,11,105,5,NULL,NULL),(3949,11,106,5,NULL,NULL),(3950,11,107,5,NULL,NULL),(3951,11,108,5,NULL,NULL),(3952,11,109,5,NULL,NULL),(3953,11,110,5,NULL,NULL),(3954,11,111,5,NULL,NULL),(3955,11,112,5,NULL,NULL),(3956,11,113,5,NULL,NULL),(3957,11,114,5,NULL,NULL),(3958,11,115,5,NULL,NULL),(3959,11,116,5,NULL,NULL),(3960,11,117,5,NULL,NULL),(3961,11,118,5,NULL,NULL),(3962,11,119,5,NULL,NULL),(3963,11,120,5,NULL,NULL),(3964,11,121,5,NULL,NULL),(3965,11,122,5,NULL,NULL),(3966,11,123,5,NULL,NULL),(3967,11,124,5,NULL,NULL),(3968,11,125,5,NULL,NULL),(3969,11,126,5,NULL,NULL),(3970,11,127,5,NULL,NULL),(3971,11,128,5,NULL,NULL),(3972,11,129,5,NULL,NULL),(3973,11,130,5,NULL,NULL),(3974,11,131,5,NULL,NULL),(3975,11,132,5,NULL,NULL),(3976,11,133,5,NULL,NULL),(3977,11,134,5,NULL,NULL),(3978,11,135,5,NULL,NULL),(3979,11,136,5,NULL,NULL),(3980,11,137,5,NULL,NULL),(3981,11,138,5,NULL,NULL),(3982,11,139,5,NULL,NULL),(3983,11,140,5,NULL,NULL),(3984,11,141,5,NULL,NULL),(3985,11,142,5,NULL,NULL),(3986,11,143,5,NULL,NULL),(3987,11,144,5,NULL,NULL),(3988,11,145,5,NULL,NULL),(3989,11,146,5,NULL,NULL),(3990,11,147,5,NULL,NULL),(3991,11,148,5,NULL,NULL),(3992,11,149,5,NULL,NULL),(3993,11,150,5,NULL,NULL),(3994,11,151,5,NULL,NULL),(3995,11,152,5,NULL,NULL),(3996,11,153,5,NULL,NULL),(3997,11,154,5,NULL,NULL),(3998,11,155,5,NULL,NULL),(3999,11,156,5,NULL,NULL),(4000,11,157,5,NULL,NULL),(4001,11,158,5,NULL,NULL),(4002,11,159,5,NULL,NULL),(4003,11,160,5,NULL,NULL),(4004,11,161,5,NULL,NULL),(4005,11,162,5,NULL,NULL),(4006,11,163,5,NULL,NULL),(4007,11,164,5,NULL,NULL),(4008,11,165,5,NULL,NULL),(4009,11,166,5,NULL,NULL),(4010,11,167,5,NULL,NULL),(4011,11,168,5,NULL,NULL),(4012,11,169,5,NULL,NULL),(4013,11,170,5,NULL,NULL),(4014,11,171,5,NULL,NULL),(4015,11,172,5,NULL,NULL),(4016,11,173,5,NULL,NULL),(4017,11,174,5,NULL,NULL),(4018,11,175,5,NULL,NULL),(4019,11,176,5,NULL,NULL),(4020,11,177,5,NULL,NULL),(4021,11,178,5,NULL,NULL),(4022,11,179,5,NULL,NULL),(4023,11,180,5,NULL,NULL),(4024,11,181,5,NULL,NULL),(4025,11,182,5,NULL,NULL),(4026,11,183,5,NULL,NULL),(4027,11,184,2,NULL,NULL),(4028,11,185,5,NULL,NULL),(4029,11,186,5,NULL,NULL),(4030,11,187,5,NULL,NULL),(4031,11,188,4,NULL,NULL),(4032,11,189,4,NULL,NULL),(4033,11,190,1,NULL,NULL),(4034,11,191,4,NULL,NULL),(4035,11,192,4,NULL,NULL),(4036,11,193,1,NULL,NULL),(4037,11,194,1,NULL,NULL),(4038,11,195,5,NULL,NULL),(4039,11,196,5,NULL,NULL),(4040,11,197,5,NULL,NULL),(4041,11,198,5,NULL,NULL),(4042,11,199,5,NULL,NULL),(4043,11,200,4,NULL,NULL),(4044,11,201,5,NULL,NULL),(4045,11,202,5,NULL,NULL),(4046,11,203,5,NULL,NULL),(4047,11,204,5,NULL,NULL),(4048,11,205,5,NULL,NULL),(4049,11,206,5,NULL,NULL),(4050,11,207,5,NULL,NULL),(4051,11,208,5,NULL,NULL),(4052,11,209,4,NULL,NULL),(4053,11,210,5,NULL,NULL),(4054,11,211,4,NULL,NULL),(4055,11,212,4,NULL,NULL),(4056,11,213,5,NULL,NULL),(4057,11,214,4,NULL,NULL),(4058,11,215,5,NULL,NULL),(4059,11,216,5,NULL,NULL),(4060,11,217,4,NULL,NULL),(4061,11,218,5,NULL,NULL),(4062,11,219,5,NULL,NULL),(4063,11,220,5,NULL,NULL),(4064,11,221,5,NULL,NULL),(4065,11,222,5,NULL,NULL),(4066,11,223,5,NULL,NULL),(4067,11,224,5,NULL,NULL),(4068,11,225,5,NULL,NULL),(4069,11,226,5,NULL,NULL),(4070,11,227,5,NULL,NULL),(4071,11,228,5,NULL,NULL),(4072,11,229,5,NULL,NULL),(4073,11,230,5,NULL,NULL),(4074,11,231,5,NULL,NULL),(4075,11,232,2,NULL,NULL),(4076,11,233,5,NULL,NULL),(4077,11,234,5,NULL,NULL),(4078,11,235,5,NULL,NULL),(4079,11,236,5,NULL,NULL),(4080,11,237,5,NULL,NULL),(4081,11,238,5,NULL,NULL),(4082,11,239,4,NULL,NULL),(4083,11,240,5,NULL,NULL),(4084,11,241,5,NULL,NULL),(4085,11,242,4,NULL,NULL),(4086,11,243,5,NULL,NULL),(4087,11,244,5,NULL,NULL),(4088,11,245,5,NULL,NULL),(4089,11,246,4,NULL,NULL),(4090,11,247,4,NULL,NULL),(4091,11,248,1,NULL,NULL),(4092,11,249,1,NULL,NULL),(4093,11,250,4,NULL,NULL),(4094,11,251,4,NULL,NULL),(4095,11,252,1,NULL,NULL),(4096,11,253,1,NULL,NULL),(4097,11,254,5,NULL,NULL),(4098,11,255,5,NULL,NULL),(4099,11,256,5,NULL,NULL),(4100,11,257,5,NULL,NULL),(4101,11,258,5,NULL,NULL),(4102,11,259,5,NULL,NULL),(4103,11,260,5,NULL,NULL),(4104,11,261,2,NULL,NULL),(4105,11,262,5,NULL,NULL),(4106,11,263,5,NULL,NULL),(4107,11,264,5,NULL,NULL),(4108,11,265,2,NULL,NULL),(4109,11,266,5,NULL,NULL),(4110,11,267,5,NULL,NULL),(4111,11,268,5,NULL,NULL),(4112,11,269,5,NULL,NULL),(4113,11,270,5,NULL,NULL),(4114,11,271,5,NULL,NULL),(4115,11,272,2,NULL,NULL),(4116,11,273,5,NULL,NULL),(4117,11,274,5,NULL,NULL),(4118,11,275,5,NULL,NULL),(4119,11,276,5,NULL,NULL),(4120,11,277,2,NULL,NULL),(4121,11,278,5,NULL,NULL),(4122,11,279,5,NULL,NULL),(4123,11,280,5,NULL,NULL),(4124,11,281,5,NULL,NULL),(4125,11,282,5,NULL,NULL),(4126,11,283,1,NULL,NULL),(4127,11,284,3,NULL,NULL),(4128,11,285,1,NULL,NULL),(4129,11,286,1,NULL,NULL),(4130,11,287,5,NULL,NULL),(4131,11,288,5,NULL,NULL),(4132,11,289,5,NULL,NULL),(4133,11,290,5,NULL,NULL),(4134,11,291,5,NULL,NULL),(4135,11,292,5,NULL,NULL),(4136,11,293,2,NULL,NULL),(4137,11,294,5,NULL,NULL),(4138,11,295,5,NULL,NULL),(4139,11,296,5,NULL,NULL),(4140,11,297,2,NULL,NULL),(4141,11,298,5,NULL,NULL),(4142,11,299,5,NULL,NULL),(4143,11,300,5,NULL,NULL),(4144,11,301,5,NULL,NULL),(4145,11,302,5,NULL,NULL),(4146,11,303,5,NULL,NULL),(4147,11,304,5,NULL,NULL),(4148,11,305,5,NULL,NULL),(4149,11,306,5,NULL,NULL),(4150,11,307,5,NULL,NULL),(4151,11,308,5,NULL,NULL),(4152,11,309,5,NULL,NULL),(4153,11,310,5,NULL,NULL),(4154,11,311,5,NULL,NULL),(4155,11,312,5,NULL,NULL),(4156,11,313,5,NULL,NULL),(4157,11,314,5,NULL,NULL),(4158,11,315,5,NULL,NULL),(4159,11,316,5,NULL,NULL),(4160,11,317,5,NULL,NULL),(4161,11,318,5,NULL,NULL),(4162,11,319,5,NULL,NULL),(4163,11,320,5,NULL,NULL),(4164,11,321,5,NULL,NULL),(4165,11,322,5,NULL,NULL),(4166,11,323,5,NULL,NULL),(4167,11,324,5,NULL,NULL),(4168,11,325,5,NULL,NULL),(4169,11,326,5,NULL,NULL),(4170,11,327,5,NULL,NULL),(4171,11,328,5,NULL,NULL),(4172,11,329,5,NULL,NULL),(4173,11,330,5,NULL,NULL),(4174,11,331,5,NULL,NULL),(4175,11,332,5,NULL,NULL),(4176,11,333,5,NULL,NULL),(4177,11,334,5,NULL,NULL),(4178,11,335,5,NULL,NULL),(4179,11,336,5,NULL,NULL),(4180,11,337,5,NULL,NULL),(4181,11,338,5,NULL,NULL),(4182,11,339,5,NULL,NULL),(4183,11,340,5,NULL,NULL),(4184,11,341,5,NULL,NULL),(4185,11,342,5,NULL,NULL),(4186,11,343,5,NULL,NULL),(4187,11,344,4,NULL,NULL),(4188,11,345,5,NULL,NULL),(4189,11,346,5,NULL,NULL),(4190,11,347,5,NULL,NULL),(4191,11,348,5,NULL,NULL),(4192,11,349,5,NULL,NULL),(4193,11,350,5,NULL,NULL),(4194,11,351,5,NULL,NULL),(4195,11,352,5,NULL,NULL),(4196,11,353,5,NULL,NULL),(4197,11,354,5,NULL,NULL),(4198,11,355,5,NULL,NULL),(4199,11,356,5,NULL,NULL),(4200,11,357,5,NULL,NULL),(4201,11,358,2,NULL,NULL),(4202,11,359,5,NULL,NULL),(4203,11,360,5,NULL,NULL),(4204,11,361,5,NULL,NULL),(4205,11,362,5,NULL,NULL),(4206,11,363,4,NULL,NULL),(4207,11,364,5,NULL,NULL),(4208,11,365,4,NULL,NULL),(4209,11,366,5,NULL,NULL),(4210,11,367,5,NULL,NULL),(4211,11,368,4,NULL,NULL),(4212,11,369,5,NULL,NULL),(4213,11,370,5,NULL,NULL),(4214,11,371,5,NULL,NULL),(4215,11,372,5,NULL,NULL),(4216,11,373,5,NULL,NULL),(4217,11,374,5,NULL,NULL),(4218,11,375,5,NULL,NULL),(4219,11,376,5,NULL,NULL),(4220,11,377,5,NULL,NULL),(4221,11,378,5,NULL,NULL),(4222,11,379,5,NULL,NULL),(4223,11,380,5,NULL,NULL),(4224,11,381,5,NULL,NULL),(4225,11,382,5,NULL,NULL),(4226,11,383,5,NULL,NULL),(4227,11,384,5,NULL,NULL),(4228,11,385,5,NULL,NULL),(4229,11,386,5,NULL,NULL),(4230,11,387,5,NULL,NULL),(4231,11,388,5,NULL,NULL),(4232,11,389,5,NULL,NULL),(4233,11,390,5,NULL,NULL),(4234,11,391,5,NULL,NULL),(4235,11,392,5,NULL,NULL),(4236,11,393,5,NULL,NULL),(4237,11,394,5,NULL,NULL),(4238,11,395,5,NULL,NULL),(4239,11,396,5,NULL,NULL),(4240,11,397,5,NULL,NULL),(4241,11,398,5,NULL,NULL),(4242,11,399,5,NULL,NULL),(4243,11,400,5,NULL,NULL),(4244,11,401,5,NULL,NULL),(4245,11,402,5,NULL,NULL),(4246,11,403,5,NULL,NULL),(4247,11,404,5,NULL,NULL),(4248,11,405,5,NULL,NULL),(4249,11,406,5,NULL,NULL),(4250,11,407,5,NULL,NULL),(4251,11,408,5,NULL,NULL),(4252,11,409,5,NULL,NULL),(4253,11,410,5,NULL,NULL),(4254,11,411,5,NULL,NULL),(4255,11,412,4,NULL,NULL),(4256,11,413,2,NULL,NULL),(4257,11,414,5,NULL,NULL),(4258,11,415,5,NULL,NULL),(4259,11,416,5,NULL,NULL),(4260,11,417,5,NULL,NULL),(4261,11,418,5,NULL,NULL),(4262,11,419,5,NULL,NULL),(4263,11,420,5,NULL,NULL),(4264,11,421,5,NULL,NULL),(4265,11,422,5,NULL,NULL),(4266,11,423,5,NULL,NULL),(4267,11,424,5,NULL,NULL),(4268,11,425,5,NULL,NULL),(4269,11,426,5,NULL,NULL),(4270,11,427,5,NULL,NULL),(4271,12,1,5,NULL,NULL),(4272,12,2,5,NULL,NULL),(4273,12,3,5,NULL,NULL),(4274,12,4,5,NULL,NULL),(4275,12,5,5,NULL,NULL),(4276,12,6,5,NULL,NULL),(4277,12,7,5,NULL,NULL),(4278,12,8,5,NULL,NULL),(4279,12,9,5,NULL,NULL),(4280,12,10,5,NULL,NULL),(4281,12,11,5,NULL,NULL),(4282,12,12,5,NULL,NULL),(4283,12,13,5,NULL,NULL),(4284,12,14,5,NULL,NULL),(4285,12,15,5,NULL,NULL),(4286,12,16,5,NULL,NULL),(4287,12,17,5,NULL,NULL),(4288,12,18,5,NULL,NULL),(4289,12,19,5,NULL,NULL),(4290,12,20,5,NULL,NULL),(4291,12,21,5,NULL,NULL),(4292,12,22,5,NULL,NULL),(4293,12,23,5,NULL,NULL),(4294,12,24,5,NULL,NULL),(4295,12,25,5,NULL,NULL),(4296,12,26,5,NULL,NULL),(4297,12,27,5,NULL,NULL),(4298,12,28,5,NULL,NULL),(4299,12,29,5,NULL,NULL),(4300,12,30,5,NULL,NULL),(4301,12,31,5,NULL,NULL),(4302,12,32,5,NULL,NULL),(4303,12,33,5,NULL,NULL),(4304,12,34,5,NULL,NULL),(4305,12,35,5,NULL,NULL),(4306,12,36,5,NULL,NULL),(4307,12,37,5,NULL,NULL),(4308,12,38,5,NULL,NULL),(4309,12,39,5,NULL,NULL),(4310,12,40,5,NULL,NULL),(4311,12,41,5,NULL,NULL),(4312,12,42,5,NULL,NULL),(4313,12,43,5,NULL,NULL),(4314,12,44,5,NULL,NULL),(4315,12,45,5,NULL,NULL),(4316,12,46,5,NULL,NULL),(4317,12,47,5,NULL,NULL),(4318,12,48,5,NULL,NULL),(4319,12,49,5,NULL,NULL),(4320,12,50,5,NULL,NULL),(4321,12,51,5,NULL,NULL),(4322,12,52,5,NULL,NULL),(4323,12,53,5,NULL,NULL),(4324,12,54,5,NULL,NULL),(4325,12,55,5,NULL,NULL),(4326,12,56,5,NULL,NULL),(4327,12,57,5,NULL,NULL),(4328,12,58,5,NULL,NULL),(4329,12,59,5,NULL,NULL),(4330,12,60,5,NULL,NULL),(4331,12,61,5,NULL,NULL),(4332,12,62,5,NULL,NULL),(4333,12,63,5,NULL,NULL),(4334,12,64,5,NULL,NULL),(4335,12,65,5,NULL,NULL),(4336,12,66,5,NULL,NULL),(4337,12,67,5,NULL,NULL),(4338,12,68,5,NULL,NULL),(4339,12,69,5,NULL,NULL),(4340,12,70,5,NULL,NULL),(4341,12,71,5,NULL,NULL),(4342,12,72,5,NULL,NULL),(4343,12,73,5,NULL,NULL),(4344,12,74,5,NULL,NULL),(4345,12,75,5,NULL,NULL),(4346,12,76,5,NULL,NULL),(4347,12,77,5,NULL,NULL),(4348,12,78,5,NULL,NULL),(4349,12,79,5,NULL,NULL),(4350,12,80,5,NULL,NULL),(4351,12,81,5,NULL,NULL),(4352,12,82,5,NULL,NULL),(4353,12,83,5,NULL,NULL),(4354,12,84,5,NULL,NULL),(4355,12,85,5,NULL,NULL),(4356,12,86,5,NULL,NULL),(4357,12,87,5,NULL,NULL),(4358,12,88,5,NULL,NULL),(4359,12,89,5,NULL,NULL),(4360,12,90,5,NULL,NULL),(4361,12,91,5,NULL,NULL),(4362,12,92,5,NULL,NULL),(4363,12,93,5,NULL,NULL),(4364,12,94,5,NULL,NULL),(4365,12,95,5,NULL,NULL),(4366,12,96,5,NULL,NULL),(4367,12,97,5,NULL,NULL),(4368,12,98,5,NULL,NULL),(4369,12,99,5,NULL,NULL),(4370,12,100,5,NULL,NULL),(4371,12,101,5,NULL,NULL),(4372,12,102,5,NULL,NULL),(4373,12,103,5,NULL,NULL),(4374,12,104,5,NULL,NULL),(4375,12,105,5,NULL,NULL),(4376,12,106,5,NULL,NULL),(4377,12,107,5,NULL,NULL),(4378,12,108,5,NULL,NULL),(4379,12,109,5,NULL,NULL),(4380,12,110,5,NULL,NULL),(4381,12,111,5,NULL,NULL),(4382,12,112,5,NULL,NULL),(4383,12,113,5,NULL,NULL),(4384,12,114,5,NULL,NULL),(4385,12,115,5,NULL,NULL),(4386,12,116,5,NULL,NULL),(4387,12,117,5,NULL,NULL),(4388,12,118,5,NULL,NULL),(4389,12,119,5,NULL,NULL),(4390,12,120,5,NULL,NULL),(4391,12,121,5,NULL,NULL),(4392,12,122,5,NULL,NULL),(4393,12,123,5,NULL,NULL),(4394,12,124,5,NULL,NULL),(4395,12,125,5,NULL,NULL),(4396,12,126,5,NULL,NULL),(4397,12,127,5,NULL,NULL),(4398,12,128,5,NULL,NULL),(4399,12,129,5,NULL,NULL),(4400,12,130,5,NULL,NULL),(4401,12,131,5,NULL,NULL),(4402,12,132,5,NULL,NULL),(4403,12,133,5,NULL,NULL),(4404,12,134,5,NULL,NULL),(4405,12,135,5,NULL,NULL),(4406,12,136,5,NULL,NULL),(4407,12,137,5,NULL,NULL),(4408,12,138,5,NULL,NULL),(4409,12,139,5,NULL,NULL),(4410,12,140,5,NULL,NULL),(4411,12,141,5,NULL,NULL),(4412,12,142,5,NULL,NULL),(4413,12,143,5,NULL,NULL),(4414,12,144,5,NULL,NULL),(4415,12,145,5,NULL,NULL),(4416,12,146,5,NULL,NULL),(4417,12,147,5,NULL,NULL),(4418,12,148,5,NULL,NULL),(4419,12,149,5,NULL,NULL),(4420,12,150,5,NULL,NULL),(4421,12,151,5,NULL,NULL),(4422,12,152,5,NULL,NULL),(4423,12,153,5,NULL,NULL),(4424,12,154,5,NULL,NULL),(4425,12,155,5,NULL,NULL),(4426,12,156,5,NULL,NULL),(4427,12,157,5,NULL,NULL),(4428,12,158,5,NULL,NULL),(4429,12,159,5,NULL,NULL),(4430,12,160,5,NULL,NULL),(4431,12,161,5,NULL,NULL),(4432,12,162,5,NULL,NULL),(4433,12,163,5,NULL,NULL),(4434,12,164,5,NULL,NULL),(4435,12,165,5,NULL,NULL),(4436,12,166,5,NULL,NULL),(4437,12,167,5,NULL,NULL),(4438,12,168,5,NULL,NULL),(4439,12,169,5,NULL,NULL),(4440,12,170,5,NULL,NULL),(4441,12,171,5,NULL,NULL),(4442,12,172,5,NULL,NULL),(4443,12,173,5,NULL,NULL),(4444,12,174,5,NULL,NULL),(4445,12,175,5,NULL,NULL),(4446,12,176,5,NULL,NULL),(4447,12,177,5,NULL,NULL),(4448,12,178,5,NULL,NULL),(4449,12,179,5,NULL,NULL),(4450,12,180,5,NULL,NULL),(4451,12,181,5,NULL,NULL),(4452,12,182,5,NULL,NULL),(4453,12,183,5,NULL,NULL),(4454,12,184,2,NULL,NULL),(4455,12,185,5,NULL,NULL),(4456,12,186,5,NULL,NULL),(4457,12,187,5,NULL,NULL),(4458,12,188,4,NULL,NULL),(4459,12,189,4,NULL,NULL),(4460,12,190,1,NULL,NULL),(4461,12,191,4,NULL,NULL),(4462,12,192,4,NULL,NULL),(4463,12,193,1,NULL,NULL),(4464,12,194,1,NULL,NULL),(4465,12,195,5,NULL,NULL),(4466,12,196,5,NULL,NULL),(4467,12,197,5,NULL,NULL),(4468,12,198,5,NULL,NULL),(4469,12,199,5,NULL,NULL),(4470,12,200,4,NULL,NULL),(4471,12,201,5,NULL,NULL),(4472,12,202,5,NULL,NULL),(4473,12,203,5,NULL,NULL),(4474,12,204,5,NULL,NULL),(4475,12,205,5,NULL,NULL),(4476,12,206,5,NULL,NULL),(4477,12,207,5,NULL,NULL),(4478,12,208,5,NULL,NULL),(4479,12,209,4,NULL,NULL),(4480,12,210,5,NULL,NULL),(4481,12,211,4,NULL,NULL),(4482,12,212,4,NULL,NULL),(4483,12,213,5,NULL,NULL),(4484,12,214,4,NULL,NULL),(4485,12,215,5,NULL,NULL),(4486,12,216,5,NULL,NULL),(4487,12,217,4,NULL,NULL),(4488,12,218,5,NULL,NULL),(4489,12,219,5,NULL,NULL),(4490,12,220,5,NULL,NULL),(4491,12,221,5,NULL,NULL),(4492,12,222,5,NULL,NULL),(4493,12,223,5,NULL,NULL),(4494,12,224,5,NULL,NULL),(4495,12,225,5,NULL,NULL),(4496,12,226,5,NULL,NULL),(4497,12,227,5,NULL,NULL),(4498,12,228,5,NULL,NULL),(4499,12,229,5,NULL,NULL),(4500,12,230,5,NULL,NULL),(4501,12,231,5,NULL,NULL),(4502,12,232,2,NULL,NULL),(4503,12,233,5,NULL,NULL),(4504,12,234,5,NULL,NULL),(4505,12,235,5,NULL,NULL),(4506,12,236,5,NULL,NULL),(4507,12,237,5,NULL,NULL),(4508,12,238,5,NULL,NULL),(4509,12,239,4,NULL,NULL),(4510,12,240,5,NULL,NULL),(4511,12,241,5,NULL,NULL),(4512,12,242,4,NULL,NULL),(4513,12,243,5,NULL,NULL),(4514,12,244,5,NULL,NULL),(4515,12,245,5,NULL,NULL),(4516,12,246,4,NULL,NULL),(4517,12,247,4,NULL,NULL),(4518,12,248,1,NULL,NULL),(4519,12,249,1,NULL,NULL),(4520,12,250,4,NULL,NULL),(4521,12,251,4,NULL,NULL),(4522,12,252,1,NULL,NULL),(4523,12,253,1,NULL,NULL),(4524,12,254,5,NULL,NULL),(4525,12,255,5,NULL,NULL),(4526,12,256,5,NULL,NULL),(4527,12,257,5,NULL,NULL),(4528,12,258,5,NULL,NULL),(4529,12,259,5,NULL,NULL),(4530,12,260,5,NULL,NULL),(4531,12,261,2,NULL,NULL),(4532,12,262,5,NULL,NULL),(4533,12,263,5,NULL,NULL),(4534,12,264,5,NULL,NULL),(4535,12,265,2,NULL,NULL),(4536,12,266,5,NULL,NULL),(4537,12,267,5,NULL,NULL),(4538,12,268,5,NULL,NULL),(4539,12,269,5,NULL,NULL),(4540,12,270,5,NULL,NULL),(4541,12,271,5,NULL,NULL),(4542,12,272,2,NULL,NULL),(4543,12,273,5,NULL,NULL),(4544,12,274,5,NULL,NULL),(4545,12,275,5,NULL,NULL),(4546,12,276,5,NULL,NULL),(4547,12,277,2,NULL,NULL),(4548,12,278,5,NULL,NULL),(4549,12,279,5,NULL,NULL),(4550,12,280,5,NULL,NULL),(4551,12,281,5,NULL,NULL),(4552,12,282,5,NULL,NULL),(4553,12,283,1,NULL,NULL),(4554,12,284,3,NULL,NULL),(4555,12,285,1,NULL,NULL),(4556,12,286,1,NULL,NULL),(4557,12,287,5,NULL,NULL),(4558,12,288,5,NULL,NULL),(4559,12,289,5,NULL,NULL),(4560,12,290,5,NULL,NULL),(4561,12,291,5,NULL,NULL),(4562,12,292,5,NULL,NULL),(4563,12,293,2,NULL,NULL),(4564,12,294,5,NULL,NULL),(4565,12,295,5,NULL,NULL),(4566,12,296,5,NULL,NULL),(4567,12,297,2,NULL,NULL),(4568,12,298,5,NULL,NULL),(4569,12,299,5,NULL,NULL),(4570,12,300,5,NULL,NULL),(4571,12,301,5,NULL,NULL),(4572,12,302,5,NULL,NULL),(4573,12,303,5,NULL,NULL),(4574,12,304,5,NULL,NULL),(4575,12,305,5,NULL,NULL),(4576,12,306,5,NULL,NULL),(4577,12,307,5,NULL,NULL),(4578,12,308,5,NULL,NULL),(4579,12,309,5,NULL,NULL),(4580,12,310,5,NULL,NULL),(4581,12,311,5,NULL,NULL),(4582,12,312,5,NULL,NULL),(4583,12,313,5,NULL,NULL),(4584,12,314,5,NULL,NULL),(4585,12,315,5,NULL,NULL),(4586,12,316,5,NULL,NULL),(4587,12,317,5,NULL,NULL),(4588,12,318,5,NULL,NULL),(4589,12,319,5,NULL,NULL),(4590,12,320,5,NULL,NULL),(4591,12,321,5,NULL,NULL),(4592,12,322,5,NULL,NULL),(4593,12,323,5,NULL,NULL),(4594,12,324,5,NULL,NULL),(4595,12,325,5,NULL,NULL),(4596,12,326,5,NULL,NULL),(4597,12,327,5,NULL,NULL),(4598,12,328,5,NULL,NULL),(4599,12,329,5,NULL,NULL),(4600,12,330,5,NULL,NULL),(4601,12,331,5,NULL,NULL),(4602,12,332,5,NULL,NULL),(4603,12,333,5,NULL,NULL),(4604,12,334,5,NULL,NULL),(4605,12,335,5,NULL,NULL),(4606,12,336,5,NULL,NULL),(4607,12,337,5,NULL,NULL),(4608,12,338,5,NULL,NULL),(4609,12,339,5,NULL,NULL),(4610,12,340,5,NULL,NULL),(4611,12,341,5,NULL,NULL),(4612,12,342,5,NULL,NULL),(4613,12,343,5,NULL,NULL),(4614,12,344,4,NULL,NULL),(4615,12,345,5,NULL,NULL),(4616,12,346,5,NULL,NULL),(4617,12,347,5,NULL,NULL),(4618,12,348,5,NULL,NULL),(4619,12,349,5,NULL,NULL),(4620,12,350,5,NULL,NULL),(4621,12,351,5,NULL,NULL),(4622,12,352,5,NULL,NULL),(4623,12,353,5,NULL,NULL),(4624,12,354,5,NULL,NULL),(4625,12,355,5,NULL,NULL),(4626,12,356,5,NULL,NULL),(4627,12,357,5,NULL,NULL),(4628,12,358,2,NULL,NULL),(4629,12,359,5,NULL,NULL),(4630,12,360,5,NULL,NULL),(4631,12,361,5,NULL,NULL),(4632,12,362,5,NULL,NULL),(4633,12,363,4,NULL,NULL),(4634,12,364,5,NULL,NULL),(4635,12,365,4,NULL,NULL),(4636,12,366,5,NULL,NULL),(4637,12,367,5,NULL,NULL),(4638,12,368,4,NULL,NULL),(4639,12,369,5,NULL,NULL),(4640,12,370,5,NULL,NULL),(4641,12,371,5,NULL,NULL),(4642,12,372,5,NULL,NULL),(4643,12,373,5,NULL,NULL),(4644,12,374,5,NULL,NULL),(4645,12,375,5,NULL,NULL),(4646,12,376,5,NULL,NULL),(4647,12,377,5,NULL,NULL),(4648,12,378,5,NULL,NULL),(4649,12,379,5,NULL,NULL),(4650,12,380,5,NULL,NULL),(4651,12,381,5,NULL,NULL),(4652,12,382,5,NULL,NULL),(4653,12,383,5,NULL,NULL),(4654,12,384,5,NULL,NULL),(4655,12,385,5,NULL,NULL),(4656,12,386,5,NULL,NULL),(4657,12,387,5,NULL,NULL),(4658,12,388,5,NULL,NULL),(4659,12,389,5,NULL,NULL),(4660,12,390,5,NULL,NULL),(4661,12,391,5,NULL,NULL),(4662,12,392,5,NULL,NULL),(4663,12,393,5,NULL,NULL),(4664,12,394,5,NULL,NULL),(4665,12,395,5,NULL,NULL),(4666,12,396,5,NULL,NULL),(4667,12,397,5,NULL,NULL),(4668,12,398,5,NULL,NULL),(4669,12,399,5,NULL,NULL),(4670,12,400,5,NULL,NULL),(4671,12,401,5,NULL,NULL),(4672,12,402,5,NULL,NULL),(4673,12,403,5,NULL,NULL),(4674,12,404,5,NULL,NULL),(4675,12,405,5,NULL,NULL),(4676,12,406,5,NULL,NULL),(4677,12,407,5,NULL,NULL),(4678,12,408,5,NULL,NULL),(4679,12,409,5,NULL,NULL),(4680,12,410,5,NULL,NULL),(4681,12,411,5,NULL,NULL),(4682,12,412,4,NULL,NULL),(4683,12,413,2,NULL,NULL),(4684,12,414,5,NULL,NULL),(4685,12,415,5,NULL,NULL),(4686,12,416,5,NULL,NULL),(4687,12,417,5,NULL,NULL),(4688,12,418,5,NULL,NULL),(4689,12,419,5,NULL,NULL),(4690,12,420,5,NULL,NULL),(4691,12,421,5,NULL,NULL),(4692,12,422,5,NULL,NULL),(4693,12,423,5,NULL,NULL),(4694,12,424,5,NULL,NULL),(4695,12,425,5,NULL,NULL),(4696,12,426,5,NULL,NULL),(4697,12,427,5,NULL,NULL),(4698,13,1,5,NULL,NULL),(4699,13,2,5,NULL,NULL),(4700,13,3,5,NULL,NULL),(4701,13,4,5,NULL,NULL),(4702,13,5,5,NULL,NULL),(4703,13,6,5,NULL,NULL),(4704,13,7,5,NULL,NULL),(4705,13,8,5,NULL,NULL),(4706,13,9,5,NULL,NULL),(4707,13,10,5,NULL,NULL),(4708,13,11,5,NULL,NULL),(4709,13,12,5,NULL,NULL),(4710,13,13,5,NULL,NULL),(4711,13,14,5,NULL,NULL),(4712,13,15,5,NULL,NULL),(4713,13,16,5,NULL,NULL),(4714,13,17,5,NULL,NULL),(4715,13,18,5,NULL,NULL),(4716,13,19,5,NULL,NULL),(4717,13,20,5,NULL,NULL),(4718,13,21,5,NULL,NULL),(4719,13,22,5,NULL,NULL),(4720,13,23,5,NULL,NULL),(4721,13,24,5,NULL,NULL),(4722,13,25,5,NULL,NULL),(4723,13,26,5,NULL,NULL),(4724,13,27,5,NULL,NULL),(4725,13,28,5,NULL,NULL),(4726,13,29,5,NULL,NULL),(4727,13,30,5,NULL,NULL),(4728,13,31,5,NULL,NULL),(4729,13,32,5,NULL,NULL),(4730,13,33,5,NULL,NULL),(4731,13,34,5,NULL,NULL),(4732,13,35,5,NULL,NULL),(4733,13,36,5,NULL,NULL),(4734,13,37,5,NULL,NULL),(4735,13,38,5,NULL,NULL),(4736,13,39,5,NULL,NULL),(4737,13,40,5,NULL,NULL),(4738,13,41,5,NULL,NULL),(4739,13,42,5,NULL,NULL),(4740,13,43,5,NULL,NULL),(4741,13,44,5,NULL,NULL),(4742,13,45,5,NULL,NULL),(4743,13,46,5,NULL,NULL),(4744,13,47,5,NULL,NULL),(4745,13,48,5,NULL,NULL),(4746,13,49,5,NULL,NULL),(4747,13,50,5,NULL,NULL),(4748,13,51,5,NULL,NULL),(4749,13,52,5,NULL,NULL),(4750,13,53,5,NULL,NULL),(4751,13,54,5,NULL,NULL),(4752,13,55,5,NULL,NULL),(4753,13,56,5,NULL,NULL),(4754,13,57,5,NULL,NULL),(4755,13,58,5,NULL,NULL),(4756,13,59,5,NULL,NULL),(4757,13,60,5,NULL,NULL),(4758,13,61,5,NULL,NULL),(4759,13,62,5,NULL,NULL),(4760,13,63,5,NULL,NULL),(4761,13,64,5,NULL,NULL),(4762,13,65,5,NULL,NULL),(4763,13,66,5,NULL,NULL),(4764,13,67,5,NULL,NULL),(4765,13,68,5,NULL,NULL),(4766,13,69,5,NULL,NULL),(4767,13,70,5,NULL,NULL),(4768,13,71,5,NULL,NULL),(4769,13,72,5,NULL,NULL),(4770,13,73,5,NULL,NULL),(4771,13,74,5,NULL,NULL),(4772,13,75,5,NULL,NULL),(4773,13,76,5,NULL,NULL),(4774,13,77,5,NULL,NULL),(4775,13,78,5,NULL,NULL),(4776,13,79,5,NULL,NULL),(4777,13,80,5,NULL,NULL),(4778,13,81,5,NULL,NULL),(4779,13,82,5,NULL,NULL),(4780,13,83,5,NULL,NULL),(4781,13,84,5,NULL,NULL),(4782,13,85,5,NULL,NULL),(4783,13,86,5,NULL,NULL),(4784,13,87,5,NULL,NULL),(4785,13,88,5,NULL,NULL),(4786,13,89,5,NULL,NULL),(4787,13,90,5,NULL,NULL),(4788,13,91,5,NULL,NULL),(4789,13,92,5,NULL,NULL),(4790,13,93,5,NULL,NULL),(4791,13,94,5,NULL,NULL),(4792,13,95,5,NULL,NULL),(4793,13,96,5,NULL,NULL),(4794,13,97,5,NULL,NULL),(4795,13,98,5,NULL,NULL),(4796,13,99,5,NULL,NULL),(4797,13,100,5,NULL,NULL),(4798,13,101,5,NULL,NULL),(4799,13,102,5,NULL,NULL),(4800,13,103,5,NULL,NULL),(4801,13,104,5,NULL,NULL),(4802,13,105,5,NULL,NULL),(4803,13,106,5,NULL,NULL),(4804,13,107,5,NULL,NULL),(4805,13,108,5,NULL,NULL),(4806,13,109,5,NULL,NULL),(4807,13,110,5,NULL,NULL),(4808,13,111,5,NULL,NULL),(4809,13,112,5,NULL,NULL),(4810,13,113,5,NULL,NULL),(4811,13,114,5,NULL,NULL),(4812,13,115,5,NULL,NULL),(4813,13,116,5,NULL,NULL),(4814,13,117,5,NULL,NULL),(4815,13,118,5,NULL,NULL),(4816,13,119,5,NULL,NULL),(4817,13,120,5,NULL,NULL),(4818,13,121,5,NULL,NULL),(4819,13,122,5,NULL,NULL),(4820,13,123,5,NULL,NULL),(4821,13,124,5,NULL,NULL),(4822,13,125,5,NULL,NULL),(4823,13,126,5,NULL,NULL),(4824,13,127,5,NULL,NULL),(4825,13,128,5,NULL,NULL),(4826,13,129,5,NULL,NULL),(4827,13,130,5,NULL,NULL),(4828,13,131,5,NULL,NULL),(4829,13,132,5,NULL,NULL),(4830,13,133,5,NULL,NULL),(4831,13,134,5,NULL,NULL),(4832,13,135,5,NULL,NULL),(4833,13,136,5,NULL,NULL),(4834,13,137,5,NULL,NULL),(4835,13,138,5,NULL,NULL),(4836,13,139,5,NULL,NULL),(4837,13,140,5,NULL,NULL),(4838,13,141,5,NULL,NULL),(4839,13,142,5,NULL,NULL),(4840,13,143,5,NULL,NULL),(4841,13,144,5,NULL,NULL),(4842,13,145,5,NULL,NULL),(4843,13,146,5,NULL,NULL),(4844,13,147,5,NULL,NULL),(4845,13,148,5,NULL,NULL),(4846,13,149,5,NULL,NULL),(4847,13,150,5,NULL,NULL),(4848,13,151,5,NULL,NULL),(4849,13,152,5,NULL,NULL),(4850,13,153,5,NULL,NULL),(4851,13,154,5,NULL,NULL),(4852,13,155,5,NULL,NULL),(4853,13,156,5,NULL,NULL),(4854,13,157,5,NULL,NULL),(4855,13,158,5,NULL,NULL),(4856,13,159,5,NULL,NULL),(4857,13,160,5,NULL,NULL),(4858,13,161,5,NULL,NULL),(4859,13,162,5,NULL,NULL),(4860,13,163,5,NULL,NULL),(4861,13,164,5,NULL,NULL),(4862,13,165,5,NULL,NULL),(4863,13,166,5,NULL,NULL),(4864,13,167,5,NULL,NULL),(4865,13,168,5,NULL,NULL),(4866,13,169,5,NULL,NULL),(4867,13,170,5,NULL,NULL),(4868,13,171,5,NULL,NULL),(4869,13,172,5,NULL,NULL),(4870,13,173,5,NULL,NULL),(4871,13,174,5,NULL,NULL),(4872,13,175,5,NULL,NULL),(4873,13,176,5,NULL,NULL),(4874,13,177,5,NULL,NULL),(4875,13,178,5,NULL,NULL),(4876,13,179,5,NULL,NULL),(4877,13,180,5,NULL,NULL),(4878,13,181,5,NULL,NULL),(4879,13,182,5,NULL,NULL),(4880,13,183,5,NULL,NULL),(4881,13,184,2,NULL,NULL),(4882,13,185,5,NULL,NULL),(4883,13,186,5,NULL,NULL),(4884,13,187,5,NULL,NULL),(4885,13,188,4,NULL,NULL),(4886,13,189,4,NULL,NULL),(4887,13,190,1,NULL,NULL),(4888,13,191,4,NULL,NULL),(4889,13,192,4,NULL,NULL),(4890,13,193,1,NULL,NULL),(4891,13,194,1,NULL,NULL),(4892,13,195,5,NULL,NULL),(4893,13,196,5,NULL,NULL),(4894,13,197,5,NULL,NULL),(4895,13,198,5,NULL,NULL),(4896,13,199,5,NULL,NULL),(4897,13,200,4,NULL,NULL),(4898,13,201,5,NULL,NULL),(4899,13,202,5,NULL,NULL),(4900,13,203,5,NULL,NULL),(4901,13,204,5,NULL,NULL),(4902,13,205,5,NULL,NULL),(4903,13,206,5,NULL,NULL),(4904,13,207,5,NULL,NULL),(4905,13,208,5,NULL,NULL),(4906,13,209,4,NULL,NULL),(4907,13,210,5,NULL,NULL),(4908,13,211,4,NULL,NULL),(4909,13,212,4,NULL,NULL),(4910,13,213,5,NULL,NULL),(4911,13,214,4,NULL,NULL),(4912,13,215,5,NULL,NULL),(4913,13,216,5,NULL,NULL),(4914,13,217,4,NULL,NULL),(4915,13,218,5,NULL,NULL),(4916,13,219,5,NULL,NULL),(4917,13,220,5,NULL,NULL),(4918,13,221,5,NULL,NULL),(4919,13,222,5,NULL,NULL),(4920,13,223,5,NULL,NULL),(4921,13,224,5,NULL,NULL),(4922,13,225,5,NULL,NULL),(4923,13,226,5,NULL,NULL),(4924,13,227,5,NULL,NULL),(4925,13,228,5,NULL,NULL),(4926,13,229,5,NULL,NULL),(4927,13,230,5,NULL,NULL),(4928,13,231,5,NULL,NULL),(4929,13,232,2,NULL,NULL),(4930,13,233,5,NULL,NULL),(4931,13,234,5,NULL,NULL),(4932,13,235,5,NULL,NULL),(4933,13,236,5,NULL,NULL),(4934,13,237,5,NULL,NULL),(4935,13,238,5,NULL,NULL),(4936,13,239,4,NULL,NULL),(4937,13,240,5,NULL,NULL),(4938,13,241,5,NULL,NULL),(4939,13,242,4,NULL,NULL),(4940,13,243,5,NULL,NULL),(4941,13,244,5,NULL,NULL),(4942,13,245,5,NULL,NULL),(4943,13,246,4,NULL,NULL),(4944,13,247,4,NULL,NULL),(4945,13,248,1,NULL,NULL),(4946,13,249,1,NULL,NULL),(4947,13,250,4,NULL,NULL),(4948,13,251,4,NULL,NULL),(4949,13,252,1,NULL,NULL),(4950,13,253,1,NULL,NULL),(4951,13,254,5,NULL,NULL),(4952,13,255,5,NULL,NULL),(4953,13,256,5,NULL,NULL),(4954,13,257,5,NULL,NULL),(4955,13,258,5,NULL,NULL),(4956,13,259,5,NULL,NULL),(4957,13,260,5,NULL,NULL),(4958,13,261,2,NULL,NULL),(4959,13,262,5,NULL,NULL),(4960,13,263,5,NULL,NULL),(4961,13,264,5,NULL,NULL),(4962,13,265,2,NULL,NULL),(4963,13,266,5,NULL,NULL),(4964,13,267,5,NULL,NULL),(4965,13,268,5,NULL,NULL),(4966,13,269,5,NULL,NULL),(4967,13,270,5,NULL,NULL),(4968,13,271,5,NULL,NULL),(4969,13,272,2,NULL,NULL),(4970,13,273,5,NULL,NULL),(4971,13,274,5,NULL,NULL),(4972,13,275,5,NULL,NULL),(4973,13,276,5,NULL,NULL),(4974,13,277,2,NULL,NULL),(4975,13,278,5,NULL,NULL),(4976,13,279,5,NULL,NULL),(4977,13,280,5,NULL,NULL),(4978,13,281,5,NULL,NULL),(4979,13,282,5,NULL,NULL),(4980,13,283,1,NULL,NULL),(4981,13,284,3,NULL,NULL),(4982,13,285,1,NULL,NULL),(4983,13,286,1,NULL,NULL),(4984,13,287,5,NULL,NULL),(4985,13,288,5,NULL,NULL),(4986,13,289,5,NULL,NULL),(4987,13,290,5,NULL,NULL),(4988,13,291,5,NULL,NULL),(4989,13,292,5,NULL,NULL),(4990,13,293,2,NULL,NULL),(4991,13,294,5,NULL,NULL),(4992,13,295,5,NULL,NULL),(4993,13,296,5,NULL,NULL),(4994,13,297,2,NULL,NULL),(4995,13,298,5,NULL,NULL),(4996,13,299,5,NULL,NULL),(4997,13,300,5,NULL,NULL),(4998,13,301,5,NULL,NULL),(4999,13,302,5,NULL,NULL),(5000,13,303,5,NULL,NULL),(5001,13,304,5,NULL,NULL),(5002,13,305,5,NULL,NULL),(5003,13,306,5,NULL,NULL),(5004,13,307,5,NULL,NULL),(5005,13,308,5,NULL,NULL),(5006,13,309,5,NULL,NULL),(5007,13,310,5,NULL,NULL),(5008,13,311,5,NULL,NULL),(5009,13,312,5,NULL,NULL),(5010,13,313,5,NULL,NULL),(5011,13,314,5,NULL,NULL),(5012,13,315,5,NULL,NULL),(5013,13,316,5,NULL,NULL),(5014,13,317,5,NULL,NULL),(5015,13,318,5,NULL,NULL),(5016,13,319,5,NULL,NULL),(5017,13,320,5,NULL,NULL),(5018,13,321,5,NULL,NULL),(5019,13,322,5,NULL,NULL),(5020,13,323,5,NULL,NULL),(5021,13,324,5,NULL,NULL),(5022,13,325,5,NULL,NULL),(5023,13,326,5,NULL,NULL),(5024,13,327,5,NULL,NULL),(5025,13,328,5,NULL,NULL),(5026,13,329,5,NULL,NULL),(5027,13,330,5,NULL,NULL),(5028,13,331,5,NULL,NULL),(5029,13,332,5,NULL,NULL),(5030,13,333,5,NULL,NULL),(5031,13,334,5,NULL,NULL),(5032,13,335,5,NULL,NULL),(5033,13,336,5,NULL,NULL),(5034,13,337,5,NULL,NULL),(5035,13,338,5,NULL,NULL),(5036,13,339,5,NULL,NULL),(5037,13,340,5,NULL,NULL),(5038,13,341,5,NULL,NULL),(5039,13,342,5,NULL,NULL),(5040,13,343,5,NULL,NULL),(5041,13,344,4,NULL,NULL),(5042,13,345,5,NULL,NULL),(5043,13,346,5,NULL,NULL),(5044,13,347,5,NULL,NULL),(5045,13,348,5,NULL,NULL),(5046,13,349,5,NULL,NULL),(5047,13,350,5,NULL,NULL),(5048,13,351,5,NULL,NULL),(5049,13,352,5,NULL,NULL),(5050,13,353,5,NULL,NULL),(5051,13,354,5,NULL,NULL),(5052,13,355,5,NULL,NULL),(5053,13,356,5,NULL,NULL),(5054,13,357,5,NULL,NULL),(5055,13,358,2,NULL,NULL),(5056,13,359,5,NULL,NULL),(5057,13,360,5,NULL,NULL),(5058,13,361,5,NULL,NULL),(5059,13,362,5,NULL,NULL),(5060,13,363,4,NULL,NULL),(5061,13,364,5,NULL,NULL),(5062,13,365,4,NULL,NULL),(5063,13,366,5,NULL,NULL),(5064,13,367,5,NULL,NULL),(5065,13,368,4,NULL,NULL),(5066,13,369,5,NULL,NULL),(5067,13,370,5,NULL,NULL),(5068,13,371,5,NULL,NULL),(5069,13,372,5,NULL,NULL),(5070,13,373,5,NULL,NULL),(5071,13,374,5,NULL,NULL),(5072,13,375,5,NULL,NULL),(5073,13,376,5,NULL,NULL),(5074,13,377,5,NULL,NULL),(5075,13,378,5,NULL,NULL),(5076,13,379,5,NULL,NULL),(5077,13,380,5,NULL,NULL),(5078,13,381,5,NULL,NULL),(5079,13,382,5,NULL,NULL),(5080,13,383,5,NULL,NULL),(5081,13,384,5,NULL,NULL),(5082,13,385,5,NULL,NULL),(5083,13,386,5,NULL,NULL),(5084,13,387,5,NULL,NULL),(5085,13,388,5,NULL,NULL),(5086,13,389,5,NULL,NULL),(5087,13,390,5,NULL,NULL),(5088,13,391,5,NULL,NULL),(5089,13,392,5,NULL,NULL),(5090,13,393,5,NULL,NULL),(5091,13,394,5,NULL,NULL),(5092,13,395,5,NULL,NULL),(5093,13,396,5,NULL,NULL),(5094,13,397,5,NULL,NULL),(5095,13,398,5,NULL,NULL),(5096,13,399,5,NULL,NULL),(5097,13,400,5,NULL,NULL),(5098,13,401,5,NULL,NULL),(5099,13,402,5,NULL,NULL),(5100,13,403,5,NULL,NULL),(5101,13,404,5,NULL,NULL),(5102,13,405,5,NULL,NULL),(5103,13,406,5,NULL,NULL),(5104,13,407,5,NULL,NULL),(5105,13,408,5,NULL,NULL),(5106,13,409,5,NULL,NULL),(5107,13,410,5,NULL,NULL),(5108,13,411,5,NULL,NULL),(5109,13,412,4,NULL,NULL),(5110,13,413,2,NULL,NULL),(5111,13,414,5,NULL,NULL),(5112,13,415,5,NULL,NULL),(5113,13,416,5,NULL,NULL),(5114,13,417,5,NULL,NULL),(5115,13,418,5,NULL,NULL),(5116,13,419,5,NULL,NULL),(5117,13,420,5,NULL,NULL),(5118,13,421,5,NULL,NULL),(5119,13,422,5,NULL,NULL),(5120,13,423,5,NULL,NULL),(5121,13,424,5,NULL,NULL),(5122,13,425,5,NULL,NULL),(5123,13,426,5,NULL,NULL),(5124,13,427,5,NULL,NULL),(5125,1,1,4,NULL,NULL),(5126,1,2,4,NULL,NULL),(5127,1,3,4,NULL,NULL),(5128,1,4,4,NULL,NULL),(5129,1,5,4,NULL,NULL),(5130,1,6,4,NULL,NULL),(5131,1,7,4,NULL,NULL),(5132,1,8,4,NULL,NULL),(5133,1,9,4,NULL,NULL),(5134,1,10,4,NULL,NULL),(5135,1,11,4,NULL,NULL),(5136,1,12,4,NULL,NULL),(5137,1,13,4,NULL,NULL),(5138,1,14,4,NULL,NULL),(5139,1,15,4,NULL,NULL),(5140,1,16,4,NULL,NULL),(5141,1,17,4,NULL,NULL),(5142,1,18,4,NULL,NULL),(5143,1,19,4,NULL,NULL),(5144,1,20,4,NULL,NULL),(5145,1,21,4,NULL,NULL),(5146,1,22,4,NULL,NULL),(5147,1,23,4,NULL,NULL),(5148,1,24,4,NULL,NULL),(5149,1,25,4,NULL,NULL),(5150,1,26,4,NULL,NULL),(5151,1,27,4,NULL,NULL),(5152,1,28,4,NULL,NULL),(5153,1,29,4,NULL,NULL),(5154,1,30,4,NULL,NULL),(5155,1,31,4,NULL,NULL),(5156,1,32,4,NULL,NULL),(5157,1,33,4,NULL,NULL),(5158,1,34,4,NULL,NULL),(5159,1,35,4,NULL,NULL),(5160,1,36,4,NULL,NULL),(5161,1,37,4,NULL,NULL),(5162,1,38,4,NULL,NULL),(5163,1,39,4,NULL,NULL),(5164,1,40,4,NULL,NULL),(5165,1,41,4,NULL,NULL),(5166,1,42,4,NULL,NULL),(5167,1,43,4,NULL,NULL),(5168,1,44,4,NULL,NULL),(5169,1,45,4,NULL,NULL),(5170,1,46,4,NULL,NULL),(5171,1,47,4,NULL,NULL),(5172,1,48,4,NULL,NULL),(5173,1,49,4,NULL,NULL),(5174,1,50,4,NULL,NULL),(5175,1,51,4,NULL,NULL),(5176,1,52,4,NULL,NULL),(5177,1,53,4,NULL,NULL),(5178,1,54,4,NULL,NULL),(5179,1,55,4,NULL,NULL),(5180,1,56,4,NULL,NULL),(5181,1,57,4,NULL,NULL),(5182,1,58,4,NULL,NULL),(5183,1,59,4,NULL,NULL),(5184,1,60,4,NULL,NULL),(5185,1,61,4,NULL,NULL),(5186,1,62,4,NULL,NULL),(5187,1,63,4,NULL,NULL),(5188,1,64,4,NULL,NULL),(5189,1,65,4,NULL,NULL),(5190,1,66,4,NULL,NULL),(5191,1,67,4,NULL,NULL),(5192,1,68,4,NULL,NULL),(5193,1,69,4,NULL,NULL),(5194,1,70,4,NULL,NULL),(5195,1,71,4,NULL,NULL),(5196,1,72,4,NULL,NULL),(5197,1,73,4,NULL,NULL),(5198,1,74,4,NULL,NULL),(5199,1,75,4,NULL,NULL),(5200,1,76,4,NULL,NULL),(5201,1,77,4,NULL,NULL),(5202,1,78,4,NULL,NULL),(5203,1,79,4,NULL,NULL),(5204,1,80,4,NULL,NULL),(5205,1,81,4,NULL,NULL),(5206,1,82,4,NULL,NULL),(5207,1,83,4,NULL,NULL),(5208,1,84,4,NULL,NULL),(5209,1,85,4,NULL,NULL),(5210,1,86,4,NULL,NULL),(5211,1,87,4,NULL,NULL),(5212,1,88,4,NULL,NULL),(5213,1,89,4,NULL,NULL),(5214,1,90,4,NULL,NULL),(5215,1,91,4,NULL,NULL),(5216,1,92,4,NULL,NULL),(5217,1,93,4,NULL,NULL),(5218,1,94,4,NULL,NULL),(5219,1,95,4,NULL,NULL),(5220,1,96,4,NULL,NULL),(5221,1,97,4,NULL,NULL),(5222,1,98,4,NULL,NULL),(5223,1,99,4,NULL,NULL),(5224,1,100,4,NULL,NULL),(5225,1,101,4,NULL,NULL),(5226,1,102,4,NULL,NULL),(5227,1,103,4,NULL,NULL),(5228,1,104,4,NULL,NULL),(5229,1,105,4,NULL,NULL),(5230,1,106,4,NULL,NULL),(5231,1,107,4,NULL,NULL),(5232,1,108,4,NULL,NULL),(5233,1,109,4,NULL,NULL),(5234,1,110,4,NULL,NULL),(5235,1,111,4,NULL,NULL),(5236,1,112,4,NULL,NULL),(5237,1,113,4,NULL,NULL),(5238,1,114,4,NULL,NULL),(5239,1,115,4,NULL,NULL),(5240,1,116,4,NULL,NULL),(5241,1,117,4,NULL,NULL),(5242,1,118,4,NULL,NULL),(5243,1,119,4,NULL,NULL),(5244,1,120,4,NULL,NULL),(5245,1,121,4,NULL,NULL),(5246,1,122,4,NULL,NULL),(5247,1,123,4,NULL,NULL),(5248,1,124,4,NULL,NULL),(5249,1,125,4,NULL,NULL),(5250,1,126,4,NULL,NULL),(5251,1,127,4,NULL,NULL),(5252,1,128,4,NULL,NULL),(5253,1,129,4,NULL,NULL),(5254,1,130,4,NULL,NULL),(5255,1,131,4,NULL,NULL),(5256,1,132,4,NULL,NULL),(5257,1,133,4,NULL,NULL),(5258,1,134,4,NULL,NULL),(5259,1,135,4,NULL,NULL),(5260,1,136,4,NULL,NULL),(5261,1,137,4,NULL,NULL),(5262,1,138,4,NULL,NULL),(5263,1,139,4,NULL,NULL),(5264,1,140,4,NULL,NULL),(5265,1,141,4,NULL,NULL),(5266,1,142,4,NULL,NULL),(5267,1,143,4,NULL,NULL),(5268,1,144,4,NULL,NULL),(5269,1,145,4,NULL,NULL),(5270,1,146,4,NULL,NULL),(5271,1,147,4,NULL,NULL),(5272,1,148,4,NULL,NULL),(5273,1,149,4,NULL,NULL),(5274,1,150,4,NULL,NULL),(5275,1,151,4,NULL,NULL),(5276,1,152,4,NULL,NULL),(5277,1,153,4,NULL,NULL),(5278,1,154,4,NULL,NULL),(5279,1,155,4,NULL,NULL),(5280,1,156,4,NULL,NULL),(5281,1,157,4,NULL,NULL),(5282,1,158,4,NULL,NULL),(5283,1,159,4,NULL,NULL),(5284,1,160,4,NULL,NULL),(5285,1,161,4,NULL,NULL),(5286,1,162,4,NULL,NULL),(5287,1,163,4,NULL,NULL),(5288,1,164,4,NULL,NULL),(5289,1,165,4,NULL,NULL),(5290,1,166,4,NULL,NULL),(5291,1,167,4,NULL,NULL),(5292,1,168,4,NULL,NULL),(5293,1,169,4,NULL,NULL),(5294,1,170,4,NULL,NULL),(5295,1,171,4,NULL,NULL),(5296,1,172,4,NULL,NULL),(5297,1,173,4,NULL,NULL),(5298,1,174,4,NULL,NULL),(5299,1,175,4,NULL,NULL),(5300,1,176,4,NULL,NULL),(5301,1,177,4,NULL,NULL),(5302,1,178,4,NULL,NULL),(5303,1,179,4,NULL,NULL),(5304,1,180,4,NULL,NULL),(5305,1,181,4,NULL,NULL),(5306,1,182,4,NULL,NULL),(5307,1,183,4,NULL,NULL),(5308,1,184,4,NULL,NULL),(5309,1,185,4,NULL,NULL),(5310,1,186,4,NULL,NULL),(5311,1,187,4,NULL,NULL),(5312,1,188,4,NULL,NULL),(5313,1,189,4,NULL,NULL),(5314,1,190,4,NULL,NULL),(5315,1,191,4,NULL,NULL),(5316,1,192,4,NULL,NULL),(5317,1,193,4,NULL,NULL),(5318,1,194,4,NULL,NULL),(5319,1,195,4,NULL,NULL),(5320,1,196,4,NULL,NULL),(5321,1,197,4,NULL,NULL),(5322,1,198,4,NULL,NULL),(5323,1,199,4,NULL,NULL),(5324,1,200,4,NULL,NULL),(5325,1,201,4,NULL,NULL),(5326,1,202,4,NULL,NULL),(5327,1,203,4,NULL,NULL),(5328,1,204,4,NULL,NULL),(5329,1,205,4,NULL,NULL),(5330,1,206,4,NULL,NULL),(5331,1,207,4,NULL,NULL),(5332,1,208,4,NULL,NULL),(5333,1,209,4,NULL,NULL),(5334,1,210,4,NULL,NULL),(5335,1,211,4,NULL,NULL),(5336,1,212,4,NULL,NULL),(5337,1,213,4,NULL,NULL),(5338,1,214,4,NULL,NULL),(5339,1,215,4,NULL,NULL),(5340,1,216,4,NULL,NULL),(5341,1,217,4,NULL,NULL),(5342,1,218,4,NULL,NULL),(5343,1,219,4,NULL,NULL),(5344,1,220,4,NULL,NULL),(5345,1,221,4,NULL,NULL),(5346,1,222,4,NULL,NULL),(5347,1,223,4,NULL,NULL),(5348,1,224,4,NULL,NULL),(5349,1,225,4,NULL,NULL),(5350,1,226,4,NULL,NULL),(5351,1,227,4,NULL,NULL),(5352,1,228,4,NULL,NULL),(5353,1,229,4,NULL,NULL),(5354,1,230,4,NULL,NULL),(5355,1,231,4,NULL,NULL),(5356,1,232,4,NULL,NULL),(5357,1,233,4,NULL,NULL),(5358,1,234,4,NULL,NULL),(5359,1,235,4,NULL,NULL),(5360,1,236,4,NULL,NULL),(5361,1,237,4,NULL,NULL),(5362,1,238,4,NULL,NULL),(5363,1,239,4,NULL,NULL),(5364,1,240,4,NULL,NULL),(5365,1,241,4,NULL,NULL),(5366,1,242,4,NULL,NULL),(5367,1,243,4,NULL,NULL),(5368,1,244,4,NULL,NULL),(5369,1,245,4,NULL,NULL),(5370,1,246,4,NULL,NULL),(5371,1,247,4,NULL,NULL),(5372,1,248,4,NULL,NULL),(5373,1,249,4,NULL,NULL),(5374,1,250,4,NULL,NULL),(5375,1,251,4,NULL,NULL),(5376,1,252,4,NULL,NULL),(5377,1,253,4,NULL,NULL),(5378,1,254,4,NULL,NULL),(5379,1,255,4,NULL,NULL),(5380,1,256,4,NULL,NULL),(5381,1,257,4,NULL,NULL),(5382,1,258,4,NULL,NULL),(5383,1,259,4,NULL,NULL),(5384,1,260,4,NULL,NULL),(5385,1,261,4,NULL,NULL),(5386,1,262,4,NULL,NULL),(5387,1,263,4,NULL,NULL),(5388,1,264,4,NULL,NULL),(5389,1,265,4,NULL,NULL),(5390,1,266,4,NULL,NULL),(5391,1,267,4,NULL,NULL),(5392,1,268,4,NULL,NULL),(5393,1,269,4,NULL,NULL),(5394,1,270,4,NULL,NULL),(5395,1,271,4,NULL,NULL),(5396,1,272,4,NULL,NULL),(5397,1,273,4,NULL,NULL),(5398,1,274,4,NULL,NULL),(5399,1,275,4,NULL,NULL),(5400,1,276,4,NULL,NULL),(5401,1,277,4,NULL,NULL),(5402,1,278,4,NULL,NULL),(5403,1,279,4,NULL,NULL),(5404,1,280,4,NULL,NULL),(5405,1,281,4,NULL,NULL),(5406,1,282,4,NULL,NULL),(5407,1,283,4,NULL,NULL),(5408,1,284,4,NULL,NULL),(5409,1,285,4,NULL,NULL),(5410,1,286,4,NULL,NULL),(5411,1,287,4,NULL,NULL),(5412,1,288,4,NULL,NULL),(5413,1,289,4,NULL,NULL),(5414,1,290,4,NULL,NULL),(5415,1,291,4,NULL,NULL),(5416,1,292,4,NULL,NULL),(5417,1,293,4,NULL,NULL),(5418,1,294,4,NULL,NULL),(5419,1,295,4,NULL,NULL),(5420,1,296,4,NULL,NULL),(5421,1,297,4,NULL,NULL),(5422,1,298,4,NULL,NULL),(5423,1,299,4,NULL,NULL),(5424,1,300,4,NULL,NULL),(5425,1,301,4,NULL,NULL),(5426,1,302,4,NULL,NULL),(5427,1,303,4,NULL,NULL),(5428,1,304,4,NULL,NULL),(5429,1,305,4,NULL,NULL),(5430,1,306,4,NULL,NULL),(5431,1,307,4,NULL,NULL),(5432,1,308,4,NULL,NULL),(5433,1,309,4,NULL,NULL),(5434,1,310,4,NULL,NULL),(5435,1,311,4,NULL,NULL),(5436,1,312,4,NULL,NULL),(5437,1,313,4,NULL,NULL),(5438,1,314,4,NULL,NULL),(5439,1,315,4,NULL,NULL),(5440,1,316,4,NULL,NULL),(5441,1,317,4,NULL,NULL),(5442,1,318,4,NULL,NULL),(5443,1,319,4,NULL,NULL),(5444,1,320,4,NULL,NULL),(5445,1,321,4,NULL,NULL),(5446,1,322,4,NULL,NULL),(5447,1,323,4,NULL,NULL),(5448,1,324,4,NULL,NULL),(5449,1,325,4,NULL,NULL),(5450,1,326,4,NULL,NULL),(5451,1,327,4,NULL,NULL),(5452,1,328,4,NULL,NULL),(5453,1,329,4,NULL,NULL),(5454,1,330,4,NULL,NULL),(5455,1,331,4,NULL,NULL),(5456,1,332,4,NULL,NULL),(5457,1,333,4,NULL,NULL),(5458,1,334,4,NULL,NULL),(5459,1,335,4,NULL,NULL),(5460,1,336,4,NULL,NULL),(5461,1,337,4,NULL,NULL),(5462,1,338,4,NULL,NULL),(5463,1,339,4,NULL,NULL),(5464,1,340,4,NULL,NULL),(5465,1,341,4,NULL,NULL),(5466,1,342,4,NULL,NULL),(5467,1,343,4,NULL,NULL),(5468,1,344,4,NULL,NULL),(5469,1,345,4,NULL,NULL),(5470,1,346,4,NULL,NULL),(5471,1,347,4,NULL,NULL),(5472,1,348,4,NULL,NULL),(5473,1,349,4,NULL,NULL),(5474,1,350,4,NULL,NULL),(5475,1,351,4,NULL,NULL),(5476,1,352,4,NULL,NULL),(5477,1,353,4,NULL,NULL),(5478,1,354,4,NULL,NULL),(5479,1,355,4,NULL,NULL),(5480,1,356,4,NULL,NULL),(5481,1,357,4,NULL,NULL),(5482,1,358,4,NULL,NULL),(5483,1,359,4,NULL,NULL),(5484,1,360,4,NULL,NULL),(5485,1,361,4,NULL,NULL),(5486,1,362,4,NULL,NULL),(5487,1,363,4,NULL,NULL),(5488,1,364,4,NULL,NULL),(5489,1,365,4,NULL,NULL),(5490,1,366,4,NULL,NULL),(5491,1,367,4,NULL,NULL),(5492,1,368,4,NULL,NULL),(5493,1,369,4,NULL,NULL),(5494,1,370,4,NULL,NULL),(5495,1,371,4,NULL,NULL),(5496,1,372,4,NULL,NULL),(5497,1,373,4,NULL,NULL),(5498,1,374,4,NULL,NULL),(5499,1,375,4,NULL,NULL),(5500,1,376,4,NULL,NULL),(5501,1,377,4,NULL,NULL),(5502,1,378,4,NULL,NULL),(5503,1,379,4,NULL,NULL),(5504,1,380,4,NULL,NULL),(5505,1,381,4,NULL,NULL),(5506,1,382,4,NULL,NULL),(5507,1,383,4,NULL,NULL),(5508,1,384,4,NULL,NULL),(5509,1,385,4,NULL,NULL),(5510,1,386,4,NULL,NULL),(5511,1,387,4,NULL,NULL),(5512,1,388,4,NULL,NULL),(5513,1,389,4,NULL,NULL),(5514,1,390,4,NULL,NULL),(5515,1,391,4,NULL,NULL),(5516,1,392,4,NULL,NULL),(5517,1,393,4,NULL,NULL),(5518,1,394,4,NULL,NULL),(5519,1,395,4,NULL,NULL),(5520,1,396,4,NULL,NULL),(5521,1,397,4,NULL,NULL),(5522,1,398,4,NULL,NULL),(5523,1,399,4,NULL,NULL),(5524,1,400,4,NULL,NULL),(5525,1,401,4,NULL,NULL),(5526,1,402,4,NULL,NULL),(5527,1,403,4,NULL,NULL),(5528,1,404,4,NULL,NULL),(5529,1,405,4,NULL,NULL),(5530,1,406,4,NULL,NULL),(5531,1,407,4,NULL,NULL),(5532,1,408,4,NULL,NULL),(5533,1,409,4,NULL,NULL),(5534,1,410,4,NULL,NULL),(5535,1,411,4,NULL,NULL),(5536,1,412,4,NULL,NULL),(5537,1,413,4,NULL,NULL),(5538,1,414,4,NULL,NULL),(5539,1,415,4,NULL,NULL),(5540,1,416,4,NULL,NULL),(5541,1,417,4,NULL,NULL),(5542,1,418,4,NULL,NULL),(5543,1,419,4,NULL,NULL),(5544,1,420,4,NULL,NULL),(5545,1,421,4,NULL,NULL),(5546,1,422,4,NULL,NULL),(5547,1,423,4,NULL,NULL),(5548,1,424,4,NULL,NULL),(5549,1,425,4,NULL,NULL),(5550,1,426,4,NULL,NULL),(5551,1,427,4,NULL,NULL),(5552,2,1,5,NULL,NULL),(5553,2,2,5,NULL,NULL),(5554,2,3,5,NULL,NULL),(5555,2,4,5,NULL,NULL),(5556,2,5,5,NULL,NULL),(5557,2,6,5,NULL,NULL),(5558,2,7,5,NULL,NULL),(5559,2,8,5,NULL,NULL),(5560,2,9,5,NULL,NULL),(5561,2,10,5,NULL,NULL),(5562,2,11,5,NULL,NULL),(5563,2,12,5,NULL,NULL),(5564,2,13,5,NULL,NULL),(5565,2,14,5,NULL,NULL),(5566,2,15,5,NULL,NULL),(5567,2,16,5,NULL,NULL),(5568,2,17,5,NULL,NULL),(5569,2,18,5,NULL,NULL),(5570,2,19,5,NULL,NULL),(5571,2,20,5,NULL,NULL),(5572,2,21,5,NULL,NULL),(5573,2,22,5,NULL,NULL),(5574,2,23,5,NULL,NULL),(5575,2,24,5,NULL,NULL),(5576,2,25,5,NULL,NULL),(5577,2,26,5,NULL,NULL),(5578,2,27,5,NULL,NULL),(5579,2,28,5,NULL,NULL),(5580,2,29,5,NULL,NULL),(5581,2,30,5,NULL,NULL),(5582,2,31,5,NULL,NULL),(5583,2,32,5,NULL,NULL),(5584,2,33,5,NULL,NULL),(5585,2,34,5,NULL,NULL),(5586,2,35,5,NULL,NULL),(5587,2,36,5,NULL,NULL),(5588,2,37,5,NULL,NULL),(5589,2,38,5,NULL,NULL),(5590,2,39,5,NULL,NULL),(5591,2,40,5,NULL,NULL),(5592,2,41,5,NULL,NULL),(5593,2,42,5,NULL,NULL),(5594,2,43,5,NULL,NULL),(5595,2,44,5,NULL,NULL),(5596,2,45,5,NULL,NULL),(5597,2,46,5,NULL,NULL),(5598,2,47,5,NULL,NULL),(5599,2,48,5,NULL,NULL),(5600,2,49,5,NULL,NULL),(5601,2,50,5,NULL,NULL),(5602,2,51,5,NULL,NULL),(5603,2,52,5,NULL,NULL),(5604,2,53,5,NULL,NULL),(5605,2,54,5,NULL,NULL),(5606,2,55,5,NULL,NULL),(5607,2,56,5,NULL,NULL),(5608,2,57,5,NULL,NULL),(5609,2,58,5,NULL,NULL),(5610,2,59,5,NULL,NULL),(5611,2,60,5,NULL,NULL),(5612,2,61,5,NULL,NULL),(5613,2,62,5,NULL,NULL),(5614,2,63,5,NULL,NULL),(5615,2,64,5,NULL,NULL),(5616,2,65,5,NULL,NULL),(5617,2,66,5,NULL,NULL),(5618,2,67,5,NULL,NULL),(5619,2,68,5,NULL,NULL),(5620,2,69,5,NULL,NULL),(5621,2,70,5,NULL,NULL),(5622,2,71,5,NULL,NULL),(5623,2,72,5,NULL,NULL),(5624,2,73,5,NULL,NULL),(5625,2,74,5,NULL,NULL),(5626,2,75,5,NULL,NULL),(5627,2,76,5,NULL,NULL),(5628,2,77,5,NULL,NULL),(5629,2,78,5,NULL,NULL),(5630,2,79,5,NULL,NULL),(5631,2,80,5,NULL,NULL),(5632,2,81,5,NULL,NULL),(5633,2,82,5,NULL,NULL),(5634,2,83,5,NULL,NULL),(5635,2,84,5,NULL,NULL),(5636,2,85,5,NULL,NULL),(5637,2,86,5,NULL,NULL),(5638,2,87,5,NULL,NULL),(5639,2,88,5,NULL,NULL),(5640,2,89,5,NULL,NULL),(5641,2,90,5,NULL,NULL),(5642,2,91,5,NULL,NULL),(5643,2,92,5,NULL,NULL),(5644,2,93,5,NULL,NULL),(5645,2,94,5,NULL,NULL),(5646,2,95,5,NULL,NULL),(5647,2,96,5,NULL,NULL),(5648,2,97,5,NULL,NULL),(5649,2,98,5,NULL,NULL),(5650,2,99,5,NULL,NULL),(5651,2,100,5,NULL,NULL),(5652,2,101,5,NULL,NULL),(5653,2,102,5,NULL,NULL),(5654,2,103,5,NULL,NULL),(5655,2,104,5,NULL,NULL),(5656,2,105,5,NULL,NULL),(5657,2,106,5,NULL,NULL),(5658,2,107,5,NULL,NULL),(5659,2,108,5,NULL,NULL),(5660,2,109,5,NULL,NULL),(5661,2,110,5,NULL,NULL),(5662,2,111,5,NULL,NULL),(5663,2,112,5,NULL,NULL),(5664,2,113,5,NULL,NULL),(5665,2,114,5,NULL,NULL),(5666,2,115,5,NULL,NULL),(5667,2,116,5,NULL,NULL),(5668,2,117,5,NULL,NULL),(5669,2,118,5,NULL,NULL),(5670,2,119,5,NULL,NULL),(5671,2,120,5,NULL,NULL),(5672,2,121,5,NULL,NULL),(5673,2,122,5,NULL,NULL),(5674,2,123,5,NULL,NULL),(5675,2,124,5,NULL,NULL),(5676,2,125,5,NULL,NULL),(5677,2,126,5,NULL,NULL),(5678,2,127,5,NULL,NULL),(5679,2,128,5,NULL,NULL),(5680,2,129,5,NULL,NULL),(5681,2,130,5,NULL,NULL),(5682,2,131,5,NULL,NULL),(5683,2,132,5,NULL,NULL),(5684,2,133,5,NULL,NULL),(5685,2,134,5,NULL,NULL),(5686,2,135,5,NULL,NULL),(5687,2,136,5,NULL,NULL),(5688,2,137,5,NULL,NULL),(5689,2,138,5,NULL,NULL),(5690,2,139,5,NULL,NULL),(5691,2,140,5,NULL,NULL),(5692,2,141,5,NULL,NULL),(5693,2,142,5,NULL,NULL),(5694,2,143,5,NULL,NULL),(5695,2,144,5,NULL,NULL),(5696,2,145,5,NULL,NULL),(5697,2,146,5,NULL,NULL),(5698,2,147,5,NULL,NULL),(5699,2,148,5,NULL,NULL),(5700,2,149,5,NULL,NULL),(5701,2,150,5,NULL,NULL),(5702,2,151,5,NULL,NULL),(5703,2,152,5,NULL,NULL),(5704,2,153,5,NULL,NULL),(5705,2,154,5,NULL,NULL),(5706,2,155,5,NULL,NULL),(5707,2,156,5,NULL,NULL),(5708,2,157,5,NULL,NULL),(5709,2,158,5,NULL,NULL),(5710,2,159,5,NULL,NULL),(5711,2,160,5,NULL,NULL),(5712,2,161,5,NULL,NULL),(5713,2,162,5,NULL,NULL),(5714,2,163,5,NULL,NULL),(5715,2,164,5,NULL,NULL),(5716,2,165,5,NULL,NULL),(5717,2,166,5,NULL,NULL),(5718,2,167,4,NULL,NULL),(5719,2,168,5,NULL,NULL),(5720,2,169,5,NULL,NULL),(5721,2,170,5,NULL,NULL),(5722,2,171,5,NULL,NULL),(5723,2,172,5,NULL,NULL),(5724,2,173,5,NULL,NULL),(5725,2,174,5,NULL,NULL),(5726,2,175,5,NULL,NULL),(5727,2,176,2,NULL,NULL),(5728,2,177,5,NULL,NULL),(5729,2,178,5,NULL,NULL),(5730,2,179,2,NULL,NULL),(5731,2,180,2,NULL,NULL),(5732,2,181,2,NULL,NULL),(5733,2,182,2,NULL,NULL),(5734,2,183,5,NULL,NULL),(5735,2,184,2,NULL,NULL),(5736,2,185,5,NULL,NULL),(5737,2,186,5,NULL,NULL),(5738,2,187,5,NULL,NULL),(5739,2,188,4,NULL,NULL),(5740,2,189,4,NULL,NULL),(5741,2,190,1,NULL,NULL),(5742,2,191,4,NULL,NULL),(5743,2,192,4,NULL,NULL),(5744,2,193,1,NULL,NULL),(5745,2,194,1,NULL,NULL),(5746,2,195,5,NULL,NULL),(5747,2,196,5,NULL,NULL),(5748,2,197,5,NULL,NULL),(5749,2,198,5,NULL,NULL),(5750,2,199,5,NULL,NULL),(5751,2,200,4,NULL,NULL),(5752,2,201,5,NULL,NULL),(5753,2,202,5,NULL,NULL),(5754,2,203,5,NULL,NULL),(5755,2,204,5,NULL,NULL),(5756,2,205,5,NULL,NULL),(5757,2,206,5,NULL,NULL),(5758,2,207,5,NULL,NULL),(5759,2,208,5,NULL,NULL),(5760,2,209,4,NULL,NULL),(5761,2,210,5,NULL,NULL),(5762,2,211,4,NULL,NULL),(5763,2,212,5,NULL,NULL),(5764,2,213,5,NULL,NULL),(5765,2,214,5,NULL,NULL),(5766,2,215,5,NULL,NULL),(5767,2,216,5,NULL,NULL),(5768,2,217,4,NULL,NULL),(5769,2,218,5,NULL,NULL),(5770,2,219,5,NULL,NULL),(5771,2,220,5,NULL,NULL),(5772,2,221,5,NULL,NULL),(5773,2,222,5,NULL,NULL),(5774,2,223,5,NULL,NULL),(5775,2,224,5,NULL,NULL),(5776,2,225,5,NULL,NULL),(5777,2,226,5,NULL,NULL),(5778,2,227,5,NULL,NULL),(5779,2,228,2,NULL,NULL),(5780,2,229,5,NULL,NULL),(5781,2,230,5,NULL,NULL),(5782,2,231,1,NULL,NULL),(5783,2,232,3,NULL,NULL),(5784,2,233,1,NULL,NULL),(5785,2,234,1,NULL,NULL),(5786,2,235,5,NULL,NULL),(5787,2,236,5,NULL,NULL),(5788,2,237,5,NULL,NULL),(5789,2,238,5,NULL,NULL),(5790,2,239,4,NULL,NULL),(5791,2,240,4,NULL,NULL),(5792,2,241,1,NULL,NULL),(5793,2,242,4,NULL,NULL),(5794,2,243,4,NULL,NULL),(5795,2,244,1,NULL,NULL),(5796,2,245,1,NULL,NULL),(5797,2,246,4,NULL,NULL),(5798,2,247,4,NULL,NULL),(5799,2,248,1,NULL,NULL),(5800,2,249,1,NULL,NULL),(5801,2,250,4,NULL,NULL),(5802,2,251,4,NULL,NULL),(5803,2,252,1,NULL,NULL),(5804,2,253,1,NULL,NULL),(5805,2,254,5,NULL,NULL),(5806,2,255,5,NULL,NULL),(5807,2,256,5,NULL,NULL),(5808,2,257,5,NULL,NULL),(5809,2,258,5,NULL,NULL),(5810,2,259,5,NULL,NULL),(5811,2,260,5,NULL,NULL),(5812,2,261,5,NULL,NULL),(5813,2,262,5,NULL,NULL),(5814,2,263,5,NULL,NULL),(5815,2,264,5,NULL,NULL),(5816,2,265,5,NULL,NULL),(5817,2,266,5,NULL,NULL),(5818,2,267,5,NULL,NULL),(5819,2,268,5,NULL,NULL),(5820,2,269,5,NULL,NULL),(5821,2,270,5,NULL,NULL),(5822,2,271,5,NULL,NULL),(5823,2,272,5,NULL,NULL),(5824,2,273,5,NULL,NULL),(5825,2,274,5,NULL,NULL),(5826,2,275,5,NULL,NULL),(5827,2,276,1,NULL,NULL),(5828,2,277,3,NULL,NULL),(5829,2,278,1,NULL,NULL),(5830,2,279,5,NULL,NULL),(5831,2,280,5,NULL,NULL),(5832,2,281,5,NULL,NULL),(5833,2,282,5,NULL,NULL),(5834,2,283,1,NULL,NULL),(5835,2,284,3,NULL,NULL),(5836,2,285,3,NULL,NULL),(5837,2,286,1,NULL,NULL),(5838,2,287,5,NULL,NULL),(5839,2,288,5,NULL,NULL),(5840,2,289,5,NULL,NULL),(5841,2,290,5,NULL,NULL),(5842,2,291,5,NULL,NULL),(5843,2,292,5,NULL,NULL),(5844,2,293,2,NULL,NULL),(5845,2,294,5,NULL,NULL),(5846,2,295,5,NULL,NULL),(5847,2,296,5,NULL,NULL),(5848,2,297,2,NULL,NULL),(5849,2,298,5,NULL,NULL),(5850,2,299,5,NULL,NULL),(5851,2,300,1,NULL,NULL),(5852,2,301,3,NULL,NULL),(5853,2,302,5,NULL,NULL),(5854,2,303,5,NULL,NULL),(5855,2,304,5,NULL,NULL),(5856,2,305,5,NULL,NULL),(5857,2,306,1,NULL,NULL),(5858,2,307,3,NULL,NULL),(5859,2,308,1,NULL,NULL),(5860,2,309,5,NULL,NULL),(5861,2,310,5,NULL,NULL),(5862,2,311,5,NULL,NULL),(5863,2,312,5,NULL,NULL),(5864,2,313,5,NULL,NULL),(5865,2,314,5,NULL,NULL),(5866,2,315,5,NULL,NULL),(5867,2,316,5,NULL,NULL),(5868,2,317,5,NULL,NULL),(5869,2,318,5,NULL,NULL),(5870,2,319,5,NULL,NULL),(5871,2,320,5,NULL,NULL),(5872,2,321,5,NULL,NULL),(5873,2,322,5,NULL,NULL),(5874,2,323,5,NULL,NULL),(5875,2,324,5,NULL,NULL),(5876,2,325,5,NULL,NULL),(5877,2,326,5,NULL,NULL),(5878,2,327,1,NULL,NULL),(5879,2,328,4,NULL,NULL),(5880,2,329,5,NULL,NULL),(5881,2,330,4,NULL,NULL),(5882,2,331,4,NULL,NULL),(5883,2,332,1,NULL,NULL),(5884,2,333,1,NULL,NULL),(5885,2,334,5,NULL,NULL),(5886,2,335,5,NULL,NULL),(5887,2,336,5,NULL,NULL),(5888,2,337,5,NULL,NULL),(5889,2,338,5,NULL,NULL),(5890,2,339,5,NULL,NULL),(5891,2,340,4,NULL,NULL),(5892,2,341,5,NULL,NULL),(5893,2,342,5,NULL,NULL),(5894,2,343,5,NULL,NULL),(5895,2,344,5,NULL,NULL),(5896,2,345,5,NULL,NULL),(5897,2,346,5,NULL,NULL),(5898,2,347,5,NULL,NULL),(5899,2,348,5,NULL,NULL),(5900,2,349,1,NULL,NULL),(5901,2,350,3,NULL,NULL),(5902,2,351,1,NULL,NULL),(5903,2,352,1,NULL,NULL),(5904,2,353,5,NULL,NULL),(5905,2,354,5,NULL,NULL),(5906,2,355,5,NULL,NULL),(5907,2,356,5,NULL,NULL),(5908,2,357,5,NULL,NULL),(5909,2,358,5,NULL,NULL),(5910,2,359,5,NULL,NULL),(5911,2,360,5,NULL,NULL),(5912,2,361,5,NULL,NULL),(5913,2,362,5,NULL,NULL),(5914,2,363,5,NULL,NULL),(5915,2,364,5,NULL,NULL),(5916,2,365,5,NULL,NULL),(5917,2,366,5,NULL,NULL),(5918,2,367,5,NULL,NULL),(5919,2,368,5,NULL,NULL),(5920,2,369,5,NULL,NULL),(5921,2,370,5,NULL,NULL),(5922,2,371,5,NULL,NULL),(5923,2,372,5,NULL,NULL),(5924,2,373,5,NULL,NULL),(5925,2,374,5,NULL,NULL),(5926,2,375,5,NULL,NULL),(5927,2,376,5,NULL,NULL),(5928,2,377,5,NULL,NULL),(5929,2,378,5,NULL,NULL),(5930,2,379,5,NULL,NULL),(5931,2,380,5,NULL,NULL),(5932,2,381,5,NULL,NULL),(5933,2,382,5,NULL,NULL),(5934,2,383,5,NULL,NULL),(5935,2,384,5,NULL,NULL),(5936,2,385,5,NULL,NULL),(5937,2,386,5,NULL,NULL),(5938,2,387,5,NULL,NULL),(5939,2,388,5,NULL,NULL),(5940,2,389,5,NULL,NULL),(5941,2,390,5,NULL,NULL),(5942,2,391,5,NULL,NULL),(5943,2,392,5,NULL,NULL),(5944,2,393,5,NULL,NULL),(5945,2,394,5,NULL,NULL),(5946,2,395,5,NULL,NULL),(5947,2,396,5,NULL,NULL),(5948,2,397,5,NULL,NULL),(5949,2,398,5,NULL,NULL),(5950,2,399,5,NULL,NULL),(5951,2,400,5,NULL,NULL),(5952,2,401,5,NULL,NULL),(5953,2,402,5,NULL,NULL),(5954,2,403,5,NULL,NULL),(5955,2,404,5,NULL,NULL),(5956,2,405,5,NULL,NULL),(5957,2,406,5,NULL,NULL),(5958,2,407,5,NULL,NULL),(5959,2,408,5,NULL,NULL),(5960,2,409,5,NULL,NULL),(5961,2,410,5,NULL,NULL),(5962,2,411,5,NULL,NULL),(5963,2,412,5,NULL,NULL),(5964,2,413,5,NULL,NULL),(5965,2,414,5,NULL,NULL),(5966,2,415,5,NULL,NULL),(5967,2,416,5,NULL,NULL),(5968,2,417,5,NULL,NULL),(5969,2,418,5,NULL,NULL),(5970,2,419,5,NULL,NULL),(5971,2,420,5,NULL,NULL),(5972,2,421,5,NULL,NULL),(5973,2,422,5,NULL,NULL),(5974,2,423,5,NULL,NULL),(5975,2,424,5,NULL,NULL),(5976,2,425,5,NULL,NULL),(5977,2,426,5,NULL,NULL),(5978,2,427,5,NULL,NULL),(5979,14,1,5,NULL,NULL),(5980,14,2,5,NULL,NULL),(5981,14,3,5,NULL,NULL),(5982,14,4,5,NULL,NULL),(5983,14,5,5,NULL,NULL),(5984,14,6,5,NULL,NULL),(5985,14,7,5,NULL,NULL),(5986,14,8,5,NULL,NULL),(5987,14,9,5,NULL,NULL),(5988,14,10,5,NULL,NULL),(5989,14,11,5,NULL,NULL),(5990,14,12,5,NULL,NULL),(5991,14,13,5,NULL,NULL),(5992,14,14,5,NULL,NULL),(5993,14,15,5,NULL,NULL),(5994,14,16,5,NULL,NULL),(5995,14,17,5,NULL,NULL),(5996,14,18,5,NULL,NULL),(5997,14,19,5,NULL,NULL),(5998,14,20,5,NULL,NULL),(5999,14,21,5,NULL,NULL),(6000,14,22,5,NULL,NULL),(6001,14,23,5,NULL,NULL),(6002,14,24,5,NULL,NULL),(6003,14,25,5,NULL,NULL),(6004,14,26,5,NULL,NULL),(6005,14,27,5,NULL,NULL),(6006,14,28,5,NULL,NULL),(6007,14,29,5,NULL,NULL),(6008,14,30,5,NULL,NULL),(6009,14,31,5,NULL,NULL),(6010,14,32,5,NULL,NULL),(6011,14,33,5,NULL,NULL),(6012,14,34,5,NULL,NULL),(6013,14,35,5,NULL,NULL),(6014,14,36,5,NULL,NULL),(6015,14,37,5,NULL,NULL),(6016,14,38,5,NULL,NULL),(6017,14,39,5,NULL,NULL),(6018,14,40,5,NULL,NULL),(6019,14,41,5,NULL,NULL),(6020,14,42,5,NULL,NULL),(6021,14,43,5,NULL,NULL),(6022,14,44,5,NULL,NULL),(6023,14,45,5,NULL,NULL),(6024,14,46,5,NULL,NULL),(6025,14,47,5,NULL,NULL),(6026,14,48,5,NULL,NULL),(6027,14,49,5,NULL,NULL),(6028,14,50,5,NULL,NULL),(6029,14,51,5,NULL,NULL),(6030,14,52,5,NULL,NULL),(6031,14,53,5,NULL,NULL),(6032,14,54,5,NULL,NULL),(6033,14,55,5,NULL,NULL),(6034,14,56,5,NULL,NULL),(6035,14,57,5,NULL,NULL),(6036,14,58,5,NULL,NULL),(6037,14,59,5,NULL,NULL),(6038,14,60,5,NULL,NULL),(6039,14,61,5,NULL,NULL),(6040,14,62,5,NULL,NULL),(6041,14,63,5,NULL,NULL),(6042,14,64,5,NULL,NULL),(6043,14,65,5,NULL,NULL),(6044,14,66,5,NULL,NULL),(6045,14,67,5,NULL,NULL),(6046,14,68,5,NULL,NULL),(6047,14,69,5,NULL,NULL),(6048,14,70,5,NULL,NULL),(6049,14,71,5,NULL,NULL),(6050,14,72,5,NULL,NULL),(6051,14,73,5,NULL,NULL),(6052,14,74,5,NULL,NULL),(6053,14,75,5,NULL,NULL),(6054,14,76,5,NULL,NULL),(6055,14,77,5,NULL,NULL),(6056,14,78,5,NULL,NULL),(6057,14,79,5,NULL,NULL),(6058,14,80,5,NULL,NULL),(6059,14,81,5,NULL,NULL),(6060,14,82,5,NULL,NULL),(6061,14,83,5,NULL,NULL),(6062,14,84,5,NULL,NULL),(6063,14,85,5,NULL,NULL),(6064,14,86,5,NULL,NULL),(6065,14,87,5,NULL,NULL),(6066,14,88,5,NULL,NULL),(6067,14,89,5,NULL,NULL),(6068,14,90,5,NULL,NULL),(6069,14,91,5,NULL,NULL),(6070,14,92,5,NULL,NULL),(6071,14,93,5,NULL,NULL),(6072,14,94,5,NULL,NULL),(6073,14,95,5,NULL,NULL),(6074,14,96,5,NULL,NULL),(6075,14,97,5,NULL,NULL),(6076,14,98,5,NULL,NULL),(6077,14,99,5,NULL,NULL),(6078,14,100,5,NULL,NULL),(6079,14,101,5,NULL,NULL),(6080,14,102,5,NULL,NULL),(6081,14,103,5,NULL,NULL),(6082,14,104,5,NULL,NULL),(6083,14,105,5,NULL,NULL),(6084,14,106,5,NULL,NULL),(6085,14,107,5,NULL,NULL),(6086,14,108,5,NULL,NULL),(6087,14,109,5,NULL,NULL),(6088,14,110,5,NULL,NULL),(6089,14,111,5,NULL,NULL),(6090,14,112,5,NULL,NULL),(6091,14,113,5,NULL,NULL),(6092,14,114,5,NULL,NULL),(6093,14,115,5,NULL,NULL),(6094,14,116,5,NULL,NULL),(6095,14,117,5,NULL,NULL),(6096,14,118,5,NULL,NULL),(6097,14,119,5,NULL,NULL),(6098,14,120,5,NULL,NULL),(6099,14,121,5,NULL,NULL),(6100,14,122,5,NULL,NULL),(6101,14,123,5,NULL,NULL),(6102,14,124,5,NULL,NULL),(6103,14,125,5,NULL,NULL),(6104,14,126,5,NULL,NULL),(6105,14,127,5,NULL,NULL),(6106,14,128,5,NULL,NULL),(6107,14,129,5,NULL,NULL),(6108,14,130,5,NULL,NULL),(6109,14,131,5,NULL,NULL),(6110,14,132,5,NULL,NULL),(6111,14,133,5,NULL,NULL),(6112,14,134,5,NULL,NULL),(6113,14,135,5,NULL,NULL),(6114,14,136,5,NULL,NULL),(6115,14,137,5,NULL,NULL),(6116,14,138,5,NULL,NULL),(6117,14,139,5,NULL,NULL),(6118,14,140,5,NULL,NULL),(6119,14,141,5,NULL,NULL),(6120,14,142,5,NULL,NULL),(6121,14,143,5,NULL,NULL),(6122,14,144,5,NULL,NULL),(6123,14,145,5,NULL,NULL),(6124,14,146,5,NULL,NULL),(6125,14,147,5,NULL,NULL),(6126,14,148,5,NULL,NULL),(6127,14,149,5,NULL,NULL),(6128,14,150,5,NULL,NULL),(6129,14,151,5,NULL,NULL),(6130,14,152,5,NULL,NULL),(6131,14,153,5,NULL,NULL),(6132,14,154,5,NULL,NULL),(6133,14,155,5,NULL,NULL),(6134,14,156,5,NULL,NULL),(6135,14,157,5,NULL,NULL),(6136,14,158,5,NULL,NULL),(6137,14,159,5,NULL,NULL),(6138,14,160,5,NULL,NULL),(6139,14,161,5,NULL,NULL),(6140,14,162,5,NULL,NULL),(6141,14,163,5,NULL,NULL),(6142,14,164,5,NULL,NULL),(6143,14,165,5,NULL,NULL),(6144,14,166,5,NULL,NULL),(6145,14,167,4,NULL,NULL),(6146,14,168,5,NULL,NULL),(6147,14,169,5,NULL,NULL),(6148,14,170,5,NULL,NULL),(6149,14,171,5,NULL,NULL),(6150,14,172,5,NULL,NULL),(6151,14,173,5,NULL,NULL),(6152,14,174,5,NULL,NULL),(6153,14,175,5,NULL,NULL),(6154,14,176,2,NULL,NULL),(6155,14,177,5,NULL,NULL),(6156,14,178,5,NULL,NULL),(6157,14,179,2,NULL,NULL),(6158,14,180,2,NULL,NULL),(6159,14,181,2,NULL,NULL),(6160,14,182,2,NULL,NULL),(6161,14,183,5,NULL,NULL),(6162,14,184,2,NULL,NULL),(6163,14,185,5,NULL,NULL),(6164,14,186,5,NULL,NULL),(6165,14,187,5,NULL,NULL),(6166,14,188,4,NULL,NULL),(6167,14,189,4,NULL,NULL),(6168,14,190,1,NULL,NULL),(6169,14,191,4,NULL,NULL),(6170,14,192,4,NULL,NULL),(6171,14,193,1,NULL,NULL),(6172,14,194,1,NULL,NULL),(6173,14,195,5,NULL,NULL),(6174,14,196,5,NULL,NULL),(6175,14,197,5,NULL,NULL),(6176,14,198,5,NULL,NULL),(6177,14,199,5,NULL,NULL),(6178,14,200,4,NULL,NULL),(6179,14,201,5,NULL,NULL),(6180,14,202,5,NULL,NULL),(6181,14,203,5,NULL,NULL),(6182,14,204,5,NULL,NULL),(6183,14,205,5,NULL,NULL),(6184,14,206,5,NULL,NULL),(6185,14,207,5,NULL,NULL),(6186,14,208,5,NULL,NULL),(6187,14,209,4,NULL,NULL),(6188,14,210,5,NULL,NULL),(6189,14,211,4,NULL,NULL),(6190,14,212,5,NULL,NULL),(6191,14,213,5,NULL,NULL),(6192,14,214,5,NULL,NULL),(6193,14,215,5,NULL,NULL),(6194,14,216,5,NULL,NULL),(6195,14,217,4,NULL,NULL),(6196,14,218,5,NULL,NULL),(6197,14,219,5,NULL,NULL),(6198,14,220,5,NULL,NULL),(6199,14,221,5,NULL,NULL),(6200,14,222,5,NULL,NULL),(6201,14,223,5,NULL,NULL),(6202,14,224,5,NULL,NULL),(6203,14,225,5,NULL,NULL),(6204,14,226,5,NULL,NULL),(6205,14,227,5,NULL,NULL),(6206,14,228,2,NULL,NULL),(6207,14,229,5,NULL,NULL),(6208,14,230,5,NULL,NULL),(6209,14,231,1,NULL,NULL),(6210,14,232,3,NULL,NULL),(6211,14,233,1,NULL,NULL),(6212,14,234,1,NULL,NULL),(6213,14,235,5,NULL,NULL),(6214,14,236,5,NULL,NULL),(6215,14,237,5,NULL,NULL),(6216,14,238,5,NULL,NULL),(6217,14,239,4,NULL,NULL),(6218,14,240,4,NULL,NULL),(6219,14,241,1,NULL,NULL),(6220,14,242,4,NULL,NULL),(6221,14,243,4,NULL,NULL),(6222,14,244,1,NULL,NULL),(6223,14,245,1,NULL,NULL),(6224,14,246,4,NULL,NULL),(6225,14,247,4,NULL,NULL),(6226,14,248,1,NULL,NULL),(6227,14,249,1,NULL,NULL),(6228,14,250,4,NULL,NULL),(6229,14,251,4,NULL,NULL),(6230,14,252,1,NULL,NULL),(6231,14,253,1,NULL,NULL),(6232,14,254,5,NULL,NULL),(6233,14,255,5,NULL,NULL),(6234,14,256,5,NULL,NULL),(6235,14,257,5,NULL,NULL),(6236,14,258,5,NULL,NULL),(6237,14,259,5,NULL,NULL),(6238,14,260,5,NULL,NULL),(6239,14,261,5,NULL,NULL),(6240,14,262,5,NULL,NULL),(6241,14,263,5,NULL,NULL),(6242,14,264,5,NULL,NULL),(6243,14,265,5,NULL,NULL),(6244,14,266,5,NULL,NULL),(6245,14,267,5,NULL,NULL),(6246,14,268,5,NULL,NULL),(6247,14,269,5,NULL,NULL),(6248,14,270,5,NULL,NULL),(6249,14,271,5,NULL,NULL),(6250,14,272,5,NULL,NULL),(6251,14,273,5,NULL,NULL),(6252,14,274,5,NULL,NULL),(6253,14,275,5,NULL,NULL),(6254,14,276,1,NULL,NULL),(6255,14,277,3,NULL,NULL),(6256,14,278,1,NULL,NULL),(6257,14,279,5,NULL,NULL),(6258,14,280,5,NULL,NULL),(6259,14,281,5,NULL,NULL),(6260,14,282,5,NULL,NULL),(6261,14,283,1,NULL,NULL),(6262,14,284,3,NULL,NULL),(6263,14,285,3,NULL,NULL),(6264,14,286,1,NULL,NULL),(6265,14,287,5,NULL,NULL),(6266,14,288,5,NULL,NULL),(6267,14,289,5,NULL,NULL),(6268,14,290,5,NULL,NULL),(6269,14,291,5,NULL,NULL),(6270,14,292,5,NULL,NULL),(6271,14,293,2,NULL,NULL),(6272,14,294,5,NULL,NULL),(6273,14,295,5,NULL,NULL),(6274,14,296,5,NULL,NULL),(6275,14,297,2,NULL,NULL),(6276,14,298,5,NULL,NULL),(6277,14,299,5,NULL,NULL),(6278,14,300,1,NULL,NULL),(6279,14,301,3,NULL,NULL),(6280,14,302,5,NULL,NULL),(6281,14,303,5,NULL,NULL),(6282,14,304,5,NULL,NULL),(6283,14,305,5,NULL,NULL),(6284,14,306,1,NULL,NULL),(6285,14,307,3,NULL,NULL),(6286,14,308,1,NULL,NULL),(6287,14,309,5,NULL,NULL),(6288,14,310,5,NULL,NULL),(6289,14,311,5,NULL,NULL),(6290,14,312,5,NULL,NULL),(6291,14,313,5,NULL,NULL),(6292,14,314,5,NULL,NULL),(6293,14,315,5,NULL,NULL),(6294,14,316,5,NULL,NULL),(6295,14,317,5,NULL,NULL),(6296,14,318,5,NULL,NULL),(6297,14,319,5,NULL,NULL),(6298,14,320,5,NULL,NULL),(6299,14,321,5,NULL,NULL),(6300,14,322,5,NULL,NULL),(6301,14,323,5,NULL,NULL),(6302,14,324,5,NULL,NULL),(6303,14,325,5,NULL,NULL),(6304,14,326,5,NULL,NULL),(6305,14,327,1,NULL,NULL),(6306,14,328,4,NULL,NULL),(6307,14,329,5,NULL,NULL),(6308,14,330,4,NULL,NULL),(6309,14,331,4,NULL,NULL),(6310,14,332,1,NULL,NULL),(6311,14,333,1,NULL,NULL),(6312,14,334,5,NULL,NULL),(6313,14,335,5,NULL,NULL),(6314,14,336,5,NULL,NULL),(6315,14,337,5,NULL,NULL),(6316,14,338,5,NULL,NULL),(6317,14,339,5,NULL,NULL),(6318,14,340,4,NULL,NULL),(6319,14,341,5,NULL,NULL),(6320,14,342,5,NULL,NULL),(6321,14,343,5,NULL,NULL),(6322,14,344,5,NULL,NULL),(6323,14,345,5,NULL,NULL),(6324,14,346,5,NULL,NULL),(6325,14,347,5,NULL,NULL),(6326,14,348,5,NULL,NULL),(6327,14,349,1,NULL,NULL),(6328,14,350,3,NULL,NULL),(6329,14,351,1,NULL,NULL),(6330,14,352,1,NULL,NULL),(6331,14,353,5,NULL,NULL),(6332,14,354,5,NULL,NULL),(6333,14,355,5,NULL,NULL),(6334,14,356,5,NULL,NULL),(6335,14,357,5,NULL,NULL),(6336,14,358,5,NULL,NULL),(6337,14,359,5,NULL,NULL),(6338,14,360,5,NULL,NULL),(6339,14,361,5,NULL,NULL),(6340,14,362,5,NULL,NULL),(6341,14,363,5,NULL,NULL),(6342,14,364,5,NULL,NULL),(6343,14,365,5,NULL,NULL),(6344,14,366,5,NULL,NULL),(6345,14,367,5,NULL,NULL),(6346,14,368,5,NULL,NULL),(6347,14,369,5,NULL,NULL),(6348,14,370,5,NULL,NULL),(6349,14,371,5,NULL,NULL),(6350,14,372,5,NULL,NULL),(6351,14,373,5,NULL,NULL),(6352,14,374,5,NULL,NULL),(6353,14,375,5,NULL,NULL),(6354,14,376,5,NULL,NULL),(6355,14,377,5,NULL,NULL),(6356,14,378,5,NULL,NULL),(6357,14,379,5,NULL,NULL),(6358,14,380,5,NULL,NULL),(6359,14,381,5,NULL,NULL),(6360,14,382,5,NULL,NULL),(6361,14,383,5,NULL,NULL),(6362,14,384,5,NULL,NULL),(6363,14,385,5,NULL,NULL),(6364,14,386,5,NULL,NULL),(6365,14,387,5,NULL,NULL),(6366,14,388,5,NULL,NULL),(6367,14,389,5,NULL,NULL),(6368,14,390,5,NULL,NULL),(6369,14,391,5,NULL,NULL),(6370,14,392,5,NULL,NULL),(6371,14,393,5,NULL,NULL),(6372,14,394,5,NULL,NULL),(6373,14,395,5,NULL,NULL),(6374,14,396,5,NULL,NULL),(6375,14,397,5,NULL,NULL),(6376,14,398,5,NULL,NULL),(6377,14,399,5,NULL,NULL),(6378,14,400,5,NULL,NULL),(6379,14,401,5,NULL,NULL),(6380,14,402,5,NULL,NULL),(6381,14,403,5,NULL,NULL),(6382,14,404,5,NULL,NULL),(6383,14,405,5,NULL,NULL),(6384,14,406,5,NULL,NULL),(6385,14,407,5,NULL,NULL),(6386,14,408,5,NULL,NULL),(6387,14,409,5,NULL,NULL),(6388,14,410,5,NULL,NULL),(6389,14,411,5,NULL,NULL),(6390,14,412,5,NULL,NULL),(6391,14,413,5,NULL,NULL),(6392,14,414,5,NULL,NULL),(6393,14,415,5,NULL,NULL),(6394,14,416,5,NULL,NULL),(6395,14,417,5,NULL,NULL),(6396,14,418,5,NULL,NULL),(6397,14,419,5,NULL,NULL),(6398,14,420,5,NULL,NULL),(6399,14,421,5,NULL,NULL),(6400,14,422,5,NULL,NULL),(6401,14,423,5,NULL,NULL),(6402,14,424,5,NULL,NULL),(6403,14,425,5,NULL,NULL),(6404,14,426,5,NULL,NULL),(6405,14,427,5,NULL,NULL),(6406,15,1,5,NULL,NULL),(6407,15,2,5,NULL,NULL),(6408,15,3,5,NULL,NULL),(6409,15,4,5,NULL,NULL),(6410,15,5,5,NULL,NULL),(6411,15,6,5,NULL,NULL),(6412,15,7,5,NULL,NULL),(6413,15,8,5,NULL,NULL),(6414,15,9,5,NULL,NULL),(6415,15,10,5,NULL,NULL),(6416,15,11,5,NULL,NULL),(6417,15,12,5,NULL,NULL),(6418,15,13,5,NULL,NULL),(6419,15,14,5,NULL,NULL),(6420,15,15,5,NULL,NULL),(6421,15,16,5,NULL,NULL),(6422,15,17,5,NULL,NULL),(6423,15,18,5,NULL,NULL),(6424,15,19,5,NULL,NULL),(6425,15,20,5,NULL,NULL),(6426,15,21,5,NULL,NULL),(6427,15,22,5,NULL,NULL),(6428,15,23,5,NULL,NULL),(6429,15,24,5,NULL,NULL),(6430,15,25,5,NULL,NULL),(6431,15,26,5,NULL,NULL),(6432,15,27,5,NULL,NULL),(6433,15,28,5,NULL,NULL),(6434,15,29,5,NULL,NULL),(6435,15,30,5,NULL,NULL),(6436,15,31,5,NULL,NULL),(6437,15,32,5,NULL,NULL),(6438,15,33,5,NULL,NULL),(6439,15,34,5,NULL,NULL),(6440,15,35,5,NULL,NULL),(6441,15,36,5,NULL,NULL),(6442,15,37,5,NULL,NULL),(6443,15,38,5,NULL,NULL),(6444,15,39,5,NULL,NULL),(6445,15,40,5,NULL,NULL),(6446,15,41,5,NULL,NULL),(6447,15,42,5,NULL,NULL),(6448,15,43,5,NULL,NULL),(6449,15,44,5,NULL,NULL),(6450,15,45,5,NULL,NULL),(6451,15,46,5,NULL,NULL),(6452,15,47,5,NULL,NULL),(6453,15,48,5,NULL,NULL),(6454,15,49,5,NULL,NULL),(6455,15,50,5,NULL,NULL),(6456,15,51,5,NULL,NULL),(6457,15,52,5,NULL,NULL),(6458,15,53,5,NULL,NULL),(6459,15,54,5,NULL,NULL),(6460,15,55,5,NULL,NULL),(6461,15,56,5,NULL,NULL),(6462,15,57,5,NULL,NULL),(6463,15,58,5,NULL,NULL),(6464,15,59,5,NULL,NULL),(6465,15,60,5,NULL,NULL),(6466,15,61,5,NULL,NULL),(6467,15,62,5,NULL,NULL),(6468,15,63,5,NULL,NULL),(6469,15,64,5,NULL,NULL),(6470,15,65,5,NULL,NULL),(6471,15,66,5,NULL,NULL),(6472,15,67,5,NULL,NULL),(6473,15,68,5,NULL,NULL),(6474,15,69,5,NULL,NULL),(6475,15,70,5,NULL,NULL),(6476,15,71,5,NULL,NULL),(6477,15,72,5,NULL,NULL),(6478,15,73,5,NULL,NULL),(6479,15,74,5,NULL,NULL),(6480,15,75,5,NULL,NULL),(6481,15,76,5,NULL,NULL),(6482,15,77,5,NULL,NULL),(6483,15,78,5,NULL,NULL),(6484,15,79,5,NULL,NULL),(6485,15,80,5,NULL,NULL),(6486,15,81,5,NULL,NULL),(6487,15,82,5,NULL,NULL),(6488,15,83,5,NULL,NULL),(6489,15,84,5,NULL,NULL),(6490,15,85,5,NULL,NULL),(6491,15,86,5,NULL,NULL),(6492,15,87,5,NULL,NULL),(6493,15,88,5,NULL,NULL),(6494,15,89,5,NULL,NULL),(6495,15,90,5,NULL,NULL),(6496,15,91,5,NULL,NULL),(6497,15,92,5,NULL,NULL),(6498,15,93,5,NULL,NULL),(6499,15,94,5,NULL,NULL),(6500,15,95,5,NULL,NULL),(6501,15,96,5,NULL,NULL),(6502,15,97,5,NULL,NULL),(6503,15,98,5,NULL,NULL),(6504,15,99,5,NULL,NULL),(6505,15,100,5,NULL,NULL),(6506,15,101,5,NULL,NULL),(6507,15,102,5,NULL,NULL),(6508,15,103,5,NULL,NULL),(6509,15,104,5,NULL,NULL),(6510,15,105,5,NULL,NULL),(6511,15,106,5,NULL,NULL),(6512,15,107,5,NULL,NULL),(6513,15,108,5,NULL,NULL),(6514,15,109,5,NULL,NULL),(6515,15,110,5,NULL,NULL),(6516,15,111,5,NULL,NULL),(6517,15,112,5,NULL,NULL),(6518,15,113,5,NULL,NULL),(6519,15,114,5,NULL,NULL),(6520,15,115,5,NULL,NULL),(6521,15,116,5,NULL,NULL),(6522,15,117,5,NULL,NULL),(6523,15,118,5,NULL,NULL),(6524,15,119,5,NULL,NULL),(6525,15,120,5,NULL,NULL),(6526,15,121,5,NULL,NULL),(6527,15,122,5,NULL,NULL),(6528,15,123,5,NULL,NULL),(6529,15,124,5,NULL,NULL),(6530,15,125,5,NULL,NULL),(6531,15,126,5,NULL,NULL),(6532,15,127,5,NULL,NULL),(6533,15,128,5,NULL,NULL),(6534,15,129,5,NULL,NULL),(6535,15,130,5,NULL,NULL),(6536,15,131,5,NULL,NULL),(6537,15,132,5,NULL,NULL),(6538,15,133,5,NULL,NULL),(6539,15,134,5,NULL,NULL),(6540,15,135,5,NULL,NULL),(6541,15,136,5,NULL,NULL),(6542,15,137,5,NULL,NULL),(6543,15,138,5,NULL,NULL),(6544,15,139,5,NULL,NULL),(6545,15,140,5,NULL,NULL),(6546,15,141,5,NULL,NULL),(6547,15,142,5,NULL,NULL),(6548,15,143,5,NULL,NULL),(6549,15,144,5,NULL,NULL),(6550,15,145,5,NULL,NULL),(6551,15,146,5,NULL,NULL),(6552,15,147,5,NULL,NULL),(6553,15,148,5,NULL,NULL),(6554,15,149,5,NULL,NULL),(6555,15,150,5,NULL,NULL),(6556,15,151,5,NULL,NULL),(6557,15,152,5,NULL,NULL),(6558,15,153,5,NULL,NULL),(6559,15,154,5,NULL,NULL),(6560,15,155,5,NULL,NULL),(6561,15,156,5,NULL,NULL),(6562,15,157,5,NULL,NULL),(6563,15,158,5,NULL,NULL),(6564,15,159,5,NULL,NULL),(6565,15,160,5,NULL,NULL),(6566,15,161,5,NULL,NULL),(6567,15,162,5,NULL,NULL),(6568,15,163,5,NULL,NULL),(6569,15,164,5,NULL,NULL),(6570,15,165,5,NULL,NULL),(6571,15,166,5,NULL,NULL),(6572,15,167,4,NULL,NULL),(6573,15,168,5,NULL,NULL),(6574,15,169,5,NULL,NULL),(6575,15,170,5,NULL,NULL),(6576,15,171,5,NULL,NULL),(6577,15,172,5,NULL,NULL),(6578,15,173,5,NULL,NULL),(6579,15,174,5,NULL,NULL),(6580,15,175,5,NULL,NULL),(6581,15,176,2,NULL,NULL),(6582,15,177,5,NULL,NULL),(6583,15,178,5,NULL,NULL),(6584,15,179,2,NULL,NULL),(6585,15,180,2,NULL,NULL),(6586,15,181,2,NULL,NULL),(6587,15,182,2,NULL,NULL),(6588,15,183,5,NULL,NULL),(6589,15,184,2,NULL,NULL),(6590,15,185,5,NULL,NULL),(6591,15,186,5,NULL,NULL),(6592,15,187,5,NULL,NULL),(6593,15,188,4,NULL,NULL),(6594,15,189,4,NULL,NULL),(6595,15,190,1,NULL,NULL),(6596,15,191,4,NULL,NULL),(6597,15,192,4,NULL,NULL),(6598,15,193,1,NULL,NULL),(6599,15,194,1,NULL,NULL),(6600,15,195,5,NULL,NULL),(6601,15,196,5,NULL,NULL),(6602,15,197,5,NULL,NULL),(6603,15,198,5,NULL,NULL),(6604,15,199,5,NULL,NULL),(6605,15,200,4,NULL,NULL),(6606,15,201,5,NULL,NULL),(6607,15,202,5,NULL,NULL),(6608,15,203,5,NULL,NULL),(6609,15,204,5,NULL,NULL),(6610,15,205,5,NULL,NULL),(6611,15,206,5,NULL,NULL),(6612,15,207,5,NULL,NULL),(6613,15,208,5,NULL,NULL),(6614,15,209,4,NULL,NULL),(6615,15,210,5,NULL,NULL),(6616,15,211,4,NULL,NULL),(6617,15,212,5,NULL,NULL),(6618,15,213,5,NULL,NULL),(6619,15,214,5,NULL,NULL),(6620,15,215,5,NULL,NULL),(6621,15,216,5,NULL,NULL),(6622,15,217,4,NULL,NULL),(6623,15,218,5,NULL,NULL),(6624,15,219,5,NULL,NULL),(6625,15,220,5,NULL,NULL),(6626,15,221,5,NULL,NULL),(6627,15,222,5,NULL,NULL),(6628,15,223,5,NULL,NULL),(6629,15,224,5,NULL,NULL),(6630,15,225,5,NULL,NULL),(6631,15,226,5,NULL,NULL),(6632,15,227,5,NULL,NULL),(6633,15,228,2,NULL,NULL),(6634,15,229,5,NULL,NULL),(6635,15,230,5,NULL,NULL),(6636,15,231,1,NULL,NULL),(6637,15,232,3,NULL,NULL),(6638,15,233,1,NULL,NULL),(6639,15,234,1,NULL,NULL),(6640,15,235,5,NULL,NULL),(6641,15,236,5,NULL,NULL),(6642,15,237,5,NULL,NULL),(6643,15,238,5,NULL,NULL),(6644,15,239,4,NULL,NULL),(6645,15,240,4,NULL,NULL),(6646,15,241,1,NULL,NULL),(6647,15,242,4,NULL,NULL),(6648,15,243,4,NULL,NULL),(6649,15,244,1,NULL,NULL),(6650,15,245,1,NULL,NULL),(6651,15,246,4,NULL,NULL),(6652,15,247,4,NULL,NULL),(6653,15,248,1,NULL,NULL),(6654,15,249,1,NULL,NULL),(6655,15,250,4,NULL,NULL),(6656,15,251,4,NULL,NULL),(6657,15,252,1,NULL,NULL),(6658,15,253,1,NULL,NULL),(6659,15,254,5,NULL,NULL),(6660,15,255,5,NULL,NULL),(6661,15,256,5,NULL,NULL),(6662,15,257,5,NULL,NULL),(6663,15,258,5,NULL,NULL),(6664,15,259,5,NULL,NULL),(6665,15,260,5,NULL,NULL),(6666,15,261,5,NULL,NULL),(6667,15,262,5,NULL,NULL),(6668,15,263,5,NULL,NULL),(6669,15,264,5,NULL,NULL),(6670,15,265,5,NULL,NULL),(6671,15,266,5,NULL,NULL),(6672,15,267,5,NULL,NULL),(6673,15,268,5,NULL,NULL),(6674,15,269,5,NULL,NULL),(6675,15,270,5,NULL,NULL),(6676,15,271,5,NULL,NULL),(6677,15,272,5,NULL,NULL),(6678,15,273,5,NULL,NULL),(6679,15,274,5,NULL,NULL),(6680,15,275,5,NULL,NULL),(6681,15,276,1,NULL,NULL),(6682,15,277,3,NULL,NULL),(6683,15,278,1,NULL,NULL),(6684,15,279,5,NULL,NULL),(6685,15,280,5,NULL,NULL),(6686,15,281,5,NULL,NULL),(6687,15,282,5,NULL,NULL),(6688,15,283,1,NULL,NULL),(6689,15,284,3,NULL,NULL),(6690,15,285,3,NULL,NULL),(6691,15,286,1,NULL,NULL),(6692,15,287,5,NULL,NULL),(6693,15,288,5,NULL,NULL),(6694,15,289,5,NULL,NULL),(6695,15,290,5,NULL,NULL),(6696,15,291,5,NULL,NULL),(6697,15,292,5,NULL,NULL),(6698,15,293,2,NULL,NULL),(6699,15,294,5,NULL,NULL),(6700,15,295,5,NULL,NULL),(6701,15,296,5,NULL,NULL),(6702,15,297,2,NULL,NULL),(6703,15,298,5,NULL,NULL),(6704,15,299,5,NULL,NULL),(6705,15,300,1,NULL,NULL),(6706,15,301,3,NULL,NULL),(6707,15,302,5,NULL,NULL),(6708,15,303,5,NULL,NULL),(6709,15,304,5,NULL,NULL),(6710,15,305,5,NULL,NULL),(6711,15,306,1,NULL,NULL),(6712,15,307,3,NULL,NULL),(6713,15,308,1,NULL,NULL),(6714,15,309,5,NULL,NULL),(6715,15,310,5,NULL,NULL),(6716,15,311,5,NULL,NULL),(6717,15,312,5,NULL,NULL),(6718,15,313,5,NULL,NULL),(6719,15,314,5,NULL,NULL),(6720,15,315,5,NULL,NULL),(6721,15,316,5,NULL,NULL),(6722,15,317,5,NULL,NULL),(6723,15,318,5,NULL,NULL),(6724,15,319,5,NULL,NULL),(6725,15,320,5,NULL,NULL),(6726,15,321,5,NULL,NULL),(6727,15,322,5,NULL,NULL),(6728,15,323,5,NULL,NULL),(6729,15,324,5,NULL,NULL),(6730,15,325,5,NULL,NULL),(6731,15,326,5,NULL,NULL),(6732,15,327,1,NULL,NULL),(6733,15,328,4,NULL,NULL),(6734,15,329,5,NULL,NULL),(6735,15,330,4,NULL,NULL),(6736,15,331,4,NULL,NULL),(6737,15,332,1,NULL,NULL),(6738,15,333,1,NULL,NULL),(6739,15,334,5,NULL,NULL),(6740,15,335,5,NULL,NULL),(6741,15,336,5,NULL,NULL),(6742,15,337,5,NULL,NULL),(6743,15,338,5,NULL,NULL),(6744,15,339,5,NULL,NULL),(6745,15,340,4,NULL,NULL),(6746,15,341,5,NULL,NULL),(6747,15,342,5,NULL,NULL),(6748,15,343,5,NULL,NULL),(6749,15,344,5,NULL,NULL),(6750,15,345,5,NULL,NULL),(6751,15,346,5,NULL,NULL),(6752,15,347,5,NULL,NULL),(6753,15,348,5,NULL,NULL),(6754,15,349,1,NULL,NULL),(6755,15,350,3,NULL,NULL),(6756,15,351,1,NULL,NULL),(6757,15,352,1,NULL,NULL),(6758,15,353,5,NULL,NULL),(6759,15,354,5,NULL,NULL),(6760,15,355,5,NULL,NULL),(6761,15,356,5,NULL,NULL),(6762,15,357,5,NULL,NULL),(6763,15,358,5,NULL,NULL),(6764,15,359,5,NULL,NULL),(6765,15,360,5,NULL,NULL),(6766,15,361,5,NULL,NULL),(6767,15,362,5,NULL,NULL),(6768,15,363,5,NULL,NULL),(6769,15,364,5,NULL,NULL),(6770,15,365,5,NULL,NULL),(6771,15,366,5,NULL,NULL),(6772,15,367,5,NULL,NULL),(6773,15,368,5,NULL,NULL),(6774,15,369,5,NULL,NULL),(6775,15,370,5,NULL,NULL),(6776,15,371,5,NULL,NULL),(6777,15,372,5,NULL,NULL),(6778,15,373,5,NULL,NULL),(6779,15,374,5,NULL,NULL),(6780,15,375,5,NULL,NULL),(6781,15,376,5,NULL,NULL),(6782,15,377,5,NULL,NULL),(6783,15,378,5,NULL,NULL),(6784,15,379,5,NULL,NULL),(6785,15,380,5,NULL,NULL),(6786,15,381,5,NULL,NULL),(6787,15,382,5,NULL,NULL),(6788,15,383,5,NULL,NULL),(6789,15,384,5,NULL,NULL),(6790,15,385,5,NULL,NULL),(6791,15,386,5,NULL,NULL),(6792,15,387,5,NULL,NULL),(6793,15,388,5,NULL,NULL),(6794,15,389,5,NULL,NULL),(6795,15,390,5,NULL,NULL),(6796,15,391,5,NULL,NULL),(6797,15,392,5,NULL,NULL),(6798,15,393,5,NULL,NULL),(6799,15,394,5,NULL,NULL),(6800,15,395,5,NULL,NULL),(6801,15,396,5,NULL,NULL),(6802,15,397,5,NULL,NULL),(6803,15,398,5,NULL,NULL),(6804,15,399,5,NULL,NULL),(6805,15,400,5,NULL,NULL),(6806,15,401,5,NULL,NULL),(6807,15,402,5,NULL,NULL),(6808,15,403,5,NULL,NULL),(6809,15,404,5,NULL,NULL),(6810,15,405,5,NULL,NULL),(6811,15,406,5,NULL,NULL),(6812,15,407,5,NULL,NULL),(6813,15,408,5,NULL,NULL),(6814,15,409,5,NULL,NULL),(6815,15,410,5,NULL,NULL),(6816,15,411,5,NULL,NULL),(6817,15,412,5,NULL,NULL),(6818,15,413,5,NULL,NULL),(6819,15,414,5,NULL,NULL),(6820,15,415,5,NULL,NULL),(6821,15,416,5,NULL,NULL),(6822,15,417,5,NULL,NULL),(6823,15,418,5,NULL,NULL),(6824,15,419,5,NULL,NULL),(6825,15,420,5,NULL,NULL),(6826,15,421,5,NULL,NULL),(6827,15,422,5,NULL,NULL),(6828,15,423,5,NULL,NULL),(6829,15,424,5,NULL,NULL),(6830,15,425,5,NULL,NULL),(6831,15,426,5,NULL,NULL),(6832,15,427,5,NULL,NULL),(6833,16,1,5,NULL,NULL),(6834,16,2,5,NULL,NULL),(6835,16,3,5,NULL,NULL),(6836,16,4,5,NULL,NULL),(6837,16,5,5,NULL,NULL),(6838,16,6,5,NULL,NULL),(6839,16,7,5,NULL,NULL),(6840,16,8,5,NULL,NULL),(6841,16,9,5,NULL,NULL),(6842,16,10,5,NULL,NULL),(6843,16,11,5,NULL,NULL),(6844,16,12,5,NULL,NULL),(6845,16,13,5,NULL,NULL),(6846,16,14,5,NULL,NULL),(6847,16,15,5,NULL,NULL),(6848,16,16,5,NULL,NULL),(6849,16,17,5,NULL,NULL),(6850,16,18,5,NULL,NULL),(6851,16,19,5,NULL,NULL),(6852,16,20,5,NULL,NULL),(6853,16,21,5,NULL,NULL),(6854,16,22,5,NULL,NULL),(6855,16,23,5,NULL,NULL),(6856,16,24,5,NULL,NULL),(6857,16,25,5,NULL,NULL),(6858,16,26,5,NULL,NULL),(6859,16,27,5,NULL,NULL),(6860,16,28,5,NULL,NULL),(6861,16,29,5,NULL,NULL),(6862,16,30,5,NULL,NULL),(6863,16,31,5,NULL,NULL),(6864,16,32,5,NULL,NULL),(6865,16,33,5,NULL,NULL),(6866,16,34,5,NULL,NULL),(6867,16,35,5,NULL,NULL),(6868,16,36,5,NULL,NULL),(6869,16,37,5,NULL,NULL),(6870,16,38,5,NULL,NULL),(6871,16,39,5,NULL,NULL),(6872,16,40,5,NULL,NULL),(6873,16,41,5,NULL,NULL),(6874,16,42,5,NULL,NULL),(6875,16,43,5,NULL,NULL),(6876,16,44,5,NULL,NULL),(6877,16,45,5,NULL,NULL),(6878,16,46,5,NULL,NULL),(6879,16,47,5,NULL,NULL),(6880,16,48,5,NULL,NULL),(6881,16,49,5,NULL,NULL),(6882,16,50,5,NULL,NULL),(6883,16,51,5,NULL,NULL),(6884,16,52,5,NULL,NULL),(6885,16,53,5,NULL,NULL),(6886,16,54,5,NULL,NULL),(6887,16,55,5,NULL,NULL),(6888,16,56,5,NULL,NULL),(6889,16,57,5,NULL,NULL),(6890,16,58,5,NULL,NULL),(6891,16,59,5,NULL,NULL),(6892,16,60,5,NULL,NULL),(6893,16,61,5,NULL,NULL),(6894,16,62,5,NULL,NULL),(6895,16,63,5,NULL,NULL),(6896,16,64,5,NULL,NULL),(6897,16,65,5,NULL,NULL),(6898,16,66,5,NULL,NULL),(6899,16,67,5,NULL,NULL),(6900,16,68,5,NULL,NULL),(6901,16,69,5,NULL,NULL),(6902,16,70,5,NULL,NULL),(6903,16,71,5,NULL,NULL),(6904,16,72,5,NULL,NULL),(6905,16,73,5,NULL,NULL),(6906,16,74,5,NULL,NULL),(6907,16,75,5,NULL,NULL),(6908,16,76,5,NULL,NULL),(6909,16,77,5,NULL,NULL),(6910,16,78,5,NULL,NULL),(6911,16,79,5,NULL,NULL),(6912,16,80,5,NULL,NULL),(6913,16,81,5,NULL,NULL),(6914,16,82,5,NULL,NULL),(6915,16,83,5,NULL,NULL),(6916,16,84,5,NULL,NULL),(6917,16,85,5,NULL,NULL),(6918,16,86,5,NULL,NULL),(6919,16,87,5,NULL,NULL),(6920,16,88,5,NULL,NULL),(6921,16,89,5,NULL,NULL),(6922,16,90,5,NULL,NULL),(6923,16,91,5,NULL,NULL),(6924,16,92,5,NULL,NULL),(6925,16,93,5,NULL,NULL),(6926,16,94,5,NULL,NULL),(6927,16,95,5,NULL,NULL),(6928,16,96,5,NULL,NULL),(6929,16,97,5,NULL,NULL),(6930,16,98,5,NULL,NULL),(6931,16,99,5,NULL,NULL),(6932,16,100,5,NULL,NULL),(6933,16,101,5,NULL,NULL),(6934,16,102,5,NULL,NULL),(6935,16,103,5,NULL,NULL),(6936,16,104,5,NULL,NULL),(6937,16,105,5,NULL,NULL),(6938,16,106,5,NULL,NULL),(6939,16,107,5,NULL,NULL),(6940,16,108,5,NULL,NULL),(6941,16,109,5,NULL,NULL),(6942,16,110,5,NULL,NULL),(6943,16,111,5,NULL,NULL),(6944,16,112,5,NULL,NULL),(6945,16,113,5,NULL,NULL),(6946,16,114,5,NULL,NULL),(6947,16,115,5,NULL,NULL),(6948,16,116,5,NULL,NULL),(6949,16,117,5,NULL,NULL),(6950,16,118,5,NULL,NULL),(6951,16,119,5,NULL,NULL),(6952,16,120,5,NULL,NULL),(6953,16,121,5,NULL,NULL),(6954,16,122,5,NULL,NULL),(6955,16,123,5,NULL,NULL),(6956,16,124,5,NULL,NULL),(6957,16,125,5,NULL,NULL),(6958,16,126,5,NULL,NULL),(6959,16,127,5,NULL,NULL),(6960,16,128,5,NULL,NULL),(6961,16,129,5,NULL,NULL),(6962,16,130,5,NULL,NULL),(6963,16,131,5,NULL,NULL),(6964,16,132,5,NULL,NULL),(6965,16,133,5,NULL,NULL),(6966,16,134,5,NULL,NULL),(6967,16,135,5,NULL,NULL),(6968,16,136,5,NULL,NULL),(6969,16,137,5,NULL,NULL),(6970,16,138,5,NULL,NULL),(6971,16,139,5,NULL,NULL),(6972,16,140,5,NULL,NULL),(6973,16,141,5,NULL,NULL),(6974,16,142,5,NULL,NULL),(6975,16,143,5,NULL,NULL),(6976,16,144,5,NULL,NULL),(6977,16,145,5,NULL,NULL),(6978,16,146,5,NULL,NULL),(6979,16,147,5,NULL,NULL),(6980,16,148,5,NULL,NULL),(6981,16,149,5,NULL,NULL),(6982,16,150,5,NULL,NULL),(6983,16,151,5,NULL,NULL),(6984,16,152,5,NULL,NULL),(6985,16,153,5,NULL,NULL),(6986,16,154,5,NULL,NULL),(6987,16,155,5,NULL,NULL),(6988,16,156,5,NULL,NULL),(6989,16,157,5,NULL,NULL),(6990,16,158,5,NULL,NULL),(6991,16,159,5,NULL,NULL),(6992,16,160,5,NULL,NULL),(6993,16,161,5,NULL,NULL),(6994,16,162,5,NULL,NULL),(6995,16,163,5,NULL,NULL),(6996,16,164,5,NULL,NULL),(6997,16,165,5,NULL,NULL),(6998,16,166,5,NULL,NULL),(6999,16,167,4,NULL,NULL),(7000,16,168,5,NULL,NULL),(7001,16,169,5,NULL,NULL),(7002,16,170,5,NULL,NULL),(7003,16,171,5,NULL,NULL),(7004,16,172,5,NULL,NULL),(7005,16,173,5,NULL,NULL),(7006,16,174,5,NULL,NULL),(7007,16,175,5,NULL,NULL),(7008,16,176,2,NULL,NULL),(7009,16,177,5,NULL,NULL),(7010,16,178,5,NULL,NULL),(7011,16,179,2,NULL,NULL),(7012,16,180,2,NULL,NULL),(7013,16,181,2,NULL,NULL),(7014,16,182,2,NULL,NULL),(7015,16,183,5,NULL,NULL),(7016,16,184,2,NULL,NULL),(7017,16,185,5,NULL,NULL),(7018,16,186,5,NULL,NULL),(7019,16,187,5,NULL,NULL),(7020,16,188,4,NULL,NULL),(7021,16,189,4,NULL,NULL),(7022,16,190,1,NULL,NULL),(7023,16,191,4,NULL,NULL),(7024,16,192,4,NULL,NULL),(7025,16,193,1,NULL,NULL),(7026,16,194,1,NULL,NULL),(7027,16,195,5,NULL,NULL),(7028,16,196,5,NULL,NULL),(7029,16,197,5,NULL,NULL),(7030,16,198,5,NULL,NULL),(7031,16,199,5,NULL,NULL),(7032,16,200,4,NULL,NULL),(7033,16,201,5,NULL,NULL),(7034,16,202,5,NULL,NULL),(7035,16,203,5,NULL,NULL),(7036,16,204,5,NULL,NULL),(7037,16,205,5,NULL,NULL),(7038,16,206,5,NULL,NULL),(7039,16,207,5,NULL,NULL),(7040,16,208,5,NULL,NULL),(7041,16,209,4,NULL,NULL),(7042,16,210,5,NULL,NULL),(7043,16,211,4,NULL,NULL),(7044,16,212,5,NULL,NULL),(7045,16,213,5,NULL,NULL),(7046,16,214,5,NULL,NULL),(7047,16,215,5,NULL,NULL),(7048,16,216,5,NULL,NULL),(7049,16,217,4,NULL,NULL),(7050,16,218,5,NULL,NULL),(7051,16,219,5,NULL,NULL),(7052,16,220,5,NULL,NULL),(7053,16,221,5,NULL,NULL),(7054,16,222,5,NULL,NULL),(7055,16,223,5,NULL,NULL),(7056,16,224,5,NULL,NULL),(7057,16,225,5,NULL,NULL),(7058,16,226,5,NULL,NULL),(7059,16,227,5,NULL,NULL),(7060,16,228,2,NULL,NULL),(7061,16,229,5,NULL,NULL),(7062,16,230,5,NULL,NULL),(7063,16,231,1,NULL,NULL),(7064,16,232,3,NULL,NULL),(7065,16,233,1,NULL,NULL),(7066,16,234,1,NULL,NULL),(7067,16,235,5,NULL,NULL),(7068,16,236,5,NULL,NULL),(7069,16,237,5,NULL,NULL),(7070,16,238,5,NULL,NULL),(7071,16,239,4,NULL,NULL),(7072,16,240,4,NULL,NULL),(7073,16,241,1,NULL,NULL),(7074,16,242,4,NULL,NULL),(7075,16,243,4,NULL,NULL),(7076,16,244,1,NULL,NULL),(7077,16,245,1,NULL,NULL),(7078,16,246,4,NULL,NULL),(7079,16,247,4,NULL,NULL),(7080,16,248,1,NULL,NULL),(7081,16,249,1,NULL,NULL),(7082,16,250,4,NULL,NULL),(7083,16,251,4,NULL,NULL),(7084,16,252,1,NULL,NULL),(7085,16,253,1,NULL,NULL),(7086,16,254,5,NULL,NULL),(7087,16,255,5,NULL,NULL),(7088,16,256,5,NULL,NULL),(7089,16,257,5,NULL,NULL),(7090,16,258,5,NULL,NULL),(7091,16,259,5,NULL,NULL),(7092,16,260,5,NULL,NULL),(7093,16,261,5,NULL,NULL),(7094,16,262,5,NULL,NULL),(7095,16,263,5,NULL,NULL),(7096,16,264,5,NULL,NULL),(7097,16,265,5,NULL,NULL),(7098,16,266,5,NULL,NULL),(7099,16,267,5,NULL,NULL),(7100,16,268,5,NULL,NULL),(7101,16,269,5,NULL,NULL),(7102,16,270,5,NULL,NULL),(7103,16,271,5,NULL,NULL),(7104,16,272,5,NULL,NULL),(7105,16,273,5,NULL,NULL),(7106,16,274,5,NULL,NULL),(7107,16,275,5,NULL,NULL),(7108,16,276,1,NULL,NULL),(7109,16,277,3,NULL,NULL),(7110,16,278,1,NULL,NULL),(7111,16,279,5,NULL,NULL),(7112,16,280,5,NULL,NULL),(7113,16,281,5,NULL,NULL),(7114,16,282,5,NULL,NULL),(7115,16,283,1,NULL,NULL),(7116,16,284,3,NULL,NULL),(7117,16,285,3,NULL,NULL),(7118,16,286,1,NULL,NULL),(7119,16,287,5,NULL,NULL),(7120,16,288,5,NULL,NULL),(7121,16,289,5,NULL,NULL),(7122,16,290,5,NULL,NULL),(7123,16,291,5,NULL,NULL),(7124,16,292,5,NULL,NULL),(7125,16,293,2,NULL,NULL),(7126,16,294,5,NULL,NULL),(7127,16,295,5,NULL,NULL),(7128,16,296,5,NULL,NULL),(7129,16,297,2,NULL,NULL),(7130,16,298,5,NULL,NULL),(7131,16,299,5,NULL,NULL),(7132,16,300,1,NULL,NULL),(7133,16,301,3,NULL,NULL),(7134,16,302,5,NULL,NULL),(7135,16,303,5,NULL,NULL),(7136,16,304,5,NULL,NULL),(7137,16,305,5,NULL,NULL),(7138,16,306,1,NULL,NULL),(7139,16,307,3,NULL,NULL),(7140,16,308,1,NULL,NULL),(7141,16,309,5,NULL,NULL),(7142,16,310,5,NULL,NULL),(7143,16,311,5,NULL,NULL),(7144,16,312,5,NULL,NULL),(7145,16,313,5,NULL,NULL),(7146,16,314,5,NULL,NULL),(7147,16,315,5,NULL,NULL),(7148,16,316,5,NULL,NULL),(7149,16,317,5,NULL,NULL),(7150,16,318,5,NULL,NULL),(7151,16,319,5,NULL,NULL),(7152,16,320,5,NULL,NULL),(7153,16,321,5,NULL,NULL),(7154,16,322,5,NULL,NULL),(7155,16,323,5,NULL,NULL),(7156,16,324,5,NULL,NULL),(7157,16,325,5,NULL,NULL),(7158,16,326,5,NULL,NULL),(7159,16,327,1,NULL,NULL),(7160,16,328,4,NULL,NULL),(7161,16,329,5,NULL,NULL),(7162,16,330,4,NULL,NULL),(7163,16,331,4,NULL,NULL),(7164,16,332,1,NULL,NULL),(7165,16,333,1,NULL,NULL),(7166,16,334,5,NULL,NULL),(7167,16,335,5,NULL,NULL),(7168,16,336,5,NULL,NULL),(7169,16,337,5,NULL,NULL),(7170,16,338,5,NULL,NULL),(7171,16,339,5,NULL,NULL),(7172,16,340,4,NULL,NULL),(7173,16,341,5,NULL,NULL),(7174,16,342,5,NULL,NULL),(7175,16,343,5,NULL,NULL),(7176,16,344,5,NULL,NULL),(7177,16,345,5,NULL,NULL),(7178,16,346,5,NULL,NULL),(7179,16,347,5,NULL,NULL),(7180,16,348,5,NULL,NULL),(7181,16,349,1,NULL,NULL),(7182,16,350,3,NULL,NULL),(7183,16,351,1,NULL,NULL),(7184,16,352,1,NULL,NULL),(7185,16,353,5,NULL,NULL),(7186,16,354,5,NULL,NULL),(7187,16,355,5,NULL,NULL),(7188,16,356,5,NULL,NULL),(7189,16,357,5,NULL,NULL),(7190,16,358,5,NULL,NULL),(7191,16,359,5,NULL,NULL),(7192,16,360,5,NULL,NULL),(7193,16,361,5,NULL,NULL),(7194,16,362,5,NULL,NULL),(7195,16,363,5,NULL,NULL),(7196,16,364,5,NULL,NULL),(7197,16,365,5,NULL,NULL),(7198,16,366,5,NULL,NULL),(7199,16,367,5,NULL,NULL),(7200,16,368,5,NULL,NULL),(7201,16,369,5,NULL,NULL),(7202,16,370,5,NULL,NULL),(7203,16,371,5,NULL,NULL),(7204,16,372,5,NULL,NULL),(7205,16,373,5,NULL,NULL),(7206,16,374,5,NULL,NULL),(7207,16,375,5,NULL,NULL),(7208,16,376,5,NULL,NULL),(7209,16,377,5,NULL,NULL),(7210,16,378,5,NULL,NULL),(7211,16,379,5,NULL,NULL),(7212,16,380,5,NULL,NULL),(7213,16,381,5,NULL,NULL),(7214,16,382,5,NULL,NULL),(7215,16,383,5,NULL,NULL),(7216,16,384,5,NULL,NULL),(7217,16,385,5,NULL,NULL),(7218,16,386,5,NULL,NULL),(7219,16,387,5,NULL,NULL),(7220,16,388,5,NULL,NULL),(7221,16,389,5,NULL,NULL),(7222,16,390,5,NULL,NULL),(7223,16,391,5,NULL,NULL),(7224,16,392,5,NULL,NULL),(7225,16,393,5,NULL,NULL),(7226,16,394,5,NULL,NULL),(7227,16,395,5,NULL,NULL),(7228,16,396,5,NULL,NULL),(7229,16,397,5,NULL,NULL),(7230,16,398,5,NULL,NULL),(7231,16,399,5,NULL,NULL),(7232,16,400,5,NULL,NULL),(7233,16,401,5,NULL,NULL),(7234,16,402,5,NULL,NULL),(7235,16,403,5,NULL,NULL),(7236,16,404,5,NULL,NULL),(7237,16,405,5,NULL,NULL),(7238,16,406,5,NULL,NULL),(7239,16,407,5,NULL,NULL),(7240,16,408,5,NULL,NULL),(7241,16,409,5,NULL,NULL),(7242,16,410,5,NULL,NULL),(7243,16,411,5,NULL,NULL),(7244,16,412,5,NULL,NULL),(7245,16,413,5,NULL,NULL),(7246,16,414,5,NULL,NULL),(7247,16,415,5,NULL,NULL),(7248,16,416,5,NULL,NULL),(7249,16,417,5,NULL,NULL),(7250,16,418,5,NULL,NULL),(7251,16,419,5,NULL,NULL),(7252,16,420,5,NULL,NULL),(7253,16,421,5,NULL,NULL),(7254,16,422,5,NULL,NULL),(7255,16,423,5,NULL,NULL),(7256,16,424,5,NULL,NULL),(7257,16,425,5,NULL,NULL),(7258,16,426,5,NULL,NULL),(7259,16,427,5,NULL,NULL),(7260,17,1,5,NULL,NULL),(7261,17,2,5,NULL,NULL),(7262,17,3,5,NULL,NULL),(7263,17,4,5,NULL,NULL),(7264,17,5,5,NULL,NULL),(7265,17,6,5,NULL,NULL),(7266,17,7,5,NULL,NULL),(7267,17,8,5,NULL,NULL),(7268,17,9,5,NULL,NULL),(7269,17,10,5,NULL,NULL),(7270,17,11,5,NULL,NULL),(7271,17,12,5,NULL,NULL),(7272,17,13,5,NULL,NULL),(7273,17,14,5,NULL,NULL),(7274,17,15,5,NULL,NULL),(7275,17,16,5,NULL,NULL),(7276,17,17,5,NULL,NULL),(7277,17,18,5,NULL,NULL),(7278,17,19,5,NULL,NULL),(7279,17,20,5,NULL,NULL),(7280,17,21,5,NULL,NULL),(7281,17,22,5,NULL,NULL),(7282,17,23,5,NULL,NULL),(7283,17,24,5,NULL,NULL),(7284,17,25,5,NULL,NULL),(7285,17,26,5,NULL,NULL),(7286,17,27,5,NULL,NULL),(7287,17,28,5,NULL,NULL),(7288,17,29,5,NULL,NULL),(7289,17,30,5,NULL,NULL),(7290,17,31,5,NULL,NULL),(7291,17,32,5,NULL,NULL),(7292,17,33,5,NULL,NULL),(7293,17,34,5,NULL,NULL),(7294,17,35,5,NULL,NULL),(7295,17,36,5,NULL,NULL),(7296,17,37,5,NULL,NULL),(7297,17,38,5,NULL,NULL),(7298,17,39,5,NULL,NULL),(7299,17,40,5,NULL,NULL),(7300,17,41,5,NULL,NULL),(7301,17,42,5,NULL,NULL),(7302,17,43,5,NULL,NULL),(7303,17,44,5,NULL,NULL),(7304,17,45,5,NULL,NULL),(7305,17,46,5,NULL,NULL),(7306,17,47,5,NULL,NULL),(7307,17,48,5,NULL,NULL),(7308,17,49,5,NULL,NULL),(7309,17,50,5,NULL,NULL),(7310,17,51,5,NULL,NULL),(7311,17,52,5,NULL,NULL),(7312,17,53,5,NULL,NULL),(7313,17,54,5,NULL,NULL),(7314,17,55,5,NULL,NULL),(7315,17,56,5,NULL,NULL),(7316,17,57,5,NULL,NULL),(7317,17,58,5,NULL,NULL),(7318,17,59,5,NULL,NULL),(7319,17,60,5,NULL,NULL),(7320,17,61,5,NULL,NULL),(7321,17,62,5,NULL,NULL),(7322,17,63,5,NULL,NULL),(7323,17,64,5,NULL,NULL),(7324,17,65,5,NULL,NULL),(7325,17,66,5,NULL,NULL),(7326,17,67,5,NULL,NULL),(7327,17,68,5,NULL,NULL),(7328,17,69,5,NULL,NULL),(7329,17,70,5,NULL,NULL),(7330,17,71,5,NULL,NULL),(7331,17,72,5,NULL,NULL),(7332,17,73,5,NULL,NULL),(7333,17,74,5,NULL,NULL),(7334,17,75,5,NULL,NULL),(7335,17,76,5,NULL,NULL),(7336,17,77,5,NULL,NULL),(7337,17,78,5,NULL,NULL),(7338,17,79,5,NULL,NULL),(7339,17,80,5,NULL,NULL),(7340,17,81,5,NULL,NULL),(7341,17,82,5,NULL,NULL),(7342,17,83,5,NULL,NULL),(7343,17,84,5,NULL,NULL),(7344,17,85,5,NULL,NULL),(7345,17,86,5,NULL,NULL),(7346,17,87,5,NULL,NULL),(7347,17,88,5,NULL,NULL),(7348,17,89,5,NULL,NULL),(7349,17,90,5,NULL,NULL),(7350,17,91,5,NULL,NULL),(7351,17,92,5,NULL,NULL),(7352,17,93,5,NULL,NULL),(7353,17,94,5,NULL,NULL),(7354,17,95,5,NULL,NULL),(7355,17,96,5,NULL,NULL),(7356,17,97,5,NULL,NULL),(7357,17,98,5,NULL,NULL),(7358,17,99,5,NULL,NULL),(7359,17,100,5,NULL,NULL),(7360,17,101,5,NULL,NULL),(7361,17,102,5,NULL,NULL),(7362,17,103,5,NULL,NULL),(7363,17,104,5,NULL,NULL),(7364,17,105,5,NULL,NULL),(7365,17,106,5,NULL,NULL),(7366,17,107,5,NULL,NULL),(7367,17,108,5,NULL,NULL),(7368,17,109,5,NULL,NULL),(7369,17,110,5,NULL,NULL),(7370,17,111,5,NULL,NULL),(7371,17,112,5,NULL,NULL),(7372,17,113,5,NULL,NULL),(7373,17,114,5,NULL,NULL),(7374,17,115,5,NULL,NULL),(7375,17,116,5,NULL,NULL),(7376,17,117,5,NULL,NULL),(7377,17,118,5,NULL,NULL),(7378,17,119,5,NULL,NULL),(7379,17,120,5,NULL,NULL),(7380,17,121,5,NULL,NULL),(7381,17,122,5,NULL,NULL),(7382,17,123,5,NULL,NULL),(7383,17,124,5,NULL,NULL),(7384,17,125,5,NULL,NULL),(7385,17,126,5,NULL,NULL),(7386,17,127,5,NULL,NULL),(7387,17,128,5,NULL,NULL),(7388,17,129,5,NULL,NULL),(7389,17,130,5,NULL,NULL),(7390,17,131,5,NULL,NULL),(7391,17,132,5,NULL,NULL),(7392,17,133,5,NULL,NULL),(7393,17,134,5,NULL,NULL),(7394,17,135,5,NULL,NULL),(7395,17,136,5,NULL,NULL),(7396,17,137,5,NULL,NULL),(7397,17,138,5,NULL,NULL),(7398,17,139,5,NULL,NULL),(7399,17,140,5,NULL,NULL),(7400,17,141,5,NULL,NULL),(7401,17,142,5,NULL,NULL),(7402,17,143,5,NULL,NULL),(7403,17,144,5,NULL,NULL),(7404,17,145,5,NULL,NULL),(7405,17,146,5,NULL,NULL),(7406,17,147,5,NULL,NULL),(7407,17,148,5,NULL,NULL),(7408,17,149,5,NULL,NULL),(7409,17,150,5,NULL,NULL),(7410,17,151,5,NULL,NULL),(7411,17,152,5,NULL,NULL),(7412,17,153,5,NULL,NULL),(7413,17,154,5,NULL,NULL),(7414,17,155,5,NULL,NULL),(7415,17,156,5,NULL,NULL),(7416,17,157,5,NULL,NULL),(7417,17,158,5,NULL,NULL),(7418,17,159,5,NULL,NULL),(7419,17,160,5,NULL,NULL),(7420,17,161,5,NULL,NULL),(7421,17,162,5,NULL,NULL),(7422,17,163,5,NULL,NULL),(7423,17,164,5,NULL,NULL),(7424,17,165,5,NULL,NULL),(7425,17,166,5,NULL,NULL),(7426,17,167,4,NULL,NULL),(7427,17,168,5,NULL,NULL),(7428,17,169,5,NULL,NULL),(7429,17,170,5,NULL,NULL),(7430,17,171,5,NULL,NULL),(7431,17,172,5,NULL,NULL),(7432,17,173,5,NULL,NULL),(7433,17,174,5,NULL,NULL),(7434,17,175,5,NULL,NULL),(7435,17,176,2,NULL,NULL),(7436,17,177,5,NULL,NULL),(7437,17,178,5,NULL,NULL),(7438,17,179,2,NULL,NULL),(7439,17,180,2,NULL,NULL),(7440,17,181,2,NULL,NULL),(7441,17,182,2,NULL,NULL),(7442,17,183,5,NULL,NULL),(7443,17,184,2,NULL,NULL),(7444,17,185,5,NULL,NULL),(7445,17,186,5,NULL,NULL),(7446,17,187,5,NULL,NULL),(7447,17,188,4,NULL,NULL),(7448,17,189,4,NULL,NULL),(7449,17,190,1,NULL,NULL),(7450,17,191,4,NULL,NULL),(7451,17,192,4,NULL,NULL),(7452,17,193,1,NULL,NULL),(7453,17,194,1,NULL,NULL),(7454,17,195,5,NULL,NULL),(7455,17,196,5,NULL,NULL),(7456,17,197,5,NULL,NULL),(7457,17,198,5,NULL,NULL),(7458,17,199,5,NULL,NULL),(7459,17,200,4,NULL,NULL),(7460,17,201,5,NULL,NULL),(7461,17,202,5,NULL,NULL),(7462,17,203,5,NULL,NULL),(7463,17,204,5,NULL,NULL),(7464,17,205,5,NULL,NULL),(7465,17,206,5,NULL,NULL),(7466,17,207,5,NULL,NULL),(7467,17,208,5,NULL,NULL),(7468,17,209,4,NULL,NULL),(7469,17,210,5,NULL,NULL),(7470,17,211,4,NULL,NULL),(7471,17,212,5,NULL,NULL),(7472,17,213,5,NULL,NULL),(7473,17,214,5,NULL,NULL),(7474,17,215,5,NULL,NULL),(7475,17,216,5,NULL,NULL),(7476,17,217,4,NULL,NULL),(7477,17,218,5,NULL,NULL),(7478,17,219,5,NULL,NULL),(7479,17,220,5,NULL,NULL),(7480,17,221,5,NULL,NULL),(7481,17,222,5,NULL,NULL),(7482,17,223,5,NULL,NULL),(7483,17,224,5,NULL,NULL),(7484,17,225,5,NULL,NULL),(7485,17,226,5,NULL,NULL),(7486,17,227,5,NULL,NULL),(7487,17,228,2,NULL,NULL),(7488,17,229,5,NULL,NULL),(7489,17,230,5,NULL,NULL),(7490,17,231,1,NULL,NULL),(7491,17,232,3,NULL,NULL),(7492,17,233,1,NULL,NULL),(7493,17,234,1,NULL,NULL),(7494,17,235,5,NULL,NULL),(7495,17,236,5,NULL,NULL),(7496,17,237,5,NULL,NULL),(7497,17,238,5,NULL,NULL),(7498,17,239,4,NULL,NULL),(7499,17,240,4,NULL,NULL),(7500,17,241,1,NULL,NULL),(7501,17,242,4,NULL,NULL),(7502,17,243,4,NULL,NULL),(7503,17,244,1,NULL,NULL),(7504,17,245,1,NULL,NULL),(7505,17,246,4,NULL,NULL),(7506,17,247,4,NULL,NULL),(7507,17,248,1,NULL,NULL),(7508,17,249,1,NULL,NULL),(7509,17,250,4,NULL,NULL),(7510,17,251,4,NULL,NULL),(7511,17,252,1,NULL,NULL),(7512,17,253,1,NULL,NULL),(7513,17,254,5,NULL,NULL),(7514,17,255,5,NULL,NULL),(7515,17,256,5,NULL,NULL),(7516,17,257,5,NULL,NULL),(7517,17,258,5,NULL,NULL),(7518,17,259,5,NULL,NULL),(7519,17,260,5,NULL,NULL),(7520,17,261,5,NULL,NULL),(7521,17,262,5,NULL,NULL),(7522,17,263,5,NULL,NULL),(7523,17,264,5,NULL,NULL),(7524,17,265,5,NULL,NULL),(7525,17,266,5,NULL,NULL),(7526,17,267,5,NULL,NULL),(7527,17,268,5,NULL,NULL),(7528,17,269,5,NULL,NULL),(7529,17,270,5,NULL,NULL),(7530,17,271,5,NULL,NULL),(7531,17,272,5,NULL,NULL),(7532,17,273,5,NULL,NULL),(7533,17,274,5,NULL,NULL),(7534,17,275,5,NULL,NULL),(7535,17,276,1,NULL,NULL),(7536,17,277,3,NULL,NULL),(7537,17,278,1,NULL,NULL),(7538,17,279,5,NULL,NULL),(7539,17,280,5,NULL,NULL),(7540,17,281,5,NULL,NULL),(7541,17,282,5,NULL,NULL),(7542,17,283,1,NULL,NULL),(7543,17,284,3,NULL,NULL),(7544,17,285,3,NULL,NULL),(7545,17,286,1,NULL,NULL),(7546,17,287,5,NULL,NULL),(7547,17,288,5,NULL,NULL),(7548,17,289,5,NULL,NULL),(7549,17,290,5,NULL,NULL),(7550,17,291,5,NULL,NULL),(7551,17,292,5,NULL,NULL),(7552,17,293,2,NULL,NULL),(7553,17,294,5,NULL,NULL),(7554,17,295,5,NULL,NULL),(7555,17,296,5,NULL,NULL),(7556,17,297,2,NULL,NULL),(7557,17,298,5,NULL,NULL),(7558,17,299,5,NULL,NULL),(7559,17,300,1,NULL,NULL),(7560,17,301,3,NULL,NULL),(7561,17,302,5,NULL,NULL),(7562,17,303,5,NULL,NULL),(7563,17,304,5,NULL,NULL),(7564,17,305,5,NULL,NULL),(7565,17,306,1,NULL,NULL),(7566,17,307,3,NULL,NULL),(7567,17,308,1,NULL,NULL),(7568,17,309,5,NULL,NULL),(7569,17,310,5,NULL,NULL),(7570,17,311,5,NULL,NULL),(7571,17,312,5,NULL,NULL),(7572,17,313,5,NULL,NULL),(7573,17,314,5,NULL,NULL),(7574,17,315,5,NULL,NULL),(7575,17,316,5,NULL,NULL),(7576,17,317,5,NULL,NULL),(7577,17,318,5,NULL,NULL),(7578,17,319,5,NULL,NULL),(7579,17,320,5,NULL,NULL),(7580,17,321,5,NULL,NULL),(7581,17,322,5,NULL,NULL),(7582,17,323,5,NULL,NULL),(7583,17,324,5,NULL,NULL),(7584,17,325,5,NULL,NULL),(7585,17,326,5,NULL,NULL),(7586,17,327,1,NULL,NULL),(7587,17,328,4,NULL,NULL),(7588,17,329,5,NULL,NULL),(7589,17,330,4,NULL,NULL),(7590,17,331,4,NULL,NULL),(7591,17,332,1,NULL,NULL),(7592,17,333,1,NULL,NULL),(7593,17,334,5,NULL,NULL),(7594,17,335,5,NULL,NULL),(7595,17,336,5,NULL,NULL),(7596,17,337,5,NULL,NULL),(7597,17,338,5,NULL,NULL),(7598,17,339,5,NULL,NULL),(7599,17,340,4,NULL,NULL),(7600,17,341,5,NULL,NULL),(7601,17,342,5,NULL,NULL),(7602,17,343,5,NULL,NULL),(7603,17,344,5,NULL,NULL),(7604,17,345,5,NULL,NULL),(7605,17,346,5,NULL,NULL),(7606,17,347,5,NULL,NULL),(7607,17,348,5,NULL,NULL),(7608,17,349,1,NULL,NULL),(7609,17,350,3,NULL,NULL),(7610,17,351,1,NULL,NULL),(7611,17,352,1,NULL,NULL),(7612,17,353,5,NULL,NULL),(7613,17,354,5,NULL,NULL),(7614,17,355,5,NULL,NULL),(7615,17,356,5,NULL,NULL),(7616,17,357,5,NULL,NULL),(7617,17,358,5,NULL,NULL),(7618,17,359,5,NULL,NULL),(7619,17,360,5,NULL,NULL),(7620,17,361,5,NULL,NULL),(7621,17,362,5,NULL,NULL),(7622,17,363,5,NULL,NULL),(7623,17,364,5,NULL,NULL),(7624,17,365,5,NULL,NULL),(7625,17,366,5,NULL,NULL),(7626,17,367,5,NULL,NULL),(7627,17,368,5,NULL,NULL),(7628,17,369,5,NULL,NULL),(7629,17,370,5,NULL,NULL),(7630,17,371,5,NULL,NULL),(7631,17,372,5,NULL,NULL),(7632,17,373,5,NULL,NULL),(7633,17,374,5,NULL,NULL),(7634,17,375,5,NULL,NULL),(7635,17,376,5,NULL,NULL),(7636,17,377,5,NULL,NULL),(7637,17,378,5,NULL,NULL),(7638,17,379,5,NULL,NULL),(7639,17,380,5,NULL,NULL),(7640,17,381,5,NULL,NULL),(7641,17,382,5,NULL,NULL),(7642,17,383,5,NULL,NULL),(7643,17,384,5,NULL,NULL),(7644,17,385,5,NULL,NULL),(7645,17,386,5,NULL,NULL),(7646,17,387,5,NULL,NULL),(7647,17,388,5,NULL,NULL),(7648,17,389,5,NULL,NULL),(7649,17,390,5,NULL,NULL),(7650,17,391,5,NULL,NULL),(7651,17,392,5,NULL,NULL),(7652,17,393,5,NULL,NULL),(7653,17,394,5,NULL,NULL),(7654,17,395,5,NULL,NULL),(7655,17,396,5,NULL,NULL),(7656,17,397,5,NULL,NULL),(7657,17,398,5,NULL,NULL),(7658,17,399,5,NULL,NULL),(7659,17,400,5,NULL,NULL),(7660,17,401,5,NULL,NULL),(7661,17,402,5,NULL,NULL),(7662,17,403,5,NULL,NULL),(7663,17,404,5,NULL,NULL),(7664,17,405,5,NULL,NULL),(7665,17,406,5,NULL,NULL),(7666,17,407,5,NULL,NULL),(7667,17,408,5,NULL,NULL),(7668,17,409,5,NULL,NULL),(7669,17,410,5,NULL,NULL),(7670,17,411,5,NULL,NULL),(7671,17,412,5,NULL,NULL),(7672,17,413,5,NULL,NULL),(7673,17,414,5,NULL,NULL),(7674,17,415,5,NULL,NULL),(7675,17,416,5,NULL,NULL),(7676,17,417,5,NULL,NULL),(7677,17,418,5,NULL,NULL),(7678,17,419,5,NULL,NULL),(7679,17,420,5,NULL,NULL),(7680,17,421,5,NULL,NULL),(7681,17,422,5,NULL,NULL),(7682,17,423,5,NULL,NULL),(7683,17,424,5,NULL,NULL),(7684,17,425,5,NULL,NULL),(7685,17,426,5,NULL,NULL),(7686,17,427,5,NULL,NULL),(7687,18,1,5,NULL,NULL),(7688,18,2,5,NULL,NULL),(7689,18,3,5,NULL,NULL),(7690,18,4,5,NULL,NULL),(7691,18,5,5,NULL,NULL),(7692,18,6,5,NULL,NULL),(7693,18,7,5,NULL,NULL),(7694,18,8,5,NULL,NULL),(7695,18,9,5,NULL,NULL),(7696,18,10,5,NULL,NULL),(7697,18,11,5,NULL,NULL),(7698,18,12,5,NULL,NULL),(7699,18,13,5,NULL,NULL),(7700,18,14,5,NULL,NULL),(7701,18,15,5,NULL,NULL),(7702,18,16,5,NULL,NULL),(7703,18,17,5,NULL,NULL),(7704,18,18,5,NULL,NULL),(7705,18,19,5,NULL,NULL),(7706,18,20,5,NULL,NULL),(7707,18,21,5,NULL,NULL),(7708,18,22,5,NULL,NULL),(7709,18,23,5,NULL,NULL),(7710,18,24,5,NULL,NULL),(7711,18,25,5,NULL,NULL),(7712,18,26,5,NULL,NULL),(7713,18,27,5,NULL,NULL),(7714,18,28,5,NULL,NULL),(7715,18,29,5,NULL,NULL),(7716,18,30,5,NULL,NULL),(7717,18,31,5,NULL,NULL),(7718,18,32,5,NULL,NULL),(7719,18,33,5,NULL,NULL),(7720,18,34,5,NULL,NULL),(7721,18,35,5,NULL,NULL),(7722,18,36,5,NULL,NULL),(7723,18,37,5,NULL,NULL),(7724,18,38,5,NULL,NULL),(7725,18,39,5,NULL,NULL),(7726,18,40,5,NULL,NULL),(7727,18,41,5,NULL,NULL),(7728,18,42,5,NULL,NULL),(7729,18,43,5,NULL,NULL),(7730,18,44,5,NULL,NULL),(7731,18,45,5,NULL,NULL),(7732,18,46,5,NULL,NULL),(7733,18,47,5,NULL,NULL),(7734,18,48,5,NULL,NULL),(7735,18,49,5,NULL,NULL),(7736,18,50,5,NULL,NULL),(7737,18,51,5,NULL,NULL),(7738,18,52,5,NULL,NULL),(7739,18,53,5,NULL,NULL),(7740,18,54,5,NULL,NULL),(7741,18,55,5,NULL,NULL),(7742,18,56,5,NULL,NULL),(7743,18,57,5,NULL,NULL),(7744,18,58,5,NULL,NULL),(7745,18,59,5,NULL,NULL),(7746,18,60,5,NULL,NULL),(7747,18,61,5,NULL,NULL),(7748,18,62,5,NULL,NULL),(7749,18,63,5,NULL,NULL),(7750,18,64,5,NULL,NULL),(7751,18,65,5,NULL,NULL),(7752,18,66,5,NULL,NULL),(7753,18,67,5,NULL,NULL),(7754,18,68,5,NULL,NULL),(7755,18,69,5,NULL,NULL),(7756,18,70,5,NULL,NULL),(7757,18,71,5,NULL,NULL),(7758,18,72,5,NULL,NULL),(7759,18,73,5,NULL,NULL),(7760,18,74,5,NULL,NULL),(7761,18,75,5,NULL,NULL),(7762,18,76,5,NULL,NULL),(7763,18,77,5,NULL,NULL),(7764,18,78,5,NULL,NULL),(7765,18,79,5,NULL,NULL),(7766,18,80,5,NULL,NULL),(7767,18,81,5,NULL,NULL),(7768,18,82,5,NULL,NULL),(7769,18,83,5,NULL,NULL),(7770,18,84,5,NULL,NULL),(7771,18,85,5,NULL,NULL),(7772,18,86,5,NULL,NULL),(7773,18,87,5,NULL,NULL),(7774,18,88,5,NULL,NULL),(7775,18,89,5,NULL,NULL),(7776,18,90,5,NULL,NULL),(7777,18,91,5,NULL,NULL),(7778,18,92,5,NULL,NULL),(7779,18,93,5,NULL,NULL),(7780,18,94,5,NULL,NULL),(7781,18,95,5,NULL,NULL),(7782,18,96,5,NULL,NULL),(7783,18,97,5,NULL,NULL),(7784,18,98,5,NULL,NULL),(7785,18,99,5,NULL,NULL),(7786,18,100,5,NULL,NULL),(7787,18,101,5,NULL,NULL),(7788,18,102,5,NULL,NULL),(7789,18,103,5,NULL,NULL),(7790,18,104,5,NULL,NULL),(7791,18,105,5,NULL,NULL),(7792,18,106,5,NULL,NULL),(7793,18,107,5,NULL,NULL),(7794,18,108,5,NULL,NULL),(7795,18,109,5,NULL,NULL),(7796,18,110,5,NULL,NULL),(7797,18,111,5,NULL,NULL),(7798,18,112,5,NULL,NULL),(7799,18,113,5,NULL,NULL),(7800,18,114,5,NULL,NULL),(7801,18,115,5,NULL,NULL),(7802,18,116,5,NULL,NULL),(7803,18,117,5,NULL,NULL),(7804,18,118,5,NULL,NULL),(7805,18,119,5,NULL,NULL),(7806,18,120,5,NULL,NULL),(7807,18,121,5,NULL,NULL),(7808,18,122,5,NULL,NULL),(7809,18,123,5,NULL,NULL),(7810,18,124,5,NULL,NULL),(7811,18,125,5,NULL,NULL),(7812,18,126,5,NULL,NULL),(7813,18,127,5,NULL,NULL),(7814,18,128,5,NULL,NULL),(7815,18,129,5,NULL,NULL),(7816,18,130,5,NULL,NULL),(7817,18,131,5,NULL,NULL),(7818,18,132,5,NULL,NULL),(7819,18,133,5,NULL,NULL),(7820,18,134,5,NULL,NULL),(7821,18,135,5,NULL,NULL),(7822,18,136,5,NULL,NULL),(7823,18,137,5,NULL,NULL),(7824,18,138,5,NULL,NULL),(7825,18,139,5,NULL,NULL),(7826,18,140,5,NULL,NULL),(7827,18,141,5,NULL,NULL),(7828,18,142,5,NULL,NULL),(7829,18,143,5,NULL,NULL),(7830,18,144,5,NULL,NULL),(7831,18,145,5,NULL,NULL),(7832,18,146,5,NULL,NULL),(7833,18,147,5,NULL,NULL),(7834,18,148,5,NULL,NULL),(7835,18,149,5,NULL,NULL),(7836,18,150,5,NULL,NULL),(7837,18,151,5,NULL,NULL),(7838,18,152,5,NULL,NULL),(7839,18,153,5,NULL,NULL),(7840,18,154,5,NULL,NULL),(7841,18,155,5,NULL,NULL),(7842,18,156,5,NULL,NULL),(7843,18,157,5,NULL,NULL),(7844,18,158,5,NULL,NULL),(7845,18,159,5,NULL,NULL),(7846,18,160,5,NULL,NULL),(7847,18,161,5,NULL,NULL),(7848,18,162,5,NULL,NULL),(7849,18,163,5,NULL,NULL),(7850,18,164,5,NULL,NULL),(7851,18,165,5,NULL,NULL),(7852,18,166,5,NULL,NULL),(7853,18,167,4,NULL,NULL),(7854,18,168,5,NULL,NULL),(7855,18,169,5,NULL,NULL),(7856,18,170,5,NULL,NULL),(7857,18,171,5,NULL,NULL),(7858,18,172,5,NULL,NULL),(7859,18,173,5,NULL,NULL),(7860,18,174,5,NULL,NULL),(7861,18,175,5,NULL,NULL),(7862,18,176,2,NULL,NULL),(7863,18,177,5,NULL,NULL),(7864,18,178,5,NULL,NULL),(7865,18,179,2,NULL,NULL),(7866,18,180,2,NULL,NULL),(7867,18,181,2,NULL,NULL),(7868,18,182,2,NULL,NULL),(7869,18,183,5,NULL,NULL),(7870,18,184,2,NULL,NULL),(7871,18,185,5,NULL,NULL),(7872,18,186,5,NULL,NULL),(7873,18,187,5,NULL,NULL),(7874,18,188,4,NULL,NULL),(7875,18,189,4,NULL,NULL),(7876,18,190,1,NULL,NULL),(7877,18,191,4,NULL,NULL),(7878,18,192,4,NULL,NULL),(7879,18,193,1,NULL,NULL),(7880,18,194,1,NULL,NULL),(7881,18,195,5,NULL,NULL),(7882,18,196,5,NULL,NULL),(7883,18,197,5,NULL,NULL),(7884,18,198,5,NULL,NULL),(7885,18,199,5,NULL,NULL),(7886,18,200,4,NULL,NULL),(7887,18,201,5,NULL,NULL),(7888,18,202,5,NULL,NULL),(7889,18,203,5,NULL,NULL),(7890,18,204,5,NULL,NULL),(7891,18,205,5,NULL,NULL),(7892,18,206,5,NULL,NULL),(7893,18,207,5,NULL,NULL),(7894,18,208,5,NULL,NULL),(7895,18,209,4,NULL,NULL),(7896,18,210,5,NULL,NULL),(7897,18,211,4,NULL,NULL),(7898,18,212,5,NULL,NULL),(7899,18,213,5,NULL,NULL),(7900,18,214,5,NULL,NULL),(7901,18,215,5,NULL,NULL),(7902,18,216,5,NULL,NULL),(7903,18,217,4,NULL,NULL),(7904,18,218,5,NULL,NULL),(7905,18,219,5,NULL,NULL),(7906,18,220,5,NULL,NULL),(7907,18,221,5,NULL,NULL),(7908,18,222,5,NULL,NULL),(7909,18,223,5,NULL,NULL),(7910,18,224,5,NULL,NULL),(7911,18,225,5,NULL,NULL),(7912,18,226,5,NULL,NULL),(7913,18,227,5,NULL,NULL),(7914,18,228,2,NULL,NULL),(7915,18,229,5,NULL,NULL),(7916,18,230,5,NULL,NULL),(7917,18,231,1,NULL,NULL),(7918,18,232,3,NULL,NULL),(7919,18,233,1,NULL,NULL),(7920,18,234,1,NULL,NULL),(7921,18,235,5,NULL,NULL),(7922,18,236,5,NULL,NULL),(7923,18,237,5,NULL,NULL),(7924,18,238,5,NULL,NULL),(7925,18,239,4,NULL,NULL),(7926,18,240,4,NULL,NULL),(7927,18,241,1,NULL,NULL),(7928,18,242,4,NULL,NULL),(7929,18,243,4,NULL,NULL),(7930,18,244,1,NULL,NULL),(7931,18,245,1,NULL,NULL),(7932,18,246,4,NULL,NULL),(7933,18,247,4,NULL,NULL),(7934,18,248,1,NULL,NULL),(7935,18,249,1,NULL,NULL),(7936,18,250,4,NULL,NULL),(7937,18,251,4,NULL,NULL),(7938,18,252,1,NULL,NULL),(7939,18,253,1,NULL,NULL),(7940,18,254,5,NULL,NULL),(7941,18,255,5,NULL,NULL),(7942,18,256,5,NULL,NULL),(7943,18,257,5,NULL,NULL),(7944,18,258,5,NULL,NULL),(7945,18,259,5,NULL,NULL),(7946,18,260,5,NULL,NULL),(7947,18,261,5,NULL,NULL),(7948,18,262,5,NULL,NULL),(7949,18,263,5,NULL,NULL),(7950,18,264,5,NULL,NULL),(7951,18,265,5,NULL,NULL),(7952,18,266,5,NULL,NULL),(7953,18,267,5,NULL,NULL),(7954,18,268,5,NULL,NULL),(7955,18,269,5,NULL,NULL),(7956,18,270,5,NULL,NULL),(7957,18,271,5,NULL,NULL),(7958,18,272,5,NULL,NULL),(7959,18,273,5,NULL,NULL),(7960,18,274,5,NULL,NULL),(7961,18,275,5,NULL,NULL),(7962,18,276,1,NULL,NULL),(7963,18,277,3,NULL,NULL),(7964,18,278,1,NULL,NULL),(7965,18,279,5,NULL,NULL),(7966,18,280,5,NULL,NULL),(7967,18,281,5,NULL,NULL),(7968,18,282,5,NULL,NULL),(7969,18,283,1,NULL,NULL),(7970,18,284,3,NULL,NULL),(7971,18,285,3,NULL,NULL),(7972,18,286,1,NULL,NULL),(7973,18,287,5,NULL,NULL),(7974,18,288,5,NULL,NULL),(7975,18,289,5,NULL,NULL),(7976,18,290,5,NULL,NULL),(7977,18,291,5,NULL,NULL),(7978,18,292,5,NULL,NULL),(7979,18,293,2,NULL,NULL),(7980,18,294,5,NULL,NULL),(7981,18,295,5,NULL,NULL),(7982,18,296,5,NULL,NULL),(7983,18,297,2,NULL,NULL),(7984,18,298,5,NULL,NULL),(7985,18,299,5,NULL,NULL),(7986,18,300,1,NULL,NULL),(7987,18,301,3,NULL,NULL),(7988,18,302,5,NULL,NULL),(7989,18,303,5,NULL,NULL),(7990,18,304,5,NULL,NULL),(7991,18,305,5,NULL,NULL),(7992,18,306,1,NULL,NULL),(7993,18,307,3,NULL,NULL),(7994,18,308,1,NULL,NULL),(7995,18,309,5,NULL,NULL),(7996,18,310,5,NULL,NULL),(7997,18,311,5,NULL,NULL),(7998,18,312,5,NULL,NULL),(7999,18,313,5,NULL,NULL),(8000,18,314,5,NULL,NULL),(8001,18,315,5,NULL,NULL),(8002,18,316,5,NULL,NULL),(8003,18,317,5,NULL,NULL),(8004,18,318,5,NULL,NULL),(8005,18,319,5,NULL,NULL),(8006,18,320,5,NULL,NULL),(8007,18,321,5,NULL,NULL),(8008,18,322,5,NULL,NULL),(8009,18,323,5,NULL,NULL),(8010,18,324,5,NULL,NULL),(8011,18,325,5,NULL,NULL),(8012,18,326,5,NULL,NULL),(8013,18,327,1,NULL,NULL),(8014,18,328,4,NULL,NULL),(8015,18,329,5,NULL,NULL),(8016,18,330,4,NULL,NULL),(8017,18,331,4,NULL,NULL),(8018,18,332,1,NULL,NULL),(8019,18,333,1,NULL,NULL),(8020,18,334,5,NULL,NULL),(8021,18,335,5,NULL,NULL),(8022,18,336,5,NULL,NULL),(8023,18,337,5,NULL,NULL),(8024,18,338,5,NULL,NULL),(8025,18,339,5,NULL,NULL),(8026,18,340,4,NULL,NULL),(8027,18,341,5,NULL,NULL),(8028,18,342,5,NULL,NULL),(8029,18,343,5,NULL,NULL),(8030,18,344,5,NULL,NULL),(8031,18,345,5,NULL,NULL),(8032,18,346,5,NULL,NULL),(8033,18,347,5,NULL,NULL),(8034,18,348,5,NULL,NULL),(8035,18,349,1,NULL,NULL),(8036,18,350,3,NULL,NULL),(8037,18,351,1,NULL,NULL),(8038,18,352,1,NULL,NULL),(8039,18,353,5,NULL,NULL),(8040,18,354,5,NULL,NULL),(8041,18,355,5,NULL,NULL),(8042,18,356,5,NULL,NULL),(8043,18,357,5,NULL,NULL),(8044,18,358,5,NULL,NULL),(8045,18,359,5,NULL,NULL),(8046,18,360,5,NULL,NULL),(8047,18,361,5,NULL,NULL),(8048,18,362,5,NULL,NULL),(8049,18,363,5,NULL,NULL),(8050,18,364,5,NULL,NULL),(8051,18,365,5,NULL,NULL),(8052,18,366,5,NULL,NULL),(8053,18,367,5,NULL,NULL),(8054,18,368,5,NULL,NULL),(8055,18,369,5,NULL,NULL),(8056,18,370,5,NULL,NULL),(8057,18,371,5,NULL,NULL),(8058,18,372,5,NULL,NULL),(8059,18,373,5,NULL,NULL),(8060,18,374,5,NULL,NULL),(8061,18,375,5,NULL,NULL),(8062,18,376,5,NULL,NULL),(8063,18,377,5,NULL,NULL),(8064,18,378,5,NULL,NULL),(8065,18,379,5,NULL,NULL),(8066,18,380,5,NULL,NULL),(8067,18,381,5,NULL,NULL),(8068,18,382,5,NULL,NULL),(8069,18,383,5,NULL,NULL),(8070,18,384,5,NULL,NULL),(8071,18,385,5,NULL,NULL),(8072,18,386,5,NULL,NULL),(8073,18,387,5,NULL,NULL),(8074,18,388,5,NULL,NULL),(8075,18,389,5,NULL,NULL),(8076,18,390,5,NULL,NULL),(8077,18,391,5,NULL,NULL),(8078,18,392,5,NULL,NULL),(8079,18,393,5,NULL,NULL),(8080,18,394,5,NULL,NULL),(8081,18,395,5,NULL,NULL),(8082,18,396,5,NULL,NULL),(8083,18,397,5,NULL,NULL),(8084,18,398,5,NULL,NULL),(8085,18,399,5,NULL,NULL),(8086,18,400,5,NULL,NULL),(8087,18,401,5,NULL,NULL),(8088,18,402,5,NULL,NULL),(8089,18,403,5,NULL,NULL),(8090,18,404,5,NULL,NULL),(8091,18,405,5,NULL,NULL),(8092,18,406,5,NULL,NULL),(8093,18,407,5,NULL,NULL),(8094,18,408,5,NULL,NULL),(8095,18,409,5,NULL,NULL),(8096,18,410,5,NULL,NULL),(8097,18,411,5,NULL,NULL),(8098,18,412,5,NULL,NULL),(8099,18,413,5,NULL,NULL),(8100,18,414,5,NULL,NULL),(8101,18,415,5,NULL,NULL),(8102,18,416,5,NULL,NULL),(8103,18,417,5,NULL,NULL),(8104,18,418,5,NULL,NULL),(8105,18,419,5,NULL,NULL),(8106,18,420,5,NULL,NULL),(8107,18,421,5,NULL,NULL),(8108,18,422,5,NULL,NULL),(8109,18,423,5,NULL,NULL),(8110,18,424,5,NULL,NULL),(8111,18,425,5,NULL,NULL),(8112,18,426,5,NULL,NULL),(8113,18,427,5,NULL,NULL),(8114,19,1,5,NULL,NULL),(8115,19,2,5,NULL,NULL),(8116,19,3,5,NULL,NULL),(8117,19,4,5,NULL,NULL),(8118,19,5,5,NULL,NULL),(8119,19,6,5,NULL,NULL),(8120,19,7,5,NULL,NULL),(8121,19,8,5,NULL,NULL),(8122,19,9,5,NULL,NULL),(8123,19,10,5,NULL,NULL),(8124,19,11,5,NULL,NULL),(8125,19,12,5,NULL,NULL),(8126,19,13,5,NULL,NULL),(8127,19,14,5,NULL,NULL),(8128,19,15,5,NULL,NULL),(8129,19,16,5,NULL,NULL),(8130,19,17,5,NULL,NULL),(8131,19,18,5,NULL,NULL),(8132,19,19,5,NULL,NULL),(8133,19,20,5,NULL,NULL),(8134,19,21,5,NULL,NULL),(8135,19,22,5,NULL,NULL),(8136,19,23,5,NULL,NULL),(8137,19,24,5,NULL,NULL),(8138,19,25,5,NULL,NULL),(8139,19,26,5,NULL,NULL),(8140,19,27,5,NULL,NULL),(8141,19,28,5,NULL,NULL),(8142,19,29,5,NULL,NULL),(8143,19,30,5,NULL,NULL),(8144,19,31,5,NULL,NULL),(8145,19,32,5,NULL,NULL),(8146,19,33,5,NULL,NULL),(8147,19,34,5,NULL,NULL),(8148,19,35,5,NULL,NULL),(8149,19,36,5,NULL,NULL),(8150,19,37,5,NULL,NULL),(8151,19,38,5,NULL,NULL),(8152,19,39,5,NULL,NULL),(8153,19,40,5,NULL,NULL),(8154,19,41,5,NULL,NULL),(8155,19,42,5,NULL,NULL),(8156,19,43,5,NULL,NULL),(8157,19,44,5,NULL,NULL),(8158,19,45,5,NULL,NULL),(8159,19,46,5,NULL,NULL),(8160,19,47,5,NULL,NULL),(8161,19,48,5,NULL,NULL),(8162,19,49,5,NULL,NULL),(8163,19,50,5,NULL,NULL),(8164,19,51,5,NULL,NULL),(8165,19,52,5,NULL,NULL),(8166,19,53,5,NULL,NULL),(8167,19,54,5,NULL,NULL),(8168,19,55,5,NULL,NULL),(8169,19,56,5,NULL,NULL),(8170,19,57,5,NULL,NULL),(8171,19,58,5,NULL,NULL),(8172,19,59,5,NULL,NULL),(8173,19,60,5,NULL,NULL),(8174,19,61,5,NULL,NULL),(8175,19,62,5,NULL,NULL),(8176,19,63,5,NULL,NULL),(8177,19,64,5,NULL,NULL),(8178,19,65,5,NULL,NULL),(8179,19,66,5,NULL,NULL),(8180,19,67,5,NULL,NULL),(8181,19,68,5,NULL,NULL),(8182,19,69,5,NULL,NULL),(8183,19,70,5,NULL,NULL),(8184,19,71,5,NULL,NULL),(8185,19,72,5,NULL,NULL),(8186,19,73,5,NULL,NULL),(8187,19,74,5,NULL,NULL),(8188,19,75,5,NULL,NULL),(8189,19,76,5,NULL,NULL),(8190,19,77,5,NULL,NULL),(8191,19,78,5,NULL,NULL),(8192,19,79,5,NULL,NULL),(8193,19,80,5,NULL,NULL),(8194,19,81,5,NULL,NULL),(8195,19,82,5,NULL,NULL),(8196,19,83,5,NULL,NULL),(8197,19,84,5,NULL,NULL),(8198,19,85,5,NULL,NULL),(8199,19,86,5,NULL,NULL),(8200,19,87,5,NULL,NULL),(8201,19,88,5,NULL,NULL),(8202,19,89,5,NULL,NULL),(8203,19,90,5,NULL,NULL),(8204,19,91,5,NULL,NULL),(8205,19,92,5,NULL,NULL),(8206,19,93,5,NULL,NULL),(8207,19,94,5,NULL,NULL),(8208,19,95,5,NULL,NULL),(8209,19,96,5,NULL,NULL),(8210,19,97,5,NULL,NULL),(8211,19,98,5,NULL,NULL),(8212,19,99,5,NULL,NULL),(8213,19,100,5,NULL,NULL),(8214,19,101,5,NULL,NULL),(8215,19,102,5,NULL,NULL),(8216,19,103,5,NULL,NULL),(8217,19,104,5,NULL,NULL),(8218,19,105,5,NULL,NULL),(8219,19,106,5,NULL,NULL),(8220,19,107,5,NULL,NULL),(8221,19,108,5,NULL,NULL),(8222,19,109,5,NULL,NULL),(8223,19,110,5,NULL,NULL),(8224,19,111,5,NULL,NULL),(8225,19,112,5,NULL,NULL),(8226,19,113,5,NULL,NULL),(8227,19,114,5,NULL,NULL),(8228,19,115,5,NULL,NULL),(8229,19,116,5,NULL,NULL),(8230,19,117,5,NULL,NULL),(8231,19,118,5,NULL,NULL),(8232,19,119,5,NULL,NULL),(8233,19,120,5,NULL,NULL),(8234,19,121,5,NULL,NULL),(8235,19,122,5,NULL,NULL),(8236,19,123,5,NULL,NULL),(8237,19,124,5,NULL,NULL),(8238,19,125,5,NULL,NULL),(8239,19,126,5,NULL,NULL),(8240,19,127,5,NULL,NULL),(8241,19,128,5,NULL,NULL),(8242,19,129,5,NULL,NULL),(8243,19,130,5,NULL,NULL),(8244,19,131,5,NULL,NULL),(8245,19,132,5,NULL,NULL),(8246,19,133,5,NULL,NULL),(8247,19,134,5,NULL,NULL),(8248,19,135,5,NULL,NULL),(8249,19,136,5,NULL,NULL),(8250,19,137,5,NULL,NULL),(8251,19,138,5,NULL,NULL),(8252,19,139,5,NULL,NULL),(8253,19,140,5,NULL,NULL),(8254,19,141,5,NULL,NULL),(8255,19,142,5,NULL,NULL),(8256,19,143,5,NULL,NULL),(8257,19,144,5,NULL,NULL),(8258,19,145,5,NULL,NULL),(8259,19,146,5,NULL,NULL),(8260,19,147,5,NULL,NULL),(8261,19,148,5,NULL,NULL),(8262,19,149,5,NULL,NULL),(8263,19,150,5,NULL,NULL),(8264,19,151,5,NULL,NULL),(8265,19,152,5,NULL,NULL),(8266,19,153,5,NULL,NULL),(8267,19,154,5,NULL,NULL),(8268,19,155,5,NULL,NULL),(8269,19,156,5,NULL,NULL),(8270,19,157,5,NULL,NULL),(8271,19,158,5,NULL,NULL),(8272,19,159,5,NULL,NULL),(8273,19,160,5,NULL,NULL),(8274,19,161,5,NULL,NULL),(8275,19,162,5,NULL,NULL),(8276,19,163,5,NULL,NULL),(8277,19,164,5,NULL,NULL),(8278,19,165,5,NULL,NULL),(8279,19,166,5,NULL,NULL),(8280,19,167,4,NULL,NULL),(8281,19,168,5,NULL,NULL),(8282,19,169,5,NULL,NULL),(8283,19,170,5,NULL,NULL),(8284,19,171,5,NULL,NULL),(8285,19,172,5,NULL,NULL),(8286,19,173,5,NULL,NULL),(8287,19,174,5,NULL,NULL),(8288,19,175,5,NULL,NULL),(8289,19,176,2,NULL,NULL),(8290,19,177,5,NULL,NULL),(8291,19,178,5,NULL,NULL),(8292,19,179,2,NULL,NULL),(8293,19,180,2,NULL,NULL),(8294,19,181,2,NULL,NULL),(8295,19,182,2,NULL,NULL),(8296,19,183,5,NULL,NULL),(8297,19,184,2,NULL,NULL),(8298,19,185,5,NULL,NULL),(8299,19,186,5,NULL,NULL),(8300,19,187,5,NULL,NULL),(8301,19,188,4,NULL,NULL),(8302,19,189,4,NULL,NULL),(8303,19,190,1,NULL,NULL),(8304,19,191,4,NULL,NULL),(8305,19,192,4,NULL,NULL),(8306,19,193,1,NULL,NULL),(8307,19,194,1,NULL,NULL),(8308,19,195,5,NULL,NULL),(8309,19,196,5,NULL,NULL),(8310,19,197,5,NULL,NULL),(8311,19,198,5,NULL,NULL),(8312,19,199,5,NULL,NULL),(8313,19,200,4,NULL,NULL),(8314,19,201,5,NULL,NULL),(8315,19,202,5,NULL,NULL),(8316,19,203,5,NULL,NULL),(8317,19,204,5,NULL,NULL),(8318,19,205,5,NULL,NULL),(8319,19,206,5,NULL,NULL),(8320,19,207,5,NULL,NULL),(8321,19,208,5,NULL,NULL),(8322,19,209,4,NULL,NULL),(8323,19,210,5,NULL,NULL),(8324,19,211,4,NULL,NULL),(8325,19,212,5,NULL,NULL),(8326,19,213,5,NULL,NULL),(8327,19,214,5,NULL,NULL),(8328,19,215,5,NULL,NULL),(8329,19,216,5,NULL,NULL),(8330,19,217,4,NULL,NULL),(8331,19,218,5,NULL,NULL),(8332,19,219,5,NULL,NULL),(8333,19,220,5,NULL,NULL),(8334,19,221,5,NULL,NULL),(8335,19,222,5,NULL,NULL),(8336,19,223,5,NULL,NULL),(8337,19,224,5,NULL,NULL),(8338,19,225,5,NULL,NULL),(8339,19,226,5,NULL,NULL),(8340,19,227,5,NULL,NULL),(8341,19,228,2,NULL,NULL),(8342,19,229,5,NULL,NULL),(8343,19,230,5,NULL,NULL),(8344,19,231,1,NULL,NULL),(8345,19,232,3,NULL,NULL),(8346,19,233,1,NULL,NULL),(8347,19,234,1,NULL,NULL),(8348,19,235,5,NULL,NULL),(8349,19,236,5,NULL,NULL),(8350,19,237,5,NULL,NULL),(8351,19,238,5,NULL,NULL),(8352,19,239,4,NULL,NULL),(8353,19,240,4,NULL,NULL),(8354,19,241,1,NULL,NULL),(8355,19,242,4,NULL,NULL),(8356,19,243,4,NULL,NULL),(8357,19,244,1,NULL,NULL),(8358,19,245,1,NULL,NULL),(8359,19,246,4,NULL,NULL),(8360,19,247,4,NULL,NULL),(8361,19,248,1,NULL,NULL),(8362,19,249,1,NULL,NULL),(8363,19,250,4,NULL,NULL),(8364,19,251,4,NULL,NULL),(8365,19,252,1,NULL,NULL),(8366,19,253,1,NULL,NULL),(8367,19,254,5,NULL,NULL),(8368,19,255,5,NULL,NULL),(8369,19,256,5,NULL,NULL),(8370,19,257,5,NULL,NULL),(8371,19,258,5,NULL,NULL),(8372,19,259,5,NULL,NULL),(8373,19,260,5,NULL,NULL),(8374,19,261,5,NULL,NULL),(8375,19,262,5,NULL,NULL),(8376,19,263,5,NULL,NULL),(8377,19,264,5,NULL,NULL),(8378,19,265,5,NULL,NULL),(8379,19,266,5,NULL,NULL),(8380,19,267,5,NULL,NULL),(8381,19,268,5,NULL,NULL),(8382,19,269,5,NULL,NULL),(8383,19,270,5,NULL,NULL),(8384,19,271,5,NULL,NULL),(8385,19,272,5,NULL,NULL),(8386,19,273,5,NULL,NULL),(8387,19,274,5,NULL,NULL),(8388,19,275,5,NULL,NULL),(8389,19,276,1,NULL,NULL),(8390,19,277,3,NULL,NULL),(8391,19,278,1,NULL,NULL),(8392,19,279,5,NULL,NULL),(8393,19,280,5,NULL,NULL),(8394,19,281,5,NULL,NULL),(8395,19,282,5,NULL,NULL),(8396,19,283,1,NULL,NULL),(8397,19,284,3,NULL,NULL),(8398,19,285,3,NULL,NULL),(8399,19,286,1,NULL,NULL),(8400,19,287,5,NULL,NULL),(8401,19,288,5,NULL,NULL),(8402,19,289,5,NULL,NULL),(8403,19,290,5,NULL,NULL),(8404,19,291,5,NULL,NULL),(8405,19,292,5,NULL,NULL),(8406,19,293,2,NULL,NULL),(8407,19,294,5,NULL,NULL),(8408,19,295,5,NULL,NULL),(8409,19,296,5,NULL,NULL),(8410,19,297,2,NULL,NULL),(8411,19,298,5,NULL,NULL),(8412,19,299,5,NULL,NULL),(8413,19,300,1,NULL,NULL),(8414,19,301,3,NULL,NULL),(8415,19,302,5,NULL,NULL),(8416,19,303,5,NULL,NULL),(8417,19,304,5,NULL,NULL),(8418,19,305,5,NULL,NULL),(8419,19,306,1,NULL,NULL),(8420,19,307,3,NULL,NULL),(8421,19,308,1,NULL,NULL),(8422,19,309,5,NULL,NULL),(8423,19,310,5,NULL,NULL),(8424,19,311,5,NULL,NULL),(8425,19,312,5,NULL,NULL),(8426,19,313,5,NULL,NULL),(8427,19,314,5,NULL,NULL),(8428,19,315,5,NULL,NULL),(8429,19,316,5,NULL,NULL),(8430,19,317,5,NULL,NULL),(8431,19,318,5,NULL,NULL),(8432,19,319,5,NULL,NULL),(8433,19,320,5,NULL,NULL),(8434,19,321,5,NULL,NULL),(8435,19,322,5,NULL,NULL),(8436,19,323,5,NULL,NULL),(8437,19,324,5,NULL,NULL),(8438,19,325,5,NULL,NULL),(8439,19,326,5,NULL,NULL),(8440,19,327,1,NULL,NULL),(8441,19,328,4,NULL,NULL),(8442,19,329,5,NULL,NULL),(8443,19,330,4,NULL,NULL),(8444,19,331,4,NULL,NULL),(8445,19,332,1,NULL,NULL),(8446,19,333,1,NULL,NULL),(8447,19,334,5,NULL,NULL),(8448,19,335,5,NULL,NULL),(8449,19,336,5,NULL,NULL),(8450,19,337,5,NULL,NULL),(8451,19,338,5,NULL,NULL),(8452,19,339,5,NULL,NULL),(8453,19,340,4,NULL,NULL),(8454,19,341,5,NULL,NULL),(8455,19,342,5,NULL,NULL),(8456,19,343,5,NULL,NULL),(8457,19,344,5,NULL,NULL),(8458,19,345,5,NULL,NULL),(8459,19,346,5,NULL,NULL),(8460,19,347,5,NULL,NULL),(8461,19,348,5,NULL,NULL),(8462,19,349,1,NULL,NULL),(8463,19,350,3,NULL,NULL),(8464,19,351,1,NULL,NULL),(8465,19,352,1,NULL,NULL),(8466,19,353,5,NULL,NULL),(8467,19,354,5,NULL,NULL),(8468,19,355,5,NULL,NULL),(8469,19,356,5,NULL,NULL),(8470,19,357,5,NULL,NULL),(8471,19,358,5,NULL,NULL),(8472,19,359,5,NULL,NULL),(8473,19,360,5,NULL,NULL),(8474,19,361,5,NULL,NULL),(8475,19,362,5,NULL,NULL),(8476,19,363,5,NULL,NULL),(8477,19,364,5,NULL,NULL),(8478,19,365,5,NULL,NULL),(8479,19,366,5,NULL,NULL),(8480,19,367,5,NULL,NULL),(8481,19,368,5,NULL,NULL),(8482,19,369,5,NULL,NULL),(8483,19,370,5,NULL,NULL),(8484,19,371,5,NULL,NULL),(8485,19,372,5,NULL,NULL),(8486,19,373,5,NULL,NULL),(8487,19,374,5,NULL,NULL),(8488,19,375,5,NULL,NULL),(8489,19,376,5,NULL,NULL),(8490,19,377,5,NULL,NULL),(8491,19,378,5,NULL,NULL),(8492,19,379,5,NULL,NULL),(8493,19,380,5,NULL,NULL),(8494,19,381,5,NULL,NULL),(8495,19,382,5,NULL,NULL),(8496,19,383,5,NULL,NULL),(8497,19,384,5,NULL,NULL),(8498,19,385,5,NULL,NULL),(8499,19,386,5,NULL,NULL),(8500,19,387,5,NULL,NULL),(8501,19,388,5,NULL,NULL),(8502,19,389,5,NULL,NULL),(8503,19,390,5,NULL,NULL),(8504,19,391,5,NULL,NULL),(8505,19,392,5,NULL,NULL),(8506,19,393,5,NULL,NULL),(8507,19,394,5,NULL,NULL),(8508,19,395,5,NULL,NULL),(8509,19,396,5,NULL,NULL),(8510,19,397,5,NULL,NULL),(8511,19,398,5,NULL,NULL),(8512,19,399,5,NULL,NULL),(8513,19,400,5,NULL,NULL),(8514,19,401,5,NULL,NULL),(8515,19,402,5,NULL,NULL),(8516,19,403,5,NULL,NULL),(8517,19,404,5,NULL,NULL),(8518,19,405,5,NULL,NULL),(8519,19,406,5,NULL,NULL),(8520,19,407,5,NULL,NULL),(8521,19,408,5,NULL,NULL),(8522,19,409,5,NULL,NULL),(8523,19,410,5,NULL,NULL),(8524,19,411,5,NULL,NULL),(8525,19,412,5,NULL,NULL),(8526,19,413,5,NULL,NULL),(8527,19,414,5,NULL,NULL),(8528,19,415,5,NULL,NULL),(8529,19,416,5,NULL,NULL),(8530,19,417,5,NULL,NULL),(8531,19,418,5,NULL,NULL),(8532,19,419,5,NULL,NULL),(8533,19,420,5,NULL,NULL),(8534,19,421,5,NULL,NULL),(8535,19,422,5,NULL,NULL),(8536,19,423,5,NULL,NULL),(8537,19,424,5,NULL,NULL),(8538,19,425,5,NULL,NULL),(8539,19,426,5,NULL,NULL),(8540,19,427,5,NULL,NULL),(8541,20,1,5,NULL,NULL),(8542,20,2,5,NULL,NULL),(8543,20,3,5,NULL,NULL),(8544,20,4,5,NULL,NULL),(8545,20,5,5,NULL,NULL),(8546,20,6,5,NULL,NULL),(8547,20,7,5,NULL,NULL),(8548,20,8,5,NULL,NULL),(8549,20,9,5,NULL,NULL),(8550,20,10,5,NULL,NULL),(8551,20,11,5,NULL,NULL),(8552,20,12,5,NULL,NULL),(8553,20,13,5,NULL,NULL),(8554,20,14,5,NULL,NULL),(8555,20,15,5,NULL,NULL),(8556,20,16,5,NULL,NULL),(8557,20,17,5,NULL,NULL),(8558,20,18,5,NULL,NULL),(8559,20,19,5,NULL,NULL),(8560,20,20,5,NULL,NULL),(8561,20,21,5,NULL,NULL),(8562,20,22,5,NULL,NULL),(8563,20,23,5,NULL,NULL),(8564,20,24,5,NULL,NULL),(8565,20,25,5,NULL,NULL),(8566,20,26,5,NULL,NULL),(8567,20,27,5,NULL,NULL),(8568,20,28,5,NULL,NULL),(8569,20,29,5,NULL,NULL),(8570,20,30,5,NULL,NULL),(8571,20,31,5,NULL,NULL),(8572,20,32,5,NULL,NULL),(8573,20,33,5,NULL,NULL),(8574,20,34,5,NULL,NULL),(8575,20,35,5,NULL,NULL),(8576,20,36,5,NULL,NULL),(8577,20,37,5,NULL,NULL),(8578,20,38,5,NULL,NULL),(8579,20,39,5,NULL,NULL),(8580,20,40,5,NULL,NULL),(8581,20,41,5,NULL,NULL),(8582,20,42,5,NULL,NULL),(8583,20,43,5,NULL,NULL),(8584,20,44,5,NULL,NULL),(8585,20,45,5,NULL,NULL),(8586,20,46,5,NULL,NULL),(8587,20,47,5,NULL,NULL),(8588,20,48,5,NULL,NULL),(8589,20,49,5,NULL,NULL),(8590,20,50,5,NULL,NULL),(8591,20,51,5,NULL,NULL),(8592,20,52,5,NULL,NULL),(8593,20,53,5,NULL,NULL),(8594,20,54,5,NULL,NULL),(8595,20,55,5,NULL,NULL),(8596,20,56,5,NULL,NULL),(8597,20,57,5,NULL,NULL),(8598,20,58,5,NULL,NULL),(8599,20,59,5,NULL,NULL),(8600,20,60,5,NULL,NULL),(8601,20,61,5,NULL,NULL),(8602,20,62,5,NULL,NULL),(8603,20,63,5,NULL,NULL),(8604,20,64,5,NULL,NULL),(8605,20,65,5,NULL,NULL),(8606,20,66,5,NULL,NULL),(8607,20,67,5,NULL,NULL),(8608,20,68,5,NULL,NULL),(8609,20,69,5,NULL,NULL),(8610,20,70,5,NULL,NULL),(8611,20,71,5,NULL,NULL),(8612,20,72,5,NULL,NULL),(8613,20,73,5,NULL,NULL),(8614,20,74,5,NULL,NULL),(8615,20,75,5,NULL,NULL),(8616,20,76,5,NULL,NULL),(8617,20,77,5,NULL,NULL),(8618,20,78,5,NULL,NULL),(8619,20,79,5,NULL,NULL),(8620,20,80,5,NULL,NULL),(8621,20,81,5,NULL,NULL),(8622,20,82,5,NULL,NULL),(8623,20,83,5,NULL,NULL),(8624,20,84,5,NULL,NULL),(8625,20,85,5,NULL,NULL),(8626,20,86,5,NULL,NULL),(8627,20,87,5,NULL,NULL),(8628,20,88,5,NULL,NULL),(8629,20,89,5,NULL,NULL),(8630,20,90,5,NULL,NULL),(8631,20,91,5,NULL,NULL),(8632,20,92,5,NULL,NULL),(8633,20,93,5,NULL,NULL),(8634,20,94,5,NULL,NULL),(8635,20,95,5,NULL,NULL),(8636,20,96,5,NULL,NULL),(8637,20,97,5,NULL,NULL),(8638,20,98,5,NULL,NULL),(8639,20,99,5,NULL,NULL),(8640,20,100,5,NULL,NULL),(8641,20,101,5,NULL,NULL),(8642,20,102,5,NULL,NULL),(8643,20,103,5,NULL,NULL),(8644,20,104,5,NULL,NULL),(8645,20,105,5,NULL,NULL),(8646,20,106,5,NULL,NULL),(8647,20,107,5,NULL,NULL),(8648,20,108,5,NULL,NULL),(8649,20,109,5,NULL,NULL),(8650,20,110,5,NULL,NULL),(8651,20,111,5,NULL,NULL),(8652,20,112,5,NULL,NULL),(8653,20,113,5,NULL,NULL),(8654,20,114,5,NULL,NULL),(8655,20,115,5,NULL,NULL),(8656,20,116,5,NULL,NULL),(8657,20,117,5,NULL,NULL),(8658,20,118,5,NULL,NULL),(8659,20,119,5,NULL,NULL),(8660,20,120,5,NULL,NULL),(8661,20,121,5,NULL,NULL),(8662,20,122,5,NULL,NULL),(8663,20,123,5,NULL,NULL),(8664,20,124,5,NULL,NULL),(8665,20,125,5,NULL,NULL),(8666,20,126,5,NULL,NULL),(8667,20,127,5,NULL,NULL),(8668,20,128,5,NULL,NULL),(8669,20,129,5,NULL,NULL),(8670,20,130,5,NULL,NULL),(8671,20,131,5,NULL,NULL),(8672,20,132,5,NULL,NULL),(8673,20,133,5,NULL,NULL),(8674,20,134,5,NULL,NULL),(8675,20,135,5,NULL,NULL),(8676,20,136,5,NULL,NULL),(8677,20,137,5,NULL,NULL),(8678,20,138,5,NULL,NULL),(8679,20,139,5,NULL,NULL),(8680,20,140,5,NULL,NULL),(8681,20,141,5,NULL,NULL),(8682,20,142,5,NULL,NULL),(8683,20,143,5,NULL,NULL),(8684,20,144,5,NULL,NULL),(8685,20,145,5,NULL,NULL),(8686,20,146,5,NULL,NULL),(8687,20,147,5,NULL,NULL),(8688,20,148,5,NULL,NULL),(8689,20,149,5,NULL,NULL),(8690,20,150,5,NULL,NULL),(8691,20,151,5,NULL,NULL),(8692,20,152,5,NULL,NULL),(8693,20,153,5,NULL,NULL),(8694,20,154,5,NULL,NULL),(8695,20,155,5,NULL,NULL),(8696,20,156,5,NULL,NULL),(8697,20,157,5,NULL,NULL),(8698,20,158,5,NULL,NULL),(8699,20,159,5,NULL,NULL),(8700,20,160,5,NULL,NULL),(8701,20,161,5,NULL,NULL),(8702,20,162,5,NULL,NULL),(8703,20,163,5,NULL,NULL),(8704,20,164,5,NULL,NULL),(8705,20,165,5,NULL,NULL),(8706,20,166,5,NULL,NULL),(8707,20,167,4,NULL,NULL),(8708,20,168,5,NULL,NULL),(8709,20,169,5,NULL,NULL),(8710,20,170,5,NULL,NULL),(8711,20,171,5,NULL,NULL),(8712,20,172,5,NULL,NULL),(8713,20,173,5,NULL,NULL),(8714,20,174,5,NULL,NULL),(8715,20,175,5,NULL,NULL),(8716,20,176,2,NULL,NULL),(8717,20,177,5,NULL,NULL),(8718,20,178,5,NULL,NULL),(8719,20,179,2,NULL,NULL),(8720,20,180,2,NULL,NULL),(8721,20,181,2,NULL,NULL),(8722,20,182,2,NULL,NULL),(8723,20,183,5,NULL,NULL),(8724,20,184,2,NULL,NULL),(8725,20,185,5,NULL,NULL),(8726,20,186,5,NULL,NULL),(8727,20,187,5,NULL,NULL),(8728,20,188,4,NULL,NULL),(8729,20,189,4,NULL,NULL),(8730,20,190,1,NULL,NULL),(8731,20,191,4,NULL,NULL),(8732,20,192,4,NULL,NULL),(8733,20,193,1,NULL,NULL),(8734,20,194,1,NULL,NULL),(8735,20,195,5,NULL,NULL),(8736,20,196,5,NULL,NULL),(8737,20,197,5,NULL,NULL),(8738,20,198,5,NULL,NULL),(8739,20,199,5,NULL,NULL),(8740,20,200,4,NULL,NULL),(8741,20,201,5,NULL,NULL),(8742,20,202,5,NULL,NULL),(8743,20,203,5,NULL,NULL),(8744,20,204,5,NULL,NULL),(8745,20,205,5,NULL,NULL),(8746,20,206,5,NULL,NULL),(8747,20,207,5,NULL,NULL),(8748,20,208,5,NULL,NULL),(8749,20,209,4,NULL,NULL),(8750,20,210,5,NULL,NULL),(8751,20,211,4,NULL,NULL),(8752,20,212,5,NULL,NULL),(8753,20,213,5,NULL,NULL),(8754,20,214,5,NULL,NULL),(8755,20,215,5,NULL,NULL),(8756,20,216,5,NULL,NULL),(8757,20,217,4,NULL,NULL),(8758,20,218,5,NULL,NULL),(8759,20,219,5,NULL,NULL),(8760,20,220,5,NULL,NULL),(8761,20,221,5,NULL,NULL),(8762,20,222,5,NULL,NULL),(8763,20,223,5,NULL,NULL),(8764,20,224,5,NULL,NULL),(8765,20,225,5,NULL,NULL),(8766,20,226,5,NULL,NULL),(8767,20,227,5,NULL,NULL),(8768,20,228,2,NULL,NULL),(8769,20,229,5,NULL,NULL),(8770,20,230,5,NULL,NULL),(8771,20,231,1,NULL,NULL),(8772,20,232,3,NULL,NULL),(8773,20,233,1,NULL,NULL),(8774,20,234,1,NULL,NULL),(8775,20,235,5,NULL,NULL),(8776,20,236,5,NULL,NULL),(8777,20,237,5,NULL,NULL),(8778,20,238,5,NULL,NULL),(8779,20,239,4,NULL,NULL),(8780,20,240,4,NULL,NULL),(8781,20,241,1,NULL,NULL),(8782,20,242,4,NULL,NULL),(8783,20,243,4,NULL,NULL),(8784,20,244,1,NULL,NULL),(8785,20,245,1,NULL,NULL),(8786,20,246,4,NULL,NULL),(8787,20,247,4,NULL,NULL),(8788,20,248,1,NULL,NULL),(8789,20,249,1,NULL,NULL),(8790,20,250,4,NULL,NULL),(8791,20,251,4,NULL,NULL),(8792,20,252,1,NULL,NULL),(8793,20,253,1,NULL,NULL),(8794,20,254,5,NULL,NULL),(8795,20,255,5,NULL,NULL),(8796,20,256,5,NULL,NULL),(8797,20,257,5,NULL,NULL),(8798,20,258,5,NULL,NULL),(8799,20,259,5,NULL,NULL),(8800,20,260,5,NULL,NULL),(8801,20,261,5,NULL,NULL),(8802,20,262,5,NULL,NULL),(8803,20,263,5,NULL,NULL),(8804,20,264,5,NULL,NULL),(8805,20,265,5,NULL,NULL),(8806,20,266,5,NULL,NULL),(8807,20,267,5,NULL,NULL),(8808,20,268,5,NULL,NULL),(8809,20,269,5,NULL,NULL),(8810,20,270,5,NULL,NULL),(8811,20,271,5,NULL,NULL),(8812,20,272,5,NULL,NULL),(8813,20,273,5,NULL,NULL),(8814,20,274,5,NULL,NULL),(8815,20,275,5,NULL,NULL),(8816,20,276,1,NULL,NULL),(8817,20,277,3,NULL,NULL),(8818,20,278,1,NULL,NULL),(8819,20,279,5,NULL,NULL),(8820,20,280,5,NULL,NULL),(8821,20,281,5,NULL,NULL),(8822,20,282,5,NULL,NULL),(8823,20,283,1,NULL,NULL),(8824,20,284,3,NULL,NULL),(8825,20,285,3,NULL,NULL),(8826,20,286,1,NULL,NULL),(8827,20,287,5,NULL,NULL),(8828,20,288,5,NULL,NULL),(8829,20,289,5,NULL,NULL),(8830,20,290,5,NULL,NULL),(8831,20,291,5,NULL,NULL),(8832,20,292,5,NULL,NULL),(8833,20,293,2,NULL,NULL),(8834,20,294,5,NULL,NULL),(8835,20,295,5,NULL,NULL),(8836,20,296,5,NULL,NULL),(8837,20,297,2,NULL,NULL),(8838,20,298,5,NULL,NULL),(8839,20,299,5,NULL,NULL),(8840,20,300,1,NULL,NULL),(8841,20,301,3,NULL,NULL),(8842,20,302,5,NULL,NULL),(8843,20,303,5,NULL,NULL),(8844,20,304,5,NULL,NULL),(8845,20,305,5,NULL,NULL),(8846,20,306,1,NULL,NULL),(8847,20,307,3,NULL,NULL),(8848,20,308,1,NULL,NULL),(8849,20,309,5,NULL,NULL),(8850,20,310,5,NULL,NULL),(8851,20,311,5,NULL,NULL),(8852,20,312,5,NULL,NULL),(8853,20,313,5,NULL,NULL),(8854,20,314,5,NULL,NULL),(8855,20,315,5,NULL,NULL),(8856,20,316,5,NULL,NULL),(8857,20,317,5,NULL,NULL),(8858,20,318,5,NULL,NULL),(8859,20,319,5,NULL,NULL),(8860,20,320,5,NULL,NULL),(8861,20,321,5,NULL,NULL),(8862,20,322,5,NULL,NULL),(8863,20,323,5,NULL,NULL),(8864,20,324,5,NULL,NULL),(8865,20,325,5,NULL,NULL),(8866,20,326,5,NULL,NULL),(8867,20,327,1,NULL,NULL),(8868,20,328,4,NULL,NULL),(8869,20,329,5,NULL,NULL),(8870,20,330,4,NULL,NULL),(8871,20,331,4,NULL,NULL),(8872,20,332,1,NULL,NULL),(8873,20,333,1,NULL,NULL),(8874,20,334,5,NULL,NULL),(8875,20,335,5,NULL,NULL),(8876,20,336,5,NULL,NULL),(8877,20,337,5,NULL,NULL),(8878,20,338,5,NULL,NULL),(8879,20,339,5,NULL,NULL),(8880,20,340,4,NULL,NULL),(8881,20,341,5,NULL,NULL),(8882,20,342,5,NULL,NULL),(8883,20,343,5,NULL,NULL),(8884,20,344,5,NULL,NULL),(8885,20,345,5,NULL,NULL),(8886,20,346,5,NULL,NULL),(8887,20,347,5,NULL,NULL),(8888,20,348,5,NULL,NULL),(8889,20,349,1,NULL,NULL),(8890,20,350,3,NULL,NULL),(8891,20,351,1,NULL,NULL),(8892,20,352,1,NULL,NULL),(8893,20,353,5,NULL,NULL),(8894,20,354,5,NULL,NULL),(8895,20,355,5,NULL,NULL),(8896,20,356,5,NULL,NULL),(8897,20,357,5,NULL,NULL),(8898,20,358,5,NULL,NULL),(8899,20,359,5,NULL,NULL),(8900,20,360,5,NULL,NULL),(8901,20,361,5,NULL,NULL),(8902,20,362,5,NULL,NULL),(8903,20,363,5,NULL,NULL),(8904,20,364,5,NULL,NULL),(8905,20,365,5,NULL,NULL),(8906,20,366,5,NULL,NULL),(8907,20,367,5,NULL,NULL),(8908,20,368,5,NULL,NULL),(8909,20,369,5,NULL,NULL),(8910,20,370,5,NULL,NULL),(8911,20,371,5,NULL,NULL),(8912,20,372,5,NULL,NULL),(8913,20,373,5,NULL,NULL),(8914,20,374,5,NULL,NULL),(8915,20,375,5,NULL,NULL),(8916,20,376,5,NULL,NULL),(8917,20,377,5,NULL,NULL),(8918,20,378,5,NULL,NULL),(8919,20,379,5,NULL,NULL),(8920,20,380,5,NULL,NULL),(8921,20,381,5,NULL,NULL),(8922,20,382,5,NULL,NULL),(8923,20,383,5,NULL,NULL),(8924,20,384,5,NULL,NULL),(8925,20,385,5,NULL,NULL),(8926,20,386,5,NULL,NULL),(8927,20,387,5,NULL,NULL),(8928,20,388,5,NULL,NULL),(8929,20,389,5,NULL,NULL),(8930,20,390,5,NULL,NULL),(8931,20,391,5,NULL,NULL),(8932,20,392,5,NULL,NULL),(8933,20,393,5,NULL,NULL),(8934,20,394,5,NULL,NULL),(8935,20,395,5,NULL,NULL),(8936,20,396,5,NULL,NULL),(8937,20,397,5,NULL,NULL),(8938,20,398,5,NULL,NULL),(8939,20,399,5,NULL,NULL),(8940,20,400,5,NULL,NULL),(8941,20,401,5,NULL,NULL),(8942,20,402,5,NULL,NULL),(8943,20,403,5,NULL,NULL),(8944,20,404,5,NULL,NULL),(8945,20,405,5,NULL,NULL),(8946,20,406,5,NULL,NULL),(8947,20,407,5,NULL,NULL),(8948,20,408,5,NULL,NULL),(8949,20,409,5,NULL,NULL),(8950,20,410,5,NULL,NULL),(8951,20,411,5,NULL,NULL),(8952,20,412,5,NULL,NULL),(8953,20,413,5,NULL,NULL),(8954,20,414,5,NULL,NULL),(8955,20,415,5,NULL,NULL),(8956,20,416,5,NULL,NULL),(8957,20,417,5,NULL,NULL),(8958,20,418,5,NULL,NULL),(8959,20,419,5,NULL,NULL),(8960,20,420,5,NULL,NULL),(8961,20,421,5,NULL,NULL),(8962,20,422,5,NULL,NULL),(8963,20,423,5,NULL,NULL),(8964,20,424,5,NULL,NULL),(8965,20,425,5,NULL,NULL),(8966,20,426,5,NULL,NULL),(8967,20,427,5,NULL,NULL),(8968,21,1,5,NULL,NULL),(8969,21,2,5,NULL,NULL),(8970,21,3,5,NULL,NULL),(8971,21,4,5,NULL,NULL),(8972,21,5,5,NULL,NULL),(8973,21,6,5,NULL,NULL),(8974,21,7,5,NULL,NULL),(8975,21,8,5,NULL,NULL),(8976,21,9,5,NULL,NULL),(8977,21,10,5,NULL,NULL),(8978,21,11,5,NULL,NULL),(8979,21,12,5,NULL,NULL),(8980,21,13,5,NULL,NULL),(8981,21,14,5,NULL,NULL),(8982,21,15,5,NULL,NULL),(8983,21,16,5,NULL,NULL),(8984,21,17,5,NULL,NULL),(8985,21,18,5,NULL,NULL),(8986,21,19,5,NULL,NULL),(8987,21,20,5,NULL,NULL),(8988,21,21,5,NULL,NULL),(8989,21,22,5,NULL,NULL),(8990,21,23,5,NULL,NULL),(8991,21,24,5,NULL,NULL),(8992,21,25,5,NULL,NULL),(8993,21,26,5,NULL,NULL),(8994,21,27,5,NULL,NULL),(8995,21,28,5,NULL,NULL),(8996,21,29,5,NULL,NULL),(8997,21,30,5,NULL,NULL),(8998,21,31,5,NULL,NULL),(8999,21,32,5,NULL,NULL),(9000,21,33,5,NULL,NULL),(9001,21,34,5,NULL,NULL),(9002,21,35,5,NULL,NULL),(9003,21,36,5,NULL,NULL),(9004,21,37,5,NULL,NULL),(9005,21,38,5,NULL,NULL),(9006,21,39,5,NULL,NULL),(9007,21,40,5,NULL,NULL),(9008,21,41,5,NULL,NULL),(9009,21,42,5,NULL,NULL),(9010,21,43,5,NULL,NULL),(9011,21,44,5,NULL,NULL),(9012,21,45,5,NULL,NULL),(9013,21,46,5,NULL,NULL),(9014,21,47,5,NULL,NULL),(9015,21,48,5,NULL,NULL),(9016,21,49,5,NULL,NULL),(9017,21,50,5,NULL,NULL),(9018,21,51,5,NULL,NULL),(9019,21,52,5,NULL,NULL),(9020,21,53,5,NULL,NULL),(9021,21,54,5,NULL,NULL),(9022,21,55,5,NULL,NULL),(9023,21,56,5,NULL,NULL),(9024,21,57,5,NULL,NULL),(9025,21,58,5,NULL,NULL),(9026,21,59,5,NULL,NULL),(9027,21,60,5,NULL,NULL),(9028,21,61,5,NULL,NULL),(9029,21,62,5,NULL,NULL),(9030,21,63,5,NULL,NULL),(9031,21,64,5,NULL,NULL),(9032,21,65,5,NULL,NULL),(9033,21,66,5,NULL,NULL),(9034,21,67,5,NULL,NULL),(9035,21,68,5,NULL,NULL),(9036,21,69,5,NULL,NULL),(9037,21,70,5,NULL,NULL),(9038,21,71,5,NULL,NULL),(9039,21,72,5,NULL,NULL),(9040,21,73,5,NULL,NULL),(9041,21,74,5,NULL,NULL),(9042,21,75,5,NULL,NULL),(9043,21,76,5,NULL,NULL),(9044,21,77,5,NULL,NULL),(9045,21,78,5,NULL,NULL),(9046,21,79,5,NULL,NULL),(9047,21,80,5,NULL,NULL),(9048,21,81,5,NULL,NULL),(9049,21,82,5,NULL,NULL),(9050,21,83,5,NULL,NULL),(9051,21,84,5,NULL,NULL),(9052,21,85,5,NULL,NULL),(9053,21,86,5,NULL,NULL),(9054,21,87,5,NULL,NULL),(9055,21,88,5,NULL,NULL),(9056,21,89,5,NULL,NULL),(9057,21,90,5,NULL,NULL),(9058,21,91,5,NULL,NULL),(9059,21,92,5,NULL,NULL),(9060,21,93,5,NULL,NULL),(9061,21,94,5,NULL,NULL),(9062,21,95,5,NULL,NULL),(9063,21,96,5,NULL,NULL),(9064,21,97,5,NULL,NULL),(9065,21,98,5,NULL,NULL),(9066,21,99,5,NULL,NULL),(9067,21,100,5,NULL,NULL),(9068,21,101,5,NULL,NULL),(9069,21,102,5,NULL,NULL),(9070,21,103,5,NULL,NULL),(9071,21,104,5,NULL,NULL),(9072,21,105,5,NULL,NULL),(9073,21,106,5,NULL,NULL),(9074,21,107,5,NULL,NULL),(9075,21,108,5,NULL,NULL),(9076,21,109,5,NULL,NULL),(9077,21,110,5,NULL,NULL),(9078,21,111,5,NULL,NULL),(9079,21,112,5,NULL,NULL),(9080,21,113,5,NULL,NULL),(9081,21,114,5,NULL,NULL),(9082,21,115,5,NULL,NULL),(9083,21,116,5,NULL,NULL),(9084,21,117,5,NULL,NULL),(9085,21,118,5,NULL,NULL),(9086,21,119,5,NULL,NULL),(9087,21,120,5,NULL,NULL),(9088,21,121,5,NULL,NULL),(9089,21,122,5,NULL,NULL),(9090,21,123,5,NULL,NULL),(9091,21,124,5,NULL,NULL),(9092,21,125,5,NULL,NULL),(9093,21,126,5,NULL,NULL),(9094,21,127,5,NULL,NULL),(9095,21,128,5,NULL,NULL),(9096,21,129,5,NULL,NULL),(9097,21,130,5,NULL,NULL),(9098,21,131,5,NULL,NULL),(9099,21,132,5,NULL,NULL),(9100,21,133,5,NULL,NULL),(9101,21,134,5,NULL,NULL),(9102,21,135,5,NULL,NULL),(9103,21,136,5,NULL,NULL),(9104,21,137,5,NULL,NULL),(9105,21,138,5,NULL,NULL),(9106,21,139,5,NULL,NULL),(9107,21,140,5,NULL,NULL),(9108,21,141,5,NULL,NULL),(9109,21,142,5,NULL,NULL),(9110,21,143,5,NULL,NULL),(9111,21,144,5,NULL,NULL),(9112,21,145,5,NULL,NULL),(9113,21,146,5,NULL,NULL),(9114,21,147,5,NULL,NULL),(9115,21,148,5,NULL,NULL),(9116,21,149,5,NULL,NULL),(9117,21,150,5,NULL,NULL),(9118,21,151,5,NULL,NULL),(9119,21,152,5,NULL,NULL),(9120,21,153,5,NULL,NULL),(9121,21,154,5,NULL,NULL),(9122,21,155,5,NULL,NULL),(9123,21,156,5,NULL,NULL),(9124,21,157,5,NULL,NULL),(9125,21,158,5,NULL,NULL),(9126,21,159,5,NULL,NULL),(9127,21,160,5,NULL,NULL),(9128,21,161,5,NULL,NULL),(9129,21,162,5,NULL,NULL),(9130,21,163,5,NULL,NULL),(9131,21,164,5,NULL,NULL),(9132,21,165,5,NULL,NULL),(9133,21,166,5,NULL,NULL),(9134,21,167,4,NULL,NULL),(9135,21,168,5,NULL,NULL),(9136,21,169,5,NULL,NULL),(9137,21,170,5,NULL,NULL),(9138,21,171,5,NULL,NULL),(9139,21,172,5,NULL,NULL),(9140,21,173,5,NULL,NULL),(9141,21,174,5,NULL,NULL),(9142,21,175,5,NULL,NULL),(9143,21,176,2,NULL,NULL),(9144,21,177,5,NULL,NULL),(9145,21,178,5,NULL,NULL),(9146,21,179,2,NULL,NULL),(9147,21,180,2,NULL,NULL),(9148,21,181,2,NULL,NULL),(9149,21,182,2,NULL,NULL),(9150,21,183,5,NULL,NULL),(9151,21,184,2,NULL,NULL),(9152,21,185,5,NULL,NULL),(9153,21,186,5,NULL,NULL),(9154,21,187,5,NULL,NULL),(9155,21,188,4,NULL,NULL),(9156,21,189,4,NULL,NULL),(9157,21,190,1,NULL,NULL),(9158,21,191,4,NULL,NULL),(9159,21,192,4,NULL,NULL),(9160,21,193,1,NULL,NULL),(9161,21,194,1,NULL,NULL),(9162,21,195,5,NULL,NULL),(9163,21,196,5,NULL,NULL),(9164,21,197,5,NULL,NULL),(9165,21,198,5,NULL,NULL),(9166,21,199,5,NULL,NULL),(9167,21,200,4,NULL,NULL),(9168,21,201,5,NULL,NULL),(9169,21,202,5,NULL,NULL),(9170,21,203,5,NULL,NULL),(9171,21,204,5,NULL,NULL),(9172,21,205,5,NULL,NULL),(9173,21,206,5,NULL,NULL),(9174,21,207,5,NULL,NULL),(9175,21,208,5,NULL,NULL),(9176,21,209,4,NULL,NULL),(9177,21,210,5,NULL,NULL),(9178,21,211,4,NULL,NULL),(9179,21,212,5,NULL,NULL),(9180,21,213,5,NULL,NULL),(9181,21,214,5,NULL,NULL),(9182,21,215,5,NULL,NULL),(9183,21,216,5,NULL,NULL),(9184,21,217,4,NULL,NULL),(9185,21,218,5,NULL,NULL),(9186,21,219,5,NULL,NULL),(9187,21,220,5,NULL,NULL),(9188,21,221,5,NULL,NULL),(9189,21,222,5,NULL,NULL),(9190,21,223,5,NULL,NULL),(9191,21,224,5,NULL,NULL),(9192,21,225,5,NULL,NULL),(9193,21,226,5,NULL,NULL),(9194,21,227,5,NULL,NULL),(9195,21,228,2,NULL,NULL),(9196,21,229,5,NULL,NULL),(9197,21,230,5,NULL,NULL),(9198,21,231,1,NULL,NULL),(9199,21,232,3,NULL,NULL),(9200,21,233,1,NULL,NULL),(9201,21,234,1,NULL,NULL),(9202,21,235,5,NULL,NULL),(9203,21,236,5,NULL,NULL),(9204,21,237,5,NULL,NULL),(9205,21,238,5,NULL,NULL),(9206,21,239,4,NULL,NULL),(9207,21,240,4,NULL,NULL),(9208,21,241,1,NULL,NULL),(9209,21,242,4,NULL,NULL),(9210,21,243,4,NULL,NULL),(9211,21,244,1,NULL,NULL),(9212,21,245,1,NULL,NULL),(9213,21,246,4,NULL,NULL),(9214,21,247,4,NULL,NULL),(9215,21,248,1,NULL,NULL),(9216,21,249,1,NULL,NULL),(9217,21,250,4,NULL,NULL),(9218,21,251,4,NULL,NULL),(9219,21,252,1,NULL,NULL),(9220,21,253,1,NULL,NULL),(9221,21,254,5,NULL,NULL),(9222,21,255,5,NULL,NULL),(9223,21,256,5,NULL,NULL),(9224,21,257,5,NULL,NULL),(9225,21,258,5,NULL,NULL),(9226,21,259,5,NULL,NULL),(9227,21,260,5,NULL,NULL),(9228,21,261,5,NULL,NULL),(9229,21,262,5,NULL,NULL),(9230,21,263,5,NULL,NULL),(9231,21,264,5,NULL,NULL),(9232,21,265,5,NULL,NULL),(9233,21,266,5,NULL,NULL),(9234,21,267,5,NULL,NULL),(9235,21,268,5,NULL,NULL),(9236,21,269,5,NULL,NULL),(9237,21,270,5,NULL,NULL),(9238,21,271,5,NULL,NULL),(9239,21,272,5,NULL,NULL),(9240,21,273,5,NULL,NULL),(9241,21,274,5,NULL,NULL),(9242,21,275,5,NULL,NULL),(9243,21,276,1,NULL,NULL),(9244,21,277,3,NULL,NULL),(9245,21,278,1,NULL,NULL),(9246,21,279,5,NULL,NULL),(9247,21,280,5,NULL,NULL),(9248,21,281,5,NULL,NULL),(9249,21,282,5,NULL,NULL),(9250,21,283,1,NULL,NULL),(9251,21,284,3,NULL,NULL),(9252,21,285,3,NULL,NULL),(9253,21,286,1,NULL,NULL),(9254,21,287,5,NULL,NULL),(9255,21,288,5,NULL,NULL),(9256,21,289,5,NULL,NULL),(9257,21,290,5,NULL,NULL),(9258,21,291,5,NULL,NULL),(9259,21,292,5,NULL,NULL),(9260,21,293,2,NULL,NULL),(9261,21,294,5,NULL,NULL),(9262,21,295,5,NULL,NULL),(9263,21,296,5,NULL,NULL),(9264,21,297,2,NULL,NULL),(9265,21,298,5,NULL,NULL),(9266,21,299,5,NULL,NULL),(9267,21,300,1,NULL,NULL),(9268,21,301,3,NULL,NULL),(9269,21,302,5,NULL,NULL),(9270,21,303,5,NULL,NULL),(9271,21,304,5,NULL,NULL),(9272,21,305,5,NULL,NULL),(9273,21,306,1,NULL,NULL),(9274,21,307,3,NULL,NULL),(9275,21,308,1,NULL,NULL),(9276,21,309,5,NULL,NULL),(9277,21,310,5,NULL,NULL),(9278,21,311,5,NULL,NULL),(9279,21,312,5,NULL,NULL),(9280,21,313,5,NULL,NULL),(9281,21,314,5,NULL,NULL),(9282,21,315,5,NULL,NULL),(9283,21,316,5,NULL,NULL),(9284,21,317,5,NULL,NULL),(9285,21,318,5,NULL,NULL),(9286,21,319,5,NULL,NULL),(9287,21,320,5,NULL,NULL),(9288,21,321,5,NULL,NULL),(9289,21,322,5,NULL,NULL),(9290,21,323,5,NULL,NULL),(9291,21,324,5,NULL,NULL),(9292,21,325,5,NULL,NULL),(9293,21,326,5,NULL,NULL),(9294,21,327,1,NULL,NULL),(9295,21,328,4,NULL,NULL),(9296,21,329,5,NULL,NULL),(9297,21,330,4,NULL,NULL),(9298,21,331,4,NULL,NULL),(9299,21,332,1,NULL,NULL),(9300,21,333,1,NULL,NULL),(9301,21,334,5,NULL,NULL),(9302,21,335,5,NULL,NULL),(9303,21,336,5,NULL,NULL),(9304,21,337,5,NULL,NULL),(9305,21,338,5,NULL,NULL),(9306,21,339,5,NULL,NULL),(9307,21,340,4,NULL,NULL),(9308,21,341,5,NULL,NULL),(9309,21,342,5,NULL,NULL),(9310,21,343,5,NULL,NULL),(9311,21,344,5,NULL,NULL),(9312,21,345,5,NULL,NULL),(9313,21,346,5,NULL,NULL),(9314,21,347,5,NULL,NULL),(9315,21,348,5,NULL,NULL),(9316,21,349,1,NULL,NULL),(9317,21,350,3,NULL,NULL),(9318,21,351,1,NULL,NULL),(9319,21,352,1,NULL,NULL),(9320,21,353,5,NULL,NULL),(9321,21,354,5,NULL,NULL),(9322,21,355,5,NULL,NULL),(9323,21,356,5,NULL,NULL),(9324,21,357,5,NULL,NULL),(9325,21,358,5,NULL,NULL),(9326,21,359,5,NULL,NULL),(9327,21,360,5,NULL,NULL),(9328,21,361,5,NULL,NULL),(9329,21,362,5,NULL,NULL),(9330,21,363,5,NULL,NULL),(9331,21,364,5,NULL,NULL),(9332,21,365,5,NULL,NULL),(9333,21,366,5,NULL,NULL),(9334,21,367,5,NULL,NULL),(9335,21,368,5,NULL,NULL),(9336,21,369,5,NULL,NULL),(9337,21,370,5,NULL,NULL),(9338,21,371,5,NULL,NULL),(9339,21,372,5,NULL,NULL),(9340,21,373,5,NULL,NULL),(9341,21,374,5,NULL,NULL),(9342,21,375,5,NULL,NULL),(9343,21,376,5,NULL,NULL),(9344,21,377,5,NULL,NULL),(9345,21,378,5,NULL,NULL),(9346,21,379,5,NULL,NULL),(9347,21,380,5,NULL,NULL),(9348,21,381,5,NULL,NULL),(9349,21,382,5,NULL,NULL),(9350,21,383,5,NULL,NULL),(9351,21,384,5,NULL,NULL),(9352,21,385,5,NULL,NULL),(9353,21,386,5,NULL,NULL),(9354,21,387,5,NULL,NULL),(9355,21,388,5,NULL,NULL),(9356,21,389,5,NULL,NULL),(9357,21,390,5,NULL,NULL),(9358,21,391,5,NULL,NULL),(9359,21,392,5,NULL,NULL),(9360,21,393,5,NULL,NULL),(9361,21,394,5,NULL,NULL),(9362,21,395,5,NULL,NULL),(9363,21,396,5,NULL,NULL),(9364,21,397,5,NULL,NULL),(9365,21,398,5,NULL,NULL),(9366,21,399,5,NULL,NULL),(9367,21,400,5,NULL,NULL),(9368,21,401,5,NULL,NULL),(9369,21,402,5,NULL,NULL),(9370,21,403,5,NULL,NULL),(9371,21,404,5,NULL,NULL),(9372,21,405,5,NULL,NULL),(9373,21,406,5,NULL,NULL),(9374,21,407,5,NULL,NULL),(9375,21,408,5,NULL,NULL),(9376,21,409,5,NULL,NULL),(9377,21,410,5,NULL,NULL),(9378,21,411,5,NULL,NULL),(9379,21,412,5,NULL,NULL),(9380,21,413,5,NULL,NULL),(9381,21,414,5,NULL,NULL),(9382,21,415,5,NULL,NULL),(9383,21,416,5,NULL,NULL),(9384,21,417,5,NULL,NULL),(9385,21,418,5,NULL,NULL),(9386,21,419,5,NULL,NULL),(9387,21,420,5,NULL,NULL),(9388,21,421,5,NULL,NULL),(9389,21,422,5,NULL,NULL),(9390,21,423,5,NULL,NULL),(9391,21,424,5,NULL,NULL),(9392,21,425,5,NULL,NULL),(9393,21,426,5,NULL,NULL),(9394,21,427,5,NULL,NULL),(9395,22,1,5,NULL,NULL),(9396,22,2,5,NULL,NULL),(9397,22,3,5,NULL,NULL),(9398,22,4,5,NULL,NULL),(9399,22,5,5,NULL,NULL),(9400,22,6,5,NULL,NULL),(9401,22,7,5,NULL,NULL),(9402,22,8,5,NULL,NULL),(9403,22,9,5,NULL,NULL),(9404,22,10,5,NULL,NULL),(9405,22,11,5,NULL,NULL),(9406,22,12,5,NULL,NULL),(9407,22,13,5,NULL,NULL),(9408,22,14,5,NULL,NULL),(9409,22,15,5,NULL,NULL),(9410,22,16,5,NULL,NULL),(9411,22,17,5,NULL,NULL),(9412,22,18,5,NULL,NULL),(9413,22,19,5,NULL,NULL),(9414,22,20,5,NULL,NULL),(9415,22,21,5,NULL,NULL),(9416,22,22,5,NULL,NULL),(9417,22,23,5,NULL,NULL),(9418,22,24,5,NULL,NULL),(9419,22,25,5,NULL,NULL),(9420,22,26,5,NULL,NULL),(9421,22,27,5,NULL,NULL),(9422,22,28,5,NULL,NULL),(9423,22,29,5,NULL,NULL),(9424,22,30,5,NULL,NULL),(9425,22,31,5,NULL,NULL),(9426,22,32,5,NULL,NULL),(9427,22,33,5,NULL,NULL),(9428,22,34,5,NULL,NULL),(9429,22,35,5,NULL,NULL),(9430,22,36,5,NULL,NULL),(9431,22,37,5,NULL,NULL),(9432,22,38,5,NULL,NULL),(9433,22,39,5,NULL,NULL),(9434,22,40,5,NULL,NULL),(9435,22,41,5,NULL,NULL),(9436,22,42,5,NULL,NULL),(9437,22,43,5,NULL,NULL),(9438,22,44,5,NULL,NULL),(9439,22,45,5,NULL,NULL),(9440,22,46,5,NULL,NULL),(9441,22,47,5,NULL,NULL),(9442,22,48,5,NULL,NULL),(9443,22,49,5,NULL,NULL),(9444,22,50,5,NULL,NULL),(9445,22,51,5,NULL,NULL),(9446,22,52,5,NULL,NULL),(9447,22,53,5,NULL,NULL),(9448,22,54,5,NULL,NULL),(9449,22,55,5,NULL,NULL),(9450,22,56,5,NULL,NULL),(9451,22,57,5,NULL,NULL),(9452,22,58,5,NULL,NULL),(9453,22,59,5,NULL,NULL),(9454,22,60,5,NULL,NULL),(9455,22,61,5,NULL,NULL),(9456,22,62,5,NULL,NULL),(9457,22,63,5,NULL,NULL),(9458,22,64,5,NULL,NULL),(9459,22,65,5,NULL,NULL),(9460,22,66,5,NULL,NULL),(9461,22,67,5,NULL,NULL),(9462,22,68,5,NULL,NULL),(9463,22,69,5,NULL,NULL),(9464,22,70,5,NULL,NULL),(9465,22,71,5,NULL,NULL),(9466,22,72,5,NULL,NULL),(9467,22,73,5,NULL,NULL),(9468,22,74,5,NULL,NULL),(9469,22,75,5,NULL,NULL),(9470,22,76,5,NULL,NULL),(9471,22,77,5,NULL,NULL),(9472,22,78,5,NULL,NULL),(9473,22,79,5,NULL,NULL),(9474,22,80,5,NULL,NULL),(9475,22,81,5,NULL,NULL),(9476,22,82,5,NULL,NULL),(9477,22,83,5,NULL,NULL),(9478,22,84,5,NULL,NULL),(9479,22,85,5,NULL,NULL),(9480,22,86,5,NULL,NULL),(9481,22,87,5,NULL,NULL),(9482,22,88,5,NULL,NULL),(9483,22,89,5,NULL,NULL),(9484,22,90,5,NULL,NULL),(9485,22,91,5,NULL,NULL),(9486,22,92,5,NULL,NULL),(9487,22,93,5,NULL,NULL),(9488,22,94,5,NULL,NULL),(9489,22,95,5,NULL,NULL),(9490,22,96,5,NULL,NULL),(9491,22,97,5,NULL,NULL),(9492,22,98,5,NULL,NULL),(9493,22,99,5,NULL,NULL),(9494,22,100,5,NULL,NULL),(9495,22,101,5,NULL,NULL),(9496,22,102,5,NULL,NULL),(9497,22,103,5,NULL,NULL),(9498,22,104,5,NULL,NULL),(9499,22,105,5,NULL,NULL),(9500,22,106,5,NULL,NULL),(9501,22,107,5,NULL,NULL),(9502,22,108,5,NULL,NULL),(9503,22,109,5,NULL,NULL),(9504,22,110,5,NULL,NULL),(9505,22,111,5,NULL,NULL),(9506,22,112,5,NULL,NULL),(9507,22,113,5,NULL,NULL),(9508,22,114,5,NULL,NULL),(9509,22,115,5,NULL,NULL),(9510,22,116,5,NULL,NULL),(9511,22,117,5,NULL,NULL),(9512,22,118,5,NULL,NULL),(9513,22,119,5,NULL,NULL),(9514,22,120,5,NULL,NULL),(9515,22,121,5,NULL,NULL),(9516,22,122,5,NULL,NULL),(9517,22,123,5,NULL,NULL),(9518,22,124,5,NULL,NULL),(9519,22,125,5,NULL,NULL),(9520,22,126,5,NULL,NULL),(9521,22,127,5,NULL,NULL),(9522,22,128,5,NULL,NULL),(9523,22,129,5,NULL,NULL),(9524,22,130,5,NULL,NULL),(9525,22,131,5,NULL,NULL),(9526,22,132,5,NULL,NULL),(9527,22,133,5,NULL,NULL),(9528,22,134,5,NULL,NULL),(9529,22,135,5,NULL,NULL),(9530,22,136,5,NULL,NULL),(9531,22,137,5,NULL,NULL),(9532,22,138,5,NULL,NULL),(9533,22,139,5,NULL,NULL),(9534,22,140,5,NULL,NULL),(9535,22,141,5,NULL,NULL),(9536,22,142,5,NULL,NULL),(9537,22,143,5,NULL,NULL),(9538,22,144,5,NULL,NULL),(9539,22,145,5,NULL,NULL),(9540,22,146,5,NULL,NULL),(9541,22,147,5,NULL,NULL),(9542,22,148,5,NULL,NULL),(9543,22,149,5,NULL,NULL),(9544,22,150,5,NULL,NULL),(9545,22,151,5,NULL,NULL),(9546,22,152,5,NULL,NULL),(9547,22,153,5,NULL,NULL),(9548,22,154,5,NULL,NULL),(9549,22,155,5,NULL,NULL),(9550,22,156,5,NULL,NULL),(9551,22,157,5,NULL,NULL),(9552,22,158,5,NULL,NULL),(9553,22,159,5,NULL,NULL),(9554,22,160,5,NULL,NULL),(9555,22,161,5,NULL,NULL),(9556,22,162,5,NULL,NULL),(9557,22,163,5,NULL,NULL),(9558,22,164,5,NULL,NULL),(9559,22,165,5,NULL,NULL),(9560,22,166,5,NULL,NULL),(9561,22,167,4,NULL,NULL),(9562,22,168,5,NULL,NULL),(9563,22,169,5,NULL,NULL),(9564,22,170,5,NULL,NULL),(9565,22,171,5,NULL,NULL),(9566,22,172,5,NULL,NULL),(9567,22,173,5,NULL,NULL),(9568,22,174,5,NULL,NULL),(9569,22,175,5,NULL,NULL),(9570,22,176,2,NULL,NULL),(9571,22,177,5,NULL,NULL),(9572,22,178,5,NULL,NULL),(9573,22,179,2,NULL,NULL),(9574,22,180,2,NULL,NULL),(9575,22,181,2,NULL,NULL),(9576,22,182,2,NULL,NULL),(9577,22,183,5,NULL,NULL),(9578,22,184,2,NULL,NULL),(9579,22,185,5,NULL,NULL),(9580,22,186,5,NULL,NULL),(9581,22,187,5,NULL,NULL),(9582,22,188,4,NULL,NULL),(9583,22,189,4,NULL,NULL),(9584,22,190,1,NULL,NULL),(9585,22,191,4,NULL,NULL),(9586,22,192,4,NULL,NULL),(9587,22,193,1,NULL,NULL),(9588,22,194,1,NULL,NULL),(9589,22,195,5,NULL,NULL),(9590,22,196,5,NULL,NULL),(9591,22,197,5,NULL,NULL),(9592,22,198,5,NULL,NULL),(9593,22,199,5,NULL,NULL),(9594,22,200,4,NULL,NULL),(9595,22,201,5,NULL,NULL),(9596,22,202,5,NULL,NULL),(9597,22,203,5,NULL,NULL),(9598,22,204,5,NULL,NULL),(9599,22,205,5,NULL,NULL),(9600,22,206,5,NULL,NULL),(9601,22,207,5,NULL,NULL),(9602,22,208,5,NULL,NULL),(9603,22,209,4,NULL,NULL),(9604,22,210,5,NULL,NULL),(9605,22,211,4,NULL,NULL),(9606,22,212,5,NULL,NULL),(9607,22,213,5,NULL,NULL),(9608,22,214,5,NULL,NULL),(9609,22,215,5,NULL,NULL),(9610,22,216,5,NULL,NULL),(9611,22,217,4,NULL,NULL),(9612,22,218,5,NULL,NULL),(9613,22,219,5,NULL,NULL),(9614,22,220,5,NULL,NULL),(9615,22,221,5,NULL,NULL),(9616,22,222,5,NULL,NULL),(9617,22,223,5,NULL,NULL),(9618,22,224,5,NULL,NULL),(9619,22,225,5,NULL,NULL),(9620,22,226,5,NULL,NULL),(9621,22,227,5,NULL,NULL),(9622,22,228,2,NULL,NULL),(9623,22,229,5,NULL,NULL),(9624,22,230,5,NULL,NULL),(9625,22,231,1,NULL,NULL),(9626,22,232,3,NULL,NULL),(9627,22,233,1,NULL,NULL),(9628,22,234,1,NULL,NULL),(9629,22,235,5,NULL,NULL),(9630,22,236,5,NULL,NULL),(9631,22,237,5,NULL,NULL),(9632,22,238,5,NULL,NULL),(9633,22,239,4,NULL,NULL),(9634,22,240,4,NULL,NULL),(9635,22,241,1,NULL,NULL),(9636,22,242,4,NULL,NULL),(9637,22,243,4,NULL,NULL),(9638,22,244,1,NULL,NULL),(9639,22,245,1,NULL,NULL),(9640,22,246,4,NULL,NULL),(9641,22,247,4,NULL,NULL),(9642,22,248,1,NULL,NULL),(9643,22,249,1,NULL,NULL),(9644,22,250,4,NULL,NULL),(9645,22,251,4,NULL,NULL),(9646,22,252,1,NULL,NULL),(9647,22,253,1,NULL,NULL),(9648,22,254,5,NULL,NULL),(9649,22,255,5,NULL,NULL),(9650,22,256,5,NULL,NULL),(9651,22,257,5,NULL,NULL),(9652,22,258,5,NULL,NULL),(9653,22,259,5,NULL,NULL),(9654,22,260,5,NULL,NULL),(9655,22,261,5,NULL,NULL),(9656,22,262,5,NULL,NULL),(9657,22,263,5,NULL,NULL),(9658,22,264,5,NULL,NULL),(9659,22,265,5,NULL,NULL),(9660,22,266,5,NULL,NULL),(9661,22,267,5,NULL,NULL),(9662,22,268,5,NULL,NULL),(9663,22,269,5,NULL,NULL),(9664,22,270,5,NULL,NULL),(9665,22,271,5,NULL,NULL),(9666,22,272,5,NULL,NULL),(9667,22,273,5,NULL,NULL),(9668,22,274,5,NULL,NULL),(9669,22,275,5,NULL,NULL),(9670,22,276,1,NULL,NULL),(9671,22,277,3,NULL,NULL),(9672,22,278,1,NULL,NULL),(9673,22,279,5,NULL,NULL),(9674,22,280,5,NULL,NULL),(9675,22,281,5,NULL,NULL),(9676,22,282,5,NULL,NULL),(9677,22,283,1,NULL,NULL),(9678,22,284,3,NULL,NULL),(9679,22,285,3,NULL,NULL),(9680,22,286,1,NULL,NULL),(9681,22,287,5,NULL,NULL),(9682,22,288,5,NULL,NULL),(9683,22,289,5,NULL,NULL),(9684,22,290,5,NULL,NULL),(9685,22,291,5,NULL,NULL),(9686,22,292,5,NULL,NULL),(9687,22,293,2,NULL,NULL),(9688,22,294,5,NULL,NULL),(9689,22,295,5,NULL,NULL),(9690,22,296,5,NULL,NULL),(9691,22,297,2,NULL,NULL),(9692,22,298,5,NULL,NULL),(9693,22,299,5,NULL,NULL),(9694,22,300,1,NULL,NULL),(9695,22,301,3,NULL,NULL),(9696,22,302,5,NULL,NULL),(9697,22,303,5,NULL,NULL),(9698,22,304,5,NULL,NULL),(9699,22,305,5,NULL,NULL),(9700,22,306,1,NULL,NULL),(9701,22,307,3,NULL,NULL),(9702,22,308,1,NULL,NULL),(9703,22,309,5,NULL,NULL),(9704,22,310,5,NULL,NULL),(9705,22,311,5,NULL,NULL),(9706,22,312,5,NULL,NULL),(9707,22,313,5,NULL,NULL),(9708,22,314,5,NULL,NULL),(9709,22,315,5,NULL,NULL),(9710,22,316,5,NULL,NULL),(9711,22,317,5,NULL,NULL),(9712,22,318,5,NULL,NULL),(9713,22,319,5,NULL,NULL),(9714,22,320,5,NULL,NULL),(9715,22,321,5,NULL,NULL),(9716,22,322,5,NULL,NULL),(9717,22,323,5,NULL,NULL),(9718,22,324,5,NULL,NULL),(9719,22,325,5,NULL,NULL),(9720,22,326,5,NULL,NULL),(9721,22,327,1,NULL,NULL),(9722,22,328,4,NULL,NULL),(9723,22,329,5,NULL,NULL),(9724,22,330,4,NULL,NULL),(9725,22,331,4,NULL,NULL),(9726,22,332,1,NULL,NULL),(9727,22,333,1,NULL,NULL),(9728,22,334,5,NULL,NULL),(9729,22,335,5,NULL,NULL),(9730,22,336,5,NULL,NULL),(9731,22,337,5,NULL,NULL),(9732,22,338,5,NULL,NULL),(9733,22,339,5,NULL,NULL),(9734,22,340,4,NULL,NULL),(9735,22,341,5,NULL,NULL),(9736,22,342,5,NULL,NULL),(9737,22,343,5,NULL,NULL),(9738,22,344,5,NULL,NULL),(9739,22,345,5,NULL,NULL),(9740,22,346,5,NULL,NULL),(9741,22,347,5,NULL,NULL),(9742,22,348,5,NULL,NULL),(9743,22,349,1,NULL,NULL),(9744,22,350,3,NULL,NULL),(9745,22,351,1,NULL,NULL),(9746,22,352,1,NULL,NULL),(9747,22,353,5,NULL,NULL),(9748,22,354,5,NULL,NULL),(9749,22,355,5,NULL,NULL),(9750,22,356,5,NULL,NULL),(9751,22,357,5,NULL,NULL),(9752,22,358,5,NULL,NULL),(9753,22,359,5,NULL,NULL),(9754,22,360,5,NULL,NULL),(9755,22,361,5,NULL,NULL),(9756,22,362,5,NULL,NULL),(9757,22,363,5,NULL,NULL),(9758,22,364,5,NULL,NULL),(9759,22,365,5,NULL,NULL),(9760,22,366,5,NULL,NULL),(9761,22,367,5,NULL,NULL),(9762,22,368,5,NULL,NULL),(9763,22,369,5,NULL,NULL),(9764,22,370,5,NULL,NULL),(9765,22,371,5,NULL,NULL),(9766,22,372,5,NULL,NULL),(9767,22,373,5,NULL,NULL),(9768,22,374,5,NULL,NULL),(9769,22,375,5,NULL,NULL),(9770,22,376,5,NULL,NULL),(9771,22,377,5,NULL,NULL),(9772,22,378,5,NULL,NULL),(9773,22,379,5,NULL,NULL),(9774,22,380,5,NULL,NULL),(9775,22,381,5,NULL,NULL),(9776,22,382,5,NULL,NULL),(9777,22,383,5,NULL,NULL),(9778,22,384,5,NULL,NULL),(9779,22,385,5,NULL,NULL),(9780,22,386,5,NULL,NULL),(9781,22,387,5,NULL,NULL),(9782,22,388,5,NULL,NULL),(9783,22,389,5,NULL,NULL),(9784,22,390,5,NULL,NULL),(9785,22,391,5,NULL,NULL),(9786,22,392,5,NULL,NULL),(9787,22,393,5,NULL,NULL),(9788,22,394,5,NULL,NULL),(9789,22,395,5,NULL,NULL),(9790,22,396,5,NULL,NULL),(9791,22,397,5,NULL,NULL),(9792,22,398,5,NULL,NULL),(9793,22,399,5,NULL,NULL),(9794,22,400,5,NULL,NULL),(9795,22,401,5,NULL,NULL),(9796,22,402,5,NULL,NULL),(9797,22,403,5,NULL,NULL),(9798,22,404,5,NULL,NULL),(9799,22,405,5,NULL,NULL),(9800,22,406,5,NULL,NULL),(9801,22,407,5,NULL,NULL),(9802,22,408,5,NULL,NULL),(9803,22,409,5,NULL,NULL),(9804,22,410,5,NULL,NULL),(9805,22,411,5,NULL,NULL),(9806,22,412,5,NULL,NULL),(9807,22,413,5,NULL,NULL),(9808,22,414,5,NULL,NULL),(9809,22,415,5,NULL,NULL),(9810,22,416,5,NULL,NULL),(9811,22,417,5,NULL,NULL),(9812,22,418,5,NULL,NULL),(9813,22,419,5,NULL,NULL),(9814,22,420,5,NULL,NULL),(9815,22,421,5,NULL,NULL),(9816,22,422,5,NULL,NULL),(9817,22,423,5,NULL,NULL),(9818,22,424,5,NULL,NULL),(9819,22,425,5,NULL,NULL),(9820,22,426,5,NULL,NULL),(9821,22,427,5,NULL,NULL),(9822,23,1,5,NULL,NULL),(9823,23,2,5,NULL,NULL),(9824,23,3,5,NULL,NULL),(9825,23,4,5,NULL,NULL),(9826,23,5,5,NULL,NULL),(9827,23,6,5,NULL,NULL),(9828,23,7,5,NULL,NULL),(9829,23,8,5,NULL,NULL),(9830,23,9,5,NULL,NULL),(9831,23,10,5,NULL,NULL),(9832,23,11,5,NULL,NULL),(9833,23,12,5,NULL,NULL),(9834,23,13,5,NULL,NULL),(9835,23,14,5,NULL,NULL),(9836,23,15,5,NULL,NULL),(9837,23,16,5,NULL,NULL),(9838,23,17,5,NULL,NULL),(9839,23,18,5,NULL,NULL),(9840,23,19,5,NULL,NULL),(9841,23,20,5,NULL,NULL),(9842,23,21,5,NULL,NULL),(9843,23,22,5,NULL,NULL),(9844,23,23,5,NULL,NULL),(9845,23,24,5,NULL,NULL),(9846,23,25,5,NULL,NULL),(9847,23,26,5,NULL,NULL),(9848,23,27,5,NULL,NULL),(9849,23,28,5,NULL,NULL),(9850,23,29,5,NULL,NULL),(9851,23,30,5,NULL,NULL),(9852,23,31,5,NULL,NULL),(9853,23,32,5,NULL,NULL),(9854,23,33,5,NULL,NULL),(9855,23,34,5,NULL,NULL),(9856,23,35,5,NULL,NULL),(9857,23,36,5,NULL,NULL),(9858,23,37,5,NULL,NULL),(9859,23,38,5,NULL,NULL),(9860,23,39,5,NULL,NULL),(9861,23,40,5,NULL,NULL),(9862,23,41,5,NULL,NULL),(9863,23,42,5,NULL,NULL),(9864,23,43,5,NULL,NULL),(9865,23,44,5,NULL,NULL),(9866,23,45,5,NULL,NULL),(9867,23,46,5,NULL,NULL),(9868,23,47,5,NULL,NULL),(9869,23,48,5,NULL,NULL),(9870,23,49,5,NULL,NULL),(9871,23,50,5,NULL,NULL),(9872,23,51,5,NULL,NULL),(9873,23,52,5,NULL,NULL),(9874,23,53,5,NULL,NULL),(9875,23,54,5,NULL,NULL),(9876,23,55,5,NULL,NULL),(9877,23,56,5,NULL,NULL),(9878,23,57,5,NULL,NULL),(9879,23,58,5,NULL,NULL),(9880,23,59,5,NULL,NULL),(9881,23,60,5,NULL,NULL),(9882,23,61,5,NULL,NULL),(9883,23,62,5,NULL,NULL),(9884,23,63,5,NULL,NULL),(9885,23,64,5,NULL,NULL),(9886,23,65,5,NULL,NULL),(9887,23,66,5,NULL,NULL),(9888,23,67,5,NULL,NULL),(9889,23,68,5,NULL,NULL),(9890,23,69,5,NULL,NULL),(9891,23,70,5,NULL,NULL),(9892,23,71,5,NULL,NULL),(9893,23,72,5,NULL,NULL),(9894,23,73,5,NULL,NULL),(9895,23,74,5,NULL,NULL),(9896,23,75,5,NULL,NULL),(9897,23,76,5,NULL,NULL),(9898,23,77,5,NULL,NULL),(9899,23,78,5,NULL,NULL),(9900,23,79,5,NULL,NULL),(9901,23,80,5,NULL,NULL),(9902,23,81,5,NULL,NULL),(9903,23,82,5,NULL,NULL),(9904,23,83,5,NULL,NULL),(9905,23,84,5,NULL,NULL),(9906,23,85,5,NULL,NULL),(9907,23,86,5,NULL,NULL),(9908,23,87,5,NULL,NULL),(9909,23,88,5,NULL,NULL),(9910,23,89,5,NULL,NULL),(9911,23,90,5,NULL,NULL),(9912,23,91,5,NULL,NULL),(9913,23,92,5,NULL,NULL),(9914,23,93,5,NULL,NULL),(9915,23,94,5,NULL,NULL),(9916,23,95,5,NULL,NULL),(9917,23,96,5,NULL,NULL),(9918,23,97,5,NULL,NULL),(9919,23,98,5,NULL,NULL),(9920,23,99,5,NULL,NULL),(9921,23,100,5,NULL,NULL),(9922,23,101,5,NULL,NULL),(9923,23,102,5,NULL,NULL),(9924,23,103,5,NULL,NULL),(9925,23,104,5,NULL,NULL),(9926,23,105,5,NULL,NULL),(9927,23,106,5,NULL,NULL),(9928,23,107,5,NULL,NULL),(9929,23,108,5,NULL,NULL),(9930,23,109,5,NULL,NULL),(9931,23,110,5,NULL,NULL),(9932,23,111,5,NULL,NULL),(9933,23,112,5,NULL,NULL),(9934,23,113,5,NULL,NULL),(9935,23,114,5,NULL,NULL),(9936,23,115,5,NULL,NULL),(9937,23,116,5,NULL,NULL),(9938,23,117,5,NULL,NULL),(9939,23,118,5,NULL,NULL),(9940,23,119,5,NULL,NULL),(9941,23,120,5,NULL,NULL),(9942,23,121,5,NULL,NULL),(9943,23,122,5,NULL,NULL),(9944,23,123,5,NULL,NULL),(9945,23,124,5,NULL,NULL),(9946,23,125,5,NULL,NULL),(9947,23,126,5,NULL,NULL),(9948,23,127,5,NULL,NULL),(9949,23,128,5,NULL,NULL),(9950,23,129,5,NULL,NULL),(9951,23,130,5,NULL,NULL),(9952,23,131,5,NULL,NULL),(9953,23,132,5,NULL,NULL),(9954,23,133,5,NULL,NULL),(9955,23,134,5,NULL,NULL),(9956,23,135,5,NULL,NULL),(9957,23,136,5,NULL,NULL),(9958,23,137,5,NULL,NULL),(9959,23,138,5,NULL,NULL),(9960,23,139,5,NULL,NULL),(9961,23,140,5,NULL,NULL),(9962,23,141,5,NULL,NULL),(9963,23,142,5,NULL,NULL),(9964,23,143,5,NULL,NULL),(9965,23,144,5,NULL,NULL),(9966,23,145,5,NULL,NULL),(9967,23,146,5,NULL,NULL),(9968,23,147,5,NULL,NULL),(9969,23,148,5,NULL,NULL),(9970,23,149,5,NULL,NULL),(9971,23,150,5,NULL,NULL),(9972,23,151,5,NULL,NULL),(9973,23,152,5,NULL,NULL),(9974,23,153,5,NULL,NULL),(9975,23,154,5,NULL,NULL),(9976,23,155,5,NULL,NULL),(9977,23,156,5,NULL,NULL),(9978,23,157,5,NULL,NULL),(9979,23,158,5,NULL,NULL),(9980,23,159,5,NULL,NULL),(9981,23,160,5,NULL,NULL),(9982,23,161,5,NULL,NULL),(9983,23,162,5,NULL,NULL),(9984,23,163,5,NULL,NULL),(9985,23,164,5,NULL,NULL),(9986,23,165,5,NULL,NULL),(9987,23,166,5,NULL,NULL),(9988,23,167,4,NULL,NULL),(9989,23,168,5,NULL,NULL),(9990,23,169,5,NULL,NULL),(9991,23,170,5,NULL,NULL),(9992,23,171,5,NULL,NULL),(9993,23,172,5,NULL,NULL),(9994,23,173,5,NULL,NULL),(9995,23,174,5,NULL,NULL),(9996,23,175,5,NULL,NULL),(9997,23,176,2,NULL,NULL),(9998,23,177,5,NULL,NULL),(9999,23,178,5,NULL,NULL),(10000,23,179,2,NULL,NULL),(10001,23,180,2,NULL,NULL),(10002,23,181,2,NULL,NULL),(10003,23,182,2,NULL,NULL),(10004,23,183,5,NULL,NULL),(10005,23,184,2,NULL,NULL),(10006,23,185,5,NULL,NULL),(10007,23,186,5,NULL,NULL),(10008,23,187,5,NULL,NULL),(10009,23,188,4,NULL,NULL),(10010,23,189,4,NULL,NULL),(10011,23,190,1,NULL,NULL),(10012,23,191,4,NULL,NULL),(10013,23,192,4,NULL,NULL),(10014,23,193,1,NULL,NULL),(10015,23,194,1,NULL,NULL),(10016,23,195,5,NULL,NULL),(10017,23,196,5,NULL,NULL),(10018,23,197,5,NULL,NULL),(10019,23,198,5,NULL,NULL),(10020,23,199,5,NULL,NULL),(10021,23,200,4,NULL,NULL),(10022,23,201,5,NULL,NULL),(10023,23,202,5,NULL,NULL),(10024,23,203,5,NULL,NULL),(10025,23,204,5,NULL,NULL),(10026,23,205,5,NULL,NULL),(10027,23,206,5,NULL,NULL),(10028,23,207,5,NULL,NULL),(10029,23,208,5,NULL,NULL),(10030,23,209,4,NULL,NULL),(10031,23,210,5,NULL,NULL),(10032,23,211,4,NULL,NULL),(10033,23,212,5,NULL,NULL),(10034,23,213,5,NULL,NULL),(10035,23,214,5,NULL,NULL),(10036,23,215,5,NULL,NULL),(10037,23,216,5,NULL,NULL),(10038,23,217,4,NULL,NULL),(10039,23,218,5,NULL,NULL),(10040,23,219,5,NULL,NULL),(10041,23,220,5,NULL,NULL),(10042,23,221,5,NULL,NULL),(10043,23,222,5,NULL,NULL),(10044,23,223,5,NULL,NULL),(10045,23,224,5,NULL,NULL),(10046,23,225,5,NULL,NULL),(10047,23,226,5,NULL,NULL),(10048,23,227,5,NULL,NULL),(10049,23,228,2,NULL,NULL),(10050,23,229,5,NULL,NULL),(10051,23,230,5,NULL,NULL),(10052,23,231,1,NULL,NULL),(10053,23,232,3,NULL,NULL),(10054,23,233,1,NULL,NULL),(10055,23,234,1,NULL,NULL),(10056,23,235,5,NULL,NULL),(10057,23,236,5,NULL,NULL),(10058,23,237,5,NULL,NULL),(10059,23,238,5,NULL,NULL),(10060,23,239,4,NULL,NULL),(10061,23,240,4,NULL,NULL),(10062,23,241,1,NULL,NULL),(10063,23,242,4,NULL,NULL),(10064,23,243,4,NULL,NULL),(10065,23,244,1,NULL,NULL),(10066,23,245,1,NULL,NULL),(10067,23,246,4,NULL,NULL),(10068,23,247,4,NULL,NULL),(10069,23,248,1,NULL,NULL),(10070,23,249,1,NULL,NULL),(10071,23,250,4,NULL,NULL),(10072,23,251,4,NULL,NULL),(10073,23,252,1,NULL,NULL),(10074,23,253,1,NULL,NULL),(10075,23,254,5,NULL,NULL),(10076,23,255,5,NULL,NULL),(10077,23,256,5,NULL,NULL),(10078,23,257,5,NULL,NULL),(10079,23,258,5,NULL,NULL),(10080,23,259,5,NULL,NULL),(10081,23,260,5,NULL,NULL),(10082,23,261,5,NULL,NULL),(10083,23,262,5,NULL,NULL),(10084,23,263,5,NULL,NULL),(10085,23,264,5,NULL,NULL),(10086,23,265,5,NULL,NULL),(10087,23,266,5,NULL,NULL),(10088,23,267,5,NULL,NULL),(10089,23,268,5,NULL,NULL),(10090,23,269,5,NULL,NULL),(10091,23,270,5,NULL,NULL),(10092,23,271,5,NULL,NULL),(10093,23,272,5,NULL,NULL),(10094,23,273,5,NULL,NULL),(10095,23,274,5,NULL,NULL),(10096,23,275,5,NULL,NULL),(10097,23,276,1,NULL,NULL),(10098,23,277,3,NULL,NULL),(10099,23,278,1,NULL,NULL),(10100,23,279,5,NULL,NULL),(10101,23,280,5,NULL,NULL),(10102,23,281,5,NULL,NULL),(10103,23,282,5,NULL,NULL),(10104,23,283,1,NULL,NULL),(10105,23,284,3,NULL,NULL),(10106,23,285,3,NULL,NULL),(10107,23,286,1,NULL,NULL),(10108,23,287,5,NULL,NULL),(10109,23,288,5,NULL,NULL),(10110,23,289,5,NULL,NULL),(10111,23,290,5,NULL,NULL),(10112,23,291,5,NULL,NULL),(10113,23,292,5,NULL,NULL),(10114,23,293,2,NULL,NULL),(10115,23,294,5,NULL,NULL),(10116,23,295,5,NULL,NULL),(10117,23,296,5,NULL,NULL),(10118,23,297,2,NULL,NULL),(10119,23,298,5,NULL,NULL),(10120,23,299,5,NULL,NULL),(10121,23,300,1,NULL,NULL),(10122,23,301,3,NULL,NULL),(10123,23,302,5,NULL,NULL),(10124,23,303,5,NULL,NULL),(10125,23,304,5,NULL,NULL),(10126,23,305,5,NULL,NULL),(10127,23,306,1,NULL,NULL),(10128,23,307,3,NULL,NULL),(10129,23,308,1,NULL,NULL),(10130,23,309,5,NULL,NULL),(10131,23,310,5,NULL,NULL),(10132,23,311,5,NULL,NULL),(10133,23,312,5,NULL,NULL),(10134,23,313,5,NULL,NULL),(10135,23,314,5,NULL,NULL),(10136,23,315,5,NULL,NULL),(10137,23,316,5,NULL,NULL),(10138,23,317,5,NULL,NULL),(10139,23,318,5,NULL,NULL),(10140,23,319,5,NULL,NULL),(10141,23,320,5,NULL,NULL),(10142,23,321,5,NULL,NULL),(10143,23,322,5,NULL,NULL),(10144,23,323,5,NULL,NULL),(10145,23,324,5,NULL,NULL),(10146,23,325,5,NULL,NULL),(10147,23,326,5,NULL,NULL),(10148,23,327,1,NULL,NULL),(10149,23,328,4,NULL,NULL),(10150,23,329,5,NULL,NULL),(10151,23,330,4,NULL,NULL),(10152,23,331,4,NULL,NULL),(10153,23,332,1,NULL,NULL),(10154,23,333,1,NULL,NULL),(10155,23,334,5,NULL,NULL),(10156,23,335,5,NULL,NULL),(10157,23,336,5,NULL,NULL),(10158,23,337,5,NULL,NULL),(10159,23,338,5,NULL,NULL),(10160,23,339,5,NULL,NULL),(10161,23,340,4,NULL,NULL),(10162,23,341,5,NULL,NULL),(10163,23,342,5,NULL,NULL),(10164,23,343,5,NULL,NULL),(10165,23,344,5,NULL,NULL),(10166,23,345,5,NULL,NULL),(10167,23,346,5,NULL,NULL),(10168,23,347,5,NULL,NULL),(10169,23,348,5,NULL,NULL),(10170,23,349,1,NULL,NULL),(10171,23,350,3,NULL,NULL),(10172,23,351,1,NULL,NULL),(10173,23,352,1,NULL,NULL),(10174,23,353,5,NULL,NULL),(10175,23,354,5,NULL,NULL),(10176,23,355,5,NULL,NULL),(10177,23,356,5,NULL,NULL),(10178,23,357,5,NULL,NULL),(10179,23,358,5,NULL,NULL),(10180,23,359,5,NULL,NULL),(10181,23,360,5,NULL,NULL),(10182,23,361,5,NULL,NULL),(10183,23,362,5,NULL,NULL),(10184,23,363,5,NULL,NULL),(10185,23,364,5,NULL,NULL),(10186,23,365,5,NULL,NULL),(10187,23,366,5,NULL,NULL),(10188,23,367,5,NULL,NULL),(10189,23,368,5,NULL,NULL),(10190,23,369,5,NULL,NULL),(10191,23,370,5,NULL,NULL),(10192,23,371,5,NULL,NULL),(10193,23,372,5,NULL,NULL),(10194,23,373,5,NULL,NULL),(10195,23,374,5,NULL,NULL),(10196,23,375,5,NULL,NULL),(10197,23,376,5,NULL,NULL),(10198,23,377,5,NULL,NULL),(10199,23,378,5,NULL,NULL),(10200,23,379,5,NULL,NULL),(10201,23,380,5,NULL,NULL),(10202,23,381,5,NULL,NULL),(10203,23,382,5,NULL,NULL),(10204,23,383,5,NULL,NULL),(10205,23,384,5,NULL,NULL),(10206,23,385,5,NULL,NULL),(10207,23,386,5,NULL,NULL),(10208,23,387,5,NULL,NULL),(10209,23,388,5,NULL,NULL),(10210,23,389,5,NULL,NULL),(10211,23,390,5,NULL,NULL),(10212,23,391,5,NULL,NULL),(10213,23,392,5,NULL,NULL),(10214,23,393,5,NULL,NULL),(10215,23,394,5,NULL,NULL),(10216,23,395,5,NULL,NULL),(10217,23,396,5,NULL,NULL),(10218,23,397,5,NULL,NULL),(10219,23,398,5,NULL,NULL),(10220,23,399,5,NULL,NULL),(10221,23,400,5,NULL,NULL),(10222,23,401,5,NULL,NULL),(10223,23,402,5,NULL,NULL),(10224,23,403,5,NULL,NULL),(10225,23,404,5,NULL,NULL),(10226,23,405,5,NULL,NULL),(10227,23,406,5,NULL,NULL),(10228,23,407,5,NULL,NULL),(10229,23,408,5,NULL,NULL),(10230,23,409,5,NULL,NULL),(10231,23,410,5,NULL,NULL),(10232,23,411,5,NULL,NULL),(10233,23,412,5,NULL,NULL),(10234,23,413,5,NULL,NULL),(10235,23,414,5,NULL,NULL),(10236,23,415,5,NULL,NULL),(10237,23,416,5,NULL,NULL),(10238,23,417,5,NULL,NULL),(10239,23,418,5,NULL,NULL),(10240,23,419,5,NULL,NULL),(10241,23,420,5,NULL,NULL),(10242,23,421,5,NULL,NULL),(10243,23,422,5,NULL,NULL),(10244,23,423,5,NULL,NULL),(10245,23,424,5,NULL,NULL),(10246,23,425,5,NULL,NULL),(10247,23,426,5,NULL,NULL),(10248,23,427,5,NULL,NULL);
/*!40000 ALTER TABLE `user_permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_taskboard_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_taskboard_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `board_column_id` int unsigned NOT NULL,
  `collapsed` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_taskboard_settings_company_id_foreign` (`company_id`),
  KEY `user_taskboard_settings_user_id_foreign` (`user_id`),
  KEY `user_taskboard_settings_board_column_id_foreign` (`board_column_id`),
  CONSTRAINT `user_taskboard_settings_board_column_id_foreign` FOREIGN KEY (`board_column_id`) REFERENCES `taskboard_columns` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_taskboard_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_taskboard_settings_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_taskboard_settings` WRITE;
/*!40000 ALTER TABLE `user_taskboard_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_taskboard_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_zoom_meeting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_zoom_meeting` (
  `user_id` int unsigned NOT NULL,
  `zoom_meeting_id` bigint unsigned NOT NULL,
  KEY `user_zoom_meeting_user_id_foreign` (`user_id`),
  KEY `user_zoom_meeting_zoom_meeting_id_foreign` (`zoom_meeting_id`),
  CONSTRAINT `user_zoom_meeting_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `user_zoom_meeting_zoom_meeting_id_foreign` FOREIGN KEY (`zoom_meeting_id`) REFERENCES `zoom_meetings` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_zoom_meeting` WRITE;
/*!40000 ALTER TABLE `user_zoom_meeting` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_zoom_meeting` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `two_factor_secret` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `two_factor_recovery_codes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `two_factor_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `two_factor_email_confirmed` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_phonecode` int DEFAULT NULL,
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gender` enum('male','female','others') COLLATE utf8mb4_unicode_ci DEFAULT 'male',
  `salutation` enum('mr','mrs','miss','dr','sir','madam') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `locale` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `status` enum('active','deactive') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `login` enum('enable','disable') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'enable',
  `onesignal_player_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  `email_notifications` tinyint(1) NOT NULL DEFAULT '1',
  `country_id` int unsigned DEFAULT NULL,
  `dark_theme` tinyint(1) NOT NULL,
  `rtl` tinyint(1) NOT NULL,
  `two_fa_verify_via` enum('email','google_authenticator','both') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `two_factor_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'when authenticator is email',
  `two_factor_expires_at` datetime DEFAULT NULL,
  `admin_approval` tinyint(1) NOT NULL DEFAULT '1',
  `permission_sync` tinyint(1) NOT NULL DEFAULT '1',
  `google_calendar_status` tinyint(1) NOT NULL DEFAULT '1',
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `telegram_user_id` bigint DEFAULT NULL,
  `customised_permissions` tinyint(1) NOT NULL DEFAULT '0',
  `stripe_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pm_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pm_last_four` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `trial_ends_at` timestamp NULL DEFAULT NULL,
  `headers` text COLLATE utf8mb4_unicode_ci,
  `register_ip` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_company_id_unique` (`email`,`company_id`),
  KEY `users_country_id_foreign` (`country_id`),
  KEY `users_company_id_foreign` (`company_id`),
  KEY `users_stripe_id_index` (`stripe_id`),
  CONSTRAINT `users_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,1,'Mr. Keanu Grant','admin@example.com','$2y$10$4bmQBejqy5HP9Bq8/3uHpOwi6EQVdAsQFYeCVsJ5kc4B3Wz3aLJE.',NULL,NULL,0,1,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,'2024-02-13 23:07:09',1,NULL,0,0,NULL,NULL,NULL,1,1,1,NULL,'2024-02-13 04:03:35','2024-02-13 23:14:49',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(2,1,'Andreane Swaniawski','employee@example.com','$2y$10$emFg9uUAO.FLKGnBaRHPGujCgQUzBR1M5.pQKtWMK5qI6Q/DUjNbe',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(3,1,'Delbert Williamson','client@example.com','$2y$10$K9Wg0P6CHL6D0DsWUlbFpOXJ.3rne55RrBQmjkcFjtZyOgYpWlWxi',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(4,1,'Miss Bethel Leannon II','jaron.schuppe@example.org9','$2y$10$NXGHVs6cXVxb.rPNxj/YdOkwU1AY/PTygS8ihUPx7lydoiChgan3q',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'OZqveUu7ib','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(5,1,'Nash Schinner','kavon57@example.net0','$2y$10$EGdsa7/X6LaSMuupUw83fuaVJiHCHouiUWCbUqE33LYwpg4I/jkYS',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'b0IR3aXyAF','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(6,1,'Marcelino Wunsch','ben.rice@example.net6','$2y$10$FoizIQoQ7Y4/a7JRpQ5wUuerwqfYTb.OVWUkuIYXPZ72sPJkjWwbK',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'Sp9R3jpr8W','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(7,1,'Jensen Satterfield','jmcglynn@example.net8','$2y$10$VG1Qo0xHtRryh65gBjP6x.dQqMrdeqfCEpXuQJOKsjFXVWDZAaaci',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'6JZkBZzRJj','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(8,1,'Haylee Dicki','arielle.goodwin@example.net1','$2y$10$CTONs./sZP.S5rX8lNGdouOLTe7sYAj3KAx5CWJwDd.eSYrciADUS',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'JykqsWAjGY','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(9,1,'Willa Schowalter','zconroy@example.net2','$2y$10$nm7ok4H.K.GveK6IZPimOOaIaWRQcIv7s9UiZgMFhDMDg1ntvVKMm',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'iXpLxKVkoW','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(10,1,'Shemar McCullough','akeem49@example.net9','$2y$10$lOce6nZ0jbAcvp2H300dA.JrT.S.6rUhTsetGMqvjCCigSOUvSD/u',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'b6oofQsud9','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(11,1,'Allie Daniel','hand.fleta@example.org9','$2y$10$KzdUvFZwUMtpcUH5aqvFS.H8xiQzwsk6zSfEKUEMls8zUDva/Awf2',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'d7jOki0si6','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(12,1,'Bo Hegmann Jr.','ykris@example.com6','$2y$10$F/6wiSj2HgtmIT87ITYmz.uP0TN.mvL.jq4ntvyBApPg13CXOTfO2',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'UmQwWhbRIL','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(13,1,'Enoch Sipes','geovany.emmerich@example.org6','$2y$10$Imakh.2wxrMghjdUVhXM9.FAc5UD0aRI.ujaHTGL3gHw0GTNURmmC',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'37omtDISPS','2024-02-13 04:03:36','2024-02-13 04:03:36',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(14,1,'Callie Fritsch','tillman.jacey@example.com5','$2y$10$l5K3ZPXeQzZjWrtOmpGTieQDoix7gVwsiifkdsAjJEmv6FTHW9fIS',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'aeYLEFoURM','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(15,1,'Florence Davis','sincere27@example.net4','$2y$10$eWSRakqqh/SYuBwac61r5uzRBmqbwbSrAWhbyYZv8zx6MlzHXkv0C',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'yBcVSFDGvV','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(16,1,'Dandre DuBuque DDS','wbechtelar@example.com4','$2y$10$bMSkndCX/pv4ODzW1aGYwuRnWDoJyavoR3CUFlcajQSQQ481G9jty',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'HXFFF5f0cy','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(17,1,'Estrella Bins','shintz@example.org8','$2y$10$DYSkUSw6TsTlfOkgJvUX8OU5del1Ghbn9sUS58TQxQBciSrGXSNUa',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'UQE6TY7ELY','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(18,1,'Prof. Jettie Stark','hharber@example.net3','$2y$10$43e1VXnwNfHRoMnKWj2DFu1NmyEcHC7sl7dsHLIc8pvlFzyLXrRsu',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'SwTaRiHqT5','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(19,1,'Mr. Robbie Zemlak Sr.','donnelly.susie@example.org8','$2y$10$ZCU76N17XjkLdhDqo4PQAOTV8UpWJDurnu1RzRmz04FGx.l6jJHxK',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'5H7Cn87cO8','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(20,1,'Mercedes Konopelski Jr.','morris.stoltenberg@example.org5','$2y$10$jfE/C7tuc3RUBUdP0w.ZOOjLBg1kNLAni4.PCcNHTH5x/kjqe9XCW',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'51f9BxSL4R','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(21,1,'Alivia Halvorson','ortiz.bennie@example.com7','$2y$10$HJ0facrew46VoY3ocmxCjOtYFwpbqpT4Kyb/Mxx1rHuaxrD9w2GIW',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'trcgpBFE6E','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(22,1,'Tiana Graham II','pcole@example.com7','$2y$10$vasHQaX28Aw84PtY86XbxegFuqCekmUNI87CSNaHpmp8z5syjXKdu',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'OqibKZiB8D','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL),(23,1,'Kaleb Runolfsson','june98@example.org4','$2y$10$YKm3LAeEw5s9jHDHRYhrKuit4umLUxDZKFbbmXvpFSseue14oRJsa',NULL,NULL,0,0,NULL,NULL,NULL,'male',NULL,'en','active','enable',NULL,NULL,1,NULL,0,0,NULL,NULL,NULL,1,1,1,'sQvBLg8ZnC','2024-02-13 04:03:36','2024-02-13 04:03:38',NULL,0,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `users_chat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users_chat` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_one` int unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `message` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `from` int unsigned DEFAULT NULL,
  `to` int unsigned DEFAULT NULL,
  `message_seen` enum('yes','no') CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `notification_sent` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `users_chat_company_id_foreign` (`company_id`),
  KEY `users_chat_user_one_foreign` (`user_one`),
  KEY `users_chat_user_id_foreign` (`user_id`),
  KEY `users_chat_from_foreign` (`from`),
  KEY `users_chat_to_foreign` (`to`),
  CONSTRAINT `users_chat_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_chat_from_foreign` FOREIGN KEY (`from`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_chat_to_foreign` FOREIGN KEY (`to`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_chat_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_chat_user_one_foreign` FOREIGN KEY (`user_one`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users_chat` WRITE;
/*!40000 ALTER TABLE `users_chat` DISABLE KEYS */;
INSERT INTO `users_chat` VALUES (1,1,16,15,'Alice looked at the bottom of a well--\' \'What did they draw?\' said Alice, seriously, \'I\'ll have nothing more happened, she decided on going into the court, \'Bring me the truth: did you call him.',16,15,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(2,1,22,1,'Lory, who at last the Mock Turtle with a deep voice, \'What are they doing?\' Alice whispered to the Gryphon. \'I\'ve forgotten the little door: but, alas! either the locks were too large, or the key.',22,1,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(3,1,18,19,'Off with his head!\' she said, \'and see whether it\'s marked \"poison\" or not\'; for she felt very lonely and low-spirited. In a little feeble, squeaking voice, (\'That\'s Bill,\' thought Alice,) \'Well, I.',18,19,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(4,1,19,15,'Alice, very loudly and decidedly, and the procession came opposite to Alice, and she felt a very curious sensation, which puzzled her a good many little girls eat eggs quite as much as she could not.',19,15,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(5,1,18,23,'These were the cook, to see it trot away quietly into the wood. \'If it had fallen into it: there was no use speaking to it,\' she thought, and it set to partners--\' \'--change lobsters, and retire in.',18,23,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(6,1,15,16,'What made you so awfully clever?\' \'I have answered three questions, and that is enough,\' Said his father; \'don\'t give yourself airs! Do you think I could, if I might venture to say anything. \'Why,\'.',15,16,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(7,1,23,2,'Then followed the Knave was standing before them, in chains, with a sigh: \'he taught Laughing and Grief, they used to say.\' \'So he did, so he did,\' said the Cat. \'I don\'t much care where--\' said.',23,2,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(8,1,22,16,'I think you\'d better finish the story for yourself.\' \'No, please go on!\' Alice said to herself; \'I should like to see it again, but it was neither more nor less than a rat-hole: she knelt down and.',22,16,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(9,1,19,22,'Bill had left off quarrelling with the Lory, as soon as the large birds complained that they had been for some way, and nothing seems to like her, down here, that I should understand that better,\'.',19,22,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1),(10,1,19,1,'Queen had ordered. They very soon had to double themselves up and ran till she was talking. \'How CAN I have none, Why, I do it again and again.\' \'You are old, Father William,\' the young Crab, a.',19,1,'no','2024-02-13 04:03:37','2024-02-13 04:03:37',1);
/*!40000 ALTER TABLE `users_chat` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `users_chat_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users_chat_files` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned NOT NULL,
  `users_chat_id` int unsigned NOT NULL,
  `filename` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `google_url` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `hashname` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `external_link_name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `users_chat_files_company_id_foreign` (`company_id`),
  KEY `users_chat_files_user_id_foreign` (`user_id`),
  KEY `users_chat_files_users_chat_id_foreign` (`users_chat_id`),
  CONSTRAINT `users_chat_files_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_chat_files_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `users_chat_files_users_chat_id_foreign` FOREIGN KEY (`users_chat_id`) REFERENCES `users_chat` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users_chat_files` WRITE;
/*!40000 ALTER TABLE `users_chat_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `users_chat_files` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `visa_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `visa_details` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `user_id` int unsigned DEFAULT NULL,
  `country_id` int unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `visa_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `issue_date` date NOT NULL,
  `expiry_date` date NOT NULL,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `visa_details_company_id_foreign` (`company_id`),
  KEY `visa_details_user_id_foreign` (`user_id`),
  KEY `visa_details_added_by_foreign` (`added_by`),
  KEY `visa_details_country_id_foreign` (`country_id`),
  CONSTRAINT `visa_details_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `visa_details_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `visa_details_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `visa_details_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `visa_details` WRITE;
/*!40000 ALTER TABLE `visa_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `visa_details` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `webhooks_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `webhooks_global_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `webhooks_global_settings` WRITE;
/*!40000 ALTER TABLE `webhooks_global_settings` DISABLE KEYS */;
INSERT INTO `webhooks_global_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:32','2024-02-13 04:03:32');
/*!40000 ALTER TABLE `webhooks_global_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `webhooks_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `webhooks_logs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned NOT NULL,
  `webhooks_setting_id` bigint unsigned NOT NULL,
  `method` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `webhook_for` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `raw_content` text COLLATE utf8mb4_unicode_ci,
  `headers` text COLLATE utf8mb4_unicode_ci,
  `response` text COLLATE utf8mb4_unicode_ci,
  `response_code` int DEFAULT '200',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `webhooks_logs_webhooks_setting_id_foreign` (`webhooks_setting_id`),
  KEY `webhooks_logs_company_id_foreign` (`company_id`),
  CONSTRAINT `webhooks_logs_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `webhooks_logs_webhooks_setting_id_foreign` FOREIGN KEY (`webhooks_setting_id`) REFERENCES `webhooks_settings` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `webhooks_logs` WRITE;
/*!40000 ALTER TABLE `webhooks_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `webhooks_logs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `webhooks_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `webhooks_requests` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `webhooks_setting_id` bigint unsigned DEFAULT NULL,
  `headers_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `headers_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `request_type` enum('headers','body') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'headers',
  `body_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `body_value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `webhooks_requests_company_id_foreign` (`company_id`),
  KEY `webhooks_requests_webhooks_setting_id_foreign` (`webhooks_setting_id`),
  CONSTRAINT `webhooks_requests_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `webhooks_requests_webhooks_setting_id_foreign` FOREIGN KEY (`webhooks_setting_id`) REFERENCES `webhooks_settings` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `webhooks_requests` WRITE;
/*!40000 ALTER TABLE `webhooks_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `webhooks_requests` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `webhooks_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `webhooks_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `webhook_for` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action` tinyint(1) DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `request_method` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `request_format` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('active','inactive') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `run_debug` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `webhooks_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `webhooks_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `webhooks_settings` WRITE;
/*!40000 ALTER TABLE `webhooks_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `webhooks_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `zoom_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoom_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `category_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `zoom_categories_company_id_foreign` (`company_id`),
  CONSTRAINT `zoom_categories_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `zoom_categories` WRITE;
/*!40000 ALTER TABLE `zoom_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `zoom_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `zoom_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoom_global_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `license_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `supported_until` timestamp NULL DEFAULT NULL,
  `purchased_on` timestamp NULL DEFAULT NULL,
  `notify_update` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `zoom_global_settings` WRITE;
/*!40000 ALTER TABLE `zoom_global_settings` DISABLE KEYS */;
INSERT INTO `zoom_global_settings` VALUES (1,NULL,NULL,NULL,NULL,1,'2024-02-13 04:03:20','2024-02-13 04:03:20');
/*!40000 ALTER TABLE `zoom_global_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `zoom_meeting_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoom_meeting_notes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `zoom_meeting_id` bigint unsigned NOT NULL,
  `user_id` int unsigned NOT NULL,
  `note` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `zoom_meeting_notes_company_id_foreign` (`company_id`),
  KEY `zoom_meeting_notes_zoom_meeting_id_foreign` (`zoom_meeting_id`),
  KEY `zoom_meeting_notes_user_id_foreign` (`user_id`),
  KEY `zoom_meeting_added_by_foreign` (`added_by`),
  KEY `zoom_meeting_last_updated_by_foreign` (`last_updated_by`),
  CONSTRAINT `zoom_meeting_notes_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `zoom_meeting_notes_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `zoom_meeting_notes_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `zoom_meeting_notes_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `zoom_meeting_notes_zoom_meeting_id_foreign` FOREIGN KEY (`zoom_meeting_id`) REFERENCES `zoom_meetings` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `zoom_meeting_notes` WRITE;
/*!40000 ALTER TABLE `zoom_meeting_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `zoom_meeting_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `zoom_meetings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoom_meetings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `meeting_id` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int unsigned NOT NULL,
  `meeting_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label_color` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` mediumtext COLLATE utf8mb4_unicode_ci,
  `start_date_time` datetime NOT NULL,
  `end_date_time` datetime NOT NULL,
  `repeat` tinyint(1) NOT NULL DEFAULT '0',
  `repeat_every` int DEFAULT NULL,
  `repeat_cycles` int DEFAULT NULL,
  `repeat_type` enum('day','week','month','year') COLLATE utf8mb4_unicode_ci NOT NULL,
  `send_reminder` tinyint(1) NOT NULL DEFAULT '0',
  `remind_time` int DEFAULT NULL,
  `remind_type` enum('day','hour','minute') COLLATE utf8mb4_unicode_ci NOT NULL,
  `host_video` tinyint(1) NOT NULL DEFAULT '0',
  `participant_video` tinyint(1) NOT NULL DEFAULT '0',
  `start_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `join_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('waiting','live','canceled','finished') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `project_id` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `source_meeting_id` bigint unsigned DEFAULT NULL,
  `occurrence_id` bigint DEFAULT NULL,
  `occurrence_order` int DEFAULT NULL,
  `category_id` bigint unsigned DEFAULT NULL,
  `added_by` int unsigned DEFAULT NULL,
  `last_updated_by` int unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `zoom_meetings_created_by_foreign` (`created_by`),
  KEY `zoom_meetings_project_id_foreign` (`project_id`),
  KEY `zoom_meetings_source_meeting_id_foreign` (`source_meeting_id`),
  KEY `zoom_meetings_category_id_foreign` (`category_id`),
  KEY `zoom_meetings_added_by_foreign` (`added_by`),
  KEY `zoom_meetings_last_updated_by_foreign` (`last_updated_by`),
  KEY `zoom_meetings_company_id_foreign` (`company_id`),
  CONSTRAINT `zoom_meetings_added_by_foreign` FOREIGN KEY (`added_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `zoom_meetings_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `zoom_categories` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `zoom_meetings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `zoom_meetings_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `zoom_meetings_last_updated_by_foreign` FOREIGN KEY (`last_updated_by`) REFERENCES `users` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `zoom_meetings_project_id_foreign` FOREIGN KEY (`project_id`) REFERENCES `projects` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `zoom_meetings_source_meeting_id_foreign` FOREIGN KEY (`source_meeting_id`) REFERENCES `zoom_meetings` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `zoom_meetings` WRITE;
/*!40000 ALTER TABLE `zoom_meetings` DISABLE KEYS */;
/*!40000 ALTER TABLE `zoom_meetings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `zoom_notification_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoom_notification_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `setting_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `send_email` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `send_slack` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `zoom_notification_settings_company_id_foreign` (`company_id`),
  CONSTRAINT `zoom_notification_settings_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `zoom_notification_settings` WRITE;
/*!40000 ALTER TABLE `zoom_notification_settings` DISABLE KEYS */;
INSERT INTO `zoom_notification_settings` VALUES (1,1,'Zoom Meeting Created','no','no','zoom-meeting-created',NULL,NULL);
/*!40000 ALTER TABLE `zoom_notification_settings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `zoom_setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `zoom_setting` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `company_id` int unsigned DEFAULT NULL,
  `api_key` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `secret_key` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `meeting_app` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'in_app',
  `secret_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meeting_client_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meeting_client_secret` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `zoom_setting_company_id_foreign` (`company_id`),
  CONSTRAINT `zoom_setting_company_id_foreign` FOREIGN KEY (`company_id`) REFERENCES `companies` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `zoom_setting` WRITE;
/*!40000 ALTER TABLE `zoom_setting` DISABLE KEYS */;
INSERT INTO `zoom_setting` VALUES (1,NULL,NULL,NULL,'2024-02-13 04:03:16','2024-02-13 04:03:16','in_app',NULL,NULL,NULL,NULL),(2,1,NULL,NULL,'2024-02-13 04:03:35','2024-02-13 04:03:35','in_app',NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `zoom_setting` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

